var Module = {};

Module['noInitialRun'] = true;
Module['OpenModelica_readFile'] = function(fname) {
  return intArrayToString(FS.findObject(fname).contents);
};

try { // Try to add an event listener like a webworker thread
  self.addEventListener('message', function(e) {
    var data = e.data;
    if (!data) return;
    var result = {};
    try {
        shouldRunNow = true;
        var args = ['-override','outputFormat=csv,stopTime=' +  data.stopTime +',tolerance=' + data.tolerance + ',stepSize=' + data.stepSize];
        Module.callMain(args);
        result.csv = intArrayToString(FS.findObject(data.basename + "_res.csv").contents);
        result.status = "Simulation finished";
    } catch(err) {
        result.status = "Simulation failed";
    };
    self.postMessage(result);
  }, false);
} catch (e) {
}

// Note: For maximum-speed code, see "Optimizing Code" on the Emscripten wiki, https://github.com/kripken/emscripten/wiki/Optimizing-Code
// Note: Some Emscripten settings may limit the speed of the generated code.
// The Module object: Our interface to the outside world. We import
// and export values on it, and do the work to get that through
// closure compiler if necessary. There are various ways Module can be used:
// 1. Not defined. We create it here
// 2. A function parameter, function(Module) { ..generated code.. }
// 3. pre-run appended it, var Module = {}; ..generated code..
// 4. External script tag defines var Module.
// We need to do an eval in order to handle the closure compiler
// case, where this code here is minified but Module was defined
// elsewhere (e.g. case 4 above). We also need to check if Module
// already exists (e.g. case 3 above).
// Note that if you want to run closure, and also to use Module
// after the generated code, you will need to define   var Module = {};
// before the code. Then that object will be used in the code, and you
// can continue to use Module afterwards as well.
var Module;
if (!Module) Module = eval('(function() { try { return Module || {} } catch(e) { return {} } })()');

// Sometimes an existing Module object exists with properties
// meant to overwrite the default module functionality. Here
// we collect those properties and reapply _after_ we configure
// the current environment's defaults to avoid having to be so
// defensive during initialization.
var moduleOverrides = {};
for (var key in Module) {
  if (Module.hasOwnProperty(key)) {
    moduleOverrides[key] = Module[key];
  }
}

// The environment setup code below is customized to use Module.
// *** Environment setup code ***
var ENVIRONMENT_IS_NODE = typeof process === 'object' && typeof require === 'function';
var ENVIRONMENT_IS_WEB = typeof window === 'object';
var ENVIRONMENT_IS_WORKER = typeof importScripts === 'function';
var ENVIRONMENT_IS_SHELL = !ENVIRONMENT_IS_WEB && !ENVIRONMENT_IS_NODE && !ENVIRONMENT_IS_WORKER;

if (ENVIRONMENT_IS_NODE) {
  // Expose functionality in the same simple way that the shells work
  // Note that we pollute the global namespace here, otherwise we break in node
  if (!Module['print']) Module['print'] = function print(x) {
    process['stdout'].write(x + '\n');
  };
  if (!Module['printErr']) Module['printErr'] = function printErr(x) {
    process['stderr'].write(x + '\n');
  };

  var nodeFS = require('fs');
  var nodePath = require('path');

  Module['read'] = function read(filename, binary) {
    filename = nodePath['normalize'](filename);
    var ret = nodeFS['readFileSync'](filename);
    // The path is absolute if the normalized version is the same as the resolved.
    if (!ret && filename != nodePath['resolve'](filename)) {
      filename = path.join(__dirname, '..', 'src', filename);
      ret = nodeFS['readFileSync'](filename);
    }
    if (ret && !binary) ret = ret.toString();
    return ret;
  };

  Module['readBinary'] = function readBinary(filename) { return Module['read'](filename, true) };

  Module['load'] = function load(f) {
    globalEval(read(f));
  };

  Module['arguments'] = process['argv'].slice(2);

  module['exports'] = Module;
}
else if (ENVIRONMENT_IS_SHELL) {
  if (!Module['print']) Module['print'] = print;
  if (typeof printErr != 'undefined') Module['printErr'] = printErr; // not present in v8 or older sm

  if (typeof read != 'undefined') {
    Module['read'] = read;
  } else {
    Module['read'] = function read() { throw 'no read() available (jsc?)' };
  }

  Module['readBinary'] = function readBinary(f) {
    return read(f, 'binary');
  };

  if (typeof scriptArgs != 'undefined') {
    Module['arguments'] = scriptArgs;
  } else if (typeof arguments != 'undefined') {
    Module['arguments'] = arguments;
  }

  this['Module'] = Module;

  eval("if (typeof gc === 'function' && gc.toString().indexOf('[native code]') > 0) var gc = undefined"); // wipe out the SpiderMonkey shell 'gc' function, which can confuse closure (uses it as a minified name, and it is then initted to a non-falsey value unexpectedly)
}
else if (ENVIRONMENT_IS_WEB || ENVIRONMENT_IS_WORKER) {
  Module['read'] = function read(url) {
    var xhr = new XMLHttpRequest();
    xhr.open('GET', url, false);
    xhr.send(null);
    return xhr.responseText;
  };

  if (typeof arguments != 'undefined') {
    Module['arguments'] = arguments;
  }

  if (typeof console !== 'undefined') {
    if (!Module['print']) Module['print'] = function print(x) {
      console.log(x);
    };
    if (!Module['printErr']) Module['printErr'] = function printErr(x) {
      console.log(x);
    };
  } else {
    // Probably a worker, and without console.log. We can do very little here...
    var TRY_USE_DUMP = false;
    if (!Module['print']) Module['print'] = (TRY_USE_DUMP && (typeof(dump) !== "undefined") ? (function(x) {
      dump(x);
    }) : (function(x) {
      // self.postMessage(x); // enable this if you want stdout to be sent as messages
    }));
  }

  if (ENVIRONMENT_IS_WEB) {
    this['Module'] = Module;
  } else {
    Module['load'] = importScripts;
  }
}
else {
  // Unreachable because SHELL is dependant on the others
  throw 'Unknown runtime environment. Where are we?';
}

function globalEval(x) {
  eval.call(null, x);
}
if (!Module['load'] == 'undefined' && Module['read']) {
  Module['load'] = function load(f) {
    globalEval(Module['read'](f));
  };
}
if (!Module['print']) {
  Module['print'] = function(){};
}
if (!Module['printErr']) {
  Module['printErr'] = Module['print'];
}
if (!Module['arguments']) {
  Module['arguments'] = [];
}
// *** Environment setup code ***

// Closure helpers
Module.print = Module['print'];
Module.printErr = Module['printErr'];

// Callbacks
Module['preRun'] = [];
Module['postRun'] = [];

// Merge back in the overrides
for (var key in moduleOverrides) {
  if (moduleOverrides.hasOwnProperty(key)) {
    Module[key] = moduleOverrides[key];
  }
}



// === Auto-generated preamble library stuff ===

//========================================
// Runtime code shared with compiler
//========================================

var Runtime = {
  stackSave: function () {
    return STACKTOP;
  },
  stackRestore: function (stackTop) {
    STACKTOP = stackTop;
  },
  forceAlign: function (target, quantum) {
    quantum = quantum || 4;
    if (quantum == 1) return target;
    if (isNumber(target) && isNumber(quantum)) {
      return Math.ceil(target/quantum)*quantum;
    } else if (isNumber(quantum) && isPowerOfTwo(quantum)) {
      return '(((' +target + ')+' + (quantum-1) + ')&' + -quantum + ')';
    }
    return 'Math.ceil((' + target + ')/' + quantum + ')*' + quantum;
  },
  isNumberType: function (type) {
    return type in Runtime.INT_TYPES || type in Runtime.FLOAT_TYPES;
  },
  isPointerType: function isPointerType(type) {
  return type[type.length-1] == '*';
},
  isStructType: function isStructType(type) {
  if (isPointerType(type)) return false;
  if (isArrayType(type)) return true;
  if (/<?\{ ?[^}]* ?\}>?/.test(type)) return true; // { i32, i8 } etc. - anonymous struct types
  // See comment in isStructPointerType()
  return type[0] == '%';
},
  INT_TYPES: {"i1":0,"i8":0,"i16":0,"i32":0,"i64":0},
  FLOAT_TYPES: {"float":0,"double":0},
  or64: function (x, y) {
    var l = (x | 0) | (y | 0);
    var h = (Math.round(x / 4294967296) | Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  and64: function (x, y) {
    var l = (x | 0) & (y | 0);
    var h = (Math.round(x / 4294967296) & Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  xor64: function (x, y) {
    var l = (x | 0) ^ (y | 0);
    var h = (Math.round(x / 4294967296) ^ Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  getNativeTypeSize: function (type) {
    switch (type) {
      case 'i1': case 'i8': return 1;
      case 'i16': return 2;
      case 'i32': return 4;
      case 'i64': return 8;
      case 'float': return 4;
      case 'double': return 8;
      default: {
        if (type[type.length-1] === '*') {
          return Runtime.QUANTUM_SIZE; // A pointer
        } else if (type[0] === 'i') {
          var bits = parseInt(type.substr(1));
          assert(bits % 8 === 0);
          return bits/8;
        } else {
          return 0;
        }
      }
    }
  },
  getNativeFieldSize: function (type) {
    return Math.max(Runtime.getNativeTypeSize(type), Runtime.QUANTUM_SIZE);
  },
  dedup: function dedup(items, ident) {
  var seen = {};
  if (ident) {
    return items.filter(function(item) {
      if (seen[item[ident]]) return false;
      seen[item[ident]] = true;
      return true;
    });
  } else {
    return items.filter(function(item) {
      if (seen[item]) return false;
      seen[item] = true;
      return true;
    });
  }
},
  set: function set() {
  var args = typeof arguments[0] === 'object' ? arguments[0] : arguments;
  var ret = {};
  for (var i = 0; i < args.length; i++) {
    ret[args[i]] = 0;
  }
  return ret;
},
  STACK_ALIGN: 8,
  getAlignSize: function (type, size, vararg) {
    // we align i64s and doubles on 64-bit boundaries, unlike x86
    if (vararg) return 8;
    if (!vararg && (type == 'i64' || type == 'double')) return 8;
    if (!type) return Math.min(size, 8); // align structures internally to 64 bits
    return Math.min(size || (type ? Runtime.getNativeFieldSize(type) : 0), Runtime.QUANTUM_SIZE);
  },
  calculateStructAlignment: function calculateStructAlignment(type) {
    type.flatSize = 0;
    type.alignSize = 0;
    var diffs = [];
    var prev = -1;
    var index = 0;
    type.flatIndexes = type.fields.map(function(field) {
      index++;
      var size, alignSize;
      if (Runtime.isNumberType(field) || Runtime.isPointerType(field)) {
        size = Runtime.getNativeTypeSize(field); // pack char; char; in structs, also char[X]s.
        alignSize = Runtime.getAlignSize(field, size);
      } else if (Runtime.isStructType(field)) {
        if (field[1] === '0') {
          // this is [0 x something]. When inside another structure like here, it must be at the end,
          // and it adds no size
          // XXX this happens in java-nbody for example... assert(index === type.fields.length, 'zero-length in the middle!');
          size = 0;
          if (Types.types[field]) {
            alignSize = Runtime.getAlignSize(null, Types.types[field].alignSize);
          } else {
            alignSize = type.alignSize || QUANTUM_SIZE;
          }
        } else {
          size = Types.types[field].flatSize;
          alignSize = Runtime.getAlignSize(null, Types.types[field].alignSize);
        }
      } else if (field[0] == 'b') {
        // bN, large number field, like a [N x i8]
        size = field.substr(1)|0;
        alignSize = 1;
      } else if (field[0] === '<') {
        // vector type
        size = alignSize = Types.types[field].flatSize; // fully aligned
      } else if (field[0] === 'i') {
        // illegal integer field, that could not be legalized because it is an internal structure field
        // it is ok to have such fields, if we just use them as markers of field size and nothing more complex
        size = alignSize = parseInt(field.substr(1))/8;
        assert(size % 1 === 0, 'cannot handle non-byte-size field ' + field);
      } else {
        assert(false, 'invalid type for calculateStructAlignment');
      }
      if (type.packed) alignSize = 1;
      type.alignSize = Math.max(type.alignSize, alignSize);
      var curr = Runtime.alignMemory(type.flatSize, alignSize); // if necessary, place this on aligned memory
      type.flatSize = curr + size;
      if (prev >= 0) {
        diffs.push(curr-prev);
      }
      prev = curr;
      return curr;
    });
    if (type.name_ && type.name_[0] === '[') {
      // arrays have 2 elements, so we get the proper difference. then we scale here. that way we avoid
      // allocating a potentially huge array for [999999 x i8] etc.
      type.flatSize = parseInt(type.name_.substr(1))*type.flatSize/2;
    }
    type.flatSize = Runtime.alignMemory(type.flatSize, type.alignSize);
    if (diffs.length == 0) {
      type.flatFactor = type.flatSize;
    } else if (Runtime.dedup(diffs).length == 1) {
      type.flatFactor = diffs[0];
    }
    type.needsFlattening = (type.flatFactor != 1);
    return type.flatIndexes;
  },
  generateStructInfo: function (struct, typeName, offset) {
    var type, alignment;
    if (typeName) {
      offset = offset || 0;
      type = (typeof Types === 'undefined' ? Runtime.typeInfo : Types.types)[typeName];
      if (!type) return null;
      if (type.fields.length != struct.length) {
        printErr('Number of named fields must match the type for ' + typeName + ': possibly duplicate struct names. Cannot return structInfo');
        return null;
      }
      alignment = type.flatIndexes;
    } else {
      var type = { fields: struct.map(function(item) { return item[0] }) };
      alignment = Runtime.calculateStructAlignment(type);
    }
    var ret = {
      __size__: type.flatSize
    };
    if (typeName) {
      struct.forEach(function(item, i) {
        if (typeof item === 'string') {
          ret[item] = alignment[i] + offset;
        } else {
          // embedded struct
          var key;
          for (var k in item) key = k;
          ret[key] = Runtime.generateStructInfo(item[key], type.fields[i], alignment[i]);
        }
      });
    } else {
      struct.forEach(function(item, i) {
        ret[item[1]] = alignment[i];
      });
    }
    return ret;
  },
  dynCall: function (sig, ptr, args) {
    if (args && args.length) {
      if (!args.splice) args = Array.prototype.slice.call(args);
      args.splice(0, 0, ptr);
      return Module['dynCall_' + sig].apply(null, args);
    } else {
      return Module['dynCall_' + sig].call(null, ptr);
    }
  },
  functionPointers: [],
  addFunction: function (func) {
    for (var i = 0; i < Runtime.functionPointers.length; i++) {
      if (!Runtime.functionPointers[i]) {
        Runtime.functionPointers[i] = func;
        return 2*(1 + i);
      }
    }
    throw 'Finished up all reserved function pointers. Use a higher value for RESERVED_FUNCTION_POINTERS.';
  },
  removeFunction: function (index) {
    Runtime.functionPointers[(index-2)/2] = null;
  },
  getAsmConst: function (code, numArgs) {
    // code is a constant string on the heap, so we can cache these
    if (!Runtime.asmConstCache) Runtime.asmConstCache = {};
    var func = Runtime.asmConstCache[code];
    if (func) return func;
    var args = [];
    for (var i = 0; i < numArgs; i++) {
      args.push(String.fromCharCode(36) + i); // $0, $1 etc
    }
    code = Pointer_stringify(code);
    if (code[0] === '"') {
      // tolerate EM_ASM("..code..") even though EM_ASM(..code..) is correct
      if (code.indexOf('"', 1) === code.length-1) {
        code = code.substr(1, code.length-2);
      } else {
        // something invalid happened, e.g. EM_ASM("..code($0)..", input)
        abort('invalid EM_ASM input |' + code + '|. Please use EM_ASM(..code..) (no quotes) or EM_ASM({ ..code($0).. }, input) (to input values)');
      }
    }
    return Runtime.asmConstCache[code] = eval('(function(' + args.join(',') + '){ ' + code + ' })'); // new Function does not allow upvars in node
  },
  warnOnce: function (text) {
    if (!Runtime.warnOnce.shown) Runtime.warnOnce.shown = {};
    if (!Runtime.warnOnce.shown[text]) {
      Runtime.warnOnce.shown[text] = 1;
      Module.printErr(text);
    }
  },
  funcWrappers: {},
  getFuncWrapper: function (func, sig) {
    assert(sig);
    if (!Runtime.funcWrappers[func]) {
      Runtime.funcWrappers[func] = function dynCall_wrapper() {
        return Runtime.dynCall(sig, func, arguments);
      };
    }
    return Runtime.funcWrappers[func];
  },
  UTF8Processor: function () {
    var buffer = [];
    var needed = 0;
    this.processCChar = function (code) {
      code = code & 0xFF;

      if (buffer.length == 0) {
        if ((code & 0x80) == 0x00) {        // 0xxxxxxx
          return String.fromCharCode(code);
        }
        buffer.push(code);
        if ((code & 0xE0) == 0xC0) {        // 110xxxxx
          needed = 1;
        } else if ((code & 0xF0) == 0xE0) { // 1110xxxx
          needed = 2;
        } else {                            // 11110xxx
          needed = 3;
        }
        return '';
      }

      if (needed) {
        buffer.push(code);
        needed--;
        if (needed > 0) return '';
      }

      var c1 = buffer[0];
      var c2 = buffer[1];
      var c3 = buffer[2];
      var c4 = buffer[3];
      var ret;
      if (buffer.length == 2) {
        ret = String.fromCharCode(((c1 & 0x1F) << 6)  | (c2 & 0x3F));
      } else if (buffer.length == 3) {
        ret = String.fromCharCode(((c1 & 0x0F) << 12) | ((c2 & 0x3F) << 6)  | (c3 & 0x3F));
      } else {
        // http://mathiasbynens.be/notes/javascript-encoding#surrogate-formulae
        var codePoint = ((c1 & 0x07) << 18) | ((c2 & 0x3F) << 12) |
                        ((c3 & 0x3F) << 6)  | (c4 & 0x3F);
        ret = String.fromCharCode(
          Math.floor((codePoint - 0x10000) / 0x400) + 0xD800,
          (codePoint - 0x10000) % 0x400 + 0xDC00);
      }
      buffer.length = 0;
      return ret;
    }
    this.processJSString = function processJSString(string) {
      string = unescape(encodeURIComponent(string));
      var ret = [];
      for (var i = 0; i < string.length; i++) {
        ret.push(string.charCodeAt(i));
      }
      return ret;
    }
  },
  getCompilerSetting: function (name) {
    throw 'You must build with -s RETAIN_COMPILER_SETTINGS=1 for Runtime.getCompilerSetting or emscripten_get_compiler_setting to work';
  },
  stackAlloc: function (size) { var ret = STACKTOP;STACKTOP = (STACKTOP + size)|0;STACKTOP = (((STACKTOP)+7)&-8); return ret; },
  staticAlloc: function (size) { var ret = STATICTOP;STATICTOP = (STATICTOP + size)|0;STATICTOP = (((STATICTOP)+7)&-8); return ret; },
  dynamicAlloc: function (size) { var ret = DYNAMICTOP;DYNAMICTOP = (DYNAMICTOP + size)|0;DYNAMICTOP = (((DYNAMICTOP)+7)&-8); if (DYNAMICTOP >= TOTAL_MEMORY) enlargeMemory();; return ret; },
  alignMemory: function (size,quantum) { var ret = size = Math.ceil((size)/(quantum ? quantum : 8))*(quantum ? quantum : 8); return ret; },
  makeBigInt: function (low,high,unsigned) { var ret = (unsigned ? ((+((low>>>0)))+((+((high>>>0)))*(+4294967296))) : ((+((low>>>0)))+((+((high|0)))*(+4294967296)))); return ret; },
  GLOBAL_BASE: 8,
  QUANTUM_SIZE: 4,
  __dummy__: 0
}


Module['Runtime'] = Runtime;









//========================================
// Runtime essentials
//========================================

var __THREW__ = 0; // Used in checking for thrown exceptions.

var ABORT = false; // whether we are quitting the application. no code should run after this. set in exit() and abort()
var EXITSTATUS = 0;

var undef = 0;
// tempInt is used for 32-bit signed values or smaller. tempBigInt is used
// for 32-bit unsigned values or more than 32 bits. TODO: audit all uses of tempInt
var tempValue, tempInt, tempBigInt, tempInt2, tempBigInt2, tempPair, tempBigIntI, tempBigIntR, tempBigIntS, tempBigIntP, tempBigIntD, tempDouble, tempFloat;
var tempI64, tempI64b;
var tempRet0, tempRet1, tempRet2, tempRet3, tempRet4, tempRet5, tempRet6, tempRet7, tempRet8, tempRet9;

function assert(condition, text) {
  if (!condition) {
    abort('Assertion failed: ' + text);
  }
}

var globalScope = this;

// C calling interface. A convenient way to call C functions (in C files, or
// defined with extern "C").
//
// Note: LLVM optimizations can inline and remove functions, after which you will not be
//       able to call them. Closure can also do so. To avoid that, add your function to
//       the exports using something like
//
//         -s EXPORTED_FUNCTIONS='["_main", "_myfunc"]'
//
// @param ident      The name of the C function (note that C++ functions will be name-mangled - use extern "C")
// @param returnType The return type of the function, one of the JS types 'number', 'string' or 'array' (use 'number' for any C pointer, and
//                   'array' for JavaScript arrays and typed arrays; note that arrays are 8-bit).
// @param argTypes   An array of the types of arguments for the function (if there are no arguments, this can be ommitted). Types are as in returnType,
//                   except that 'array' is not possible (there is no way for us to know the length of the array)
// @param args       An array of the arguments to the function, as native JS values (as in returnType)
//                   Note that string arguments will be stored on the stack (the JS string will become a C string on the stack).
// @return           The return value, as a native JS value (as in returnType)
function ccall(ident, returnType, argTypes, args) {
  return ccallFunc(getCFunc(ident), returnType, argTypes, args);
}
Module["ccall"] = ccall;

// Returns the C function with a specified identifier (for C++, you need to do manual name mangling)
function getCFunc(ident) {
  try {
    var func = Module['_' + ident]; // closure exported function
    if (!func) func = eval('_' + ident); // explicit lookup
  } catch(e) {
  }
  assert(func, 'Cannot call unknown function ' + ident + ' (perhaps LLVM optimizations or closure removed it?)');
  return func;
}

// Internal function that does a C call using a function, not an identifier
function ccallFunc(func, returnType, argTypes, args) {
  var stack = 0;
  function toC(value, type) {
    if (type == 'string') {
      if (value === null || value === undefined || value === 0) return 0; // null string
      value = intArrayFromString(value);
      type = 'array';
    }
    if (type == 'array') {
      if (!stack) stack = Runtime.stackSave();
      var ret = Runtime.stackAlloc(value.length);
      writeArrayToMemory(value, ret);
      return ret;
    }
    return value;
  }
  function fromC(value, type) {
    if (type == 'string') {
      return Pointer_stringify(value);
    }
    assert(type != 'array');
    return value;
  }
  var i = 0;
  var cArgs = args ? args.map(function(arg) {
    return toC(arg, argTypes[i++]);
  }) : [];
  var ret = fromC(func.apply(null, cArgs), returnType);
  if (stack) Runtime.stackRestore(stack);
  return ret;
}

// Returns a native JS wrapper for a C function. This is similar to ccall, but
// returns a function you can call repeatedly in a normal way. For example:
//
//   var my_function = cwrap('my_c_function', 'number', ['number', 'number']);
//   alert(my_function(5, 22));
//   alert(my_function(99, 12));
//
function cwrap(ident, returnType, argTypes) {
  var func = getCFunc(ident);
  return function() {
    return ccallFunc(func, returnType, argTypes, Array.prototype.slice.call(arguments));
  }
}
Module["cwrap"] = cwrap;

// Sets a value in memory in a dynamic way at run-time. Uses the
// type data. This is the same as makeSetValue, except that
// makeSetValue is done at compile-time and generates the needed
// code then, whereas this function picks the right code at
// run-time.
// Note that setValue and getValue only do *aligned* writes and reads!
// Note that ccall uses JS types as for defining types, while setValue and
// getValue need LLVM types ('i8', 'i32') - this is a lower-level operation
function setValue(ptr, value, type, noSafe) {
  type = type || 'i8';
  if (type.charAt(type.length-1) === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': HEAP8[(ptr)]=value; break;
      case 'i8': HEAP8[(ptr)]=value; break;
      case 'i16': HEAP16[((ptr)>>1)]=value; break;
      case 'i32': HEAP32[((ptr)>>2)]=value; break;
      case 'i64': (tempI64 = [value>>>0,(tempDouble=value,(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)],HEAP32[((ptr)>>2)]=tempI64[0],HEAP32[(((ptr)+(4))>>2)]=tempI64[1]); break;
      case 'float': HEAPF32[((ptr)>>2)]=value; break;
      case 'double': HEAPF64[((ptr)>>3)]=value; break;
      default: abort('invalid type for setValue: ' + type);
    }
}
Module['setValue'] = setValue;

// Parallel to setValue.
function getValue(ptr, type, noSafe) {
  type = type || 'i8';
  if (type.charAt(type.length-1) === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': return HEAP8[(ptr)];
      case 'i8': return HEAP8[(ptr)];
      case 'i16': return HEAP16[((ptr)>>1)];
      case 'i32': return HEAP32[((ptr)>>2)];
      case 'i64': return HEAP32[((ptr)>>2)];
      case 'float': return HEAPF32[((ptr)>>2)];
      case 'double': return HEAPF64[((ptr)>>3)];
      default: abort('invalid type for setValue: ' + type);
    }
  return null;
}
Module['getValue'] = getValue;

var ALLOC_NORMAL = 0; // Tries to use _malloc()
var ALLOC_STACK = 1; // Lives for the duration of the current function call
var ALLOC_STATIC = 2; // Cannot be freed
var ALLOC_DYNAMIC = 3; // Cannot be freed except through sbrk
var ALLOC_NONE = 4; // Do not allocate
Module['ALLOC_NORMAL'] = ALLOC_NORMAL;
Module['ALLOC_STACK'] = ALLOC_STACK;
Module['ALLOC_STATIC'] = ALLOC_STATIC;
Module['ALLOC_DYNAMIC'] = ALLOC_DYNAMIC;
Module['ALLOC_NONE'] = ALLOC_NONE;

// allocate(): This is for internal use. You can use it yourself as well, but the interface
//             is a little tricky (see docs right below). The reason is that it is optimized
//             for multiple syntaxes to save space in generated code. So you should
//             normally not use allocate(), and instead allocate memory using _malloc(),
//             initialize it with setValue(), and so forth.
// @slab: An array of data, or a number. If a number, then the size of the block to allocate,
//        in *bytes* (note that this is sometimes confusing: the next parameter does not
//        affect this!)
// @types: Either an array of types, one for each byte (or 0 if no type at that position),
//         or a single type which is used for the entire block. This only matters if there
//         is initial data - if @slab is a number, then this does not matter at all and is
//         ignored.
// @allocator: How to allocate memory, see ALLOC_*
function allocate(slab, types, allocator, ptr) {
  var zeroinit, size;
  if (typeof slab === 'number') {
    zeroinit = true;
    size = slab;
  } else {
    zeroinit = false;
    size = slab.length;
  }

  var singleType = typeof types === 'string' ? types : null;

  var ret;
  if (allocator == ALLOC_NONE) {
    ret = ptr;
  } else {
    ret = [_malloc, Runtime.stackAlloc, Runtime.staticAlloc, Runtime.dynamicAlloc][allocator === undefined ? ALLOC_STATIC : allocator](Math.max(size, singleType ? 1 : types.length));
  }

  if (zeroinit) {
    var ptr = ret, stop;
    assert((ret & 3) == 0);
    stop = ret + (size & ~3);
    for (; ptr < stop; ptr += 4) {
      HEAP32[((ptr)>>2)]=0;
    }
    stop = ret + size;
    while (ptr < stop) {
      HEAP8[((ptr++)|0)]=0;
    }
    return ret;
  }

  if (singleType === 'i8') {
    if (slab.subarray || slab.slice) {
      HEAPU8.set(slab, ret);
    } else {
      HEAPU8.set(new Uint8Array(slab), ret);
    }
    return ret;
  }

  var i = 0, type, typeSize, previousType;
  while (i < size) {
    var curr = slab[i];

    if (typeof curr === 'function') {
      curr = Runtime.getFunctionIndex(curr);
    }

    type = singleType || types[i];
    if (type === 0) {
      i++;
      continue;
    }

    if (type == 'i64') type = 'i32'; // special case: we have one i32 here, and one i32 later

    setValue(ret+i, curr, type);

    // no need to look up size unless type changes, so cache it
    if (previousType !== type) {
      typeSize = Runtime.getNativeTypeSize(type);
      previousType = type;
    }
    i += typeSize;
  }

  return ret;
}
Module['allocate'] = allocate;

function Pointer_stringify(ptr, /* optional */ length) {
  // TODO: use TextDecoder
  // Find the length, and check for UTF while doing so
  var hasUtf = false;
  var t;
  var i = 0;
  while (1) {
    t = HEAPU8[(((ptr)+(i))|0)];
    if (t >= 128) hasUtf = true;
    else if (t == 0 && !length) break;
    i++;
    if (length && i == length) break;
  }
  if (!length) length = i;

  var ret = '';

  if (!hasUtf) {
    var MAX_CHUNK = 1024; // split up into chunks, because .apply on a huge string can overflow the stack
    var curr;
    while (length > 0) {
      curr = String.fromCharCode.apply(String, HEAPU8.subarray(ptr, ptr + Math.min(length, MAX_CHUNK)));
      ret = ret ? ret + curr : curr;
      ptr += MAX_CHUNK;
      length -= MAX_CHUNK;
    }
    return ret;
  }

  var utf8 = new Runtime.UTF8Processor();
  for (i = 0; i < length; i++) {
    t = HEAPU8[(((ptr)+(i))|0)];
    ret += utf8.processCChar(t);
  }
  return ret;
}
Module['Pointer_stringify'] = Pointer_stringify;

// Given a pointer 'ptr' to a null-terminated UTF16LE-encoded string in the emscripten HEAP, returns
// a copy of that string as a Javascript String object.
function UTF16ToString(ptr) {
  var i = 0;

  var str = '';
  while (1) {
    var codeUnit = HEAP16[(((ptr)+(i*2))>>1)];
    if (codeUnit == 0)
      return str;
    ++i;
    // fromCharCode constructs a character from a UTF-16 code unit, so we can pass the UTF16 string right through.
    str += String.fromCharCode(codeUnit);
  }
}
Module['UTF16ToString'] = UTF16ToString;

// Copies the given Javascript String object 'str' to the emscripten HEAP at address 'outPtr',
// null-terminated and encoded in UTF16LE form. The copy will require at most (str.length*2+1)*2 bytes of space in the HEAP.
function stringToUTF16(str, outPtr) {
  for(var i = 0; i < str.length; ++i) {
    // charCodeAt returns a UTF-16 encoded code unit, so it can be directly written to the HEAP.
    var codeUnit = str.charCodeAt(i); // possibly a lead surrogate
    HEAP16[(((outPtr)+(i*2))>>1)]=codeUnit;
  }
  // Null-terminate the pointer to the HEAP.
  HEAP16[(((outPtr)+(str.length*2))>>1)]=0;
}
Module['stringToUTF16'] = stringToUTF16;

// Given a pointer 'ptr' to a null-terminated UTF32LE-encoded string in the emscripten HEAP, returns
// a copy of that string as a Javascript String object.
function UTF32ToString(ptr) {
  var i = 0;

  var str = '';
  while (1) {
    var utf32 = HEAP32[(((ptr)+(i*4))>>2)];
    if (utf32 == 0)
      return str;
    ++i;
    // Gotcha: fromCharCode constructs a character from a UTF-16 encoded code (pair), not from a Unicode code point! So encode the code point to UTF-16 for constructing.
    if (utf32 >= 0x10000) {
      var ch = utf32 - 0x10000;
      str += String.fromCharCode(0xD800 | (ch >> 10), 0xDC00 | (ch & 0x3FF));
    } else {
      str += String.fromCharCode(utf32);
    }
  }
}
Module['UTF32ToString'] = UTF32ToString;

// Copies the given Javascript String object 'str' to the emscripten HEAP at address 'outPtr',
// null-terminated and encoded in UTF32LE form. The copy will require at most (str.length+1)*4 bytes of space in the HEAP,
// but can use less, since str.length does not return the number of characters in the string, but the number of UTF-16 code units in the string.
function stringToUTF32(str, outPtr) {
  var iChar = 0;
  for(var iCodeUnit = 0; iCodeUnit < str.length; ++iCodeUnit) {
    // Gotcha: charCodeAt returns a 16-bit word that is a UTF-16 encoded code unit, not a Unicode code point of the character! We must decode the string to UTF-32 to the heap.
    var codeUnit = str.charCodeAt(iCodeUnit); // possibly a lead surrogate
    if (codeUnit >= 0xD800 && codeUnit <= 0xDFFF) {
      var trailSurrogate = str.charCodeAt(++iCodeUnit);
      codeUnit = 0x10000 + ((codeUnit & 0x3FF) << 10) | (trailSurrogate & 0x3FF);
    }
    HEAP32[(((outPtr)+(iChar*4))>>2)]=codeUnit;
    ++iChar;
  }
  // Null-terminate the pointer to the HEAP.
  HEAP32[(((outPtr)+(iChar*4))>>2)]=0;
}
Module['stringToUTF32'] = stringToUTF32;

function demangle(func) {
  try {
    // Special-case the entry point, since its name differs from other name mangling.
    if (func == 'Object._main' || func == '_main') {
      return 'main()';
    }
    if (typeof func === 'number') func = Pointer_stringify(func);
    if (func[0] !== '_') return func;
    if (func[1] !== '_') return func; // C function
    if (func[2] !== 'Z') return func;
    switch (func[3]) {
      case 'n': return 'operator new()';
      case 'd': return 'operator delete()';
    }
    var i = 3;
    // params, etc.
    var basicTypes = {
      'v': 'void',
      'b': 'bool',
      'c': 'char',
      's': 'short',
      'i': 'int',
      'l': 'long',
      'f': 'float',
      'd': 'double',
      'w': 'wchar_t',
      'a': 'signed char',
      'h': 'unsigned char',
      't': 'unsigned short',
      'j': 'unsigned int',
      'm': 'unsigned long',
      'x': 'long long',
      'y': 'unsigned long long',
      'z': '...'
    };
    function dump(x) {
      //return;
      if (x) Module.print(x);
      Module.print(func);
      var pre = '';
      for (var a = 0; a < i; a++) pre += ' ';
      Module.print (pre + '^');
    }
    var subs = [];
    function parseNested() {
      i++;
      if (func[i] === 'K') i++; // ignore const
      var parts = [];
      while (func[i] !== 'E') {
        if (func[i] === 'S') { // substitution
          i++;
          var next = func.indexOf('_', i);
          var num = func.substring(i, next) || 0;
          parts.push(subs[num] || '?');
          i = next+1;
          continue;
        }
        if (func[i] === 'C') { // constructor
          parts.push(parts[parts.length-1]);
          i += 2;
          continue;
        }
        var size = parseInt(func.substr(i));
        var pre = size.toString().length;
        if (!size || !pre) { i--; break; } // counter i++ below us
        var curr = func.substr(i + pre, size);
        parts.push(curr);
        subs.push(curr);
        i += pre + size;
      }
      i++; // skip E
      return parts;
    }
    var first = true;
    function parse(rawList, limit, allowVoid) { // main parser
      limit = limit || Infinity;
      var ret = '', list = [];
      function flushList() {
        return '(' + list.join(', ') + ')';
      }
      var name;
      if (func[i] === 'N') {
        // namespaced N-E
        name = parseNested().join('::');
        limit--;
        if (limit === 0) return rawList ? [name] : name;
      } else {
        // not namespaced
        if (func[i] === 'K' || (first && func[i] === 'L')) i++; // ignore const and first 'L'
        var size = parseInt(func.substr(i));
        if (size) {
          var pre = size.toString().length;
          name = func.substr(i + pre, size);
          i += pre + size;
        }
      }
      first = false;
      if (func[i] === 'I') {
        i++;
        var iList = parse(true);
        var iRet = parse(true, 1, true);
        ret += iRet[0] + ' ' + name + '<' + iList.join(', ') + '>';
      } else {
        ret = name;
      }
      paramLoop: while (i < func.length && limit-- > 0) {
        //dump('paramLoop');
        var c = func[i++];
        if (c in basicTypes) {
          list.push(basicTypes[c]);
        } else {
          switch (c) {
            case 'P': list.push(parse(true, 1, true)[0] + '*'); break; // pointer
            case 'R': list.push(parse(true, 1, true)[0] + '&'); break; // reference
            case 'L': { // literal
              i++; // skip basic type
              var end = func.indexOf('E', i);
              var size = end - i;
              list.push(func.substr(i, size));
              i += size + 2; // size + 'EE'
              break;
            }
            case 'A': { // array
              var size = parseInt(func.substr(i));
              i += size.toString().length;
              if (func[i] !== '_') throw '?';
              i++; // skip _
              list.push(parse(true, 1, true)[0] + ' [' + size + ']');
              break;
            }
            case 'E': break paramLoop;
            default: ret += '?' + c; break paramLoop;
          }
        }
      }
      if (!allowVoid && list.length === 1 && list[0] === 'void') list = []; // avoid (void)
      return rawList ? list : ret + flushList();
    }
    return parse();
  } catch(e) {
    return func;
  }
}

function demangleAll(text) {
  return text.replace(/__Z[\w\d_]+/g, function(x) { var y = demangle(x); return x === y ? x : (x + ' [' + y + ']') });
}

function stackTrace() {
  var stack = new Error().stack;
  return stack ? demangleAll(stack) : '(no stack trace available)'; // Stack trace is not available at least on IE10 and Safari 6.
}

// Memory management

var PAGE_SIZE = 4096;
function alignMemoryPage(x) {
  return (x+4095)&-4096;
}

var HEAP;
var HEAP8, HEAPU8, HEAP16, HEAPU16, HEAP32, HEAPU32, HEAPF32, HEAPF64;

var STATIC_BASE = 0, STATICTOP = 0, staticSealed = false; // static area
var STACK_BASE = 0, STACKTOP = 0, STACK_MAX = 0; // stack area
var DYNAMIC_BASE = 0, DYNAMICTOP = 0; // dynamic area handled by sbrk

function enlargeMemory() {
  abort('Cannot enlarge memory arrays. Either (1) compile with -s TOTAL_MEMORY=X with X higher than the current value ' + TOTAL_MEMORY + ', (2) compile with ALLOW_MEMORY_GROWTH which adjusts the size at runtime but prevents some optimizations, or (3) set Module.TOTAL_MEMORY before the program runs.');
}

var TOTAL_STACK = Module['TOTAL_STACK'] || 5242880;
var TOTAL_MEMORY = Module['TOTAL_MEMORY'] || 536870912;
var FAST_MEMORY = Module['FAST_MEMORY'] || 2097152;

var totalMemory = 4096;
while (totalMemory < TOTAL_MEMORY || totalMemory < 2*TOTAL_STACK) {
  if (totalMemory < 16*1024*1024) {
    totalMemory *= 2;
  } else {
    totalMemory += 16*1024*1024
  }
}
if (totalMemory !== TOTAL_MEMORY) {
  Module.printErr('increasing TOTAL_MEMORY to ' + totalMemory + ' to be more reasonable');
  TOTAL_MEMORY = totalMemory;
}

// Initialize the runtime's memory
// check for full engine support (use string 'subarray' to avoid closure compiler confusion)
assert(typeof Int32Array !== 'undefined' && typeof Float64Array !== 'undefined' && !!(new Int32Array(1)['subarray']) && !!(new Int32Array(1)['set']),
       'Cannot fallback to non-typed array case: Code is too specialized');

var buffer = new ArrayBuffer(TOTAL_MEMORY);
HEAP8 = new Int8Array(buffer);
HEAP16 = new Int16Array(buffer);
HEAP32 = new Int32Array(buffer);
HEAPU8 = new Uint8Array(buffer);
HEAPU16 = new Uint16Array(buffer);
HEAPU32 = new Uint32Array(buffer);
HEAPF32 = new Float32Array(buffer);
HEAPF64 = new Float64Array(buffer);

// Endianness check (note: assumes compiler arch was little-endian)
HEAP32[0] = 255;
assert(HEAPU8[0] === 255 && HEAPU8[3] === 0, 'Typed arrays 2 must be run on a little-endian system');

Module['HEAP'] = HEAP;
Module['HEAP8'] = HEAP8;
Module['HEAP16'] = HEAP16;
Module['HEAP32'] = HEAP32;
Module['HEAPU8'] = HEAPU8;
Module['HEAPU16'] = HEAPU16;
Module['HEAPU32'] = HEAPU32;
Module['HEAPF32'] = HEAPF32;
Module['HEAPF64'] = HEAPF64;

function callRuntimeCallbacks(callbacks) {
  while(callbacks.length > 0) {
    var callback = callbacks.shift();
    if (typeof callback == 'function') {
      callback();
      continue;
    }
    var func = callback.func;
    if (typeof func === 'number') {
      if (callback.arg === undefined) {
        Runtime.dynCall('v', func);
      } else {
        Runtime.dynCall('vi', func, [callback.arg]);
      }
    } else {
      func(callback.arg === undefined ? null : callback.arg);
    }
  }
}

var __ATPRERUN__  = []; // functions called before the runtime is initialized
var __ATINIT__    = []; // functions called during startup
var __ATMAIN__    = []; // functions called when main() is to be run
var __ATEXIT__    = []; // functions called during shutdown
var __ATPOSTRUN__ = []; // functions called after the runtime has exited

var runtimeInitialized = false;

function preRun() {
  // compatibility - merge in anything from Module['preRun'] at this time
  if (Module['preRun']) {
    if (typeof Module['preRun'] == 'function') Module['preRun'] = [Module['preRun']];
    while (Module['preRun'].length) {
      addOnPreRun(Module['preRun'].shift());
    }
  }
  callRuntimeCallbacks(__ATPRERUN__);
}

function ensureInitRuntime() {
  if (runtimeInitialized) return;
  runtimeInitialized = true;
  callRuntimeCallbacks(__ATINIT__);
}

function preMain() {
  callRuntimeCallbacks(__ATMAIN__);
}

function exitRuntime() {
  callRuntimeCallbacks(__ATEXIT__);
}

function postRun() {
  // compatibility - merge in anything from Module['postRun'] at this time
  if (Module['postRun']) {
    if (typeof Module['postRun'] == 'function') Module['postRun'] = [Module['postRun']];
    while (Module['postRun'].length) {
      addOnPostRun(Module['postRun'].shift());
    }
  }
  callRuntimeCallbacks(__ATPOSTRUN__);
}

function addOnPreRun(cb) {
  __ATPRERUN__.unshift(cb);
}
Module['addOnPreRun'] = Module.addOnPreRun = addOnPreRun;

function addOnInit(cb) {
  __ATINIT__.unshift(cb);
}
Module['addOnInit'] = Module.addOnInit = addOnInit;

function addOnPreMain(cb) {
  __ATMAIN__.unshift(cb);
}
Module['addOnPreMain'] = Module.addOnPreMain = addOnPreMain;

function addOnExit(cb) {
  __ATEXIT__.unshift(cb);
}
Module['addOnExit'] = Module.addOnExit = addOnExit;

function addOnPostRun(cb) {
  __ATPOSTRUN__.unshift(cb);
}
Module['addOnPostRun'] = Module.addOnPostRun = addOnPostRun;

// Tools

// This processes a JS string into a C-line array of numbers, 0-terminated.
// For LLVM-originating strings, see parser.js:parseLLVMString function
function intArrayFromString(stringy, dontAddNull, length /* optional */) {
  var ret = (new Runtime.UTF8Processor()).processJSString(stringy);
  if (length) {
    ret.length = length;
  }
  if (!dontAddNull) {
    ret.push(0);
  }
  return ret;
}
Module['intArrayFromString'] = intArrayFromString;

function intArrayToString(array) {
  var ret = [];
  for (var i = 0; i < array.length; i++) {
    var chr = array[i];
    if (chr > 0xFF) {
      chr &= 0xFF;
    }
    ret.push(String.fromCharCode(chr));
  }
  return ret.join('');
}
Module['intArrayToString'] = intArrayToString;

// Write a Javascript array to somewhere in the heap
function writeStringToMemory(string, buffer, dontAddNull) {
  var array = intArrayFromString(string, dontAddNull);
  var i = 0;
  while (i < array.length) {
    var chr = array[i];
    HEAP8[(((buffer)+(i))|0)]=chr;
    i = i + 1;
  }
}
Module['writeStringToMemory'] = writeStringToMemory;

function writeArrayToMemory(array, buffer) {
  for (var i = 0; i < array.length; i++) {
    HEAP8[(((buffer)+(i))|0)]=array[i];
  }
}
Module['writeArrayToMemory'] = writeArrayToMemory;

function writeAsciiToMemory(str, buffer, dontAddNull) {
  for (var i = 0; i < str.length; i++) {
    HEAP8[(((buffer)+(i))|0)]=str.charCodeAt(i);
  }
  if (!dontAddNull) HEAP8[(((buffer)+(str.length))|0)]=0;
}
Module['writeAsciiToMemory'] = writeAsciiToMemory;

function unSign(value, bits, ignore) {
  if (value >= 0) {
    return value;
  }
  return bits <= 32 ? 2*Math.abs(1 << (bits-1)) + value // Need some trickery, since if bits == 32, we are right at the limit of the bits JS uses in bitshifts
                    : Math.pow(2, bits)         + value;
}
function reSign(value, bits, ignore) {
  if (value <= 0) {
    return value;
  }
  var half = bits <= 32 ? Math.abs(1 << (bits-1)) // abs is needed if bits == 32
                        : Math.pow(2, bits-1);
  if (value >= half && (bits <= 32 || value > half)) { // for huge values, we can hit the precision limit and always get true here. so don't do that
                                                       // but, in general there is no perfect solution here. With 64-bit ints, we get rounding and errors
                                                       // TODO: In i64 mode 1, resign the two parts separately and safely
    value = -2*half + value; // Cannot bitshift half, as it may be at the limit of the bits JS uses in bitshifts
  }
  return value;
}

// check for imul support, and also for correctness ( https://bugs.webkit.org/show_bug.cgi?id=126345 )
if (!Math['imul'] || Math['imul'](0xffffffff, 5) !== -5) Math['imul'] = function imul(a, b) {
  var ah  = a >>> 16;
  var al = a & 0xffff;
  var bh  = b >>> 16;
  var bl = b & 0xffff;
  return (al*bl + ((ah*bl + al*bh) << 16))|0;
};
Math.imul = Math['imul'];


var Math_abs = Math.abs;
var Math_cos = Math.cos;
var Math_sin = Math.sin;
var Math_tan = Math.tan;
var Math_acos = Math.acos;
var Math_asin = Math.asin;
var Math_atan = Math.atan;
var Math_atan2 = Math.atan2;
var Math_exp = Math.exp;
var Math_log = Math.log;
var Math_sqrt = Math.sqrt;
var Math_ceil = Math.ceil;
var Math_floor = Math.floor;
var Math_pow = Math.pow;
var Math_imul = Math.imul;
var Math_fround = Math.fround;
var Math_min = Math.min;

// A counter of dependencies for calling run(). If we need to
// do asynchronous work before running, increment this and
// decrement it. Incrementing must happen in a place like
// PRE_RUN_ADDITIONS (used by emcc to add file preloading).
// Note that you can add dependencies in preRun, even though
// it happens right before run - run will be postponed until
// the dependencies are met.
var runDependencies = 0;
var runDependencyWatcher = null;
var dependenciesFulfilled = null; // overridden to take different actions when all run dependencies are fulfilled

function addRunDependency(id) {
  runDependencies++;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
}
Module['addRunDependency'] = addRunDependency;
function removeRunDependency(id) {
  runDependencies--;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
  if (runDependencies == 0) {
    if (runDependencyWatcher !== null) {
      clearInterval(runDependencyWatcher);
      runDependencyWatcher = null;
    }
    if (dependenciesFulfilled) {
      var callback = dependenciesFulfilled;
      dependenciesFulfilled = null;
      callback(); // can add another dependenciesFulfilled
    }
  }
}
Module['removeRunDependency'] = removeRunDependency;

Module["preloadedImages"] = {}; // maps url to image data
Module["preloadedAudios"] = {}; // maps url to audio data


var memoryInitializer = null;

// === Body ===



STATIC_BASE = 8;

STATICTOP = STATIC_BASE + 8573280;



















































































































































var _stdout;
var _stdout=_stdout=allocate(1, "i32*", ALLOC_STATIC);
var _stdin;
var _stdin=_stdin=allocate(1, "i32*", ALLOC_STATIC);
var _stderr;
var _stderr=_stderr=allocate(1, "i32*", ALLOC_STATIC);



















































































































































































































































































































/* global initializers */ __ATINIT__.push({ func: function() { runPostSets() } },{ func: function() { __GLOBAL__I_a() } });









































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































var ___dso_handle;
var ___dso_handle=___dso_handle=allocate(1, "i32*", ALLOC_STATIC);


































































































































































var __ZTVN10__cxxabiv120__si_class_type_infoE;
__ZTVN10__cxxabiv120__si_class_type_infoE=allocate([0,0,0,0,96,45,130,0,62,1,0,0,54,1,0,0,84,0,0,0,200,0,0,0,16,0,0,0,10,0,0,0,10,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;
var __ZTVN10__cxxabiv117__class_type_infoE;
__ZTVN10__cxxabiv117__class_type_infoE=allocate([0,0,0,0,112,45,130,0,62,1,0,0,108,0,0,0,84,0,0,0,200,0,0,0,16,0,0,0,32,0,0,0,6,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;

















































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































var __ZNSt13runtime_errorC1EPKc;
var __ZNSt13runtime_errorD1Ev;
var __ZNSt12length_errorD1Ev;
var __ZNSt12out_of_rangeD1Ev;
var __ZNSt3__16localeC1Ev;
var __ZNSt3__16localeC1ERKS0_;
var __ZNSt3__16localeD1Ev;
var __ZNSt8bad_castC1Ev;
var __ZNSt8bad_castD1Ev;
/* memory initializer */ allocate([0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,44,32,32,82,49,32,61,2,44,101,50,49,46,49,51,44,51,120,44,2,82,50,32,61,2,44,101,50,49,46,49,51,41,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,82,49,32,61,2,44,101,50,49,46,49,51,41,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,73,49,32,61,2,44,105,49,48,44,51,120,44,2,73,50,32,61,2,44,105,49,48,41,0,0,0,0,0,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,73,49,32,61,2,44,105,49,48,41,0,0,0,0,0,0,40,49,120,44,56,48,97,49,41,0,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,0,0,0,0,0,0,0,0,97,108,110,117,109,0,97,108,112,104,97,0,98,108,97,110,107,0,99,110,116,114,108,0,100,105,103,105,116,0,103,114,97,112,104,0,108,111,119,101,114,0,112,114,105,110,116,0,112,117,110,99,116,0,115,112,97,99,101,0,117,112,112,101,114,0,120,100,105,103,105,116,0,0,0,0,0,0,0,0,34,0,0,0,78,0,0,0,32,0,0,0,20,0,0,0,80,0,0,0,54,0,0,0,44,0,0,0,22,0,0,0,76,0,0,0,20,0,0,0,16,0,0,0,52,0,0,0,36,0,0,0,66,0,0,0,58,0,0,0,14,0,0,0,22,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,44,0,0,0,8,0,0,0,10,0,0,0,44,0,0,0,2,0,0,0,42,0,0,0,38,0,0,0,34,0,0,0,78,0,0,0,32,0,0,0,20,0,0,0,80,0,0,0,54,0,0,0,44,0,0,0,22,0,0,0,76,0,0,0,20,0,0,0,16,0,0,0,52,0,0,0,36,0,0,0,66,0,0,0,58,0,0,0,14,0,0,0,22,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,44,0,0,0,8,0,0,0,10,0,0,0,44,0,0,0,2,0,0,0,42,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,88,189,0,0,110,0,0,0,8,92,2,0,114,0,0,0,32,207,1,0,102,0,0,0,184,140,1,0,97,0,0,0,32,44,1,0,101,0,0,0,208,214,0,0,119,0,0,0,80,175,0,0,87,0,0,0,32,151,0,0,115,0,0,0,16,126,0,0,83,0,0,0,24,102,0,0,100,0,0,0,120,214,2,0,68,0,0,0,112,182,2,0,0,0,0,0,0,0,0,0,16,182,130,0,0,0,0,0,187,189,215,217,223,124,219,61,0,0,0,0,40,177,1,0,72,168,1,0,144,192,130,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,24,183,130,0,0,0,0,0,18,16,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,16,16,34,35,16,36,37,38,39,40,41,42,43,16,44,45,46,17,47,48,17,17,49,17,17,17,50,51,52,53,54,55,56,57,17,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,58,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,59,16,60,61,62,63,64,65,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,66,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,67,16,16,68,16,69,70,71,16,72,16,73,16,16,16,16,74,75,76,77,16,16,78,16,79,80,16,16,16,16,81,16,16,16,16,16,16,16,16,16,16,16,16,16,82,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,83,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,84,85,86,87,16,16,88,89,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,90,16,91,92,93,94,95,96,97,98,16,16,16,16,16,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,254,255,0,252,1,0,0,248,1,0,0,120,0,0,0,0,255,251,223,251,0,0,128,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,0,252,255,224,175,255,255,255,255,255,255,255,255,255,255,223,255,255,255,255,255,32,64,176,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,0,0,0,0,0,134,254,255,255,255,0,64,73,0,0,0,0,0,24,0,223,255,0,200,0,0,0,0,0,0,0,1,0,60,0,0,0,0,0,0,0,0,0,0,0,0,16,224,1,30,0,96,255,191,0,0,0,0,0,0,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,207,3,0,0,0,3,0,32,255,127,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,0,0,0,16,0,32,30,0,48,0,1,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,252,15,0,0,0,0,0,0,0,16,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,3,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,253,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,255,7,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,255,0,0,0,0,0,0,0,16,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,63,2,0,0,0,0,0,0,0,0,0,4,0,0,0,0,16,0,0,0,0,0,0,128,0,128,192,223,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,254,255,255,255,0,252,255,255,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,192,255,223,255,7,0,0,0,0,0,0,0,0,0,0,128,6,0,252,0,0,24,62,0,0,128,191,0,204,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,96,255,255,255,31,0,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,56,0,0,0,0,16,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,0,0,254,127,47,0,0,255,3,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,255,255,255,255,0,0,0,192,0,0,0,0,0,0,0,0,1,0,224,159,0,0,0,0,127,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,16,0,0,252,255,255,255,31,0,0,0,0,0,12,0,0,0,0,0,0,64,0,12,240,0,0,0,0,0,0,192,248,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,255,0,255,255,255,33,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,127,0,0,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,3,224,0,224,0,224,0,96,128,248,255,255,255,252,255,255,255,255,255,127,31,252,241,127,255,127,0,0,255,255,255,3,0,0,255,255,255,255,1,0,123,3,208,193,175,66,0,12,31,188,255,255,0,0,0,0,0,2,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,255,255,255,127,0,0,0,255,7,0,0,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,252,255,255,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,135,3,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,127,255,15,0,0,0,0,0,0,0,0,255,255,255,251,255,255,255,255,255,255,255,255,255,255,15,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,255,15,30,255,255,255,1,252,193,224,0,0,0,0,0,0,0,0,0,0,0,30,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,255,255,255,255,15,0,0,0,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,127,0,0,0,0,0,0,192,0,224,0,0,0,0,0,0,0,0,0,0,0,128,15,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,255,255,127,0,3,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,8,0,0,0,15,255,3,0,0,0,0,0,0,240,0,0,0,0,0,0,0,0,0,16,192,0,0,255,255,3,7,0,0,0,0,0,248,0,0,0,0,8,128,0,0,0,0,0,0,0,0,0,0,8,0,255,63,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,0,0,128,11,0,0,0,0,0,0,0,128,2,0,0,192,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,255,255,255,3,127,0,255,255,255,255,247,255,127,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,255,0,252,1,0,0,248,1,0,0,248,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,127,0,48,135,255,255,255,255,255,143,255,0,0,0,0,0,0,224,255,255,7,255,15,0,0,0,0,0,0,255,255,255,255,255,63,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,143,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,255,0,255,1,0,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,0,0,0,255,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,63,252,255,63,0,0,0,3,0,0,0,0,0,0,254,3,0,0,0,0,0,0,0,0,0,0,0,0,0,24,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,7,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,255,255,255,255,127,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,127,0,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,8,0,0,0,8,0,0,32,0,0,0,32,0,0,128,0,0,0,128,0,0,0,2,0,0,0,2,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,127,254,127,254,255,254,255,0,0,0,0,255,7,255,255,255,127,255,255,255,255,255,255,255,15,255,255,255,255,255,7,0,0,0,0,0,0,0,0,192,255,255,255,7,0,255,255,255,255,255,7,255,1,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,1,0,191,255,255,255,255,255,255,255,255,31,255,255,15,0,255,255,255,255,223,7,0,0,255,255,1,0,255,255,255,255,255,255,255,127,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,30,255,255,255,255,255,255,255,63,15,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,255,255,255,255,255,255,255,255,225,255,0,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,17,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,17,34,35,36,17,37,38,39,40,41,42,43,44,17,45,46,47,16,16,48,16,16,16,16,16,16,16,49,50,51,16,52,53,16,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,54,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,55,17,17,17,17,56,17,57,58,59,60,61,62,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,63,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,64,65,17,66,67,68,69,70,71,72,73,16,16,16,74,75,76,77,78,16,16,16,79,80,16,16,16,16,81,16,16,16,16,16,16,16,16,16,17,17,17,82,83,16,16,16,16,16,16,16,16,16,16,16,17,17,17,17,84,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,17,85,16,16,16,16,86,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,87,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,88,89,90,91,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,92,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,254,255,255,7,254,255,255,7,0,0,0,0,0,4,32,4,255,255,127,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,195,255,3,0,31,80,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,223,60,64,215,255,255,251,255,255,255,255,255,255,255,255,255,191,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,3,252,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,254,255,255,255,127,2,254,255,255,255,255,0,0,0,0,0,255,191,182,0,255,255,255,7,7,0,0,0,255,7,255,255,255,255,255,255,255,254,255,195,255,255,255,255,255,255,255,255,255,255,255,255,239,31,254,225,255,159,0,0,255,255,255,255,255,255,0,224,255,255,255,255,255,255,255,255,255,255,255,255,3,0,255,255,255,255,255,7,48,4,255,255,255,252,255,31,0,0,255,255,255,1,0,0,0,0,0,0,0,0,253,31,0,0,0,0,0,0,240,3,255,127,255,255,255,255,255,255,255,239,255,223,225,255,207,255,254,254,238,159,249,255,255,253,197,227,159,89,128,176,207,255,3,0,238,135,249,255,255,253,109,195,135,25,2,94,192,255,63,0,238,191,251,255,255,253,237,227,191,27,1,0,207,255,0,0,238,159,249,255,255,253,237,227,159,25,192,176,207,255,2,0,236,199,61,214,24,199,255,195,199,29,129,0,192,255,0,0,238,223,253,255,255,253,239,227,223,29,96,3,207,255,0,0,236,223,253,255,255,253,239,227,223,29,96,64,207,255,6,0,236,223,253,255,255,255,255,231,223,93,128,0,207,255,0,252,236,255,127,252,255,255,251,47,127,128,95,255,0,0,12,0,254,255,255,255,255,127,255,7,63,32,255,3,0,0,0,0,150,37,240,254,174,236,255,59,95,32,255,243,0,0,0,0,1,0,0,0,255,3,0,0,255,254,255,255,255,31,254,255,3,255,255,254,255,255,255,31,0,0,0,0,0,0,0,0,255,255,255,255,255,255,127,249,255,3,255,255,231,193,255,255,127,64,255,51,255,255,255,255,191,32,255,255,255,255,255,247,255,255,255,255,255,255,255,255,255,61,127,61,255,255,255,255,255,61,255,255,255,255,61,127,61,255,127,255,255,255,255,255,255,255,61,255,255,255,255,255,255,255,255,135,0,0,0,0,255,255,0,0,255,255,255,255,255,255,255,255,255,255,31,0,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,159,255,255,254,255,255,7,255,255,255,255,255,255,255,255,255,199,1,0,255,223,15,0,255,255,15,0,255,255,15,0,255,223,13,0,255,255,255,255,255,255,207,255,255,1,128,16,255,3,0,0,0,0,255,3,255,255,255,255,255,255,255,255,255,255,255,0,255,255,255,255,255,7,255,255,255,255,255,255,255,255,63,0,255,255,255,31,255,15,255,1,192,255,255,255,255,63,31,0,255,255,255,255,255,15,255,255,255,3,255,3,0,0,0,0,255,255,255,15,255,255,255,255,255,255,255,127,254,255,31,0,255,3,255,3,128,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,239,255,239,15,255,3,0,0,0,0,255,255,255,255,255,243,255,255,255,255,255,255,191,255,3,0,255,255,255,255,255,255,63,0,255,227,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,222,111,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,255,255,63,63,255,255,255,255,63,63,255,170,255,255,255,63,255,255,255,255,255,255,223,95,220,31,207,15,255,31,220,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,128,0,0,255,31,0,0,0,0,0,0,0,0,0,0,0,0,132,252,47,62,80,189,255,243,224,67,0,0,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,255,255,255,255,255,255,3,0,0,255,255,255,255,255,127,255,255,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,120,12,0,255,255,255,255,191,32,255,255,255,255,255,255,255,128,0,0,255,255,127,0,127,127,127,127,127,127,127,127,255,255,255,255,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,0,0,0,254,3,62,31,254,255,255,255,255,255,255,255,255,255,127,224,254,255,255,255,255,255,255,255,255,255,255,247,224,255,255,255,255,63,254,255,255,255,255,255,255,255,255,255,255,127,0,0,255,255,255,7,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,0,0,0,0,0,0,255,255,255,255,255,63,255,31,255,255,255,15,0,0,255,255,255,255,255,127,240,143,255,255,255,128,255,255,255,255,255,255,255,255,255,255,0,0,0,0,128,255,252,255,255,255,255,255,255,255,255,255,255,255,255,121,15,0,255,7,0,0,0,0,0,0,0,0,0,255,187,247,255,255,255,0,0,0,255,255,255,255,255,255,15,0,255,255,255,255,255,255,255,255,15,0,255,3,0,0,252,8,255,255,255,255,255,7,255,255,255,255,7,0,255,255,255,31,255,255,255,255,255,255,247,255,0,128,255,3,0,0,0,0,255,255,255,255,255,255,127,0,255,63,255,3,255,255,127,4,255,255,255,255,255,255,255,127,5,0,0,56,255,255,60,0,126,126,126,0,127,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,7,255,3,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,255,127,248,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,0,127,0,248,224,255,253,127,95,219,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,248,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,255,255,255,255,255,255,255,255,252,255,255,255,255,255,255,0,0,0,0,0,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,255,3,254,255,255,7,254,255,255,7,192,255,255,255,255,255,255,255,255,255,255,127,252,252,252,28,0,0,0,0,255,239,255,255,127,255,255,183,255,63,255,63,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,7,0,0,0,0,0,0,0,0,255,255,255,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,31,255,255,255,255,255,255,1,0,0,0,0,0,255,255,255,127,0,0,255,255,255,7,0,0,0,0,0,0,255,255,255,63,255,255,255,255,15,255,62,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,3,0,0,0,0,0,0,0,0,0,0,63,253,255,255,255,255,191,145,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,63,0,255,255,255,3,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,192,0,0,0,0,0,0,0,0,111,240,239,254,255,255,15,0,0,0,0,0,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,63,0,255,255,63,0,255,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,192,255,0,0,252,255,255,255,255,255,255,1,0,0,255,255,255,1,255,3,255,255,255,255,255,255,199,255,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,30,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,63,0,255,3,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,31,0,255,255,255,255,255,127,0,0,248,255,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,223,255,255,255,255,255,255,255,255,223,100,222,255,235,239,255,255,255,255,255,255,255,191,231,223,223,255,255,255,123,95,252,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,253,255,255,247,255,255,255,247,255,255,223,255,255,255,223,255,255,127,255,255,255,127,255,255,255,253,255,255,255,253,255,255,247,207,255,255,255,255,255,255,239,255,255,255,150,254,247,10,132,234,150,170,150,247,247,94,255,251,255,15,238,251,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,97,108,117,99,117,108,97,116,101,32,111,110,101,32,99,111,108,58,0,0,0,0,0,60,47,115,116,97,116,117,115,62,0,0,0,0,0,0,0,34,62,0,0,0,0,0,0,60,115,116,97,116,117,115,62,0,0,0,0,0,0,0,0,10,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,0,0,0,0,0,0,0,60,112,104,97,115,101,62,85,78,75,78,79,87,78,60,47,112,104,97,115,101,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,48,0,0,0,48,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,240,63,32,184,130,0,0,0,0,0,168,184,130,0,0,0,0,0,48,185,130,0,0,0,0,0,184,185,130,0,0,0,0,0,1,0,0,0,22,2,0,0,73,0,49,1,83,0,127,1,48,1,105,0,120,1,255,0,129,1,83,2,130,1,131,1,132,1,133,1,134,1,84,2,135,1,136,1,137,1,86,2,138,1,87,2,139,1,140,1,142,1,221,1,143,1,89,2,144,1,91,2,145,1,146,1,147,1,96,2,148,1,99,2,150,1,105,2,151,1,104,2,152,1,153,1,156,1,111,2,157,1,114,2,159,1,117,2,166,1,128,2,167,1,168,1,169,1,131,2,172,1,173,1,174,1,136,2,175,1,176,1,177,1,138,2,178,1,139,2,183,1,146,2,184,1,185,1,188,1,189,1,196,1,198,1,196,1,197,1,197,1,198,1,199,1,201,1,199,1,200,1,200,1,201,1,202,1,204,1,202,1,203,1,203,1,204,1,241,1,243,1,241,1,242,1,242,1,243,1,244,1,245,1,246,1,149,1,247,1,191,1,32,2,158,1,134,3,172,3,136,3,173,3,137,3,174,3,138,3,175,3,140,3,204,3,142,3,205,3,143,3,206,3,153,3,69,3,153,3,190,31,163,3,194,3,247,3,248,3,250,3,251,3,96,30,155,30,223,0,223,0,158,30,223,0,89,31,81,31,91,31,83,31,93,31,85,31,95,31,87,31,188,31,179,31,204,31,195,31,236,31,229,31,252,31,243,31,58,2,101,44,59,2,60,2,61,2,154,1,62,2,102,44,65,2,66,2,67,2,128,1,68,2,137,2,69,2,140,2,244,3,184,3,249,3,242,3,253,3,123,3,254,3,124,3,255,3,125,3,192,4,207,4,38,33,201,3,42,33,107,0,43,33,229,0,50,33,78,33,131,33,132,33,96,44,97,44,98,44,107,2,99,44,125,29,100,44,125,2,109,44,81,2,110,44,113,2,111,44,80,2,112,44,82,2,114,44,115,44,117,44,118,44,126,44,63,2,127,44,64,2,242,44,243,44,125,167,121,29,139,167,140,167,141,167,101,2,170,167,102,2,199,16,39,45,205,16,45,45,118,3,119,3,156,3,181,0,146,3,208,3,152,3,209,3,166,3,213,3,160,3,214,3,154,3,240,3,161,3,241,3,149,3,245,3,207,3,215,3,0,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,51,0,0,0,51,0,0,0,51,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,225,1,0,224,124,1,0,144,30,1,0,64,202,0,0,32,171,0,0,104,147,0,0,2,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,10,0,0,0,82,0,0,0,82,0,0,0,30,0,0,0,88,0,0,0,12,0,0,0,8,0,0,0,76,0,0,0,208,0,0,0,208,0,0,0,18,0,0,0,8,0,0,0,160,192,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,214,2,0,101,2,0,0,7,0,0,0,102,2,0,0,79,0,0,0,0,0,0,0,208,214,2,0,94,2,0,0,5,0,0,0,95,2,0,0,74,0,0,0,0,0,0,0,208,214,2,0,26,0,0,0,7,0,0,0,33,0,0,0,3,0,0,0,0,0,0,0,208,214,2,0,18,0,0,0,5,0,0,0,23,0,0,0,3,0,0,0,0,0,0,0,240,4,2,0,27,10,0,0,11,0,0,0,28,10,0,0,96,0,0,0,0,0,0,0,240,4,2,0,77,10,0,0,11,0,0,0,78,10,0,0,91,0,0,0,0,0,0,0,67,68,65,84,65,91,0,0,2,3,4,5,6,7,8,0,0,9,10,11,12,13,14,15,16,17,0,0,0,0,0,0,0,0,0,0,0,0,18,19,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,23,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,128,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,56,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,128,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,208,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,24,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,32,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,120,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,208,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,52,120,44,2,65,116,32,116,104,101,32,114,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,2,44,53,120,44,2,78,117,109,98,101,114,32,111,102,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,61,2,44,105,54,41,0,0,0,40,52,120,44,2,76,101,97,115,116,32,118,97,108,117,101,32,111,102,32,70,32,61,2,44,49,112,100,50,51,46,49,53,44,57,120,44,2,84,104,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,88,32,105,115,58,2,47,40,50,120,44,53,100,49,53,46,54,41,41,0,0,0,0,0,40,47,52,120,44,2,78,101,119,32,82,72,79,32,61,2,44,49,112,100,49,49,46,52,44,53,120,44,2,78,117,109,98,101,114,32,111,102,2,44,2,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,61,2,44,105,54,41,0,0,0,0,0,0,0,0,40,53,120,41,0,0,0,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,97,32,116,114,117,115,116,2,44,2,32,114,101,103,105,111,110,32,115,116,101,112,32,104,97,115,32,102,97,105,108,101,100,32,116,111,32,114,101,100,117,99,101,32,81,46,2,41,0,0,0,0,0,0,0,40,47,52,120,44,2,70,117,110,99,116,105,111,110,32,110,117,109,98,101,114,2,44,105,54,44,2,32,32,32,32,70,32,61,2,44,49,112,100,49,56,46,49,48,44,2,32,32,32,32,84,104,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,88,32,105,115,58,2,47,40,50,120,44,53,100,49,53,46,54,41,41,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,67,65,76,70,85,78,32,104,97,115,32,98,101,101,110,2,44,2,32,99,97,108,108,101,100,32,77,65,88,70,85,78,32,116,105,109,101,115,46,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,200,39,0,0,0,0,0,0,0,0,0,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,78,80,84,32,105,115,32,110,111,116,32,105,110,2,44,2,32,116,104,101,32,114,101,113,117,105,114,101,100,32,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE);
/* memory initializer */ allocate([110,116,101,114,118,97,108,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,41,0,0,0,0,0,40,49,120,44,54,103,49,51,46,53,41,0,0,0,0,0,40,47,2,32,65,32,102,117,114,116,104,101,114,2,44,105,52,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,32,104,97,118,101,32,98,101,101,110,32,117,115,101,100,2,47,41,0,0,0,0,0,0,40,47,47,2,32,67,79,82,82,69,76,65,84,73,79,78,32,77,65,84,82,73,88,58,45,2,41,0,0,0,0,0,40,2,32,73,78,70,79,82,77,65,84,73,79,78,32,77,65,84,82,73,88,58,45,2,47,41,0,0,0,0,0,0,40,47,2,32,73,102,32,116,104,101,32,102,117,110,99,116,105,111,110,32,109,105,110,105,109,105,122,101,100,32,119,97,115,32,45,76,79,71,40,76,73,75,69,76,73,72,79,79,68,41,44,2,47,2,32,116,104,105,115,32,105,115,32,116,104,101,32,99,111,118,97,114,105,97,110,99,101,32,109,97,116,114,105,120,32,111,102,32,116,104,101,32,112,97,114,97,109,101,116,101,114,115,46,2,47,2,32,73,102,32,116,104,101,32,102,117,110,99,116,105,111,110,32,119,97,115,32,97,32,115,117,109,32,111,102,32,115,113,117,97,114,101,115,32,111,102,32,114,101,115,105,100,117,97,108,115,44,2,47,2,32,116,104,105,115,32,109,97,116,114,105,120,32,109,117,115,116,32,98,101,32,109,117,108,116,105,112,108,105,101,100,32,98,121,32,116,119,105,99,101,32,116,104,101,32,101,115,116,105,109,97,116,101,100,2,44,49,120,44,2,114,101,115,105,100,117,97,108,32,118,97,114,105,97,110,99,101,2,47,2,32,116,111,32,111,98,116,97,105,110,32,116,104,101,32,99,111,118,97,114,105,97,110,99,101,32,109,97,116,114,105,120,46,2,47,41,0,0,0,0,40,2,32,82,97,110,107,32,111,102,32,105,110,102,111,114,109,97,116,105,111,110,32,109,97,116,114,105,120,32,61,2,44,105,51,47,2,32,73,110,118,101,114,115,101,32,111,102,32,105,110,102,111,114,109,97,116,105,111,110,32,109,97,116,114,105,120,58,45,2,41,0,40,2,32,73,70,32,84,72,73,83,32,68,73,70,70,69,82,83,32,66,89,32,77,85,67,72,32,70,82,79,77,32,84,72,69,32,77,73,78,73,77,85,77,32,69,83,84,73,77,65,84,69,68,2,44,49,120,44,2,70,82,79,77,32,84,72,69,32,77,73,78,73,77,73,90,65,84,73,79,78,44,2,47,2,32,84,72,69,32,77,73,78,73,77,85,77,32,77,65,89,32,66,69,32,70,65,76,83,69,32,38,47,79,82,32,84,72,69,32,73,78,70,79,82,77,65,84,73,79,78,32,77,65,84,82,73,88,32,77,65,89,32,66,69,2,44,49,120,44,2,73,78,65,67,67,85,82,65,84,69,2,47,41,0,0,0,0,0,40,2,32,77,105,110,105,109,117,109,32,111,102,32,113,117,97,100,114,97,116,105,99,32,115,117,114,102,97,99,101,32,61,2,44,103,49,52,46,54,44,2,32,97,116,2,44,52,40,47,49,120,44,54,103,49,51,46,53,41,41,0,0,0,40,47,49,48,120,44,2,83,101,97,114,99,104,32,114,101,115,116,97,114,116,105,110,103,2,47,41,0,0,0,0,0,40,47,2,32,77,65,84,82,73,88,32,79,70,32,69,83,84,73,77,65,84,69,68,32,83,69,67,79,78,68,32,68,69,82,73,86,65,84,73,86,69,83,32,78,79,84,32,43,86,69,32,68,69,70,78,46,2,47,2,32,77,73,78,73,77,85,77,32,80,82,79,66,65,66,76,89,32,78,79,84,32,70,79,85,78,68,2,47,41,0,0,0,0,0,0,0,40,47,2,32,70,105,116,116,105,110,103,32,113,117,97,100,114,97,116,105,99,32,115,117,114,102,97,99,101,32,97,98,111,117,116,32,115,117,112,112,111,115,101,100,32,109,105,110,105,109,117,109,2,47,41,0,40,2,32,70,117,110,99,116,105,111,110,32,118,97,108,117,101,32,97,116,32,109,105,110,105,109,117,109,32,61,2,44,103,49,52,46,54,41,0,0,40,2,32,77,105,110,105,109,117,109,32,97,116,2,44,52,40,47,49,120,44,54,103,49,51,46,54,41,41,0,0,0,40,47,47,2,32,77,105,110,105,109,117,109,32,102,111,117,110,100,32,97,102,116,101,114,2,44,105,53,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,2,41,0,0,0,40,47,2,32,69,86,73,68,69,78,67,69,32,79,70,32,67,79,78,86,69,82,71,69,78,67,69,2,41,0,0,0,40,2,32,70,117,110,99,116,105,111,110,32,118,97,108,117,101,32,97,116,32,99,101,110,116,114,111,105,100,32,61,2,44,103,49,52,46,54,41,0,40,2,32,67,101,110,116,114,111,105,100,32,111,102,32,108,97,115,116,32,115,105,109,112,108,101,120,32,61,2,44,52,40,47,49,120,44,54,103,49,51,46,53,41,41,0,0,0,40,2,32,82,77,83,32,111,102,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,111,102,32,108,97,115,116,32,115,105,109,112,108,101,120,32,61,2,44,103,49,52,46,54,41,0,0,0,0,0,40,2,32,78,111,46,32,111,102,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,32,62,32,2,44,105,53,41,0,0,40,47,49,120,44,105,52,44,50,120,44,103,49,50,46,53,44,50,120,44,53,103,49,49,46,52,44,51,40,47,50,49,120,44,53,103,49,49,46,52,41,41,0,0,0,0,0,0,40,2,32,80,114,111,103,114,101,115,115,32,82,101,112,111,114,116,32,101,118,101,114,121,2,44,105,52,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,2,47,44,2,32,69,86,65,76,46,32,32,32,70,85,78,67,46,86,65,76,85,69,46,2,44,49,48,120,44,2,80,65,82,65,77,69,84,69,82,32,86,65,76,85,69,83,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,4,254,255,255,135,254,255,255,7,0,0,0,0,0,0,0,0,255,255,127,255,255,255,127,255,255,255,255,255,255,255,243,127,254,253,255,255,255,255,255,127,255,255,255,255,255,255,255,255,15,224,255,255,255,255,49,252,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,1,0,248,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,215,255,255,251,255,255,255,255,127,127,84,253,255,15,0,254,223,255,255,255,255,255,255,255,255,254,223,255,255,255,255,3,0,255,255,255,255,255,255,159,25,255,255,255,207,63,3,0,0,0,0,0,0,254,255,255,255,127,2,254,255,255,255,127,0,0,0,0,0,0,0,0,0,255,255,255,7,7,0,0,0,0,0,254,255,255,7,254,7,0,0,0,0,254,255,255,255,255,255,255,255,255,124,255,127,47,0,96,0,0,0,224,255,255,255,255,255,255,35,0,0,0,255,3,0,0,0,224,159,249,255,255,253,197,3,0,0,0,176,3,0,3,0,224,135,249,255,255,253,109,3,0,0,0,94,0,0,28,0,224,175,251,255,255,253,237,35,0,0,0,0,1,0,0,0,224,159,249,255,255,253,205,35,0,0,0,176,3,0,0,0,224,199,61,214,24,199,191,3,0,0,0,0,0,0,0,0,224,223,253,255,255,253,239,3,0,0,0,0,3,0,0,0,224,223,253,255,255,253,239,3,0,0,0,64,3,0,0,0,224,223,253,255,255,253,255,3,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,255,255,255,255,127,13,0,63,0,0,0,0,0,0,0,150,37,240,254,174,108,13,32,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,254,255,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,63,0,255,255,255,255,127,0,237,218,7,0,0,0,0,80,1,80,49,130,171,98,44,0,0,0,0,64,0,201,128,245,7,0,0,0,0,8,1,2,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,3,255,255,63,63,255,255,255,255,63,63,255,170,255,255,255,63,255,255,255,255,255,255,223,95,220,31,207,15,255,31,220,31,0,0,0,0,64,76,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,254,3,0,0,254,255,255,255,255,255,255,255,255,255,31,0,254,255,255,255,255,255,255,255,255,255,255,7,224,255,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,255,7,254,255,255,135,254,255,255,7,0,0,0,0,0,0,128,0,255,255,127,255,255,255,127,255,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,1,0,248,3,0,3,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,3,0,0,0,192,215,255,255,251,255,255,255,255,127,127,84,253,255,15,0,254,223,255,255,255,255,255,255,255,255,254,223,255,255,255,255,123,0,255,255,255,255,255,255,159,25,255,255,255,207,63,3,0,0,0,0,0,0,254,255,255,255,127,2,254,255,255,255,127,0,254,255,251,255,255,187,22,0,255,255,255,7,7,0,0,0,0,0,254,255,255,7,255,255,7,0,255,3,255,255,255,255,255,255,255,255,255,124,255,127,239,255,255,61,255,3,238,255,255,255,255,255,255,243,255,63,30,255,207,255,0,0,238,159,249,255,255,253,197,211,159,57,128,176,207,255,3,0,228,135,249,255,255,253,109,211,135,57,0,94,192,255,31,0,238,175,251,255,255,253,237,243,191,59,0,0,193,255,0,0,238,159,249,255,255,253,205,243,143,57,192,176,195,255,0,0,236,199,61,214,24,199,191,195,199,61,128,0,128,255,0,0,238,223,253,255,255,253,239,195,223,61,96,0,195,255,0,0,236,223,253,255,255,253,239,195,223,61,96,64,195,255,0,0,236,223,253,255,255,253,255,195,207,61,128,0,195,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,255,255,255,255,127,255,7,255,127,255,3,0,0,0,0,150,37,240,254,174,108,255,59,95,63,255,3,0,0,0,0,0,0,0,3,255,3,160,194,255,254,255,255,255,3,254,255,223,15,191,254,255,63,254,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,31,2,0,0,0,160,0,0,0,254,255,62,0,254,255,255,255,255,255,255,255,255,255,31,102,254,255,255,255,255,255,255,255,255,255,255,119,25,3,26,27,28,29,30,0,0,31,32,33,34,35,36,37,16,17,0,0,0,0,0,0,0,0,0,0,0,0,18,19,38,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,23,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,111,32,101,114,114,111,114,0,78,111,32,109,97,116,99,104,0,73,110,118,97,108,105,100,32,114,101,103,101,120,112,0,85,110,107,110,111,119,110,32,99,111,108,108,97,116,105,110,103,32,101,108,101,109,101,110,116,0,85,110,107,110,111,119,110,32,99,104,97,114,97,99,116,101,114,32,99,108,97,115,115,32,110,97,109,101,0,84,114,97,105,108,105,110,103,32,98,97,99,107,115,108,97,115,104,0,73,110,118,97,108,105,100,32,98,97,99,107,32,114,101,102,101,114,101,110,99,101,0,77,105,115,115,105,110,103,32,39,93,39,0,77,105,115,115,105,110,103,32,39,41,39,0,77,105,115,115,105,110,103,32,39,125,39,0,73,110,118,97,108,105,100,32,99,111,110,116,101,110,116,115,32,111,102,32,123,125,0,73,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,114,97,110,103,101,0,79,117,116,32,111,102,32,109,101,109,111,114,121,0,82,101,112,101,116,105,116,105,111,110,32,110,111,116,32,112,114,101,99,101,100,101,100,32,98,121,32,118,97,108,105,100,32,101,120,112,114,101,115,115,105,111,110,0,0,85,110,107,110,111,119,110,32,101,114,114,111,114,0,0,0,36,0,0,0,0,0,0,0,196,0,0,0,0,0,0,0,64,186,130,0,0,0,0,0,0,0,0,0,0,0,0,0,67,68,65,84,65,91,0,0,44,0,0,0,24,0,0,0,60,0,0,0,52,0,0,0,72,0,0,0,50,0,0,0,30,0,0,0,18,0,0,0,90,0,0,0,96,0,0,0,26,0,0,0,82,0,0,0,40,0,0,0,60,0,0,0,8,0,0,0,4,0,0,0,16,0,0,0,2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,24,0,0,0,60,0,0,0,52,0,0,0,72,0,0,0,50,0,0,0,30,0,0,0,18,0,0,0,90,0,0,0,96,0,0,0,26,0,0,0,82,0,0,0,40,0,0,0,60,0,0,0,8,0,0,0,4,0,0,0,16,0,0,0,2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,78,0,0,0,32,0,0,0,20,0,0,0,80,0,0,0,54,0,0,0,44,0,0,0,22,0,0,0,76,0,0,0,20,0,0,0,16,0,0,0,52,0,0,0,36,0,0,0,66,0,0,0,58,0,0,0,20,0,0,0,18,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,78,0,0,0,32,0,0,0,20,0,0,0,80,0,0,0,54,0,0,0,44,0,0,0,22,0,0,0,76,0,0,0,20,0,0,0,16,0,0,0,52,0,0,0,36,0,0,0,66,0,0,0,58,0,0,0,20,0,0,0,18,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,9,0,0,0,10,0,0,0,13,0,0,0,11,0,0,0,12,0,0,0,133,0,0,0,0,32,0,0,1,32,0,0,2,32,0,0,3,32,0,0,4,32,0,0,5,32,0,0,6,32,0,0,8,32,0,0,9,32,0,0,10,32,0,0,40,32,0,0,41,32,0,0,95,32,0,0,0,48,0,0,0,0,0,0,34,0,0,0,78,0,0,0,32,0,0,0,20,0,0,0,80,0,0,0,54,0,0,0,44,0,0,0,22,0,0,0,76,0,0,0,20,0,0,0,16,0,0,0,52,0,0,0,36,0,0,0,66,0,0,0,58,0,0,0,14,0,0,0,22,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,44,0,0,0,8,0,0,0,10,0,0,0,44,0,0,0,2,0,0,0,42,0,0,0,38,0,0,0,34,0,0,0,78,0,0,0,32,0,0,0,20,0,0,0,80,0,0,0,54,0,0,0,44,0,0,0,22,0,0,0,76,0,0,0,20,0,0,0,16,0,0,0,52,0,0,0,36,0,0,0,66,0,0,0,58,0,0,0,14,0,0,0,22,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,44,0,0,0,8,0,0,0,10,0,0,0,44,0,0,0,2,0,0,0,42,0,0,0,38,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,120,109,108,61,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0,0,0,0,0,0,0,0,114,101,99,111,110,58,119,97,108,108,58,118,48,49,0,0,136,98,130,0,32,98,130,0,240,97,130,0,24,98,130,0,8,98,130,0,248,97,130,0,3,0,0,0,0,0,0,0,255,255,255,255,128,192,130,0,128,192,130,0,128,192,130,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,208,2,2,0,216,151,1,0,232,50,1,0,208,222,0,0,0,65,2,0,0,170,2,0,144,1,0,0,0,0,0,0,160,178,130,0,0,0,0,0,8,59,0,0,72,81,0,0,192,1,0,0,72,78,0,0,72,78,0,0,40,56,0,0,192,1,0,0,0,0,0,0,120,60,0,0,184,82,0,0,48,3,0,0,184,79,0,0,184,79,0,0,152,57,0,0,48,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,76,0,0,0,0,176,60,49,101,0,0,0,0,16,0,244,14,255,255,255,255,239,127,0,0,0,0,0,0,0,0,78,79,84,65,84,73,79,78,40,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,78,77,84,79,75,69,78,83,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,0,73,68,82,69,70,83,0,0,73,68,82,69,70,0,0,0,73,68,0,0,0,0,0,0,69,78,84,73,84,89,0,0,69,78,84,73,84,73,69,83,0,0,0,0,0,0,0,0,67,68,65,84,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,96,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,47,2,32,87,65,82,78,73,78,71,46,32,84,104,101,32,118,97,108,117,101,32,69,77,73,78,32,109,97,121,32,98,101,32,105,110,99,111,114,114,101,99,116,58,45,2,44,2,32,32,69,77,73,78,32,61,32,2,44,105,56,44,47,2,32,73,102,44,32,97,102,116,101,114,32,105,110,115,112,101,99,116,105,111,110,44,32,116,104,101,32,118,97,108,117,101,32,69,77,73,78,32,108,111,111,107,115,2,44,2,32,97,99,99,101,112,116,97,98,108,101,32,112,108,101,97,115,101,32,99,111,109,109,101,110,116,32,111,117,116,32,2,44,47,2,32,116,104,101,32,73,70,32,98,108,111,99,107,32,97,115,32,109,97,114,107,101,100,32,119,105,116,104,105,110,32,116,104,101,32,99,111,100,101,32,111,102,32,114,111,117,116,105,110,101,2,44,2,32,68,76,65,77,67,50,44,2,44,47,2,32,111,116,104,101,114,119,105,115,101,32,115,117,112,112,108,121,32,69,77,73,78,32,101,120,112,108,105,99,105,116,108,121,46,2,44,47,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,112,137,0,255,9,47,15,10,0,0,0,100,0,0,0,232,3,0,0,16,39,0,0,160,134,1,0,64,66,15,0,128,150,152,0,0,225,245,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,63,1,0,136,49,1,0,0,42,1,0,104,33,1,0,48,25,1,0,64,17,1,0,168,9,1,0,200,1,1,0,144,63,1,0,160,249,0,0,32,241,0,0,104,233,0,0,176,221,0,0,24,213,0,0,192,204,0,0,48,198,0,0,0,0,0,0,208,205,1,0,112,196,1,0,144,192,130,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,0,32,26,192,0,32,31,0,1,1,47,50,1,1,5,57,1,1,15,74,1,1,45,121,1,1,5,112,3,1,3,145,3,32,17,163,3,32,9,0,4,80,16,16,4,32,32,96,4,1,33,138,4,1,53,193,4,1,13,208,4,1,63,20,5,1,19,49,5,48,38,160,1,1,5,179,1,1,3,205,1,1,15,222,1,1,17,248,1,1,39,34,2,1,17,216,3,1,23,0,30,1,149,160,30,1,95,8,31,248,8,24,31,248,6,40,31,248,8,56,31,248,8,72,31,248,6,104,31,248,8,136,31,248,8,152,31,248,8,168,31,248,8,184,31,248,2,186,31,182,2,200,31,170,4,216,31,248,2,218,31,156,2,232,31,248,2,234,31,144,2,248,31,128,2,250,31,130,2,70,2,1,9,16,5,1,3,96,33,16,16,0,44,48,47,103,44,1,5,128,44,1,99,235,44,1,3,64,166,1,45,128,166,1,23,34,167,1,13,50,167,1,61,121,167,1,3,126,167,1,9,144,167,1,3,160,167,1,9,33,255,32,26,0,0,0,0,152,192,130,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,255,255,255,255,0,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,191,0,0,128,63,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,9,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,34,3,0,0,0,0,0,0,33,3,0,0,0,0,0,0,7,0,0,0,0,0,0,0,174,2,0,0,0,0,0,0,173,2,0,0,0,0,0,0,169,2,0,0,0,0,0,0,168,2,0,0,0,0,0,0,165,2,0,0,0,0,0,0,164,2,0,0,0,0,0,0,163,2,0,0,0,0,0,0,160,2,0,0,0,0,0,0,159,2,0,0,0,0,0,0,158,2,0,0,0,0,0,0,149,2,0,0,0,0,0,0,148,2,0,0,0,0,0,0,140,2,0,0,0,0,0,0,139,2,0,0,0,0,0,0,138,2,0,0,0,0,0,0,129,2,0,0,0,0,0,0,128,2,0,0,0,0,0,0,119,2,0,0,0,0,0,0,118,2,0,0,0,0,0,0,110,2,0,0,0,0,0,0,109,2,0,0,0,0,0,0,108,2,0,0,0,0,0,0,6,0,0,0,0,0,0,0,99,2,0,0,0,0,0,0,98,2,0,0,0,0,0,0,60,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,203,0,0,0,0,0,0,0,202,0,0,0,0,0,0,0,201,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,208,46,1,0,0,0,0,0,104,118,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,68,65,84,65,91,0,0,96,0,0,0,10,0,0,0,28,0,0,0,42,0,0,0,48,0,0,0,84,0,0,0,34,0,0,0,70,0,0,0,32,0,0,0,56,0,0,0,88,0,0,0,72,0,0,0,70,0,0,0,120,0,0,0,12,0,0,0,2,0,0,0,28,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,0,0,0,10,0,0,0,28,0,0,0,42,0,0,0,48,0,0,0,84,0,0,0,34,0,0,0,70,0,0,0,32,0,0,0,56,0,0,0,88,0,0,0,72,0,0,0,70,0,0,0,120,0,0,0,12,0,0,0,2,0,0,0,28,0,0,0,2], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+10240);
/* memory initializer */ allocate([21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,130,0,192,98,130,0,184,98,130,0,176,98,130,0,208,98,130,0,216,98,130,0,120,98,130,0,104,98,130,0,34,0,0,0,78,0,0,0,32,0,0,0,20,0,0,0,80,0,0,0,54,0,0,0,44,0,0,0,22,0,0,0,76,0,0,0,20,0,0,0,16,0,0,0,52,0,0,0,36,0,0,0,66,0,0,0,58,0,0,0,8,0,0,0,18,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,78,0,0,0,32,0,0,0,20,0,0,0,80,0,0,0,54,0,0,0,44,0,0,0,22,0,0,0,76,0,0,0,20,0,0,0,16,0,0,0,52,0,0,0,36,0,0,0,66,0,0,0,58,0,0,0,8,0,0,0,18,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,50,48,48,48,47,120,109,108,110,115,47,0,0,0,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0,0,0,0,72,187,130,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,91,37,108,100,93,32,37,115,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,74,117,108,0,0,0,0,0,38,108,116,59,0,0,0,0,114,97,100,97,117,49,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,68,101,115,105,114,101,100,32,115,116,101,112,32,116,111,32,115,109,97,108,108,32,116,114,121,32,110,101,120,116,32,111,110,101,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,69,120,97,109,112,108,101,115,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,84,95,115,116,97,114,116,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,53,46,84,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,74,117,110,0,0,0,0,0,114,98,0,0,0,0,0,0,100,101,114,40,0,0,0,0,114,97,100,97,117,51,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,37,115,115,116,97,114,116,61,37,103,37,115,44,32,102,105,120,101,100,61,37,115,44,32,37,115,110,111,109,105,110,97,108,61,37,103,37,115,44,32,109,105,110,61,37,103,44,32,109,97,120,61,37,103,41,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,104,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,104,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,0,0,0,0,0,0,65,112,114,0,0,0,0,0,60,47,102,111,114,109,97,116,62,10,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,114,97,100,97,117,53,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,87,84,0,0,69,114,114,111,114,32,119,104,105,108,101,32,105,110,105,116,105,97,108,105,122,101,32,68,97,116,97,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,110,78,111,100,101,115,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,0,77,97,114,0,0,0,0,0,32,40,99,112,117,32,116,105,109,101,41,60,47,100,111,117,98,108,101,62,10,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,115,41,0,0,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,80,97,114,97,109,101,116,101,114,32,108,101,110,103,116,104,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,111,114,32,101,113,117,97,108,32,104,101,105,103,104,116,95,97,98,46,0,0,0,0,105,110,116,101,114,97,99,116,105,118,101,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,53,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,41,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,41,44,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,41,0,0,0,0,0,70,101,98,0,0,0,0,0,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,0,0,0,0,60,100,111,117,98,108,101,62,0,0,0,0,0,0,0,0,105,109,112,111,114,116,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,105,110,108,105,110,101,45,101,117,108,101,114,0,0,0,0,83,116,114,105,110,103,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,41,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,53,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,49,41,0,0,0,0,0,0,74,97,110,0,0,0,0,0,32,40,99,97,108,108,115,41,60,47,117,105,110,116,51,50,62,10,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,44,32,119,105,116,104,32,105,110,116,101,114,118,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,97,115,115,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,53,46,109,97,115,115,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,0,78,111,110,45,117,110,105,116,0,0,0,0,0,0,0,0,68,101,99,101,109,98,101,114,0,0,0,0,0,0,0,0,60,117,105,110,116,51,50,62,0,0,0,0,0,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,108,100,41,0,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,32,75,41,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,91,94,91,58,115,112,97,99,101,58,93,93,0,0,0,0,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,0,78,111,118,101,109,98,101,114,0,0,0,0,0,0,0,0,60,100,111,117,98,108,101,62,99,112,117,32,116,105,109,101,60,47,100,111,117,98,108,101,62,10,0,0,0,0,0,0,101,117,108,101,114,0,0,0,66,111,111,108,101,97,110,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,44,32,102,105,120,101,100,61,37,115,41,0,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,108,111,99,97,108,101,32,102,111,114,32,115,116,97,110,100,97,114,100,32,105,110,112,117,116,0,0,0,105,109,112,111,114,116,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,49,48,40,51,46,55,32,42,32,100,105,97,109,101,116,101,114,32,47,32,114,111,117,103,104,110,101,115,115,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,34,32,105,115,32,110,101,103,97,116,105,118,101,10,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,0,0,0,117,110,105,116,32,110,111,116,32,99,111,110,110,101,99,116,101,100,0,0,0,0,0,0,82,101,113,117,101,115,116,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,112,114,111,102,105,108,101,114,32,105,110,100,101,120,32,37,108,100,44,32,98,117,116,32,119,101,32,111,110,108,121,32,104,97,118,101,32,37,108,100,32,115,117,99,104,32,98,108,111,99,107,115,0,0,0,0,115,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,60,33,68,79,67,84,89,80,69,32,100,111,99,32,91,32,32,60,33,69,76,69,77,69,78,84,32,115,105,109,117,108,97,116,105,111,110,32,40,109,111,100,101,108,105,110,102,111,44,32,118,97,114,105,97,98,108,101,115,44,32,102,117,110,99,116,105,111,110,115,44,32,101,113,117,97,116,105,111,110,115,41,62,32,32,60,33,65,84,84,76,73,83,84,32,118,97,114,105,97,98,108,101,32,105,100,32,73,68,32,35,82,69,81,85,73,82,69,68,62,32,32,60,33,69,76,69,77,69,78,84,32,101,113,117,97,116,105,111,110,32,40,114,101,102,115,41,62,32,32,60,33,65,84,84,76,73,83,84,32,101,113,117,97,116,105,111,110,32,105,100,32,73,68,32,35,82,69,81,85,73,82,69,68,62,32,32,60,33,69,76,69,77,69,78,84,32,112,114,111,102,105,108,101,98,108,111,99,107,115,32,40,112,114,111,102,105,108,101,98,108,111,99,107,42,41,62,32,32,60,33,69,76,69,77,69,78,84,32,112,114,111,102,105,108,101,98,108,111,99,107,32,40,114,101,102,115,44,32,110,99,97,108,108,44,32,116,105,109,101,44,32,109,97,120,84,105,109,101,41,62,32,32,60,33,69,76,69,77,69,78,84,32,114,101,102,115,32,40,114,101,102,42,41,62,32,32,60,33,65,84,84,76,73,83,84,32,114,101,102,32,114,101,102,105,100,32,73,68,82,69,70,32,35,82,69,81,85,73,82,69,68,62,32,32,93,62,10,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,65,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,53,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,108,115,32,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,0,0,0,37,115,44,32,37,115,32,37,108,117,10,0,0,0,0,0,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,0,88,76,97,98,101,108,58,32,116,10,10,0,0,0,0,0,100,117,112,108,105,99,97,116,101,32,97,116,116,114,105,98,117,116,101,0,0,0,0,0,67,97,110,110,111,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,0,0,37,108,100,44,0,0,0,0,76,79,71,95,73,78,73,84,0,0,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,112,97,114,97,109,101,116,101,114,41,0,0,79,99,116,111,98,101,114,0,80,79,0,0,0,0,0,0,60,100,111,117,98,108,101,62,116,105,109,101,60,47,100,111,117,98,108,101,62,10,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,115,121,109,98,111,108,105,99,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,118,97,114,121,32,115,111,108,117,116,105,111,110,32,112,111,105,110,116,32,98,121,32,49,37,37,46,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,100,105,115,99,114,101,116,101,0,0,0,0,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,32,105,115,32,105,110,118,97,108,105,100,0,0,0,0,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,34,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,51,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,51,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,0,112,105,118,111,116,32,33,61,32,48,0,0,0,0,0,0,83,101,112,116,101,109,98,101,114,0,0,0,0,0,0,0,60,117,105,110,116,51,50,62,115,116,101,112,60,47,117,105,110,116,51,50,62,10,0,0,110,117,109,101,114,105,99,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,0,0,0,80,114,101,115,115,117,114,101,32,40,61,32,0,0,0,0,68,105,115,97,98,108,101,100,32,116,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,98,101,99,97,117,115,101,32,116,104,101,32,111,117,116,112,117,116,32,102,105,108,101,32,99,111,117,108,100,32,110,111,116,32,98,101,32,103,101,110,101,114,97,116,101,100,58,32,37,115,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,91,37,108,100,93,32,115,97,109,112,108,101,40,37,103,44,32,37,103,41,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,88,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,88,95,115,116,97,114,116,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,0,65,117,103,117,115,116,0,0,60,102,111,114,109,97,116,62,10,0,0,0,0,0,0,0,110,111,110,101,0,0,0,0,73,110,116,101,103,101,114,32,37,115,40,37,115,115,116,97,114,116,61,37,108,100,37,115,44,32,102,105,120,101,100,61,37,115,44,32,109,105,110,61,37,108,100,44,32,109,97,120,61,37,108,100,41,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,53,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,76,0,0,0,0,0,0,0,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,0,74,117,108,121,0,0,0,0,60,102,105,108,101,115,105,122,101,62,37,108,100,60,47,102,105,108,101,115,105,122,101,62,10,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,115,121,109,98,111,108,105,99,97,108,108,121,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,114,101,97,108,32,118,97,114,105,97,98,108,101,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,34,46,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,32,62,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,53,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,0,74,117,110,101,0,0,0,0,60,47,102,105,108,101,110,97,109,101,62,10,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,110,117,109,101,114,105,99,97,108,108,121,0,0,0,36,112,68,69,82,46,0,0,68,65,83,83,76,45,45,32,32,87,69,82,69,32,73,78,67,82,69,65,83,69,68,32,84,79,32,65,80,80,82,79,80,82,73,65,84,69,32,86,65,76,85,69,83,0,0,0,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,34,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,0,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,77,97,121,0,0,0,0,0,60,102,105,108,101,110,97,109,101,62,0,0,0,0,0,0,115,101,116,115,32,97,108,108,32,118,97,114,105,97,98,108,101,115,32,116,111,32,116,104,101,105,114,32,115,116,97,114,116,32,118,97,108,117,101,115,32,97,110,100,32,115,107,105,112,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,99,101,115,115,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,0,0,0,36,90,69,82,79,46,0,0,99,97,110,39,116,32,115,116,97,116,32,102,105,108,101,0,32,75,32,60,61,32,84,32,60,61,32,0,0,0,0,0,105,108,115,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+20485);
/* memory initializer */ allocate([93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,0,69,0,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,116,111,116,97,108,32,33,61,32,48,0,0,0,0,0,0,0,65,112,114,105,108,0,0,0,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,0,37,115,95,112,114,111,102,46,100,97,116,97,0,0,0,0,105,112,111,112,116,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,103,41,0,0,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,115,116,97,116,101,95,98,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,0,114,98,0,0,0,0,0,0,77,97,114,99,104,0,0,0,60,47,118,97,114,105,97,98,108,101,62,10,0,0,0,0,107,105,110,115,111,108,95,115,99,97,108,101,100,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,0,0,0,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,115,116,97,116,101,95,97,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,0,85,112,112,101,114,0,0,0,70,101,98,114,117,97,114,121,0,0,0,0,0,0,0,0,34,32,99,111,109,109,101,110,116,61,34,0,0,0,0,0,107,105,110,115,111,108,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,97,116,101,68,101,114,105,118,97,116,105,118,101,115,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,114,101,97,100,32,105,110,112,117,116,45,102,105,108,101,32,60,37,115,62,32,91,37,115,93,0,0,0,0,0,66,111,117,110,100,97,114,121,95,112,84,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,91,91,58,115,112,97,99,101,58,93,93,0,0,0,0,0,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,0,74,97,110,117,97,114,121,0,60,118,97,114,105,97,98,108,101,32,105,100,61,34,118,97,114,37,100,34,32,110,97,109,101,61,34,0,0,0,0,0,110,101,108,100,101,114,95,109,101,97,100,95,101,120,0,0,105,109,112,111,114,116,32,115,116,97,114,116,32,118,97,108,117,101,115,10,102,105,108,101,58,32,37,115,10,116,105,109,101,58,32,37,103,0,0,0,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,0,0,0,0,0,0,0,0,120,109,108,45,62,110,70,117,110,99,116,105,111,110,115,32,61,61,32,40,108,111,110,103,41,32,117,115,101,114,68,97,116,97,91,51,93,0,0,0,110,111,32,115,112,97,99,101,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,99,97,108,108,111,99,32,102,97,105,108,101,100,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,0,108,105,115,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,41,32,43,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,41,41,32,42,32,118,97,108,118,101,49,46,65,118,32,42,32,109,97,120,40,118,97,108,118,101,49,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,44,32,48,46,48,48,49,41,0,0,0,0,84,105,116,108,101,84,101,120,116,58,32,79,112,101,110,77,111,100,101,108,105,99,97,32,115,105,109,117,108,97,116,105,111,110,32,112,108,111,116,10,0,0,0,0,0,0,0,0,109,105,115,109,97,116,99,104,101,100,32,116,97,103,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,102,105,108,101,32,37,115,0,0,0,0,0,76,79,71,95,69,86,69,78,84,83,95,86,0,0,0,0,91,37,108,100,93,32,114,101,115,105,100,117,97,108,32,105,115,32,105,110,101,102,102,101,99,116,105,118,101,32,40,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,105,115,32,115,101,116,32,116,111,32,49,46,48,41,0,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,112,97,114,97,109,101,116,101,114,41,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,0,0,0,0,0,0,0,84,82,73,0,0,0,0,0,119,114,105,116,97,98,108,101,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,112,114,101,45,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,0,0,110,101,119,117,111,97,0,0,102,97,108,115,101,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,111,108,100,32,118,97,108,117,101,115,46,0,0,0,0,0,0,0,115,121,109,98,111,108,105,99,0,0,0,0,0,0,0,0,73,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,32,118,97,108,117,101,115,32,40,115,99,97,108,101,100,41,0,0,0,0,0,0,78,101,119,116,111,110,32,82,97,112,104,115,111,110,0,0,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,0,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,115,105,109,112,108,101,120,0,116,114,117,101,0,0,0,0,110,117,109,101,114,105,99,0,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,0,115,116,97,116,101,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,103,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,0,0,0,0,34,32,115,116,97,114,116,108,105,110,101,61,34,37,100,34,32,115,116,97,114,116,99,111,108,61,34,37,100,34,32,101,110,100,108,105,110,101,61,34,37,100,34,32,101,110,100,99,111,108,61,34,37,100,34,32,114,101,97,100,111,110,108,121,61,34,37,115,34,32,47,62,10,0,0,0,0,0,0,0,73,110,116,101,114,105,111,114,32,80,111,105,110,116,32,79,80,84,105,109,105,122,101,114,0,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,99,111,117,108,100,32,110,111,116,32,112,97,115,115,101,100,32,116,111,32,68,68,65,83,82,84,0,0,0,0,0,0,110,111,110,101,0,0,0,0,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,85,0,0,0,0,0,0,0,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,0,0,0,0,60,105,110,102,111,32,102,105,108,101,110,97,109,101,61,34,0,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,100,101,98,117,103,0,0,0,123,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,115,121,109,98,111,108,105,99,97,108,108,121,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,0,0,0,0,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,83,0,0,0,101,0,0,0,112,0,0,0,0,0,0,0,60,47,102,117,110,99,116,105,111,110,62,10,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,101,114,114,111,114,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,110,117,109,101,114,105,99,97,108,108,121,0,0,0,68,65,83,83,76,45,45,32,32,70,79,82,32,80,82,69,67,73,83,73,79,78,32,79,70,32,77,65,67,72,73,78,69,46,32,82,84,79,76,32,65,78,68,32,65,84,79,76,0,0,0,0,0,0,0,0,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,0,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,0,65,0,0,0,117,0,0,0,103,0,0,0,0,0,0,0,60,102,117,110,99,116,105,111,110,32,105,100,61,34,102,117,110,37,100,34,62,10,0,0,69,120,116,101,110,100,101,100,32,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,32,40,115,101,101,32,45,105,108,115,32,102,111,114,32,103,108,111,98,97,108,32,104,111,109,111,116,111,112,121,41,32,45,32,100,101,102,97,117,108,116,0,0,0,0,119,97,114,110,105,110,103,0,82,101,97,108,32,37,115,40,37,115,115,116,97,114,116,61,37,103,37,115,44,32,102,105,120,101,100,61,37,115,44,32,37,115,110,111,109,105,110,97,108,61,37,103,37,115,44,32,109,105,110,61,37,103,44,32,109,97,120,61,37,103,41,0,115,101,116,115,32,97,108,108,32,118,97,114,105,97,98,108,101,115,32,116,111,32,116,104,101,105,114,32,115,116,97,114,116,32,118,97,108,117,101,115,32,97,110,100,32,115,107,105,112,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,99,101,115,115,0,0,0,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,0,105,105,116,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,119,105,108,108,32,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,32,119,105,116,104,32,116,104,101,32,118,97,108,117,101,115,32,102,114,111,109,32,116,104,101,32,102,105,108,101,10,32,32,110,111,116,101,32,116,104,97,116,58,32,45,111,118,101,114,114,105,100,101,70,105,108,101,32,67,65,78,78,79,84,32,98,101,32,117,115,101,100,32,119,105,116,104,32,45,111,118,101,114,114,105,100,101,10,32,32,117,115,101,32,119,104,101,110,32,118,97,114,105,97,98,108,101,115,32,102,111,114,32,45,111,118,101,114,114,105,100,101,32,97,114,101,32,116,111,111,32,109,97,110,121,32,97,110,100,32,100,111,32,110,111,116,32,102,105,116,32,105,110,32,99,111,109,109,97,110,100,32,108,105,110,101,32,115,105,122,101,10,32,32,111,118,101,114,114,105,100,101,70,105,108,101,78,97,109,101,32,99,111,110,116,97,105,110,115,32,108,105,110,101,115,32,111,102,32,116,104,101,32,102,111,114,109,58,32,118,97,114,49,61,115,116,97,114,116,49,0,0,0,0,0,0,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,109,97,120,32,33,61,32,48,0,74,0,0,0,117,0,0,0,108,0,0,0,0,0,0,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,0,0,0,0,102,117,110,0,0,0,0,0,66,114,101,110,116,39,115,32,109,101,116,104,111,100,0,0,105,110,102,111,0,0,0,0,109,97,120,0,0,0,0,0,105,112,111,112,116,0,0,0,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,10,32,32,101,46,103,46,32,118,97,114,49,61,115,116,97,114,116,49,44,118,97,114,50,61,115,116,97,114,116,50,44,112,97,114,51,61,115,116,97,114,116,51,44,115,116,97,114,116,84,105,109,101,61,118,97,108,49,44,115,116,111,112,84,105,109,101,61,118,97,108,50,44,115,116,101,112,83,105,122,101,61,118,97,108,51,44,10,32,32,32,32,32,32,32,116,111,108,101,114,97,110,99,101,61,118,97,108,52,44,115,111,108,118,101,114,61,34,115,101,101,32,45,115,34,44,111,117,116,112,117,116,70,111,114,109,97,116,61,34,109,97,116,124,112,108,116,124,99,115,118,124,101,109,112,116,121,34,44,118,97,114,105,97,98,108,101,70,105,108,116,101,114,61,34,102,105,108,116,101,114,34,0,0,0,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,100,97,116,97,95,50,0,0,74,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,60,47,101,113,117,97,116,105,111,110,62,10,0,0,0,0,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,0,0,0,0,0,0,38,103,116,59,0,0,0,0,109,105,110,0,0,0,0,0,107,105,110,115,111,108,95,115,99,97,108,101,100,0,0,0,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,111,117,116,112,117,116,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,97,44,32,98,32,97,110,100,32,99,32,97,116,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,116,111,32,116,104,101,32,115,116,97,110,100,97,114,100,32,111,117,116,112,117,116,10,32,32,116,105,109,101,32,61,32,118,97,108,117,101,44,32,97,32,61,32,118,97,108,117,101,44,32,98,32,61,32,118,97,108,117,101,44,32,99,32,61,32,118,97,108,117,101,0,0,0,0,0,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,85,110,105,116,0,0,0,0,77,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,60,99,97,108,99,105,110,102,111,32,116,105,109,101,61,34,37,102,34,32,99,111,117,110,116,61,34,37,108,117,34,47,62,10,0,0,0,0,0,0,117,110,107,110,111,119,110,0,38,108,116,59,0,0,0,0,110,111,109,105,110,97,108,0,107,105,110,115,111,108,0,0,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,91,94,91,58,97,108,110,117,109,58,93,95,93,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,111,117,116,112,117,116,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,109,101,97,115,117,114,101,32,116,105,109,101,32,102,117,110,99,116,105,111,110,97,108,105,116,121,10,32,32,115,118,103,10,32,32,106,112,103,10,32,32,112,115,10,32,32,103,105,102,10,32,32,46,46,46,0,0,0,0,0,0,0,0,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,0,65,0,0,0,112,0,0,0,114,0,0,0,0,0,0,0,60,47,114,101,102,115,62,10,0,0,0,0,0,0,0,0,85,110,104,97,110,100,108,101,100,32,65,115,115,101,114,116,105,111,110,45,69,114,114,111,114,0,0,0,0,0,0,0,38,97,109,112,59,0,0,0,117,115,101,78,111,109,105,110,97,108,0,0,0,0,0,0,110,101,108,100,101,114,95,109,101,97,100,95,101,120,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,115,113,114,116,40,114,104,111,32,42,32,107,95,105,110,118,32,42,32,97,98,115,40,100,112,95,102,114,105,99,95,116,117,114,98,117,108,101,110,116,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,61,32,48,0,0,0,0,0,0,0,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,0,110,117,108,108,32,102,105,108,101,32,110,97,109,101,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,37,115,0,120,109,108,45,62,110,69,113,117,97,116,105,111,110,115,32,61,61,32,40,108,111,110,103,41,32,117,115,101,114,68,97,116,97,91,49,93,0,0,0,102,111,114,116,46,37,108,100,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,69,120,101,99,117,116,105,111,110,32,116,105,109,101,32,111,102,32,103,108,111,98,97,108,32,115,116,101,112,115,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,103,105,110,103,32,108,101,118,101,108,0,0,0,0,0,0,0,108,97,112,97,99,107,0,0,115,105,110,107,46,109,101,100,105,117,109,46,100,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,102,105,108,101,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,10,0,0,0,0,0,0,0,0,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,0,35,73,110,116,101,114,118,97,108,83,105,122,101,61,37,108,100,10,0,0,0,0,0,0,112,97,114,116,105,97,108,32,99,104,97,114,97,99,116,101,114,0,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,109,97,116,32,102,105,108,101,32,37,115,0,36,99,112,117,84,105,109,101,0,0,0,0,0,0,0,0,108,97,109,98,100,97,0,0,76,79,71,95,69,86,69,78,84,83,0,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,115,116,97,114,116,32,118,97,108,117,101,32,114,101,115,105,100,117,97,108,115,58,32,37,108,100,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,0,0,0,0,0,0,77,0,0,0,97,0,0,0,114,0,0,0,0,0,0,0,66,82,68,0,0,0,0,0,60,114,101,102,32,114,101,102,105,100,61,34,118,97,114,37,100,34,32,47,62,10,0,0,116,105,109,101,114,0,0,0,69,114,114,111,114,58,32,0,34,32,47,62,10,0,0,0,102,105,120,101,100,0,0,0,120,91,37,100,93,32,61,32,37,46,49,53,101,10,9,114,101,115,105,100,117,97,108,32,61,32,37,101,0,0,0,0,110,101,119,117,111,97,0,0,73,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,32,118,97,108,117,101,115,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,51,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,51,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,104,101,97,116,56,91,49,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,104,101,97,116,56,91,49,93,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,102,111,114,32,73,112,111,112,116,44,32,100,101,102,97,117,108,116,32,109,117,109,112,115,46,10,32,78,111,116,101,58,32,85,115,101,32,105,102,32,121,111,117,32,98,117,105,108,100,32,105,112,111,112,116,32,119,105,116,104,32,111,116,104,101,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,108,105,107,101,32,109,97,50,55,0,0,0,0,0,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,70,0,0,0,101,0,0,0,98,0,0,0,0,0,0,0,60,114,101,102,115,62,10,0,60,47,109,101,115,115,97,103,101,62,10,0,0,0,0,0,115,116,97,114,116,0,0,0,115,105,109,112,108,101,120,0,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,0,116,105,109,101,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,70,65,76,83,69,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,10,32,32,108,97,112,97,99,107,44,32,108,105,115,0,0,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,84,72,69,32,76,65,83,84,32,83,84,69,80,32,84,69,82,77,73,78,65,84,69,68,32,87,73,84,72,32,65,32,78,69,71,65,84,73,86,69,0,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,0,0,0,0,34,62,10,0,0,0,0,0,60,117,115,101,100,32,105,110,100,101,120,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+30725);
/* memory initializer */ allocate([37,100,34,32,47,62,10,0,0,0,0,87,97,114,110,105,110,103,58,32,0,0,0,0,0,0,0,117,115,101,83,116,97,114,116,0,0,0,0,0,0,0,0,98,97,115,101,95,97,114,114,97,121,46,99,58,32,97,114,114,97,121,32,105,115,32,78,85,76,76,33,10,0,0,0,74,97,99,111,98,105,97,110,32,111,114,32,83,112,97,114,115,101,80,97,116,116,101,114,110,32,105,115,32,110,111,116,32,103,101,110,101,114,97,116,101,100,32,111,114,32,102,97,105,108,101,100,32,116,111,32,105,110,105,116,105,97,108,105,122,101,33,32,83,119,105,116,99,104,32,98,97,99,107,32,116,111,32,110,111,114,109,97,108,46,0,0,0,0,0,0,73,110,116,101,114,105,111,114,32,80,111,105,110,116,32,79,80,84,105,109,105,122,101,114,0,0,0,0,0,0,0,0,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,104,101,97,116,56,91,50,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,104,101,97,116,56,91,50,93,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,111,114,32,111,112,116,105,109,105,122,97,116,105,111,110,32,40,115,105,109,44,32,99,111,110,115,116,41,0,77,0,0,0,0,0,0,0,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,60,101,113,117,97,116,105,111,110,32,105,100,61,34,101,113,37,100,34,32,110,97,109,101,61,34,0,0,0,0,0,0,65,115,115,101,114,116,105,111,110,32,116,114,105,103,103,101,114,101,100,32,98,121,32,101,120,116,101,114,110,97,108,32,67,32,102,117,110,99,116,105,111,110,0,0,0,0,0,0,34,62,10,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,32,62,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,32,62,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,102,111,114,32,73,112,111,112,116,40,83,89,77,44,32,78,85,77,44,32,78,85,77,68,69,78,83,69,41,0,0,0,0,0,0,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,117,116,105,108,47,98,97,115,101,95,97,114,114,97,121,46,99,0,0,0,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,60,47,112,114,111,102,105,108,101,98,108,111,99,107,62,10,0,0,0,0,0,0,0,0,60,109,101,115,115,97,103,101,32,115,116,114,101,97,109,61,34,37,115,34,32,116,121,112,101,61,34,37,115,34,32,116,101,120,116,61,34,0,0,0,102,105,108,101,87,114,105,116,97,98,108,101,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,84,79,79,32,77,85,67,72,32,65,67,67,85,82,65,67,89,32,82,69,81,85,69,83,84,69,68,0,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,100,105,97,109,101,116,101,114,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,0,79,0,0,0,99,0,0,0,116,0,0,0,111,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,60,116,105,109,101,62,37,46,57,102,60,47,116,105,109,101,62,10,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,104,101,115,115,101,109,97,116,114,105,120,32,102,111,114,32,73,112,111,112,116,40,79,77,67,44,32,66,70,71,83,44,32,99,111,110,115,116,41,0,0,0,0,0,69,120,116,101,110,100,101,100,32,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,32,40,115,101,101,32,45,105,108,115,32,102,111,114,32,103,108,111,98,97,108,32,104,111,109,111,116,111,112,121,41,32,45,32,100,101,102,97,117,108,116,0,0,0,0,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,0,105,105,109,0,0,0,0,0,99,97,110,39,116,32,98,97,99,107,115,112,97,99,101,32,102,105,108,101,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,115,116,97,116,101,95,98,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,115,116,101,112,115,32,102,111,114,32,104,111,109,111,116,111,112,121,32,109,101,116,104,111,100,32,40,114,101,113,117,105,114,101,100,58,32,45,105,105,109,61,115,121,109,98,111,108,105,99,41,32,111,114,10,39,115,116,97,114,116,32,118,97,108,117,101,32,104,111,109,111,116,111,112,121,39,32,109,101,116,104,111,100,32,40,114,101,113,117,105,114,101,100,58,32,45,105,105,109,61,110,117,109,101,114,105,99,32,45,105,111,109,61,110,101,108,100,101,114,95,109,101,97,100,95,101,120,41,0,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,109,105,110,32,33,61,32,48,0,83,0,0,0,101,0,0,0,112,0,0,0,116,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,0,0,0,0,60,110,99,97,108,108,62,37,100,60,47,110,99,97,108,108,62,10,0,0,0,0,0,0,124,32,0,0,0,0,0,0,101,110,100,67,111,108,117,109,110,0,0,0,0,0,0,0,66,114,101,110,116,39,115,32,109,101,116,104,111,100,0,0,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,115,116,97,116,101,95,97,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,84,95,115,116,97,114,116,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,49,46,84,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,0,0,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,100,97,116,97,95,49,0,0,65,0,0,0,117,0,0,0,103,0,0,0,117,0,0,0,115,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,60,114,101,102,32,114,101,102,105,100,61,34,101,113,37,100,34,47,62,10,0,0,0,0,60,100,105,102,102,67,117,114,114,101,110,116,84,105,109,101,62,37,103,60,47,100,105,102,102,67,117,114,114,101,110,116,84,105,109,101,62,10,0,0,37,45,55,115,32,124,32,0,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,109,105,110,45,118,97,108,117,101,115,0,0,0,0,0,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,110,117,109,101,114,105,99,97,108,32,74,97,99,111,98,105,97,110,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,104,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,104,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,103,101,116,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,116,104,97,116,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,10,32,32,101,46,103,46,32,45,104,101,108,112,61,102,32,112,114,105,110,116,115,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,102,111,114,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,32,102,0,0,0,0,0,0,0,0,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,78,111,32,116,114,97,110,115,112,111,115,101,0,0,0,0,60,112,114,111,102,105,108,101,98,108,111,99,107,62,10,0,60,99,117,114,114,101,110,116,84,105,109,101,62,37,103,60,47,99,117,114,114,101,110,116,84,105,109,101,62,10,0,0,124,0,0,0,0,0,0,0,101,110,100,76,105,110,101,0,117,110,107,110,111,119,110,0,105,110,102,105,110,105,116,121,0,0,0,0,0,0,0,0,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,37,115,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,110,78,111,100,101,115,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,91,91,58,97,108,110,117,109,58,93,95,93,0,0,0,0,32,32,45,32,100,117,109,112,115,32,116,104,101,32,99,112,117,45,116,105,109,101,32,105,110,116,111,32,116,104,101,32,114,101,115,117,108,116,45,102,105,108,101,10,32,32,45,32,36,99,112,117,84,105,109,101,32,105,115,32,116,104,101,32,118,97,114,105,97,98,108,101,32,110,97,109,101,32,105,110,115,105,100,101,32,116,104,101,32,114,101,115,117,108,116,45,102,105,108,101,0,0,0,0,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,74,0,0,0,117,0,0,0,110,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,101,113,0,0,0,0,0,0,60,100,105,102,102,79,108,100,84,105,109,101,62,37,103,60,47,100,105,102,102,79,108,100,84,105,109,101,62,10,0,0,37,45,49,55,115,32,124,32,0,0,0,0,0,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,45,99,97,108,108,115,58,32,37,108,100,0,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,0,68,84,82,83,77,32,0,0,101,97,99,104,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,32,99,97,110,32,111,110,108,121,32,98,101,32,117,115,101,100,32,111,110,99,101,58,32,37,115,0,0,0,0,0,0,83,84,79,80,32,0,0,0,37,115,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,100,97,116,97,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,0,0,0,0,0,0,0,111,112,101,110,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,37,115,37,103,32,0,0,0,115,101,116,32,102,111,114,109,97,116,32,121,32,34,37,103,34,10,0,0,0,0,0,0,37,32,46,53,101,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,49,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,0,115,101,108,101,99,116,115,32,116,104,101,32,116,121,112,101,32,111,102,32,99,108,111,99,107,32,116,111,32,117,115,101,32,45,99,108,111,99,107,61,82,84,44,32,45,99,108,111,99,107,61,67,89,67,32,111,114,32,45,99,108,111,99,107,61,67,80,85,10,32,32,82,84,61,109,111,110,111,116,111,110,105,99,32,114,101,97,108,45,116,105,109,101,32,99,108,111,99,107,44,32,67,80,85,61,112,114,111,99,101,115,115,45,98,97,115,101,100,32,67,80,85,45,116,105,109,101,44,32,67,89,67,61,99,112,117,32,99,121,99,108,101,115,32,109,101,97,115,117,114,101,100,32,119,105,116,104,32,82,68,84,83,67,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,99,111,117,108,100,110,39,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,116,104,101,32,88,77,76,32,112,97,114,115,101,114,33,0,0,0,35,78,117,109,98,101,114,111,102,86,97,114,105,97,98,108,101,115,61,37,100,10,0,0,117,110,99,108,111,115,101,100,32,116,111,107,101,110,0,0,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,0,0,0,0,0,0,100,97,116,97,95,50,0,0,116,105,109,101,0,0,0,0,105,116,101,114,97,116,105,111,110,0,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,73,110,116,101,114,110,97,108,32,101,114,114,111,114,44,32,78,76,79,79,80,32,60,32,49,46,0,0,0,0,0,76,79,71,95,68,83,83,95,74,65,67,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,58,32,32,37,108,100,32,40,37,108,100,32,101,113,117,97,116,105,111,110,115,32,43,32,37,108,100,32,97,108,103,111,114,105,116,104,109,115,41,0,0,0,0,0,0,37,115,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,0,0,0,117,37,100,40,116,41,61,32,37,102,32,9,0,0,0,0,115,101,108,101,99,116,32,37,115,0,0,0,0,0,0,0,72,82,68,0,0,0,0,0,84,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,97,114,101,32,115,116,111,114,101,100,32,105,110,32,37,115,95,112,114,111,102,46,104,116,109,108,32,40,104,117,109,97,110,45,114,101,97,100,97,98,108,101,41,32,97,110,100,32,37,115,95,112,114,111,102,46,120,109,108,32,40,102,111,114,32,88,83,76,32,116,114,97,110,115,102,111,114,109,115,32,111,114,32,109,111,114,101,32,100,101,116,97,105,108,115,41,0,0,0,0,0,0,35,35,35,32,83,84,65,84,73,83,84,73,67,83,32,35,35,35,0,0,0,0,0,0,60,111,108,100,84,105,109,101,50,62,37,46,49,50,103,60,47,111,108,100,84,105,109,101,50,62,10,0,0,0,0,0,115,116,97,114,116,67,111,108,117,109,110,0,0,0,0,0,110,102,117,110,99,32,61,32,37,100,32,43,43,43,32,101,114,114,111,114,32,61,32,37,46,49,53,101,32,43,43,43,32,101,114,114,111,114,95,115,99,97,108,101,100,32,61,32,37,46,49,53,101,0,0,0,110,111,116,32,117,112,100,97,116,105,110,103,32,98,101,115,116,90,0,0,0,0,0,0,115,99,97,108,105,110,103,32,102,97,99,116,111,114,115,32,120,32,118,101,99,116,111,114,0,0,0,0,0,0,0,0,100,101,102,97,117,108,116,32,109,101,116,104,111,100,0,0,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,115,104,111,119,115,32,97,108,108,32,119,97,114,110,105,110,103,115,32,101,118,101,110,32,105,102,32,97,32,114,101,108,97,116,101,100,32,108,111,103,45,115,116,114,101,97,109,32,105,115,32,105,110,97,99,116,105,118,101,0,0,0,0,0,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,65,0,0,0,112,0,0,0,114,0,0,0,105,0,0,0,108,0,0,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,103,101,110,101,114,97,116,101,32,104,116,109,108,32,118,101,114,115,105,111,110,32,111,102,32,112,114,111,102,105,108,105,110,103,32,114,101,115,117,108,116,115,58,32,37,115,10,0,0,0,0,0,0,0,60,111,108,100,84,105,109,101,62,37,46,49,50,103,60,47,111,108,100,84,105,109,101,62,10,0,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,98,101,115,116,90,0,0,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,0,37,115,32,101,118,101,110,116,32,97,116,32,116,105,109,101,32,37,46,49,50,103,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,84,82,85,69,0,0,0,0,97,110,97,108,121,116,105,99,97,108,32,74,97,99,111,98,105,97,110,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,97,115,115,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,49,46,109,97,115,115,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,115,111,108,118,101,114,0,0,0,0,0,0,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,0,77,0,0,0,97,0,0,0,114,0,0,0,99,0,0,0,104,0,0,0,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,32,109,105,115,115,105,110,103,0,0,0,0,0,0,0,0,60,99,117,114,114,101,110,116,83,116,101,112,83,105,122,101,62,37,103,60,47,99,117,114,114,101,110,116,83,116,101,112,83,105,122,101,62,10,0,0,115,116,97,114,116,76,105,110,101,0,0,0,0,0,0,0,78,111,32,83,112,97,114,115,101,80,97,116,116,101,114,110,44,32,115,105,110,99,101,32,116,104,101,114,101,32,97,114,101,32,110,111,32,115,116,97,116,101,115,33,32,83,119,105,116,99,104,32,98,97,99,107,32,116,111,32,110,111,114,109,97,108,46,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,111,112,116,105,111,110,32,45,105,111,109,0,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,91,37,108,100,93,32,37,103,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,70,76,65,71,95,85,78,75,78,79,87,78,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,110,101,119,32,114,101,115,117,108,116,32,102,105,108,101,32,116,104,97,110,32,116,104,101,32,100,101,102,97,117,108,116,32,77,111,100,101,108,95,114,101,115,46,109,97,116,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,0,9,0,0,0,0,0,0,0,70,0,0,0,101,0,0,0,98,0,0,0,114,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,37,115,32,45,111,32,37,115,95,112,114,111,102,46,104,116,109,108,32,37,115,47,115,104,97,114,101,47,111,109,99,47,115,99,114,105,112,116,115,47,100,101,102,97,117,108,116,95,112,114,111,102,105,108,105,110,103,46,120,115,108,32,37,115,95,112,114,111,102,46,120,109,108,0,0,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,45,110,114,46,32,37,108,100,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,115,116,97,116,101,115,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,105,110,116,101,114,97,99,116,105,118,101,32,115,105,109,117,108,97,116,105,111,110,32,112,111,114,116,0,0,0,0,0,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,0,74,0,0,0,97,0,0,0,110,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,120,115,108,116,112,114,111,99,0,0,0,0,0,0,0,0,60,109,111,100,101,108,62,37,115,60,47,109,111,100,101,108,62,10,0,0,0,0,0,0,119,114,105,116,97,98,108,101,0,0,0,0,0,0,0,0,102,105,108,101,78,97,109,101,0,0,0,0,0,0,0,0,35,35,35,32,70,73,78,65,76,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,82,69,83,85,76,84,83,32,35,35,35,0,0,0,0,69,114,114,111,114,32,115,111,108,118,105,110,103,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,37,115,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,84,65,75,69,78,32,79,78,32,84,72,73,83,32,67,65,76,76,32,66,69,70,79,82,69,32,82,69,65,67,72,73,78,71,32,84,79,85,84,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,99,106,58,32,37,103,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,119,105,108,108,32,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,32,119,105,116,104,32,116,104,101,32,118,97,108,117,101,115,32,102,114,111,109,32,116,104,101,32,102,105,108,101,0,0,0,0,0,0,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,0,115,105,110,107,46,109,101,100,105,117,109,46,100,0,0,0,87,97,114,110,105,110,103,58,32,80,108,111,116,32,99,111,109,109,97,110,100,32,102,97,105,108,101,100,10,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,115,107,105,112,32,119,47,111,32,115,99,97,108,105,110,103,0,0,0,0,0,0,0,0,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,0,105,105,102,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,97,116,32,112,111,105,110,116,32,105,110,32,116,105,109,101,58,32,37,103,0,0,0,0,115,101,113,117,101,110,116,105,97,108,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,88,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,88,95,115,116,97,114,116,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,0,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,32,33,61,32,48,0,0,0,0,0,80,77,0,0,0,0,0,0,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,109,111,100,101,108,105,110,102,111,46,99,0,0,78,111,32,118,97,114,105,97,98,108,101,115,32,105,110,32,116,104,101,32,109,111,100,101,108,46,0,0,0,0,0,0,91,37,115,58,37,100,58,37,100,45,37,100,58,37,100,58,37,115,93,0,0,0,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,115,116,97,114,116,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,0,0,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,100,97,115,115,108,116,101,115,116,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,111,117,116,112,117,116,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,97,44,32,98,32,97,110,100,32,99,32,97,116,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,116,111,32,116,104,101,32,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+40965);
/* memory initializer */ allocate([116,97,110,100,97,114,100,32,111,117,116,112,117,116,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,32,62,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,100,97,116,97,73,110,102,111,0,0,0,0,0,0,0,0,65,77,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,45,48,46,53,32,42,32,40,40,45,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,41,32,45,32,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,98,117,102,0,0,0,0,0,69,114,114,111,114,58,32,67,111,117,108,100,32,110,111,116,32,105,110,105,116,105,97,108,105,122,101,32,116,104,101,32,103,108,111,98,97,108,32,100,97,116,97,32,115,116,114,117,99,116,117,114,101,32,102,105,108,101,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,116,104,101,32,122,101,114,111,99,114,111,115,115,105,110,103,115,0,0,111,118,101,114,45,100,101,116,101,114,109,105,110,101,100,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,82,32,62,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,0,100,97,115,115,108,73,110,116,101,114,110,97,108,78,117,109,74,97,99,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,100,111,32,110,111,116,32,101,109,105,116,32,101,118,101,110,116,32,112,111,105,110,116,115,32,116,111,32,116,104,101,32,114,101,115,117,108,116,32,102,105,108,101,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,105,110,118,97,108,105,100,32,100,97,116,97,32,110,111,100,101,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,76,111,119,101,114,0,0,0,85,110,105,116,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,101,114,114,111,114,32,105,110,32,102,111,114,109,97,116,0,45,48,46,53,32,42,32,40,40,45,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,41,32,45,32,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,60,47,115,105,109,117,108,97,116,105,111,110,62,10,0,0,117,115,101,32,37,115,32,45,104,101,108,112,32,102,111,114,32,97,32,108,105,115,116,32,111,102,32,97,108,108,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,115,0,0,0,0,0,0,0,63,63,63,0,0,0,0,0,118,97,108,117,101,82,101,102,101,114,101,110,99,101,0,0,110,111,32,105,110,105,116,105,97,108,32,118,97,108,117,101,115,32,116,111,32,99,97,108,99,117,108,97,116,101,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,100,97,115,115,108,67,111,108,111,114,83,121,109,74,97,99,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,100,111,32,110,111,116,32,101,109,105,116,32,97,110,121,32,114,101,115,117,108,116,115,32,116,111,32,116,104,101,32,114,101,115,117,108,116,32,102,105,108,101,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,80,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,45,48,46,53,32,42,32,40,40,45,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,41,32,45,32,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,60,47,112,114,111,102,105,108,101,98,108,111,99,107,115,62,10,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,45,104,101,108,112,61,37,115,0,0,0,97,100,100,105,116,105,111,110,97,108,32,115,116,97,116,105,115,116,105,99,115,32,97,98,111,117,116,32,116,105,109,101,114,47,101,118,101,110,116,115,47,115,111,108,118,101,114,0,37,115,40,102,105,120,101,100,61,116,114,117,101,41,32,61,32,37,103,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,0,67,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,68,69,84,65,73,76,69,68,95,68,69,83,67,0,0,0,0,0,0,100,97,115,115,108,78,117,109,74,97,99,0,0,0,0,0,97,99,99,95,116,112,32,33,61,32,48,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,115,105,109,117,108,97,116,105,111,110,95,105,110,102,111,95,120,109,108,46,99,0,0,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,115,113,114,116,40,114,104,111,32,42,32,107,95,105,110,118,32,42,32,97,98,115,40,100,112,95,102,114,105,99,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,61,32,48,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,51,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,51,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,114,43,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,115,101,116,32,110,111,107,101,121,10,0,0,0,0,0,0,80,114,105,110,116,32,106,97,99,58,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,110,111,110,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,110,108,115,61,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,0,0,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,99,97,110,32,110,111,116,32,114,101,97,100,32,102,105,108,101,32,37,115,32,97,115,32,115,101,116,117,112,32,102,105,108,101,32,116,111,32,116,104,101,32,103,101,110,101,114,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,99,111,100,101,46,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,35,80,116,111,108,101,109,121,32,80,108,111,116,32,102,105,108,101,44,32,103,101,110,101,114,97,116,101,100,32,98,121,32,79,112,101,110,77,111,100,101,108,105,99,97,10,0,0,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,32,40,105,110,118,97,108,105,100,32,116,111,107,101,110,41,0,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,0,100,97,116,97,73,110,102,111,0,0,0,0,0,0,0,0,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,58,32,91,37,115,93,32,98,101,99,97,117,115,101,32,111,102,32,37,115,0,0,37,115,44,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,78,117,109,98,101,114,32,111,102,32,105,110,105,116,105,97,108,32,118,97,108,117,101,115,32,116,111,32,99,97,108,99,117,108,97,116,101,32,60,32,49,0,0,0,0,0,0,76,79,71,95,68,83,83,0,91,37,108,100,93,32,100,105,115,99,114,101,116,101,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,117,110,102,105,120,101,100,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,10,73,110,112,117,116,58,32,116,61,37,102,32,32,32,9,0,0,0,0,0,0,0,0,65,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,115,101,108,101,99,116,32,110,101,119,32,115,116,97,116,101,115,32,97,116,32,116,105,109,101,32,37,102,0,0,0,0,81,76,70,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,45,48,46,53,32,42,32,40,40,45,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,41,32,45,32,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,60,112,114,111,102,105,108,101,98,108,111,99,107,115,62,10,0,0,0,0,0,0,0,0,70,105,110,105,115,104,101,100,0,0,0,0,0,0,0,0,100,101,116,97,105,108,101,100,32,102,108,97,103,45,100,101,115,99,114,105,112,116,105,111,110,32,102,111,114,58,32,60,45,37,115,61,118,97,108,117,101,62,32,111,114,32,60,45,37,115,32,118,97,108,117,101,62,10,37,115,0,0,0,0,102,105,110,97,108,32,115,111,108,117,116,105,111,110,32,111,102,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,110,97,109,101,0,0,0,0,42,42,42,32,83,121,115,116,101,109,32,115,111,108,118,101,100,32,42,42,42,10,37,100,32,114,101,115,116,97,114,116,115,0,0,0,0,0,0,0,115,101,116,116,105,110,103,32,102,105,120,101,100,61,116,114,117,101,32,102,111,114,58,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,87,101,108,108,44,32,116,104,105,115,32,105,115,32,101,109,98,97,114,114,97,115,105,110,103,46,32,84,104,101,32,110,111,110,45,108,105,110,101,97,114,32,115,111,108,118,101,114,32,115,104,111,117,108,100,32,110,101,118,101,114,32,99,97,108,108,32,116,104,105,115,32,99,97,115,101,46,37,100,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,117,110,107,110,111,119,110,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,100,97,115,115,108,83,121,109,74,97,99,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,111,117,116,112,117,116,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,109,101,97,115,117,114,101,32,116,105,109,101,32,102,117,110,99,116,105,111,110,97,108,105,116,121,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,0,60,47,101,113,117,97,116,105,111,110,115,62,10,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,115,111,108,118,101,114,32,112,114,111,99,101,115,115,0,0,0,0,0,100,101,116,97,105,108,101,100,32,102,108,97,103,45,100,101,115,99,114,105,112,116,105,111,110,32,102,111,114,58,32,60,45,37,115,62,10,37,115,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,97,116,101,115,0,0,0,0,0,0,0,0,117,110,100,101,114,45,100,101,116,101,114,109,105,110,101,100,0,0,0,0,0,0,0,0,37,115,37,50,48,46,49,50,103,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+51205);
/* memory initializer */ allocate([111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,0,82,117,110,110,105,110,103,0,100,97,115,115,108,119,111,114,116,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,116,105,109,101,32,60,32,118,97,108,118,101,79,112,101,110,105,110,103,51,46,115,116,97,114,116,84,105,109,101,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,91,115,116,114,105,110,103,32,108,105,115,116,93,32,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,103,105,110,103,32,108,101,118,101,108,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,101,110,100,102,105,108,101,0,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,0,60,101,113,117,97,116,105,111,110,115,62,10,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,45,108,111,103,70,111,114,109,97,116,61,37,115,44,32,101,120,112,101,99,116,101,100,32,116,101,120,116,32,111,114,32,120,109,108,0,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,115,105,109,117,108,97,116,105,111,110,32,112,114,111,99,101,115,115,0,110,121,115,116,114,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,110,111,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,32,40,110,101,105,116,104,101,114,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,110,111,114,32,105,110,105,116,105,97,108,32,97,108,103,111,114,105,116,104,109,115,41,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,45,45,32,101,110,100,32,99,97,108,99,117,108,97,116,105,110,103,32,106,97,99,111,98,105,97,110,32,45,45,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,0,0,0,100,97,115,115,108,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,62,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,102,111,114,32,105,112,111,112,116,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,78,0,0,0,0,0,0,0,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,32,73,79,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,0,60,47,102,117,110,99,116,105,111,110,115,62,10,0,0,0,116,101,120,116,0,0,0,0,111,117,116,112,117,116,115,32,114,101,115,105,100,117,97,108,115,32,111,102,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,110,112,115,116,114,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,110,111,32,118,97,114,105,97,98,108,101,115,32,116,111,32,105,110,105,116,105,97,108,105,122,101,0,0,0,0,0,0,45,45,32,98,101,103,105,110,32,99,97,108,99,117,108,97,116,105,110,103,32,106,97,99,111,98,105,97,110,32,45,45,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,100,97,115,115,108,32,102,111,114,32,100,101,98,117,103,32,112,114,111,112,111,115,101,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,105,110,116,101,114,110,97,108,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,0,60,102,117,110,99,116,105,111,110,115,62,10,0,0,0,0,111,117,116,112,117,116,115,32,101,118,101,114,121,32,101,118,97,108,117,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,0,0,0,0,0,0,0,120,109,108,0,0,0,0,0,110,121,98,111,111,108,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,67,97,110,110,111,116,32,105,110,105,116,105,97,108,105,122,101,32,117,110,105,113,117,101,32,116,104,101,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,46,32,85,115,101,32,45,108,118,32,76,79,71,95,68,83,83,32,116,111,32,115,101,101,32,116,104,101,32,115,119,105,116,99,104,105,110,103,32,115,116,97,116,101,32,115,101,116,46,0,0,0,45,45,32,101,110,100,32,111,102,32,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,32,99,97,108,108,32,37,100,32,45,45,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,67,85,82,82,69,78,84,32,84,32,40,61,82,49,41,32,32,53,48,48,32,83,84,69,80,83,0,0,100,97,115,115,108,32,119,105,116,104,32,105,110,116,101,114,110,97,108,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,46,32,45,108,111,103,70,111,114,109,97,116,61,116,101,120,116,32,40,100,101,102,97,117,108,116,41,32,111,114,32,45,108,111,103,70,111,114,109,97,116,61,120,109,108,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,37,115,40,115,116,97,114,116,61,37,103,41,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,101,120,116,101,114,110,97,108,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,0,60,47,118,97,114,105,97,98,108,101,115,62,10,0,0,0,111,117,116,112,117,116,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,111,102,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,0,91,117,110,107,110,111,119,110,32,102,108,97,103,45,116,121,112,101,93,32,60,45,37,115,62,0,0,0,0,0,0,0,110,112,98,111,111,108,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,37,46,49,54,103,44,0,0,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,32,62,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,104,101,108,112,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,100,32,62,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,115,116,97,116,101,95,98,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,115,116,97,116,101,95,97,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,85,110,107,110,111,119,110,32,101,113,117,97,116,105,111,110,32,115,121,115,116,101,109,32,101,114,114,111,114,58,32,37,100,32,37,115,32,37,103,0,68,65,83,83,76,45,45,32,32,82,85,78,32,84,69,82,77,73,78,65,84,69,68,46,32,65,80,80,65,82,69,78,84,32,73,78,70,73,78,73,84,69,32,76,79,79,80,0,100,105,114,101,99,116,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,119,104,101,114,101,32,116,104,101,32,108,105,110,101,97,114,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,32,115,104,111,117,108,100,32,98,101,32,112,101,114,102,111,114,109,101,100,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,0,0,91,37,100,93,58,32,37,115,32,61,32,37,103,0,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,116,105,99,107,95,116,112,32,33,61,32,48,0,0,0,0,117,110,102,111,114,109,97,116,116,101,100,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,0,60,118,97,114,105,97,98,108,101,115,62,10,0,0,0,0,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,60,45,37,115,61,118,97,108,117,101,62,32,111,114,32,60,45,37,115,32,118,97,108,117,101,62,10,32,32,37,115,0,110,121,105,110,116,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,108,97,109,98,100,97,32,61,32,37,103,32,100,111,110,101,0,0,0,0,0,0,0,0,120,32,118,101,99,116,111,114,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+61445);
/* memory initializer */ allocate([105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,115,116,97,116,101,95,97,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,68,65,83,83,76,45,45,32,32,82,69,80,69,65,84,69,68,32,79,67,67,85,82,82,69,78,67,69,83,32,79,70,32,73,76,76,69,71,65,76,32,73,78,80,85,84,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,111,114,32,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,117,112,100,97,116,105,110,103,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,102,111,114,109,97,116,116,101,100,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,47,112,114,111,102,105,108,105,110,103,100,97,116,97,104,101,97,100,101,114,62,10,0,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,0,108,111,103,103,105,110,103,32,102,111,114,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,60,45,37,115,62,10,32,32,37,115,0,0,0,0,0,0,110,112,105,110,116,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,104,111,109,111,116,111,112,121,32,112,114,111,99,101,115,115,0,0,0,0,0,0,0,0,45,45,32,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,32,99,97,108,108,32,37,100,32,45,45,0,83,101,116,32,116,111,108,101,114,97,110,99,101,32,102,111,114,32,122,101,114,111,45,99,114,111,115,115,105,110,103,32,104,121,115,116,101,114,101,115,105,115,32,116,111,58,32,37,101,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,100,105,114,101,99,116,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,32,32,32,32,32,32,32,32,32,84,79,79,32,78,69,65,82,32,84,79,32,84,72,69,32,73,78,73,84,73,65,76,32,80,79,73,78,84,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,102,111,114,32,73,112,111,112,116,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,105,110,118,97,108,105,100,32,108,105,115,116,45,110,111,100,101,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,76,101,102,116,0,0,0,0,78,111,32,116,114,97,110,115,112,111,115,101,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,77,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,77,111,100,101,108,83,116,114,117,99,116,117,114,101,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,77,111,100,101,108,83,116,114,117,99,116,117,114,101,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,0,0,60,112,114,111,102,105,108,105,110,103,100,97,116,97,104,101,97,100,101,114,62,10,0,0,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,0,117,115,97,103,101,58,32,37,115,0,0,0,0,0,0,0,110,112,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,0,0,0,91,37,50,100,93,32,37,50,48,46,49,50,103,0,0,0,101,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,101,120,116,101,114,110,97,108,32,111,98,106,101,99,116,115,0,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,69,120,97,109,112,108,101,115,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,46,109,111,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,77,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,77,97,115,115,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,77,97,115,115,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,111,117,116,32,105,110,116,101,114,110,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,69,110,116,101,114,105,110,103,32,97,110,100,32,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,32,104,97,115,32,118,97,108,117,101,58,32,0,0,68,65,83,83,76,45,45,32,32,79,78,69,32,79,82,32,77,79,82,69,32,67,79,77,80,79,78,69,78,84,83,32,79,70,32,71,32,72,65,83,32,65,32,82,79,79,84,0,7,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,112,32,62,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,112,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,104,101,115,115,105,97,110,32,102,111,114,32,73,112,111,112,116,0,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,84,32,62,61,32,49,46,48,32,97,110,100,32,115,111,117,114,99,101,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,0,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,32,62,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,100,105,97,109,101,116,101,114,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,98,105,110,84,114,97,110,115,0,0,0,0,0,0,0,0,115,101,113,117,101,110,116,105,97,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,60,47,109,111,100,101,108,105,110,102,111,95,101,120,116,62,10,0,0,0,0,0,0,0,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,0,108,111,103,103,105,110,103,32,102,111,114,32,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,114,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,37,115,0,0,0,110,121,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,0,0,0,108,97,109,98,100,97,0,0,110,102,117,110,99,32,61,32,37,100,10,101,114,114,111,114,32,61,32,37,46,50,48,101,10,101,114,114,111,114,95,115,99,97,108,101,100,32,61,32,37,46,50,48,101,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,84,95,115,116,97,114,116,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,46,84,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,104,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,104,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,0,84,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,68,69,83,67,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,44,32,119,105,116,104,32,105,110,116,101,114,118,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,0,0,37,115,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,102,105,108,101,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,110,78,111,100,101,115,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,114,43,98,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,115,101,116,32,116,101,114,109,105,110,97,108,32,115,118,103,10,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,78,71,32,40,61,73,49,41,32,46,76,84,46,32,48,0,0,0,0,0,0,0,0,119,114,105,116,101,32,105,110,32,106,97,99,91,37,100,93,45,91,37,100,44,37,100,93,61,37,103,32,102,114,111,109,32,114,111,119,91,37,100,93,61,37,103,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,112,116,105,109,105,122,97,116,105,111,110,32,109,101,116,104,111,100,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,97,115,115,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,109,97,115,115,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,108,118,32,37,115,0,0,0,0,0,0,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,114,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,58,32,91,37,115,93,32,98,101,99,97,117,115,101,32,111,102,32,37,115,0,0,110,111,32,101,108,101,109,101,110,116,32,102,111,117,110,100,0,0,0,0,0,0,0,0,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,0,0,0,0,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,119,0,0,0,0,0,0,0,119,116,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,73,110,99,111,110,115,105,115,116,101,110,116,32,105,110,105,116,105,97,108,32,99,111,110,100,105,116,105,111,110,115,46,0,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,76,79,71,95,68,69,66,85,71,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,102,111,114,109,97,116,32,116,111,111,32,99,111,109,112,108,105,99,97,116,101,100,58,10,0,0,0,0,0,0,0,0,108,101,97,115,116,32,115,113,117,97,114,101,32,118,97,108,117,101,58,32,37,103,0,0,69,114,114,111,114,44,32,115,105,110,103,117,108,97,114,32,74,97,99,111,98,105,97,110,32,102,111,114,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,32,97,116,32,116,105,109,101,32,37,102,10,85,115,101,32,45,108,118,32,76,79,71,95,68,83,83,95,74,65,67,32,116,111,32,103,101,116,32,116,104,101,32,74,97,99,111,98,105,97,110,0,76,81,70,0,0,0,0,0,119,114,105,116,105,110,103,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,88,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,88,95,115,116,97,114,116,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,82,101,102,101,114,101,110,99,101,100,32,39,37,115,39,32,116,104,97,116,32,119,97,115,32,110,111,116,32,100,101,99,108,97,114,101,100,32,97,115,32,60,118,97,114,105,97,98,108,101,62,0,0,0,0,0,60,111,100,101,84,105,109,101,84,105,99,107,115,62,37,108,117,60,47,111,100,101,84,105,109,101,84,105,99,107,115,62,10,0,0,0,0,0,0,0,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,0,116,101,114,109,105,110,97,108,32,101,118,101,110,116,32,97,116,32,115,116,111,112,32,116,105,109,101,32,37,103,0,0,111,117,116,112,117,116,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,117,115,101,100,32,98,121,32,100,97,115,115,108,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,115,32,37,115,0,0,0,0,0,0,0,110,120,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,100,0,0,0,0,0,0,0,115,99,97,108,105,110,103,32,61,32,37,102,32,43,43,43,32,111,108,100,32,61,32,37,101,32,43,43,43,32,101,120,116,114,97,112,111,108,97,116,101,100,32,61,32,37,101,0,112,114,101,102,105,120,32,109,117,115,116,32,110,111,116,32,98,101,32,98,111,117,110,100,32,116,111,32,111,110,101,32,111,102,32,116,104,101,32,114,101,115,101,114,118,101,100,32,110,97,109,101,115,112,97,99,101,32,110,97,109,101,115,0,37,115,44,0,0,0,0,0,44,37,115,61,34,37,115,34,0,0,0,0,0,0,0,0,115,116,97,116,105,115,116,105,99,115,0,0,0,0,0,0,89,111,117,114,32,109,101,109,111,114,121,32,105,115,32,110,111,116,32,115,116,114,111,110,103,32,101,110,111,117,103,104,32,102,111,114,32,111,117,114,32,82,105,110,103,98,117,102,102,101,114,33,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,115,99,97,108,105,110,103,32,61,32,37,102,10,111,108,100,32,61,32,37,102,10,101,120,116,114,97,112,111,108,97,116,101,100,32,61,32,37,102,0,78,76,83,95,77,65,88,0,69,82,82,79,82,58,32,84,111,111,32,109,97,110,121,32,101,118,101,110,116,32,105,116,101,114,97,116,105,111,110,115,46,32,83,121,115,116,101,109,32,105,115,32,105,110,99,111,110,115,105,115,116,101,110,116,46,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,46,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,0,0,0,117,110,107,110,111,119,110,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+71685);
/* memory initializer */ allocate([108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,84,79,85,84,32,40,61,82,49,41,32,73,83,32,69,81,85,65,76,32,84,79,32,84,32,40,61,82,50,41,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,115,112,101,99,105,102,121,32,105,110,116,101,114,97,99,116,105,118,101,32,115,105,109,117,108,97,116,105,111,110,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,114,101,97,100,105,110,103,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,60,111,100,101,84,105,109,101,62,37,102,60,47,111,100,101,84,105,109,101,62,10,0,0,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,0,99,104,101,99,107,32,104,101,115,115,105,97,110,32,109,97,116,114,105,120,32,119,105,116,104,32,73,112,111,112,116,0,65,108,108,111,99,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,115,116,111,114,97,103,101,32,102,111,114,32,109,101,116,104,111,100,32,39,37,115,39,32,97,110,100,32,102,105,108,101,61,39,37,115,39,0,0,69,114,114,111,114,44,32,105,110,112,117,116,32,100,97,116,97,32,102,105,108,101,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,109,111,100,101,108,46,0,0,0,0,114,101,115,101,114,118,101,100,32,112,114,101,102,105,120,32,40,120,109,108,110,115,41,32,109,117,115,116,32,110,111,116,32,98,101,32,100,101,99,108,97,114,101,100,32,111,114,32,117,110,100,101,99,108,97,114,101,100,0,0,0,0,0,0,119,116,0,0,0,0,0,0,44,37,115,61,37,105,0,0,114,101,115,91,37,100,93,32,61,32,37,46,50,48,101,32,91,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,61,32,37,49,54,101,93,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,0,0,0,0,0,99,97,108,108,32,115,111,108,118,101,114,32,102,114,111,109,32,37,103,32,116,111,32,37,103,32,40,115,116,101,112,83,105,122,101,58,32,37,103,41,0,0,0,0,0,0,0,0,84,104,101,32,99,111,100,101,32,104,97,115,32,101,110,99,111,117,110,116,101,114,101,100,32,116,114,111,117,98,108,101,32,102,114,111,109,32,119,104,105,99,104,32,105,116,32,99,97,110,110,111,116,32,114,101,99,111,118,101,114,46,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,77,85,32,40,61,73,49,41,32,73,76,76,69,71,65,76,46,32,69,73,84,72,69,82,32,46,76,84,46,32,48,32,79,82,32,46,71,84,46,32,78,69,81,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,0,0,0,91,105,110,116,93,32,100,101,102,97,117,108,116,58,32,49,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,32,62,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,108,111,99,97,108,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,0,0,0,108,97,116,101,108,121,32,37,115,32,37,115,32,37,115,32,37,115,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,100,105,97,109,101,116,101,114,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,100,117,109,109,121,86,97,114,83,116,97,116,101,83,101,116,74,97,99,0,0,0,0,0,60,109,111,100,101,108,105,110,102,111,95,101,120,116,62,10,0,0,0,0,0,0,0,0,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,0,99,104,101,99,107,32,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,119,105,116,104,32,73,112,111,112,116,0,0,0,0,0,0,0,0,85,110,107,110,111,119,110,32,111,117,116,112,117,116,32,102,111,114,109,97,116,58,32,0,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,114,101,115,101,114,118,101,100,32,112,114,101,102,105,120,32,40,120,109,108,41,32,109,117,115,116,32,110,111,116,32,98,101,32,117,110,100,101,99,108,97,114,101,100,32,111,114,32,98,111,117,110,100,32,116,111,32,97,110,111,116,104,101,114,32,110,97,109,101,115,112,97,99,101,32,110,97,109,101,0,37,115,95,104,111,109,111,116,111,112,121,46,99,115,118,0,44,37,115,61,37,108,105,0,102,117,110,99,116,105,111,110,115,0,0,0,0,0,0,0,124,32,115,111,108,118,101,114,32,124,32,85,115,101,32,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,9,37,115,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,84,95,115,116,97,114,116,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,50,46,84,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,0,0,0,68,68,65,83,83,76,32,102,97,105,108,101,100,32,116,111,32,99,111,109,112,117,116,101,32,116,104,101,32,105,110,105,116,105,97,108,32,89,80,82,73,77,69,46,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,104,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,104,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,110,78,111,100,101,115,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,108,97,115,116,32,102,111,114,109,97,116,58,32,37,115,10,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,77,76,32,40,61,73,49,41,32,73,76,76,69,71,65,76,46,32,69,73,84,72,69,82,32,46,76,84,46,32,48,32,79,82,32,46,71,84,46,32,78,69,81,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,50,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,91,100,111,117,98,108,101,93,32,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,80,0,0,0,0,0,0,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,97,115,115,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,109,97,115,115,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,84,79,68,79,58,32,83,101,116,32,109,101,32,117,112,33,33,33,0,0,0,0,0,0,60,47,109,111,100,101,108,105,110,102,111,62,10,0,0,0,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,102,114,111,109,32,73,112,111,112,116,0,0,0,0,0,112,108,116,0,0,0,0,0,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,0,99,97,110,110,111,116,32,115,117,115,112,101,110,100,32,105,110,32,101,120,116,101,114,110,97,108,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,44,37,115,61,37,46,50,48,103,0,0,0,0,0,0,0,120,91,37,100,93,32,61,32,37,46,50,48,101,32,91,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,61,32,37,49,54,101,93,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,88,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,88,95,115,116,97,114,116,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,0,0,0,0,0,73,82,69,83,32,101,113,117,97,108,32,116,111,32,45,50,32,119,97,115,32,101,110,99,111,117,110,116,101,114,101,100,32,97,110,100,32,99,111,110,116,114,111,108,32,105,115,32,98,101,105,110,103,32,114,101,116,117,114,110,101,100,32,116,111,32,116,104,101,32,99,97,108,108,105,110,103,32,112,114,111,103,114,97,109,46,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,52,41,61,49,32,65,78,68,32,84,83,84,79,80,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,32,40,61,82,50,41,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,101,116,104,111,100,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,98,97,115,101,95,97,114,114,97,121,46,99,58,32,97,114,114,97,121,32,100,105,109,101,110,115,105,111,110,32,115,105,122,101,32,102,111,114,32,100,105,109,101,110,115,105,111,110,32,37,100,32,105,115,32,37,100,32,60,32,48,33,10,0,97,112,112,97,114,101,110,116,32,115,116,97,116,101,58,32,105,110,116,101,114,110,97,108,32,73,47,79,10,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,35,70,73,88,77,69,35,0,60,109,97,120,84,105,109,101,62,37,46,57,102,60,47,109,97,120,84,105,109,101,62,10,0,0,0,0,0,0,0,0,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,0,105,110,102,111,114,109,97,116,105,111,110,32,102,114,111,109,32,73,112,111,112,116,0,0,119,97,108,108,0,0,0,0,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,105,110,118,0,0,0,0,0,112,97,114,115,105,110,103,32,102,105,110,105,115,104,101,100,0,0,0,0,0,0,0,0,35,35,35,32,69,78,68,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,0,0,0,0,116,105,109,101,61,37,46,50,48,103,0,0,0,0,0,0,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,109,97,120,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,80,0,0,0,0,0,0,0,65,32,77,111,100,101,108,105,99,97,32,97,115,115,101,114,116,32,112,114,101,118,101,110,116,115,32,116,104,101,32,105,110,116,101,103,114,97,116,111,114,32,116,111,32,99,111,110,116,105,110,117,101,46,32,70,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,117,115,101,32,45,108,118,32,76,79,71,95,68,68,65,83,82,84,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,68,65,83,83,76,45,45,32,84,79,85,84,32,40,61,82,49,41,32,84,79,79,32,67,76,79,83,69,32,84,79,32,84,32,40,61,82,50,41,32,84,79,32,83,84,65,82,84,32,73,78,84,69,71,82,65,84,73,79,78,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,110,32,101,120,116,101,114,110,97,108,32,102,105,108,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,53,46,102,108,111,119,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+81925);
/* memory initializer */ allocate([111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,115,116,97,114,116,45,118,97,108,117,101,115,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,37,73,58,37,77,58,37,83,32,37,112,0,0,0,0,0,40,117,110,110,97,109,101,100,41,10,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,32,62,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,60,118,97,114,62,45,116,97,103,32,100,105,100,32,110,111,116,32,115,101,116,32,110,97,109,101,32,97,110,100,32,99,111,109,109,101,110,116,0,0,60,110,117,109,83,116,101,112,62,37,100,60,47,110,117,109,83,116,101,112,62,10,0,0,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,100,117,114,105,110,103,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,109,97,116,0,0,0,0,0,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,112,97,114,115,105,110,103,32,97,98,111,114,116,101,100,0,117,110,115,117,112,112,111,114,116,101,100,32,111,112,116,105,111,110,32,45,105,105,109,0,44,0,0,0,0,0,0,0,110,108,115,32,115,116,97,116,117,115,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,100,105,97,109,101,116,101,114,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,109,97,120,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,84,104,101,32,99,111,114,114,101,99,116,111,114,32,99,111,117,108,100,32,110,111,116,32,99,111,110,118,101,114,103,101,46,32,84,104,101,114,101,32,119,101,114,101,32,114,101,112,101,97,116,101,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,32,105,110,32,116,104,105,115,32,115,116,101,112,46,0,102,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,84,95,115,116,97,114,116,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,51,46,84,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,104,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,104,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,110,97,109,101,100,32,37,115,10,0,0,0,0,0,0,0,105,109,112,114,111,112,101,114,32,105,110,112,117,116,32,112,97,114,97,109,101,116,101,114,115,32,116,111,32,110,111,110,108,105,110,101,97,114,32,101,113,46,32,115,121,115,116,58,32,37,115,32,97,116,32,116,105,109,101,32,37,103,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,87,84,32,73,83,32,46,76,69,46,32,48,46,48,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,110,78,111,100,101,115,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,103,101,116,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,116,104,97,116,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,0,0,0,117,110,102,111,114,109,97,116,116,101,100,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,51,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,51,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,98,97,115,101,95,97,114,114,97,121,95,111,107,40,97,41,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,97,115,115,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,51,46,109,97,115,115,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,45,37,100,100,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,37,0,0,0,97,0,0,0,32,0,0,0,37,0,0,0,98,0,0,0,32,0,0,0,37,0,0,0,100,0,0,0,32,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,116,111,116,97,108,95,116,112,32,33,61,32,48,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,51,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,99,111,109,109,101,110,116,0,60,116,111,116,97,108,83,116,101,112,115,84,105,109,101,62,37,102,60,47,116,111,116,97,108,83,116,101,112,115,84,105,109,101,62,10,0,0,0,0,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,0,0,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,101,118,101,110,116,32,115,121,115,116,101,109,0,99,115,118,0,0,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,115,0,0,0,0,0,0,0,112,97,114,115,101,114,32,110,111,116,32,115,117,115,112,101,110,100,101,100,0,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,32,109,101,116,104,111,100,58,32,32,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,0,0,0,83,116,97,114,116,32,110,117,109,101,114,105,99,97,108,32,115,111,108,118,101,114,32,102,114,111,109,32,37,103,32,116,111,32,37,103,0,0,0,0,35,35,35,32,78,111,32,83,111,108,117,116,105,111,110,33,32,35,35,35,10,32,97,102,116,101,114,32,37,100,32,114,101,115,116,97,114,116,115,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,99,104,101,99,107,32,102,111,114,32,100,105,115,99,114,101,116,101,32,99,104,97,110,103,101,115,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,88,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,88,95,115,116,97,114,116,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,109,97,120,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,84,104,101,32,109,97,116,114,105,120,32,111,102,32,112,97,114,116,105,97,108,32,100,101,114,105,118,97,116,105,118,101,115,32,105,115,32,115,105,110,103,117,108,97,114,46,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,51,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,51,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,56,41,61,49,32,65,78,68,32,72,48,61,48,46,48,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,110,101,119,32,115,101,116,117,112,32,88,77,76,32,102,105,108,101,32,116,111,32,116,104,101,32,103,101,110,101,114,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,99,111,100,101,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,110,97,109,101,0,0,0,0,37,97,32,37,98,32,37,100,32,37,72,58,37,77,58,37,83,32,37,89,0,0,0,0,97,112,112,97,114,101,110,116,32,115,116,97,116,101,58,32,117,110,105,116,32,37,100,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,83,79,77,69,32,78,73,67,69,32,69,81,85,65,84,73,79,78,32,78,65,77,69,32,40,116,111,32,98,101,32,115,101,116,32,97,32,108,105,116,116,108,101,32,108,97,116,101,114,41,0,0,0,0,0,0,60,116,111,116,97,108,84,105,109,101,62,37,102,60,47,116,111,116,97,108,84,105,109,101,62,10,0,0,0,0,0,0,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,100,117,114,105,110,103,32,101,118,101,110,116,32,105,116,101,114,97,116,105,111,110,0,0,0,101,109,112,116,121,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,97,108,115,0,0,0,0,0,112,97,114,115,101,114,32,115,117,115,112,101,110,100,101,100,0,0,0,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,101,116,104,111,100,58,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,0,0,0,82,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,44,32,98,117,116,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,32,119,97,115,32,110,111,116,32,99,111,109,112,105,108,101,100,32,119,105,116,104,32,115,117,112,112,111,114,116,32,102,111,114,32,105,116,46,32,67,111,109,112,105,108,101,32,119,105,116,104,32,45,68,95,79,77,67,95,73,78,76,73,78,69,95,82,75,46,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,114,101,100,117,99,101,32,116,104,101,32,116,111,108,101,114,97,110,99,101,32,115,108,105,103,104,116,108,121,32,116,111,32,37,101,46,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,37,112,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,41,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,41,44,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,41,0,0,0,0,0,84,104,101,32,99,111,114,114,101,99,116,111,114,32,99,111,117,108,100,32,110,111,116,32,99,111,110,118,101,114,103,101,46,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,68,65,83,83,76,45,45,32,32,84,79,85,84,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,32,40,61,82,50,41,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,100,117,109,112,115,32,116,104,101,32,99,112,117,45,116,105,109,101,32,105,110,116,111,32,116,104,101,32,114,101,115,117,108,116,115,45,102,105,108,101,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,37,100,46,37,100,103,0,0,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,102,105,115,116,32,108,105,115,116,45,112,111,105,110,116,101,114,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,68,71,69,84,82,83,0,0,76,111,119,101,114,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,37,115,58,32,37,115,10,0,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,103,111,116,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,105,110,100,101,120,32,37,108,100,44,32,101,120,112,101,99,116,101,100,32,37,108,100,0,0,0,0,0,0,0,60,108,105,110,101,97,114,105,122,101,84,105,109,101,62,37,102,60,47,108,105,110,101,97,114,105,122,101,84,105,109,101,62,10,0,0,0,0,0,0,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,115,118,103,0,0,0,0,0,111,117,116,112,117,116,115,32,106,97,99,111,98,105,97,110,32,111,102,32,116,104,101,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,105,108,108,101,103,97,108,32,99,104,97,114,97,99,116,101,114,40,115,41,32,105,110,32,112,117,98,108,105,99,32,105,100,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,105,111,109,32,37,115,0,0,0,0,0,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,100,105,115,97,98,108,101,32,115,111,108,118,101,114,32,105,110,116,101,114,110,97,108,32,115,99,97,108,105,110,103,46,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,32,62,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,115,116,100,58,58,98,97,100,95,97,108,108,111,99,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,100,105,97,109,101,116,101,114,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,109,97,120,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,68,68,65,83,83,76,32,104,97,100,32,114,101,112,101,97,116,101,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,32,111,110,32,116,104,101,32,108,97,115,116,32,97,116,116,101,109,112,116,101,100,32,115,116,101,112,46,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,84,95,115,116,97,114,116,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,52,46,84,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,72,77,65,88,32,40,61,82,49,41,32,46,76,84,46,32,48,46,48,0,0,0,0,12,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,104,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,104,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,103,0,0,0,0,0,0,0,115,101,108,101,99,116,115,32,116,104,101,32,116,121,112,101,32,111,102,32,99,108,111,99,107,32,116,111,32,117,115,101,32,45,99,108,111,99,107,61,82,84,44,32,45,99,108,111,99,107,61,67,89,67,32,111,114,32,45,99,108,111,99,107,61,67,80,85,0,0,0,0,78,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,110,78,111,100,101,115,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,0,0,0,0,114,101,99,101,110,100,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,52,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,37,35,46,42,102,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,52,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+92165);
/* memory initializer */ allocate([99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,68,71,69,84,82,70,0,0,68,71,69,84,70,50,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,97,115,115,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,52,46,109,97,115,115,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,37,72,58,37,77,58,37,83,0,0,0,0,0,0,0,0,37,115,58,32,101,110,100,32,111,102,32,102,105,108,101,10,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,99,111,110,116,97,105,110,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,111,117,116,32,105,110,100,101,120,0,0,0,0,0,0,0,0,60,111,117,116,112,117,116,84,105,109,101,62,37,102,60,47,111,117,116,112,117,116,84,105,109,101,62,10,0,0,0,0,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,0,95,112,114,111,102,46,112,108,116,0,0,0,0,0,0,0,111,117,116,112,117,116,115,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,0,0,0,0,0,0,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,84,105,109,101,0,0,0,0,116,101,120,116,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,0,0,0,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,82,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,105,110,108,105,110,101,45,101,117,108,101,114,44,32,98,117,116,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,32,119,97,115,32,110,111,116,32,99,111,109,112,105,108,101,100,32,119,105,116,104,32,115,117,112,112,111,114,116,32,102,111,114,32,105,116,46,32,67,111,109,112,105,108,101,32,119,105,116,104,32,45,68,95,79,77,67,95,73,78,76,73,78,69,95,69,85,76,69,82,46,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,119,105,116,104,32,111,119,110,32,115,99,97,108,105,110,103,32,102,97,99,116,111,114,115,46,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,52,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,109,97,120,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,82,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,78,65,77,69,0,0,0,0,0,0,0,84,104,101,32,101,114,114,111,114,32,116,111,108,101,114,97,110,99,101,115,32,97,114,101,32,116,111,111,32,115,116,114,105,110,103,101,110,116,0,0,68,117,109,109,121,32,101,113,117,97,116,105,111,110,32,115,111,32,119,101,32,99,97,110,32,105,110,100,101,120,32,102,114,111,109,32,49,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,88,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,88,95,115,116,97,114,116,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,52,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,68,71,69,83,86,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,119,0,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,49,48,40,51,46,55,32,47,32,68,101,108,116,97,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,37,115,58,32,37,115,10,0,0,115,101,101,100,58,32,100,97,116,97,45,62,115,105,109,117,108,97,116,105,111,110,73,110,102,111,46,97,110,97,108,121,116,105,99,74,97,99,111,98,105,97,110,115,91,105,110,100,101,120,93,46,115,101,101,100,86,97,114,115,91,37,100,93,61,32,37,102,0,0,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,52,41,32,61,32,49,32,65,78,68,32,84,83,84,79,80,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,79,85,84,32,40,61,82,50,41,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,52,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,68,71,69,77,77,32,0,0,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,117,110,107,110,111,119,110,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,37,45,49,56,115,32,91,37,115,93,0,0,0,0,0,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,117,116,105,108,47,114,101,97,100,95,109,97,116,108,97,98,52,46,99,0,0,0,0,0,99,111,110,116,105,110,117,111,117,115,0,0,0,0,0,0,119,0,0,0,0,0,0,0,115,121,110,116,97,120,32,101,114,114,111,114,0,0,0,0,110,97,109,101,0,0,0,0,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,37,115,95,105,110,105,116,80,97,116,104,46,99,115,118,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,111,108,118,101,114,32,105,116,101,114,97,116,101,100,32,37,100,32,116,105,109,101,115,32,119,105,116,104,111,117,116,32,102,105,110,100,105,110,103,32,97,32,115,111,108,117,116,105,111,110,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,0,0,76,79,71,95,68,68,65,83,82,84,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,98,97,100,32,115,116,114,105,110,103,0,0,0,0,0,0,108,101,97,115,116,32,115,113,117,97,114,101,32,118,97,108,117,101,58,32,37,103,32,91,115,99,97,108,101,100,58,32,37,103,93,0,0,0,0,0,10,69,120,116,101,114,110,97,108,32,73,110,112,117,116,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,82,81,70,0,0,0,0,0,37,115,0,0,0,0,0,0,37,115,58,32,105,108,108,101,103,97,108,32,101,114,114,111,114,32,110,117,109,98,101,114,32,37,100,10,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,105,110,100,101,120,0,0,0,60,101,118,101,110,116,84,105,109,101,62,37,102,60,47,101,118,101,110,116,84,105,109,101,62,10,0,0,0,0,0,0,87,114,111,116,101,32,112,97,114,97,109,101,116,101,114,115,32,116,111,32,116,104,101,32,102,105,108,101,32,97,102,116,101,114,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,40,102,111,114,32,111,117,116,112,117,116,32,102,111,114,109,97,116,115,32,116,104,97,116,32,115,117,112,112,111,114,116,32,116,104,105,115,41,0,0,0,0,0,0,0,0,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,95,112,114,111,102,46,120,109,108,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,100,101,98,117,103,32,105,110,102,111,114,109,97,116,105,111,110,0,0,0,0,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,0,0,0,0,0,0,0,0,118,109,101,116,97,0,0,0,120,91,37,100,93,32,61,32,37,46,49,53,101,0,0,0,88,77,76,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,0,124,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,105,110,108,105,110,101,45,101,117,108,101,114,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,97,115,32,105,110,105,116,105,97,108,32,112,111,105,110,116,46,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,120,91,37,100,93,32,61,32,37,102,0,0,0,0,0,0,110,101,119,116,111,110,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,51,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,51,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,68,65,83,83,76,45,45,32,32,65,76,76,32,69,76,69,77,69,78,84,83,32,79,70,32,82,84,79,76,32,65,78,68,32,65,84,79,76,32,65,82,69,32,90,69,82,79,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,110,109,76,98,117,102,32,111,118,101,114,102,108,111,119,0,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,0,0,0,0,0,0,0,0,70,76,65,71,95,77,65,88,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,97,98,115,86,97,114,73,110,100,101,120,32,62,32,48,32,38,38,32,97,98,115,86,97,114,73,110,100,101,120,32,60,61,32,114,101,97,100,101,114,45,62,110,118,97,114,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,37,109,47,37,100,47,37,121,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,99,111,110,116,97,105,110,101,100,32,109,111,114,101,32,101,113,117,97,116,105,111,110,115,32,116,104,97,110,32,101,120,112,101,99,116,101,100,32,40,37,108,100,41,0,0,0,0,60,105,110,105,116,84,105,109,101,62,37,102,60,47,105,110,105,116,84,105,109,101,62,10,0,0,0,0,0,0,0,0,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,0,76,105,110,101,97,114,32,109,111,100,101,108,32,105,115,32,99,114,101,97,116,101,100,33,0,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,100,97,115,115,108,32,115,111,108,118,101,114,0,0,0,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,58,32,37,115,0,0,0,0,116,105,109,101,0,0,0,0,105,110,99,111,109,112,108,101,116,101,32,109,97,114,107,117,112,32,105,110,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,83,105,109,117,108,97,116,105,111,110,32,116,105,109,101,32,91,115,93,0,0,0,0,0,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,73,112,111,112,116,32,105,115,32,110,101,101,100,101,100,32,98,117,116,32,110,111,116,32,97,118,97,105,108,97,98,108,101,46,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,118,97,114,121,32,105,110,105,116,105,97,108,32,112,111,105,110,116,32,98,121,32,45,49,37,37,46,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,32,62,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,0,111,102,102,115,101,116,32,118,97,108,117,101,32,102,111,114,32,116,104,101,32,110,101,120,116,32,115,116,101,112,58,32,37,46,49,48,102,0,0,0,70,105,110,105,115,104,101,100,32,68,68,65,83,82,84,32,115,116,101,112,46,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,100,105,97,109,101,116,101,114,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,65,84,79,76,32,73,83,32,46,76,84,46,32,48,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,84,95,115,116,97,114,116,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,54,46,84,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,119,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,104,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,104,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,110,78,111,100,101,115,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,73,109,112,108,101,109,101,110,116,97,116,105,111,110,32,101,114,114,111,114,58,32,85,110,107,110,111,119,110,32,99,97,115,101,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,54,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,54,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,110,111,110,45,112,111,115,105,116,105,118,101,32,114,101,99,111,114,100,32,110,117,109,98,101,114,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,97,115,115,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,54,46,109,97,115,115,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,37,115,58,32,85,110,107,110,111,119,110,32,97,116,116,114,105,98,117,116,101,32,105,110,32,60,105,110,102,111,62,0,60,112,114,101,105,110,105,116,84,105,109,101,62,37,102,60,47,112,114,101,105,110,105,116,84,105,109,101,62,10,0,0,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,0,0,0,0,0,0,0,0,116,104,105,115,32,115,116,114,101,97,109,32,105,115,32,97,108,119,97,121,115,32,97,99,116,105,118,101,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,0,0,0,0,0,0,0,0,115,105,103,115,0,0,0,0,109,117,115,116,32,110,111,116,32,117,110,100,101,99,108,97,114,101,32,112,114,101,102,105,120,0,0,0,0,0,0,0,116,105,109,101,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,105,105,109,32,37,115,0,0,0,0,0,83,117,110,100,105,97,108,47,107,105,110,115,111,108,32,105,115,32,110,101,101,100,101,100,32,98,117,116,32,110,111,116,32,97,118,97,105,108,97,98,108,101,46,32,80,108,101,97,115,101,32,99,104,111,111,115,101,32,111,116,104,101,114,32,115,111,108,118,101,114,46,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,118,97,114,121,32,105,110,105,116,105,97,108,32,112,111,105,110,116,32,98,121,32,97,100,100,105,110,103,32,49,37,37,46,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,100,97,115,115,108,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,37,115,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,54,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,115,111,108,118,101,114,47,100,97,115,115,108,46,99,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,88,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,88,95,115,116,97,114,116,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,82,84,79,76,32,73,83,32,46,76,84,46,32,48,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,54,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,0,115,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,54,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,57,46,102,108,111,119,77,111,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+102405);
/* memory initializer */ allocate([101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,95,50,32,109,97,116,114,105,120,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,102,0,0,0,97,0,0,0,108,0,0,0,115,0,0,0,101,0,0,0,0,0,0,0,99,97,110,39,116,32,97,112,112,101,110,100,32,116,111,32,102,105,108,101,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,116,114,117,101,0,0,0,0,60,111,118,101,114,104,101,97,100,84,105,109,101,62,37,102,60,47,111,118,101,114,104,101,97,100,84,105,109,101,62,10,0,0,0,0,0,0,0,0,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,0,0,0,0,0,0,95,114,101,115,46,0,0,0,117,110,107,110,111,119,110,0,118,97,114,105,97,98,108,101,32,102,105,108,116,101,114,58,32,37,115,0,0,0,0,0,115,116,100,58,58,98,97,100,95,99,97,115,116,0,0,0,116,109,101,116,97,0,0,0,117,110,98,111,117,110,100,32,112,114,101,102,105,120,0,0,69,66,90,0,0,0,0,0,35,35,35,32,69,78,68,32,83,84,65,84,73,83,84,73,67,83,32,35,35,35,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,117,115,101,32,111,108,100,32,118,97,108,117,101,115,32,105,110,115,116,101,97,100,32,101,120,116,114,97,112,111,108,97,116,101,100,46,0,0,91,37,108,100,93,32,37,115,32,61,32,37,99,32,124,32,112,114,101,40,37,115,41,32,61,32,37,99,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,115,97,118,101,32,97,108,108,32,122,101,114,111,99,114,111,115,115,105,110,103,115,32,97,102,116,101,114,32,97,110,32,101,118,101,110,116,0,0,0,49,48,32,43,32,117,105,32,60,32,100,97,115,115,108,68,97,116,97,45,62,108,105,119,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,62,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,68,65,83,83,76,45,45,32,32,73,87,79,82,75,32,76,69,78,71,84,72,32,78,69,69,68,69,68,44,32,76,69,78,73,87,32,40,61,73,49,41,44,32,69,88,67,69,69,68,83,32,76,73,87,32,40,61,73,50,41,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,39,110,101,119,39,32,102,105,108,101,32,101,120,105,115,116,115,0,0,0,0,0,0,0,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,114,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,84,111,111,32,102,101,119,32,114,111,119,115,32,105,110,32,100,97,116,97,95,50,32,109,97,116,114,105,120,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,102,97,108,115,101,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,60,111,117,116,112,117,116,70,105,108,101,115,105,122,101,62,37,108,100,60,47,111,117,116,112,117,116,70,105,108,101,115,105,122,101,62,10,0,0,0,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,0,0,0,0,0,0,111,118,101,114,119,114,105,116,101,32,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,32,91,102,114,111,109,32,99,111,109,109,97,110,100,32,108,105,110,101,93,0,76,79,71,95,90,69,82,79,67,82,79,83,83,73,78,71,83,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,70,105,108,116,101,114,0,0,111,98,106,115,0,0,0,0,99,97,110,110,111,116,32,99,104,97,110,103,101,32,115,101,116,116,105,110,103,32,111,110,99,101,32,112,97,114,115,105,110,103,32,104,97,115,32,98,101,103,117,110,0,0,0,0,99,112,117,32,116,105,109,101,32,91,115,93,0,0,0,0,35,35,35,32,83,84,65,82,84,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,0,0,83,84,0,0,0,0,0,0,115,111,114,114,121,32,45,32,110,111,32,115,111,108,118,101,114,32,115,116,97,116,105,115,116,105,99,115,32,97,118,97,105,108,97,98,108,101,46,32,91,110,111,116,32,121,101,116,32,105,109,112,108,101,109,101,110,116,101,100,93,0,0,0,98,97,115,101,95,97,114,114,97,121,46,99,58,32,97,114,114,97,121,32,100,105,109,101,110,115,105,111,110,115,32,115,105,122,101,115,32,97,114,101,32,78,85,76,76,33,10,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,116,111,32,115,111,108,118,101,32,97,32,100,105,115,99,111,110,116,105,110,117,111,117,115,32,115,121,115,116,101,109,46,0,0,115,116,97,116,117,115,32,111,102,32,114,101,108,97,116,105,111,110,115,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,109,97,120,40,45,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,37,108,100,32,99,104,97,110,103,101,100,32,102,114,111,109,32,37,115,32,116,111,32,99,117,114,114,101,110,116,32,37,115,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,67,84,73,79,78,32,87,65,83,32,84,65,75,69,78,46,32,82,85,78,32,84,69,82,77,73,78,65,84,69,68,0,0,0,0,0,0,0,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,58,32,37,100,0,40,105,32,62,32,48,41,32,38,38,32,40,105,32,60,61,32,97,45,62,110,100,105,109,115,41,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,67,118,68,97,116,97,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,67,118,68,97,116,97,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,65,118,32,97,110,100,32,118,97,108,118,101,49,46,67,118,68,97,116,97,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,79,112,80,111,105,110,116,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,82,87,79,82,75,32,76,69,78,71,84,72,32,78,69,69,68,69,68,44,32,76,69,78,82,87,32,40,61,73,49,41,44,32,69,88,67,69,69,68,83,32,76,82,87,32,40,61,73,50,41,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,0,0,0,0,0,0,0,0,112,111,114,116,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,0,0,0,0,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,62,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,32,111,114,32,50,32,114,111,119,115,0,117,112,100,97,116,105,110,103,32,110,111,109,105,110,97,108,45,118,97,108,117,101,115,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,114,104,111,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,114,104,111,95,110,111,109,105,110,97,108,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,116,0,0,0,114,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,100,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,100,112,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,100,112,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,99,97,110,39,116,32,119,114,105,116,101,32,102,105,108,101,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,99,111,108,69,110,100,0,0,60,47,111,117,116,112,117,116,70,105,108,101,110,97,109,101,62,10,0,0,0,0,0,0,118,97,108,118,101,49,46,100,112,95,110,111,109,105,110,97,108,0,0,0,0,0,0,0,76,105,110,101,97,114,105,122,97,116,105,111,110,32,119,105,108,108,32,112,101,114,102,111,114,109,101,100,32,97,116,32,112,111,105,110,116,32,111,102,32,116,105,109,101,58,32,37,102,0,0,0,0,0,0,0,76,79,71,95,85,84,73,76,0,0,0,0,0,0,0,0,111,117,116,112,117,116,32,102,111,114,109,97,116,58,32,37,115,0,0,0,0,0,0,0,116,97,98,115,0,0,0,0,114,101,113,117,101,115,116,101,100,32,102,101,97,116,117,114,101,32,114,101,113,117,105,114,101,115,32,88,77,76,95,68,84,68,32,115,117,112,112,111,114,116,32,105,110,32,69,120,112,97,116,0,0,0,0,0,36,99,112,117,84,105,109,101,0,0,0,0,0,0,0,0,91,37,108,100,93,32,83,116,114,105,110,103,32,37,115,40,115,116,97,114,116,61,34,37,115,34,41,32,61,32,34,37,115,34,32,40,112,114,101,58,32,34,37,115,34,41,0,0,85,85,77,0,0,0,0,0,115,111,108,118,101,114,0,0,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,119,105,116,104,111,117,116,32,115,99,97,108,105,110,103,32,97,116,32,97,108,108,46,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,83,116,114,105,110,103,32,37,115,40,115,116,97,114,116,61,34,37,115,34,41,32,61,32,34,37,115,34,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,67,118,68,97,116,97,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,67,118,68,97,116,97,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,65,118,32,97,110,100,32,118,97,108,118,101,50,46,67,118,68,97,116,97,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,79,112,80,111,105,110,116,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,0,0,98,105,115,101,99,116,105,111,110,32,99,104,101,99,107,115,32,102,111,114,32,99,111,110,100,105,116,105,111,110,32,99,104,97,110,103,101,115,0,0,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,99,111,110,118,101,114,103,101,110,99,101,32,116,101,115,116,32,102,97,105,108,117,114,101,115,58,32,37,100,0,0,0,98,97,115,101,95,97,114,114,97,121,95,111,107,40,97,41,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,99,112,117,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,115,116,97,114,116,105,111,0,83,111,108,118,105,110,103,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,37,115,58,32,105,116,101,114,97,116,105,111,110,32,110,111,116,32,109,97,107,105,110,103,32,112,114,111,103,114,101,115,115,44,32,116,114,121,105,110,103,32,116,111,32,100,101,99,114,101,97,115,101,32,102,97,99,116,111,114,32,116,111,32,37,103,0,0,0,0,0,68,65,83,83,76,45,45,32,32,77,65,88,79,82,68,32,40,61,73,49,41,32,78,79,84,32,73,78,32,82,65,78,71,69,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,62,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,111,118,101,114,114,105,100,101,70,105,108,101,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,114,104,111,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,114,104,111,95,110,111,109,105,110,97,108,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,0,0,0,0,102,111,114,109,97,116,116,101,100,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,100,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,100,112,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,100,112,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,99,111,110,116,97,105,110,101,100,32,112,97,114,97,109,101,116,101,114,32,116,104,97,116,32,99,104,97,110,103,101,100,32,98,101,116,119,101,101,110,32,115,116,97,114,116,32,97,110,100,32,115,116,111,112,45,116,105,109,101,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,116,114,117,101,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,32,62,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,115,113,114,116,40,107,50,32,42,32,97,98,115,40,120,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,61,32,48,0,0,0,0,0,0,0,0,109,97,120,95,116,112,32,33,61,32,48,0,0,0,0,0,99,97,110,39,116,32,114,101,97,100,32,102,105,108,101,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,100,105,97,109,101,116,101,114,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,99,111,108,83,116,97,114,116,0,0,0,0,0,0,0,0,60,111,117,116,112,117,116,70,105,108,101,110,97,109,101,62,0,0,0,0,0,0,0,0,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,0,0,0,0,0,0,67,104,111,115,101,110,32,99,108,111,99,107,45,116,121,112,101,58,32,37,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,32,102,111,114,32,116,104,101,32,99,117,114,114,101,110,116,32,112,108,97,116,102,111,114,109,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,114,101,97,108,45,116,105,109,101,46,0,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,0,0,0,0,76,79,71,95,83,84,65,84,83,0,0,0,0,0,0,0,111,117,116,112,117,116,70,111,114,109,97,116,0,0,0,0,102,109,101,116,97,0,0,0,101,110,116,105,116,121,32,100,101,99,108,97,114,101,100,32,105,110,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,0,0,100,101,114,40,0,0,0,0,105,110,100,101,120,32,91,37,100,93,32,111,117,116,32,111,102,32,114,97,110,103,101,32,91,37,100,58,37,100,93,0,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,76,65,0,0,0,0,0,0,37,53,100,32,99,111,110,118,101,114,103,101,110,99,101,32,116,101,115,116,32,102,97,105,108,117,114,101,115,0,0,0,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,111,108,100,32,118,97,108,117,101,115,32,97,115,32,115,99,97,108,105,110,103,32,102,97,99,116,111,114,115,46,0,0,0,0,0,0,0,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,116,105,109,101,32,60,32,118,97,108,118,101,79,112,101,110,105,110,103,49,46,115,116,97,114,116,84,105,109,101,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,84,95,115,116,97,114,116,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,55,46,84,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,84,84,79,76,32,105,115,32,115,101,116,32,116,111,58,32,37,101,0,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,99,97,108,99,117,108,97,116,105,111,110,32,111,102,32,106,97,99,111,98,105,97,110,32,58,32,37,100,0,0,68,105,109,101,110,115,105,111,110,32,37,100,32,104,97,115,32,98,111,117,110,100,115,32,49,46,46,37,100,44,32,103,111,116,32,97,114,114,97,121,32,115,117,98,115,99,114,105,112,116,32,37,100,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,104,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,104,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,115,116,97,116,101,95,98,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,110,78,111,100,101,115,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,119,95,101,100,44,32,117,110,101,120,112,101,99,116,101,100,32,99,111,100,101,58,32,37,100,10,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,78,69,81,32,40,61,73,49,41,32,46,76,69,46,32,48,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,55,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,115,117,98,115,99,114,105,112,116,32,111,117,116,32,111,102,32,98,111,117,110,100,115,0,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,0,111,118,101,114,114,105,100,101,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,55,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,97,115,115,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,55,46,109,97,115,115,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,95,49,32,109,97,116,114,105,120,0,0,0,37,35,46,42,69,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+112645);
/* memory initializer */ allocate([48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,55,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,65,99,108,97,115,115,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,108,105,110,101,69,110,100,0,60,47,111,117,116,112,117,116,70,111,114,109,97,116,62,10,0,0,0,0,0,0,0,0,91,117,110,107,110,111,119,110,32,99,108,111,99,107,45,116,121,112,101,93,32,103,111,116,32,37,115,44,32,101,120,112,101,99,116,101,100,32,67,80,85,124,82,84,124,67,89,67,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,82,84,46,0,0,0,0,0,118,97,108,118,101,51,46,100,112,95,110,111,109,105,110,97,108,0,0,0,0,0,0,0,76,79,71,95,83,79,84,73,0,0,0,0,0,0,0,0,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,0,0,0,0,0,0,0,117,110,101,120,112,101,99,116,101,100,32,112,97,114,115,101,114,32,115,116,97,116,101,32,45,32,112,108,101,97,115,101,32,115,101,110,100,32,97,32,98,117,103,32,114,101,112,111,114,116,0,0,0,0,0,0,97,43,98,0,0,0,0,0,102,97,108,115,101,0,0,0,80,66,0,0,0,0,0,0,37,53,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,0,105,108,108,101,103,97,108,32,32,105,110,112,117,116,32,105,110,32,97,114,103,117,109,101,110,116,32,37,100,0,0,0,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,118,97,114,121,32,115,111,108,117,116,105,111,110,32,112,111,105,110,116,32,98,121,32,49,37,37,46,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,66,111,111,108,101,97,110,32,37,115,40,115,116,97,114,116,61,37,115,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,115,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,88,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,88,95,115,116,97,114,116,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,55,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,0,98,105,115,101,99,116,105,111,110,32,109,101,116,104,111,100,32,115,116,97,114,116,115,32,105,110,32,105,110,116,101,114,118,97,108,32,91,37,101,44,32,37,101,93,0,0,0,0,110,117,109,98,101,114,32,111,102,32,99,97,108,108,115,32,111,102,32,102,117,110,99,116,105,111,110,79,68,69,40,41,32,58,32,37,100,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,55,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,115,116,97,116,101,95,97,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,73,78,70,79,32,86,69,67,84,79,82,32,73,83,32,78,79,84,32,90,69,82,79,32,79,82,32,79,78,69,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,115,117,98,115,116,114,105,110,103,32,111,117,116,32,111,102,32,98,111,117,110,100,115,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,111,117,116,112,117,116,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,45,37,100,46,37,100,103,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,32,111,114,32,50,32,99,111,108,115,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,101,109,112,116,121,32,108,105,115,116,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,115,113,114,116,40,107,49,32,42,32,120,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,61,32,48,0,0,0,0,0,67,0,0,0,0,0,0,0,76,101,102,116,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,108,105,110,101,83,116,97,114,116,0,0,0,0,0,0,0,60,111,117,116,112,117,116,70,111,114,109,97,116,62,0,0,67,89,67,0,0,0,0,0,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,0,0,0,0,0,76,79,71,95,83,79,76,86,69,82,0,0,0,0,0,0,115,111,108,118,101,114,0,0,100,111,99,117,109,101,110,116,32,105,115,32,110,111,116,32,115,116,97,110,100,97,108,111,110,101,0,0,0,0,0,0,119,43,98,0,0,0,0,0,116,114,117,101,0,0,0,0,71,66,0,0,0,0,0,0,37,53,100,32,101,118,97,108,117,97,116,105,111,110,115,32,111,102,32,106,97,99,111,98,105,97,110,0,0,0,0,0,74,97,99,111,98,105,97,110,32,77,97,116,114,105,120,32,115,105,110,103,117,108,97,114,33,0,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,100,101,99,114,101,97,115,105,110,103,32,105,110,105,116,105,97,108,32,115,116,101,112,32,98,111,117,110,100,32,116,111,32,37,102,46,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,98,97,99,107,117,112,95,103,111,117,116,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,115,116,101,112,115,32,116,97,107,101,110,32,115,111,32,102,97,114,58,32,37,100,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,68,65,83,83,76,45,45,32,32,73,78,73,84,73,65,76,32,89,80,82,73,77,69,32,67,79,85,76,68,32,78,79,84,32,66,69,32,67,79,77,80,85,84,69,68,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,110,111,69,118,101,110,116,69,109,105,116,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,51,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,51,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,108,101,102,116,32,111,102,102,0,0,0,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,99,111,110,116,97,105,110,32,97,116,32,108,101,97,115,116,32,49,32,118,97,114,105,97,98,108,101,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,115,116,97,114,116,105,111,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,115,113,114,116,40,56,46,55,53,32,47,32,120,49,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,61,32,48,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,32,62,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,97,114,114,97,121,32,115,101,99,116,105,111,110,0,0,0,102,105,108,101,0,0,0,0,60,47,109,101,116,104,111,100,62,10,0,0,0,0,0,0,82,84,0,0,0,0,0,0,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,0,0,0,0,0,0,76,79,71,95,83,73,77,85,76,65,84,73,79,78,0,0,116,111,108,101,114,97,110,99,101,32,61,32,37,103,0,0,101,114,114,111,114,32,105,110,32,112,114,111,99,101,115,115,105,110,103,32,101,120,116,101,114,110,97,108,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,114,43,98,0,0,0,0,0,91,37,108,100,93,32,66,111,111,108,101,97,110,32,37,115,40,115,116,97,114,116,61,37,115,41,32,61,32,37,115,32,40,112,114,101,58,32,37,115,41,0,0,0,0,0,0,0,85,78,0,0,0,0,0,0,37,53,100,32,99,97,108,108,115,32,111,102,32,102,117,110,99,116,105,111,110,79,68,69,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,37,115,40,115,116,97,114,116,61,37,108,100,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,108,100,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,67,118,68,97,116,97,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,67,118,68,97,116,97,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,65,118,32,97,110,100,32,118,97,108,118,101,51,46,67,118,68,97,116,97,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,79,112,80,111,105,110,116,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,70,76,65,71,95,77,65,88,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,115,116,101,112,32,115,105,122,101,32,117,115,101,100,32,111,110,32,108,97,115,116,32,115,117,99,99,101,115,115,102,117,108,32,115,116,101,112,58,32,37,48,46,52,103,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,115,116,97,116,101,95,98,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,101,120,112,97,116,32,111,98,106,101,99,116,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,105,111,115,95,98,97,115,101,58,58,99,108,101,97,114,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,119,98,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,115,116,97,116,101,95,97,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,62,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,0,0,0,80,108,111,116,115,32,111,102,32,112,114,111,102,105,108,105,110,103,32,100,97,116,97,32,119,101,114,101,32,100,105,115,97,98,108,101,100,58,32,37,115,10,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,82,69,83,32,87,65,83,32,69,81,85,65,76,32,84,79,32,77,73,78,85,83,32,84,87,79,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,0,0,0,0,84,0,0,0,0,0,0,0,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,110,111,101,109,105,116,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,114,104,111,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,114,104,111,95,110,111,109,105,110,97,108,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,100,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,100,112,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,100,112,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,112,97,114,97,109,115,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,73,110,102,111,32,109,97,116,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+122885);
/* memory initializer */ allocate([105,120,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,111,102,32,115,105,122,101,32,37,108,100,32,102,97,105,108,101,100,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,65,99,108,97,115,115,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,34,37,115,34,44,0,0,0,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,0,0,0,0,0,0,116,114,121,32,45,105,108,115,32,116,111,32,97,99,116,105,118,97,116,101,32,115,116,97,114,116,32,118,97,108,117,101,32,104,111,109,111,116,111,112,121,0,0,0,0,0,0,0,108,101,97,115,116,83,113,117,97,114,101,61,37,103,0,0,110,117,109,98,101,114,32,111,102,32,117,110,102,105,120,101,100,32,118,97,114,105,97,98,108,101,115,58,32,32,37,108,100,32,40,37,108,100,32,115,116,97,116,101,115,32,43,32,37,108,100,32,112,97,114,97,109,101,116,101,114,115,32,43,32,37,108,100,32,100,105,115,99,114,101,116,101,32,114,101,97,108,115,41,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,97,115,115,101,114,116,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,102,109,116,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,115,116,97,116,117,115,0,0,0,37,108,102,0,0,0,0,0,81,82,70,0,0,0,0,0,37,115,37,46,53,101,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,69,110,116,101,114,105,110,103,32,97,110,100,32,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,115,117,98,115,99,114,105,112,116,32,102,111,114,32,115,99,97,108,97,114,32,118,97,114,105,97,98,108,101,0,0,0,105,110,102,111,0,0,0,0,60,109,101,116,104,111,100,62,0,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,98,121,32,97,110,32,97,115,115,101,114,116,105,111,110,32,97,116,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,67,80,85,0,0,0,0,0,118,97,108,118,101,50,46,100,112,95,110,111,109,105,110,97,108,0,0,0,0,0,0,0,116,111,108,101,114,97,110,99,101,0,0,0,0,0,0,0,76,79,71,95,82,69,83,95,73,78,73,84,0,0,0,0,83,116,97,114,116,32,115,111,108,118,105,110,103,32,78,111,110,45,76,105,110,101,97,114,32,83,121,115,116,101,109,32,37,115,32,97,116,32,116,105,109,101,32,37,103,32,119,105,116,104,32,78,101,119,116,111,110,32,83,111,108,118,101,114,0,0,0,0,0,0,0,0,117,110,99,108,111,115,101,100,32,67,68,65,84,65,32,115,101,99,116,105,111,110,0,0,114,98,0,0,0,0,0,0,98,111,111,108,101,97,110,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,66,82,0,0,0,0,0,0,37,53,100,32,115,116,101,112,115,32,116,97,107,101,110,0,37,100,32,114,101,116,114,105,101,115,10,37,100,32,114,101,115,116,97,114,116,115,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,112,32,62,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,112,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,115,116,97,114,116,32,115,111,108,118,105,110,103,32,110,111,110,45,108,105,110,101,97,114,32,115,121,115,116,101,109,32,62,62,37,115,60,60,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,107,105,110,115,111,108,0,0,91,37,100,93,32,37,115,0,91,37,100,93,32,37,115,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,84,32,62,61,32,49,46,48,32,97,110,100,32,115,105,110,107,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,41,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,41,44,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,41,0,0,0,0,37,108,100,32,0,0,0,0,115,116,101,112,32,115,105,122,101,32,72,32,116,111,32,98,101,32,97,116,116,101,109,112,116,101,100,32,111,110,32,110,101,120,116,32,115,116,101,112,58,32,37,48,46,52,103,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,65,78,68,32,83,84,69,80,83,73,90,69,32,72,32,40,61,82,50,41,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,32,99,111,117,110,116,32,105,110,99,111,114,114,101,99,116,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,51,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,51,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,110,108,115,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,110,97,109,101,115,32,109,97,116,114,105,120,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,32,62,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,60,100,101,102,105,110,101,115,62,32,110,101,101,100,115,32,116,111,32,104,97,118,101,32,101,120,97,99,116,108,121,32,111,110,101,32,97,116,116,114,105,98,117,116,101,58,32,110,97,109,101,0,0,0,0,0,60,47,100,97,116,101,62,10,0,0,0,0,0,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,114,118,97,108,115,32,61,32,37,108,100,0,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,0,0,0,0,0,0,115,116,101,112,83,105,122,101,32,61,32,37,103,0,0,0,76,79,71,95,78,76,83,95,82,69,83,0,0,0,0,0,101,110,99,111,100,105,110,103,32,115,112,101,99,105,102,105,101,100,32,105,110,32,88,77,76,32,100,101,99,108,97,114,97,116,105,111,110,32,105,115,32,105,110,99,111,114,114,101,99,116,0,0,0,0,0,0,97,98,0,0,0,0,0,0,91,37,108,100,93,32,73,110,116,101,103,101,114,32,37,115,40,115,116,97,114,116,61,37,108,100,41,32,61,32,37,108,100,32,40,112,114,101,58,32,37,108,100,41,0,0,0,0,84,82,0,0,0,0,0,0,115,111,108,118,101,114,58,32,68,65,83,83,76,0,0,0,115,121,115,116,101,109,32,115,111,108,118,101,100,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,103,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,115,116,97,116,101,95,98,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,112,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,84,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,111,117,116,112,117,116,32,102,105,108,101,32,37,115,32,99,111,117,108,100,32,110,111,116,32,98,101,32,111,112,101,110,101,100,58,32,37,115,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,115,116,97,116,101,95,97,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,99,117,114,114,101,110,116,32,105,110,116,101,103,114,97,116,105,111,110,32,116,105,109,101,32,118,97,108,117,101,58,32,37,48,46,52,103,0,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,82,69,83,32,87,65,83,32,69,81,85,65,76,32,84,79,32,77,73,78,85,83,32,79,78,69,0,0,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,0,110,111,32,101,110,100,32,114,101,99,111,114,100,0,0,0,109,101,97,115,117,114,101,84,105,109,101,80,108,111,116,70,111,114,109,97,116,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,0,0,0,0,63,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,98,105,110,84,114,97,110,115,32,111,114,32,98,105,110,78,111,114,109,97,108,32,102,111,114,109,97,116,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,32,62,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,76,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,100,105,97,109,101,116,101,114,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,115,113,114,116,40,120,49,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,61,32,48,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,110,97,109,101,0,0,0,0,60,100,97,116,101,62,0,0,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,111,117,116,112,117,116,116,105,110,103,32,97,108,108,32,118,97,114,105,97,98,108,101,115,46,0,0,0,0,0,0,0,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,0,115,116,101,112,83,105,122,101,0,0,0,0,0,0,0,0,76,79,71,95,78,76,83,95,74,65,67,0,0,0,0,0,117,110,107,110,111,119,110,32,101,110,99,111,100,105,110,103,0,0,0,0,0,0,0,0,119,98,0,0,0,0,0,0,105,110,116,101,103,101,114,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,72,82,0,0,0,0,0,0,37,53,108,100,32,116,105,109,101,32,101,118,101,110,116,115,0,0,0,0,0,0,0,0,37,115,0,0,0,0,0,0,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,84,95,115,116,97,114,116,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,56,46,84,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,32,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,109,97,116,104,45,115,117,112,112,111,114,116,47,112,105,118,111,116,46,99,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,104,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,104,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,41,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,41,44,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,41,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,114,0,0,0,0,0,0,0,99,117,114,114,101,110,116,32,116,105,109,101,32,118,97,108,117,101,58,32,37,48,46,52,103,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,110,78,111,100,101,115,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+133125);
/* memory initializer */ allocate([93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,56,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,51,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,51,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,105,111,115,116,114,101,97,109,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,67,79,85,76,68,32,78,79,84,32,67,79,78,86,69,82,71,69,32,66,69,67,65,85,83,69,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,56,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,0,0,0,108,118,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,97,115,115,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,56,46,109,97,115,115,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,32,62,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,65,99,108,97,115,115,32,109,97,116,114,105,120,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,56,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,88,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,88,95,115,116,97,114,116,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,118,97,114,105,97,98,108,101,32,110,111,116,32,105,110,32,110,97,109,101,108,105,115,116,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,115,116,97,116,101,95,98,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,100,101,102,105,110,101,115,0,60,47,112,114,101,102,105,120,62,10,0,0,0,0,0,0,32,119,105,116,104,32,101,114,114,111,114,58,32,0,0,0,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,0,115,116,111,112,84,105,109,101,32,61,32,37,103,0,0,0,76,79,71,95,78,76,83,95,86,0,0,0,0,0,0,0,88,77,76,32,111,114,32,116,101,120,116,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,97,116,32,115,116,97,114,116,32,111,102,32,101,110,116,105,116,121,0,0,97,43,0,0,0,0,0,0,111,116,104,101,114,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,0,0,0,0,81,76,0,0,0,0,0,0,37,53,108,100,32,115,116,97,116,101,32,101,118,101,110,116,115,0,0,0,0,0,0,0,37,115,0,0,0,0,0,0,115,111,108,118,101,114,32,119,105,108,108,32,116,114,121,32,116,111,32,104,97,110,100,108,101,32,100,105,118,105,115,105,111,110,32,98,121,32,122,101,114,111,32,97,116,32,116,105,109,101,32,37,46,49,54,103,58,32,37,115,0,0,0,0,37,115,37,49,48,103,32,0,112,97,114,97,109,101,116,101,114,32,118,97,108,117,101,115,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,56,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,115,116,97,116,101,95,97,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,56,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,97,100,100,101,100,32,116,109,112,32,101,118,101,110,116,32,58,32,37,108,100,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,115,116,97,116,101,95,98,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,118,97,108,117,101,32,111,102,32,105,100,105,100,58,32,37,100,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,114,98,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,69,82,82,79,82,32,84,69,83,84,32,70,65,73,76,69,68,32,82,69,80,69,65,84,69,68,76,89,46,0,0,119,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,0,0,0,98,97,100,32,110,97,109,101,108,105,115,116,32,110,97,109,101,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,84,121,112,101,0,0,0,0,108,115,95,105,112,111,112,116,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,0,0,0,0,83,116,114,105,110,103,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,49,32,99,111,108,115,0,0,0,0,0,66,111,111,108,101,97,110,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,73,110,116,101,103,101,114,0,44,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,82,101,97,108,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,32,115,116,97,116,101,109,101,110,116,32,101,120,101,99,117,116,101,100,10,0,0,0,0,102,117,110,99,116,105,111,110,0,0,0,0,0,0,0,0,60,112,114,101,102,105,120,62,0,0,0,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,99,111,109,112,105,108,101,32,114,101,103,117,108,97,114,32,101,120,112,114,101,115,115,105,111,110,58,32,0,0,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,41,32,43,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,41,41,32,42,32,118,97,108,118,101,50,46,65,118,32,42,32,109,97,120,40,118,97,108,118,101,50,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,44,32,48,46,48,48,49,41,0,0,0,0,115,116,111,112,84,105,109,101,0,0,0,0,0,0,0,0,76,79,71,95,78,76,83,0,114,101,102,101,114,101,110,99,101,32,116,111,32,101,120,116,101,114,110,97,108,32,101,110,116,105,116,121,32,105,110,32,97,116,116,114,105,98,117,116,101,0,0,0,0,0,0,0,119,43,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,32,61,32,37,103,32,40,112,114,101,58,32,37,103,41,0,0,0,0,76,81,0,0,0,0,0,0,101,118,101,110,116,115,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,101,114,114,111,114,32,114,101,97,100,105,110,103,32,116,104,101,32,120,109,108,32,102,105,108,101,44,32,102,111,117,110,100,32,117,110,107,110,111,119,110,32,99,108,97,115,115,58,32,37,115,32,32,102,111,114,32,118,97,114,105,97,98,108,101,58,32,37,115,0,37,115,37,49,48,103,32,0,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,91,37,100,120,37,100,93,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,115,65,108,105,0,0,0,0,98,97,115,101,95,97,114,114,97,121,46,99,58,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,97,114,114,97,121,32,100,105,109,101,110,115,105,111,110,115,32,97,114,101,32,60,32,48,33,10,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,115,113,114,116,40,107,50,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,61,32,48,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,77,105,110,105,109,117,109,32,118,97,108,117,101,58,32,37,101,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,86,65,76,85,69,32,40,61,73,49,41,32,79,70,32,73,68,73,68,32,65,78,68,32,78,79,32,65,80,80,82,79,80,82,73,65,84,69,0,100,97,115,115,108,32,99,97,108,108,32,115,116,97,105,115,116,105,99,115,58,32,0,0,115,80,97,114,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,51,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,51,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,115,65,108,103,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,98,65,108,105,0,0,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,67,79,85,76,68,32,78,79,84,32,67,79,78,86,69,82,71,69,46,32,32,65,76,83,79,44,32,84,72,69,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,98,97,100,32,118,97,114,105,97,98,108,101,32,116,121,112,101,0,0,0,0,0,0,0,98,80,97,114,0,0,0,0,108,115,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,32,62,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,0,98,65,108,103,0,0,0,0,78,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,52,32,114,111,119,115,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,109,97,120,45,118,97,108,117,101,115,0,0,0,0,0,105,65,108,105,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,118,101,99,116,111,114,0,0,105,80,97,114,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,32,62,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,115,116,97,116,101,95,98,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,105,65,108,103,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,100,105,97,109,101,116,101,114,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,37,115,10,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,115,116,97,116,101,95], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+143365);
/* memory initializer */ allocate([97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,115,116,97,116,101,95,97,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,78,111,110,108,105,110,101,97,114,32,102,117,110,99,116,105,111,110,32,40,114,101,115,105,100,117,97,108,70,117,110,99,37,108,100,44,32,115,105,122,101,32,37,100,41,0,0,0,60,47,110,97,109,101,62,10,0,0,0,0,0,0,0,0,119,98,0,0,0,0,0,0,46,42,0,0,0,0,0,0,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,0,115,116,97,114,116,84,105,109,101,32,61,32,37,103,0,0,76,79,71,95,76,83,95,86,0,0,0,0,0,0,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,98,105,110,97,114,121,32,101,110,116,105,116,121,0,0,0,0,0,0,114,43,0,0,0,0,0,0,117,110,100,101,102,105,110,101,100,32,101,114,114,111,114,32,105,110,32,78,101,108,100,101,114,77,101,97,100,79,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,0,0,0,100,101,114,105,118,97,116,105,118,101,115,32,118,97,114,105,97,98,108,101,115,0,0,0,82,81,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,116,111,116,97,108,0,0,0,114,65,108,105,0,0,0,0,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,91,37,100,120,37,100,93,0,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,91,37,100,93,32,58,32,37,46,50,48,101,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,0,0,0,102,97,108,115,101,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,114,80,97,114,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,84,95,115,116,97,114,116,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,57,46,84,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,115,101,97,114,99,104,32,102,111,114,32,99,117,114,114,101,110,116,32,101,118,101,110,116,46,32,69,118,101,110,116,115,32,105,110,32,108,105,115,116,58,32,37,108,100,0,0,0,10,0,0,0,0,0,0,0,99,97,110,39,116,32,99,111,110,116,105,110,117,101,46,32,116,105,109,101,32,61,32,37,102,0,0,0,0,0,0,0,114,65,108,103,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,104,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,104,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,99,108,111,99,107,0,0,0,76,79,71,95,65,76,76,0,114,68,101,114,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,110,78,111,100,101,115,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,114,83,116,97,0,0,0,0,83,111,108,118,105,110,103,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,37,115,58,32,105,116,101,114,97,116,105,111,110,32,110,111,116,32,109,97,107,105,110,103,32,112,114,111,103,114,101,115,115,44,32,116,114,121,105,110,103,32,119,105,116,104,32,100,105,102,102,101,114,101,110,116,32,115,116,97,114,116,105,110,103,32,112,111,105,110,116,115,32,40,43,37,103,41,0,68,65,83,83,76,45,45,32,32,73,84,69,82,65,84,73,79,78,32,77,65,84,82,73,88,32,73,83,32,83,73,78,71,85,76,65,82,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,57,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,0,99,108,97,115,115,84,121,112,101,0,0,0,0,0,0,0,98,97,100,32,108,111,103,105,99,97,108,32,105,110,112,117,116,32,102,105,101,108,100,0,108,111,103,70,111,114,109,97,116,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,57,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,0,0,0,0,99,108,97,115,115,73,110,100,101,120,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,97,115,115,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,57,46,109,97,115,115,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,77,97,116,114,105,120,32,110,97,109,101,32,109,105,115,109,97,116,99,104,0,0,0,0,105,108,108,101,103,97,108,32,117,110,105,116,32,110,117,109,98,101,114,0,0,0,0,0,83,99,97,108,97,114,86,97,114,105,97,98,108,101,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,37,46,48,76,102,0,0,0,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,57,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,115,113,114,116,40,107,49,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,61,32,48,0,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,68,71,69,82,32,32,0,0,117,116,105,108,47,114,116,99,108,111,99,107,46,99,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,110,111,110,108,105,110,101,97,114,0,0,0,0,0,0,0,60,110,97,109,101,62,0,0,46,109,111,0,0,0,0,0,36,100,117,109,109,121,0,0,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,0,0,0,0,0,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,0,0,0,0,37,46,49,54,103,44,32,37,46,49,54,103,10,0,0,0,76,79,71,95,76,83,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,105,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,110,117,109,98,101,114,0,0,0,114,0,0,0,0,0,0,0,102,120,107,32,61,32,37,103,0,0,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,32,40,112,114,101,58,32,37,103,41,0,0,0,0,0,0,81,82,0,0,0,0,0,0,101,109,112,116,121,32,82,105,110,103,66,117,102,102,101,114,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,101,114,114,111,114,32,114,101,97,100,95,118,97,108,117,101,44,32,110,111,32,100,97,116,97,32,97,108,108,111,99,97,116,101,100,32,102,111,114,32,115,116,111,114,105,110,103,32,115,116,114,105,110,103,0,0,115,99,97,108,101,100,32,114,101,115,105,100,117,97,108,32,91,37,100,93,32,58,32,37,46,50,48,101,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,63,44,32,110,111,109,105,110,97,108,61,63,41,0,0,0,0,0,0,0,116,114,117,101,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,88,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,88,95,115,116,97,114,116,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,57,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,112,114,111,98,97,98,108,121,32,97,32,115,116,114,111,110,103,32,99,111,109,112,111,110,101,110,116,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,70,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,117,115,101,32,102,108,97,103,115,32,45,108,118,32,76,79,71,95,78,76,83,44,32,76,79,71,95,76,83,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,116,105,109,101,32,60,32,118,97,108,118,101,79,112,101,110,105,110,103,50,46,115,116,97,114,116,84,105,109,101,0,0,115,116,97,116,101,115,95,108,101,102,116,0,0,0,0,0,68,65,83,83,76,32,119,105,108,108,32,116,114,121,32,97,103,97,105,110,46,46,46,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,57,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,51,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,51,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,95,105,110,105,116,46,120,109,108,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,68,65,83,83,76,45,45,32,32,79,82,32,87,73,84,72,32,65,66,83,40,72,41,61,72,77,73,78,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,108,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,32,62,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,117,116,105,108,47,114,101,97,108,95,97,114,114,97,121,46,99,0,0,0,0,0,0,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,32,102,111,114,32,119,114,105,116,105,110,103,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,51,41,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,109,111,110,101,121,95,103,101,116,32,101,114,114,111,114,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,111,102,32,115,105,122,101,32,37,108,100,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,115,116,97,116,101,95,98,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,98,105,110,78,111,114,109,97,108,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,114,101,97,100,32,117,110,101,120,112,101,99,116,101,100,32,99,104,97,114,97,99,116,101,114,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,115,116,97,116,101,95,97,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,76,105,110,101,97,114,32,102,117,110,99,116,105,111,110,32,40,105,110,100,101,120,32,37,108,100,44,32,115,105,122,101,32,37,100,41,0,0,0,0,60,109,111,100,101,108,105,110,102,111,62,10,0,0,0,0,108,105,110,101,97,114,95,0,41,36,0,0,0,0,0,0,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,0,0,0,0,0,0,114,101,97,100,32,97,108,108,32,116,104,101,32,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,32,118,97,108,117,101,115,58,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,119,114,105,116,101,32,116,111,32,111,117,116,112,117,116,32,102,105,108,101,32,37,115,10,0,0,0,0,0,0,0,0,97,115,121,110,99,104,114,111,110,111,117,115,32,101,110,116,105,116,121,0,0,0,0,0,76,79,71,95,74,65,67,0,97,0,0,0,0,0,0,0,102,120,114,32,61,32,37,103,0,0,0,0,0,0,0,0,115,116,97,116,101,115,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,79,82,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,115,105,109,117,108,97,116,105,111,110,0,0,0,0,0,0,115,99,97,108,105,110,103,32,102,97,99,116,111,114,115,32,102,111,114,32,114,101,115,105,100,117,97,108,32,118,101,99,116,111,114,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,112,111,114,116,95,98,95,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,112,111,114,116,95,98,95,84,32,62,61,32,49,46,48,32,97,110,100,32,118,97,108,118,101,51,46,112,111,114,116,95,98,95,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,109,105,120,101,100,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,112,111,114,116,95,97,95,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,112,111,114,116,95,97,95,84,32,62,61,32,49,46,48,32,97,110,100,32,118,97,108,118,101,51,46,112,111,114,116,95,97,95,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,100,97,116,97,95,49,0,0,115,105,109,117,108,97,116,105,111,110,47,115,111,108,118,101,114,47,101,118,101,110,116,115,46,99,0,0,0,0,0,0,65,32,108,97,114,103,101,32,97,109,111,117,110,116,32,111,102,32,119,111,114,107,32,104,97,115,32,98,101,101,110,32,101,120,112,101,110,100,101,100,46,40,65,98,111,117,116,32,53,48,48,32,115,116,101,112,115,41,46,32,84,114,121,105,110,103,32,116,111,32,99,111,110,116,105,110,117,101,32,46,46,46,0,0,0,0,0,0,37,46,49,54,103,44,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,100,112,95,116,117,114,98,117,108,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,100,112,95,116,117,114,98,117,108,101,110,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,78,79,32,111,118,101,114,114,105,100,101,32,103,105,118,101,110,32,111,110,32,116,104,101,32,99,111,109,109,97,110,100,32,108,105,110,101,46,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,111,112,101,110,105,110,103,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,111,112,101,110,105,110,103,32,62,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,111,112,101,110,105,110,103,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,78,101,108,100,101,114,77,101,97,100,79,112,116,105,109,105,122,97,116,105,111,110,0,0,111,118,101,114,114,105,100,101,32,100,111,110,101,33,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,70,65,73,76,69,68,32,84,79,32,67,79,78,86,69,82,71,69,32,82,69,80,69,65,84,69,68,76,89,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+153605);
/* memory initializer */ allocate([32,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,0,111,118,101,114,114,105,100,101,32,37,115,32,61,32,37,115,0,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,105,112,111,112,116,95,105,110,105,116,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,37,100,100,0,0,0,0,0,110,111,32,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,0,0,0,0,61,0,0,0,0,0,0,0,110,111,32,105,112,111,112,116,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,0,0,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,50,41,0,0,0,0,0,0,83,97,116,0,0,0,0,0,114,101,97,100,32,111,118,101,114,114,105,100,101,32,118,97,108,117,101,115,58,32,37,115,0,0,0,0,0,0,0,0,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,108,105,115,116,45,112,111,105,110,116,101,114,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,37,76,102,0,0,0,0,0,70,114,105,0,0,0,0,0,44,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,109,97,120,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,32,62,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,84,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,84,104,117,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,99,111,117,108,100,32,110,111,116,32,111,112,101,110,32,116,104,101,32,102,105,108,101,32,103,105,118,101,110,32,116,111,32,45,111,118,101,114,114,105,100,101,70,105,108,101,61,37,115,0,0,0,0,0,109,97,120,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,111,117,116,32,111,102,32,102,114,101,101,32,115,112,97,99,101,0,0,0,0,0,0,0,109,97,108,108,111,99,32,102,97,105,108,117,114,101,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,108,105,110,101,97,114,0,0,78,111,32,116,114,97,110,115,112,111,115,101,0,0,0,0,60,115,105,109,117,108,97,116,105,111,110,62,10,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,100,105,97,109,101,116,101,114,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,105,32,102,111,114,32,105,32,105,110,32,49,58,48,0,0,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,41,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,41,44,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,41,0,0,0,0,0,94,40,0,0,0,0,0,0,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,0,0,0,0,0,0,69,114,114,111,114,44,32,116,104,101,32,71,85,73,68,58,32,37,115,32,102,114,111,109,32,105,110,112,117,116,32,100,97,116,97,32,102,105,108,101,58,32,37,115,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,116,104,101,32,71,85,73,68,32,99,111,109,112,105,108,101,100,32,105,110,32,116,104,101,32,109,111,100,101,108,58,32,37,115,0,0,68,97,116,97,83,101,116,58,32,37,115,10,0,0,0,0,114,101,99,117,114,115,105,118,101,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,0,0,0,76,79,71,95,73,80,79,80,84,95,72,69,83,83,69,0,119,0,0,0,0,0,0,0,105,110,99,114,101,97,115,105,110,103,32,108,97,109,98,100,97,32,116,111,32,37,45,51,103,32,105,110,32,115,116,101,112,32,37,54,100,32,97,116,32,102,61,37,103,0,0,0,35,35,35,32,83,79,76,85,84,73,79,78,32,79,70,32,84,72,69,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,87,101,100,0,0,0,0,0,72,69,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,111,118,101,114,104,101,97,100,0,0,0,0,0,0,0,0,114,101,97,100,32,111,118,101,114,114,105,100,101,32,118,97,108,117,101,115,32,102,114,111,109,32,102,105,108,101,58,32,37,115,0,0,0,0,0,0,120,91,37,100,93,58,32,37,101,32,0,0,0,0,0,0,112,114,111,112,101,114,32,115,116,97,114,116,45,118,97,108,117,101,115,32,102,111,114,32,115,111,109,101,32,111,102,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,105,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,115,32,109,105,103,104,116,32,104,101,108,112,0,0,0,0,99,97,108,108,32,101,120,116,101,114,110,97,108,32,79,98,106,101,99,116,32,67,111,110,115,116,114,117,99,116,111,114,115,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,84,117,101,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,117,115,97,103,101,32,101,114,114,111,114,32,121,111,117,32,99,97,110,110,111,116,32,104,97,118,101,32,98,111,116,104,32,45,111,118,101,114,114,105,100,101,32,97,110,100,32,45,111,118,101,114,114,105,100,101,70,105,108,101,32,97,99,116,105,118,101,32,97,116,32,116,104,101,32,115,97,109,101,32,116,105,109,101,46,32,115,101,101,32,77,111,100,101,108,32,45,63,32,102,111,114,32,109,111,114,101,32,105,110,102,111,33,0,0,0,0,0,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,108,105,110,101,97,114,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,115,116,97,116,101,115,95,114,105,103,104,116,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,84,95,115,116,97,114,116,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,48,46,84,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,77,111,110,0,0,0,0,0,83,116,97,114,116,32,115,116,101,112,32,37,46,49,53,103,32,116,111,32,37,46,49,53,103,0,0,0,0,0,0,0,76,79,71,95,85,78,75,78,79,87,78,0,0,0,0,0,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,104,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,104,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,83,117,110,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,95,99,111,117,110,116,46,37,115,34,10,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,110,78,111,100,101,115,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,83,97,116,117,114,100,97,121,0,0,0,0,0,0,0,0,115,101,116,32,121,108,97,98,101,108,32,34,69,120,101,99,117,116,105,111,110,32,99,111,117,110,116,34,10,0,0,0,83,116,114,105,110,103,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,0,68,65,83,83,76,45,45,32,32,69,82,82,79,82,32,84,69,83,84,32,70,65,73,76,69,68,32,82,69,80,69,65,84,69,68,76,89,32,79,82,32,87,73,84,72,32,65,66,83,40,72,41,61,72,77,73,78,0,0,0,0,0,0,0,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,49,48,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,0,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,70,114,105,100,97,121,0,0,115,101,116,32,120,108,97,98,101,108,32,34,71,108,111,98,97,108,32,115,116,101,112,32,110,117,109,98,101,114,34,10,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,0,109,97,120,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,105,112,111,112,116,95,106,97,99,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,119,114,105,116,101,32,115,116,97,114,116,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,48,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,0,84,104,117,114,115,100,97,121,0,0,0,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,46,37,115,34,10,0,0,0,109,97,120,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,119,95,110,101,100,44,32,117,110,101,120,112,101,99,116,101,100,32,99,111,100,101,58,32,37,100,10,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,97,115,115,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,48,46,109,97,115,115,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,37,43,46,50,100,0,0,0,67,111,117,108,100,32,110,111,116,32,100,101,116,101,114,109,105,110,101,32,115,105,122,101,32,111,102,32,109,97,116,114,105,120,32,101,108,101,109,101,110,116,115,0,0,0,0,0,87,101,100,110,101,115,100,97,121,0,0,0,0,0,0,0,115,101,116,32,121,108,97,98,101,108,32,34,69,120,101,99,117,116,105,111,110,32,116,105,109,101,32,91,115,93,34,10,0,0,0,0,0,0,0,0,109,97,120,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,51,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,51,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,101,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,121,115,116,101,109,32,111,102,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,97,114,101,32,110,111,116,32,99,111,110,115,105,115,116,101,110,116,10,40,108,101,97,115,116,32,115,113,117,97,114,101,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,32,105,115,32,37,103,41,0,0,0,0,0,84,117,101,115,100,97,121,0,98,97,115,105,99,95,115,116,114,105,110,103,0,0,0,0,117,110,107,110,111,119,110,32,99,111,100,101,32,105,110,32,100,111,95,102,105,111,58,32,37,100,10,37,115,10,0,0,115,101,116,32,120,108,97,98,101,108,32,34,71,108,111,98,97,108,32,115,116,101,112,32,97,116,32,116,105,109,101,34,10,0,0,0,0,0,0,0,66,111,111,108,101,97,110,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,100,97,115,115,108,73,110,116,101,114,110,97,108,78,117,109,74,97,99,0,0,0,0,0,109,97,120,40,45,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,48,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,115,102,101,0,0,0,0,0,101,120,116,101,114,110,97,108,73,110,112,117,116,46,99,115,118,0,0,0,0,0,0,0,77,111,110,100,97,121,0,0,115,101,116,32,116,105,116,108,101,32,34,37,115,34,10,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,100,97,115,115,108,67,111,108,111,114,83,121,109,74,97,99,0,0,0,0,0,0,0,0,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,105,110,99,111,109,112,114,101,104,101,110,115,105,98,108,101,32,108,105,115,116,32,105,110,112,117,116,0,0,0,0,0,117,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,49,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,101,113,117,97,116,105,111,110,0,0,0,0,0,0,0,0,115,116,114,102,116,105,109,101,40,41,32,102,97,105,108,101,100,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,68,32,0,0,0,0,84,104,101,32,77,111,100,101,108,32,71,85,73,68,58,32,37,115,32,105,115,32,110,111,116,32,115,101,116,32,105,110,32,102,105,108,101,58,32,37,115,0,0,0,0,0,0,0,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,0,68,97,116,97,83,101,116,58,32,36,99,112,117,84,105,109,101,10,0,0,0,0,0,0,117,110,100,101,102,105,110,101,100,32,101,110,116,105,116,121,0,0,0,0,0,0,0,0,77,97,108,108,111,99,32,102,97,105,108,101,100,0,0,0,76,79,71,95,73,80,79,80,84,95,74,65,67,0,0,0,71,69,0,0,0,0,0,0,108,97,109,98,100,97,32,105,115,32,37,45,51,103,32,105,110,32,115,116,101,112,61,37,54,100,32,97,116,32,102,61,37,103,32,91,37,103,93,0,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,0,83,117,110,100,97,121,0,0,71,83,84,0,0,0,0,0,115,101,116,32,116,101,114,109,105,110,97,108,32,37,115,10,0,0,0,0,0,0,0,0,100,97,115,115,108,78,117,109,74,97,99,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,101,118,101,110,116,45,104,97,110,100,108,105,110,103,0,0,35,35,35,35,35,35,35,35,35,32,83,116,97,114,116,32,78,101,119,116,111,110,32,109,97,120,102,101,118,58,32,37,100,32,35,35,35,35,35,35,35,35,35,0,0,0,0,0,99,97,110,32,110,111,116,32,105,110,105,116,105,97,108,122,101,32,74,97,99,111,98,105,97,110,115,32,102,111,114,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,0,0,0,0,0,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,88,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,88,95,115,116,97,114,116,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,115,101,116,32,98,111,114,100,101,114,10,0,0,0,0,0,100,97,115,115,108,83,121,109,74,97,99,0,0,0,0,0,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,110,111,110,45,108,105,110,101,97,114,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,48,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,104,101,108,112,0,0,0,0,78,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,0,0,0,0,115,101,116,32,120,116,105,99,115,10,0,0,0,0,0,0,67,97,108,108,105,110,103,32,68,68,65,83,82,84,32,102,114,111,109,32,37,46,49,53,103,32,116,111,32,37,46,49,53,103,0,0,0,0,0,0,73,110,116,101,103,101,114,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,100,97,115,115,108,116,101,115,116,0,0,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,102,105,108,101,32,37,115,58,32,37,115,10,0,0,0,0,0,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,115,116,97,116,101,95,98,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,117,110,115,112,101,99,105,102,105,101,100,32,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,32,101,114,114,111,114,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,48,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+163845);
/* memory initializer */ allocate([70,0,0,0,114,0,0,0,105,0,0,0,0,0,0,0,100,105,118,105,115,105,111,110,32,98,121,32,122,101,114,111,32,97,116,32,116,105,109,101,32,37,46,49,54,103,44,32,100,105,118,105,115,111,114,58,32,37,115,0,0,0,0,0,115,101,116,32,121,116,105,99,115,10,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,100,97,115,115,108,119,111,114,116,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,115,116,97,116,101,95,97,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,114,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,103,110,117,112,108,111,116,0,59,0,0,0,0,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,95,99,111,117,110,116,46,116,104,117,109,98,46,115,118,103,34,10,0,0,0,0,0,0,108,111,98,97,116,116,111,54,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,65,78,68,32,83,84,69,80,83,73,90,69,32,72,32,40,61,82,50,41,32,84,72,69,0,0,0,0,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,112,111,114,116,95,98,95,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,112,111,114,116,95,98,95,84,32,62,61,32,49,46,48,32,97,110,100,32,118,97,108,118,101,50,46,112,111,114,116,95,98,95,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,73,110,105,116,105,97,108,105,122,105,110,103,32,68,65,83,83,76,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,67,0,0,0,0,0,0,0,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,0,87,0,0,0,101,0,0,0,100,0,0,0,0,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,37,103,58,37,103,93,10,0,0,0,0,0,108,111,98,97,116,116,111,52,0,0,0,0,0,0,0,0,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,105,112,111,112,116,95,104,101,115,115,101,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,112,111,114,116,95,97,95,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,112,111,114,116,95,97,95,84,32,62,61,32,49,46,48,32,97,110,100,32,118,97,108,118,101,50,46,112,111,114,116,95,97,95,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,44,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,0,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,115,101,116,32,110,111,108,111,103,32,120,121,10,0,0,0,108,111,98,97,116,116,111,50,0,0,0,0,0,0,0,0,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,100,112,95,116,117,114,98,117,108,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,100,112,95,116,117,114,98,117,108,101,110,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,109,97,116,32,102,105,108,101,32,37,115,0,97,108,108,111,99,97,116,105,111,110,78,101,119,116,111,110,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,77,97,116,114,105,120,32,117,115,101,115,32,105,109,97,103,105,110,97,114,121,32,110,117,109,98,101,114,115,0,0,0,65,117,116,111,109,97,116,105,99,32,111,117,116,112,117,116,32,115,116,101,112,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,79,112,101,110,77,111,100,101,108,105,99,97,32,121,101,116,46,32,83,101,116,32,110,117,109,112,111,105,110,116,115,32,62,61,32,48,46,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,0,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,42,58,42,93,10,0,0,0,0,0,0,0,37,115,0,0,0,0,0,0,114,97,100,97,117,49,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,32,102,111,114,32,119,114,105,116,105,110,103,0,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,37,105,44,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,111,112,101,110,105,110,103,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,111,112,101,110,105,110,103,32,62,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,111,112,101,110,105,110,103,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,41,32,43,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,41,41,32,42,32,118,97,108,118,101,51,46,65,118,32,42,32,109,97,120,40,118,97,108,118,101,51,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,44,32,48,46,48,48,49,41,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,105,116,101,114,97,116,105,111,110,115,58,32,37,108,100,0,115,105,109,112,108,101,120,95,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,124,32,82,101,115,117,108,116,32,111,102,32,108,101,97,115,116,83,113,117,97,114,101,32,109,101,116,104,111,100,32,61,32,37,103,46,32,84,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,105,116,115,32,116,111,32,116,104,101,32,115,121,115,116,101,109,0,0,0,0,0,0,0,0,105,110,105,116,105,97,108,32,112,114,111,98,108,101,109,58,0,0,0,0,0,0,0,0,83,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,99,97,108,108,32,101,120,116,101,114,110,97,108,32,79,98,106,101,99,116,32,67,111,110,115,116,114,117,99,116,111,114,115,32,102,105,110,105,115,104,101,100,0,0,0,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,42,58,37,103,93,10,0,0,0,0,0,0,32,110,111,116,32,102,111,117,110,100,46,0,0,0,0,0,114,97,100,97,117,51,0,0,115,116,100,111,117,116,0,0,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,91,94,91,58,100,105,103,105,116,58,93,93,0,0,0,0,100,111,95,102,105,111,0,0,114,101,115,105,100,117,97,108,91,37,108,100,93,32,61,32,37,103,0,0,0,0,0,0,114,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,117,0,0,0,114,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,115,101,116,32,108,111,103,32,121,10,0,0,0,0,0,0,82,101,97,108,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,0,0,0,114,97,100,97,117,53,0,0,84,82,70,0,0,0,0,0,106,97,99,111,98,105,97,110,32,37,100,120,37,100,32,91,105,100,58,32,37,108,100,93,0,0,0,0,0,0,0,0,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,0,116,114,117,110,99,97,116,105,111,110,32,102,97,105,108,101,100,32,105,110,32,101,110,100,102,105,108,101,0,0,0,0,102,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,37,89,45,37,109,45,37,100,32,37,72,58,37,77,58,37,83,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,67,32,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,116,111,114,105,110,103,32,114,101,115,117,108,116,115,32,97,110,100,32,101,120,105,116,105,110,103,46,10,85,115,101,32,45,108,118,61,76,79,71,95,73,78,73,84,32,45,119,32,102,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,46,0,76,105,115,0,0,0,0,0,103,117,105,100,0,0,0,0,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,0,0,0,0,0,0,97,108,108,111,99,97,116,105,111,110,78,101,119,116,111,110,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,105,108,108,101,103,97,108,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,0,0,0,67,97,110,110,111,116,32,97,108,108,111,99,32,109,101,109,111,114,121,0,0,0,0,0,76,79,71,95,73,80,79,80,84,95,70,85,76,76,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,100,105,115,99,114,101,116,101,41,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,84,82,68,0,0,0,0,0,115,101,116,32,121,108,97,98,101,108,10,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,99,114,101,97,116,105,110,103,32,111,117,116,112,117,116,45,102,105,108,101,0,0,0,0,116,105,109,101,0,0,0,0,100,97,115,115,108,0,0,0,35,35,35,32,78,111,32,83,111,108,117,116,105,111,110,33,32,35,35,35,10,32,97,102,116,101,114,32,37,100,32,114,101,115,116,97,114,116,115,0,117,110,114,101,99,111,103,110,105,122,101,100,32,110,111,110,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,112,111,114,116,95,98,95,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,112,111,114,116,95,98,95,84,32,62,61,32,49,46,48,32,97,110,100,32,118,97,108,118,101,49,46,112,111,114,116,95,98,95,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,104,121,98,114,105,100,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,45,105,32,102,103,109,114,101,115,32,0,0,0,0,0,0,108,105,110,101,97,114,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,97,108,108,111,99,97,116,101,77,105,120,101,100,83,101,97,114,99,104,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,0,0,0,0,0,109,105,120,101,100,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,0,84,0,0,0,104,0,0,0,117,0,0,0,114,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,115,101,116,32,120,108,97,98,101,108,10,0,0,0,0,0,113,115,115,0,0,0,0,0,97,108,105,97,115,86,97,114,105,97,98,108,101,0,0,0,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,73,110,116,101,103,114,97,116,111,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,112,111,114,116,95,97,95,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,112,111,114,116,95,97,95,84,32,62,61,32,49,46,48,32,97,110,100,32,118,97,108,118,101,49,46,112,111,114,116,95,97,95,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,67,104,97,116,116,101,114,105,110,103,32,100,101,116,101,99,116,101,100,32,97,114,111,117,110,100,32,116,105,109,101,32,37,46,49,50,103,46,46,37,46,49,50,103,32,40,37,100,32,115,116,97,116,101,32,101,118,101,110,116,115,32,105,110,32,97,32,114,111,119,32,119,105,116,104,32,97,32,116,111,116,97,108,32,116,105,109,101,32,100,101,108,116,97,32,108,101,115,115,32,116,104,97,110,32,116,104,101,32,115,116,101,112,32,115,105,122,101,32,37,46,49,50,103,41,46,32,84,104,105,115,32,99,97,110,32,98,101,32,97,32,112,101,114,102,111,114,109,97,110,99,101,32,98,111,116,116,108,101,110,101,99,107,46,32,85,115,101,32,45,108,118,32,76,79,71,95,69,86,69,78,84,83,32,102,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,46,32,84,104,101,32,122,101,114,111,45,99,114,111,115,115,105,110,103,32,119,97,115,58,32,37,115,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,110,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,115,101,116,32,116,105,116,108,101,10,0,0,0,0,0,0,114,101,97,100,32,102,111,114,32,37,115,32,110,101,103,97,116,101,100,32,37,100,32,102,114,111,109,32,115,101,116,117,112,32,102,105,108,101,0,0,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,0,73,110,116,101,114,112,111,108,97,116,101,32,108,105,110,101,97,114,0,0,0,0,0,0,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,100,112,95,116,117,114,98,117,108,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,100,112,95,116,117,114,98,117,108,101,110,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,46,116,104,117,109,98,46,115,118,103,34,10,0,0,0,0,110,101,103,97,116,101,100,65,108,105,97,115,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,105,110,116,101,114,110,97,108,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,51,93,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,51,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,78,76,83,95,85,78,75,78,79,87,78,0,0,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,117,110,115,101,116,32,98,111,114,100,101,114,10,0,0,0,97,108,105,97,115,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,68,65,83,83,76,45,45,32,32,72,65,83,32,66,69,67,79,77,69,32,46,76,69,46,32,48,46,48,0,0,0,0,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,111,112,101,110,105,110,103,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,111,112,101,110,105,110,103,32,62,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,111,112,101,110,105,110,103,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,100,97,116,97,32,102,111,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,76,105,115,46,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,41,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,41,44,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,41,0,0,0,0,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,109,111,100,101,108,32,108,105,110,101,97,114,95,77,111,100,101,108,105,99,97,95,70,108,117,105,100,95,69,120,97,109,112,108,101,115,95,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,110,32,61,32,50,50,59,32,47,47,32,115,116,97,116,101,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,107,32,61,32,48,59,32,47,47,32,116,111,112,45,108,101,118,101,108,32,105,110,112,117,116,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,108,32,61,32,48,59,32,47,47,32,116,111,112,45,108,101,118,101,108,32,111,117,116,112,117,116,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,120,48,91,50,50,93,32,61,32,123,37,115,125,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,117,48,91,48,93,32,61,32,123,37,115,125,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,65,91,50,50,44,50,50,93,32,61,32,91,37,115,93,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,66,91,50,50,44,48,93,32,61,32,122,101,114,111,115,40,50,50,44,48,41,59,37,115,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,67,91,48,44,50,50,93,32,61,32,122,101,114,111,115,40,48,44,50,50,41,59,37,115,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,68,91,48,44,48,93,32,61,32,122,101,114,111,115,40,48,44,48,41,59,37,115,10,32,32,82,101,97,108,32,120,91,50,50,93,40,115,116,97,114,116,61,120,48,41,59,10,32,32,105,110,112,117,116,32,82,101,97,108,32,117,91,48,93,59,10,32,32,111,117,116,112,117,116,32,82,101,97,108,32,121,91,48,93,59,10,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,49,49,80,109,101,100,105,117,109,115,108,66,50,114,66,80,84,32,61,32,120,91,49,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,49,49,80,109,101,100,105,117,109,115,108,66,49,114,66,80,84,32,61,32,120,91,50,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,53,80,109,101,100,105,117,109,115,108,66,50,114,66,80,84,32,61,32,120,91,51,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,53,80,109,101,100,105,117,109,115,108,66,49,114,66,80,84,32,61,32,120,91,52,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,49,48,80,109,101,100,105,117,109,115,108,66,50,114,66,80,84,32,61,32,120,91,53,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,49,48,80,109,101,100,105,117,109,115,108,66,49,114,66,80,84,32,61,32,120,91,54,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,57,80,109,101,100,105,117,109,115,108,66,50,114,66,80,84,32,61,32,120,91,55,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,57,80,109,101,100,105,117,109,115,108,66,49,114,66,80,84,32,61,32,120,91,56,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,56,80,109,101,100,105,117,109,115,108,66,50,114,66,80,84,32,61,32,120,91,57,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,56,80,109,101,100,105,117,109,115,108,66,49,114,66,80,84,32,61,32,120,91,49,48,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,55,80,109,101,100,105,117,109,115,108,66,50,114,66,80,84,32,61,32,120,91,49,49,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,55,80,109,101,100,105,117,109,115,108,66,49,114,66,80,84,32,61,32,120,91,49,50,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,54,80,109,101,100,105,117,109,115,108,66,50,114,66,80,84,32,61,32,120,91,49,51,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,54,80,109,101,100,105,117,109,115,108,66,49,114,66,80,84,32,61,32,120,91,49,52,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,52,80,109,101,100,105,117,109,115,108,66,50,114,66,80,84,32,61,32,120,91,49,53,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,52,80,109,101,100,105,117,109,115,108,66,49,114,66,80,84,32,61,32,120,91,49,54,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,51,80,109,101,100,105,117,109,115,108,66,50,114,66,80,84,32,61,32,120,91,49,55,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,51,80,109,101,100,105,117,109,115,108,66,49,114,66,80,84,32,61,32,120,91,49,56,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,50,80,109,101,100,105,117,109,115,108,66,50,114,66,80,84,32,61,32,120,91,49,57,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,50,80,109,101,100,105,117,109,115,108,66,49,114,66,80,84,32,61,32,120,91,50,48,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,49,80,109,101,100,105,117,109,115,108,66,50,114,66,80,84,32,61,32,120,91,50,49,93,59,10,32,32,82,101,97,108,32,120,95,80,112,105,112,101,49,80,109,101,100,105,117,109,115,108,66,49,114,66,80,84,32,61,32,120,91,50,50,93,59,10,32,32,32,32,32,32,10,101,113,117,97,116,105,111,110,10,32,32,100,101,114,40,120,41,32,61,32,65,32,42,32,120,32,43,32,66,32,42,32,117,59,10,32,32,121,32,61,32,67,32,42,32,120,32,43,32,68,32,42,32,117,59,10,101,110,100,32,108,105,110,101,97,114,95,77,111,100,101,108,105,99,97,95,70,108,117,105,100,95,69,120,97,109,112,108,101,115,95,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,59,10,0,0,83,0,0,0,117,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,117,110,115,101,116,32,121,116,105,99,115,10,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,0,105,111,109,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,0,0,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,100,97,116,97,32,102,111,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,108,97,112,97,99,107,46,0,0,0,0,0,0,0,45,50,57,51,46,49,53,32,43,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,0,0,0,0,117,110,115,101,116,32,120,116,105,99,115,10,0,0,0,0,112,97,114,97,109,101,116,101,114,32,83,116,114,105,110,103,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,41,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+174088);
/* memory initializer */ allocate([117,110,114,101,99,111,103,110,105,122,101,100,32,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,0,0,0,110,111,32,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,69,120,101,99,117,116,105,111,110,32,102,97,105,108,101,100,33,10,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,0,0,0,77,97,116,114,105,120,32,116,121,112,101,32,109,105,115,109,97,116,99,104,0,0,0,0,68,101,99,0,0,0,0,0,112,108,111,116,32,34,37,115,95,112,114,111,102,46,100,97,116,97,34,32,98,105,110,97,114,121,32,102,111,114,109,97,116,61,34,37,37,42,117,105,110,116,51,50,37,37,42,50,100,111,117,98,108,101,37,37,37,100,117,105,110,116,51,50,37,37,42,37,100,100,111,117,98,108,101,34,32,117,115,105,110,103,32,37,100,32,119,32,108,32,108,119,32,37,100,10,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,100,97,115,115,108,32,102,111,114,32,100,101,98,117,103,32,112,114,111,112,111,115,101,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,0,83,116,97,99,107,32,111,118,101,114,102,108,111,119,32,100,101,116,101,99,116,101,100,32,97,110,100,32,119,97,115,32,110,111,116,32,99,97,117,103,104,116,46,10,83,101,110,100,32,117,115,32,97,32,98,117,103,32,114,101,112,111,114,116,32,97,116,32,104,116,116,112,115,58,47,47,116,114,97,99,46,111,112,101,110,109,111,100,101,108,105,99,97,46,111,114,103,47,79,112,101,110,77,111,100,101,108,105,99,97,47,110,101,119,116,105,99,107,101,116,10,32,32,32,32,73,110,99,108,117,100,101,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,116,114,97,99,101,58,10,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,109,105,120,101,100,32,115,111,108,118,101,114,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,0,0,0,84,114,97,110,115,112,111,115,101,0,0,0,0,0,0,0,78,111,118,0,0,0,0,0,112,108,111,116,32,34,37,115,95,112,114,111,102,46,100,97,116,97,34,32,98,105,110,97,114,121,32,102,111,114,109,97,116,61,34,37,37,42,117,105,110,116,51,50,37,37,50,100,111,117,98,108,101,37,37,42,37,100,117,105,110,116,51,50,37,37,37,100,100,111,117,98,108,101,34,32,117,115,105,110,103,32,49,58,40,36,37,100,62,49,101,45,57,32,63,32,36,37,100,32,58,32,49,101,45,51,48,41,32,119,32,108,32,108,119,32,37,100,10,0,112,97,114,97,109,101,116,101,114,32,66,111,111,108,101,97,110,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,44,32,102,105,120,101,100,61,37,115,41,0,0,0,0,100,97,115,115,108,32,119,105,116,104,111,117,116,32,105,110,116,101,114,110,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,95,105,110,102,111,46,120,109,108,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,91,91,58,100,105,103,105,116,58,93,93,0,0,0,0,0,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,0,0,0,79,99,116,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,85,116,105,108,105,116,105,101,115,46,109,111,0,0,0,0,0,0,0,0,38,113,117,111,116,59,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,108,111,98,97,116,116,111,54,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,60,63,120,109,108,32,118,101,114,115,105,111,110,61,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,85,84,70,45,56,34,63,62,10,60,63,120,109,108,45,115,116,121,108,101,115,104,101,101,116,32,116,121,112,101,61,34,97,112,112,108,105,99,97,116,105,111,110,47,120,109,108,34,32,104,114,101,102,61,34,115,105,109,99,111,100,101,100,117,109,112,46,120,115,108,34,63,62,10,60,115,105,109,99,111,100,101,100,117,109,112,32,109,111,100,101,108,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,34,62,10,60,118,97,114,105,97,98,108,101,115,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+184328);
/* memory initializer */ allocate([99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+194568);
/* memory initializer */ allocate([116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+204808);
/* memory initializer */ allocate([101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+215048);
/* memory initializer */ allocate([105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+225288);
/* memory initializer */ allocate([61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+235528);
/* memory initializer */ allocate([111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+245768);
/* memory initializer */ allocate([97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,118,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+256008);
/* memory initializer */ allocate([101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+266248);
/* memory initializer */ allocate([32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,73,115,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+276488);
/* memory initializer */ allocate([101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+286728);
/* memory initializer */ allocate([32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,87,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+296968);
/* memory initializer */ allocate([110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,115,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,85,115,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,118,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+307208);
/* memory initializer */ allocate([117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+317448);
/* memory initializer */ allocate([32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+327688);
/* memory initializer */ allocate([97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,73,115,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+337928);
/* memory initializer */ allocate([60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,72,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,87,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+348168);
/* memory initializer */ allocate([108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,72,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,115,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,85,115,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+358408);
/* memory initializer */ allocate([46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,118,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+368648);
/* memory initializer */ allocate([114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+378888);
/* memory initializer */ allocate([68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,73,115,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+389128);
/* memory initializer */ allocate([55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+399368);
/* memory initializer */ allocate([32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,87,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,115,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+409608);
/* memory initializer */ allocate([61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,85,115,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,118,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+419848);
/* memory initializer */ allocate([99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+430088);
/* memory initializer */ allocate([102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+440328);
/* memory initializer */ allocate([105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,73,115,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,72,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+450568);
/* memory initializer */ allocate([115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,87,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,72,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+460808);
/* memory initializer */ allocate([99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,115,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,85,115,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,118,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+471048);
/* memory initializer */ allocate([101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+481288);
/* memory initializer */ allocate([34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+491528);
/* memory initializer */ allocate([34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,73,115,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+501768);
/* memory initializer */ allocate([73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,72,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+512008);
/* memory initializer */ allocate([110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,87,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,72,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+522248);
/* memory initializer */ allocate([110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,115,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,85,115,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,118,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+532488);
/* memory initializer */ allocate([34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+542728);
/* memory initializer */ allocate([100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+552968);
/* memory initializer */ allocate([34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,73,115,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+563208);
/* memory initializer */ allocate([99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,72,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,87,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+573448);
/* memory initializer */ allocate([105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,72,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,115,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,85,115,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+583688);
/* memory initializer */ allocate([105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,118,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+593928);
/* memory initializer */ allocate([48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+604168);
/* memory initializer */ allocate([117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+614408);
/* memory initializer */ allocate([115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,73,115,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,72,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+624648);
/* memory initializer */ allocate([100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,87,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,72,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,72], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+634888);
/* memory initializer */ allocate([98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,115,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,85,115,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,118,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+645128);
/* memory initializer */ allocate([32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+655368);
/* memory initializer */ allocate([10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+665608);
/* memory initializer */ allocate([100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,73,115,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+675848);
/* memory initializer */ allocate([98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,72,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,87,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+686088);
/* memory initializer */ allocate([101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,72,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,115,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,85,115,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+696328);
/* memory initializer */ allocate([109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,118,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+706568);
/* memory initializer */ allocate([78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+716808);
/* memory initializer */ allocate([46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,73,115,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+727048);
/* memory initializer */ allocate([117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,72,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+737288);
/* memory initializer */ allocate([52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,87,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,72,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+747528);
/* memory initializer */ allocate([101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,115,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,85,115,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,118,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+757768);
/* memory initializer */ allocate([111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+768008);
/* memory initializer */ allocate([50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+778248);
/* memory initializer */ allocate([121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,115,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+788488);
/* memory initializer */ allocate([46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,72,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+798728);
/* memory initializer */ allocate([116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,87,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,72,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,115,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+808968);
/* memory initializer */ allocate([34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,85,115,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,118,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+819208);
/* memory initializer */ allocate([100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+829448);
/* memory initializer */ allocate([111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,115,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+839688);
/* memory initializer */ allocate([101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,72,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,72,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+849928);
/* memory initializer */ allocate([107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,72,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,87,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,87,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,87,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,51,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,72,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,72,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+860168);
/* memory initializer */ allocate([97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,72,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,49,34,32,108,105,110,101,69,110,100,61,34,56,57,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,115,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,85,115,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,85,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,85,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+870408);
/* memory initializer */ allocate([91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+880648);
/* memory initializer */ allocate([119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+890888);
/* memory initializer */ allocate([32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+901128);
/* memory initializer */ allocate([46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,85,115,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,115,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,85,115,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,50,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,50,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,115,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+911368);
/* memory initializer */ allocate([32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,50,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,50,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,85,115,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,51,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,51,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,115,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,51,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,51,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,85,115,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,52,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+921608);
/* memory initializer */ allocate([117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,52,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,115,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,52,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,52,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,85,115,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,54,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,54,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,115,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,54,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,54,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,85,115,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+931848);
/* memory initializer */ allocate([112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,55,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,55,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,115,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,55,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,55,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,85,115,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,56,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,56,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,115,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,56,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+942088);
/* memory initializer */ allocate([101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,56,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,85,115,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,57,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,57,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,115,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,57,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,57,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,85,115,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,48,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,48,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+952328);
/* memory initializer */ allocate([62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,115,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,48,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,48,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,85,115,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,53,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,53,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,115,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,53,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,53,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,85,115,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+962568);
/* memory initializer */ allocate([32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,49,46,85,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,49,46,85,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,57,34,32,108,105,110,101,69,110,100,61,34,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,115,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,49,46,109,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,49,46,109,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,70,108,117,105,100,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+972808);
/* memory initializer */ allocate([32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+983048);
/* memory initializer */ allocate([100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+993288);
/* memory initializer */ allocate([109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1003528);
/* memory initializer */ allocate([101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1013768);
/* memory initializer */ allocate([46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1024008);
/* memory initializer */ allocate([101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1034248);
/* memory initializer */ allocate([99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1044488);
/* memory initializer */ allocate([108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1054728);
/* memory initializer */ allocate([62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1064968);
/* memory initializer */ allocate([32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,88,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,88,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1075208);
/* memory initializer */ allocate([109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1085448);
/* memory initializer */ allocate([61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1095688);
/* memory initializer */ allocate([105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1105928);
/* memory initializer */ allocate([109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1116168);
/* memory initializer */ allocate([32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1126408);
/* memory initializer */ allocate([74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1136648);
/* memory initializer */ allocate([111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1146888);
/* memory initializer */ allocate([110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1157128);
/* memory initializer */ allocate([51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1167368);
/* memory initializer */ allocate([97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1177608);
/* memory initializer */ allocate([121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1187848);
/* memory initializer */ allocate([117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1198088);
/* memory initializer */ allocate([115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1208328);
/* memory initializer */ allocate([101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1218568);
/* memory initializer */ allocate([111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1228808);
/* memory initializer */ allocate([112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1239048);
/* memory initializer */ allocate([32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1249288);
/* memory initializer */ allocate([61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1259528);
/* memory initializer */ allocate([32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1269768);
/* memory initializer */ allocate([10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1280008);
/* memory initializer */ allocate([97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1290248);
/* memory initializer */ allocate([97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,100,104,101,105,103,104,116,115,70,77,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1300488);
/* memory initializer */ allocate([101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1310728);
/* memory initializer */ allocate([121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,100,104,101,105,103,104,116,115,70,77,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1320968);
/* memory initializer */ allocate([105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,100,104,101,105,103,104,116,115,70,77,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1331208);
/* memory initializer */ allocate([70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,100,104,101,105,103,104,116,115,70,77,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1341448);
/* memory initializer */ allocate([48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,100,104,101,105,103,104,116,115,70,77,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1351688);
/* memory initializer */ allocate([61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1361928);
/* memory initializer */ allocate([101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,100,104,101,105,103,104,116,115,70,77,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1372168);
/* memory initializer */ allocate([117,105,100,86,111,108,117,109,101,115,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,100,104,101,105,103,104,116,115,70,77,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1382408);
/* memory initializer */ allocate([32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,100,104,101,105,103,104,116,115,70,77,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1392648);
/* memory initializer */ allocate([110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1402888);
/* memory initializer */ allocate([105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,104,101,105,103,104,116,115,70,77,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1413128);
/* memory initializer */ allocate([34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,100,104,101,105,103,104,116,115,70,77,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1423368);
/* memory initializer */ allocate([34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,104,101,105,103,104,116,115,70,77,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1433608);
/* memory initializer */ allocate([47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1443848);
/* memory initializer */ allocate([116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1454088);
/* memory initializer */ allocate([101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1464328);
/* memory initializer */ allocate([97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1474568);
/* memory initializer */ allocate([83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,86,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,86,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,40,112,111,115,105,116,105,118,101,32,119,104,101,110,32,102,108,111,119,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,86,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,86,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,40,112,111,115,105,116,105,118,101,32,119,104,101,110,32,102,108,111,119,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,40,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,51], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1484808);
/* memory initializer */ allocate([34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,100,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,40,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,53,34,32,108,105,110,101,69,110,100,61,34,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,53,34,32,108,105,110,101,69,110,100,61,34,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,112,111,114,116,95,98,95,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,98,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,112,111,114,116,95,98,95,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,98,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,112,111,114,116,95,97,95,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,97,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,34,32,108,105,110,101,69,110,100,61,34,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,112,111,114,116,95,97,95,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,97,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,34,32,108,105,110,101,69,110,100,61,34,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,34,32,108,105,110,101,69,110,100,61,34,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,34,32,108,105,110,101,69,110,100,61,34,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,34,32,108,105,110,101,69,110,100,61,34,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,100,112,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,34,32,108,105,110,101,69,110,100,61,34,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,111,112,101,110,105,110,103,34,32,99,111,109,109,101,110,116,61,34,86,97,108,118,101,32,112,111,115,105,116,105,111,110,32,105,110,32,116,104,101,32,114,97,110,103,101,32,48,46,46,49,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,55,34,32,108,105,110,101,69,110,100,61,34,52,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,111,112,101,110,105,110,103,34,32,99,111,109,109,101,110,116,61,34,86,97,108,118,101,32,112,111,115,105,116,105,111,110,32,105,110,32,116,104,101,32,114,97,110,103,101,32,48,46,46,49,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,55,34,32,108,105,110,101,69,110,100,61,34,52,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1495048);
/* memory initializer */ allocate([109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,86,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,86,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,40,112,111,115,105,116,105,118,101,32,119,104,101,110,32,102,108,111,119,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,86,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,86,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,40,112,111,115,105,116,105,118,101,32,119,104,101,110,32,102,108,111,119,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,40,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,100,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,40,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,53,34,32,108,105,110,101,69,110,100,61,34,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,53,34,32,108,105,110,101,69,110,100,61,34,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,112,111,114,116,95,98,95,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,98,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,112,111,114,116,95,98,95,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,98,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,112,111,114,116,95,97,95,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,97,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,34,32,108,105,110,101,69,110,100,61,34,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,112,111,114,116,95,97,95,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1505288);
/* memory initializer */ allocate([114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,97,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,34,32,108,105,110,101,69,110,100,61,34,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,34,32,108,105,110,101,69,110,100,61,34,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,34,32,108,105,110,101,69,110,100,61,34,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,34,32,108,105,110,101,69,110,100,61,34,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,100,112,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,34,32,108,105,110,101,69,110,100,61,34,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,111,112,101,110,105,110,103,34,32,99,111,109,109,101,110,116,61,34,86,97,108,118,101,32,112,111,115,105,116,105,111,110,32,105,110,32,116,104,101,32,114,97,110,103,101,32,48,46,46,49,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,55,34,32,108,105,110,101,69,110,100,61,34,52,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,111,112,101,110,105,110,103,34,32,99,111,109,109,101,110,116,61,34,86,97,108,118,101,32,112,111,115,105,116,105,111,110,32,105,110,32,116,104,101,32,114,97,110,103,101,32,48,46,46,49,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,55,34,32,108,105,110,101,69,110,100,61,34,52,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,86,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,86,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,40,112,111,115,105,116,105,118,101,32,119,104,101,110,32,102,108,111,119,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,86,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,86,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,40,112,111,115,105,116,105,118,101,32,119,104,101,110,32,102,108,111,119,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,40,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,100,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,40,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1515528);
/* memory initializer */ allocate([32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,53,34,32,108,105,110,101,69,110,100,61,34,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,53,34,32,108,105,110,101,69,110,100,61,34,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,112,111,114,116,95,98,95,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,98,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,112,111,114,116,95,98,95,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,98,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,112,111,114,116,95,97,95,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,97,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,34,32,108,105,110,101,69,110,100,61,34,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,112,111,114,116,95,97,95,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,97,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,34,32,108,105,110,101,69,110,100,61,34,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,34,32,108,105,110,101,69,110,100,61,34,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,34,32,108,105,110,101,69,110,100,61,34,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,34,32,108,105,110,101,69,110,100,61,34,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,100,112,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,34,32,108,105,110,101,69,110,100,61,34,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,111,112,101,110,105,110,103,34,32,99,111,109,109,101,110,116,61,34,86,97,108,118,101,32,112,111,115,105,116,105,111,110,32,105,110,32,116,104,101,32,114,97,110,103,101,32,48,46,46,49,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,55,34,32,108,105,110,101,69,110,100,61,34,52,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,111,112,101,110,105,110,103,34,32,99,111,109,109,101,110,116,61,34,86,97,108,118,101,32,112,111,115,105,116,105,111,110,32,105,110,32,116,104,101,32,114,97,110,103,101,32,48,46,46,49,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,55,34,32,108,105,110,101,69,110,100,61,34,52,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1525768);
/* memory initializer */ allocate([34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1536008);
/* memory initializer */ allocate([112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1546248);
/* memory initializer */ allocate([110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1556488);
/* memory initializer */ allocate([10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1566728);
/* memory initializer */ allocate([102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,99,112,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1576968);
/* memory initializer */ allocate([105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1587208);
/* memory initializer */ allocate([108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1597448);
/* memory initializer */ allocate([109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1607688);
/* memory initializer */ allocate([112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1617928);
/* memory initializer */ allocate([112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1628168);
/* memory initializer */ allocate([116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1638408);
/* memory initializer */ allocate([97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1648648);
/* memory initializer */ allocate([32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,104,101,97,116,56,91,50,93,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,50,93,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,104,101,97,116,56,91,50,93,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,50,93,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1658888);
/* memory initializer */ allocate([47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,104,101,97,116,56,91,49,93,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,49,93,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,104,101,97,116,56,91,49,93,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,49,93,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1669128);
/* memory initializer */ allocate([100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1679368);
/* memory initializer */ allocate([112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1689608);
/* memory initializer */ allocate([115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1699848);
/* memory initializer */ allocate([32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1710088);
/* memory initializer */ allocate([114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1720328);
/* memory initializer */ allocate([99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,112,111,114,116,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1730568);
/* memory initializer */ allocate([119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,112,111,114,116,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1740808);
/* memory initializer */ allocate([121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1751048);
/* memory initializer */ allocate([62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1761288);
/* memory initializer */ allocate([32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1771528);
/* memory initializer */ allocate([121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1781768);
/* memory initializer */ allocate([114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1792008);
/* memory initializer */ allocate([32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,81,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1802248);
/* memory initializer */ allocate([116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,81,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1812488);
/* memory initializer */ allocate([70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1822728);
/* memory initializer */ allocate([50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1832968);
/* memory initializer */ allocate([50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,81,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1843208);
/* memory initializer */ allocate([111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1853448);
/* memory initializer */ allocate([101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1863688);
/* memory initializer */ allocate([45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1873928);
/* memory initializer */ allocate([110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,81,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,104,101,97,116,56,91,50,93,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,50,93,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,104,101,97,116,56,91,50,93,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,50,93,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1884168);
/* memory initializer */ allocate([112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,104,101,97,116,56,91,49,93,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,49,93,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,104,101,97,116,56,91,49,93,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,49,93,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1894408);
/* memory initializer */ allocate([93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1904648);
/* memory initializer */ allocate([61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1914888);
/* memory initializer */ allocate([110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,81,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1925128);
/* memory initializer */ allocate([32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,81,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1935368);
/* memory initializer */ allocate([99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1945608);
/* memory initializer */ allocate([116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1955848);
/* memory initializer */ allocate([114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1966088);
/* memory initializer */ allocate([32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,81,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,81,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1976328);
/* memory initializer */ allocate([108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,81,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1986568);
/* memory initializer */ allocate([34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,81,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,81,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,81,98,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,50,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,112,111,114,116,115,91,49,93,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,112,111,114,116,115,91,49,93,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1996808);
/* memory initializer */ allocate([110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,118,115,70,77,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2007048);
/* memory initializer */ allocate([68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2017288);
/* memory initializer */ allocate([100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2027528);
/* memory initializer */ allocate([109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,70,77,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2037768);
/* memory initializer */ allocate([62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,70,77,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,70,77,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2048008);
/* memory initializer */ allocate([112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2058248);
/* memory initializer */ allocate([62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,118,115,70,77,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2068488);
/* memory initializer */ allocate([99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2078728);
/* memory initializer */ allocate([34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2088968);
/* memory initializer */ allocate([108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2099208);
/* memory initializer */ allocate([84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,70,77,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,70,77,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2109448);
/* memory initializer */ allocate([32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,70,77,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2119688);
/* memory initializer */ allocate([108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2129928);
/* memory initializer */ allocate([32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,118,115,70,77,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2140168);
/* memory initializer */ allocate([32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,70,77,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2150408);
/* memory initializer */ allocate([110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,70,77,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2160648);
/* memory initializer */ allocate([32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,70,77,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2170888);
/* memory initializer */ allocate([116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2181128);
/* memory initializer */ allocate([108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,118,115,70,77,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2191368);
/* memory initializer */ allocate([114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,70,77,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2201608);
/* memory initializer */ allocate([108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,70,77,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,70,77,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2211848);
/* memory initializer */ allocate([115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2222088);
/* memory initializer */ allocate([68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,118,115,70,77,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2232328);
/* memory initializer */ allocate([49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,70,77,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2242568);
/* memory initializer */ allocate([32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,70,77,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2252808);
/* memory initializer */ allocate([47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,70,77,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2263048);
/* memory initializer */ allocate([32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2273288);
/* memory initializer */ allocate([48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,118,115,70,77,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2283528);
/* memory initializer */ allocate([114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,70,77,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2293768);
/* memory initializer */ allocate([110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,70,77,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,70,77,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2304008);
/* memory initializer */ allocate([110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2314248);
/* memory initializer */ allocate([97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,118,115,70,77,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2324488);
/* memory initializer */ allocate([112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2334728);
/* memory initializer */ allocate([102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2344968);
/* memory initializer */ allocate([101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2355208);
/* memory initializer */ allocate([105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,70,77,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,70,77,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2365448);
/* memory initializer */ allocate([51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,70,77,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2375688);
/* memory initializer */ allocate([111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2385928);
/* memory initializer */ allocate([46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,118,115,70,77,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2396168);
/* memory initializer */ allocate([110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,70,77,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2406408);
/* memory initializer */ allocate([105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,70,77,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2416648);
/* memory initializer */ allocate([32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,70,77,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2426888);
/* memory initializer */ allocate([111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2437128);
/* memory initializer */ allocate([116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,118,115,70,77,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2447368);
/* memory initializer */ allocate([47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2457608);
/* memory initializer */ allocate([116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2467848);
/* memory initializer */ allocate([32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,70,77,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2478088);
/* memory initializer */ allocate([111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,70,77,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,70,77,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2488328);
/* memory initializer */ allocate([97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2498568);
/* memory initializer */ allocate([110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,118,115,70,77,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2508808);
/* memory initializer */ allocate([32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2519048);
/* memory initializer */ allocate([110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2529288);
/* memory initializer */ allocate([85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2539528);
/* memory initializer */ allocate([105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,70,77,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,70,77,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2549768);
/* memory initializer */ allocate([97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,70,77,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2560008);
/* memory initializer */ allocate([97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2570248);
/* memory initializer */ allocate([32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,118,115,70,77,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,118,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,118,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2580488);
/* memory initializer */ allocate([105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,118,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,118,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,48,34,32,108,105,110,101,69,110,100,61,34,49,54,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2590728);
/* memory initializer */ allocate([111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,115,116,97,116,101,115,70,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,115,116,97,116,101,115,70,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2600968);
/* memory initializer */ allocate([110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,70,77,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2611208);
/* memory initializer */ allocate([10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,70,77,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2621448);
/* memory initializer */ allocate([105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,70,77,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2631688);
/* memory initializer */ allocate([116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2641928);
/* memory initializer */ allocate([110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,112,111,114,116,115,91,49,93,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,112,111,114,116,115,91,49,93,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2652168);
/* memory initializer */ allocate([108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2662408);
/* memory initializer */ allocate([61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2672648);
/* memory initializer */ allocate([101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2682888);
/* memory initializer */ allocate([116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2693128);
/* memory initializer */ allocate([99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2703368);
/* memory initializer */ allocate([116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2713608);
/* memory initializer */ allocate([112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2723848);
/* memory initializer */ allocate([32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2734088);
/* memory initializer */ allocate([48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2744328);
/* memory initializer */ allocate([112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2754568);
/* memory initializer */ allocate([115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2764808);
/* memory initializer */ allocate([101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2775048);
/* memory initializer */ allocate([103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2785288);
/* memory initializer */ allocate([103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2795528);
/* memory initializer */ allocate([109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2805768);
/* memory initializer */ allocate([34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2816008);
/* memory initializer */ allocate([97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2826248);
/* memory initializer */ allocate([97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,114,111,117,103,104,110,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2836488);
/* memory initializer */ allocate([115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2846728);
/* memory initializer */ allocate([32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2856968);
/* memory initializer */ allocate([47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,56,34,32,108,105,110,101,69,110,100,61,34,49,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,54,34,32,108,105,110,101,69,110,100,61,34,49,54,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2867208);
/* memory initializer */ allocate([32,60,97,108,105,97,115,62,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,108,101,110,103,116,104,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,53,34,32,108,105,110,101,69,110,100,61,34,49,54,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2877448);
/* memory initializer */ allocate([115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2887688);
/* memory initializer */ allocate([99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2897928);
/* memory initializer */ allocate([101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2908168);
/* memory initializer */ allocate([117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2918408);
/* memory initializer */ allocate([99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,51,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,97,108,118,101,51,46,111,112,101,110,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,79,112,101,110,105,110,103,51,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,97,108,118,101,51,46,111,112,101,110,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,46,117,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,97,108,118,101,51,46,111,112,101,110,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,51,34,32,108,105,110,101,69,110,100,61,34,51,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,46,117,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,97,108,118,101,51,46,111,112,101,110,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,51,34,32,108,105,110,101,69,110,100,61,34,51,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,111,112,101,110,105,110,103,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,97,108,118,101,51,46,111,112,101,110,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,55,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,111,112,101,110,105,110,103,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,97,108,118,101,51,46,111,112,101,110,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,55,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,97,108,118,101,50,46,111,112,101,110,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,79,112,101,110,105,110,103,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,97,108,118,101,50,46,111,112,101,110,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,46,117,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,97,108,118,101,50,46,111,112,101,110,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,51,34,32,108,105,110,101,69,110,100,61,34,51,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,46,117,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,97,108,118,101,50,46,111,112,101,110,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,51,34,32,108,105,110,101,69,110,100,61,34,51,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,111,112,101,110,105,110,103,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,97,108,118,101,50,46,111,112,101,110,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,55,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,111,112,101,110,105,110,103,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,97,108,118,101,50,46,111,112,101,110,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,55,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,97,108,118,101,49,46,111,112,101,110,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,79,112,101,110,105,110,103,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,97,108,118,101,49,46,111,112,101,110,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2928648);
/* memory initializer */ allocate([34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,46,117,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,97,108,118,101,49,46,111,112,101,110,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,51,34,32,108,105,110,101,69,110,100,61,34,51,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,46,117,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,97,108,118,101,49,46,111,112,101,110,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,51,34,32,108,105,110,101,69,110,100,61,34,51,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,111,112,101,110,105,110,103,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,97,108,118,101,49,46,111,112,101,110,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,55,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,111,112,101,110,105,110,103,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,97,108,118,101,49,46,111,112,101,110,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,55,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2938888);
/* memory initializer */ allocate([53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2949128);
/* memory initializer */ allocate([112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2959368);
/* memory initializer */ allocate([46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2969608);
/* memory initializer */ allocate([111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2979848);
/* memory initializer */ allocate([121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,34,32,108,105,110,101,69,110,100,61,34,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,105,110,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,34,32,108,105,110,101,69,110,100,61,34,51,51,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,105,110,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,34,32,108,105,110,101,69,110,100,61,34,51,51,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2990088);
/* memory initializer */ allocate([34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,105,110,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,34,32,108,105,110,101,69,110,100,61,34,51,51,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,105,110,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,34,32,108,105,110,101,69,110,100,61,34,51,51,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3000328);
/* memory initializer */ allocate([32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,105,110,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,34,32,108,105,110,101,69,110,100,61,34,51,51,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,105,110,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,34,32,108,105,110,101,69,110,100,61,34,51,51,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3010568);
/* memory initializer */ allocate([116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3020808);
/* memory initializer */ allocate([32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3031048);
/* memory initializer */ allocate([111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3041288);
/* memory initializer */ allocate([83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3051528);
/* memory initializer */ allocate([114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3061768);
/* memory initializer */ allocate([121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3072008);
/* memory initializer */ allocate([115,116,97,110,99,101,62,118,97,108,118,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3082248);
/* memory initializer */ allocate([48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,84,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,84,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,84,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,84,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,84,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,84,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,84,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,84,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,88,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,88,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3092488);
/* memory initializer */ allocate([101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,115,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3102728);
/* memory initializer */ allocate([98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3112968);
/* memory initializer */ allocate([111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,100,120,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,88,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,115,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3123208);
/* memory initializer */ allocate([97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3133448);
/* memory initializer */ allocate([114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3143688);
/* memory initializer */ allocate([32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,100,120,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,88,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,112,115,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3153928);
/* memory initializer */ allocate([34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3164168);
/* memory initializer */ allocate([97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,100,120,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3174408);
/* memory initializer */ allocate([105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,88,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,112,115,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3184648);
/* memory initializer */ allocate([34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3194888);
/* memory initializer */ allocate([61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,100,120,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,88,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3205128);
/* memory initializer */ allocate([34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,112,115,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3215368);
/* memory initializer */ allocate([60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3225608);
/* memory initializer */ allocate([70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,100,120,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,88,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,112,115,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3235848);
/* memory initializer */ allocate([115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,99,114,111,115,115,65,114,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3246088);
/* memory initializer */ allocate([97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3256328);
/* memory initializer */ allocate([105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,100,120,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,88,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,88,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,112,115,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3266568);
/* memory initializer */ allocate([105,112,101,56,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3276808);
/* memory initializer */ allocate([118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,100,120,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3287048);
/* memory initializer */ allocate([111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,88,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,112,115,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3297288);
/* memory initializer */ allocate([111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3307528);
/* memory initializer */ allocate([110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,100,120,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,88,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3317768);
/* memory initializer */ allocate([97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3328008);
/* memory initializer */ allocate([109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3338248);
/* memory initializer */ allocate([112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,120,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,88,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,112,115,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3348488);
/* memory initializer */ allocate([46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3358728);
/* memory initializer */ allocate([101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3368968);
/* memory initializer */ allocate([32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,100,120,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,104,101,97,116,56,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,104,101,97,116,32,102,108,111,119,32,114,97,116,101,32,97,116,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,56,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,56,34,32,108,105,110,101,69,110,100,61,34,49,53,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,104,101,97,116,56,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,104,101,97,116,32,102,108,111,119,32,114,97,116,101,32,97,116,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,56,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,56,34,32,108,105,110,101,69,110,100,61,34,49,53,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,104,101,97,116,56,91,49,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,48,34,32,108,105,110,101,69,110,100,61,34,49,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,104,101,97,116,56,91,49,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,48,34,32,108,105,110,101,69,110,100,61,34,49,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,104,101,97,116,56,91,49,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,104,101,97,116,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,104,101,97,116,56,91,49,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,104,101,97,116,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,104,101,97,116,56,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,104,101,97,116,32,102,108,111,119,32,114,97,116,101,32,97,116,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,56,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,56,34,32,108,105,110,101,69,110,100,61,34,49,53,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,104,101,97,116,56,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,104,101,97,116,32,102,108,111,119,32,114,97,116,101,32,97,116,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,56,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,56,34,32,108,105,110,101,69,110,100,61,34,49,53,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,104,101,97,116,56,91,50,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,48,34,32,108,105,110,101,69,110,100,61,34,49,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3379208);
/* memory initializer */ allocate([32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,104,101,97,116,56,91,50,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,48,34,32,108,105,110,101,69,110,100,61,34,49,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,104,101,97,116,56,91,50,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,104,101,97,116,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,104,101,97,116,56,91,50,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,104,101,97,116,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,88,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3389448);
/* memory initializer */ allocate([109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3399688);
/* memory initializer */ allocate([32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,100,104,101,105,103,104,116,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,120,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,100,120,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,100,120,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,34,32,108,105,110,101,69,110,100,61,34,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3409928);
/* memory initializer */ allocate([50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,112,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,112,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3420168);
/* memory initializer */ allocate([10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3430408);
/* memory initializer */ allocate([111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3440648);
/* memory initializer */ allocate([46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3450888);
/* memory initializer */ allocate([45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3461128);
/* memory initializer */ allocate([119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,52,53,52,51,54,57,50,54,48,54,49,55,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3471368);
/* memory initializer */ allocate([117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,52,53,52,51,54,57,50,54,48,54,49,55,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3481608);
/* memory initializer */ allocate([115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3491848);
/* memory initializer */ allocate([115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3502088);
/* memory initializer */ allocate([112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,52,53,52,51,54,57,50,54,48,54,49,55,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3512328);
/* memory initializer */ allocate([108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,52,53,52,51,54,57,50,54,48,54,49,55,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3522568);
/* memory initializer */ allocate([108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3532808);
/* memory initializer */ allocate([101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3543048);
/* memory initializer */ allocate([32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,57,56,49,55,52,55,55,48,52,50,52,54,56,49,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3553288);
/* memory initializer */ allocate([62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,57,56,49,55,52,55,55,48,52,50,52,54,56,49,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3563528);
/* memory initializer */ allocate([60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3573768);
/* memory initializer */ allocate([110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3584008);
/* memory initializer */ allocate([105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,56,49,55,52,55,55,48,52,50,52,54,56,49,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3594248);
/* memory initializer */ allocate([62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,56,49,55,52,55,55,48,52,50,52,54,56,49,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3604488);
/* memory initializer */ allocate([60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3614728);
/* memory initializer */ allocate([32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,83,109,97,108,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,83,109,97,108,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,75,118,34,32,99,111,109,109,101,110,116,61,34,75,118,32,40,109,101,116,114,105,99,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,32,91,109,51,47,104,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,50,34,32,108,105,110,101,69,110,100,61,34,52,52,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,75,118,34,32,99,111,109,109,101,110,116,61,34,75,118,32,40,109,101,116,114,105,99,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,32,91,109,51,47,104,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,50,34,32,108,105,110,101,69,110,100,61,34,52,52,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,67,118,34,32,99,111,109,109,101,110,116,61,34,67,118,32,40,85,83,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,32,91,85,83,71,47,109,105,110,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,34,32,108,105,110,101,69,110,100,61,34,52,52,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,67,118,34,32,99,111,109,109,101,110,116,61,34,67,118,32,40,85,83,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,32,91,85,83,71,47,109,105,110,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,34,32,108,105,110,101,69,110,100,61,34,52,52,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,56,34,32,108,105,110,101,69,110,100,61,34,52,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,56,34,32,108,105,110,101,69,110,100,61,34,52,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,48,34,32,108,105,110,101,69,110,100,61,34,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3624968);
/* memory initializer */ allocate([32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,48,34,32,108,105,110,101,69,110,100,61,34,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,111,112,101,110,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,54,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,111,112,101,110,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,54,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,114,105,115,101,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,82,105,115,101,32,116,105,109,101,32,111,102,32,116,104,101,32,102,105,108,116,101,114,32,40,116,105,109,101,32,116,111,32,114,101,97,99,104,32,57,57,46,54,32,37,32,111,102,32,97,110,32,111,112,101,110,105,110,103,32,115,116,101,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,51,34,32,108,105,110,101,69,110,100,61,34,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,114,105,115,101,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,82,105,115,101,32,116,105,109,101,32,111,102,32,116,104,101,32,102,105,108,116,101,114,32,40,116,105,109,101,32,116,111,32,114,101,97,99,104,32,57,57,46,54,32,37,32,111,102,32,97,110,32,111,112,101,110,105,110,103,32,115,116,101,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,51,34,32,108,105,110,101,69,110,100,61,34,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,34,32,99,111,109,109,101,110,116,61,34,84,104,101,32,111,112,101,110,105,110,103,32,115,105,103,110,97,108,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,40,116,111,32,105,109,112,114,111,118,101,32,116,104,101,32,110,117,109,101,114,105,99,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,54,34,32,108,105,110,101,69,110,100,61,34,52,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,34,32,99,111,109,109,101,110,116,61,34,84,104,101,32,111,112,101,110,105,110,103,32,115,105,103,110,97,108,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,40,116,111,32,105,109,112,114,111,118,101,32,116,104,101,32,110,117,109,101,114,105,99,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,54,34,32,108,105,110,101,69,110,100,61,34,52,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,82,101,103,117,108,97,114,105,115,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,57,34,32,108,105,110,101,69,110,100,61,34,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,82,101,103,117,108,97,114,105,115,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,57,34,32,108,105,110,101,69,110,100,61,34,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,105,110,108,101,116,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,34,32,108,105,110,101,69,110,100,61,34,52,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,105,110,108,101,116,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,34,32,108,105,110,101,69,110,100,61,34,52,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,100,112,32,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,50,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,100,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,100,112,32,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,50,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,109,95,102,108,111,119,32,61,32,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,109,95,102,108,111,119,32,61,32,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3635208);
/* memory initializer */ allocate([118,101,49,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,32,99,111,109,109,101,110,116,61,34,76,111,119,101,114,32,108,105,109,105,116,32,111,102,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,49,34,32,108,105,110,101,69,110,100,61,34,53,49,49,34,32,99,111,108,83,116,97,114,116,61,34,54,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,32,99,111,109,109,101,110,116,61,34,76,111,119,101,114,32,108,105,109,105,116,32,111,102,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,49,34,32,108,105,110,101,69,110,100,61,34,53,49,49,34,32,99,111,108,83,116,97,114,116,61,34,54,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,65,118,34,32,99,111,109,109,101,110,116,61,34,65,118,32,40,109,101,116,114,105,99,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,54,34,32,108,105,110,101,69,110,100,61,34,52,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,65,118,34,32,99,111,109,109,101,110,116,61,34,65,118,32,40,109,101,116,114,105,99,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,54,34,32,108,105,110,101,69,110,100,61,34,52,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,83,109,97,108,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,83,109,97,108,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,75,118,34,32,99,111,109,109,101,110,116,61,34,75,118,32,40,109,101,116,114,105,99,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,32,91,109,51,47,104,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,50,34,32,108,105,110,101,69,110,100,61,34,52,52,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,75,118,34,32,99,111,109,109,101,110,116,61,34,75,118,32,40,109,101,116,114,105,99,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,32,91,109,51,47,104,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,50,34,32,108,105,110,101,69,110,100,61,34,52,52,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,67,118,34,32,99,111,109,109,101,110,116,61,34,67,118,32,40,85,83,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,32,91,85,83,71,47,109,105,110,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,34,32,108,105,110,101,69,110,100,61,34,52,52,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,67,118,34,32,99,111,109,109,101,110,116,61,34,67,118,32,40,85,83,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,32,91,85,83,71,47,109,105,110,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,34,32,108,105,110,101,69,110,100,61,34,52,52,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,56,34,32,108,105,110,101,69,110,100,61,34,52,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,56,34,32,108,105,110,101,69,110,100,61,34,52,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,48,34,32,108,105,110,101,69,110,100,61,34,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,48,34,32,108,105,110,101,69,110,100,61,34,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,111,112,101,110,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,54,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,111,112,101,110,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3645448);
/* memory initializer */ allocate([120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,54,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,114,105,115,101,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,82,105,115,101,32,116,105,109,101,32,111,102,32,116,104,101,32,102,105,108,116,101,114,32,40,116,105,109,101,32,116,111,32,114,101,97,99,104,32,57,57,46,54,32,37,32,111,102,32,97,110,32,111,112,101,110,105,110,103,32,115,116,101,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,51,34,32,108,105,110,101,69,110,100,61,34,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,114,105,115,101,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,82,105,115,101,32,116,105,109,101,32,111,102,32,116,104,101,32,102,105,108,116,101,114,32,40,116,105,109,101,32,116,111,32,114,101,97,99,104,32,57,57,46,54,32,37,32,111,102,32,97,110,32,111,112,101,110,105,110,103,32,115,116,101,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,51,34,32,108,105,110,101,69,110,100,61,34,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,34,32,99,111,109,109,101,110,116,61,34,84,104,101,32,111,112,101,110,105,110,103,32,115,105,103,110,97,108,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,40,116,111,32,105,109,112,114,111,118,101,32,116,104,101,32,110,117,109,101,114,105,99,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,54,34,32,108,105,110,101,69,110,100,61,34,52,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,34,32,99,111,109,109,101,110,116,61,34,84,104,101,32,111,112,101,110,105,110,103,32,115,105,103,110,97,108,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,40,116,111,32,105,109,112,114,111,118,101,32,116,104,101,32,110,117,109,101,114,105,99,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,54,34,32,108,105,110,101,69,110,100,61,34,52,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,82,101,103,117,108,97,114,105,115,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,57,34,32,108,105,110,101,69,110,100,61,34,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,82,101,103,117,108,97,114,105,115,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,57,34,32,108,105,110,101,69,110,100,61,34,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,105,110,108,101,116,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,34,32,108,105,110,101,69,110,100,61,34,52,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,105,110,108,101,116,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,34,32,108,105,110,101,69,110,100,61,34,52,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,100,112,32,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,50,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,100,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,100,112,32,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,50,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,109,95,102,108,111,119,32,61,32,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,109,95,102,108,111,119,32,61,32,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,32,99,111,109,109,101,110,116,61,34,76,111,119,101,114,32,108,105,109,105,116,32,111,102,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,49,34,32,108,105,110,101,69,110,100,61,34,53,49,49,34,32,99,111,108,83,116,97,114,116,61,34,54,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,32,99,111,109,109,101,110,116,61,34,76,111,119,101,114,32,108,105,109,105,116,32,111,102,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,49,34,32,108,105,110,101,69,110,100,61,34,53,49,49,34,32,99,111,108,83,116,97,114,116,61,34,54,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3655688);
/* memory initializer */ allocate([115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,65,118,34,32,99,111,109,109,101,110,116,61,34,65,118,32,40,109,101,116,114,105,99,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,54,34,32,108,105,110,101,69,110,100,61,34,52,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,65,118,34,32,99,111,109,109,101,110,116,61,34,65,118,32,40,109,101,116,114,105,99,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,54,34,32,108,105,110,101,69,110,100,61,34,52,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3665928);
/* memory initializer */ allocate([108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3676168);
/* memory initializer */ allocate([108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3686408);
/* memory initializer */ allocate([32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3696648);
/* memory initializer */ allocate([115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,83,109,97,108,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,83,109,97,108,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,75,118,34,32,99,111,109,109,101,110,116,61,34,75,118,32,40,109,101,116,114,105,99,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,32,91,109,51,47,104,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,50,34,32,108,105,110,101,69,110,100,61,34,52,52,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,75,118,34,32,99,111,109,109,101,110,116,61,34,75,118,32,40,109,101,116,114,105,99,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,32,91,109,51,47,104,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,50,34,32,108,105,110,101,69,110,100,61,34,52,52,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,67,118,34,32,99,111,109,109,101,110,116,61,34,67,118,32,40,85,83,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,32,91,85,83,71,47,109,105,110,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,34,32,108,105,110,101,69,110,100,61,34,52,52,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,67,118,34,32,99,111,109,109,101,110,116,61,34,67,118,32,40,85,83,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,32,91,85,83,71,47,109,105,110,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,34,32,108,105,110,101,69,110,100,61,34,52,52,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,56,34,32,108,105,110,101,69,110,100,61,34,52,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,56,34,32,108,105,110,101,69,110,100,61,34,52,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,48,34,32,108,105,110,101,69,110,100,61,34,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,48,34,32,108,105,110,101,69,110,100,61,34,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,111,112,101,110,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,54,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,111,112,101,110,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,54,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,114,105,115,101,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,82,105,115,101,32,116,105,109,101,32,111,102,32,116,104,101,32,102,105,108,116,101,114,32,40,116,105,109,101,32,116,111,32,114,101,97,99,104,32,57,57,46,54,32,37,32,111,102,32,97,110,32,111,112,101,110,105,110,103,32,115,116,101,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,51,34,32,108,105,110,101,69,110,100,61,34,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,114,105,115,101,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,82,105,115,101,32,116,105,109,101,32,111,102,32,116,104,101,32,102,105,108,116,101,114,32,40,116,105,109,101,32,116,111,32,114,101,97,99,104,32,57,57,46,54,32,37,32,111,102,32,97,110,32,111,112,101,110,105,110,103,32,115,116,101,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3706888);
/* memory initializer */ allocate([61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,51,34,32,108,105,110,101,69,110,100,61,34,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,34,32,99,111,109,109,101,110,116,61,34,84,104,101,32,111,112,101,110,105,110,103,32,115,105,103,110,97,108,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,40,116,111,32,105,109,112,114,111,118,101,32,116,104,101,32,110,117,109,101,114,105,99,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,54,34,32,108,105,110,101,69,110,100,61,34,52,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,34,32,99,111,109,109,101,110,116,61,34,84,104,101,32,111,112,101,110,105,110,103,32,115,105,103,110,97,108,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,40,116,111,32,105,109,112,114,111,118,101,32,116,104,101,32,110,117,109,101,114,105,99,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,54,34,32,108,105,110,101,69,110,100,61,34,52,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,82,101,103,117,108,97,114,105,115,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,57,34,32,108,105,110,101,69,110,100,61,34,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,82,101,103,117,108,97,114,105,115,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,57,34,32,108,105,110,101,69,110,100,61,34,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,105,110,108,101,116,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,34,32,108,105,110,101,69,110,100,61,34,52,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,105,110,108,101,116,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,34,32,108,105,110,101,69,110,100,61,34,52,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,100,112,32,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,50,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,100,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,100,112,32,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,50,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,109,95,102,108,111,119,32,61,32,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,109,95,102,108,111,119,32,61,32,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,32,99,111,109,109,101,110,116,61,34,76,111,119,101,114,32,108,105,109,105,116,32,111,102,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,49,34,32,108,105,110,101,69,110,100,61,34,53,49,49,34,32,99,111,108,83,116,97,114,116,61,34,54,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,32,99,111,109,109,101,110,116,61,34,76,111,119,101,114,32,108,105,109,105,116,32,111,102,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,49,34,32,108,105,110,101,69,110,100,61,34,53,49,49,34,32,99,111,108,83,116,97,114,116,61,34,54,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,65,118,34,32,99,111,109,109,101,110,116,61,34,65,118,32,40,109,101,116,114,105,99,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,54,34,32,108,105,110,101,69,110,100,61,34,52,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,65,118,34,32,99,111,109,109,101,110,116,61,34,65,118,32,40,109,101,116,114,105,99,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,54,34,32,108,105,110,101,69,110,100,61,34,52,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3717128);
/* memory initializer */ allocate([111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,112,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,112,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,97,109,98,105,101,110,116,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,34,32,108,105,110,101,69,110,100,61,34,49,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,97,109,98,105,101,110,116,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,34,32,108,105,110,101,69,110,100,61,34,49,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,97,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,34,32,108,105,110,101,69,110,100,61,34,49,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,97,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,34,32,108,105,110,101,69,110,100,61,34,49,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,46,56,48,54,54,52,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,34,32,108,105,110,101,69,110,100,61,34,49,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,46,56,48,54,54,52,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,34,32,108,105,110,101,69,110,100,61,34,49,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,115,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,34,32,108,105,110,101,69,110,100,61,34,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,115,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,34,32,108,105,110,101,69,110,100,61,34,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,110,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,34,32,108,105,110,101,69,110,100,61,34,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3727368);
/* memory initializer */ allocate([104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,110,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,34,32,108,105,110,101,69,110,100,61,34,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,82,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,32,102,111,114,32,124,109,95,102,108,111,119,124,32,38,108,116,59,32,101,112,115,95,109,95,102,108,111,119,42,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,34,32,108,105,110,101,69,110,100,61,34,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,82,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,32,102,111,114,32,124,109,95,102,108,111,119,124,32,38,108,116,59,32,101,112,115,95,109,95,102,108,111,119,42,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,34,32,108,105,110,101,69,110,100,61,34,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,115,109,97,108,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,108,97,109,105,110,97,114,32,97,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,48,34,32,108,105,110,101,69,110,100,61,34,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,115,109,97,108,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,108,97,109,105,110,97,114,32,97,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,48,34,32,108,105,110,101,69,110,100,61,34,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,115,109,97,108,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,108,97,109,105,110,97,114,32,97,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,34,32,108,105,110,101,69,110,100,61,34,54,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,115,109,97,108,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,108,97,109,105,110,97,114,32,97,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,34,32,108,105,110,101,69,110,100,61,34,54,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,115,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,114,101,115,115,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,34,32,108,105,110,101,69,110,100,61,34,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,115,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,114,101,115,115,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,34,32,108,105,110,101,69,110,100,61,34,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,115,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,52,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,115,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,52,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,49,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,32,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,55,34,32,108,105,110,101,69,110,100,61,34,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,79,112,101,110,105,110,103,49,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,32,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,55,34,32,108,105,110,101,69,110,100,61,34,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,49,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,121,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,56,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,79,112,101,110,105,110,103,49,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,121,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,56,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3737608);
/* memory initializer */ allocate([99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,49,46,104,101,105,103,104,116,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,79,112,101,110,105,110,103,49,46,104,101,105,103,104,116,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,50,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,32,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,55,34,32,108,105,110,101,69,110,100,61,34,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,79,112,101,110,105,110,103,50,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,32,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,55,34,32,108,105,110,101,69,110,100,61,34,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,50,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,121,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,56,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,79,112,101,110,105,110,103,50,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,121,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,56,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,50,46,104,101,105,103,104,116,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,79,112,101,110,105,110,103,50,46,104,101,105,103,104,116,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,51,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,32,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,55,34,32,108,105,110,101,69,110,100,61,34,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,79,112,101,110,105,110,103,51,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,32,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,55,34,32,108,105,110,101,69,110,100,61,34,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,51,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,121,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,56,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,79,112,101,110,105,110,103,51,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,121,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,56,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,51,46,104,101,105,103,104,116,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,79,112,101,110,105,110,103,51,46,104,101,105,103,104,116,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3747848);
/* memory initializer */ allocate([60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3758088);
/* memory initializer */ allocate([115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3768328);
/* memory initializer */ allocate([32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3778568);
/* memory initializer */ allocate([112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3788808);
/* memory initializer */ allocate([111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3799048);
/* memory initializer */ allocate([34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3809288);
/* memory initializer */ allocate([112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3819528);
/* memory initializer */ allocate([47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3829768);
/* memory initializer */ allocate([110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3840008);
/* memory initializer */ allocate([114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3850248);
/* memory initializer */ allocate([32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3860488);
/* memory initializer */ allocate([48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,46,48,34,32,102,105,120,101,100,61,34,116,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3870728);
/* memory initializer */ allocate([117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3880968);
/* memory initializer */ allocate([111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,56,49,55,52,55,55,48,52,50,52,54,56,49,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,56,49,55,52,55,55,48,52,50,52,54,56,49,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3891208);
/* memory initializer */ allocate([34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3901448);
/* memory initializer */ allocate([99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3911688);
/* memory initializer */ allocate([105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3921928);
/* memory initializer */ allocate([101,49,49,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,52,53,52,51,54,57,50,54,48,54,49,55,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,52,53,52,51,54,57,50,54,48,54,49,55,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3932168);
/* memory initializer */ allocate([46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3942408);
/* memory initializer */ allocate([100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,77,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,69,120,97,109,112,108,101,115,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,34,32,108,105,110,101,69,110,100,61,34,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,77,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,69,120,97,109,112,108,101,115,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,34,32,108,105,110,101,69,110,100,61,34,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,77,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3952648);
/* memory initializer */ allocate([114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,69,120,97,109,112,108,101,115,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,77,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,69,120,97,109,112,108,101,115,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,110,80,111,114,116,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,49,34,32,108,105,110,101,69,110,100,61,34,55,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,110,80,111,114,116,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,49,34,32,108,105,110,101,69,110,100,61,34,55,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,65,108,108,111,119,101,100,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,56,34,32,108,105,110,101,69,110,100,61,34,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,65,108,108,111,119,101,100,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,56,34,32,108,105,110,101,69,110,100,61,34,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3962888);
/* memory initializer */ allocate([115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3973128);
/* memory initializer */ allocate([112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3983368);
/* memory initializer */ allocate([101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3993608);
/* memory initializer */ allocate([101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4003848);
/* memory initializer */ allocate([32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4014088);
/* memory initializer */ allocate([111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4024328);
/* memory initializer */ allocate([32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4034568);
/* memory initializer */ allocate([97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4044808);
/* memory initializer */ allocate([77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4055048);
/* memory initializer */ allocate([61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,67,118,68,97,116,97,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,105,111,110,32,111,102,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,65,118,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,51,34,32,108,105,110,101,69,110,100,61,34,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,67,118,68,97,116,97,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,105,111,110,32,111,102,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,65,118,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,51,34,32,108,105,110,101,69,110,100,61,34,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,67,118,68,97,116,97,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,105,111,110,32,111,102,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,65,118,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,51,34,32,108,105,110,101,69,110,100,61,34,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,67,118,68,97,116,97,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,105,111,110,32,111,102,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,65,118,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,51,34,32,108,105,110,101,69,110,100,61,34,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4065288);
/* memory initializer */ allocate([111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4075528);
/* memory initializer */ allocate([97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,67,118,68,97,116,97,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,105,111,110,32,111,102,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,65,118,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,51,34,32,108,105,110,101,69,110,100,61,34,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4085768);
/* memory initializer */ allocate([118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,67,118,68,97,116,97,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,105,111,110,32,111,102,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,65,118,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,51,34,32,108,105,110,101,69,110,100,61,34,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,110,80,111,114,116,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,49,34,32,108,105,110,101,69,110,100,61,34,55,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,110,80,111,114,116,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,49,34,32,108,105,110,101,69,110,100,61,34,55,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,65,108,108,111,119,101,100,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,56,34,32,108,105,110,101,69,110,100,61,34,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,65,108,108,111,119,101,100,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,56,34,32,108,105,110,101,69,110,100,61,34,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,34,32,108,105,110,101,69,110,100,61,34,50,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,34,32,108,105,110,101,69,110,100,61,34,50,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,44,32,105,102,32,111,112,116,105,111,110,115,32,97,118,97,105,108,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,34,32,108,105,110,101,69,110,100,61,34,51,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,44,32,105,102,32,111,112,116,105,111,110,115,32,97,118,97,105,108,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,34,32,108,105,110,101,69,110,100,61,34,51,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,34,32,108,105,110,101,69,110,100,61,34,50,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,34,32,108,105,110,101,69,110,100,61,34,50,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,34,32,108,105,110,101,69,110,100,61,34,51,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,34,32,108,105,110,101,69,110,100,61,34,51,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,34,32,108,105,110,101,69,110,100,61,34,51,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,34,32,108,105,110,101,69,110,100,61,34,51,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4096008);
/* memory initializer */ allocate([32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4106248);
/* memory initializer */ allocate([99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4116488);
/* memory initializer */ allocate([60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4126728);
/* memory initializer */ allocate([121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4136968);
/* memory initializer */ allocate([111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4147208);
/* memory initializer */ allocate([110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4157448);
/* memory initializer */ allocate([46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4167688);
/* memory initializer */ allocate([114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4177928);
/* memory initializer */ allocate([100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,110,78,111,100,101,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,32,99,111,109,109,101,110,116,61,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,110,70,77,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,110,70,77,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,55,34,32,108,105,110,101,69,110,100,61,34,51,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4188168);
/* memory initializer */ allocate([47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,52,34,32,108,105,110,101,69,110,100,61,34,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,105,76,117,109,112,101,100,34,32,99,111,109,109,101,110,116,61,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4198408);
/* memory initializer */ allocate([119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4208648);
/* memory initializer */ allocate([83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4218888);
/* memory initializer */ allocate([91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4229128);
/* memory initializer */ allocate([118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4239368);
/* memory initializer */ allocate([62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4249608);
/* memory initializer */ allocate([100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4259848);
/* memory initializer */ allocate([105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,108,116,101,114,101,100,86,97,108,118,101,79,112,101,110,105,110,103,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,69,120,97,109,112,108,101,115,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,34,32,108,105,110,101,69,110,100,61,34,49,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,108,116,101,114,101,100,86,97,108,118,101,79,112,101,110,105,110,103,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,69,120,97,109,112,108,101,115,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,34,32,108,105,110,101,69,110,100,61,34,49,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4270088);
/* memory initializer */ allocate([46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,117,115,101,95,112,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,112,114,101,115,115,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,117,115,101,95,112,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,112,114,101,115,115,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,117,115,101,95,84,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,117,115,101,95,84,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,117,115,101,95,88,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,99,111,109,112,111,115,105,116,105,111,110,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,117,115,101,95,88,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,99,111,109,112,111,115,105,116,105,111,110,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,117,115,101,95,67,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,115,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,57,34,32,108,105,110,101,69,110,100,61,34,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,117,115,101,95,67,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,115,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,57,34,32,108,105,110,101,69,110,100,61,34,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4280328);
/* memory initializer */ allocate([101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4290568);
/* memory initializer */ allocate([99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4300808);
/* memory initializer */ allocate([32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4311048);
/* memory initializer */ allocate([108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4321288);
/* memory initializer */ allocate([116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4331528);
/* memory initializer */ allocate([112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4341768);
/* memory initializer */ allocate([32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4352008);
/* memory initializer */ allocate([60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4362248);
/* memory initializer */ allocate([34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4372488);
/* memory initializer */ allocate([34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4382728);
/* memory initializer */ allocate([117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4392968);
/* memory initializer */ allocate([97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4403208);
/* memory initializer */ allocate([47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4413448);
/* memory initializer */ allocate([121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,104,111,119,95,84,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,101,109,112,101,114,97,116,117,114,101,115,32,97,116,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,97,114,101,32,99,111,109,112,117,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4423688);
/* memory initializer */ allocate([110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,115,104,111,119,95,84,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,101,109,112,101,114,97,116,117,114,101,115,32,97,116,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,97,114,101,32,99,111,109,112,117,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,104,111,119,95,86,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,118,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,105,115,32,99,111,109,112,117,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,34,32,108,105,110,101,69,110,100,61,34,51,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,115,104,111,119,95,86,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,118,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,105,115,32,99,111,109,112,117,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,34,32,108,105,110,101,69,110,100,61,34,51,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,102,105,108,116,101,114,101,100,79,112,101,110,105,110,103,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,111,112,101,110,105,110,103,32,105,115,32,102,105,108,116,101,114,101,100,32,119,105,116,104,32,97,32,50,110,100,32,111,114,100,101,114,32,67,114,105,116,105,99,97,108,68,97,109,112,105,110,103,32,102,105,108,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,48,34,32,108,105,110,101,69,110,100,61,34,52,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,102,105,108,116,101,114,101,100,79,112,101,110,105,110,103,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,111,112,101,110,105,110,103,32,105,115,32,102,105,108,116,101,114,101,100,32,119,105,116,104,32,97,32,50,110,100,32,111,114,100,101,114,32,67,114,105,116,105,99,97,108,68,97,109,112,105,110,103,32,102,105,108,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,48,34,32,108,105,110,101,69,110,100,61,34,52,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,99,104,101,99,107,86,97,108,118,101,34,32,99,111,109,109,101,110,116,61,34,82,101,118,101,114,115,101,32,102,108,111,119,32,115,116,111,112,112,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,57,34,32,108,105,110,101,69,110,100,61,34,52,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,99,104,101,99,107,86,97,108,118,101,34,32,99,111,109,109,101,110,116,61,34,82,101,118,101,114,115,101,32,102,108,111,119,32,115,116,111,112,112,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,57,34,32,108,105,110,101,69,110,100,61,34,52,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4433928);
/* memory initializer */ allocate([99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,104,111,119,95,84,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,101,109,112,101,114,97,116,117,114,101,115,32,97,116,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,97,114,101,32,99,111,109,112,117,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,115,104,111,119,95,84,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,101,109,112,101,114,97,116,117,114,101,115,32,97,116,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,97,114,101,32,99,111,109,112,117,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,104,111,119,95,86,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,118,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,105,115,32,99,111,109,112,117,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,34,32,108,105,110,101,69,110,100,61,34,51,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,115,104,111,119,95,86,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,118,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,105,115,32,99,111,109,112,117,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,34,32,108,105,110,101,69,110,100,61,34,51,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,102,105,108,116,101,114,101,100,79,112,101,110,105,110,103,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,111,112,101,110,105,110,103,32,105,115,32,102,105,108,116,101,114,101,100,32,119,105,116,104,32,97,32,50,110,100,32,111,114,100,101,114,32,67,114,105,116,105,99,97,108,68,97,109,112,105,110,103,32,102,105,108,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,48,34,32,108,105,110,101,69,110,100,61,34,52,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,102,105,108,116,101,114,101,100,79,112,101,110,105,110,103,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,111,112,101,110,105,110,103,32,105,115,32,102,105,108,116,101,114,101,100,32,119,105,116,104,32,97,32,50,110,100,32,111,114,100,101,114,32,67,114,105,116,105,99,97,108,68,97,109,112,105,110,103,32,102,105,108,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,48,34,32,108,105,110,101,69,110,100,61,34,52,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,99,104,101,99,107,86,97,108,118,101,34,32,99,111,109,109,101,110,116,61,34,82,101,118,101,114,115,101,32,102,108,111,119,32,115,116,111,112,112,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,57,34,32,108,105,110,101,69,110,100,61,34,52,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,99,104,101,99,107,86,97,108,118,101,34,32,99,111,109,109,101,110,116,61,34,82,101,118,101,114,115,101,32,102,108,111,119,32,115,116,111,112,112,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,57,34,32,108,105,110,101,69,110,100,61,34,52,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4444168);
/* memory initializer */ allocate([108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4454408);
/* memory initializer */ allocate([102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4464648);
/* memory initializer */ allocate([111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,104,111,119,95,84,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,101,109,112,101,114,97,116,117,114,101,115,32,97,116,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,97,114,101,32,99,111,109,112,117,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4474888);
/* memory initializer */ allocate([115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,115,104,111,119,95,84,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,101,109,112,101,114,97,116,117,114,101,115,32,97,116,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,97,114,101,32,99,111,109,112,117,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,104,111,119,95,86,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,118,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,105,115,32,99,111,109,112,117,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,34,32,108,105,110,101,69,110,100,61,34,51,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,115,104,111,119,95,86,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,118,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,105,115,32,99,111,109,112,117,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,34,32,108,105,110,101,69,110,100,61,34,51,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,102,105,108,116,101,114,101,100,79,112,101,110,105,110,103,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,111,112,101,110,105,110,103,32,105,115,32,102,105,108,116,101,114,101,100,32,119,105,116,104,32,97,32,50,110,100,32,111,114,100,101,114,32,67,114,105,116,105,99,97,108,68,97,109,112,105,110,103,32,102,105,108,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,48,34,32,108,105,110,101,69,110,100,61,34,52,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,102,105,108,116,101,114,101,100,79,112,101,110,105,110,103,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,111,112,101,110,105,110,103,32,105,115,32,102,105,108,116,101,114,101,100,32,119,105,116,104,32,97,32,50,110,100,32,111,114,100,101,114,32,67,114,105,116,105,99,97,108,68,97,109,112,105,110,103,32,102,105,108,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,48,34,32,108,105,110,101,69,110,100,61,34,52,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,99,104,101,99,107,86,97,108,118,101,34,32,99,111,109,109,101,110,116,61,34,82,101,118,101,114,115,101,32,102,108,111,119,32,115,116,111,112,112,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,57,34,32,108,105,110,101,69,110,100,61,34,52,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,99,104,101,99,107,86,97,108,118,101,34,32,99,111,109,109,101,110,116,61,34,82,101,118,101,114,115,101,32,102,108,111,119,32,115,116,111,112,112,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,57,34,32,108,105,110,101,69,110,100,61,34,52,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4485128);
/* memory initializer */ allocate([34,115,105,110,107,46,117,115,101,95,112,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,112,114,101,115,115,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,117,115,101,95,112,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,112,114,101,115,115,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,117,115,101,95,84,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,117,115,101,95,84,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,117,115,101,95,88,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,99,111,109,112,111,115,105,116,105,111,110,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,117,115,101,95,88,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,99,111,109,112,111,115,105,116,105,111,110,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,117,115,101,95,67,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,115,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,57,34,32,108,105,110,101,69,110,100,61,34,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,117,115,101,95,67,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,115,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,57,34,32,108,105,110,101,69,110,100,61,34,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,114,101,115,116,114,105,99,116,32,116,111,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,34,32,108,105,110,101,69,110,100,61,34,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,114,101,115,116,114,105,99,116,32,116,111,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,34,32,108,105,110,101,69,110,100,61,34,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,117,115,101,95,101,112,115,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,100,101,116,101,114,109,105,110,101,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,97,117,116,111,109,97,116,105,99,97,108,108,121,32,117,115,105,110,103,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,34,32,108,105,110,101,69,110,100,61,34,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,117,115,101,95,101,112,115,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,100,101,116,101,114,109,105,110,101,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,97,117,116,111,109,97,116,105,99,97,108,108,121,32,117,115,105,110,103,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,34,32,108,105,110,101,69,110,100,61,34,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4495368);
/* memory initializer */ allocate([116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4505608);
/* memory initializer */ allocate([70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4515848);
/* memory initializer */ allocate([102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4526088);
/* memory initializer */ allocate([105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4536328);
/* memory initializer */ allocate([101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4546568);
/* memory initializer */ allocate([49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4556808);
/* memory initializer */ allocate([116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4567048);
/* memory initializer */ allocate([62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4577288);
/* memory initializer */ allocate([60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4587528);
/* memory initializer */ allocate([110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4597768);
/* memory initializer */ allocate([110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4608008);
/* memory initializer */ allocate([110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,53,34,32,108,105,110,101,69,110,100,61,34,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,54,34,32,108,105,110,101,69,110,100,61,34,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4618248);
/* memory initializer */ allocate([118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4628488);
/* memory initializer */ allocate([114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,75,118,50,65,118,34,32,99,111,109,109,101,110,116,61,34,67,111,110,118,101,114,115,105,111,110,32,102,97,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,52,34,32,108,105,110,101,69,110,100,61,34,52,56,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,75,118,50,65,118,34,32,99,111,109,109,101,110,116,61,34,67,111,110,118,101,114,115,105,111,110,32,102,97,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,52,34,32,108,105,110,101,69,110,100,61,34,52,56,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,67,118,50,65,118,34,32,99,111,109,109,101,110,116,61,34,67,111,110,118,101,114,115,105,111,110,32,102,97,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,53,34,32,108,105,110,101,69,110,100,61,34,52,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,67,118,50,65,118,34,32,99,111,109,109,101,110,116,61,34,67,111,110,118,101,114,115,105,111,110,32,102,97,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,53,34,32,108,105,110,101,69,110,100,61,34,52,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,49,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,99,102,46,32,115,116,114,97,105,103,104,116,32,112,105,112,101,32,102,111,114,32,102,117,108,108,121,32,111,112,101,110,32,118,97,108,118,101,32,45,45,32,100,112,95,116,117,114,98,117,108,101,110,116,32,105,110,99,114,101,97,115,101,115,32,102,111,114,32,99,108,111,115,105,110,103,32,118,97,108,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,34,32,108,105,110,101,69,110,100,61,34,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,49,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,99,102,46,32,115,116,114,97,105,103,104,116,32,112,105,112,101,32,102,111,114,32,102,117,108,108,121,32,111,112,101,110,32,118,97,108,118,101,32,45,45,32,100,112,95,116,117,114,98,117,108,101,110,116,32,105,110,99,114,101,97,115,101,115,32,102,111,114,32,99,108,111,115,105,110,103,32,118,97,108,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,34,32,108,105,110,101,69,110,100,61,34,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,75,118,50,65,118,34,32,99,111,109,109,101,110,116,61,34,67,111,110,118,101,114,115,105,111,110,32,102,97,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,52,34,32,108,105,110,101,69,110,100,61,34,52,56,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,75,118,50,65,118,34,32,99,111,109,109,101,110,116,61,34,67,111,110,118,101,114,115,105,111,110,32,102,97,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4638728);
/* memory initializer */ allocate([105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,52,34,32,108,105,110,101,69,110,100,61,34,52,56,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,67,118,50,65,118,34,32,99,111,109,109,101,110,116,61,34,67,111,110,118,101,114,115,105,111,110,32,102,97,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,53,34,32,108,105,110,101,69,110,100,61,34,52,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,67,118,50,65,118,34,32,99,111,109,109,101,110,116,61,34,67,111,110,118,101,114,115,105,111,110,32,102,97,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,53,34,32,108,105,110,101,69,110,100,61,34,52,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,50,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,99,102,46,32,115,116,114,97,105,103,104,116,32,112,105,112,101,32,102,111,114,32,102,117,108,108,121,32,111,112,101,110,32,118,97,108,118,101,32,45,45,32,100,112,95,116,117,114,98,117,108,101,110,116,32,105,110,99,114,101,97,115,101,115,32,102,111,114,32,99,108,111,115,105,110,103,32,118,97,108,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,34,32,108,105,110,101,69,110,100,61,34,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,50,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,99,102,46,32,115,116,114,97,105,103,104,116,32,112,105,112,101,32,102,111,114,32,102,117,108,108,121,32,111,112,101,110,32,118,97,108,118,101,32,45,45,32,100,112,95,116,117,114,98,117,108,101,110,116,32,105,110,99,114,101,97,115,101,115,32,102,111,114,32,99,108,111,115,105,110,103,32,118,97,108,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,34,32,108,105,110,101,69,110,100,61,34,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,75,118,50,65,118,34,32,99,111,109,109,101,110,116,61,34,67,111,110,118,101,114,115,105,111,110,32,102,97,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,52,34,32,108,105,110,101,69,110,100,61,34,52,56,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,75,118,50,65,118,34,32,99,111,109,109,101,110,116,61,34,67,111,110,118,101,114,115,105,111,110,32,102,97,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,52,34,32,108,105,110,101,69,110,100,61,34,52,56,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,67,118,50,65,118,34,32,99,111,109,109,101,110,116,61,34,67,111,110,118,101,114,115,105,111,110,32,102,97,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,53,34,32,108,105,110,101,69,110,100,61,34,52,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,67,118,50,65,118,34,32,99,111,109,109,101,110,116,61,34,67,111,110,118,101,114,115,105,111,110,32,102,97,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,53,34,32,108,105,110,101,69,110,100,61,34,52,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,97,108,118,101,51,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,99,102,46,32,115,116,114,97,105,103,104,116,32,112,105,112,101,32,102,111,114,32,102,117,108,108,121,32,111,112,101,110,32,118,97,108,118,101,32,45,45,32,100,112,95,116,117,114,98,117,108,101,110,116,32,105,110,99,114,101,97,115,101,115,32,102,111,114,32,99,108,111,115,105,110,103,32,118,97,108,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,34,32,108,105,110,101,69,110,100,61,34,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,97,108,118,101,51,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,99,102,46,32,115,116,114,97,105,103,104,116,32,112,105,112,101,32,102,111,114,32,102,117,108,108,121,32,111,112,101,110,32,118,97,108,118,101,32,45,45,32,100,112,95,116,117,114,98,117,108,101,110,116,32,105,110,99,114,101,97,115,101,115,32,102,111,114,32,99,108,111,115,105,110,103,32,118,97,108,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,34,32,108,105,110,101,69,110,100,61,34,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,60,47,118,97,114,105,97,98,108,101,115,62,10,60,105,110,105,116,105,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,57,52,49,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4648968);
/* memory initializer */ allocate([32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,49,49,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,49,49,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,49,49,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,49,49,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,53,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,53,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4659208);
/* memory initializer */ allocate([51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,53,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,53,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,49,48,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,49,48,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,49,48,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,49,48,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4669448);
/* memory initializer */ allocate([100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,57,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,57,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,57,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,57,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4679688);
/* memory initializer */ allocate([57,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,56,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,56,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,56,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,56,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,51,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,49,34,32,108,105,110,101,69,110,100,61,34,53,49,49,34,32,99,111,108,83,116,97,114,116,61,34,54,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,32,42,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4689928);
/* memory initializer */ allocate([61,34,118,97,108,118,101,51,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,51,46,100,112,95,110,111,109,105,110,97,108,32,42,32,68,73,86,73,83,73,79,78,40,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,57,34,32,108,105,110,101,69,110,100,61,34,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,55,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,55,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,55,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,55,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,50,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,49,34,32,108,105,110,101,69,110,100,61,34,53,49,49,34,32,99,111,108,83,116,97,114,116,61,34,54,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,32,42,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4700168);
/* memory initializer */ allocate([110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,50,46,100,112,95,110,111,109,105,110,97,108,32,42,32,68,73,86,73,83,73,79,78,40,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,57,34,32,108,105,110,101,69,110,100,61,34,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,49,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,49,34,32,108,105,110,101,69,110,100,61,34,53,49,49,34,32,99,111,108,83,116,97,114,116,61,34,54,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,32,42,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,49,46,100,112,95,110,111,109,105,110,97,108,32,42,32,68,73,86,73,83,73,79,78,40,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,57,34,32,108,105,110,101,69,110,100,61,34,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,54,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,54,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,54,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,54,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4710408);
/* memory initializer */ allocate([112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,52,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,52,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,52,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,52,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,51,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4720648);
/* memory initializer */ allocate([116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,51,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,51,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,51,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,50,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,50,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4730888);
/* memory initializer */ allocate([32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,50,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,50,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,49,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,49,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,49,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,49,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4741128);
/* memory initializer */ allocate([32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,53,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,53,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,57,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,57,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4751368);
/* memory initializer */ allocate([91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,56,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,56,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,55,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,55,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,54,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,54,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,52,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,52,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,51,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,51,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4761608);
/* memory initializer */ allocate([32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,50,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,50,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,49,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,49,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,104,95,84,40,51,48,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,104,95,84,40,51,48,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4771848);
/* memory initializer */ allocate([101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4782088);
/* memory initializer */ allocate([121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,53,48,48,48,48,48,46,48,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,50,54,46,56,53,48,48,48,48,48,48,48,48,48,48,48,50,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,49,48,48,48,48,48,46,48,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,50,54,46,56,53,48,48,48,48,48,48,48,48,48,48,48,50,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4792328);
/* memory initializer */ allocate([103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4802568);
/* memory initializer */ allocate([105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4812808);
/* memory initializer */ allocate([109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,107,46,109,101,100,105,117,109,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,115,105,110,107,46,109,101,100,105,117,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,111,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,51,46,104,101,105,103,104,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,51,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,51,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,79,112,101,110,105,110,103,51,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,118,97,108,118,101,79,112,101,110,105,110,103,51,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,118,97,108,118,101,79,112,101,110,105,110,103,51,46,104,101,105,103,104,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,111,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,50,46,104,101,105,103,104,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,50,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,50,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,79,112,101,110,105,110,103,50,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,118,97,108,118,101,79,112,101,110,105,110,103,50,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,118,97,108,118,101,79,112,101,110,105,110,103,50,46,104,101,105,103,104,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,111,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4823048);
/* memory initializer */ allocate([34,118,97,108,118,101,79,112,101,110,105,110,103,49,46,104,101,105,103,104,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,49,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,49,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,79,112,101,110,105,110,103,49,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,118,97,108,118,101,79,112,101,110,105,110,103,49,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,118,97,108,118,101,79,112,101,110,105,110,103,49,46,104,101,105,103,104,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,111,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,118,97,108,118,101,67,104,97,114,97,99,116,101,114,105,115,116,105,99,40,118,97,108,118,101,51,46,111,112,101,110,105,110,103,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,34,32,108,105,110,101,69,110,100,61,34,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,111,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,48,44,32,105,102,32,110,111,69,118,101,110,116,40,118,97,108,118,101,51,46,111,112,101,110,105,110,103,32,38,108,116,59,32,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,41,32,116,104,101,110,32,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,32,101,108,115,101,32,118,97,108,118,101,51,46,111,112,101,110,105,110,103,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,53,34,32,108,105,110,101,69,110,100,61,34,53,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,111,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,118,97,108,118,101,67,104,97,114,97,99,116,101,114,105,115,116,105,99,40,118,97,108,118,101,50,46,111,112,101,110,105,110,103,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,34,32,108,105,110,101,69,110,100,61,34,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,111,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,48,44,32,105,102,32,110,111,69,118,101,110,116,40,118,97,108,118,101,50,46,111,112,101,110,105,110,103,32,38,108,116,59,32,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,41,32,116,104,101,110,32,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,32,101,108,115,101,32,118,97,108,118,101,50,46,111,112,101,110,105,110,103,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,53,34,32,108,105,110,101,69,110,100,61,34,53,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,111,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,118,97,108,118,101,67,104,97,114,97,99,116,101,114,105,115,116,105,99,40,118,97,108,118,101,49,46,111,112,101,110,105,110,103,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,34,32,108,105,110,101,69,110,100,61,34,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,111,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,48,44,32,105,102,32,110,111,69,118,101,110,116,40,118,97,108,118,101,49,46,111,112,101,110,105,110,103,32,38,108,116,59,32,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,41,32,116,104,101,110,32,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,32,101,108,115,101,32,118,97,108,118,101,49,46,111,112,101,110,105,110,103,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,53,34,32,108,105,110,101,69,110,100,61,34,53,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,109,115,91,50,93,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4833288);
/* memory initializer */ allocate([105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,109,115,91,49,93,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,43,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4843528);
/* memory initializer */ allocate([61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,109,115,91,50,93,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,109,115,91,49,93,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,43,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4853768);
/* memory initializer */ allocate([105,111,110,32,105,110,100,101,120,61,34,51,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,109,115,91,50,93,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,109,115,91,49,93,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,43,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4864008);
/* memory initializer */ allocate([114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,109,115,91,50,93,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,109,115,91,49,93,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,43,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4874248);
/* memory initializer */ allocate([116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,104,101,97,116,56,91,50,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,104,101,97,116,56,91,50,93,46,97,108,112,104,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,48,48,48,46,48,32,42,32,40,49,46,48,32,43,32,104,101,97,116,56,91,50,93,46,97,108,112,104,97,32,42,32,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,32,45,32,104,101,97,116,56,91,50,93,46,84,95,114,101,102,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,109,115,91,50,93,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,104,101,97,116,56,91,49,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,104,101,97,116,56,91,49,93,46,97,108,112,104,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,48,48,48,46,48,32,42,32,40,49,46,48,32,43,32,104,101,97,116,56,91,49,93,46,97,108,112,104,97,32,42,32,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,32,45,32,104,101,97,116,56,91,49,93,46,84,95,114,101,102,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4884488);
/* memory initializer */ allocate([110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,109,115,91,49,93,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,43,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,109,115,91,50,93,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4894728);
/* memory initializer */ allocate([111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,109,115,91,49,93,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,43,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,109,115,91,50,93,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4904968);
/* memory initializer */ allocate([101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,109,115,91,49,93,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,43,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4915208);
/* memory initializer */ allocate([62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,109,115,91,50,93,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,109,115,91,49,93,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,43,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4925448);
/* memory initializer */ allocate([109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,109,115,91,50,93,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,109,115,91,49,93,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,43,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4935688);
/* memory initializer */ allocate([111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,109,115,91,50,93,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,109,115,91,49,93,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4945928);
/* memory initializer */ allocate([111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,43,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,109,115,91,50,93,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4956168);
/* memory initializer */ allocate([111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,109,115,91,49,93,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,43,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,123,49,46,48,125,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,49,48,48,48,48,48,46,48,32,43,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,54,34,32,108,105,110,101,69,110,100,61,34,51,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,123,49,46,48,125,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,65,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,97,120,40,118,97,108,118,101,51,46,100,112,95,115,109,97,108,108,44,32,54,50,56,51,49,56,53,46,51,48,55,49,55,57,53,56,54,32,42,32,68,73,86,73,83,73,79,78,40,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,40,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,41,41,32,43,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,40,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,44,32,49,48,48,48,48,48,46,48,41,41,41,32,94,32,50,46,48,44,32,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,41,32,43,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,41,41,32,42,32,118,97,108,118,101,51,46,65,118,32,42,32,109,97,120,40,118,97,108,118,101,51,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,44,32,48,46,48,48,49,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,34,32,108,105,110,101,69,110,100,61,34,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,32,45,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,41,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,45,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,41,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,43,32,40,49,46,48,32,45,32,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,41,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,54,46,102,108,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4966408);
/* memory initializer */ allocate([119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,45,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,41,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,43,32,40,49,46,48,32,45,32,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,41,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,123,49,46,48,125,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,32,45,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,41,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,32,45,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,54,34,32,108,105,110,101,69,110,100,61,34,51,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,123,49,46,48,125,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,65,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,97,120,40,118,97,108,118,101,49,46,100,112,95,115,109,97,108,108,44,32,54,50,56,51,49,56,53,46,51,48,55,49,55,57,53,56,54,32,42,32,68,73,86,73,83,73,79,78,40,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,40,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,41,41,32,43,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,40,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,41,41,41,32,94,32,50,46,48,44,32,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,41,32,43,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,41,41,32,42,32,118,97,108,118,101,49,46,65,118,32,42,32,109,97,120,40,118,97,108,118,101,49,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,44,32,48,46,48,48,49,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,34,32,108,105,110,101,69,110,100,61,34,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,45,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,41,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4976648);
/* memory initializer */ allocate([80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,45,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,41,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,43,32,40,49,46,48,32,45,32,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,41,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,45,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,41,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,43,32,40,49,46,48,32,45,32,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,41,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,34,32,108,105,110,101,69,110,100,61,34,55,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,45,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,41,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,49,48,46,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4986888);
/* memory initializer */ allocate([108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,43,32,40,49,46,48,32,45,32,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,41,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,32,45,32,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,41,32,45,32,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,34,32,108,105,110,101,69,110,100,61,34,55,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,34,32,108,105,110,101,69,110,100,61,34,55,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,45,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,41,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,123,49,46,48,125,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,65,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,97,120,40,118,97,108,118,101,50,46,100,112,95,115,109,97,108,108,44,32,54,50,56,51,49,56,53,46,51,48,55,49,55,57,53,56,54,32,42,32,68,73,86,73,83,73,79,78,40,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,40,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,41,41,32,43,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,40,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,41,41,41,32,94,32,50,46,48,44,32,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,41,32,43,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,41,41,32,42,32,118,97,108,118,101,50,46,65,118,32,42,32,109,97,120,40,118,97,108,118,101,50,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,44,32,48,46,48,48,49,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,34,32,108,105,110,101,69,110,100,61,34,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,32,45,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,54,34,32,108,105,110,101,69,110,100,61,34,51,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,32,45,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,41,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,40,45,53,48,48,48,48,48,46,48,32,43,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,41,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4997128);
/* memory initializer */ allocate([115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,43,32,40,49,46,48,32,45,32,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,41,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,53,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,43,32,40,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,32,43,32,45,49,46,48,41,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,32,43,32,40,45,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,41,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,43,32,40,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,32,43,32,45,49,46,48,41,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,32,43,32,40,45,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,41,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,55,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,43,32,40,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,32,43,32,45,49,46,48,41,32,42,32,118,97,108,118,101,49,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,32,42,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,42,32,68,73,86,73,83,73,79,78,40,118,97,108,118,101,49,46,100,112,44,32,118,97,108,118,101,49,46,100,112,95,110,111,109,105,110,97,108,41,32,43,32,40,45,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,41,32,42,32,118,97,108,118,101,49,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,32,42,32,118,97,108,118,101,49,46,65,118,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,82,111,111,116,50,40,118,97,108,118,101,49,46,100,112,44,32,118,97,108,118,101,49,46,100,112,95,116,117,114,98,117,108,101,110,116,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,41,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,41,44,32,102,97,108,115,101,44,32,49,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,43,32,40,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,32,43,32,45,49,46,48,41,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,32,43,32,40,45,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,41,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,32,43,32,40,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,32,43,32,45,49,46,48,41,32,42,32,118,97,108,118,101,51,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,32,42,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,42,32,68,73,86,73,83,73,79,78,40,118,97,108,118,101,51,46,100,112,44,32,118,97,108,118,101,51,46,100,112,95,110,111,109,105,110,97,108,41,32,43,32,40,45,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,41,32,42,32,118,97,108,118,101,51,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,32,42,32,118,97,108,118,101,51,46,65,118,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,82,111,111,116,50,40,118,97,108,118,101,51,46,100,112,44,32,118,97,108,118,101,51,46,100,112,95,116,117,114,98,117,108,101,110,116,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,41,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,41,44,32,102,97,108,115,101,44,32,49,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,48,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,32,43,32,40,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,32,43,32,45,49,46,48,41,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,32,43,32,40,45,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,41,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,49,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,43,32,40,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,32,43,32,45,49,46,48,41,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,32,43,32,40,45,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,41,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,43,32,40,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,32,43,32,45,49,46,48,41,32,42,32,118,97,108,118,101,50,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,32,42,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,42,32,68,73,86,73,83,73,79,78,40,118,97,108,118,101,50,46,100,112,44,32,118,97,108,118,101,50,46,100,112,95,110,111,109,105,110,97,108,41,32,43,32,40,45,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,41,32,42,32,118,97,108,118,101,50,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,32,42,32,118,97,108,118,101,50,46,65,118,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,82,111,111,116,50,40,118,97,108,118,101,50,46,100,112,44,32,118,97,108,118,101,50,46,100,112,95,116,117,114,98,117,108,101,110,116,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,41,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,41,44,32,102,97,108,115,101,44,32,49,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,34,32,108,105,110,101,69,110,100,61,34,55,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,52,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,48,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5007368);
/* memory initializer */ allocate([101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,56,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,56,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,56,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,56,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,56,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,56,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,56,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,57,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,57,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,57,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,57,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,57,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,57,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,57,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,57,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,57,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,57,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,48,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,48,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,48,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,48,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,48,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,48,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,48,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,48,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,48,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,48,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,49,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,49,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,49,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,49,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,49,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,49,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,49,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,49,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,49,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,49,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,50,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,50,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,50,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,50,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,50,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,51,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,51,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,51,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,51,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,50,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,50,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,50,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,50,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,50,53,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,112,111,114,116,95,97,95,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,44,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,34,32,108,105,110,101,69,110,100,61,34,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,86,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,41,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,41,44,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,112,111,114,116,95,98,95,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,44,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5017608);
/* memory initializer */ allocate([53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,118,115,91,50,93,32,42,32,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,51,46,87,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5027848);
/* memory initializer */ allocate([67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,51,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,51,46,109,115,91,50,93,41,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,51,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,55,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,49,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,54,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,54,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,54,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,54,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,54,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,54,54,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,118,115,91,49,93,32,42,32,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5038088);
/* memory initializer */ allocate([32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,118,115,91,50,93,32,42,32,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,118,115,91,49,93,32,42,32,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,52,46,87,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,52,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,52,46,109,115,91,49,93,41,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,52,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,48,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,50,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,56,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,56,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,56,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,56,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,56,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,56,57,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5048328);
/* memory initializer */ allocate([32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,118,115,91,50,93,32,42,32,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,118,115,91,49,93,32,42,32,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,118,115,91,50,93,32,42,32,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,118,115,91,49,93,32,42,32,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5058568);
/* memory initializer */ allocate([32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,112,111,114,116,95,97,95,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,44,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,34,32,108,105,110,101,69,110,100,61,34,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,86,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,41,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,41,44,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,112,111,114,116,95,98,95,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,49,48,48,48,48,48,46,48,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,44,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,118,115,91,50,93,32,42,32,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,49,49,46,87,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5068808);
/* memory initializer */ allocate([102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,49,49,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,49,49,46,109,115,91,50,93,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,49,49,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,51,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,51,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,49,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,49,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,49,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,50,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,50,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,50,50,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,118,115,91,49,93,32,42,32,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,118,115,91,50,93,32,42,32,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,118,115,91,49,93,32,42,32,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,54,46,109,101,100,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5079048);
/* memory initializer */ allocate([117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,53,46,87,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,53,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,53,46,109,115,91,49,93,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,53,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,52,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,52,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,51,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,51,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,52,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,52,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,52,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,52,51,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,49,48,46,87,98,95,102,108,111,119,115,91], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5089288);
/* memory initializer */ allocate([49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,49,48,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,49,48,46,109,115,91,49,93,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,49,48,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,53,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,53,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,52,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,53,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,53,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,53,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,53,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,53,52,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5099528);
/* memory initializer */ allocate([49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,54,46,87,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,54,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,54,46,109,115,91,49,93,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,54,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,51,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,54,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,54,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,54,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,54,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,55,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,55,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,55,50,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5109768);
/* memory initializer */ allocate([60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,52,46,87,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,52,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,52,46,109,115,91,50,93,41,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,52,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,52,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,55,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,55,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,55,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,56,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,56,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,56,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,56,51,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,49,49,46,87,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5120008);
/* memory initializer */ allocate([100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,49,49,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,49,49,46,109,115,91,49,93,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,49,49,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,52,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,56,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,56,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,56,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,57,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,57,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,57,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,57,51,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,53,46,87,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,102,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5130248);
/* memory initializer */ allocate([117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,53,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,53,46,109,115,91,50,93,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,53,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,55,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,57,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,48,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,48,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,48,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,48,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,48,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,48,54,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,49,48,46,87,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,49,48,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,49,48,46,109,115,91,50,93,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,49,48,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,55,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,49,48,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,49,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,49,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,49,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,49,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,49,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,49,54,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5140488);
/* memory initializer */ allocate([113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,54,46,87,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,54,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,54,46,109,115,91,50,93,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,54,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,57,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,49,49,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,50,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,50,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,50,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,50,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,50,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,50,56,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,87,98,95,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5150728);
/* memory initializer */ allocate([108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,118,115,91,50,93,32,42,32,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,57,46,87,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,57,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,57,46,109,115,91,50,93,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,57,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,52,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,49,50,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,51,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,51,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,52,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,52,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,52,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,52,51,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,118,115,91,49,93,32,42,32,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,118,115,91,50,93,32,42,32,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,56,46,87,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5160968);
/* memory initializer */ allocate([61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,56,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,56,46,109,115,91,50,93,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,56,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,52,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,49,51,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,52,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,52,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,53,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,53,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,53,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,53,51,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,118,115,91,49,93,32,42,32,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,45,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,45,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,57,46,87,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5171208);
/* memory initializer */ allocate([46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,57,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,57,46,109,115,91,49,93,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,57,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,48,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,49,52,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,54,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,54,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,54,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,54,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,54,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,54,57,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,56,46,87,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,56,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,56,46,109,115,91,49,93,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,56,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,48,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,49,53,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,55,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,55,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,55,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,55,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,55,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,55,57,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,45,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,45,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5181448);
/* memory initializer */ allocate([98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5191688);
/* memory initializer */ allocate([46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,118,115,91,50,93,32,42,32,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,50,46,87,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,55,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,50,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,50,46,109,115,91,50,93,41,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,50,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,56,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,49,54,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,48,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,48,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,48,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,48,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,48,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,48,55,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,118,115,91,49,93,32,42,32,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,112,111,114,116,95,97,95,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,44,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,34,32,108,105,110,101,69,110,100,61,34,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,86,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,41,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,41,44,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5201928);
/* memory initializer */ allocate([110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,118,115,91,50,93,32,42,32,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,55,46,87,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,49,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,55,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,55,46,109,115,91,50,93,41,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,55,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,50,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,49,55,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,49,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,49,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,49,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,49,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,50,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,50,49,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,118,115,91,49,93,32,42,32,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,55,46,87,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5212168);
/* memory initializer */ allocate([105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,48,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,55,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,55,46,109,115,91,49,93,41,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,55,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,49,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,49,56,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,50,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,50,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,50,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,50,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,50,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,51,48,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,112,111,114,116,95,98,95,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,44,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,51,46,87,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5222408);
/* memory initializer */ allocate([32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,51,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,51,46,109,115,91,49,93,41,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,51,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,53,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,49,57,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,51,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,52,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,52,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,52,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,52,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,52,52,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,50,46,87,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,50,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,50,46,109,115,91,49,93,41,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,50,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,53,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,50,48,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,52,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,53,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,53,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,53,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,53,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,53,52,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5232648);
/* memory initializer */ allocate([114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,118,115,91,50,93,32,42,32,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,45,50,53,48,48,48,48,46,48,32,43,32,48,46,53,32,42,32,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,41,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,49,46,87,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,49,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,49,46,109,115,91,50,93,41,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,49,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,48,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,50,49,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,54,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,54,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,54,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,54,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,54,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,54,57,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,118,115,91,49,93,32,42,32,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,45,50,53,48,48,48,48,46,48,32,43,32,48,46,53,32,42,32,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,41,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,49,46,87,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5242888);
/* memory initializer */ allocate([114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,49,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,49,46,109,115,91,49,93,41,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,49,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,48,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,50,50,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,55,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,55,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,55,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,55,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,55,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,55,57,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,34,32,108,105,110,101,69,110,100,61,34,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,56,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,57,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5253128);
/* memory initializer */ allocate([105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,49,48,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,53,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,49,49,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5263368);
/* memory initializer */ allocate([108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,55,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,54,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5273608);
/* memory initializer */ allocate([111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,52,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,51,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,50,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5283848);
/* memory initializer */ allocate([101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,49,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,52,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5294088);
/* memory initializer */ allocate([109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,51,46,100,112,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,50,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,50,46,100,112,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,50,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,49,46,100,112,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,50,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5304328);
/* memory initializer */ allocate([84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,48,48,48,48,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,53,48,48,48,48,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5314568);
/* memory initializer */ allocate([110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5324808);
/* memory initializer */ allocate([101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5335048);
/* memory initializer */ allocate([60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5345288);
/* memory initializer */ allocate([121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,48,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,48,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,54,46,56,53,48,48,48,48,48,48,48,48,48,48,48,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,53,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,53,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,54,46,56,53,48,48,48,48,48,48,48,48,48,48,48,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,50,54,46,56,53,48,48,48,48,48,48,48,48,48,48,48,50,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5355528);
/* memory initializer */ allocate([45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,50,54,46,56,53,48,48,48,48,48,48,48,48,48,48,48,50,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5365768);
/* memory initializer */ allocate([101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5376008);
/* memory initializer */ allocate([32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5386248);
/* memory initializer */ allocate([10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5396488);
/* memory initializer */ allocate([46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,105,110,105,116,105,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,114,101,115,105,100,117,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,52,52,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,53,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,55,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5406728);
/* memory initializer */ allocate([113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,48,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,49,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,53,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,55,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,48,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,49,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,53,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,55,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,48,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,49,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5416968);
/* memory initializer */ allocate([105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,53,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,55,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,48,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,49,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,53,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,50,57,51,46,49,53,32,43,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,52,34,32,108,105,110,101,69,110,100,61,34,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,56,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,55,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,43,32,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,41,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,114,101,115,105,100,117,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,52,54,48,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,111,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,49,46,104,101,105,103,104,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,49,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,49,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,79,112,101,110,105,110,103,49,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,118,97,108,118,101,79,112,101,110,105,110,103,49,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,118,97,108,118,101,79,112,101,110,105,110,103,49,46,104,101,105,103,104,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,111,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,118,97,108,118,101,67,104,97,114,97,99,116,101,114,105,115,116,105,99,40,118,97,108,118,101,49,46,111,112,101,110,105,110,103,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,34,32,108,105,110,101,69,110,100,61,34,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,111,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,48,44,32,105,102,32,110,111,69,118,101,110,116,40,118,97,108,118,101,49,46,111,112,101,110,105,110,103,32,38,108,116,59,32,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,41,32,116,104,101,110,32,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,32,101,108,115,101,32,118,97,108,118,101,49,46,111,112,101,110,105,110,103,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,53,34,32,108,105,110,101,69,110,100,61,34,53,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,111,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,50,46,104,101,105,103,104,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,50,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,50,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,79,112,101,110,105,110,103,50,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,118,97,108,118,101,79,112,101,110,105,110,103,50,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,118,97,108,118,101,79,112,101,110,105,110,103,50,46,104,101,105,103,104,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,111,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,118,97,108,118,101,67,104,97,114,97,99,116,101,114,105,115,116,105,99,40,118,97,108,118,101,50,46,111,112,101,110,105,110,103,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,34,32,108,105,110,101,69,110,100,61,34,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5427208);
/* memory initializer */ allocate([108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,111,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,48,44,32,105,102,32,110,111,69,118,101,110,116,40,118,97,108,118,101,50,46,111,112,101,110,105,110,103,32,38,108,116,59,32,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,41,32,116,104,101,110,32,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,32,101,108,115,101,32,118,97,108,118,101,50,46,111,112,101,110,105,110,103,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,53,34,32,108,105,110,101,69,110,100,61,34,53,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,111,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,51,46,104,101,105,103,104,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,51,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,79,112,101,110,105,110,103,51,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,79,112,101,110,105,110,103,51,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,118,97,108,118,101,79,112,101,110,105,110,103,51,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,118,97,108,118,101,79,112,101,110,105,110,103,51,46,104,101,105,103,104,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,79,112,101,110,105,110,103,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,111,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,118,97,108,118,101,67,104,97,114,97,99,116,101,114,105,115,116,105,99,40,118,97,108,118,101,51,46,111,112,101,110,105,110,103,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,34,32,108,105,110,101,69,110,100,61,34,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,111,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,48,44,32,105,102,32,110,111,69,118,101,110,116,40,118,97,108,118,101,51,46,111,112,101,110,105,110,103,32,38,108,116,59,32,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,41,32,116,104,101,110,32,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,32,101,108,115,101,32,118,97,108,118,101,51,46,111,112,101,110,105,110,103,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,53,34,32,108,105,110,101,69,110,100,61,34,53,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5437448);
/* memory initializer */ allocate([10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,104,101,97,116,56,91,49,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,104,101,97,116,56,91,49,93,46,97,108,112,104,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,48,48,48,46,48,32,42,32,40,49,46,48,32,43,32,104,101,97,116,56,91,49,93,46,97,108,112,104,97,32,42,32,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,32,45,32,104,101,97,116,56,91,49,93,46,84,95,114,101,102,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,104,101,97,116,56,91,50,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,104,101,97,116,56,91,50,93,46,97,108,112,104,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,48,48,48,46,48,32,42,32,40,49,46,48,32,43,32,104,101,97,116,56,91,50,93,46,97,108,112,104,97,32,42,32,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,32,45,32,104,101,97,116,56,91,50,93,46,84,95,114,101,102,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5447688);
/* memory initializer */ allocate([50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,48,46,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,111,109,111,116,111,112,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,53,46,99,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5457928);
/* memory initializer */ allocate([111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,48,46,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,111,109,111,116,111,112,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,48,46,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,48,46,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,111,109,111,116,111,112,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,32,45,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,54,34,32,108,105,110,101,69,110,100,61,34,51,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,123,49,46,48,125,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,123,49,46,48,125,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,65,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,97,120,40,118,97,108,118,101,50,46,100,112,95,115,109,97,108,108,44,32,54,50,56,51,49,56,53,46,51,48,55,49,55,57,53,56,54,32,42,32,68,73,86,73,83,73,79,78,40,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,40,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,41,41,32,43,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,40,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,41,41,41,32,94,32,50,46,48,44,32,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,41,32,43,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,41,41,32,42,32,118,97,108,118,101,50,46,65,118,32,42,32,109,97,120,40,118,97,108,118,101,50,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,44,32,48,46,48,48,49,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,34,32,108,105,110,101,69,110,100,61,34,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,65,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,111,109,111,116,111,112,121,40,118,97,108,118,101,50,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,32,42,32,118,97,108,118,101,50,46,65,118,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,82,111,111,116,50,40,118,97,108,118,101,50,46,100,112,44,32,118,97,108,118,101,50,46,100,112,95,116,117,114,98,117,108,101,110,116,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,41,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,41,44,32,102,97,108,115,101,44,32,49,46,48,41,44,32,118,97,108,118,101,50,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,32,42,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,42,32,68,73,86,73,83,73,79,78,40,118,97,108,118,101,50,46,100,112,44,32,118,97,108,118,101,50,46,100,112,95,110,111,109,105,110,97,108,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5468168);
/* memory initializer */ allocate([114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,34,32,108,105,110,101,69,110,100,61,34,55,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,48,46,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,48,46,53,32,42,32,40,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,45,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,45,48,46,53,32,42,32,40,40,45,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,41,32,45,32,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,48,46,53,32,42,32,40,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,45,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,45,48,46,53,32,42,32,40,40,45,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,41,32,45,32,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,48,46,53,32,42,32,40,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,45,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,45,48,46,53,32,42,32,40,40,45,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,41,32,45,32,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,45,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,41,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,49,48,48,48,48,48,46,48,32,43,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,54,34,32,108,105,110,101,69,110,100,61,34,51,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,123,49,46,48,125,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,65,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,97,120,40,118,97,108,118,101,51,46,100,112,95,115,109,97,108,108,44,32,54,50,56,51,49,56,53,46,51,48,55,49,55,57,53,56,54,32,42,32,68,73,86,73,83,73,79,78,40,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,40,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,41,41,32,43,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,40,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,44,32,49,48,48,48,48,48,46,48,41,41,41,32,94,32,50,46,48,44,32,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,41,32,43,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,41,41,32,42,32,118,97,108,118,101,51,46,65,118,32,42,32,109,97,120,40,118,97,108,118,101,51,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,44,32,48,46,48,48,49,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,34,32,108,105,110,101,69,110,100,61,34,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,65,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,111,109,111,116,111,112,121,40,118,97,108,118,101,51,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,32,42,32,118,97,108,118,101,51,46,65,118,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,82,111,111,116,50,40,118,97,108,118,101,51,46,100,112,44,32,118,97,108,118,101,51,46,100,112,95,116,117,114,98,117,108,101,110,116,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,41,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,41,44,32,102,97,108,115,101,44,32,49,46,48,41,44,32,118,97,108,118,101,51,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,32,42,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,42,32,68,73,86,73,83,73,79,78,40,118,97,108,118,101,51,46,100,112,44,32,118,97,108,118,101,51,46,100,112,95,110,111,109,105,110,97,108,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5478408);
/* memory initializer */ allocate([95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,32,43,32,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,41,32,45,32,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,34,32,108,105,110,101,69,110,100,61,34,55,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,48,46,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,48,46,53,32,42,32,40,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,45,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,45,48,46,53,32,42,32,40,40,45,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,41,32,45,32,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,45,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,41,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,123,49,46,48,125,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,45,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,41,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,40,45,53,48,48,48,48,48,46,48,32,43,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,41,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,32,45,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,41,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,32,45,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,54,34,32,108,105,110,101,69,110,100,61,34,51,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,123,49,46,48,125,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5488648);
/* memory initializer */ allocate([32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,65,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,97,120,40,118,97,108,118,101,49,46,100,112,95,115,109,97,108,108,44,32,54,50,56,51,49,56,53,46,51,48,55,49,55,57,53,56,54,32,42,32,68,73,86,73,83,73,79,78,40,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,40,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,41,41,32,43,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,40,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,41,41,41,32,94,32,50,46,48,44,32,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,41,32,43,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,41,41,32,42,32,118,97,108,118,101,49,46,65,118,32,42,32,109,97,120,40,118,97,108,118,101,49,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,44,32,48,46,48,48,49,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,34,32,108,105,110,101,69,110,100,61,34,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,65,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,111,109,111,116,111,112,121,40,118,97,108,118,101,49,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,32,42,32,118,97,108,118,101,49,46,65,118,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,82,111,111,116,50,40,118,97,108,118,101,49,46,100,112,44,32,118,97,108,118,101,49,46,100,112,95,116,117,114,98,117,108,101,110,116,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,41,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,41,44,32,102,97,108,115,101,44,32,49,46,48,41,44,32,118,97,108,118,101,49,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,32,42,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,42,32,68,73,86,73,83,73,79,78,40,118,97,108,118,101,49,46,100,112,44,32,118,97,108,118,101,49,46,100,112,95,110,111,109,105,110,97,108,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,34,32,108,105,110,101,69,110,100,61,34,55,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,49,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,45,32,104,111,109,111,116,111,112,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,32,45,32,104,111,109,111,116,111,112,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,32,45,32,104,111,109,111,116,111,112,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,32,45,32,104,111,109,111,116,111,112,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,53,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,32,45,32,104,111,109,111,116,111,112,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,32,43,32,45,48,46,53,32,42,32,40,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,45,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,41,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,55,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,34,32,108,105,110,101,69,110,100,61,34,55,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,45,32,104,111,109,111,116,111,112,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5498888);
/* memory initializer */ allocate([110,97,108,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,45,32,104,111,109,111,116,111,112,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,48,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,45,32,104,111,109,111,116,111,112,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,103,44,32,48,46,53,32,42,32,40,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,49,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,32,43,32,45,48,46,53,32,42,32,40,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,32,42,32,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,45,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,41,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,50,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,50,51,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,50,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,50,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,50,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,50,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,50,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,50,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,50,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,50,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,50,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,51,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,51,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,51,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,51,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,51,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,51,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,51,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,51,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,51,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,51,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,52,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,52,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,52,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,52,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,52,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,52,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,52,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,52,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,52,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,52,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,53,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,53,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,53,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,53,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,53,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,53,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,53,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,53,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,53,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,53,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,54,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,55,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,55,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,54,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,54,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,54,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,54,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,54,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,54,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,54,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,54,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,54,49,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5509128);
/* memory initializer */ allocate([116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,112,111,114,116,95,98,95,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,44,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5519368);
/* memory initializer */ allocate([101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,86,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,41,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,41,44,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,112,111,114,116,95,97,95,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,44,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,34,32,108,105,110,101,69,110,100,61,34,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5529608);
/* memory initializer */ allocate([112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,112,111,114,116,95,98,95,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,49,48,48,48,48,48,46,48,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,44,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,86,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,41,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,41,44,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,112,111,114,116,95,97,95,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,44,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,34,32,108,105,110,101,69,110,100,61,34,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5539848);
/* memory initializer */ allocate([100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5550088);
/* memory initializer */ allocate([34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,109,97,120,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,45,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,45,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5560328);
/* memory initializer */ allocate([46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5570568);
/* memory initializer */ allocate([101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,45,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,45,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,95,102,108,111,119,115,91,51,93,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5580808);
/* memory initializer */ allocate([32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,86,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,41,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,45,50,55,51,46,49,53,32,43,32,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,41,44,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,112,111,114,116,95,97,95,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,44,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,34,32,108,105,110,101,69,110,100,61,34,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5591048);
/* memory initializer */ allocate([53,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,112,111,114,116,95,98,95,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,44,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,52,34,32,108,105,110,101,69,110,100,61,34,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,57,34,32,108,105,110,101,69,110,100,61,34,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5601288);
/* memory initializer */ allocate([110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,68,73,86,73,83,73,79,78,40,109,97,120,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,109,97,120,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,109,97,120,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,95,102,108,111,119,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,32,45,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,101,109,105,76,105,110,101,97,114,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,56,34,32,108,105,110,101,69,110,100,61,34,53,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,72,95,102,108,111,119,115,91,49,93,32,45,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,57,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,109,115,91,50,93,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5611528);
/* memory initializer */ allocate([49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,118,115,91,50,93,32,42,32,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,49,49,46,87,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,49,49,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,49,49,46,109,115,91,50,93,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,49,49,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,57,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,50,52,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,49,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,49,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,49,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,49,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,49,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,49,56,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,109,115,91,49,93,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,118,115,91,49,93,32,42,32,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,49,49,46,110,80,97,114,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5621768);
/* memory initializer */ allocate([108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,49,49,46,87,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,49,49,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,49,49,46,109,115,91,49,93,41,32,42,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,49,49,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,53,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,50,53,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,50,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,51,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,51,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,51,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,51,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,51,52,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,109,115,91,50,93,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,118,115,91,50,93,32,42,32,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,87,98,95,102,108,111,119,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5632008);
/* memory initializer */ allocate([91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,53,46,87,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,48,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,53,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,53,46,109,115,91,50,93,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,53,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,49,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,50,54,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,52,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,52,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,52,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,52,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,52,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,53,48,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,109,115,91,49,93,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,118,115,91,49,93,32,42,32,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,53,46,87,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,48,34,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5642248);
/* memory initializer */ allocate([60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,53,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,53,46,109,115,91,49,93,41,32,42,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,53,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,55,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,50,55,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,54,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,54,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,54,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,54,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,54,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,54,54,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,109,115,91,50,93,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,118,115,91,50,93,32,42,32,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,49,48,46,87,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5652488);
/* memory initializer */ allocate([47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,49,48,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,49,48,46,109,115,91,50,93,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,49,48,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,51,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,50,56,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,55,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,55,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,55,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,56,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,56,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,56,50,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,109,115,91,49,93,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,118,115,91,49,93,32,42,32,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,49,48,46,87,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,100,101,114,40], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5662728);
/* memory initializer */ allocate([112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,49,48,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,49,48,46,109,115,91,49,93,41,32,42,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,49,48,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,57,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,50,57,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,57,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,57,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,57,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,57,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,57,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,52,57,56,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,109,115,91,50,93,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,118,115,91,50,93,32,42,32,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,57,46,87,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5672968);
/* memory initializer */ allocate([67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,57,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,57,46,109,115,91,50,93,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,57,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,53,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,51,48,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,48,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,49,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,49,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,49,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,49,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,49,52,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,109,115,91,49,93,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,118,115,91,49,93,32,42,32,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,57,46,87,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5683208);
/* memory initializer */ allocate([32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,48,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,57,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,57,46,109,115,91,49,93,41,32,42,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,57,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,49,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,51,49,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,50,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,50,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,50,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,50,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,50,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,51,48,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,109,115,91,50,93,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,118,115,91,50,93,32,42,32,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,56,46,87,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5693448);
/* memory initializer */ allocate([80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,56,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,56,46,109,115,91,50,93,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,56,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,55,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,51,50,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,52,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,52,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,52,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,52,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,52,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,52,54,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,109,115,91,49,93,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,118,115,91,49,93,32,42,32,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,56,46,87,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5703688);
/* memory initializer */ allocate([101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,56,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,56,46,109,115,91,49,93,41,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,56,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,51,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,51,51,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,53,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,53,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,53,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,54,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,54,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,54,50,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,109,115,91,50,93,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,118,115,91,50,93,32,42,32,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,55,46,87,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5713928);
/* memory initializer */ allocate([116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,55,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,55,46,109,115,91,50,93,41,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,55,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,57,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,51,52,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,55,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,55,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,55,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,55,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,55,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,55,56,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,109,115,91,49,93,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,118,115,91,49,93,32,42,32,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,55,46,87,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5724168);
/* memory initializer */ allocate([55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,55,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,55,46,109,115,91,49,93,41,32,42,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,55,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,53,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,51,53,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,56,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,57,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,57,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,57,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,57,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,53,57,52,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,109,115,91,50,93,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,118,115,91,50,93,32,42,32,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,54,46,87,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,48,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,54,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,54,46,109,115,91,50,93,41,32,42,32,112,105,112,101,54], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5734408);
/* memory initializer */ allocate([46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,54,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,49,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,51,54,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,48,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,48,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,48,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,48,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,48,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,49,48,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,109,115,91,49,93,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,118,115,91,49,93,32,42,32,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,54,46,87,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,54,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,54,46,109,115,91,49,93,41,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,54,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,55,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,51,55,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5744648);
/* memory initializer */ allocate([34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,50,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,50,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,50,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,50,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,50,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,50,54,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,109,115,91,50,93,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,118,115,91,50,93,32,42,32,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,52,46,87,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,52,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,52,46,109,115,91,50,93,41,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,52,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,51,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,51,56,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,51,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,51,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,51,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,52,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,52,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,52,50,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5754888);
/* memory initializer */ allocate([114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,109,115,91,49,93,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,118,115,91,49,93,32,42,32,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,52,46,87,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,52,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,52,46,109,115,91,49,93,41,32,42,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,52,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,57,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,51,57,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,53,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,53,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,53,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,53,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,53,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,53,56,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5765128);
/* memory initializer */ allocate([105,110,100,101,120,61,34,49,54,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,109,115,91,50,93,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,118,115,91,50,93,32,42,32,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,51,46,87,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,51,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,51,46,109,115,91,50,93,41,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,51,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,53,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,52,48,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,54,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,55,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,55,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,55,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,55,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,55,52,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5775368);
/* memory initializer */ allocate([100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,109,115,91,49,93,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,118,115,91,49,93,32,42,32,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,51,46,87,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,48,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,51,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,51,46,109,115,91,49,93,41,32,42,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,51,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,49,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,52,49,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,56,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,56,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,56,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,56,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,56,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,54,57,48,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5785608);
/* memory initializer */ allocate([105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,109,115,91,50,93,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,118,115,91,50,93,32,42,32,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,50,46,87,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,50,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,50,46,109,115,91,50,93,41,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,50,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,55,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,52,50,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,48,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,48,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,48,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,48,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,48,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,48,54,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5795848);
/* memory initializer */ allocate([117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,109,115,91,49,93,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,118,115,91,49,93,32,42,32,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,48,46,53,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,32,43,32,45,48,46,53,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,48,46,53,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,50,46,87,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,50,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,50,46,109,115,91,49,93,41,32,42,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,50,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,51,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,52,51,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,49,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,49,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,49,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,50,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,50,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,50,50,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,85,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5806088);
/* memory initializer */ allocate([49,46,109,115,91,50,93,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,118,115,91,50,93,32,42,32,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,40,45,50,53,48,48,48,48,46,48,32,43,32,48,46,53,32,42,32,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,41,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,85,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,87,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,72,98,95,102,108,111,119,115,91,50,93,32,43,32,112,105,112,101,49,46,87,98,95,102,108,111,119,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,32,42,32,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,49,46,85,115,91,50,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,49,46,109,115,91,50,93,41,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,32,43,32,40,45,112,105,112,101,49,46,109,115,91,50,93,41,32,42,32,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,57,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,52,52,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,51,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,51,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,51,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,51,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,51,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,51,56,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,85,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,109,115,91,49,93,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5816328);
/* memory initializer */ allocate([32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,49,34,32,108,105,110,101,69,110,100,61,34,52,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,118,115,91,49,93,32,42,32,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,40,45,50,53,48,48,48,48,46,48,32,43,32,48,46,53,32,42,32,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,43,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,41,41,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,85,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,87,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,72,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,72,98,95,102,108,111,119,115,91,49,93,32,43,32,112,105,112,101,49,46,87,98,95,102,108,111,119,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,56,34,32,108,105,110,101,69,110,100,61,34,57,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,34,32,108,105,110,101,69,110,100,61,34,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,40,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,44,32,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,32,42,32,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,53,34,32,108,105,110,101,69,110,100,61,34,57,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,43,32,49,48,49,51,48,48,46,48,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,112,105,112,101,49,46,85,115,91,49,93,32,43,32,40,45,36,68,69,82,46,112,105,112,101,49,46,109,115,91,49,93,41,32,42,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,32,43,32,40,45,112,105,112,101,49,46,109,115,91,49,93,41,32,42,32,36,68,69,82,46,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,48,56,34,32,108,105,110,101,69,110,100,61,34,57,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,53,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,52,53,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,52,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,53,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,53,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,53,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,53,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,55,53,52,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,108,101,110,103,116,104,32,38,103,116,59,61,32,112,105,112,101,49,49,46,104,101,105,103,104,116,95,97,98,44,32,38,113,117,111,116,59,80,97,114,97,109,101,116,101,114,32,108,101,110,103,116,104,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,111,114,32,101,113,117,97,108,32,104,101,105,103,104,116,95,97,98,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,108,101,110,103,116,104,32,38,103,116,59,61,32,112,105,112,101,53,46,104,101,105,103,104,116,95,97,98,44,32,38,113,117,111,116,59,80,97,114,97,109,101,116,101,114,32,108,101,110,103,116,104,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,111,114,32,101,113,117,97,108,32,104,101,105,103,104,116,95,97,98,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5826568);
/* memory initializer */ allocate([60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,108,101,110,103,116,104,32,38,103,116,59,61,32,112,105,112,101,49,48,46,104,101,105,103,104,116,95,97,98,44,32,38,113,117,111,116,59,80,97,114,97,109,101,116,101,114,32,108,101,110,103,116,104,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,111,114,32,101,113,117,97,108,32,104,101,105,103,104,116,95,97,98,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,108,101,110,103,116,104,32,38,103,116,59,61,32,112,105,112,101,57,46,104,101,105,103,104,116,95,97,98,44,32,38,113,117,111,116,59,80,97,114,97,109,101,116,101,114,32,108,101,110,103,116,104,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,111,114,32,101,113,117,97,108,32,104,101,105,103,104,116,95,97,98,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,108,101,110,103,116,104,32,38,103,116,59,61,32,112,105,112,101,56,46,104,101,105,103,104,116,95,97,98,44,32,38,113,117,111,116,59,80,97,114,97,109,101,116,101,114,32,108,101,110,103,116,104,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,111,114,32,101,113,117,97,108,32,104,101,105,103,104,116,95,97,98,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5836808);
/* memory initializer */ allocate([60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,108,101,110,103,116,104,32,38,103,116,59,61,32,112,105,112,101,55,46,104,101,105,103,104,116,95,97,98,44,32,38,113,117,111,116,59,80,97,114,97,109,101,116,101,114,32,108,101,110,103,116,104,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,111,114,32,101,113,117,97,108,32,104,101,105,103,104,116,95,97,98,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,108,101,110,103,116,104,32,38,103,116,59,61,32,112,105,112,101,54,46,104,101,105,103,104,116,95,97,98,44,32,38,113,117,111,116,59,80,97,114,97,109,101,116,101,114,32,108,101,110,103,116,104,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,111,114,32,101,113,117,97,108,32,104,101,105,103,104,116,95,97,98,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,108,101,110,103,116,104,32,38,103,116,59,61,32,112,105,112,101,52,46,104,101,105,103,104,116,95,97,98,44,32,38,113,117,111,116,59,80,97,114,97,109,101,116,101,114,32,108,101,110,103,116,104,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,111,114,32,101,113,117,97,108,32,104,101,105,103,104,116,95,97,98,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5847048);
/* memory initializer */ allocate([117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,108,101,110,103,116,104,32,38,103,116,59,61,32,112,105,112,101,51,46,104,101,105,103,104,116,95,97,98,44,32,38,113,117,111,116,59,80,97,114,97,109,101,116,101,114,32,108,101,110,103,116,104,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,111,114,32,101,113,117,97,108,32,104,101,105,103,104,116,95,97,98,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,48,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,48,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,108,101,110,103,116,104,32,38,103,116,59,61,32,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,44,32,38,113,117,111,116,59,80,97,114,97,109,101,116,101,114,32,108,101,110,103,116,104,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,111,114,32,101,113,117,97,108,32,104,101,105,103,104,116,95,97,98,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,48,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,48,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,48,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,48,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,48,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,108,101,110,103,116,104,32,38,103,116,59,61,32,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,44,32,38,113,117,111,116,59,80,97,114,97,109,101,116,101,114,32,108,101,110,103,116,104,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,111,114,32,101,113,117,97,108,32,104,101,105,103,104,116,95,97,98,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,48,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5857288);
/* memory initializer */ allocate([40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,48,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,48,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,50,52,51,46,49,53,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,51,55,51,46,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,32,40,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,50,52,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,51,55,51,46,49,53,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,57,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,49,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,99,104,101,99,107,66,111,117,110,100,97,114,121,40,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,44,32,123,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,125,44,32,116,114,117,101,44,32,116,114,117,101,44,32,123,49,46,48,125,44,32,38,113,117,111,116,59,66,111,117,110,100,97,114,121,95,112,84,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,53,34,32,108,105,110,101,69,110,100,61,34,49,56,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,49,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,99,104,101,99,107,66,111,117,110,100,97,114,121,40,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,44,32,123,38,113,117,111,116,59,71,108,121,99,111,108,45,87,97,116,101,114,32,52,55,37,38,113,117,111,116,59,125,44,32,116,114,117,101,44,32,116,114,117,101,44,32,123,49,46,48,125,44,32,38,113,117,111,116,59,66,111,117,110,100,97,114,121,95,112,84,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,53,34,32,108,105,110,101,69,110,100,61,34,49,56,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,101,113,117,97,116,105,111,110,115,62,10,60,115,116,97,114,116,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,54,49,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,45,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5867528);
/* memory initializer */ allocate([112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,45,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,45,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,45,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5877768);
/* memory initializer */ allocate([45,50,55,51,46,49,53,32,43,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,45,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,51,46,100,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,45,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,50,46,100,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,49,46,100,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5888008);
/* memory initializer */ allocate([32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,45,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,45,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,45,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5898248);
/* memory initializer */ allocate([97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,45,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,45,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,115,116,97,114,116,45,101,113,117,97,116,105,111,110,115,62,10,60,110,111,109,105,110,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,110,111,109,105,110,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,109,105,110,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,109,105,110,45,101,113,117,97,116,105,111,110,115,62,10,60,109,97,120,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,109,97,120,45,101,113,117,97,116,105,111,110,115,62,10,60,112,97,114,97,109,101,116,101,114,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,57,57,55,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5908488);
/* memory initializer */ allocate([116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5918728);
/* memory initializer */ allocate([116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5928968);
/* memory initializer */ allocate([101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5939208);
/* memory initializer */ allocate([46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5949448);
/* memory initializer */ allocate([70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,51,49,52,52,55,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,50,54,46,56,53,48,48,48,48,48,48,48,48,48,48,48,50,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,50,54,46,56,53,48,48,48,48,48,48,48,48,48,48,48,50,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,99,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,52,40,82,101,97,108,91,51,93,41,35,44,32,50,54,46,56,53,48,48,48,48,48,48,48,48,48,48,48,50,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,53,57,40,82,101,97,108,91,51,93,41,35,44,32,50,54,46,56,53,48,48,48,48,48,48,48,48,48,48,48,50,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5959688);
/* memory initializer */ allocate([115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,104,95,84,40,51,48,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,49,48,48,48,48,48,46,48,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,107,46,109,101,100,105,117,109,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,115,105,110,107,46,109,101,100,105,117,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,104,95,84,40,51,48,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,50,52,51,46,49,53,44,32,51,55,51,46,49,53,44,32,53,48,48,48,48,48,46,48,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,53,40,82,101,97,108,91,49,93,41,35,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,40,41,44,32,49,101,45,49,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,49,51,48,48,46,48,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,54,46,56,53,48,48,48,48,48,48,48,48,48,48,48,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5969928);
/* memory initializer */ allocate([32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,53,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,53,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,54,46,56,53,48,48,48,48,48,48,48,48,48,48,48,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,48,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,48,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5980168);
/* memory initializer */ allocate([73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5990408);
/* memory initializer */ allocate([117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6000648);
/* memory initializer */ allocate([10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6010888);
/* memory initializer */ allocate([114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,53,48,48,48,48,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,48,48,48,48,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,49,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,49,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,49,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,49,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,49,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6021128);
/* memory initializer */ allocate([101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,49,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,50,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,50,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6031368);
/* memory initializer */ allocate([97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,50,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,50,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,50,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,50,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6041608);
/* memory initializer */ allocate([101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,51,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,51,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,51,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,51,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,51,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6051848);
/* memory initializer */ allocate([97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,51,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6062088);
/* memory initializer */ allocate([46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,52,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,52,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,52,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,52,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,52,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,52,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6072328);
/* memory initializer */ allocate([108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,54,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,54,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,54,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6082568);
/* memory initializer */ allocate([78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,54,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,54,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,54,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6092808);
/* memory initializer */ allocate([117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,32,42,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,49,46,100,112,95,110,111,109,105,110,97,108,32,42,32,68,73,86,73,83,73,79,78,40,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,57,34,32,108,105,110,101,69,110,100,61,34,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,49,46,100,112,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,50,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,49,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,49,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,49,34,32,108,105,110,101,69,110,100,61,34,53,49,49,34,32,99,111,108,83,116,97,114,116,61,34,54,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,32,42,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,50,46,100,112,95,110,111,109,105,110,97,108,32,42,32,68,73,86,73,83,73,79,78,40,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,57,34,32,108,105,110,101,69,110,100,61,34,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,50,46,100,112,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,50,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,50,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,50,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,49,34,32,108,105,110,101,69,110,100,61,34,53,49,49,34,32,99,111,108,83,116,97,114,116,61,34,54,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,55,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,55,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6103048);
/* memory initializer */ allocate([101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,55,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,55,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,55,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,55,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6113288);
/* memory initializer */ allocate([32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,32,42,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,51,46,100,112,95,110,111,109,105,110,97,108,32,42,32,68,73,86,73,83,73,79,78,40,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,57,34,32,108,105,110,101,69,110,100,61,34,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,51,46,100,112,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,50,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,97,108,118,101,51,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,97,108,118,101,51,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,49,34,32,108,105,110,101,69,110,100,61,34,53,49,49,34,32,99,111,108,83,116,97,114,116,61,34,54,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,105,110,76,105,109,105,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,34,32,108,105,110,101,69,110,100,61,34,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6123528);
/* memory initializer */ allocate([105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,55,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,55,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,54,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,54,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,52,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,52,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6133768);
/* memory initializer */ allocate([121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,51,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,51,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,50,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,49,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,52,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,56,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6144008);
/* memory initializer */ allocate([102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,56,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,56,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,56,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,56,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,56,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6154248);
/* memory initializer */ allocate([101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,56,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,57,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,57,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,95,98,95,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6164488);
/* memory initializer */ allocate([116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,57,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,57,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,57,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,57,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,50,93], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6174728);
/* memory initializer */ allocate([34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,57,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,49,48,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,49,48,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6184968);
/* memory initializer */ allocate([101,49,48,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,49,48,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,49,48,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6195208);
/* memory initializer */ allocate([32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,53,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,53,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,53,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6205448);
/* memory initializer */ allocate([83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,53,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,53,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,53,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,53,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6215688);
/* memory initializer */ allocate([47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,49,49,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,49,49,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,48,46,53,32,42,32,40,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,32,43,32,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,41,44,32,50,57,51,46,49,53,44,32,123,112,105,112,101,49,49,46,88,95,115,116,97,114,116,91,49,93,125,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6225928);
/* memory initializer */ allocate([111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,49,49,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,112,105,112,101,49,49,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,32,43,32,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,54,34,32,108,105,110,101,69,110,100,61,34,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,32,42,32,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,50,93,32,42,32,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,55,34,32,108,105,110,101,69,110,100,61,34,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6236168);
/* memory initializer */ allocate([119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,49,46,48,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,43,32,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,51,51,34,32,108,105,110,101,69,110,100,61,34,49,54,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,54,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,54,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,54,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,54,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,55,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,55,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,55,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6246408);
/* memory initializer */ allocate([111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,55,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,55,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,55,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,55,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,55,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,55,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,55,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,56,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,56,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,56,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,56,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,56,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6256648);
/* memory initializer */ allocate([32,97,110,100,32,112,105,112,101,49,49,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,88,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,56,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,56,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,56,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,56,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,49,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,49,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,97,115,115,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,56,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,57,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,49,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,49,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,57,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,110,78,111,100,101,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,57,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,104,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,57,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,49,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,49,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,57,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,57,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,100,105,97,109,101,116,101,114,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,57,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6266888);
/* memory initializer */ allocate([60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,57,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,104,101,97,116,56,91,50,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,104,101,97,116,56,91,50,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,104,101,97,116,56,91,50,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,104,101,97,116,56,91,50,93,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,48,34,32,108,105,110,101,69,110,100,61,34,49,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,57,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,104,101,97,116,56,91,49,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,104,101,97,116,56,91,49,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,104,101,97,116,56,91,49,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,104,101,97,116,56,91,49,93,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,48,34,32,108,105,110,101,69,110,100,61,34,49,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,104,101,97,116,56,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,72,101,97,116,70,108,111,119,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,57,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,48,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,48,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,48,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,48,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,48,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,48,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,48,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,48,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,48,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,48,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6277128);
/* memory initializer */ allocate([101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,49,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,49,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,49,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,49,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,49,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,49,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,53,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,53,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,116,114,97,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,49,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,53,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,53,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,49,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,88,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,49,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,49,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,53,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,53,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,50,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,50,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,53,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,53,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,97,115,115,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6287368);
/* memory initializer */ allocate([116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,50,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,53,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,53,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,50,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,53,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,53,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,50,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,110,78,111,100,101,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,50,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,104,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,50,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,53,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,53,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,50,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,50,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,100,105,97,109,101,116,101,114,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,50,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,51,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,51,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,51,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,51,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,51,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6297608);
/* memory initializer */ allocate([117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,51,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,51,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,51,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,51,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,51,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,52,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,52,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,52,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,52,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,52,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,52,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,52,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,48,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,48,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,116,114,97,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6307848);
/* memory initializer */ allocate([32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,52,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,48,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,48,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,52,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,88,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,52,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,53,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,48,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,48,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,53,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,53,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,48,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,48,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,97,115,115,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,53,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,48,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,48,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,53,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,49,48,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,49,48,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,53,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,110,78,111,100,101,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,53,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,104,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,53,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,48,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,48,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,53,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6318088);
/* memory initializer */ allocate([78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,53,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,100,105,97,109,101,116,101,114,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,54,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,54,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,54,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,54,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,54,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,54,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,54,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,54,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,54,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,54,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,55,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,55,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6328328);
/* memory initializer */ allocate([97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,55,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,55,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,55,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,55,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,55,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,55,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,57,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,57,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,116,114,97,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,55,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,57,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,57,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,55,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,88,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,56,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,56,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,57,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,57,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,56,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,56,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,57,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,57,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,97,115,115,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6338568);
/* memory initializer */ allocate([104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,56,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,57,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,57,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,56,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,57,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,57,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,56,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,110,78,111,100,101,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,56,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,104,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,56,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,57,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,57,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,56,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,57,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,100,105,97,109,101,116,101,114,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,57,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,57,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,57,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,57,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,57,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,57,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6348808);
/* memory initializer */ allocate([32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,57,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,57,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,57,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,48,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,48,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,48,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,48,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,48,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,48,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,48,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,48,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,48,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,56,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,56,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,116,114,97,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6359048);
/* memory initializer */ allocate([102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,48,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,56,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,56,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,49,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,88,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,49,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,49,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,56,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,56,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,49,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,49,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,56,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,56,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,97,115,115,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,49,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,56,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,56,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,49,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,56,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,56,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,49,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,110,78,111,100,101,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,49,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,104,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,49,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,56,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,56,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,50,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6369288);
/* memory initializer */ allocate([99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,50,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,100,105,97,109,101,116,101,114,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,50,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,50,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,34,32,108,105,110,101,69,110,100,61,34,51,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,50,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,34,32,108,105,110,101,69,110,100,61,34,51,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,50,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,34,32,108,105,110,101,69,110,100,61,34,50,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,50,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,52,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,50,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,112,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,34,32,108,105,110,101,69,110,100,61,34,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,50,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,34,32,108,105,110,101,69,110,100,61,34,54,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,50,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,48,34,32,108,105,110,101,69,110,100,61,34,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,51,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,34,32,108,105,110,101,69,110,100,61,34,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,51,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,34,32,108,105,110,101,69,110,100,61,34,51,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,51,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,34,32,108,105,110,101,69,110,100,61,34,50,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,51,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,34,32,108,105,110,101,69,110,100,61,34,49,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,51,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6379528);
/* memory initializer */ allocate([95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,34,32,108,105,110,101,69,110,100,61,34,49,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,51,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,51,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,105,110,107,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,105,110,107,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,51,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,112,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,51,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,69,110,116,101,114,105,110,103,32,97,110,100,32,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,69,110,116,101,114,105,110,103,32,97,110,100,32,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,56,34,32,108,105,110,101,69,110,100,61,34,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,51,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,109,101,100,105,117,109,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,109,101,100,105,117,109,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,52,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,52,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,51,46,100,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,100,112,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,100,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,100,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,100,112,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,51,46,100,112,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,50,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,52,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,51,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,114,104,111,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,114,104,111,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,51,46,114,104,111,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,34,32,108,105,110,101,69,110,100,61,34,52,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,52,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,51,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,51,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,54,34,32,108,105,110,101,69,110,100,61,34,52,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,52,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,51,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,51,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,54,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,52,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,48,34,32,108,105,110,101,69,110,100,61,34,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,52,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,51,46,67,118,68,97,116,97,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,65,118,32,97,110,100,32,118,97,108,118,101,51,46,67,118,68,97,116,97,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,79,112,80,111,105,110,116,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,67,118,68,97,116,97,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,67,118,68,97,116,97,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,65,118,32,97,110,100,32,118,97,108,118,101,51,46,67,118,68,97,116,97,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,79,112,80,111,105,110,116,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,51,46,67,118,68,97,116,97,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,51,34,32,108,105,110,101,69,110,100,61,34,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,52,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6389768);
/* memory initializer */ allocate([32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,52,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,52,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,53,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,53,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,53,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,53,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,53,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,53,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,53,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,53,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,53,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,53,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6400008);
/* memory initializer */ allocate([100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,54,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,54,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,54,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,54,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,54,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,55,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,55,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,116,114,97,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,54,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,55,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,55,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,54,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,88,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,54,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,54,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,55,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,55,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,54,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,55,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,55,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,55,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,97,115,115,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,55,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,55,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6410248);
/* memory initializer */ allocate([46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,55,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,55,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,55,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,55,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,55,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,110,78,111,100,101,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,55,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,104,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,55,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,55,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,55,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,55,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,55,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,100,105,97,109,101,116,101,114,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,55,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,55,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,56,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,50,46,100,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,100,112,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,100,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,100,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,100,112,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,50,46,100,112,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,50,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,56,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,50,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,114,104,111,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,114,104,111,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,50,46,114,104,111,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,34,32,108,105,110,101,69,110,100,61,34,52,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,56,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,50,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,50,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,54,34,32,108,105,110,101,69,110,100,61,34,52,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,56,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,50,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,50,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,54,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,56,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,48,34,32,108,105,110,101,69,110,100,61,34,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6420488);
/* memory initializer */ allocate([62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,56,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,50,46,67,118,68,97,116,97,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,65,118,32,97,110,100,32,118,97,108,118,101,50,46,67,118,68,97,116,97,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,79,112,80,111,105,110,116,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,67,118,68,97,116,97,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,67,118,68,97,116,97,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,65,118,32,97,110,100,32,118,97,108,118,101,50,46,67,118,68,97,116,97,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,79,112,80,111,105,110,116,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,50,46,67,118,68,97,116,97,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,51,34,32,108,105,110,101,69,110,100,61,34,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,56,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,56,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,56,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,49,46,100,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,100,112,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,100,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,100,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,100,112,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,49,46,100,112,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,50,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,56,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,49,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,114,104,111,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,114,104,111,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,49,46,114,104,111,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,34,32,108,105,110,101,69,110,100,61,34,52,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,57,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,49,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,49,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,54,34,32,108,105,110,101,69,110,100,61,34,52,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,57,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,49,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,49,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,54,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,57,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,48,34,32,108,105,110,101,69,110,100,61,34,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,57,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,49,46,67,118,68,97,116,97,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,65,118,32,97,110,100,32,118,97,108,118,101,49,46,67,118,68,97,116,97,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,79,112,80,111,105,110,116,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,67,118,68,97,116,97,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,67,118,68,97,116,97,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,65,118,32,97,110,100,32,118,97,108,118,101,49,46,67,118,68,97,116,97,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,79,112,80,111,105,110,116,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,49,46,67,118,68,97,116,97,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,51,34,32,108,105,110,101,69,110,100,61,34,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,57,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,57,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,57,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,57,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6430728);
/* memory initializer */ allocate([115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,57,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,57,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,48,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,48,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,48,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,48,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,48,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,48,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,48,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,48,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,48,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,48,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,49,93,44,32,38,113], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6440968);
/* memory initializer */ allocate([117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,49,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,49,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,54,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,54,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,116,114,97,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,49,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,54,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,54,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,49,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,88,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,49,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,49,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,54,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,54,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,49,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,49,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,54,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,54,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,97,115,115,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,49,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,54,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,54,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,49,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,54,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,54,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,50,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,110,78,111,100,101,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,50,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6451208);
/* memory initializer */ allocate([48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,104,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,50,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,54,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,54,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,50,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,50,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,100,105,97,109,101,116,101,114,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,50,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,50,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,50,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,50,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,50,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,51,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,51,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,51,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,51,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,51,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6461448);
/* memory initializer */ allocate([116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,51,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,51,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,51,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,51,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,51,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,52,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,52,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,52,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,52,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,52,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,116,114,97,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,52,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,52,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,52,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,52,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,88,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,52,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,52,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,52,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,52,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6471688);
/* memory initializer */ allocate([68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,52,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,52,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,52,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,52,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,97,115,115,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,52,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,52,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,52,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,53,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,52,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,52,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,53,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,110,78,111,100,101,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,53,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,104,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,53,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,52,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,52,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,53,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,53,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,100,105,97,109,101,116,101,114,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,53,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,53,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,53,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,53,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6481928);
/* memory initializer */ allocate([47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,54,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,54,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,54,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,54,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,54,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,54,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,54,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,54,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,54,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,54,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,55,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,55,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6492168);
/* memory initializer */ allocate([99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,55,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,55,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,51,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,51,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,116,114,97,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,55,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,51,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,51,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,55,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,88,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,55,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,55,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,51,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,51,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,55,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,55,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,51,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,51,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,97,115,115,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,56,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,51,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,51,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,56,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,51,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,51,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,56,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,110,78,111,100,101,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,56,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,104,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6502408);
/* memory initializer */ allocate([60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,56,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,51,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,51,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,56,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,56,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,100,105,97,109,101,116,101,114,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,56,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,56,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,56,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,57,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,57,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,57,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,57,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,57,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,57,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,57,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6512648);
/* memory initializer */ allocate([117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,57,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,57,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,57,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,48,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,48,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,48,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,48,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,48,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,116,114,97,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,48,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,48,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,88,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,48,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,48,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6522888);
/* memory initializer */ allocate([32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,48,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,49,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,97,115,115,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,49,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,49,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,50,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,50,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,49,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,110,78,111,100,101,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,49,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,104,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,49,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,50,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,50,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,49,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,49,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,100,105,97,109,101,116,101,114,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,49,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,49,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,50,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,50,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6533128);
/* memory initializer */ allocate([110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,50,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,50,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,50,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,50,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,50,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,50,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,50,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,50,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,51,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,51,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,51,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,51,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,49,34,32,108,105,110,101,69,110,100,61,34,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6543368);
/* memory initializer */ allocate([97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,51,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,56,34,32,108,105,110,101,69,110,100,61,34,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,51,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,48,34,32,108,105,110,101,69,110,100,61,34,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,51,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,55,34,32,108,105,110,101,69,110,100,61,34,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,51,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,88,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,48,34,32,108,105,110,101,69,110,100,61,34,56,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,51,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,51,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,52,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,53,34,32,108,105,110,101,69,110,100,61,34,56,51,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,52,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,97,115,115,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,52,34,32,108,105,110,101,69,110,100,61,34,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,52,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,49,34,32,108,105,110,101,69,110,100,61,34,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,52,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,52,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,110,78,111,100,101,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,110,78,111,100,101,115,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,110,78,111,100,101,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,52,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,104,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,52,34,32,108,105,110,101,69,110,100,61,34,56,53,57], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6553608);
/* memory initializer */ allocate([34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,52,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,34,32,108,105,110,101,69,110,100,61,34,56,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,52,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,52,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,100,105,97,109,101,116,101,114,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,52,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,53,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,53,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,111,117,114,99,101,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,111,117,114,99,101,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,53,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,112,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,53,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,69,110,116,101,114,105,110,103,32,97,110,100,32,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,69,110,116,101,114,105,110,103,32,97,110,100,32,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,56,34,32,108,105,110,101,69,110,100,61,34,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,53,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,53,34,32,108,105,110,101,69,110,100,61,34,50,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,53,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,77,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,77,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,77,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,77,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,77,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,77,97,115,115,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,69,120,97,109,112,108,101,115,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,53,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,77,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,77,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,77,111,100,101,108,83,116,114,117,99,116,117,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,77,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,32,97,110,100,32,112,105,112,101,77,111,100,101,108,83,116,114,117,99,116,117,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,95,118,98,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,77,111,100,101,108,83,116,114,117,99,116,117,114,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,69,120,97,109,112,108,101,115,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,34,32,108,105,110,101,69,110,100,61,34,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,53,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,53,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6563848);
/* memory initializer */ allocate([112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,53,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,54,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,54,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,54,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,54,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,54,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,54,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,54,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,54,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,54,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,54,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,55,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,55,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6574088);
/* memory initializer */ allocate([110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,55,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,55,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,55,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,55,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,55,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,55,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,55,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,54,34,32,108,105,110,101,69,110,100,61,34,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,55,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,56,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,109,101,100,105,117,109,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,56,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,115,116,97,116,101,95,97,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,56,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,109,101,100,105,117,109,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,56,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,56,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6584328);
/* memory initializer */ allocate([46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,56,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,56,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,56,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,56,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,56,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,57,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,57,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,57,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,57,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,57,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,57,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,57,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6594568);
/* memory initializer */ allocate([105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,57,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,57,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,57,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,48,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,48,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,48,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,48,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,48,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,48,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,48,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,48,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,48,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6604808);
/* memory initializer */ allocate([100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,48,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,49,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,49,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,49,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,49,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,49,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,49,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,49,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,49,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,49,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,49,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6615048);
/* memory initializer */ allocate([99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,50,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,50,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,50,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,50,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,50,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,50,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,50,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,50,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,50,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,50,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,51,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,51,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6625288);
/* memory initializer */ allocate([117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,51,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,51,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,51,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,51,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,51,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,51,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,51,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,51,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,52,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,52,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,52,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6635528);
/* memory initializer */ allocate([46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,52,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,52,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,52,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,52,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,52,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,52,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,52,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,53,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,53,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,53,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,53,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,53,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6645768);
/* memory initializer */ allocate([51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,53,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,53,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,53,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,53,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,53,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,54,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,54,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,54,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,54,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,109,101,100,105,117,109,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,54,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,109,101,100,105,117,109,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,54,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,54,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6656008);
/* memory initializer */ allocate([61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,54,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,54,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,109,101,100,105,117,109,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,54,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,112,97,114,97,109,101,116,101,114,45,101,113,117,97,116,105,111,110,115,62,10,60,97,115,115,101,114,116,105,111,110,115,32,115,105,122,101,61,34,50,51,50,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,55,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,115,116,97,116,101,95,98,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,55,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,55,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,55,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,55,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,72,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,55,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,55,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,72,95,102,108,111,119,115,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,55,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,55,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6666248);
/* memory initializer */ allocate([121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,55,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,56,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,56,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,56,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,56,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,56,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,56,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,56,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,56,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,56,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,115,116,97,116,101,95,97,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,56,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,115,116,97,116,101,95,98,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,57,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6676488);
/* memory initializer */ allocate([101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,57,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,57,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,57,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,72,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,57,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,57,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,72,95,102,108,111,119,115,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,57,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,57,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,57,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,57,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,48,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,48,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,48,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6686728);
/* memory initializer */ allocate([109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,48,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,48,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,48,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,48,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,48,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,48,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,48,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,115,116,97,116,101,95,97,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,49,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,115,116,97,116,101,95,98,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,49,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,49,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,49,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,49,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,72,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,49,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,72,95,102,108,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6696968);
/* memory initializer */ allocate([119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,49,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,72,95,102,108,111,119,115,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,49,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,49,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,49,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,50,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,50,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,50,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,50,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,50,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,50,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,50,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6707208);
/* memory initializer */ allocate([100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,50,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,50,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,50,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,115,116,97,116,101,95,97,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,51,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,115,116,97,116,101,95,98,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,51,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,51,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,51,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,72,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,51,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,51,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,72,95,102,108,111,119,115,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,51,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,51,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,51,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,51,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6717448);
/* memory initializer */ allocate([105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,52,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,52,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,52,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,52,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,52,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,52,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,52,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,52,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,52,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,115,116,97,116,101,95,97,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,52,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,115,116,97,116,101,95,98,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,53,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,53,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6727688);
/* memory initializer */ allocate([114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,53,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,53,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,72,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,53,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,53,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,72,95,102,108,111,119,115,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,53,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,53,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,53,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,53,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,54,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,54,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,54,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,54,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6737928);
/* memory initializer */ allocate([47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,54,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,54,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,54,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,54,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,54,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,54,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,55,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,55,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,49,46,111,112,101,110,105,110,103,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,111,112,101,110,105,110,103,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,111,112,101,110,105,110,103,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,111,112,101,110,105,110,103,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,49,46,111,112,101,110,105,110,103,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,49,46,111,112,101,110,105,110,103,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,55,34,32,108,105,110,101,69,110,100,61,34,52,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,55,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,49,46,100,112,95,116,117,114,98,117,108,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,100,112,95,116,117,114,98,117,108,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,100,112,95,116,117,114,98,117,108,101,110,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,49,46,100,112,95,116,117,114,98,117,108,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,34,32,108,105,110,101,69,110,100,61,34,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,55,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,49,46,112,111,114,116,95,97,95,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,97,108,118,101,49,46,112,111,114,116,95,97,95,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,112,111,114,116,95,97,95,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,112,111,114,116,95,97,95,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,97,108,118,101,49,46,112,111,114,116,95,97,95,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,49,46,112,111,114,116,95,97,95,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,34,32,108,105,110,101,69,110,100,61,34,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,55,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,49,46,112,111,114,116,95,98,95,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,97,108,118,101,49,46,112,111,114,116,95,98,95,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,49,46,112,111,114,116,95,98,95,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,49,46,112,111,114,116,95,98,95,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,97,108,118,101,49,46,112,111,114,116,95,98,95,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,49,46,112,111,114,116,95,98,95,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,55,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6748168);
/* memory initializer */ allocate([97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,55,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,55,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,50,46,111,112,101,110,105,110,103,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,111,112,101,110,105,110,103,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,111,112,101,110,105,110,103,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,111,112,101,110,105,110,103,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,50,46,111,112,101,110,105,110,103,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,50,46,111,112,101,110,105,110,103,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,55,34,32,108,105,110,101,69,110,100,61,34,52,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,55,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,50,46,100,112,95,116,117,114,98,117,108,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,100,112,95,116,117,114,98,117,108,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,100,112,95,116,117,114,98,117,108,101,110,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,50,46,100,112,95,116,117,114,98,117,108,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,34,32,108,105,110,101,69,110,100,61,34,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,55,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,50,46,112,111,114,116,95,97,95,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,97,108,118,101,50,46,112,111,114,116,95,97,95,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,112,111,114,116,95,97,95,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,112,111,114,116,95,97,95,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,97,108,118,101,50,46,112,111,114,116,95,97,95,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,50,46,112,111,114,116,95,97,95,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,34,32,108,105,110,101,69,110,100,61,34,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,56,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,50,46,112,111,114,116,95,98,95,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,97,108,118,101,50,46,112,111,114,116,95,98,95,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,50,46,112,111,114,116,95,98,95,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,50,46,112,111,114,116,95,98,95,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,97,108,118,101,50,46,112,111,114,116,95,98,95,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,50,46,112,111,114,116,95,98,95,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,56,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,115,116,97,116,101,95,97,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,56,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,115,116,97,116,101,95,98,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,56,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,56,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,56,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,72,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,56,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,56,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,72,95,102,108,111,119,115,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,56,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,56,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6758408);
/* memory initializer */ allocate([116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,57,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,57,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,57,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,57,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,57,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,57,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,57,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,57,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,57,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,57,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,48,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6768648);
/* memory initializer */ allocate([118,101,51,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,48,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,51,46,111,112,101,110,105,110,103,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,111,112,101,110,105,110,103,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,111,112,101,110,105,110,103,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,111,112,101,110,105,110,103,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,97,108,118,101,51,46,111,112,101,110,105,110,103,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,51,46,111,112,101,110,105,110,103,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,55,34,32,108,105,110,101,69,110,100,61,34,52,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,48,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,51,46,100,112,95,116,117,114,98,117,108,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,100,112,95,116,117,114,98,117,108,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,100,112,95,116,117,114,98,117,108,101,110,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,51,46,100,112,95,116,117,114,98,117,108,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,34,32,108,105,110,101,69,110,100,61,34,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,48,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,51,46,112,111,114,116,95,97,95,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,97,108,118,101,51,46,112,111,114,116,95,97,95,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,112,111,114,116,95,97,95,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,112,111,114,116,95,97,95,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,97,108,118,101,51,46,112,111,114,116,95,97,95,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,51,46,112,111,114,116,95,97,95,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,34,32,108,105,110,101,69,110,100,61,34,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,48,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,97,108,118,101,51,46,112,111,114,116,95,98,95,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,97,108,118,101,51,46,112,111,114,116,95,98,95,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,97,108,118,101,51,46,112,111,114,116,95,98,95,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,97,108,118,101,51,46,112,111,114,116,95,98,95,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,97,108,118,101,51,46,112,111,114,116,95,98,95,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,97,108,118,101,51,46,112,111,114,116,95,98,95,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,97,108,118,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,48,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,115,116,97,116,101,95,97,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,48,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,115,116,97,116,101,95,98,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,48,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,48,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,48,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,49,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,72,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,49,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,49,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,72,95,102,108,111,119,115,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,49,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6778888);
/* memory initializer */ allocate([68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,49,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,49,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,49,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,49,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,49,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,49,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,50,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,50,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,50,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,50,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,50,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,50,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,115,116,97,116,101,95,97,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6789128);
/* memory initializer */ allocate([101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,50,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,115,116,97,116,101,95,98,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,50,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,50,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,50,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,51,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,72,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,51,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,51,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,72,95,102,108,111,119,115,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,51,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,51,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,51,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,51,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,51,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6799368);
/* memory initializer */ allocate([121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,51,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,51,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,52,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,52,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,52,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,52,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,52,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,115,116,97,116,101,95,97,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,52,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,115,116,97,116,101,95,98,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,52,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,52,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,52,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,52,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,53,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,44], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6809608);
/* memory initializer */ allocate([32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,53,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,53,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,53,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,53,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,53,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,53,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,53,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,53,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,53,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,54,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,54,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6819848);
/* memory initializer */ allocate([32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,54,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,54,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,115,116,97,116,101,95,97,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,54,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,115,116,97,116,101,95,98,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,54,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,54,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,54,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,54,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,72,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,54,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,55,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,72,95,102,108,111,119,115,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,55,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,55,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,55,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,55,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6830088);
/* memory initializer */ allocate([99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,55,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,55,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,55,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,55,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,55,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,56,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,56,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,56,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,115,116,97,116,101,95,97,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,56,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,115,116,97,116,101,95,98,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,56,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,56,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,48,34,32,108,105,110,101,69,110,100,61,34,56,55,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,56,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6840328);
/* memory initializer */ allocate([117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,56,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,56,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,56,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,51,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,51,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,57,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,57,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,57,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,57,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,57,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,57,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,57,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,57,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,57,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6850568);
/* memory initializer */ allocate([32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,57,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,48,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,48,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,97,115,115,101,114,116,105,111,110,115,62,10,60,106,97,99,111,98,105,97,110,45,101,113,117,97,116,105,111,110,115,62,10,60,47,106,97,99,111,98,105,97,110,45,101,113,117,97,116,105,111,110,115,62,10,60,108,105,116,101,114,97,108,115,32,115,105,122,101,61,34,54,48,34,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,80,114,101,115,115,117,114,101,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,80,97,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,98,97,114,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,68,101,110,115,105,116,121,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,107,103,47,109,51,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,103,47,99,109,51,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,80,97,46,115,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,76,101,110,103,116,104,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,109,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,82,101,121,110,111,108,100,115,78,117,109,98,101,114,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,49,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,77,97,115,115,70,108,111,119,82,97,116,101,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,107,103,47,115,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,114,111,117,103,104,110,101,115,115,32,38,103,116,59,32,48,32,114,101,113,117,105,114,101,100,32,102,111,114,32,113,117,97,100,114,97,116,105,99,32,116,117,114,98,117,108,101,110,116,32,119,97,108,108,32,102,114,105,99,116,105,111,110,32,99,104,97,114,97,99,116,101,114,105,115,116,105,99,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,84,104,101,32,97,114,103,117,109,101,110,116,115,32,120,95,109,105,110,32,97,110,100,32,120,95,109,97,120,32,116,111,32,79,110,101,78,111,110,76,105,110,101,97,114,69,113,117,97,116,105,111,110,46,115,111,108,118,101,40,46,46,41,10,32,32,100,111,32,110,111,116,32,98,114,97,99,107,101,116,32,116,104,101,32,114,111,111,116,32,111,102,32,116,104,101,32,115,105,110,103,108,101,32,110,111,110,45,108,105,110,101,97,114,32,101,113,117,97,116,105,111,110,58,10,32,32,32,32,120,95,109,105,110,32,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,10,32,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,32,120,95,109,97,120,32,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,32,121,95,122,101,114,111,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,32,102,97,32,61,32,102,40,120,95,109,105,110,41,32,45,32,121,95,122,101,114,111,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,32,102,98,32,61,32,102,40,120,95,109,97,120,41,32,45,32,121,95,122,101,114,111,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,102,97,32,97,110,100,32,102,98,32,109,117,115,116,32,104,97,118,101,32,111,112,112,111,115,105,116,101,32,115,105,103,110,32,119,104,105,99,104,32,105,115,32,110,111,116,32,116,104,101,32,99,97,115,101,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,114,101,103,70,117,110,51,40,41,58,32,68,97,116,97,32,112,111,105,110,116,115,32,110,111,116,32,115,111,114,116,101,100,32,97,112,112,114,111,112,114,105,97,116,101,108,121,32,40,120,48,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,38,103,116,59,32,120,49,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,41,46,32,80,108,101,97,115,101,32,102,108,105,112,32,97,114,103,117,109,101,110,116,115,46,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,114,101,103,70,117,110,51,40,41,58,32,68,101,114,105,118,97,116,105,118,101,115,32,97,116,32,100,97,116,97,32,112,111,105,110,116,115,32,100,111,32,110,111,116,32,97,108,108,111,119,32,99,111,45,109,111,110,111,116,111,110,101,32,105,110,116,101,114,112,111,108,97,116,105,111,110,44,32,97,115,32,98,111,116,104,32,97,114,101,32,110,111,110,45,122,101,114,111,44,32,111,102,32,111,112,112,111,115,105,116,101,32,115,105,103,110,32,97,110,100,32,104,97,118,101,32,97,110,32,97,98,115,111,108,117,116,101,32,118,97,108,117,101,32,108,97,114,103,101,114,32,116,104,97,110,32,109,97,99,104,105,110,101,32,101,112,115,32,40,121,48,100,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,44,32,121,49,100,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,41,46,32,80,108,101,97,115,101,32,99,111,114,114,101,99,116,32,97,114,103,117,109,101,110,116,115,46,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,83,112,101,99,105,102,105,99,69,110,101,114,103,121,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,74,47,107,103,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,84,104,101,114,109,111,100,121,110,97,109,105,99,84,101,109,112,101,114,97,116,117,114,101,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,75,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,100,101,103,67,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,45,48,46,48,48,48,55,54,54,54,52,57,51,48,56,53,54,57,48,56,55,56,44,32,51,46,52,48,54,51,49,50,53,54,49,52,55,54,53,57,51,44,32,51,53,53,53,46,54,48,50,55,51,49,48,48,55,51,52,56,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,49,46,48,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,77,97,115,115,70,114,97,99,116,105,111,110,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,107,103,47,107,103,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,63,63,63,32,98,111,117,110,100,97,114,121,32,63,63,63,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,10,32,32,87,114,111,110,103,32,118,97,108,117,101,32,111,102,32,112,97,114,97,109,101,116,101,114,32,100,101,102,105,110,101,95,112,32,40,61,32,102,97,108,115,101,41,32,105,110,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,92,38,113,117,111,116,59,58,10,32,32,84,104,101,32,115,101,108,101,99,116,101,100,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,92,38,113,117,111,116,59,32,104,97,115,32,77,101,100,105,117,109,46,115,105,110,103,108,101,83,116,97,116,101,61,116,114,117,101,46,10,32,32,84,104,101,114,101,102,111,114,101,44,32,97,110,32,98,111,117,110,100,97,114,121,32,100,101,110,115,105,116,121,32,99,97,110,110,111,116,32,98,101,32,100,101,102,105,110,101,100,32,97,110,100,10,32,32,100,101,102,105,110,101,95,112,32,61,32,116,114,117,101,32,105,115,32,114,101,113,117,105,114,101,100,46,10,32,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,10,32,32,87,114,111,110,103,32,98,111,117,110,100,97,114,121,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,105,110,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,110,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,92,38,113,117,111,116,59,58,10,32,32,84,104,101,32,98,111,117,110,100,97,114,121,32,118,97,108,117,101,32,88,95,98,111,117,110,100,97,114,121,40,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,41,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,10,32,32,105,115,32,110,101,103,97,116,105,118,101,46,32,73,116,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,46,10,32,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,32,32,88,95,98,111,117,110,100,97,114,121,91,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,93,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,92,38,113,117,111,116,59,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,92,38,113,117,111,116,59,10,32,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,84,104,101,32,98,111,117,110,100,97,114,121,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,105,110,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,100,111,32,110,111,116,32,115,117,109,32,117,112,32,116,111,32,49,46,32,73,110,115,116,101,97,100,44,32,115,117,109,40,88,95,98,111,117,110,100,97,114,121,41,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,58,10,32,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,49,50,52,57,52,48,55,46,48,57,48,53,52,57,55,51,44,32,45,52,55,53,54,46,50,52,51,52,57,53,54,55,52,53,48,54,44,32,45,51,46,51,54,54,48,48,57,53,54,54,51,53,56,51,55,55,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,39,112,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,39,112,47,115,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,39,112,40,49,47,50,41,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,45,48,46,48,48,50,48,56,54,52,52,51,51,50,53,56,49,49,52,49,55,44,32,45,48,46,52,57,54,53,53,54,49,53,51,52,52,53,53,56,50,55,44,32,49,48,53,51,46,51,51,50,57,49,54,55,51,56,57,57,50,125,60,47,101,120,112,62,10,60,47,108,105,116,101,114,97,108,115,62,10,60,102,117,110,99,116,105,111,110,115,32,115,105,122,101,61,34,52,54,34,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,57,34,32,108,105,110,101,69,110,100,61,34,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,95,115,116,97,116,105,99,72,101,97,100,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,49,34,32,108,105,110,101,69,110,100,61,34,50,54,54,54,34,32,99,111,108,83,116,97,114,116,61,34,49,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,73,110,116,101,114,110,97,108,46,109,95,102,108,111,119,95,111,102,95,100,112,95,102,114,105,99,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,52,51,34,32,108,105,110,101,69,110,100,61,34,50,53,57,57,34,32,99,111,108,83,116,97,114,116,61,34,49,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,105,110,116,101,103,114,97,108,86,97,108,117,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,51,34,32,108,105,110,101,69,110,100,61,34,54,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,57,34,32,108,105,110,101,69,110,100,61,34,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,95,100,101,114,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,57,53,34,32,108,105,110,101,69,110,100,61,34,55,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,53,34,32,99,111,108,83,116,97,114,116,61,34,49,57,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,56,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,49,57,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,95,68,97,116,97,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6860808);
/* memory initializer */ allocate([47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,57,34,32,108,105,110,101,69,110,100,61,34,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,70,117,110,51,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,56,34,32,108,105,110,101,69,110,100,61,34,55,56,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,52,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,51,34,32,108,105,110,101,69,110,100,61,34,52,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,95,100,101,114,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,104,95,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,50,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,101,116,83,116,97,116,101,95,112,84,88,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,50,34,32,108,105,110,101,69,110,100,61,34,50,54,55,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,101,118,97,108,117,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,57,34,32,108,105,110,101,69,110,100,61,34,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,68,121,110,97,109,105,99,80,105,112,101,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,50,34,32,108,105,110,101,69,110,100,61,34,52,56,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,105,110,116,101,103,114,97,108,86,97,108,117,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,51,34,32,108,105,110,101,69,110,100,61,34,54,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,99,117,98,105,99,72,101,114,109,105,116,101,95,119,105,116,104,68,101,114,105,118,97,116,105,118,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,51,50,34,32,108,105,110,101,69,110,100,61,34,56,57,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,104,95,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,50,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,99,104,101,99,107,66,111,117,110,100,97,114,121,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,34,32,108,105,110,101,69,110,100,61,34,52,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,101,118,97,108,117,97,116,101,80,111,108,121,51,95,100,101,114,105,118,97,116,105,118,101,65,116,90,101,114,111,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,51,34,32,108,105,110,101,69,110,100,61,34,53,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,82,111,111,116,50,46,114,101,103,82,111,111,116,50,95,117,116,105,108,105,116,121,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,82,111,111,116,50,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,50,34,32,108,105,110,101,69,110,100,61,34,51,53,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,113,117,97,114,101,50,46,114,101,103,83,113,117,97,114,101,50,95,117,116,105,108,105,116,121,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,56,34,32,108,105,110,101,69,110,100,61,34,52,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,113,117,97,114,101,50,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,52,57,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,55,34,32,108,105,110,101,69,110,100,61,34,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,52,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,80,111,108,121,110,111,109,105,97,108,115,95,84,101,109,112,46,105,110,116,101,103,114,97,108,86,97,108,117,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,51,34,32,108,105,110,101,69,110,100,61,34,54,54,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,102,95,110,111,110,108,105,110,101,97,114,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,53,34,32,99,111,108,83,116,97,114,116,61,34,49,57,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,85,116,105,108,105,116,105,101,115,46,83,116,114,101,97,109,115,46,101,114,114,111,114,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,85,116,105,108,105,116,105,101,115,47,83,116,114,101,97,109,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,50,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,56,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,84,95,112,104,46,73,110,116,101,114,110,97,108,46,115,111,108,118,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,56,34,32,108,105,110,101,69,110,100,61,34,52,57,57,34,32,99,111,108,83,116,97,114,116,61,34,49,57,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,118,97,108,118,101,67,104,97,114,97,99,116,101,114,105,115,116,105,99,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,50,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,49,57,34,32,99,111,108,69,110,100,61,34,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,86,97,108,118,101,115,46,86,97,108,118,101,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,77,101,100,105,117,109,46,104,95,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,50,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,116,111,95,100,101,103,67,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,83,73,117,110,105,116,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,52,34,32,108,105,110,101,69,110,100,61,34,51,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,60,47,102,117,110,99,116,105,111,110,115,62,10,60,47,115,105,109,99,111,100,101,100,117,109,112,62,10,0,0,0,0,0,0,0,0,111,102,102,32,101,110,100,32,111,102,32,114,101,99,111,114,100,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,82,101,113,117,101,115,116,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,112,114,111,102,105,108,101,114,32,105,110,100,101,120,32,37,108,100,44,32,98,117,116,32,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,105,116,33,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,116,105,109,101,40,41,32,102,97,105,108,101,100,58,32,37,115,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,32,62,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,66,32,0,0,0,0,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,32,42,32,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,100,101,102,97,117,108,116,32,109,101,116,104,111,100,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,100,97,116,97,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,10,0,0,0,0,0,0,0,0,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,32,43,32,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,41,0,68,97,116,97,83,101,116,58,32,116,105,109,101,10,0,0,106,117,110,107,32,97,102,116,101,114,32,100,111,99,117,109,101,110,116,32,101,108,101,109,101,110,116,0,0,0,0,0,67,97,110,110,111,116,32,119,114,105,116,101,32,116,111,32,102,105,108,101,32,37,115,0,76,79,71,95,73,80,79,80,84,0,0,0,0,0,0,0,37,46,49,54,103,44,0,0,83,101,112,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,100,105,115,99,114,101,116,101,41,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,83,89,0,0,0,0,0,0,38,97,112,111,115,59,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,115,116,101,112,115,0,0,0,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,37,115,40,37,115,115,116,97,114,116,61,37,108,100,37,115,44,32,102,105,120,101,100,61,37,115,44,32,109,105,110,61,37,108,100,44,32,109,97,120,61,37,108,100,41,0,108,111,98,97,116,116,111,52,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,110,111,109,105,110,97,108,32,118,97,108,117,101,115,32,97,115,32,105,110,105,116,105,97,108,32,115,111,108,117,116,105,111,110,46,0,0,0,0,0,0,0,106,97,99,111,98,105,97,110,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,32,105,115,32,105,110,118,97,108,105,100,0,0,0,0,60,63,120,109,108,32,118,101,114,115,105,111,110,32,61,32,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,85,84,70,45,56,34,63,62,10,10,60,33,45,45,32,100,101,115,99,114,105,112,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,32,105,110,116,101,114,102,97,99,101,32,117,115,105,110,103,32,97,110,32,101,120,116,101,110,116,105,111,110,32,111,102,32,116,104,101,32,70,77,73,32,115,116,97,110,100,97,114,100,32,45,45,62,10,60,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,10,32,32,102,109,105,86,101,114,115,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,46,48,34,10,10,32,32,109,111,100,101,108,78,97,109,101,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,34,10,32,32,109,111,100,101,108,73,100,101,110,116,105,102,105,101,114,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,77,111,100,101,108,105,99,97,95,70,108,117,105,100,95,69,120,97,109,112,108,101,115,95,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,34,10,32,32,10,32,32,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,34,10,32,32,10,32,32,103,117,105,100,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,123,56,99,52,101,56,49,48,102,45,51,100,102,51,45,52,97,48,48,45,56,50,55,54,45,49,55,54,102,97,51,99,57,102,57,101,48,125,34,10,32,32,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,77,117,108,116,105,45,119,97,121,32,99,111,110,110,101,99,116,105,111,110,115,32,111,102,32,112,105,112,101,115,32,97,110,100,32,105,110,99,111,109,112,114,101,115,115,105,98,108,101,32,109,101,100,105,117,109,32,109,111,100,101,108,34,10,32,32,103,101,110,101,114,97,116,105,111,110,84,111,111,108,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,79,112,101,110,77,111,100,101,108,105,99,97,32,67,111,109,112,105,108,101,114,32,49,46,57,46,49,43,100,101,118,32,40,114,49,57,50,52,53,41,32,40,66,111,111,116,115,116,114,97,112,112,105,110,103,32,118,101,114,115,105,111,110,41,34,10,32,32,103,101,110,101,114,97,116,105,111,110,68,97,116,101,65,110,100,84,105,109,101,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,48,49,52,45,48,50,45,50,53,84,49,51,58,48,48,58,48,53,90,34,10,32,32,10,32,32,118,97,114,105,97,98,108,101,78,97,109,105,110,103,67,111,110,118,101,110,116,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,115,116,114,117,99,116,117,114,101,100,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,69,118,101,110,116,73,110,100,105,99,97,116,111,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,51,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,69,118,101,110,116,73,110,100,105,99,97,116,111,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,71,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,122,101,114,111,32,99,114,111,115,115,105,110,103,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,70,77,73,34,10,32,32,110,117,109,98,101,114,79,102,84,105,109,101,69,118,101,110,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,84,105,109,101,69,118,101,110,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,71,95,83,65,77,58,32,32,32,110,117,109,98,101,114,32,111,102,32,122,101,114,111,32,99,114,111,115,115,105,110,103,115,32,116,104,97,116,32,97,114,101,32,115,97,109,112,108,101,115,44,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,73,110,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,73,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,105,110,112,117,116,118,97,114,32,111,110,32,116,111,112,109,111,100,101,108,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,79,117,116,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,79,117,116,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,79,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,118,97,114,32,111,110,32,116,111,112,109,111,100,101,108,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,82,101,115,105,100,117,97,108,115,70,111,114,73,110,105,116,105,97,108,105,122,97,116,105,111,110,32,32,61,32,34,52,52,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,115,105,100,117,97,108,115,70,111,114,73,110,105,116,105,97,108,105,122,97,116,105,111,110,32,32,61,32,34,78,82,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,114,101,115,105,100,117,97,108,115,32,102,111,114,32,105,110,105,116,105,97,108,105,97,108,105,122,97,116,105,111,110,32,102,117,110,99,116,105,111,110,44,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,69,120,116,101,114,110,97,108,79,98,106,101,99,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,69,120,116,101,114,110,97,108,79,98,106,101,99,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,69,88,84,58,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,101,120,116,101,114,110,97,108,32,111,98,106,101,99,116,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,70,117,110,99,116,105,111,110,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,52,54,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,70,117,110,99,116,105,111,110,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,70,85,78,67,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,102,117,110,99,116,105,111,110,115,32,117,115,101,100,32,98,121,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,44,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,50,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,88,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,115,116,97,116,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,70,77,73,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,61,32,34,55,56,55,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,61,32,34,78,89,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,61,32,34,56,49,53,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,61,32,34,78,65,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,53,55,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,78,89,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,105,110,116,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,78,65,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,105,110,116,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,57,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,105,110,116,32,112,97,114,97,109,101,116,101,114,115,44,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6871048);
/* memory initializer */ allocate([32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,61,32,34,78,89,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,61,32,34,78,65,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,78,89,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,98,111,111,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,78,65,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,98,111,111,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,51,49,55,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,98,111,111,108,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,32,62,10,32,32,10,32,32,10,32,32,60,33,45,45,32,115,116,97,114,116,84,105,109,101,44,32,115,116,111,112,84,105,109,101,44,32,116,111,108,101,114,97,110,99,101,32,97,114,101,32,70,77,73,32,115,112,101,99,105,102,105,99,44,32,97,108,108,32,111,116,104,101,114,115,32,97,114,101,32,79,77,67,32,115,112,101,99,105,102,105,99,32,45,45,62,10,32,32,60,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,10,32,32,32,32,115,116,97,114,116,84,105,109,101,32,32,32,32,32,32,61,32,34,48,46,48,34,10,32,32,32,32,115,116,111,112,84,105,109,101,32,32,32,32,32,32,32,61,32,34,50,48,48,46,48,34,10,32,32,32,32,115,116,101,112,83,105,122,101,32,32,32,32,32,32,32,61,32,34,48,46,48,52,34,10,32,32,32,32,116,111,108,101,114,97,110,99,101,32,32,32,32,32,32,61,32,34,49,101,45,48,54,34,10,32,32,32,32,115,111,108,118,101,114,32,32,32,32,32,32,32,32,32,61,32,34,100,97,115,115,108,34,10,32,32,32,32,111,117,116,112,117,116,70,111,114,109,97,116,32,32,32,61,32,34,99,115,118,34,10,32,32,32,32,118,97,114,105,97,98,108,101,70,105,108,116,101,114,32,61,32,34,46,42,34,32,47,62,10,32,32,32,32,10,32,32,60,33,45,45,32,118,97,114,105,97,98,108,101,115,32,105,110,32,116,104,101,32,109,111,100,101,108,32,45,45,62,10,32,32,60,77,111,100,101,108,86,97,114,105,97,98,108,101,115,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6881288);
/* memory initializer */ allocate([32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6891528);
/* memory initializer */ allocate([61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6901768);
/* memory initializer */ allocate([32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6912008);
/* memory initializer */ allocate([34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,72,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,87,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,87,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,72,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,72,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,85,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,85,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6922248);
/* memory initializer */ allocate([97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,72,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,72,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,72,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6932488);
/* memory initializer */ allocate([105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,87,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,87,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,72,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,72,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,85,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,85,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6942728);
/* memory initializer */ allocate([48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,72,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,87,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6952968);
/* memory initializer */ allocate([34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,87,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,72,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,72,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,85,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,85,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6963208);
/* memory initializer */ allocate([105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,72,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,72,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,72,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,87,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,87,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,72,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,72,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6973448);
/* memory initializer */ allocate([32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,85,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,85,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6983688);
/* memory initializer */ allocate([115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,72,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,72,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,72,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,87,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,87,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,72,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6993928);
/* memory initializer */ allocate([121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,72,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,85,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,85,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7004168);
/* memory initializer */ allocate([32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,72,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,72,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,72,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,87,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,87,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,72,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,72,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,55,34,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7014408);
/* memory initializer */ allocate([100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,85,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,85,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7024648);
/* memory initializer */ allocate([34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,72,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,72,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,72,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,87,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,87,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,72,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,72,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7034888);
/* memory initializer */ allocate([110,100,101,120,32,61,32,34,50,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,85,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,85,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7045128);
/* memory initializer */ allocate([116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,72,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,72,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,72,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,87,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,87,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,72,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,72,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,85,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,85,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7055368);
/* memory initializer */ allocate([97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7065608);
/* memory initializer */ allocate([108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,72,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,72,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,72,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,87,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,87,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,72,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,72,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,85,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,85,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7075848);
/* memory initializer */ allocate([105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7086088);
/* memory initializer */ allocate([110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,72,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,72,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,72,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,87,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,87,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,72,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,72,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,85,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,85,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7096328);
/* memory initializer */ allocate([61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7106568);
/* memory initializer */ allocate([32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,72,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,72,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,72,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,87,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,87,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,44,32,112,42,100,101,114,40,86,41,32,101,116,99,46,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,72,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,72,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,85,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,85,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7116808);
/* memory initializer */ allocate([61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,46,85,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,46,85,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7127048);
/* memory initializer */ allocate([108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,46,109,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,46,109,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,50,46,85,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,50,46,85,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,50,46,109,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,50,46,109,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,51,46,85,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,51,46,85,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,51,46,109,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,51,46,109,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,52,46,85,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,52,46,85,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,52,46,109,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,52,46,109,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,54,46,85,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,54,46,85,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,54,46,109,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,54,46,109,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,55,46,85,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7137288);
/* memory initializer */ allocate([32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,55,46,85,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,55,46,109,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,55,46,109,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,56,46,85,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,56,46,85,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,56,46,109,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,56,46,109,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,57,46,85,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,57,46,85,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,57,46,109,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,57,46,109,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,48,46,85,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,48,46,85,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,48,46,109,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,48,46,109,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,53,46,85,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,53,46,85,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,53,46,109,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,53,46,109,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,49,46,85,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7147528);
/* memory initializer */ allocate([111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,49,46,85,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,49,46,109,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,49,46,109,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,105,100,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7157768);
/* memory initializer */ allocate([101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,100,101,103,67,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7168008);
/* memory initializer */ allocate([32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7178248);
/* memory initializer */ allocate([101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7188488);
/* memory initializer */ allocate([107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7198728);
/* memory initializer */ allocate([101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,51,34,10,32,32,100,101,115,99,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7208968);
/* memory initializer */ allocate([105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,53,34,32,99,108,97,115,115,84,121,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7219208);
/* memory initializer */ allocate([32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7229448);
/* memory initializer */ allocate([116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,88,91,49,93,34,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7239688);
/* memory initializer */ allocate([118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7249928);
/* memory initializer */ allocate([32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7260168);
/* memory initializer */ allocate([56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7270408);
/* memory initializer */ allocate([34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7280648);
/* memory initializer */ allocate([115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7290888);
/* memory initializer */ allocate([104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,117,105,100,86,111,108,117,109,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,99,114,101,116,105,122,101,100,32,118,111,108,117,109,101,44,32,100,101,116,101,114,109,105,110,101,32,105,110,32,105,110,104,101,114,105,116,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,100,104,101,105,103,104,116,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,98,101,116,119,101,101,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7301128);
/* memory initializer */ allocate([78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7311368);
/* memory initializer */ allocate([111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,115,116,97,116,101,95,98,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,115,116,97,116,101,95,97,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,115,116,97,116,101,95,98,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,115,116,97,116,101,95,97,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,115,116,97,116,101,95,98,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,115,116,97,116,101,95,97,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,115,116,97,116,101,95,98,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,115,116,97,116,101,95,97,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,115,116,97,116,101,95,98,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,115,116,97,116,101,95,97,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,86,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,40,112,111,115,105,116,105,118,101,32,119,104,101,110,32,102,108,111,119,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7321608);
/* memory initializer */ allocate([112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,100,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,40,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,112,111,114,116,95,98,95,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,98,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,112,111,114,116,95,97,95,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,97,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,100,112,95,116,117,114,98,117,108,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,111,112,101,110,105,110,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,118,101,32,112,111,115,105,116,105,111,110,32,105,110,32,116,104,101,32,114,97,110,103,101,32,48,46,46,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,115,116,97,116,101,95,98,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,115,116,97,116,101,95,97,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,86,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,40,112,111,115,105,116,105,118,101,32,119,104,101,110,32,102,108,111,119,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,100,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,40,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,112,111,114,116,95,98,95,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,98,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,112,111,114,116,95,97,95,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,97,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,100,112,95,116,117,114,98,117,108,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,111,112,101,110,105,110,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,118,101,32,112,111,115,105,116,105,111,110,32,105,110,32,116,104,101,32,114,97,110,103,101,32,48,46,46,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7331848);
/* memory initializer */ allocate([34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,86,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,40,112,111,115,105,116,105,118,101,32,119,104,101,110,32,102,108,111,119,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,100,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,40,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,112,111,114,116,95,98,95,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,98,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,112,111,114,116,95,97,95,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,97,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,114,101,108,97,116,105,118,101,70,108,111,119,67,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,100,112,95,116,117,114,98,117,108,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,111,112,101,110,105,110,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,97,108,118,101,32,112,111,115,105,116,105,111,110,32,105,110,32,116,104,101,32,114,97,110,103,101,32,48,46,46,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,115,116,97,116,101,95,98,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,115,116,97,116,101,95,97,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,115,116,97,116,101,95,98,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,115,116,97,116,101,95,97,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,115,116,97,116,101,95,98,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7342088);
/* memory initializer */ allocate([61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,115,116,97,116,101,95,97,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,115,116,97,116,101,95,98,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,115,116,97,116,101,95,97,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,115,116,97,116,101,95,98,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7352328);
/* memory initializer */ allocate([101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,99,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,104,101,97,116,32,99,97,112,97,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,115,116,97,116,101,95,97,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7362568);
/* memory initializer */ allocate([99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,88,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,115,95,115,116,97,114,116,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7372808);
/* memory initializer */ allocate([32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,100,104,101,105,103,104,116,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,100,120,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,100,120,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,88,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,115,95,115,116,97,114,116,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7383048);
/* memory initializer */ allocate([107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,100,104,101,105,103,104,116,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,100,120,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,100,120,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,88,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,112,115,95,115,116,97,114,116,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,100,104,101,105,103,104,116,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7393288);
/* memory initializer */ allocate([101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,100,120,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,100,120,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,88,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,112,115,95,115,116,97,114,116,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,100,104,101,105,103,104,116,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7403528);
/* memory initializer */ allocate([47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,100,120,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,100,120,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,88,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,112,115,95,115,116,97,114,116,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,100,104,101,105,103,104,116,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,100,120,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7413768);
/* memory initializer */ allocate([34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,100,120,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,88,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,112,115,95,115,116,97,114,116,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,100,104,101,105,103,104,116,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,100,120,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,100,120,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7424008);
/* memory initializer */ allocate([32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,88,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,112,115,95,115,116,97,114,116,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,100,104,101,105,103,104,116,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,100,120,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,100,120,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7434248);
/* memory initializer */ allocate([101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,88,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,112,115,95,115,116,97,114,116,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,100,104,101,105,103,104,116,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,100,120,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,100,120,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7444488);
/* memory initializer */ allocate([83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,88,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,112,115,95,115,116,97,114,116,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,100,104,101,105,103,104,116,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,100,120,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,100,120,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,88,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7454728);
/* memory initializer */ allocate([110,101,32,61,32,34,56,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,112,115,95,115,116,97,114,116,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,100,104,101,105,103,104,116,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,100,120,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,100,120,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,104,101,97,116,56,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,104,101,97,116,32,102,108,111,119,32,114,97,116,101,32,97,116,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,56,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,104,101,97,116,56,91,49,93,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7464968);
/* memory initializer */ allocate([110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,104,101,97,116,56,91,49,93,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,104,101,97,116,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,104,101,97,116,56,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,104,101,97,116,32,102,108,111,119,32,114,97,116,101,32,97,116,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,56,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,104,101,97,116,56,91,50,93,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,104,101,97,116,56,91,50,93,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,104,101,97,116,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,88,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,112,115,95,115,116,97,114,116,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,108,101,110,103,116,104,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,104,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7475208);
/* memory initializer */ allocate([98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,100,104,101,105,103,104,116,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,102,102,101,114,101,110,99,101,115,32,105,110,32,104,101,105,103,104,116,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,100,120,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,100,120,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,108,101,110,103,116,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,100,105,97,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7485448);
/* memory initializer */ allocate([10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,111,108,117,109,101,32,115,105,122,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7495688);
/* memory initializer */ allocate([100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,108,101,110,103,116,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,100,105,97,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,111,108,117,109,101,32,115,105,122,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,52,53,52,51,54,57,50,54,48,54,49,55,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7505928);
/* memory initializer */ allocate([34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,108,101,110,103,116,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,100,105,97,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,105,103,104,116,95,97,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7516168);
/* memory initializer */ allocate([110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,111,108,117,109,101,32,115,105,122,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,52,53,52,51,54,57,50,54,48,54,49,55,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7526408);
/* memory initializer */ allocate([61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,108,101,110,103,116,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,100,105,97,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,105,103,104,116,95,97,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,114,105,97,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7536648);
/* memory initializer */ allocate([105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,111,108,117,109,101,32,115,105,122,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,57,56,49,55,52,55,55,48,52,50,52,54,56,49,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7546888);
/* memory initializer */ allocate([100,76,105,110,101,32,61,32,34,49,54,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,108,101,110,103,116,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,100,105,97,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,105,103,104,116,95,97,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,111,108,117,109,101,32,115,105,122,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,56,49,55,52,55,55,48,52,50,52,54,56,49,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7557128);
/* memory initializer */ allocate([48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,109,97,108,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,75,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,75,118,32,40,109,101,116,114,105,99,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,32,91,109,51,47,104,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,67,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,118,32,40,85,83,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,32,91,85,83,71,47,109,105,110,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,48,34,32,115,116,97,114,116,67,111,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7567368);
/* memory initializer */ allocate([117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,111,112,101,110,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,114,105,115,101,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,105,115,101,32,116,105,109,101,32,111,102,32,116,104,101,32,102,105,108,116,101,114,32,40,116,105,109,101,32,116,111,32,114,101,97,99,104,32,57,57,46,54,32,37,32,111,102,32,97,110,32,111,112,101,110,105,110,103,32,115,116,101,112,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,32,111,112,101,110,105,110,103,32,115,105,103,110,97,108,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,40,116,111,32,105,109,112,114,111,118,101,32,116,104,101,32,110,117,109,101,114,105,99,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,100,112,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,103,117,108,97,114,105,115,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,105,110,108,101,116,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,100,112,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,100,112,32,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,109,95,102,108,111,119,32,61,32,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,119,101,114,32,108,105,109,105,116,32,111,102,32,105,110,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,54,34,32,101,110,100,76,105,110,101,32,61,32,34,53,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,65,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,32,40,109,101,116,114,105,99,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,109,97,108,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,75,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,75,118,32,40,109,101,116,114,105,99,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,32,91,109,51,47,104,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,67,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,118,32,40,85,83,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,32,91,85,83,71,47,109,105,110,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,111,112,101,110,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,114,105,115,101,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,105,115,101,32,116,105,109,101,32,111,102,32,116,104,101,32,102,105,108,116,101,114,32,40,116,105,109,101,32,116,111,32,114,101,97,99,104,32,57,57,46,54,32,37,32,111,102,32,97,110,32,111,112,101,110,105,110,103,32,115,116,101,112,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,32,111,112,101,110,105,110,103,32,115,105,103,110,97,108,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,40,116,111,32,105,109,112,114,111,118,101,32,116,104,101,32,110,117,109,101,114,105,99,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7577608);
/* memory initializer */ allocate([34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,100,112,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,103,117,108,97,114,105,115,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,105,110,108,101,116,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,100,112,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,100,112,32,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,109,95,102,108,111,119,32,61,32,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,119,101,114,32,108,105,109,105,116,32,111,102,32,105,110,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,54,34,32,101,110,100,76,105,110,101,32,61,32,34,53,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,65,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,32,40,109,101,116,114,105,99,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,108,101,110,103,116,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,100,105,97,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,105,103,104,116,95,97,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7587848);
/* memory initializer */ allocate([109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,111,108,117,109,101,32,115,105,122,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7598088);
/* memory initializer */ allocate([101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,109,97,108,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,75,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,75,118,32,40,109,101,116,114,105,99,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,32,91,109,51,47,104,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,67,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,118,32,40,85,83,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,32,91,85,83,71,47,109,105,110,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,111,112,101,110,105,110,103,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,111,112,101,110,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,114,105,115,101,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,105,115,101,32,116,105,109,101,32,111,102,32,116,104,101,32,102,105,108,116,101,114,32,40,116,105,109,101,32,116,111,32,114,101,97,99,104,32,57,57,46,54,32,37,32,111,102,32,97,110,32,111,112,101,110,105,110,103,32,115,116,101,112,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,108,101,97,107,97,103,101,79,112,101,110,105,110,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,32,111,112,101,110,105,110,103,32,115,105,103,110,97,108,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,108,101,97,107,97,103,101,79,112,101,110,105,110,103,32,40,116,111,32,105,109,112,114,111,118,101,32,116,104,101,32,110,117,109,101,114,105,99,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,100,112,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,103,117,108,97,114,105,115,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,105,110,108,101,116,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,100,112,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,100,112,32,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,109,95,102,108,111,119,32,61,32,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,46,117,77,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,119,101,114,32,108,105,109,105,116,32,111,102,32,105,110,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,54,34,32,101,110,100,76,105,110,101,32,61,32,34,53,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,65,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,32,40,109,101,116,114,105,99,41,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7608328);
/* memory initializer */ allocate([32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,97,109,98,105,101,110,116,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,97,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,46,56,48,54,54,52,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,115,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,110,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,32,102,111,114,32,124,109,95,102,108,111,119,124,32,38,108,116,59,32,101,112,115,95,109,95,102,108,111,119,42,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,115,109,97,108,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,108,97,109,105,110,97,114,32,97,110,100,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,115,109,97,108,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,108,97,109,105,110,97,114,32,97,110,100,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,115,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,114,101,115,115,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,115,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,79,112,101,110,105,110,103,49,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,32,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,79,112,101,110,105,110,103,49,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,121,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,79,112,101,110,105,110,103,49,46,104,101,105,103,104,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,79,112,101,110,105,110,103,50,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,32,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,79,112,101,110,105,110,103,50,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,121,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,79,112,101,110,105,110,103,50,46,104,101,105,103,104,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,79,112,101,110,105,110,103,51,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,32,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,79,112,101,110,105,110,103,51,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,121,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7618568);
/* memory initializer */ allocate([108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,79,112,101,110,105,110,103,51,46,104,101,105,103,104,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,108,101,110,103,116,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,100,105,97,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,105,103,104,116,95,97,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,111,108,117,109,101,32,115,105,122,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7628808);
/* memory initializer */ allocate([34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,108,101,110,103,116,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,100,105,97,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,105,103,104,116,95,97,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7639048);
/* memory initializer */ allocate([61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,111,108,117,109,101,32,115,105,122,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7649288);
/* memory initializer */ allocate([32,61,32,34,50,51,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,108,101,110,103,116,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,100,105,97,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,105,103,104,116,95,97,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7659528);
/* memory initializer */ allocate([99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,111,108,117,109,101,32,115,105,122,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,48,56,55,51,56,53,50,49,50,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7669768);
/* memory initializer */ allocate([34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,108,101,110,103,116,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,100,105,97,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,105,103,104,116,95,97,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,111,108,117,109,101,32,115,105,122,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,56,49,55,52,55,55,48,52,50,52,54,56,49,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7680008);
/* memory initializer */ allocate([87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,108,101,110,103,116,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,100,105,97,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,105,103,104,116,95,97,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7690248);
/* memory initializer */ allocate([73,110,100,101,120,32,61,32,34,53,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,111,108,117,109,101,32,115,105,122,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,52,53,52,51,54,57,50,54,48,54,49,55,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,52,34,10,32,32,100,101,115,99,114,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7700488);
/* memory initializer */ allocate([112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,52,50,46,53,54,55,50,49,54,51,51,57,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,57,54,55,54,49,50,52,48,49,57,52,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7710728);
/* memory initializer */ allocate([32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7720968);
/* memory initializer */ allocate([114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,104,101,97,116,56,91,50,93,46,112,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7731208);
/* memory initializer */ allocate([116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,104,101,97,116,56,91,49,93,46,112,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7741448);
/* memory initializer */ allocate([98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7751688);
/* memory initializer */ allocate([34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,112,111,114,116,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7761928);
/* memory initializer */ allocate([101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,115,116,97,116,101,115,70,77,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,34,32,99,108,97,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7772168);
/* memory initializer */ allocate([115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,115,116,97,116,101,115,70,77,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,81,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,81,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,81,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,81,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7782408);
/* memory initializer */ allocate([98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7792648);
/* memory initializer */ allocate([52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,81,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,81,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7802888);
/* memory initializer */ allocate([61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,81,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,81,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,104,101,97,116,56,91,50,93,46,112,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,104,101,97,116,56,91,49,93,46,112,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,81,98,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7813128);
/* memory initializer */ allocate([34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7823368);
/* memory initializer */ allocate([32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,81,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,81,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,81,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,81,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7833608);
/* memory initializer */ allocate([101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,81,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,81,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,81,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,81,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7843848);
/* memory initializer */ allocate([102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,81,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,81,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,81,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,81,98,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,44,32,115,111,117,114,99,101,32,111,114,32,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,112,111,114,116,115,91,49,93,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,118,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,118,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7854088);
/* memory initializer */ allocate([115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7864328);
/* memory initializer */ allocate([105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,118,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,118,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7874568);
/* memory initializer */ allocate([108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7884808);
/* memory initializer */ allocate([76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7895048);
/* memory initializer */ allocate([32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,118,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,118,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7905288);
/* memory initializer */ allocate([10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,118,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,118,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7915528);
/* memory initializer */ allocate([32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,53,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,53,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7925768);
/* memory initializer */ allocate([34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,118,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,118,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7936008);
/* memory initializer */ allocate([32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,118,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,118,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7946248);
/* memory initializer */ allocate([101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,118,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,118,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7956488);
/* memory initializer */ allocate([116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7966728);
/* memory initializer */ allocate([97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7976968);
/* memory initializer */ allocate([114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,118,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,118,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7987208);
/* memory initializer */ allocate([101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,118,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,118,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,55,34,32,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7997448);
/* memory initializer */ allocate([108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8007688);
/* memory initializer */ allocate([114,105,97,98,108,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,118,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,118,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8017928);
/* memory initializer */ allocate([34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8028168);
/* memory initializer */ allocate([34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8038408);
/* memory initializer */ allocate([46,109,117,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,118,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,118,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,105,110,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,118,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,32,105,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,118,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,115,116,97,116,101,115,70,77,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,115,116,97,116,101,115,70,77,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8048648);
/* memory initializer */ allocate([98,108,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,121,100,114,97,117,108,105,99,32,100,105,97,109,101,116,101,114,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,70,77,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,70,77,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8058888);
/* memory initializer */ allocate([116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,112,111,114,116,115,91,49,93,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8069128);
/* memory initializer */ allocate([108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8079368);
/* memory initializer */ allocate([105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8089608);
/* memory initializer */ allocate([115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,111,102,32,102,108,117,105,100,32,97,99,114,111,115,115,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8099848);
/* memory initializer */ allocate([105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8110088);
/* memory initializer */ allocate([78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8120328);
/* memory initializer */ allocate([82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8130568);
/* memory initializer */ allocate([117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,115,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,112,111,114,116,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,112,111,114,116,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,115,116,97,116,101,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,115,116,97,116,101,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,112,111,114,116,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,112,111,114,116,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,112,111,114,116,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,115,116,97,116,101,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,112,111,114,116,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8140808);
/* memory initializer */ allocate([86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,115,116,97,116,101,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,112,111,114,116,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,115,116,97,116,101,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,115,116,97,116,101,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,115,116,97,116,101,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,112,111,114,116,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,112,111,114,116,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,112,111,114,116,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,115,116,97,116,101,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,112,111,114,116,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,115,116,97,116,101,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,112,111,114,116,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,115,116,97,116,101,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,115,116,97,116,101,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,115,116,97,116,101,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,112,111,114,116,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8151048);
/* memory initializer */ allocate([108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,112,111,114,116,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,112,111,114,116,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,115,116,97,116,101,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,115,116,97,116,101,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,115,116,97,116,101,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,79,112,101,110,105,110,103,51,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,97,108,118,101,51,46,111,112,101,110,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,109,105,110,76,105,109,105,116,101,114,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,97,108,118,101,51,46,111,112,101,110,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,111,112,101,110,105,110,103,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,97,108,118,101,51,46,111,112,101,110,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,79,112,101,110,105,110,103,50,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,97,108,118,101,50,46,111,112,101,110,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,109,105,110,76,105,109,105,116,101,114,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,97,108,118,101,50,46,111,112,101,110,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,111,112,101,110,105,110,103,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,97,108,118,101,50,46,111,112,101,110,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,79,112,101,110,105,110,103,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,97,108,118,101,49,46,111,112,101,110,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,109,105,110,76,105,109,105,116,101,114,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,97,108,118,101,49,46,111,112,101,110,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,111,112,101,110,105,110,103,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,97,108,118,101,49,46,111,112,101,110,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,112,111,114,116,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,115,116,97,116,101,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8161288);
/* memory initializer */ allocate([97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,112,111,114,116,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,112,111,114,116,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,115,116,97,116,101,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,115,116,97,116,101,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,112,111,114,116,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,112,111,114,116,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,115,116,97,116,101,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,115,116,97,116,101,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,112,111,114,116,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,112,111,114,116,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,115,116,97,116,101,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,115,116,97,116,101,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,111,114,116,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,112,111,114,116,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,115,116,97,116,101,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8171528);
/* memory initializer */ allocate([116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,115,116,97,116,101,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,111,114,116,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,111,114,116,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,112,111,114,116,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,115,116,97,116,101,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,115,116,97,116,101,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,115,116,97,116,101,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,111,114,116,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,115,116,97,116,101,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,105,110,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8181768);
/* memory initializer */ allocate([61,32,34,118,97,108,118,101,50,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,105,110,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,105,110,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,49,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8192008);
/* memory initializer */ allocate([115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,53,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,48,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,57,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,56,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8202248);
/* memory initializer */ allocate([115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,54,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8212488);
/* memory initializer */ allocate([110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,51,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,77,111,100,101,108,83,116,114,117,99,116,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,69,120,97,109,112,108,101,115,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,77,97,115,115,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,69,120,97,109,112,108,101,115,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,110,80,111,114,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,56,34,10,32,32,100,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8222728);
/* memory initializer */ allocate([115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,108,108,111,119,101,100,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,55,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,110,78,111,100,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,110,70,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,49,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,110,70,77,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,97,115,115,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,105,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,110,78,111,100,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8232968);
/* memory initializer */ allocate([98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,110,70,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,49,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,110,70,77,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,97,115,115,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,105,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,110,78,111,100,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,110,70,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8243208);
/* memory initializer */ allocate([97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,49,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,110,70,77,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,97,115,115,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,105,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,110,78,111,100,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,110,70,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,49,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,110,70,77,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8253448);
/* memory initializer */ allocate([110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,97,115,115,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,105,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,110,78,111,100,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,110,70,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,49,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,110,70,77,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,97,115,115,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8263688);
/* memory initializer */ allocate([121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,105,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,67,118,68,97,116,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,101,108,101,99,116,105,111,110,32,111,102,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,65,118,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,67,118,68,97,116,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,101,108,101,99,116,105,111,110,32,111,102,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,65,118,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,110,78,111,100,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,110,70,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,49,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,110,70,77,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,97,115,115,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8273928);
/* memory initializer */ allocate([114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,105,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,67,118,68,97,116,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,101,108,101,99,116,105,111,110,32,111,102,32,102,108,111,119,32,99,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,67,118,84,121,112,101,115,46,65,118,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,110,80,111,114,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,108,108,111,119,101,100,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,55,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,44,32,105,102,32,111,112,116,105,111,110,115,32,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,110,78,111,100,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,110,70,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,56], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8284168);
/* memory initializer */ allocate([34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,49,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,110,70,77,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,97,115,115,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,105,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,110,78,111,100,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,110,70,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,49,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,110,70,77,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,55,34,32,101,110,100,67,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8294408);
/* memory initializer */ allocate([108,117,109,110,32,61,32,34,49,48,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,97,115,115,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,105,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,110,78,111,100,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,110,70,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,49,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,110,70,77,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,97,115,115,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8304648);
/* memory initializer */ allocate([112,101,49,48,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,105,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,110,78,111,100,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,110,70,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,49,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,110,70,77,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,97,115,115,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8314888);
/* memory initializer */ allocate([32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,105,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,110,78,111,100,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,111,100,101,108,83,116,114,117,99,116,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,116,101,114,109,105,110,101,115,32,119,104,101,116,104,101,114,32,102,108,111,119,32,111,114,32,118,111,108,117,109,101,32,109,111,100,101,108,115,32,97,114,101,32,112,114,101,115,101,110,116,32,97,116,32,116,104,101,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,77,111,100,101,108,83,116,114,117,99,116,117,114,101,46,97,118,95,118,98,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,110,70,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,102,108,111,119,32,109,111,100,101,108,115,32,105,110,32,102,108,111,119,77,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,110,70,77,68,105,115,116,114,105,98,117,116,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,49,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,110,70,77,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,70,105,120,101,100,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,97,115,115,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,105,76,117,109,112,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,101,120,32,111,102,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,32,119,105,116,104,32,114,101,112,114,101,115,101,110,116,97,116,105,118,101,32,115,116,97,116,101,32,105,102,32,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8325128);
/* memory initializer */ allocate([107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8335368);
/* memory initializer */ allocate([98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8345608);
/* memory initializer */ allocate([49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,49,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,109,101,100,105,117,109,115,91,50,93,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,108,116,101,114,101,100,86,97,108,118,101,79,112,101,110,105,110,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,69,120,97,109,112,108,101,115,47,73,110,99,111,109,112,114,101,115,115,105,98,108,101,70,108,117,105,100,78,101,116,119,111,114,107,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8355848);
/* memory initializer */ allocate([46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,117,115,101,95,112,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,112,114,101,115,115,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,117,115,101,95,84,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,117,115,101,95,88,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,99,111,109,112,111,115,105,116,105,111,110,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,117,115,101,95,67,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,115,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,105,115,67,105,114,99,117,108,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,117,115,101,95,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,105,110,105,116,105,97,108,105,122,101,95,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8366088);
/* memory initializer */ allocate([32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,105,115,67,105,114,99,117,108,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,117,115,101,95,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,105,110,105,116,105,97,108,105,122,101,95,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8376328);
/* memory initializer */ allocate([108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,105,115,67,105,114,99,117,108,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,117,115,101,95,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8386568);
/* memory initializer */ allocate([10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,105,110,105,116,105,97,108,105,122,101,95,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,51,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,105,115,67,105,114,99,117,108,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,117,115,101,95,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8396808);
/* memory initializer */ allocate([118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,105,110,105,116,105,97,108,105,122,101,95,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,52,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8407048);
/* memory initializer */ allocate([101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,105,115,67,105,114,99,117,108,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,117,115,101,95,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,105,110,105,116,105,97,108,105,122,101,95,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8417288);
/* memory initializer */ allocate([32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,54,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,115,104,111,119,95,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,101,109,112,101,114,97,116,117,114,101,115,32,97,116,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,97,114,101,32,99,111,109,112,117,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,115,104,111,119,95,86,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,118,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,105,115,32,99,111,109,112,117,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,102,105,108,116,101,114,101,100,79,112,101,110,105,110,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,111,112,101,110,105,110,103,32,105,115,32,102,105,108,116,101,114,101,100,32,119,105,116,104,32,97,32,50,110,100,32,111,114,100,101,114,32,67,114,105,116,105,99,97,108,68,97,109,112,105,110,103,32,102,105,108,116,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,99,104,101,99,107,86,97,108,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,118,101,114,115,101,32,102,108,111,119,32,115,116,111,112,112,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,49,46,117,115,101,95,82,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,115,104,111,119,95,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,101,109,112,101,114,97,116,117,114,101,115,32,97,116,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,97,114,101,32,99,111,109,112,117,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,115,104,111,119,95,86,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,118,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,105,115,32,99,111,109,112,117,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,102,105,108,116,101,114,101,100,79,112,101,110,105,110,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,111,112,101,110,105,110,103,32,105,115,32,102,105,108,116,101,114,101,100,32,119,105,116,104,32,97,32,50,110,100,32,111,114,100,101,114,32,67,114,105,116,105,99,97,108,68,97,109,112,105,110,103,32,102,105,108,116,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8427528);
/* memory initializer */ allocate([101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,99,104,101,99,107,86,97,108,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,118,101,114,115,101,32,102,108,111,119,32,115,116,111,112,112,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,50,46,117,115,101,95,82,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,105,115,67,105,114,99,117,108,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,117,115,101,95,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,105,110,105,116,105,97,108,105,122,101,95,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8437768);
/* memory initializer */ allocate([47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,55,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,115,104,111,119,95,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,101,109,112,101,114,97,116,117,114,101,115,32,97,116,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,97,114,101,32,99,111,109,112,117,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,115,104,111,119,95,86,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,118,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,105,115,32,99,111,109,112,117,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,102,105,108,116,101,114,101,100,79,112,101,110,105,110,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,111,112,101,110,105,110,103,32,105,115,32,102,105,108,116,101,114,101,100,32,119,105,116,104,32,97,32,50,110,100,32,111,114,100,101,114,32,67,114,105,116,105,99,97,108,68,97,109,112,105,110,103,32,102,105,108,116,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,99,104,101,99,107,86,97,108,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,118,101,114,115,101,32,102,108,111,119,32,115,116,111,112,112,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,97,108,118,101,51,46,117,115,101,95,82,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,86,97,108,118,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,117,115,101,95,112,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,112,114,101,115,115,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8448008);
/* memory initializer */ allocate([116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,117,115,101,95,84,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,117,115,101,95,88,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,99,111,109,112,111,115,105,116,105,111,110,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,117,115,101,95,67,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,115,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,114,101,115,116,114,105,99,116,32,116,111,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,117,115,101,95,101,112,115,95,82,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,100,101,116,101,114,109,105,110,101,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,97,117,116,111,109,97,116,105,99,97,108,108,121,32,117,115,105,110,103,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,105,115,67,105,114,99,117,108,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,117,115,101,95,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,105,110,105,116,105,97,108,105,122,101,95,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8458248);
/* memory initializer */ allocate([110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,56,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,105,115,67,105,114,99,117,108,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,117,115,101,95,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,105,110,105,116,105,97,108,105,122,101,95,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8468488);
/* memory initializer */ allocate([118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,57,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,105,115,67,105,114,99,117,108,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,117,115,101,95,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,97,108,108,111,119,70,108,111,119,82,101,118,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8478728);
/* memory initializer */ allocate([114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,105,110,105,116,105,97,108,105,122,101,95,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,48,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,105,115,67,105,114,99,117,108,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,117,115,101,95,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,54,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8488968);
/* memory initializer */ allocate([101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,105,110,105,116,105,97,108,105,122,101,95,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,53,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8499208);
/* memory initializer */ allocate([110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,105,115,67,105,114,99,117,108,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,117,115,101,95,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,115,101,32,84,95,115,116,97,114,116,32,105,102,32,116,114,117,101,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,117,115,101,76,117,109,112,101,100,80,114,101,115,115,117,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,108,117,109,112,32,112,114,101,115,115,117,114,101,32,115,116,97,116,101,115,32,116,111,103,101,116,104,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,117,115,101,73,110,110,101,114,80,111,114,116,80,114,111,112,101,114,116,105,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,32,116,111,32,116,97,107,101,32,112,111,114,116,32,112,114,111,112,101,114,116,105,101,115,32,102,111,114,32,102,108,111,119,32,109,111,100,101,108,115,32,102,114,111,109,32,105,110,116,101,114,110,97,108,32,99,111,110,116,114,111,108,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,116,104,101,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,105,110,105,116,105,97,108,105,122,101,95,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,56,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,82,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8509448);
/* memory initializer */ allocate([114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,49,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,47,77,111,100,101,108,86,97,114,105,97,98,108,101,115,62,10,32,32,10,32,32,10,60,47,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,62,10,10,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,53,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,53,46,100,105,97,109,101,116,101,114,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,112,105,112,101,54,46,99,114,111,115,115,65,114,101,97,115,91,50,93,32,42,32,112,105,112,101,54,46,109,101,100,105,117,109,115,91,50,93,46,100,32,42,32,112,105,112,101,54,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,65,117,103,0,0,0,0,0,38,103,116,59,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,108,111,98,97,116,116,111,50,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,123,56,99,52,101,56,49,48,102,45,51,100,102,51,45,52,97,48,48,45,56,50,55,54,45,49,55,54,102,97,51,99,57,102,57,101,48,125,0,0,83,105,109,117,108,97,116,105,111,110,32,99,97,108,108,32,116,101,114,109,105,110,97,116,101,40,41,32,97,116,32,116,105,109,101,32,37,102,10,77,101,115,115,97,103,101,32,58,32,37,115,0,0,0,0,0,119,98,0,0,0,0,0,0,95,112,114,111,102,46,100,97,116,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,117,109,95,114,101,97,108,95,97,114,114,97,121,0,0,115,105,122,101,95,111,102,95,100,105,109,101,110,115,105,111,110,95,98,97,115,101,95,97,114,114,97,121,0,0,0,0,114,116,95,105,110,105,116,0,112,114,105,110,116,77,111,100,101,108,73,110,102,111,0,0,112,105,118,111,116,0,0,0,111,109,99,95,109,97,116,108,97,98,52,95,114,101,97,100,95,118,97,108,115,0,0,0,111,109,99,95,109,97,116,108,97,98,52,95,114,101,97,100,95,115,105,110,103,108,101,95,118,97,108,0,0,0,0,0,109,111,100,101,108,73,110,102,111,88,109,108,73,110,105,116,0,0,0,0,0,0,0,0,102,105,110,100,82,111,111,116,0,0,0,0,0,0,0,0,100,97,115,114,116,95,115,116,101,112,0,0,0,0,0,0,98,105,115,101,99,116,105,111,110,0,0,0,0,0,0,0,2,0,0,192,3,0,0,192,4,0,0,192,5,0,0,192,6,0,0,192,7,0,0,192,8,0,0,192,9,0,0,192,10,0,0,192,11,0,0,192,12,0,0,192,13,0,0,192,14,0,0,192,15,0,0,192,16,0,0,192,17,0,0,192,18,0,0,192,19,0,0,192,20,0,0,192,21,0,0,192,22,0,0,192,23,0,0,192,24,0,0,192,25,0,0,192,26,0,0,192,27,0,0,192,28,0,0,192,29,0,0,192,30,0,0,192,31,0,0,192,0,0,0,179,1,0,0,195,2,0,0,195,3,0,0,195,4,0,0,195,5,0,0,195,6,0,0,195,7,0,0,195,8,0,0,195,9,0,0,195,10,0,0,195,11,0,0,195,12,0,0,195,13,0,0,211,14,0,0,195,15,0,0,195,0,0,12,187,1,0,12,195,2,0,12,195,3,0,12,195,4,0,12,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,0,0,0,0,0,0,37,0,0,0,89,0,0,0,45,0,0,0,37,0,0,0,109,0,0,0,45,0,0,0,37,0,0,0,100,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,72,58,37,77,58,37,83,37,72,58,37,77,0,0,0,37,73,58,37,77,58,37,83,32,37,112,0,0,0,0,0,37,89,45,37,109,45,37,100,37,109,47,37,100,47,37,121,37,72,58,37,77,58,37,83,37,0,0,0,0,0,0,0,37,112,0,0,0,0,0,0,0,0,0,0,24,39,130,0,198,0,0,0,158,0,0,0,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,39,130,0,0,1,0,0,210,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,39,130,0,96,0,0,0,72,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,39,130,0,126,0,0,0,38,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,39,130,0,126,0,0,0,12,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,39,130,0,126,0,0,0,30,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,39,130,0,216,0,0,0,110,0,0,0,64,0,0,0,2,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,39,130,0,66,1,0,0,240,0,0,0,64,0,0,0,4,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,39,130,0,208,0,0,0,242,0,0,0,64,0,0,0,8,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,39,130,0,68,1,0,0,188,0,0,0,64,0,0,0,6,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,40,130,0,18,1,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,40,130,0,64,1,0,0,122,0,0,0,64,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,40,130,0,206,0,0,0,152,0,0,0,64,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,40,130,0,54,0,0,0,154,0,0,0,64,0,0,0,176,0,0,0,4,0,0,0,32,0,0,0,6,0,0,0,20,0,0,0,58,0,0,0,2,0,0,0,248,255,255,255,192,40,130,0,22,0,0,0,8,0,0,0,40,0,0,0,14,0,0,0,2,0,0,0,38,0,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,40,130,0,246,0,0,0,38,1,0,0,64,0,0,0,20,0,0,0,16,0,0,0,62,0,0,0,26,0,0,0,18,0,0,0,2,0,0,0,4,0,0,0,248,255,255,255,232,40,130,0,106,0,0,0,150,0,0,0,170,0,0,0,184,0,0,0,138,0,0,0,54,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,41,130,0,102,0,0,0,244,0,0,0,64,0,0,0,58,0,0,0,178,0,0,0,34,0,0,0,110,0,0,0,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,41,130,0,134,0,0,0,88,0,0,0,64,0,0,0,50,0,0,0,120,0,0,0,52,0,0,0,148,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,41,130,0,56,1,0,0,2,0,0,0,64,0,0,0,54,0,0,0,38,0,0,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,41,130,0,62,0,0,0,6,0,0,0,64,0,0,0,18,0,0,0,20,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,41,130,0,26,1,0,0,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,41,130,0,42,0,0,0,186,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,41,130,0,10,0,0,0,252,0,0,0,64,0,0,0,8,0,0,0,6,0,0,0,12,0,0,0,4,0,0,0,10,0,0,0,4,0,0,0,2,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,41,130,0,130,0,0,0,26,0,0,0,64,0,0,0,24,0,0,0,28,0,0,0,36,0,0,0,26,0,0,0,34,0,0,0,8,0,0,0,6,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,41,130,0,56,0,0,0,36,0,0,0,64,0,0,0,50,0,0,0,48,0,0,0,40,0,0,0,42,0,0,0,28,0,0,0,46,0,0,0,38,0,0,0,56,0,0,0,54,0,0,0,52,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,41,130,0,72,0,0,0,4,0,0,0,64,0,0,0,76,0,0,0,68,0,0,0,24,0,0,0,66,0,0,0,60,0,0,0,30,0,0,0,64,0,0,0,74,0,0,0,72,0,0,0,70,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,42,130,0,98,0,0,0,120,0,0,0,64,0,0,0,50,0,0,0,88,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,42,130,0,40,0,0,0,224,0,0,0,64,0,0,0,100,0,0,0,106,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,42,130,0,16,0,0,0,238,0,0,0,64,0,0,0,2,0,0,0,12,0,0,0,110,0,0,0,174,0,0,0,100,0,0,0,118,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,42,130,0,232,0,0,0,180,0,0,0,64,0,0,0,16,0,0,0,18,0,0,0,104,0,0,0,62,0,0,0,6,0,0,0,106,0,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,42,130,0,232,0,0,0,32,0,0,0,64,0,0,0,6,0,0,0,4,0,0,0,32,0,0,0,144,0,0,0,84,0,0,0,56,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,42,130,0,232,0,0,0,136,0,0,0,64,0,0,0,8,0,0,0,10,0,0,0,116,0,0,0,36,0,0,0,12,0,0,0,52,0,0,0,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,42,130,0,232,0,0,0,50,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,42,130,0,78,0,0,0,204,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,42,130,0,232,0,0,0,104,0,0,0,64,0,0,0,50,0,0,0,30,0,0,0,46,0,0,0,94,0,0,0,30,0,0,0,60,0,0,0,68,0,0,0,10,0,0,0,14,0,0,0,86,0,0,0,28,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,42,130,0,70,1,0,0,52,0,0,0,64,0,0,0,22,0,0,0,26,0,0,0,50,0,0,0,68,0,0,0,18,0,0,0,56,0,0,0,56,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,24,43,130,0,14,1,0,0,254,0,0,0,200,255,255,255,200,255,255,255,24,43,130,0,46,0,0,0,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,43,130,0,172,0,0,0,114,0,0,0,112,0,0,0,10,0,0,0,42,0,0,0,66,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,43,130,0,232,0,0,0,112,0,0,0,64,0,0,0,8,0,0,0,10,0,0,0,116,0,0,0,36,0,0,0,12,0,0,0,52,0,0,0,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,43,130,0,232,0,0,0,212,0,0,0,64,0,0,0,8,0,0,0,10,0,0,0,116,0,0,0,36,0,0,0,12,0,0,0,52,0,0,0,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,43,130,0,66,0,0,0,24,1,0,0,158,0,0,0,72,0,0,0,30,0,0,0,10,0,0,0,60,0,0,0,122,0,0,0,48,0,0,0,182,0,0,0,10,0,0,0,78,0,0,0,46,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,43,130,0,178,0,0,0,48,1,0,0,68,0,0,0,52,0,0,0,18,0,0,0,92,0,0,0,124,0,0,0,116,0,0,0,64,0,0,0,32,0,0,0,28,0,0,0,16,0,0,0,4,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,43,130,0,14,0,0,0,162,0,0,0,158,0,0,0,72,0,0,0,34,0,0,0,84,0,0,0,60,0,0,0,122,0,0,0,48,0,0,0,4,0,0,0,10,0,0,0,86,0,0,0,46,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,128,43,130,0,160,0,0,0,140,0,0,0,152,255,255,255,152,255,255,255,128,43,130,0,116,0,0,0,228,0,0,0,0,0,0,0,0,0,0,0,108,0,0,0,0,0,0,0,144,43,130,0,174,0,0,0,226,0,0,0,148,255,255,255,148,255,255,255,144,43,130,0,142,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,192,43,130,0,58,0,0,0,20,1,0,0,252,255,255,255,252,255,255,255,192,43,130,0,194,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,216,43,130,0,28,1,0,0,50,1,0,0,252,255,255,255,252,255,255,255,216,43,130,0,150,0,0,0,4,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,240,43,130,0,118,0,0,0,74,1,0,0,248,255,255,255,248,255,255,255,240,43,130,0,234,0,0,0,46,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,8,44,130,0,148,0,0,0,10,1,0,0,248,255,255,255,248,255,255,255,8,44,130,0,184,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,44,130,0,22,1,0,0,86,0,0,0,114,0,0,0,20,0,0,0,16,0,0,0,74,0,0,0,56,0,0,0,122,0,0,0,48,0,0,0,130,0,0,0,10,0,0,0,46,0,0,0,46,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,44,130,0,8,1,0,0,30,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,44,130,0,60,1,0,0,42,1,0,0,62,0,0,0,52,0,0,0,18,0,0,0,92,0,0,0,74,0,0,0,116,0,0,0,64,0,0,0,32,0,0,0,28,0,0,0,16,0,0,0,62,0,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,44,130,0,202,0,0,0,16,1,0,0,100,0,0,0,72,0,0,0,34,0,0,0,84,0,0,0,126,0,0,0,122,0,0,0,48,0,0,0,4,0,0,0,10,0,0,0,86,0,0,0,74,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,44,130,0,36,1,0,0,192,0,0,0,64,0,0,0,104,0,0,0,172,0,0,0,120,0,0,0,206,0,0,0,18,0,0,0,88,0,0,0,42,0,0,0,72,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,44,130,0,146,0,0,0,74,0,0,0,64,0,0,0,156,0,0,0,166,0,0,0,172,0,0,0,194,0,0,0,200,0,0,0,78,0,0,0,162,0,0,0,140,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,44,130,0,40,1,0,0,156,0,0,0,64,0,0,0,16,0,0,0,80,0,0,0,24,0,0,0,116,0,0,0,208,0,0,0,142,0,0,0,136,0,0,0,150,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,44,130,0,100,0,0,0,220,0,0,0,64,0,0,0,148,0,0,0,152,0,0,0,86,0,0,0,186,0,0,0,80,0,0,0,70,0,0,0,114,0,0,0,184,0,0,0,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,45,130,0,250,0,0,0,22,0,0,0,154,0,0,0,52,0,0,0,18,0,0,0,92,0,0,0,124,0,0,0,116,0,0,0,64,0,0,0,108,0,0,0,118,0,0,0,26,0,0,0,4,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,45,130,0,20,0,0,0,32,1,0,0,170,0,0,0,72,0,0,0,34,0,0,0,84,0,0,0,60,0,0,0,122,0,0,0,48,0,0,0,140,0,0,0,24,0,0,0,4,0,0,0,46,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,45,130,0,62,1,0,0,2,1,0,0,84,0,0,0,200,0,0,0,16,0,0,0,2,0,0,0,24,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,132,20,130,0,156,45,130,0,176,45,130,0,152,20,130,0,44,22,130,0,196,45,130,0,216,45,130,0,64,22,130,0,92,22,130,0,236,45,130,0,0,46,130,0,112,22,130,0,83,116,57,116,121,112,101,95,105,110,102,111,0,0,0,0,83,116,57,101,120,99,101,112,116,105,111,110,0,0,0,0,83,116,57,98,97,100,95,97,108,108,111,99,0,0,0,0,83,116,56,98,97,100,95,99,97,115,116,0,0,0,0,0,83,116,49,51,114,117,110,116,105,109,101,95,101,114,114,111,114,0,0,0,0,0,0,0,83,116,49,50,111,117,116,95,111,102,95,114,97,110,103,101,0,0,0,0,0,0,0,0,83,116,49,50,108,101,110,103,116,104,95,101,114,114,111,114,0,0,0,0,0,0,0,0,83,116,49,49,108,111,103,105,99,95,101,114,114,111,114,0,78,83,116,51,95,95,49,57,116,105,109,101,95,98,97,115,101,69,0,0,0,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,98,97,115,105,99,95,105,111,115,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,57,98,97,115,105,99,95,105,111,115,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,112,117,116,73,119,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,112,117,116,73,99,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,103,101,116,73,119,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,103,101,116,73,99,69,69,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,110,117,109,112,117,110,99,116,73,119,69,69,0,0,0,0,78,83,116,51,95,95,49,56,110,117,109,112,117,110,99,116,73,99,69,69,0,0,0,0,78,83,116,51,95,95,49,56,109,101,115,115,97,103,101,115,73,119,69,69,0,0,0,0,78,83,116,51,95,95,49,56,109,101,115,115,97,103,101,115,73,99,69,69,0,0,0,0,78,83,116,51,95,95,49,56,105,111,115,95,98,97,115,101,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,56,105,111,115,95,98,97,115,101,55,102,97,105,108,117,114,101,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,108,108,97,116,101,73,119,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,108,108,97,116,101,73,99,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,119,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,99,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,68,115,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,68,105,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,54,108,111,99,97,108,101,53,102,97,99,101,116,69,0,0,0,78,83,116,51,95,95,49,54,108,111,99,97,108,101,53,95,95,105,109,112,69,0,0,0,78,83,116,51,95,95,49,53,99,116,121,112,101,73,119,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,53,99,116,121,112,101,73,99,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,119,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,99,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,57,98,97,115,105,99,95,111,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,0,0,78,83,116,51,95,95,49,49,57,95,95,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,69,0,0,0,78,83,116,51,95,95,49,49,55,95,95,119,105,100,101,110,95,102,114,111,109,95,117,116,102,56,73,76,106,51,50,69,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,49,54,95,95,110,97,114,114,111,119,95,116,111,95,117,116,102,56,73,76,106,51,50,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,105,110,103,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,101,114,114,111,114,95,99,97,116,101,103,111,114,121,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,98,97,115,105,99,95,111,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,52,98,97,115,105,99,95,105,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,52,95,95,115,104,97,114,101,100,95,99,111,117,110,116,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,95,95,110,117,109,95,112,117,116,95,98,97,115,101,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,95,95,110,117,109,95,103,101,116,95,98,97,115,101,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,51,109,101,115,115,97,103,101,115,95,98,97,115,101,69,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,102,105,108,101,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,50,115,121,115,116,101,109,95,101,114,114,111,114,69,0,0,78,83,116,51,95,95,49,49,50,99,111,100,101,99,118,116,95,98,97,115,101,69,0,0,78,83,116,51,95,95,49,49,50,95,95,100,111,95,109,101,115,115,97,103,101,69,0,0,78,83,116,51,95,95,49,49,49,95,95,115,116,100,111,117,116,98,117,102,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,115,116,100,111,117,116,98,117,102,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,112,117,116,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,112,117,116,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,103,101,116,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,103,101,116,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,49,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,48,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,49,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,48,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,95,98,97,115,101,69,0,0,0,0,78,83,116,51,95,95,49,49,48,99,116,121,112,101,95,98,97,115,101,69,0,0,0,0,78,83,116,51,95,95,49,49,48,95,95,116,105,109,101,95,112,117,116,69,0,0,0,0,78,83,116,51,95,95,49,49,48,95,95,115,116,100,105,110,98,117,102,73,119,69,69,0,78,83,116,51,95,95,49,49,48,95,95,115,116,100,105,110,98,117,102,73,99,69,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,49,95,95,118,109,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,48,95,95,115,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,54,95,95,115,104,105,109,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,0,0,0,0,0,0,0,0,40,26,130,0,0,0,0,0,56,26,130,0,0,0,0,0,72,26,130,0,16,39,130,0,0,0,0,0,0,0,0,0,88,26,130,0,16,39,130,0,0,0,0,0,0,0,0,0,104,26,130,0,16,39,130,0,0,0,0,0,0,0,0,0,128,26,130,0,104,39,130,0,0,0,0,0,0,0,0,0,152,26,130,0,104,39,130,0,0,0,0,0,0,0,0,0,176,26,130,0,16,39,130,0,0,0,0,0,0,0,0,0,192,26,130,0,208,25,130,0,216,26,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,120,44,130,0,0,0,0,0,208,25,130,0,32,27,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,128,44,130,0,0,0,0,0,208,25,130,0,104,27,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,136,44,130,0,0,0,0,0,208,25,130,0,176,27,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,144,44,130,0,0,0,0,0,0,0,0,0,248,27,130,0,112,41,130], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8519688);
/* memory initializer */ allocate([40,28,130,0,112,41,130,0,0,0,0,0,208,25,130,0,88,28,130,0,0,0,0,0,1,0,0,0,168,43,130,0,0,0,0,0,208,25,130,0,112,28,130,0,0,0,0,0,1,0,0,0,168,43,130,0,0,0,0,0,208,25,130,0,136,28,130,0,0,0,0,0,1,0,0,0,176,43,130,0,0,0,0,0,208,25,130,0,160,28,130,0,0,0,0,0,1,0,0,0,176,43,130,0,0,0,0,0,208,25,130,0,184,28,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,40,45,130,0,0,8,0,0,208,25,130,0,0,29,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,40,45,130,0,0,8,0,0,208,25,130,0,72,29,130,0,0,0,0,0,3,0,0,0,168,42,130,0,2,0,0,0,120,39,130,0,2,0,0,0,8,43,130,0,0,8,0,0,208,25,130,0,144,29,130,0,0,0,0,0,3,0,0,0,168,42,130,0,2,0,0,0,120,39,130,0,2,0,0,0,16,43,130,0,0,8,0,0,0,0,0,0,216,29,130,0,168,42,130,0,0,0,0,0,0,0,0,0,240,29,130,0,168,42,130,0,0,0,0,0,208,25,130,0,8,30,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,184,43,130,0,2,0,0,0,208,25,130,0,32,30,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,184,43,130,0,2,0,0,0,0,0,0,0,56,30,130,0,0,0,0,0,80,30,130,0,48,44,130,0,0,0,0,0,208,25,130,0,112,30,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,32,40,130,0,0,0,0,0,208,25,130,0,184,30,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,56,40,130,0,0,0,0,0,208,25,130,0,0,31,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,80,40,130,0,0,0,0,0,208,25,130,0,72,31,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,104,40,130,0,0,0,0,0,0,0,0,0,144,31,130,0,168,42,130,0,0,0,0,0,0,0,0,0,168,31,130,0,168,42,130,0,0,0,0,0,208,25,130,0,192,31,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,64,44,130,0,2,0,0,0,208,25,130,0,232,31,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,64,44,130,0,2,0,0,0,208,25,130,0,16,32,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,64,44,130,0,2,0,0,0,208,25,130,0,56,32,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,64,44,130,0,2,0,0,0,0,0,0,0,96,32,130,0,160,43,130,0,0,0,0,0,0,0,0,0,120,32,130,0,168,42,130,0,0,0,0,0,208,25,130,0,144,32,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,32,45,130,0,2,0,0,0,208,25,130,0,168,32,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,32,45,130,0,2,0,0,0,0,0,0,0,192,32,130,0,0,0,0,0,232,32,130,0,0,0,0,0,16,33,130,0,216,43,130,0,0,0,0,0,0,0,0,0,88,33,130,0,72,44,130,0,0,0,0,0,0,0,0,0,120,33,130,0,136,42,130,0,0,0,0,0,0,0,0,0,160,33,130,0,136,42,130,0,0,0,0,0,0,0,0,0,200,33,130,0,112,43,130,0,0,0,0,0,0,0,0,0,16,34,130,0,0,0,0,0,72,34,130,0,0,0,0,0,128,34,130,0,0,0,0,0,160,34,130,0,216,43,130,0,0,0,0,0,0,0,0,0,208,34,130,0,8,44,130,0,0,0,0,0,0,0,0,0,0,35,130,0,0,0,0,0,32,35,130,0,0,0,0,0,64,35,130,0,0,0,0,0,96,35,130,0,208,25,130,0,120,35,130,0,0,0,0,0,1,0,0,0,0,40,130,0,3,244,255,255,208,25,130,0,168,35,130,0,0,0,0,0,1,0,0,0,16,40,130,0,3,244,255,255,208,25,130,0,216,35,130,0,0,0,0,0,1,0,0,0,0,40,130,0,3,244,255,255,208,25,130,0,8,36,130,0,0,0,0,0,1,0,0,0,16,40,130,0,3,244,255,255,0,0,0,0,56,36,130,0,112,43,130,0,0,0,0,0,0,0,0,0,104,36,130,0,56,39,130,0,0,0,0,0,0,0,0,0,128,36,130,0,0,0,0,0,152,36,130,0,120,43,130,0,0,0,0,0,0,0,0,0,176,36,130,0,104,43,130,0,0,0,0,0,0,0,0,0,208,36,130,0,112,43,130,0,0,0,0,0,0,0,0,0,240,36,130,0,0,0,0,0,16,37,130,0,0,0,0,0,48,37,130,0,0,0,0,0,80,37,130,0,208,25,130,0,112,37,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,24,45,130,0,2,0,0,0,208,25,130,0,144,37,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,24,45,130,0,2,0,0,0,208,25,130,0,176,37,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,24,45,130,0,2,0,0,0,208,25,130,0,208,37,130,0,0,0,0,0,2,0,0,0,168,42,130,0,2,0,0,0,24,45,130,0,2,0,0,0,0,0,0,0,240,37,130,0,0,0,0,0,8,38,130,0,0,0,0,0,32,38,130,0,0,0,0,0,56,38,130,0,104,43,130,0,0,0,0,0,0,0,0,0,80,38,130,0,112,43,130,0,0,0,0,0,0,0,0,0,104,38,130,0,112,45,130,0,0,0,0,0,0,0,0,0,144,38,130,0,112,45,130,0,0,0,0,0,0,0,0,0,184,38,130,0,128,45,130,0,0,0,0,0,0,0,0,0,224,38,130,0,8,39,130,0,0,0,0,0,56,0,0,0,0,0,0,0,216,43,130,0,28,1,0,0,50,1,0,0,200,255,255,255,200,255,255,255,216,43,130,0,150,0,0,0,4,1,0,0,104,0,0,0,0,0,0,0,216,43,130,0,28,1,0,0,50,1,0,0,152,255,255,255,152,255,255,255,216,43,130,0,150,0,0,0,4,1,0,0,108,0,0,0,0,0,0,0,8,44,130,0,148,0,0,0,10,1,0,0,148,255,255,255,148,255,255,255,8,44,130,0,184,0,0,0,70,0,0,0,48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,65,66,67,68,69,70,120,88,43,45,112,80,105,73,110,78,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,233,155,45,187,150,23,97,191,20,73,235,117,147,199,223,191,12,41,32,232,84,117,144,64,233,155,45,187,150,23,97,191,20,73,235,117,147,199,223,191,12,41,32,232,84,117,144,64,233,155,45,187,150,23,97,191,20,73,235,117,147,199,223,191,12,41,32,232,84,117,144,64,1,0,0,0,48,46,130,0,72,46,130,0,0,0,0,0,1,0,0,0,56,46,130,0,96,46,130,0,0,0,0,0,1,0,0,0,64,46,130,0,120,46,130,0,0,0,0,0,3,0,0,0,0,0,0,0,97,68,46,23,127,16,51,65,185,134,187,85,62,148,178,192,76,66,108,108,150,237,10,192,1,0,0,0,192,46,130,0,200,46,130,0,0,0,0,0,58,10,0,0,0,0,0,0,100,111,32,110,111,116,32,115,117,109,32,117,112,32,116,111,32,49,46,32,73,110,115,116,101,97,100,44,32,115,117,109,40,88,95,98,111,117,110,100,97,114,121,41,32,61,32,0,84,104,101,32,98,111,117,110,100,97,114,121,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,105,110,32,109,101,100,105,117,109,32,34,0,34,10,0,0,0,0,0,0,32,34,0,0,0,0,0,0,93,32,61,32,0,0,0,0,32,32,32,88,95,98,111,117,110,100,97,114,121,91,0,0,10,105,115,32,110,101,103,97,116,105,118,101,46,32,73,116,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,46,10,0,0,0,0,0,41,32,61,32,0,0,0,0,34,58,10,84,104,101,32,98,111,117,110,100,97,114,121,32,118,97,108,117,101,32,88,95,98,111,117,110,100,97,114,121,40,0,0,0,0,0,0,0,34,32,105,110,32,109,111,100,101,108,32,34,0,0,0,0,10,87,114,111,110,103,32,98,111,117,110,100,97,114,121,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,105,110,32,109,101,100,105,117,109,32,34,0,0,0,0,0,0,34,32,104,97,115,32,77,101,100,105,117,109,46,115,105,110,103,108,101,83,116,97,116,101,61,116,114,117,101,46,10,84,104,101,114,101,102,111,114,101,44,32,97,110,32,98,111,117,110,100,97,114,121,32,100,101,110,115,105,116,121,32,99,97,110,110,111,116,32,98,101,32,100,101,102,105,110,101,100,32,97,110,100,10,100,101,102,105,110,101,95,112,32,61,32,116,114,117,101,32,105,115,32,114,101,113,117,105,114,101,100,46,10,0,0,0,0,0,0,0,34,58,10,84,104,101,32,115,101,108,101,99,116,101,100,32,109,101,100,105,117,109,32,34,0,0,0,0,0,0,0,0,10,87,114,111,110,103,32,118,97,108,117,101,32,111,102,32,112,97,114,97,109,101,116,101,114,32,100,101,102,105,110,101,95,112,32,40,61,32,102,97,108,115,101,41,32,105,110,32,109,111,100,101,108,32,34,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,1,0,0,0,224,48,130,0,248,48,130,0,0,0,0,0,1,0,0,0,232,48,130,0,0,49,130,0,0,0,0,0,1,0,0,0,240,48,130,0,8,49,130,0,0,0,0,0,3,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,189,92,153,218,30,31,73,191,184,247,219,204,32,64,11,64,177,153,40,153,52,199,171,64,189,92,153,218,30,31,73,191,184,247,219,204,32,64,11,64,177,153,40,153,52,199,171,64,189,92,153,218,30,31,73,191,184,247,219,204,32,64,11,64,177,153,40,153,52,199,171,64,189,92,153,218,30,31,73,191,184,247,219,204,32,64,11,64,177,153,40,153,52,199,171,64,1,0,0,0,64,49,130,0,96,49,130,0,0,0,0,0,1,0,0,0,72,49,130,0,120,49,130,0,0,0,0,0,1,0,0,0,80,49,130,0,144,49,130,0,0,0,0,0,1,0,0,0,88,49,130,0,168,49,130,0,0,0,0,0,41,46,32,80,108,101,97,115,101,32,99,111,114,114,101,99,116,32,97,114,103,117,109,101,110,116,115,46,0,0,0,0,44,32,121,49,100,32,61,32,0,0,0,0,0,0,0,0,114,101,103,70,117,110,51,40,41,58,32,68,101,114,105,118,97,116,105,118,101,115,32,97,116,32,100,97,116,97,32,112,111,105,110,116,115,32,100,111,32,110,111,116,32,97,108,108,111,119,32,99,111,45,109,111,110,111,116,111,110,101,32,105,110,116,101,114,112,111,108,97,116,105,111,110,44,32,97,115,32,98,111,116,104,32,97,114,101,32,110,111,110,45,122,101,114,111,44,32,111,102,32,111,112,112,111,115,105,116,101,32,115,105,103,110,32,97,110,100,32,104,97,118,101,32,97,110,32,97,98,115,111,108,117,116,101,32,118,97,108,117,101,32,108,97,114,103,101,114,32,116,104,97,110,32,109,97,99,104,105,110,101,32,101,112,115,32,40,121,48,100,32,61,32,0,41,46,32,80,108,101,97,115,101,32,102,108,105,112,32,97,114,103,117,109,101,110,116,115,46,0,0,0,0,0,0,0,32,62,32,120,49,32,61,32,0,0,0,0,0,0,0,0,114,101,103,70,117,110,51,40,41,58,32,68,97,116,97,32,112,111,105,110,116,115,32,110,111,116,32,115,111,114,116,101,100,32,97,112,112,114,111,112,114,105,97,116,101,108,121,32,40,120,48,32,61,32,0,0,102,97,32,97,110,100,32,102,98,32,109,117,115,116,32,104,97,118,101,32,111,112,112,111,115,105,116,101,32,115,105,103,110,32,119,104,105,99,104,32,105,115,32,110,111,116,32,116,104,101,32,99,97,115,101,0,32,32,102,98,32,61,32,102,40,120,95,109,97,120,41,32,45,32,121,95,122,101,114,111,32,61,32,0,0,0,0,0,32,32,102,97,32,61,32,102,40,120,95,109,105,110,41,32,45,32,121,95,122,101,114,111,32,61,32,0,0,0,0,0,32,32,121,95,122,101,114,111,32,61,32,0,0,0,0,0,32,32,120,95,109,97,120,32,32,61,32,0,0,0,0,0,10,0,0,0,0,0,0,0,84,104,101,32,97,114,103,117,109,101,110,116,115,32,120,95,109,105,110,32,97,110,100,32,120,95,109,97,120,32,116,111,32,79,110,101,78,111,110,76,105,110,101,97,114,69,113,117,97,116,105,111,110,46,115,111,108,118,101,40,46,46,41,10,100,111,32,110,111,116,32,98,114,97,99,107,101,116,32,116,104,101,32,114,111,111,116,32,111,102,32,116,104,101,32,115,105,110,103,108,101,32,110,111,110,45,108,105,110,101,97,114,32,101,113,117,97,116,105,111,110,58,10,32,32,120,95,109,105,110,32,32,61,32,0,0,114,111,117,103,104,110,101,115,115,32,62,32,48,32,114,101,113,117,105,114,101,100,32,102,111,114,32,113,117,97,100,114,97,116,105,99,32,116,117,114,98,117,108,101,110,116,32,119,97,108,108,32,102,114,105,99,116,105,111,110,32,99,104,97,114,97,99,116,101,114,105,115,116,105,99,0,0,0,0,0,0,0,0,0,80,8,2,0,48,155,1,0,184,55,1,0,56,227,0,0,192,179,0,0,16,155,0,0,224,129,0,0,112,107,0,0,160,242,104,0,48,186,2,0,240,160,2,0,184,138,2,0,224,120,2,0,240,104,2,0,8,89,2,0,168,75,2,0,104,58,2,0,24,43,2,0,0,29,2,0,8,14,2,0,184,253,1,0,176,239,1,0,56,226,1,0,240,215,1,0,152,205,1,0,64,196,1,0,48,187,1,0,8,177,1,0,32,168,1,0,168,159,1,0,176,146,1,0,72,137,1,0,104,126,1,0,216,116,1,0,216,106,1,0,128,98,1,0,0,88,1,0,152,78,1,0,64,71,1,0,120,60,1,0,0,0,0,0,200,149,0,0,112,102,0,0,240,100,0,0,24,187,2,0,16,96,0,0,96,92,0,0,248,182,2,0,80,181,2,0,72,177,2,0,216,174,2,0,240,172,2,0,216,170,2,0,136,168,2,0,8,166,2,0,120,163,2,0,152,161,2,0,128,158,2,0,96,156,2,0,224,192,2,0,240,189,2,0,200,149,0,0,112,102,0,0,240,100,0,0,48,98,0,0,16,96,0,0,96,92,0,0,120,90,0,0,176,87,0,0,184,85,0,0,24,10,130,0,152,243,104,0,80,215,2,0,24,213,2,0,40,210,2,0,240,207,2,0,40,206,2,0,176,196,2,0,128,194,2,0,224,192,2,0,240,189,2,0,200,149,0,0,120,133,0,0,232,130,0,0,96,126,0,0,120,124,0,0,0,123,0,0,168,121,0,0,0,0,0,0,24,174,0,0,80,158,0,0,32,156,0,0,0,152,0,0,224,149,0,0,184,147,0,0,16,145,0,0,0,0,0,0,200,149,0,0,144,147,0,0,240,144,0,0,72,141,0,0,64,139,0,0,72,137,0,0,112,135,0,0,0,0,0,0,24,174,0,0,144,171,0,0,160,169,0,0,24,167,0,0,72,165,0,0,224,162,0,0,184,160,0,0,0,0,0,0,104,196,2,0,136,188,2,0,168,15,2,0,176,160,1,0,32,62,1,0,0,0,0,0,152,232,0,0,48,182,0,0,72,156,0,0,104,131,0,0,32,62,1,0,0,0,0,0,1,0,0,0,145,4,0,0,1,0,0,0,148,4,0,0,1,0,0,0,151,4,0,0,200,54,130,0,192,54,130,0,184,54,130,0,0,0,0,0,200,242,0,0,64,109,2,0,56,217,1,0,0,0,0,0,176,227,0,0,120,104,2,0,168,215,1,0,96,116,1,0,176,22,1,0,24,197,0,0,80,169,0,0,200,144,0,0,8,121,0,0,128,95,0,0,152,207,2,0,152,174,2,0,56,151,2,0,40,130,2,0,32,115,2,0,40,98,2,0,104,84,2,0,216,67,2,0,112,53,2,0,176,37,2,0,0,23,2,0,128,6,2,0,112,248,1,0,192,233,1,0,24,222,1,0,8,212,1,0,64,202,1,0,136,193,1,0,144,183,1,0,248,172,1,0,32,165,1,0,88,154,1,0,240,141,1,0,232,133,1,0,248,122,1,0,96,112,1,0,176,103,1,0,72,94,1,0,152,84,1,0,0,76,1,0,24,67,1,0,152,54,1,0,152,45,1,0,0,37,1,0,1,0,0,0,90,0,0,0,1,0,0,0,87,0,0,0,1,0,0,0,109,3,0,0,1,0,0,0,103,3,0,0,1,0,0,0,99,3,0,0,1,0,0,0,93,3,0,0,1,0,0,0,88,3,0,0,1,0,0,0,85,3,0,0,1,0,0,0,84,0,0,0,1,0,0,0,78,3,0,0,1,0,0,0,74,3,0,0,1,0,0,0,83,0,0,0,1,0,0,0,68,3,0,0,1,0,0,0,67,3,0,0,1,0,0,0,66,3,0,0,1,0,0,0,61,3,0,0,1,0,0,0,51,3,0,0,1,0,0,0,44,3,0,0,1,0,0,0,38,3,0,0,1,0,0,0,28,3,0,0,1,0,0,0,27,3,0,0,1,0,0,0,21,3,0,0,1,0,0,0,20,3,0,0,1,0,0,0,15,3,0,0,1,0,0,0,14,3,0,0,1,0,0,0,13,3,0,0,1,0,0,0,9,3,0,0,1,0,0,0,3,3,0,0,1,0,0,0,0,3,0,0,1,0,0,0,249,2,0,0,1,0,0,0,248,2,0,0,1,0,0,0,244,2,0,0,1,0,0,0,239,2,0,0,1,0,0,0,229,2,0,0,1,0,0,0,221,2,0,0,1,0,0,0,220,2,0,0,1,0,0,0,214,2,0,0,1,0,0,0,208,2,0,0,1,0,0,0,71,0,0,0,1,0,0,0,207,2,0,0,1,0,0,0,206,2,0,0,1,0,0,0,203,2,0,0,1,0,0,0,196,2,0,0,1,0,0,0,192,2,0,0,1,0,0,0,186,2,0,0,1,0,0,0,185,2,0,0,1,0,0,0,184,2,0,0,1,0,0,0,183,2,0,0,1,0,0,0,180,2,0,0,1,0,0,0,68,0,0,0,1,0,0,0,173,2,0,0,1,0,0,0,170,2,0,0,1,0,0,0,67,0,0,0,1,0,0,0,163,2,0,0,1,0,0,0,162,2,0,0,1,0,0,0,159,2,0,0,1,0,0,0,152,2,0,0,1,0,0,0,151,2,0,0,1,0,0,0,148,2,0,0,1,0,0,0,147,2,0,0,1,0,0,0,144,2,0,0,1,0,0,0,141,2,0,0,1,0,0,0,134,2,0,0,1,0,0,0,133,2,0,0,1,0,0,0,130,2,0,0,1,0,0,0,123,2,0,0,1,0,0,0,122,2,0,0,1,0,0,0,118,2,0,0,1,0,0,0,116,2,0,0,1,0,0,0,114,2,0,0,1,0,0,0,113,2,0,0,1,0,0,0,108,2,0,0,1,0,0,0,101,2,0,0,1,0,0,0,97,2,0,0,1,0,0,0,96,2,0,0,1,0,0,0,75,2,0,0,1,0,0,0,64,2,0,0,1,0,0,0,63,2,0,0,1,0,0,0,59,2,0,0,1,0,0,0,58,2,0,0,1,0,0,0,52,2,0,0,1,0,0,0,55,0,0,0,1,0,0,0,44,2,0,0,1,0,0,0,43,2,0,0,1,0,0,0,54,0,0,0,1,0,0,0,37,2,0,0,1,0,0,0,36,2,0,0,1,0,0,0,31,2,0,0,1,0,0,0,12,2,0,0,1,0,0,0,11,2,0,0,1,0,0,0,9,2,0,0,1,0,0,0,6,2,0,0,1,0,0,0,4,2,0,0,1,0,0,0,0,2,0,0,1,0,0,0,255,1,0,0,1,0,0,0,252,1,0,0,1,0,0,0,251,1,0,0,1,0,0,0,249,1,0,0,1,0,0,0,248,1,0,0,1,0,0,0,246,1,0,0,1,0,0,0,244,1,0,0,1,0,0,0,241,1,0,0,1,0,0,0,238,1,0,0,1,0,0,0,237,1,0,0,1,0,0,0,235,1,0,0,1,0,0,0,234,1,0,0,1,0,0,0,232,1,0,0,1,0,0,0,230,1,0,0,1,0,0,0,223,1,0,0,1,0,0,0,214,1,0,0,1,0,0,0,203,1,0,0,1,0,0,0,194,1,0,0,1,0,0,0,183,1,0,0,1,0,0,0,174,1,0,0,1,0,0,0,42,0,0,0,1,0,0,0,41,0,0,0,1,0,0,0,163,1,0,0,1,0,0,0,154,1,0,0,1,0,0,0,143,1,0,0,1,0,0,0,134,1,0,0,1,0,0,0,123,1,0,0,1,0,0,0,114,1,0,0,1,0,0,0,103,1,0,0,1,0,0,0,93,1,0,0,1,0,0,0,81,1,0,0,1,0,0,0,72,1,0,0,1,0,0,0,61,1,0,0,0,0,0,0,0,0,0,0,96,93,2,0,38,17,0,0,7,0,0,0,38,17,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,93,2,0,35,17,0,0,7,0,0,0,35,17,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,93,2,0,34,17,0,0,7,0,0,0,34,17,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,93,2,0,33,17,0,0,7,0,0,0,33,17,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,93,2,0,30,17,0,0,7,0,0,0,30,17,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,137,0,0,53,4,0,0,13,0,0,0,53,4,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,137,0,0,52,4,0,0,13,0,0,0,52,4,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,52,1,0,0,0,0,0,0,0,0,0,0,184,137,0,0,152,1,0,0,7,0,0,0,153,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,137,0,0,144,1,0,0,7,0,0,0,147,1,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,0,1,0,102,3,0,0,3,0,0,0,102,3,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,188,1,0,102,0,0,0,7,0,0,0,102,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,0,1,0,95,1,0,0,3,0,0,0,100,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,0,1,0,89,1,0,0,3,0,0,0,94,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,195,2,0,21,0,0,0,7,0,0,0,23,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,195,2,0,231,1,0,0,7,0,0,0,239,1,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,41,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,32,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,19,1,0,38,17,0,0,7,0,0,0,38,17,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,19,1,0,39,17,0,0,7,0,0,0,39,17,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,19,1,0,40,17,0,0,7,0,0,0,40,17,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,19,1,0,36,17,0,0,7,0,0,0,37,17,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,102,1,0,245,4,0,0,13,0,0,0,1,5,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,19,1,0,34,17,0,0,7,0,0,0,34,17,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,75,1,0,102,0,0,0,7,0,0,0,102,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,19,1,0,33,17,0,0,7,0,0,0,33,17,0,0,60,0,0,0,0,0,0,0,1,0,0,0,21,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,121,1,0,118,3,0,0,3,0,0,0,118,3,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,40,1,0,6,0,0,0,3,0,0,0,6,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,40,1,0,18,0,0,0,3,0,0,0,18,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,75,1,0,215,0,0,0,7,0,0,0,215,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,18,2,0,20,3,0,0,5,0,0,0,22,3,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,18,2,0,142,0,0,0,5,0,0,0,145,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,18,2,0,146,0,0,0,5,0,0,0,149,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,18,2,0,150,0,0,0,5,0,0,0,153,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,102,1,0,248,0,0,0,7,0,0,0,249,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,102,1,0,255,0,0,0,7,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,102,1,0,7,1,0,0,7,0,0,0,9,1,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,121,1,0,80,3,0,0,3,0,0,0,85,3,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,121,1,0,86,3,0,0,3,0,0,0,91,3,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,102,1,0,88,1,0,0,7,0,0,0,89,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,102,1,0,91,1,0,0,7,0,0,0,93,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,121,1,0,53,3,0,0,3,0,0,0,55,3,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,121,1,0,56,3,0,0,3,0,0,0,58,3,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,121,1,0,67,3,0,0,3,0,0,0,69,3,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,102,1,0,78,1,0,0,7,0,0,0,80,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,102,1,0,83,1,0,0,7,0,0,0,85,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,121,1,0,92,3,0,0,3,0,0,0,94,3,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,121,1,0,59,3,0,0,3,0,0,0,61,3,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,121,1,0,62,3,0,0,3,0,0,0,64,3,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,121,1,0,70,3,0,0,3,0,0,0,72,3,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,121,1,0,73,3,0,0,3,0,0,0,75,3,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,102,1,0,29,4,0,0,13,0,0,0,31,4,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,102,1,0,32,4,0,0,13,0,0,0,34,4,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,102,1,0,229,4,0,0,13,0,0,0,231,4,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,102,1,0,21,4,0,0,13,0,0,0,23,4,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,102,1,0,26,4,0,0,13,0,0,0,28,4,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,102,1,0,221,4,0,0,13,0,0,0,222,4,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,102,1,0,80,4,0,0,13,0,0,0,82,4,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,102,1,0,87,4,0,0,13,0,0,0,91,4,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,102,1,0,68,1,0,0,7,0,0,0,70,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,121,1,0,236,1,0,0,5,0,0,0,237,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,12,1], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8529932);
/* memory initializer */ allocate([216,121,1,0,63,1,0,0,3,0,0,0,65,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,3,2,0,177,1,0,0,7,0,0,0,179,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,3,2,0,194,1,0,0,7,0,0,0,195,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,3,2,0,200,1,0,0,7,0,0,0,202,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,3,2,0,210,1,0,0,7,0,0,0,212,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,3,2,0,196,1,0,0,7,0,0,0,199,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,121,1,0,56,1,0,0,3,0,0,0,58,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,121,1,0,59,1,0,0,3,0,0,0,61,1,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,36,2,0,8,0,0,0,3,0,0,0,10,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,36,2,0,11,0,0,0,3,0,0,0,13,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,36,2,0,22,0,0,0,3,0,0,0,25,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,36,2,0,35,0,0,0,3,0,0,0,38,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,36,2,0,57,0,0,0,3,0,0,0,59,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,36,2,0,60,0,0,0,3,0,0,0,62,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,36,2,0,63,0,0,0,3,0,0,0,65,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,36,2,0,44,0,0,0,3,0,0,0,46,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,36,2,0,47,0,0,0,3,0,0,0,49,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,36,2,0,26,0,0,0,3,0,0,0,28,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,36,2,0,29,0,0,0,3,0,0,0,31,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,36,2,0,32,0,0,0,3,0,0,0,34,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,159,0,0,240,5,0,0,7,0,0,0,241,5,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,58,9,0,0,1,0,0,0,54,9,0,0,1,0,0,0,53,9,0,0,1,0,0,0,30,9,0,0,1,0,0,0,26,9,0,0,1,0,0,0,25,9,0,0,1,0,0,0,2,9,0,0,1,0,0,0,254,8,0,0,1,0,0,0,253,8,0,0,1,0,0,0,227,0,0,0,1,0,0,0,230,8,0,0,1,0,0,0,226,8,0,0,1,0,0,0,225,8,0,0,1,0,0,0,226,0,0,0,1,0,0,0,225,0,0,0,1,0,0,0,202,8,0,0,1,0,0,0,224,0,0,0,1,0,0,0,198,8,0,0,1,0,0,0,197,8,0,0,1,0,0,0,223,0,0,0,1,0,0,0,222,0,0,0,1,0,0,0,221,0,0,0,1,0,0,0,220,0,0,0,1,0,0,0,219,0,0,0,1,0,0,0,142,8,0,0,1,0,0,0,218,0,0,0,1,0,0,0,137,8,0,0,1,0,0,0,133,8,0,0,1,0,0,0,132,8,0,0,1,0,0,0,217,0,0,0,1,0,0,0,114,8,0,0,1,0,0,0,109,8,0,0,1,0,0,0,104,8,0,0,1,0,0,0,100,8,0,0,1,0,0,0,99,8,0,0,1,0,0,0,81,8,0,0,1,0,0,0,77,8,0,0,1,0,0,0,76,8,0,0,1,0,0,0,58,8,0,0,1,0,0,0,54,8,0,0,1,0,0,0,53,8,0,0,1,0,0,0,35,8,0,0,1,0,0,0,31,8,0,0,1,0,0,0,30,8,0,0,1,0,0,0,12,8,0,0,1,0,0,0,8,8,0,0,1,0,0,0,7,8,0,0,1,0,0,0,175,7,0,0,1,0,0,0,172,7,0,0,200,112,0,0,219,0,0,0,7,0,0,0,222,0,0,0,35,0,0,0,0,0,0,0,224,98,0,0,82,17,0,0,7,0,0,0,83,17,0,0,76,0,0,0,0,0,0,0,56,96,0,0,25,1,0,0,7,0,0,0,25,1,0,0,90,0,0,0,0,0,0,0,1,0,0,0,217,6,0,0,1,0,0,0,209,6,0,0,1,0,0,0,206,6,0,0,1,0,0,0,201,6,0,0,1,0,0,0,193,6,0,0,1,0,0,0,190,6,0,0,1,0,0,0,184,6,0,0,1,0,0,0,177,6,0,0,1,0,0,0,174,6,0,0,1,0,0,0,168,6,0,0,1,0,0,0,16,0,0,0,1,0,0,0,161,6,0,0,1,0,0,0,158,6,0,0,1,0,0,0,152,6,0,0,1,0,0,0,145,6,0,0,1,0,0,0,142,6,0,0,1,0,0,0,137,6,0,0,1,0,0,0,129,6,0,0,1,0,0,0,126,6,0,0,1,0,0,0,120,6,0,0,1,0,0,0,113,6,0,0,1,0,0,0,110,6,0,0,1,0,0,0,104,6,0,0,1,0,0,0,97,6,0,0,1,0,0,0,94,6,0,0,1,0,0,0,89,6,0,0,1,0,0,0,81,6,0,0,1,0,0,0,78,6,0,0,1,0,0,0,72,6,0,0,1,0,0,0,65,6,0,0,1,0,0,0,15,0,0,0,1,0,0,0,62,6,0,0,1,0,0,0,56,6,0,0,1,0,0,0,49,6,0,0,1,0,0,0,46,6,0,0,1,0,0,0,40,6,0,0,1,0,0,0,33,6,0,0,1,0,0,0,30,6,0,0,1,0,0,0,24,6,0,0,1,0,0,0,155,0,0,0,1,0,0,0,17,6,0,0,1,0,0,0,14,6,0,0,1,0,0,0,154,0,0,0,1,0,0,0,9,6,0,0,1,0,0,0,1,6,0,0,1,0,0,0,254,5,0,0,1,0,0,0,248,5,0,0,1,0,0,0,241,5,0,0,1,0,0,0,238,5,0,0,1,0,0,0,233,5,0,0,1,0,0,0,225,5,0,0,1,0,0,0,222,5,0,0,1,0,0,0,216,5,0,0,1,0,0,0,209,5,0,0,1,0,0,0,206,5,0,0,1,0,0,0,201,5,0,0,1,0,0,0,193,5,0,0,1,0,0,0,190,5,0,0,1,0,0,0,185,5,0,0,1,0,0,0,177,5,0,0,1,0,0,0,174,5,0,0,1,0,0,0,169,5,0,0,1,0,0,0,161,5,0,0,1,0,0,0,158,5,0,0,1,0,0,0,152,5,0,0,1,0,0,0,142,0,0,0,1,0,0,0,145,5,0,0,1,0,0,0,142,5,0,0,1,0,0,0,141,0,0,0,1,0,0,0,136,5,0,0,1,0,0,0,129,5,0,0,1,0,0,0,126,5,0,0,1,0,0,0,118,5,0,0,1,0,0,0,117,5,0,0,1,0,0,0,115,5,0,0,1,0,0,0,113,5,0,0,1,0,0,0,112,5,0,0,1,0,0,0,110,5,0,0,1,0,0,0,98,5,0,0,1,0,0,0,92,5,0,0,1,0,0,0,90,5,0,0,1,0,0,0,88,5,0,0,1,0,0,0,86,5,0,0,1,0,0,0,85,5,0,0,1,0,0,0,78,5,0,0,1,0,0,0,76,5,0,0,1,0,0,0,75,5,0,0,1,0,0,0,73,5,0,0,1,0,0,0,71,5,0,0,1,0,0,0,67,5,0,0,1,0,0,0,65,5,0,0,1,0,0,0,64,5,0,0,1,0,0,0,62,5,0,0,1,0,0,0,61,5,0,0,1,0,0,0,56,5,0,0,1,0,0,0,55,5,0,0,1,0,0,0,54,5,0,0,1,0,0,0,53,5,0,0,1,0,0,0,51,5,0,0,1,0,0,0,49,5,0,0,1,0,0,0,47,5,0,0,1,0,0,0,46,5,0,0,1,0,0,0,44,5,0,0,1,0,0,0,35,5,0,0,1,0,0,0,33,5,0,0,1,0,0,0,22,5,0,0,1,0,0,0,129,0,0,0,1,0,0,0,17,5,0,0,1,0,0,0,128,0,0,0,1,0,0,0,234,4,0,0,1,0,0,0,231,4,0,0,1,0,0,0,229,4,0,0,1,0,0,0,227,4,0,0,1,0,0,0,224,4,0,0,1,0,0,0,222,4,0,0,1,0,0,0,218,4,0,0,1,0,0,0,215,4,0,0,1,0,0,0,213,4,0,0,1,0,0,0,212,4,0,0,1,0,0,0,211,4,0,0,1,0,0,0,207,4,0,0,1,0,0,0,116,0,0,0,1,0,0,0,115,0,0,0,1,0,0,0,103,0,0,0,1,0,0,0,102,0,0,0,24,0,0,0,222,0,0,0,12,1,0,0,94,0,0,0,80,0,0,0,132,0,0,0,20,0,0,0,52,0,0,0,198,0,0,0,128,0,0,0,98,0,0,0,164,0,0,0,202,0,0,0,102,0,0,0,2,0,0,0,158,0,0,0,92,0,0,0,80,0,0,0,1,0,0,0,1,0,0,0,134,0,0,0,96,0,0,0,190,0,0,0,2,0,0,0,54,0,0,0,180,0,0,0,40,0,0,0,206,0,0,0,76,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,70,0,0,0,64,0,0,0,68,0,0,0,66,0,0,0,44,0,0,0,200,0,0,0,78,0,0,0,94,0,0,0,168,0,0,0,90,0,0,0,10,0,0,0,6,0,0,0,64,0,0,0,2,0,0,0,248,186,1,0,0,145,0,0,144,141,0,0,80,139,0,0,16,11,2,0,104,137,0,0,112,143,2,0,88,181,2,0,16,11,2,0,168,156,1,0,104,57,1,0,200,228,0,0,72,180,0,0,96,155,0,0,16,130,0,0,168,107,0,0,216,242,104,0,112,186,2,0,24,161,2,0,216,138,2,0,248,120,2,0,232,104,2,0,248,88,2,0,160,75,2,0,88,58,2,0,8,43,2,0,240,28,2,0,176,13,2,0,152,253,1,0,152,239,1,0,16,226,1,0,200,215,1,0,104,205,1,0,16,196,1,0,248,186,1,0,200,176,1,0,200,176,1,0,208,167,1,0,80,159,1,0,80,146,1,0,240,136,1,0,8,126,1,0,128,116,1,0,120,106,1,0,48,98,1,0,184,87,1,0,48,78,1,0,168,70,1,0,200,59,1,0,128,47,1,0,232,39,1,0,112,31,1,0,64,23,1,0,184,15,1,0,80,7,1,0,176,255,0,0,120,247,0,0,80,239,0,0,64,231,0,0,112,219,0,0,144,211,0,0,120,203,0,0,121,101,115,0,0,0,0,0,118,101,114,115,105,111,110,0,115,116,97,110,100,97,108,111,110,101,0,0,0,0,0,0,110,111,0,0,0,0,0,0,101,110,99,111,100,105,110,103,0,0,0,0,0,0,0,0,85,84,70,45,56,0,0,0,85,84,70,45,49,54,76,69,0,0,0,0,0,0,0,0,85,84,70,45,49,54,66,69,0,0,0,0,0,0,0,0,85,84,70,45,49,54,0,0,85,83,45,65,83,67,73,73,0,0,0,0,0,0,0,0,83,89,83,84,69,77,0,0,82,69,81,85,73,82,69,68,0,0,0,0,0,0,0,0,80,85,66,76,73,67,0,0,80,67,68,65,84,65,0,0,78,79,84,65,84,73,79,78,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,83,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,0,78,68,65,84,65,0,0,0,73,83,79,45,56,56,53,57,45,49,0,0,0,0,0,0,73,78,67,76,85,68,69,0,73,77,80,76,73,69,68,0,73,71,78,79,82,69,0,0,73,68,82,69,70,83,0,0,73,68,82,69,70,0,0,0,73,68,0,0,0,0,0,0,70,73,88,69,68,0,0,0,69,78,84,73,84,89,0,0,69,78,84,73,84,73,69,83,0,0,0,0,0,0,0,0,69,77,80,84,89,0,0,0,69,76,69,77,69,78,84,0,68,79,67,84,89,80,69,0,67,68,65,84,65,0,0,0,65,84,84,76,73,83,84,0,65,78,89,0,0,0,0,0,24,174,0,0,184,135,0,0,136,133,0,0,48,131,0,0,24,174,0,0,216,141,0,0,88,139,0,0,120,137,0,0,224,210,0,0,200,99,2,0,104,212,1,0,112,111,1,0,240,18,1,0,0,196,0,0,128,167,0,0,136,152,0,0,192,119,0,0,88,103,0,0,32,240,104,0,168,183,2,0,216,158,2,0,128,135,2,0,88,103,0,0,120,119,2,0,168,96,2,0,72,83,2,0,112,66,2,0,88,57,2,0,168,36,2,0,240,21,2,0,16,13,2,0,64,253,1,0,136,232,1,0,8,221,1,0,160,214,1,0,80,204,1,0,216,192,1,0,232,185,1,0,120,175,1,0,120,164,1,0,0,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,232,188,0,0,72,93,2,0,88,209,1,0,96,108,1,0,104,17,1,0,72,195,0,0,120,167,0,0,64,142,0,0,224,119,0,0,168,92,0,0,72,206,2,0,128,173,2,0,176,149,2,0,112,128,2,0,232,113,2,0,192,96,2,0,104,83,2,0,152,66,2,0,0,52,2,0,184,36,2,0,152,22,2,0,216,5,2,0,240,247,1,0,40,233,1,0,48,221,1,0,112,211,1,0,176,201,1,0,16,193,1,0,168,182,1,0,104,172,1,0,160,164,1,0,0,0,0,0,192,153,1,0,120,178,0,0,96,175,0,0,40,122,1,0,8,173,0,0,248,102,1,0,144,93,1,0,192,170,0,0,80,168,0,0,88,66,1,0,112,53,1,0,216,166,0,0,88,164,0,0,248,161,0,0,152,19,1,0,136,12,1,0,88,159,0,0,120,157,0,0,24,154,0,0,48,151,0,0,144,224,0,0,224,215,0,0,200,207,0,0,232,148,0,0,80,146,0,0,80,143,0,0,192,191,0,0,248,188,0,0,136,186,0,0,240,183,0,0,160,164,1,0,0,0,0,0,192,153,1,0,80,141,1,0,64,133,1,0,40,122,1,0,48,111,1,0,248,102,1,0,144,93,1,0,112,83,1,0,128,75,1,0,88,66,1,0,112,53,1,0,8,45,1,0,80,36,1,0,24,28,1,0,152,19,1,0,136,12,1,0,56,4,1,0,112,252,0,0,16,244,0,0,32,236,0,0,144,224,0,0,224,215,0,0,200,207,0,0,200,199,0,0,160,196,0,0,88,194,0,0,192,191,0,0,248,188,0,0,136,186,0,0,240,183,0,0,160,164,1,0,0,0,0,0,65,49,32,98,116,46,32,105,114,49,32,110,97,32,32,84,106,32,32,114,101,32,32,97,99,32,32,110,116,32,32,115,111,32,32,32,114,32,32,32,121,32,32,32,0,0,0,0], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8540440);



var tempDoublePtr = Runtime.alignMemory(allocate(12, "i8", ALLOC_STATIC), 8);

assert(tempDoublePtr % 8 == 0);

function copyTempFloat(ptr) { // functions, because inlining this code increases code size too much

  HEAP8[tempDoublePtr] = HEAP8[ptr];

  HEAP8[tempDoublePtr+1] = HEAP8[ptr+1];

  HEAP8[tempDoublePtr+2] = HEAP8[ptr+2];

  HEAP8[tempDoublePtr+3] = HEAP8[ptr+3];

}

function copyTempDouble(ptr) {

  HEAP8[tempDoublePtr] = HEAP8[ptr];

  HEAP8[tempDoublePtr+1] = HEAP8[ptr+1];

  HEAP8[tempDoublePtr+2] = HEAP8[ptr+2];

  HEAP8[tempDoublePtr+3] = HEAP8[ptr+3];

  HEAP8[tempDoublePtr+4] = HEAP8[ptr+4];

  HEAP8[tempDoublePtr+5] = HEAP8[ptr+5];

  HEAP8[tempDoublePtr+6] = HEAP8[ptr+6];

  HEAP8[tempDoublePtr+7] = HEAP8[ptr+7];

}


   
  Module["_strlen"] = _strlen;

   
  Module["_strncpy"] = _strncpy;

  
  
  var ERRNO_CODES={EPERM:1,ENOENT:2,ESRCH:3,EINTR:4,EIO:5,ENXIO:6,E2BIG:7,ENOEXEC:8,EBADF:9,ECHILD:10,EAGAIN:11,EWOULDBLOCK:11,ENOMEM:12,EACCES:13,EFAULT:14,ENOTBLK:15,EBUSY:16,EEXIST:17,EXDEV:18,ENODEV:19,ENOTDIR:20,EISDIR:21,EINVAL:22,ENFILE:23,EMFILE:24,ENOTTY:25,ETXTBSY:26,EFBIG:27,ENOSPC:28,ESPIPE:29,EROFS:30,EMLINK:31,EPIPE:32,EDOM:33,ERANGE:34,ENOMSG:42,EIDRM:43,ECHRNG:44,EL2NSYNC:45,EL3HLT:46,EL3RST:47,ELNRNG:48,EUNATCH:49,ENOCSI:50,EL2HLT:51,EDEADLK:35,ENOLCK:37,EBADE:52,EBADR:53,EXFULL:54,ENOANO:55,EBADRQC:56,EBADSLT:57,EDEADLOCK:35,EBFONT:59,ENOSTR:60,ENODATA:61,ETIME:62,ENOSR:63,ENONET:64,ENOPKG:65,EREMOTE:66,ENOLINK:67,EADV:68,ESRMNT:69,ECOMM:70,EPROTO:71,EMULTIHOP:72,EDOTDOT:73,EBADMSG:74,ENOTUNIQ:76,EBADFD:77,EREMCHG:78,ELIBACC:79,ELIBBAD:80,ELIBSCN:81,ELIBMAX:82,ELIBEXEC:83,ENOSYS:38,ENOTEMPTY:39,ENAMETOOLONG:36,ELOOP:40,EOPNOTSUPP:95,EPFNOSUPPORT:96,ECONNRESET:104,ENOBUFS:105,EAFNOSUPPORT:97,EPROTOTYPE:91,ENOTSOCK:88,ENOPROTOOPT:92,ESHUTDOWN:108,ECONNREFUSED:111,EADDRINUSE:98,ECONNABORTED:103,ENETUNREACH:101,ENETDOWN:100,ETIMEDOUT:110,EHOSTDOWN:112,EHOSTUNREACH:113,EINPROGRESS:115,EALREADY:114,EDESTADDRREQ:89,EMSGSIZE:90,EPROTONOSUPPORT:93,ESOCKTNOSUPPORT:94,EADDRNOTAVAIL:99,ENETRESET:102,EISCONN:106,ENOTCONN:107,ETOOMANYREFS:109,EUSERS:87,EDQUOT:122,ESTALE:116,ENOTSUP:95,ENOMEDIUM:123,EILSEQ:84,EOVERFLOW:75,ECANCELED:125,ENOTRECOVERABLE:131,EOWNERDEAD:130,ESTRPIPE:86};
  
  var ERRNO_MESSAGES={0:"Success",1:"Not super-user",2:"No such file or directory",3:"No such process",4:"Interrupted system call",5:"I/O error",6:"No such device or address",7:"Arg list too long",8:"Exec format error",9:"Bad file number",10:"No children",11:"No more processes",12:"Not enough core",13:"Permission denied",14:"Bad address",15:"Block device required",16:"Mount device busy",17:"File exists",18:"Cross-device link",19:"No such device",20:"Not a directory",21:"Is a directory",22:"Invalid argument",23:"Too many open files in system",24:"Too many open files",25:"Not a typewriter",26:"Text file busy",27:"File too large",28:"No space left on device",29:"Illegal seek",30:"Read only file system",31:"Too many links",32:"Broken pipe",33:"Math arg out of domain of func",34:"Math result not representable",35:"File locking deadlock error",36:"File or path name too long",37:"No record locks available",38:"Function not implemented",39:"Directory not empty",40:"Too many symbolic links",42:"No message of desired type",43:"Identifier removed",44:"Channel number out of range",45:"Level 2 not synchronized",46:"Level 3 halted",47:"Level 3 reset",48:"Link number out of range",49:"Protocol driver not attached",50:"No CSI structure available",51:"Level 2 halted",52:"Invalid exchange",53:"Invalid request descriptor",54:"Exchange full",55:"No anode",56:"Invalid request code",57:"Invalid slot",59:"Bad font file fmt",60:"Device not a stream",61:"No data (for no delay io)",62:"Timer expired",63:"Out of streams resources",64:"Machine is not on the network",65:"Package not installed",66:"The object is remote",67:"The link has been severed",68:"Advertise error",69:"Srmount error",70:"Communication error on send",71:"Protocol error",72:"Multihop attempted",73:"Cross mount point (not really error)",74:"Trying to read unreadable message",75:"Value too large for defined data type",76:"Given log. name not unique",77:"f.d. invalid for this operation",78:"Remote address changed",79:"Can   access a needed shared lib",80:"Accessing a corrupted shared lib",81:".lib section in a.out corrupted",82:"Attempting to link in too many libs",83:"Attempting to exec a shared library",84:"Illegal byte sequence",86:"Streams pipe error",87:"Too many users",88:"Socket operation on non-socket",89:"Destination address required",90:"Message too long",91:"Protocol wrong type for socket",92:"Protocol not available",93:"Unknown protocol",94:"Socket type not supported",95:"Not supported",96:"Protocol family not supported",97:"Address family not supported by protocol family",98:"Address already in use",99:"Address not available",100:"Network interface is not configured",101:"Network is unreachable",102:"Connection reset by network",103:"Connection aborted",104:"Connection reset by peer",105:"No buffer space available",106:"Socket is already connected",107:"Socket is not connected",108:"Can't send after socket shutdown",109:"Too many references",110:"Connection timed out",111:"Connection refused",112:"Host is down",113:"Host is unreachable",114:"Socket already connected",115:"Connection already in progress",116:"Stale file handle",122:"Quota exceeded",123:"No medium (in tape drive)",125:"Operation canceled",130:"Previous owner died",131:"State not recoverable"};
  
  
  var ___errno_state=0;function ___setErrNo(value) {
      // For convenient setting and returning of errno.
      HEAP32[((___errno_state)>>2)]=value;
      return value;
    }
  
  var PATH={splitPath:function (filename) {
        var splitPathRe = /^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;
        return splitPathRe.exec(filename).slice(1);
      },normalizeArray:function (parts, allowAboveRoot) {
        // if the path tries to go above the root, `up` ends up > 0
        var up = 0;
        for (var i = parts.length - 1; i >= 0; i--) {
          var last = parts[i];
          if (last === '.') {
            parts.splice(i, 1);
          } else if (last === '..') {
            parts.splice(i, 1);
            up++;
          } else if (up) {
            parts.splice(i, 1);
            up--;
          }
        }
        // if the path is allowed to go above the root, restore leading ..s
        if (allowAboveRoot) {
          for (; up--; up) {
            parts.unshift('..');
          }
        }
        return parts;
      },normalize:function (path) {
        var isAbsolute = path.charAt(0) === '/',
            trailingSlash = path.substr(-1) === '/';
        // Normalize the path
        path = PATH.normalizeArray(path.split('/').filter(function(p) {
          return !!p;
        }), !isAbsolute).join('/');
        if (!path && !isAbsolute) {
          path = '.';
        }
        if (path && trailingSlash) {
          path += '/';
        }
        return (isAbsolute ? '/' : '') + path;
      },dirname:function (path) {
        var result = PATH.splitPath(path),
            root = result[0],
            dir = result[1];
        if (!root && !dir) {
          // No dirname whatsoever
          return '.';
        }
        if (dir) {
          // It has a dirname, strip trailing slash
          dir = dir.substr(0, dir.length - 1);
        }
        return root + dir;
      },basename:function (path) {
        // EMSCRIPTEN return '/'' for '/', not an empty string
        if (path === '/') return '/';
        var lastSlash = path.lastIndexOf('/');
        if (lastSlash === -1) return path;
        return path.substr(lastSlash+1);
      },extname:function (path) {
        return PATH.splitPath(path)[3];
      },join:function () {
        var paths = Array.prototype.slice.call(arguments, 0);
        return PATH.normalize(paths.join('/'));
      },join2:function (l, r) {
        return PATH.normalize(l + '/' + r);
      },resolve:function () {
        var resolvedPath = '',
          resolvedAbsolute = false;
        for (var i = arguments.length - 1; i >= -1 && !resolvedAbsolute; i--) {
          var path = (i >= 0) ? arguments[i] : FS.cwd();
          // Skip empty and invalid entries
          if (typeof path !== 'string') {
            throw new TypeError('Arguments to path.resolve must be strings');
          } else if (!path) {
            continue;
          }
          resolvedPath = path + '/' + resolvedPath;
          resolvedAbsolute = path.charAt(0) === '/';
        }
        // At this point the path should be resolved to a full absolute path, but
        // handle relative paths to be safe (might happen when process.cwd() fails)
        resolvedPath = PATH.normalizeArray(resolvedPath.split('/').filter(function(p) {
          return !!p;
        }), !resolvedAbsolute).join('/');
        return ((resolvedAbsolute ? '/' : '') + resolvedPath) || '.';
      },relative:function (from, to) {
        from = PATH.resolve(from).substr(1);
        to = PATH.resolve(to).substr(1);
        function trim(arr) {
          var start = 0;
          for (; start < arr.length; start++) {
            if (arr[start] !== '') break;
          }
          var end = arr.length - 1;
          for (; end >= 0; end--) {
            if (arr[end] !== '') break;
          }
          if (start > end) return [];
          return arr.slice(start, end - start + 1);
        }
        var fromParts = trim(from.split('/'));
        var toParts = trim(to.split('/'));
        var length = Math.min(fromParts.length, toParts.length);
        var samePartsLength = length;
        for (var i = 0; i < length; i++) {
          if (fromParts[i] !== toParts[i]) {
            samePartsLength = i;
            break;
          }
        }
        var outputParts = [];
        for (var i = samePartsLength; i < fromParts.length; i++) {
          outputParts.push('..');
        }
        outputParts = outputParts.concat(toParts.slice(samePartsLength));
        return outputParts.join('/');
      }};
  
  var TTY={ttys:[],init:function () {
        // https://github.com/kripken/emscripten/pull/1555
        // if (ENVIRONMENT_IS_NODE) {
        //   // currently, FS.init does not distinguish if process.stdin is a file or TTY
        //   // device, it always assumes it's a TTY device. because of this, we're forcing
        //   // process.stdin to UTF8 encoding to at least make stdin reading compatible
        //   // with text files until FS.init can be refactored.
        //   process['stdin']['setEncoding']('utf8');
        // }
      },shutdown:function () {
        // https://github.com/kripken/emscripten/pull/1555
        // if (ENVIRONMENT_IS_NODE) {
        //   // inolen: any idea as to why node -e 'process.stdin.read()' wouldn't exit immediately (with process.stdin being a tty)?
        //   // isaacs: because now it's reading from the stream, you've expressed interest in it, so that read() kicks off a _read() which creates a ReadReq operation
        //   // inolen: I thought read() in that case was a synchronous operation that just grabbed some amount of buffered data if it exists?
        //   // isaacs: it is. but it also triggers a _read() call, which calls readStart() on the handle
        //   // isaacs: do process.stdin.pause() and i'd think it'd probably close the pending call
        //   process['stdin']['pause']();
        // }
      },register:function (dev, ops) {
        TTY.ttys[dev] = { input: [], output: [], ops: ops };
        FS.registerDevice(dev, TTY.stream_ops);
      },stream_ops:{open:function (stream) {
          var tty = TTY.ttys[stream.node.rdev];
          if (!tty) {
            throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
          }
          stream.tty = tty;
          stream.seekable = false;
        },close:function (stream) {
          // flush any pending line data
          if (stream.tty.output.length) {
            stream.tty.ops.put_char(stream.tty, 10);
          }
        },read:function (stream, buffer, offset, length, pos /* ignored */) {
          if (!stream.tty || !stream.tty.ops.get_char) {
            throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
          }
          var bytesRead = 0;
          for (var i = 0; i < length; i++) {
            var result;
            try {
              result = stream.tty.ops.get_char(stream.tty);
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
            if (result === undefined && bytesRead === 0) {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
            if (result === null || result === undefined) break;
            bytesRead++;
            buffer[offset+i] = result;
          }
          if (bytesRead) {
            stream.node.timestamp = Date.now();
          }
          return bytesRead;
        },write:function (stream, buffer, offset, length, pos) {
          if (!stream.tty || !stream.tty.ops.put_char) {
            throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
          }
          for (var i = 0; i < length; i++) {
            try {
              stream.tty.ops.put_char(stream.tty, buffer[offset+i]);
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
          }
          if (length) {
            stream.node.timestamp = Date.now();
          }
          return i;
        }},default_tty_ops:{get_char:function (tty) {
          if (!tty.input.length) {
            var result = null;
            if (ENVIRONMENT_IS_NODE) {
              result = process['stdin']['read']();
              if (!result) {
                if (process['stdin']['_readableState'] && process['stdin']['_readableState']['ended']) {
                  return null;  // EOF
                }
                return undefined;  // no data available
              }
            } else if (typeof window != 'undefined' &&
              typeof window.prompt == 'function') {
              // Browser.
              result = window.prompt('Input: ');  // returns null on cancel
              if (result !== null) {
                result += '\n';
              }
            } else if (typeof readline == 'function') {
              // Command line.
              result = readline();
              if (result !== null) {
                result += '\n';
              }
            }
            if (!result) {
              return null;
            }
            tty.input = intArrayFromString(result, true);
          }
          return tty.input.shift();
        },put_char:function (tty, val) {
          if (val === null || val === 10) {
            Module['print'](tty.output.join(''));
            tty.output = [];
          } else {
            tty.output.push(TTY.utf8.processCChar(val));
          }
        }},default_tty1_ops:{put_char:function (tty, val) {
          if (val === null || val === 10) {
            Module['printErr'](tty.output.join(''));
            tty.output = [];
          } else {
            tty.output.push(TTY.utf8.processCChar(val));
          }
        }}};
  
  var MEMFS={ops_table:null,CONTENT_OWNING:1,CONTENT_FLEXIBLE:2,CONTENT_FIXED:3,mount:function (mount) {
        return MEMFS.createNode(null, '/', 16384 | 0777, 0);
      },createNode:function (parent, name, mode, dev) {
        if (FS.isBlkdev(mode) || FS.isFIFO(mode)) {
          // no supported
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (!MEMFS.ops_table) {
          MEMFS.ops_table = {
            dir: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr,
                lookup: MEMFS.node_ops.lookup,
                mknod: MEMFS.node_ops.mknod,
                mknod: MEMFS.node_ops.mknod,
                rename: MEMFS.node_ops.rename,
                unlink: MEMFS.node_ops.unlink,
                rmdir: MEMFS.node_ops.rmdir,
                readdir: MEMFS.node_ops.readdir,
                symlink: MEMFS.node_ops.symlink
              },
              stream: {
                llseek: MEMFS.stream_ops.llseek
              }
            },
            file: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr
              },
              stream: {
                llseek: MEMFS.stream_ops.llseek,
                read: MEMFS.stream_ops.read,
                write: MEMFS.stream_ops.write,
                allocate: MEMFS.stream_ops.allocate,
                mmap: MEMFS.stream_ops.mmap
              }
            },
            link: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr,
                readlink: MEMFS.node_ops.readlink
              },
              stream: {}
            },
            chrdev: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr
              },
              stream: FS.chrdev_stream_ops
            },
          };
        }
        var node = FS.createNode(parent, name, mode, dev);
        if (FS.isDir(node.mode)) {
          node.node_ops = MEMFS.ops_table.dir.node;
          node.stream_ops = MEMFS.ops_table.dir.stream;
          node.contents = {};
        } else if (FS.isFile(node.mode)) {
          node.node_ops = MEMFS.ops_table.file.node;
          node.stream_ops = MEMFS.ops_table.file.stream;
          node.contents = [];
          node.contentMode = MEMFS.CONTENT_FLEXIBLE;
        } else if (FS.isLink(node.mode)) {
          node.node_ops = MEMFS.ops_table.link.node;
          node.stream_ops = MEMFS.ops_table.link.stream;
        } else if (FS.isChrdev(node.mode)) {
          node.node_ops = MEMFS.ops_table.chrdev.node;
          node.stream_ops = MEMFS.ops_table.chrdev.stream;
        }
        node.timestamp = Date.now();
        // add the new node to the parent
        if (parent) {
          parent.contents[name] = node;
        }
        return node;
      },ensureFlexible:function (node) {
        if (node.contentMode !== MEMFS.CONTENT_FLEXIBLE) {
          var contents = node.contents;
          node.contents = Array.prototype.slice.call(contents);
          node.contentMode = MEMFS.CONTENT_FLEXIBLE;
        }
      },node_ops:{getattr:function (node) {
          var attr = {};
          // device numbers reuse inode numbers.
          attr.dev = FS.isChrdev(node.mode) ? node.id : 1;
          attr.ino = node.id;
          attr.mode = node.mode;
          attr.nlink = 1;
          attr.uid = 0;
          attr.gid = 0;
          attr.rdev = node.rdev;
          if (FS.isDir(node.mode)) {
            attr.size = 4096;
          } else if (FS.isFile(node.mode)) {
            attr.size = node.contents.length;
          } else if (FS.isLink(node.mode)) {
            attr.size = node.link.length;
          } else {
            attr.size = 0;
          }
          attr.atime = new Date(node.timestamp);
          attr.mtime = new Date(node.timestamp);
          attr.ctime = new Date(node.timestamp);
          // NOTE: In our implementation, st_blocks = Math.ceil(st_size/st_blksize),
          //       but this is not required by the standard.
          attr.blksize = 4096;
          attr.blocks = Math.ceil(attr.size / attr.blksize);
          return attr;
        },setattr:function (node, attr) {
          if (attr.mode !== undefined) {
            node.mode = attr.mode;
          }
          if (attr.timestamp !== undefined) {
            node.timestamp = attr.timestamp;
          }
          if (attr.size !== undefined) {
            MEMFS.ensureFlexible(node);
            var contents = node.contents;
            if (attr.size < contents.length) contents.length = attr.size;
            else while (attr.size > contents.length) contents.push(0);
          }
        },lookup:function (parent, name) {
          throw FS.genericErrors[ERRNO_CODES.ENOENT];
        },mknod:function (parent, name, mode, dev) {
          return MEMFS.createNode(parent, name, mode, dev);
        },rename:function (old_node, new_dir, new_name) {
          // if we're overwriting a directory at new_name, make sure it's empty.
          if (FS.isDir(old_node.mode)) {
            var new_node;
            try {
              new_node = FS.lookupNode(new_dir, new_name);
            } catch (e) {
            }
            if (new_node) {
              for (var i in new_node.contents) {
                throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
              }
            }
          }
          // do the internal rewiring
          delete old_node.parent.contents[old_node.name];
          old_node.name = new_name;
          new_dir.contents[new_name] = old_node;
          old_node.parent = new_dir;
        },unlink:function (parent, name) {
          delete parent.contents[name];
        },rmdir:function (parent, name) {
          var node = FS.lookupNode(parent, name);
          for (var i in node.contents) {
            throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
          }
          delete parent.contents[name];
        },readdir:function (node) {
          var entries = ['.', '..']
          for (var key in node.contents) {
            if (!node.contents.hasOwnProperty(key)) {
              continue;
            }
            entries.push(key);
          }
          return entries;
        },symlink:function (parent, newname, oldpath) {
          var node = MEMFS.createNode(parent, newname, 0777 | 40960, 0);
          node.link = oldpath;
          return node;
        },readlink:function (node) {
          if (!FS.isLink(node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          return node.link;
        }},stream_ops:{read:function (stream, buffer, offset, length, position) {
          var contents = stream.node.contents;
          if (position >= contents.length)
            return 0;
          var size = Math.min(contents.length - position, length);
          assert(size >= 0);
          if (size > 8 && contents.subarray) { // non-trivial, and typed array
            buffer.set(contents.subarray(position, position + size), offset);
          } else
          {
            for (var i = 0; i < size; i++) {
              buffer[offset + i] = contents[position + i];
            }
          }
          return size;
        },write:function (stream, buffer, offset, length, position, canOwn) {
          var node = stream.node;
          node.timestamp = Date.now();
          var contents = node.contents;
          if (length && contents.length === 0 && position === 0 && buffer.subarray) {
            // just replace it with the new data
            if (canOwn && offset === 0) {
              node.contents = buffer; // this could be a subarray of Emscripten HEAP, or allocated from some other source.
              node.contentMode = (buffer.buffer === HEAP8.buffer) ? MEMFS.CONTENT_OWNING : MEMFS.CONTENT_FIXED;
            } else {
              node.contents = new Uint8Array(buffer.subarray(offset, offset+length));
              node.contentMode = MEMFS.CONTENT_FIXED;
            }
            return length;
          }
          MEMFS.ensureFlexible(node);
          var contents = node.contents;
          while (contents.length < position) contents.push(0);
          for (var i = 0; i < length; i++) {
            contents[position + i] = buffer[offset + i];
          }
          return length;
        },llseek:function (stream, offset, whence) {
          var position = offset;
          if (whence === 1) {  // SEEK_CUR.
            position += stream.position;
          } else if (whence === 2) {  // SEEK_END.
            if (FS.isFile(stream.node.mode)) {
              position += stream.node.contents.length;
            }
          }
          if (position < 0) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          stream.ungotten = [];
          stream.position = position;
          return position;
        },allocate:function (stream, offset, length) {
          MEMFS.ensureFlexible(stream.node);
          var contents = stream.node.contents;
          var limit = offset + length;
          while (limit > contents.length) contents.push(0);
        },mmap:function (stream, buffer, offset, length, position, prot, flags) {
          if (!FS.isFile(stream.node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
          }
          var ptr;
          var allocated;
          var contents = stream.node.contents;
          // Only make a new copy when MAP_PRIVATE is specified.
          if ( !(flags & 2) &&
                (contents.buffer === buffer || contents.buffer === buffer.buffer) ) {
            // We can't emulate MAP_SHARED when the file is not backed by the buffer
            // we're mapping to (e.g. the HEAP buffer).
            allocated = false;
            ptr = contents.byteOffset;
          } else {
            // Try to avoid unnecessary slices.
            if (position > 0 || position + length < contents.length) {
              if (contents.subarray) {
                contents = contents.subarray(position, position + length);
              } else {
                contents = Array.prototype.slice.call(contents, position, position + length);
              }
            }
            allocated = true;
            ptr = _malloc(length);
            if (!ptr) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOMEM);
            }
            buffer.set(contents, ptr);
          }
          return { ptr: ptr, allocated: allocated };
        }}};
  
  var IDBFS={dbs:{},indexedDB:function () {
        return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
      },DB_VERSION:21,DB_STORE_NAME:"FILE_DATA",mount:function (mount) {
        // reuse all of the core MEMFS functionality
        return MEMFS.mount.apply(null, arguments);
      },syncfs:function (mount, populate, callback) {
        IDBFS.getLocalSet(mount, function(err, local) {
          if (err) return callback(err);
  
          IDBFS.getRemoteSet(mount, function(err, remote) {
            if (err) return callback(err);
  
            var src = populate ? remote : local;
            var dst = populate ? local : remote;
  
            IDBFS.reconcile(src, dst, callback);
          });
        });
      },getDB:function (name, callback) {
        // check the cache first
        var db = IDBFS.dbs[name];
        if (db) {
          return callback(null, db);
        }
  
        var req;
        try {
          req = IDBFS.indexedDB().open(name, IDBFS.DB_VERSION);
        } catch (e) {
          return callback(e);
        }
        req.onupgradeneeded = function(e) {
          var db = e.target.result;
          var transaction = e.target.transaction;
  
          var fileStore;
  
          if (db.objectStoreNames.contains(IDBFS.DB_STORE_NAME)) {
            fileStore = transaction.objectStore(IDBFS.DB_STORE_NAME);
          } else {
            fileStore = db.createObjectStore(IDBFS.DB_STORE_NAME);
          }
  
          fileStore.createIndex('timestamp', 'timestamp', { unique: false });
        };
        req.onsuccess = function() {
          db = req.result;
  
          // add to the cache
          IDBFS.dbs[name] = db;
          callback(null, db);
        };
        req.onerror = function() {
          callback(this.error);
        };
      },getLocalSet:function (mount, callback) {
        var entries = {};
  
        function isRealDir(p) {
          return p !== '.' && p !== '..';
        };
        function toAbsolute(root) {
          return function(p) {
            return PATH.join2(root, p);
          }
        };
  
        var check = FS.readdir(mount.mountpoint).filter(isRealDir).map(toAbsolute(mount.mountpoint));
  
        while (check.length) {
          var path = check.pop();
          var stat;
  
          try {
            stat = FS.stat(path);
          } catch (e) {
            return callback(e);
          }
  
          if (FS.isDir(stat.mode)) {
            check.push.apply(check, FS.readdir(path).filter(isRealDir).map(toAbsolute(path)));
          }
  
          entries[path] = { timestamp: stat.mtime };
        }
  
        return callback(null, { type: 'local', entries: entries });
      },getRemoteSet:function (mount, callback) {
        var entries = {};
  
        IDBFS.getDB(mount.mountpoint, function(err, db) {
          if (err) return callback(err);
  
          var transaction = db.transaction([IDBFS.DB_STORE_NAME], 'readonly');
          transaction.onerror = function() { callback(this.error); };
  
          var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
          var index = store.index('timestamp');
  
          index.openKeyCursor().onsuccess = function(event) {
            var cursor = event.target.result;
  
            if (!cursor) {
              return callback(null, { type: 'remote', db: db, entries: entries });
            }
  
            entries[cursor.primaryKey] = { timestamp: cursor.key };
  
            cursor.continue();
          };
        });
      },loadLocalEntry:function (path, callback) {
        var stat, node;
  
        try {
          var lookup = FS.lookupPath(path);
          node = lookup.node;
          stat = FS.stat(path);
        } catch (e) {
          return callback(e);
        }
  
        if (FS.isDir(stat.mode)) {
          return callback(null, { timestamp: stat.mtime, mode: stat.mode });
        } else if (FS.isFile(stat.mode)) {
          return callback(null, { timestamp: stat.mtime, mode: stat.mode, contents: node.contents });
        } else {
          return callback(new Error('node type not supported'));
        }
      },storeLocalEntry:function (path, entry, callback) {
        try {
          if (FS.isDir(entry.mode)) {
            FS.mkdir(path, entry.mode);
          } else if (FS.isFile(entry.mode)) {
            FS.writeFile(path, entry.contents, { encoding: 'binary', canOwn: true });
          } else {
            return callback(new Error('node type not supported'));
          }
  
          FS.utime(path, entry.timestamp, entry.timestamp);
        } catch (e) {
          return callback(e);
        }
  
        callback(null);
      },removeLocalEntry:function (path, callback) {
        try {
          var lookup = FS.lookupPath(path);
          var stat = FS.stat(path);
  
          if (FS.isDir(stat.mode)) {
            FS.rmdir(path);
          } else if (FS.isFile(stat.mode)) {
            FS.unlink(path);
          }
        } catch (e) {
          return callback(e);
        }
  
        callback(null);
      },loadRemoteEntry:function (store, path, callback) {
        var req = store.get(path);
        req.onsuccess = function(event) { callback(null, event.target.result); };
        req.onerror = function() { callback(this.error); };
      },storeRemoteEntry:function (store, path, entry, callback) {
        var req = store.put(entry, path);
        req.onsuccess = function() { callback(null); };
        req.onerror = function() { callback(this.error); };
      },removeRemoteEntry:function (store, path, callback) {
        var req = store.delete(path);
        req.onsuccess = function() { callback(null); };
        req.onerror = function() { callback(this.error); };
      },reconcile:function (src, dst, callback) {
        var total = 0;
  
        var create = [];
        Object.keys(src.entries).forEach(function (key) {
          var e = src.entries[key];
          var e2 = dst.entries[key];
          if (!e2 || e.timestamp > e2.timestamp) {
            create.push(key);
            total++;
          }
        });
  
        var remove = [];
        Object.keys(dst.entries).forEach(function (key) {
          var e = dst.entries[key];
          var e2 = src.entries[key];
          if (!e2) {
            remove.push(key);
            total++;
          }
        });
  
        if (!total) {
          return callback(null);
        }
  
        var errored = false;
        var completed = 0;
        var db = src.type === 'remote' ? src.db : dst.db;
        var transaction = db.transaction([IDBFS.DB_STORE_NAME], 'readwrite');
        var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
  
        function done(err) {
          if (err) {
            if (!done.errored) {
              done.errored = true;
              return callback(err);
            }
            return;
          }
          if (++completed >= total) {
            return callback(null);
          }
        };
  
        transaction.onerror = function() { done(this.error); };
  
        // sort paths in ascending order so directory entries are created
        // before the files inside them
        create.sort().forEach(function (path) {
          if (dst.type === 'local') {
            IDBFS.loadRemoteEntry(store, path, function (err, entry) {
              if (err) return done(err);
              IDBFS.storeLocalEntry(path, entry, done);
            });
          } else {
            IDBFS.loadLocalEntry(path, function (err, entry) {
              if (err) return done(err);
              IDBFS.storeRemoteEntry(store, path, entry, done);
            });
          }
        });
  
        // sort paths in descending order so files are deleted before their
        // parent directories
        remove.sort().reverse().forEach(function(path) {
          if (dst.type === 'local') {
            IDBFS.removeLocalEntry(path, done);
          } else {
            IDBFS.removeRemoteEntry(store, path, done);
          }
        });
      }};
  
  var NODEFS={isWindows:false,staticInit:function () {
        NODEFS.isWindows = !!process.platform.match(/^win/);
      },mount:function (mount) {
        assert(ENVIRONMENT_IS_NODE);
        return NODEFS.createNode(null, '/', NODEFS.getMode(mount.opts.root), 0);
      },createNode:function (parent, name, mode, dev) {
        if (!FS.isDir(mode) && !FS.isFile(mode) && !FS.isLink(mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var node = FS.createNode(parent, name, mode);
        node.node_ops = NODEFS.node_ops;
        node.stream_ops = NODEFS.stream_ops;
        return node;
      },getMode:function (path) {
        var stat;
        try {
          stat = fs.lstatSync(path);
          if (NODEFS.isWindows) {
            // On Windows, directories return permission bits 'rw-rw-rw-', even though they have 'rwxrwxrwx', so 
            // propagate write bits to execute bits.
            stat.mode = stat.mode | ((stat.mode & 146) >> 1);
          }
        } catch (e) {
          if (!e.code) throw e;
          throw new FS.ErrnoError(ERRNO_CODES[e.code]);
        }
        return stat.mode;
      },realPath:function (node) {
        var parts = [];
        while (node.parent !== node) {
          parts.push(node.name);
          node = node.parent;
        }
        parts.push(node.mount.opts.root);
        parts.reverse();
        return PATH.join.apply(null, parts);
      },flagsToPermissionStringMap:{0:"r",1:"r+",2:"r+",64:"r",65:"r+",66:"r+",129:"rx+",193:"rx+",514:"w+",577:"w",578:"w+",705:"wx",706:"wx+",1024:"a",1025:"a",1026:"a+",1089:"a",1090:"a+",1153:"ax",1154:"ax+",1217:"ax",1218:"ax+",4096:"rs",4098:"rs+"},flagsToPermissionString:function (flags) {
        if (flags in NODEFS.flagsToPermissionStringMap) {
          return NODEFS.flagsToPermissionStringMap[flags];
        } else {
          return flags;
        }
      },node_ops:{getattr:function (node) {
          var path = NODEFS.realPath(node);
          var stat;
          try {
            stat = fs.lstatSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          // node.js v0.10.20 doesn't report blksize and blocks on Windows. Fake them with default blksize of 4096.
          // See http://support.microsoft.com/kb/140365
          if (NODEFS.isWindows && !stat.blksize) {
            stat.blksize = 4096;
          }
          if (NODEFS.isWindows && !stat.blocks) {
            stat.blocks = (stat.size+stat.blksize-1)/stat.blksize|0;
          }
          return {
            dev: stat.dev,
            ino: stat.ino,
            mode: stat.mode,
            nlink: stat.nlink,
            uid: stat.uid,
            gid: stat.gid,
            rdev: stat.rdev,
            size: stat.size,
            atime: stat.atime,
            mtime: stat.mtime,
            ctime: stat.ctime,
            blksize: stat.blksize,
            blocks: stat.blocks
          };
        },setattr:function (node, attr) {
          var path = NODEFS.realPath(node);
          try {
            if (attr.mode !== undefined) {
              fs.chmodSync(path, attr.mode);
              // update the common node structure mode as well
              node.mode = attr.mode;
            }
            if (attr.timestamp !== undefined) {
              var date = new Date(attr.timestamp);
              fs.utimesSync(path, date, date);
            }
            if (attr.size !== undefined) {
              fs.truncateSync(path, attr.size);
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },lookup:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          var mode = NODEFS.getMode(path);
          return NODEFS.createNode(parent, name, mode);
        },mknod:function (parent, name, mode, dev) {
          var node = NODEFS.createNode(parent, name, mode, dev);
          // create the backing node for this in the fs root as well
          var path = NODEFS.realPath(node);
          try {
            if (FS.isDir(node.mode)) {
              fs.mkdirSync(path, node.mode);
            } else {
              fs.writeFileSync(path, '', { mode: node.mode });
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          return node;
        },rename:function (oldNode, newDir, newName) {
          var oldPath = NODEFS.realPath(oldNode);
          var newPath = PATH.join2(NODEFS.realPath(newDir), newName);
          try {
            fs.renameSync(oldPath, newPath);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },unlink:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          try {
            fs.unlinkSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },rmdir:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          try {
            fs.rmdirSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },readdir:function (node) {
          var path = NODEFS.realPath(node);
          try {
            return fs.readdirSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },symlink:function (parent, newName, oldPath) {
          var newPath = PATH.join2(NODEFS.realPath(parent), newName);
          try {
            fs.symlinkSync(oldPath, newPath);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },readlink:function (node) {
          var path = NODEFS.realPath(node);
          try {
            return fs.readlinkSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        }},stream_ops:{open:function (stream) {
          var path = NODEFS.realPath(stream.node);
          try {
            if (FS.isFile(stream.node.mode)) {
              stream.nfd = fs.openSync(path, NODEFS.flagsToPermissionString(stream.flags));
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },close:function (stream) {
          try {
            if (FS.isFile(stream.node.mode) && stream.nfd) {
              fs.closeSync(stream.nfd);
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },read:function (stream, buffer, offset, length, position) {
          // FIXME this is terrible.
          var nbuffer = new Buffer(length);
          var res;
          try {
            res = fs.readSync(stream.nfd, nbuffer, 0, length, position);
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          if (res > 0) {
            for (var i = 0; i < res; i++) {
              buffer[offset + i] = nbuffer[i];
            }
          }
          return res;
        },write:function (stream, buffer, offset, length, position) {
          // FIXME this is terrible.
          var nbuffer = new Buffer(buffer.subarray(offset, offset + length));
          var res;
          try {
            res = fs.writeSync(stream.nfd, nbuffer, 0, length, position);
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          return res;
        },llseek:function (stream, offset, whence) {
          var position = offset;
          if (whence === 1) {  // SEEK_CUR.
            position += stream.position;
          } else if (whence === 2) {  // SEEK_END.
            if (FS.isFile(stream.node.mode)) {
              try {
                var stat = fs.fstatSync(stream.nfd);
                position += stat.size;
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES[e.code]);
              }
            }
          }
  
          if (position < 0) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
  
          stream.position = position;
          return position;
        }}};
  
  var _stdin=allocate(1, "i32*", ALLOC_STATIC);
  
  var _stdout=allocate(1, "i32*", ALLOC_STATIC);
  
  var _stderr=allocate(1, "i32*", ALLOC_STATIC);
  
  function _fflush(stream) {
      // int fflush(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fflush.html
      // we don't currently perform any user-space buffering of data
    }var FS={root:null,mounts:[],devices:[null],streams:[],nextInode:1,nameTable:null,currentPath:"/",initialized:false,ignorePermissions:true,ErrnoError:null,genericErrors:{},handleFSError:function (e) {
        if (!(e instanceof FS.ErrnoError)) throw e + ' : ' + stackTrace();
        return ___setErrNo(e.errno);
      },lookupPath:function (path, opts) {
        path = PATH.resolve(FS.cwd(), path);
        opts = opts || {};
  
        var defaults = {
          follow_mount: true,
          recurse_count: 0
        };
        for (var key in defaults) {
          if (opts[key] === undefined) {
            opts[key] = defaults[key];
          }
        }
  
        if (opts.recurse_count > 8) {  // max recursive lookup of 8
          throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
        }
  
        // split the path
        var parts = PATH.normalizeArray(path.split('/').filter(function(p) {
          return !!p;
        }), false);
  
        // start at the root
        var current = FS.root;
        var current_path = '/';
  
        for (var i = 0; i < parts.length; i++) {
          var islast = (i === parts.length-1);
          if (islast && opts.parent) {
            // stop resolving
            break;
          }
  
          current = FS.lookupNode(current, parts[i]);
          current_path = PATH.join2(current_path, parts[i]);
  
          // jump to the mount's root node if this is a mountpoint
          if (FS.isMountpoint(current)) {
            if (!islast || (islast && opts.follow_mount)) {
              current = current.mounted.root;
            }
          }
  
          // by default, lookupPath will not follow a symlink if it is the final path component.
          // setting opts.follow = true will override this behavior.
          if (!islast || opts.follow) {
            var count = 0;
            while (FS.isLink(current.mode)) {
              var link = FS.readlink(current_path);
              current_path = PATH.resolve(PATH.dirname(current_path), link);
              
              var lookup = FS.lookupPath(current_path, { recurse_count: opts.recurse_count });
              current = lookup.node;
  
              if (count++ > 40) {  // limit max consecutive symlinks to 40 (SYMLOOP_MAX).
                throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
              }
            }
          }
        }
  
        return { path: current_path, node: current };
      },getPath:function (node) {
        var path;
        while (true) {
          if (FS.isRoot(node)) {
            var mount = node.mount.mountpoint;
            if (!path) return mount;
            return mount[mount.length-1] !== '/' ? mount + '/' + path : mount + path;
          }
          path = path ? node.name + '/' + path : node.name;
          node = node.parent;
        }
      },hashName:function (parentid, name) {
        var hash = 0;
  
  
        for (var i = 0; i < name.length; i++) {
          hash = ((hash << 5) - hash + name.charCodeAt(i)) | 0;
        }
        return ((parentid + hash) >>> 0) % FS.nameTable.length;
      },hashAddNode:function (node) {
        var hash = FS.hashName(node.parent.id, node.name);
        node.name_next = FS.nameTable[hash];
        FS.nameTable[hash] = node;
      },hashRemoveNode:function (node) {
        var hash = FS.hashName(node.parent.id, node.name);
        if (FS.nameTable[hash] === node) {
          FS.nameTable[hash] = node.name_next;
        } else {
          var current = FS.nameTable[hash];
          while (current) {
            if (current.name_next === node) {
              current.name_next = node.name_next;
              break;
            }
            current = current.name_next;
          }
        }
      },lookupNode:function (parent, name) {
        var err = FS.mayLookup(parent);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        var hash = FS.hashName(parent.id, name);
        for (var node = FS.nameTable[hash]; node; node = node.name_next) {
          var nodeName = node.name;
          if (node.parent.id === parent.id && nodeName === name) {
            return node;
          }
        }
        // if we failed to find it in the cache, call into the VFS
        return FS.lookup(parent, name);
      },createNode:function (parent, name, mode, rdev) {
        if (!FS.FSNode) {
          FS.FSNode = function(parent, name, mode, rdev) {
            if (!parent) {
              parent = this;  // root node sets parent to itself
            }
            this.parent = parent;
            this.mount = parent.mount;
            this.mounted = null;
            this.id = FS.nextInode++;
            this.name = name;
            this.mode = mode;
            this.node_ops = {};
            this.stream_ops = {};
            this.rdev = rdev;
          };
  
          FS.FSNode.prototype = {};
  
          // compatibility
          var readMode = 292 | 73;
          var writeMode = 146;
  
          // NOTE we must use Object.defineProperties instead of individual calls to
          // Object.defineProperty in order to make closure compiler happy
          Object.defineProperties(FS.FSNode.prototype, {
            read: {
              get: function() { return (this.mode & readMode) === readMode; },
              set: function(val) { val ? this.mode |= readMode : this.mode &= ~readMode; }
            },
            write: {
              get: function() { return (this.mode & writeMode) === writeMode; },
              set: function(val) { val ? this.mode |= writeMode : this.mode &= ~writeMode; }
            },
            isFolder: {
              get: function() { return FS.isDir(this.mode); },
            },
            isDevice: {
              get: function() { return FS.isChrdev(this.mode); },
            },
          });
        }
  
        var node = new FS.FSNode(parent, name, mode, rdev);
  
        FS.hashAddNode(node);
  
        return node;
      },destroyNode:function (node) {
        FS.hashRemoveNode(node);
      },isRoot:function (node) {
        return node === node.parent;
      },isMountpoint:function (node) {
        return !!node.mounted;
      },isFile:function (mode) {
        return (mode & 61440) === 32768;
      },isDir:function (mode) {
        return (mode & 61440) === 16384;
      },isLink:function (mode) {
        return (mode & 61440) === 40960;
      },isChrdev:function (mode) {
        return (mode & 61440) === 8192;
      },isBlkdev:function (mode) {
        return (mode & 61440) === 24576;
      },isFIFO:function (mode) {
        return (mode & 61440) === 4096;
      },isSocket:function (mode) {
        return (mode & 49152) === 49152;
      },flagModes:{"r":0,"rs":1052672,"r+":2,"w":577,"wx":705,"xw":705,"w+":578,"wx+":706,"xw+":706,"a":1089,"ax":1217,"xa":1217,"a+":1090,"ax+":1218,"xa+":1218},modeStringToFlags:function (str) {
        var flags = FS.flagModes[str];
        if (typeof flags === 'undefined') {
          throw new Error('Unknown file open mode: ' + str);
        }
        return flags;
      },flagsToPermissionString:function (flag) {
        var accmode = flag & 2097155;
        var perms = ['r', 'w', 'rw'][accmode];
        if ((flag & 512)) {
          perms += 'w';
        }
        return perms;
      },nodePermissions:function (node, perms) {
        if (FS.ignorePermissions) {
          return 0;
        }
        // return 0 if any user, group or owner bits are set.
        if (perms.indexOf('r') !== -1 && !(node.mode & 292)) {
          return ERRNO_CODES.EACCES;
        } else if (perms.indexOf('w') !== -1 && !(node.mode & 146)) {
          return ERRNO_CODES.EACCES;
        } else if (perms.indexOf('x') !== -1 && !(node.mode & 73)) {
          return ERRNO_CODES.EACCES;
        }
        return 0;
      },mayLookup:function (dir) {
        return FS.nodePermissions(dir, 'x');
      },mayCreate:function (dir, name) {
        try {
          var node = FS.lookupNode(dir, name);
          return ERRNO_CODES.EEXIST;
        } catch (e) {
        }
        return FS.nodePermissions(dir, 'wx');
      },mayDelete:function (dir, name, isdir) {
        var node;
        try {
          node = FS.lookupNode(dir, name);
        } catch (e) {
          return e.errno;
        }
        var err = FS.nodePermissions(dir, 'wx');
        if (err) {
          return err;
        }
        if (isdir) {
          if (!FS.isDir(node.mode)) {
            return ERRNO_CODES.ENOTDIR;
          }
          if (FS.isRoot(node) || FS.getPath(node) === FS.cwd()) {
            return ERRNO_CODES.EBUSY;
          }
        } else {
          if (FS.isDir(node.mode)) {
            return ERRNO_CODES.EISDIR;
          }
        }
        return 0;
      },mayOpen:function (node, flags) {
        if (!node) {
          return ERRNO_CODES.ENOENT;
        }
        if (FS.isLink(node.mode)) {
          return ERRNO_CODES.ELOOP;
        } else if (FS.isDir(node.mode)) {
          if ((flags & 2097155) !== 0 ||  // opening for write
              (flags & 512)) {
            return ERRNO_CODES.EISDIR;
          }
        }
        return FS.nodePermissions(node, FS.flagsToPermissionString(flags));
      },MAX_OPEN_FDS:4096,nextfd:function (fd_start, fd_end) {
        fd_start = fd_start || 0;
        fd_end = fd_end || FS.MAX_OPEN_FDS;
        for (var fd = fd_start; fd <= fd_end; fd++) {
          if (!FS.streams[fd]) {
            return fd;
          }
        }
        throw new FS.ErrnoError(ERRNO_CODES.EMFILE);
      },getStream:function (fd) {
        return FS.streams[fd];
      },createStream:function (stream, fd_start, fd_end) {
        if (!FS.FSStream) {
          FS.FSStream = function(){};
          FS.FSStream.prototype = {};
          // compatibility
          Object.defineProperties(FS.FSStream.prototype, {
            object: {
              get: function() { return this.node; },
              set: function(val) { this.node = val; }
            },
            isRead: {
              get: function() { return (this.flags & 2097155) !== 1; }
            },
            isWrite: {
              get: function() { return (this.flags & 2097155) !== 0; }
            },
            isAppend: {
              get: function() { return (this.flags & 1024); }
            }
          });
        }
        if (stream.__proto__) {
          // reuse the object
          stream.__proto__ = FS.FSStream.prototype;
        } else {
          var newStream = new FS.FSStream();
          for (var p in stream) {
            newStream[p] = stream[p];
          }
          stream = newStream;
        }
        var fd = FS.nextfd(fd_start, fd_end);
        stream.fd = fd;
        FS.streams[fd] = stream;
        return stream;
      },closeStream:function (fd) {
        FS.streams[fd] = null;
      },getStreamFromPtr:function (ptr) {
        return FS.streams[ptr - 1];
      },getPtrForStream:function (stream) {
        return stream ? stream.fd + 1 : 0;
      },chrdev_stream_ops:{open:function (stream) {
          var device = FS.getDevice(stream.node.rdev);
          // override node's stream ops with the device's
          stream.stream_ops = device.stream_ops;
          // forward the open call
          if (stream.stream_ops.open) {
            stream.stream_ops.open(stream);
          }
        },llseek:function () {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }},major:function (dev) {
        return ((dev) >> 8);
      },minor:function (dev) {
        return ((dev) & 0xff);
      },makedev:function (ma, mi) {
        return ((ma) << 8 | (mi));
      },registerDevice:function (dev, ops) {
        FS.devices[dev] = { stream_ops: ops };
      },getDevice:function (dev) {
        return FS.devices[dev];
      },getMounts:function (mount) {
        var mounts = [];
        var check = [mount];
  
        while (check.length) {
          var m = check.pop();
  
          mounts.push(m);
  
          check.push.apply(check, m.mounts);
        }
  
        return mounts;
      },syncfs:function (populate, callback) {
        if (typeof(populate) === 'function') {
          callback = populate;
          populate = false;
        }
  
        var mounts = FS.getMounts(FS.root.mount);
        var completed = 0;
  
        function done(err) {
          if (err) {
            if (!done.errored) {
              done.errored = true;
              return callback(err);
            }
            return;
          }
          if (++completed >= mounts.length) {
            callback(null);
          }
        };
  
        // sync all mounts
        mounts.forEach(function (mount) {
          if (!mount.type.syncfs) {
            return done(null);
          }
          mount.type.syncfs(mount, populate, done);
        });
      },mount:function (type, opts, mountpoint) {
        var root = mountpoint === '/';
        var pseudo = !mountpoint;
        var node;
  
        if (root && FS.root) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        } else if (!root && !pseudo) {
          var lookup = FS.lookupPath(mountpoint, { follow_mount: false });
  
          mountpoint = lookup.path;  // use the absolute path
          node = lookup.node;
  
          if (FS.isMountpoint(node)) {
            throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
          }
  
          if (!FS.isDir(node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
          }
        }
  
        var mount = {
          type: type,
          opts: opts,
          mountpoint: mountpoint,
          mounts: []
        };
  
        // create a root node for the fs
        var mountRoot = type.mount(mount);
        mountRoot.mount = mount;
        mount.root = mountRoot;
  
        if (root) {
          FS.root = mountRoot;
        } else if (node) {
          // set as a mountpoint
          node.mounted = mount;
  
          // add the new mount to the current mount's children
          if (node.mount) {
            node.mount.mounts.push(mount);
          }
        }
  
        return mountRoot;
      },unmount:function (mountpoint) {
        var lookup = FS.lookupPath(mountpoint, { follow_mount: false });
  
        if (!FS.isMountpoint(lookup.node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
  
        // destroy the nodes for this mount, and all its child mounts
        var node = lookup.node;
        var mount = node.mounted;
        var mounts = FS.getMounts(mount);
  
        Object.keys(FS.nameTable).forEach(function (hash) {
          var current = FS.nameTable[hash];
  
          while (current) {
            var next = current.name_next;
  
            if (mounts.indexOf(current.mount) !== -1) {
              FS.destroyNode(current);
            }
  
            current = next;
          }
        });
  
        // no longer a mountpoint
        node.mounted = null;
  
        // remove this mount from the child mounts
        var idx = node.mount.mounts.indexOf(mount);
        assert(idx !== -1);
        node.mount.mounts.splice(idx, 1);
      },lookup:function (parent, name) {
        return parent.node_ops.lookup(parent, name);
      },mknod:function (path, mode, dev) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var err = FS.mayCreate(parent, name);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.mknod) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return parent.node_ops.mknod(parent, name, mode, dev);
      },create:function (path, mode) {
        mode = mode !== undefined ? mode : 0666;
        mode &= 4095;
        mode |= 32768;
        return FS.mknod(path, mode, 0);
      },mkdir:function (path, mode) {
        mode = mode !== undefined ? mode : 0777;
        mode &= 511 | 512;
        mode |= 16384;
        return FS.mknod(path, mode, 0);
      },mkdev:function (path, mode, dev) {
        if (typeof(dev) === 'undefined') {
          dev = mode;
          mode = 0666;
        }
        mode |= 8192;
        return FS.mknod(path, mode, dev);
      },symlink:function (oldpath, newpath) {
        var lookup = FS.lookupPath(newpath, { parent: true });
        var parent = lookup.node;
        var newname = PATH.basename(newpath);
        var err = FS.mayCreate(parent, newname);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.symlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return parent.node_ops.symlink(parent, newname, oldpath);
      },rename:function (old_path, new_path) {
        var old_dirname = PATH.dirname(old_path);
        var new_dirname = PATH.dirname(new_path);
        var old_name = PATH.basename(old_path);
        var new_name = PATH.basename(new_path);
        // parents must exist
        var lookup, old_dir, new_dir;
        try {
          lookup = FS.lookupPath(old_path, { parent: true });
          old_dir = lookup.node;
          lookup = FS.lookupPath(new_path, { parent: true });
          new_dir = lookup.node;
        } catch (e) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        // need to be part of the same mount
        if (old_dir.mount !== new_dir.mount) {
          throw new FS.ErrnoError(ERRNO_CODES.EXDEV);
        }
        // source must exist
        var old_node = FS.lookupNode(old_dir, old_name);
        // old path should not be an ancestor of the new path
        var relative = PATH.relative(old_path, new_dirname);
        if (relative.charAt(0) !== '.') {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        // new path should not be an ancestor of the old path
        relative = PATH.relative(new_path, old_dirname);
        if (relative.charAt(0) !== '.') {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
        }
        // see if the new path already exists
        var new_node;
        try {
          new_node = FS.lookupNode(new_dir, new_name);
        } catch (e) {
          // not fatal
        }
        // early out if nothing needs to change
        if (old_node === new_node) {
          return;
        }
        // we'll need to delete the old entry
        var isdir = FS.isDir(old_node.mode);
        var err = FS.mayDelete(old_dir, old_name, isdir);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        // need delete permissions if we'll be overwriting.
        // need create permissions if new doesn't already exist.
        err = new_node ?
          FS.mayDelete(new_dir, new_name, isdir) :
          FS.mayCreate(new_dir, new_name);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!old_dir.node_ops.rename) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(old_node) || (new_node && FS.isMountpoint(new_node))) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        // if we are going to change the parent, check write permissions
        if (new_dir !== old_dir) {
          err = FS.nodePermissions(old_dir, 'w');
          if (err) {
            throw new FS.ErrnoError(err);
          }
        }
        // remove the node from the lookup hash
        FS.hashRemoveNode(old_node);
        // do the underlying fs rename
        try {
          old_dir.node_ops.rename(old_node, new_dir, new_name);
        } catch (e) {
          throw e;
        } finally {
          // add the node back to the hash (in case node_ops.rename
          // changed its name)
          FS.hashAddNode(old_node);
        }
      },rmdir:function (path) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var node = FS.lookupNode(parent, name);
        var err = FS.mayDelete(parent, name, true);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.rmdir) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        parent.node_ops.rmdir(parent, name);
        FS.destroyNode(node);
      },readdir:function (path) {
        var lookup = FS.lookupPath(path, { follow: true });
        var node = lookup.node;
        if (!node.node_ops.readdir) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
        }
        return node.node_ops.readdir(node);
      },unlink:function (path) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var node = FS.lookupNode(parent, name);
        var err = FS.mayDelete(parent, name, false);
        if (err) {
          // POSIX says unlink should set EPERM, not EISDIR
          if (err === ERRNO_CODES.EISDIR) err = ERRNO_CODES.EPERM;
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.unlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        parent.node_ops.unlink(parent, name);
        FS.destroyNode(node);
      },readlink:function (path) {
        var lookup = FS.lookupPath(path);
        var link = lookup.node;
        if (!link.node_ops.readlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        return link.node_ops.readlink(link);
      },stat:function (path, dontFollow) {
        var lookup = FS.lookupPath(path, { follow: !dontFollow });
        var node = lookup.node;
        if (!node.node_ops.getattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return node.node_ops.getattr(node);
      },lstat:function (path) {
        return FS.stat(path, true);
      },chmod:function (path, mode, dontFollow) {
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: !dontFollow });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        node.node_ops.setattr(node, {
          mode: (mode & 4095) | (node.mode & ~4095),
          timestamp: Date.now()
        });
      },lchmod:function (path, mode) {
        FS.chmod(path, mode, true);
      },fchmod:function (fd, mode) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        FS.chmod(stream.node, mode);
      },chown:function (path, uid, gid, dontFollow) {
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: !dontFollow });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        node.node_ops.setattr(node, {
          timestamp: Date.now()
          // we ignore the uid / gid for now
        });
      },lchown:function (path, uid, gid) {
        FS.chown(path, uid, gid, true);
      },fchown:function (fd, uid, gid) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        FS.chown(stream.node, uid, gid);
      },truncate:function (path, len) {
        if (len < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: true });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isDir(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!FS.isFile(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var err = FS.nodePermissions(node, 'w');
        if (err) {
          throw new FS.ErrnoError(err);
        }
        node.node_ops.setattr(node, {
          size: len,
          timestamp: Date.now()
        });
      },ftruncate:function (fd, len) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        FS.truncate(stream.node, len);
      },utime:function (path, atime, mtime) {
        var lookup = FS.lookupPath(path, { follow: true });
        var node = lookup.node;
        node.node_ops.setattr(node, {
          timestamp: Math.max(atime, mtime)
        });
      },open:function (path, flags, mode, fd_start, fd_end) {
        flags = typeof flags === 'string' ? FS.modeStringToFlags(flags) : flags;
        mode = typeof mode === 'undefined' ? 0666 : mode;
        if ((flags & 64)) {
          mode = (mode & 4095) | 32768;
        } else {
          mode = 0;
        }
        var node;
        if (typeof path === 'object') {
          node = path;
        } else {
          path = PATH.normalize(path);
          try {
            var lookup = FS.lookupPath(path, {
              follow: !(flags & 131072)
            });
            node = lookup.node;
          } catch (e) {
            // ignore
          }
        }
        // perhaps we need to create the node
        if ((flags & 64)) {
          if (node) {
            // if O_CREAT and O_EXCL are set, error out if the node already exists
            if ((flags & 128)) {
              throw new FS.ErrnoError(ERRNO_CODES.EEXIST);
            }
          } else {
            // node doesn't exist, try to create it
            node = FS.mknod(path, mode, 0);
          }
        }
        if (!node) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOENT);
        }
        // can't truncate a device
        if (FS.isChrdev(node.mode)) {
          flags &= ~512;
        }
        // check permissions
        var err = FS.mayOpen(node, flags);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        // do truncation if necessary
        if ((flags & 512)) {
          FS.truncate(node, 0);
        }
        // we've already handled these, don't pass down to the underlying vfs
        flags &= ~(128 | 512);
  
        // register the stream with the filesystem
        var stream = FS.createStream({
          node: node,
          path: FS.getPath(node),  // we want the absolute path to the node
          flags: flags,
          seekable: true,
          position: 0,
          stream_ops: node.stream_ops,
          // used by the file family libc calls (fopen, fwrite, ferror, etc.)
          ungotten: [],
          error: false
        }, fd_start, fd_end);
        // call the new stream's open function
        if (stream.stream_ops.open) {
          stream.stream_ops.open(stream);
        }
        if (Module['logReadFiles'] && !(flags & 1)) {
          if (!FS.readFiles) FS.readFiles = {};
          if (!(path in FS.readFiles)) {
            FS.readFiles[path] = 1;
            Module['printErr']('read file: ' + path);
          }
        }
        return stream;
      },close:function (stream) {
        try {
          if (stream.stream_ops.close) {
            stream.stream_ops.close(stream);
          }
        } catch (e) {
          throw e;
        } finally {
          FS.closeStream(stream.fd);
        }
      },llseek:function (stream, offset, whence) {
        if (!stream.seekable || !stream.stream_ops.llseek) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        return stream.stream_ops.llseek(stream, offset, whence);
      },read:function (stream, buffer, offset, length, position) {
        if (length < 0 || position < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 1) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (FS.isDir(stream.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!stream.stream_ops.read) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var seeking = true;
        if (typeof position === 'undefined') {
          position = stream.position;
          seeking = false;
        } else if (!stream.seekable) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        var bytesRead = stream.stream_ops.read(stream, buffer, offset, length, position);
        if (!seeking) stream.position += bytesRead;
        return bytesRead;
      },write:function (stream, buffer, offset, length, position, canOwn) {
        if (length < 0 || position < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (FS.isDir(stream.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!stream.stream_ops.write) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var seeking = true;
        if (typeof position === 'undefined') {
          position = stream.position;
          seeking = false;
        } else if (!stream.seekable) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        if (stream.flags & 1024) {
          // seek to the end before writing in append mode
          FS.llseek(stream, 0, 2);
        }
        var bytesWritten = stream.stream_ops.write(stream, buffer, offset, length, position, canOwn);
        if (!seeking) stream.position += bytesWritten;
        return bytesWritten;
      },allocate:function (stream, offset, length) {
        if (offset < 0 || length <= 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (!FS.isFile(stream.node.mode) && !FS.isDir(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
        }
        if (!stream.stream_ops.allocate) {
          throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
        }
        stream.stream_ops.allocate(stream, offset, length);
      },mmap:function (stream, buffer, offset, length, position, prot, flags) {
        // TODO if PROT is PROT_WRITE, make sure we have write access
        if ((stream.flags & 2097155) === 1) {
          throw new FS.ErrnoError(ERRNO_CODES.EACCES);
        }
        if (!stream.stream_ops.mmap) {
          throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
        }
        return stream.stream_ops.mmap(stream, buffer, offset, length, position, prot, flags);
      },ioctl:function (stream, cmd, arg) {
        if (!stream.stream_ops.ioctl) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTTY);
        }
        return stream.stream_ops.ioctl(stream, cmd, arg);
      },readFile:function (path, opts) {
        opts = opts || {};
        opts.flags = opts.flags || 'r';
        opts.encoding = opts.encoding || 'binary';
        if (opts.encoding !== 'utf8' && opts.encoding !== 'binary') {
          throw new Error('Invalid encoding type "' + opts.encoding + '"');
        }
        var ret;
        var stream = FS.open(path, opts.flags);
        var stat = FS.stat(path);
        var length = stat.size;
        var buf = new Uint8Array(length);
        FS.read(stream, buf, 0, length, 0);
        if (opts.encoding === 'utf8') {
          ret = '';
          var utf8 = new Runtime.UTF8Processor();
          for (var i = 0; i < length; i++) {
            ret += utf8.processCChar(buf[i]);
          }
        } else if (opts.encoding === 'binary') {
          ret = buf;
        }
        FS.close(stream);
        return ret;
      },writeFile:function (path, data, opts) {
        opts = opts || {};
        opts.flags = opts.flags || 'w';
        opts.encoding = opts.encoding || 'utf8';
        if (opts.encoding !== 'utf8' && opts.encoding !== 'binary') {
          throw new Error('Invalid encoding type "' + opts.encoding + '"');
        }
        var stream = FS.open(path, opts.flags, opts.mode);
        if (opts.encoding === 'utf8') {
          var utf8 = new Runtime.UTF8Processor();
          var buf = new Uint8Array(utf8.processJSString(data));
          FS.write(stream, buf, 0, buf.length, 0, opts.canOwn);
        } else if (opts.encoding === 'binary') {
          FS.write(stream, data, 0, data.length, 0, opts.canOwn);
        }
        FS.close(stream);
      },cwd:function () {
        return FS.currentPath;
      },chdir:function (path) {
        var lookup = FS.lookupPath(path, { follow: true });
        if (!FS.isDir(lookup.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
        }
        var err = FS.nodePermissions(lookup.node, 'x');
        if (err) {
          throw new FS.ErrnoError(err);
        }
        FS.currentPath = lookup.path;
      },createDefaultDirectories:function () {
        FS.mkdir('/tmp');
      },createDefaultDevices:function () {
        // create /dev
        FS.mkdir('/dev');
        // setup /dev/null
        FS.registerDevice(FS.makedev(1, 3), {
          read: function() { return 0; },
          write: function() { return 0; }
        });
        FS.mkdev('/dev/null', FS.makedev(1, 3));
        // setup /dev/tty and /dev/tty1
        // stderr needs to print output using Module['printErr']
        // so we register a second tty just for it.
        TTY.register(FS.makedev(5, 0), TTY.default_tty_ops);
        TTY.register(FS.makedev(6, 0), TTY.default_tty1_ops);
        FS.mkdev('/dev/tty', FS.makedev(5, 0));
        FS.mkdev('/dev/tty1', FS.makedev(6, 0));
        // we're not going to emulate the actual shm device,
        // just create the tmp dirs that reside in it commonly
        FS.mkdir('/dev/shm');
        FS.mkdir('/dev/shm/tmp');
      },createStandardStreams:function () {
        // TODO deprecate the old functionality of a single
        // input / output callback and that utilizes FS.createDevice
        // and instead require a unique set of stream ops
  
        // by default, we symlink the standard streams to the
        // default tty devices. however, if the standard streams
        // have been overwritten we create a unique device for
        // them instead.
        if (Module['stdin']) {
          FS.createDevice('/dev', 'stdin', Module['stdin']);
        } else {
          FS.symlink('/dev/tty', '/dev/stdin');
        }
        if (Module['stdout']) {
          FS.createDevice('/dev', 'stdout', null, Module['stdout']);
        } else {
          FS.symlink('/dev/tty', '/dev/stdout');
        }
        if (Module['stderr']) {
          FS.createDevice('/dev', 'stderr', null, Module['stderr']);
        } else {
          FS.symlink('/dev/tty1', '/dev/stderr');
        }
  
        // open default streams for the stdin, stdout and stderr devices
        var stdin = FS.open('/dev/stdin', 'r');
        HEAP32[((_stdin)>>2)]=FS.getPtrForStream(stdin);
        assert(stdin.fd === 0, 'invalid handle for stdin (' + stdin.fd + ')');
  
        var stdout = FS.open('/dev/stdout', 'w');
        HEAP32[((_stdout)>>2)]=FS.getPtrForStream(stdout);
        assert(stdout.fd === 1, 'invalid handle for stdout (' + stdout.fd + ')');
  
        var stderr = FS.open('/dev/stderr', 'w');
        HEAP32[((_stderr)>>2)]=FS.getPtrForStream(stderr);
        assert(stderr.fd === 2, 'invalid handle for stderr (' + stderr.fd + ')');
      },ensureErrnoError:function () {
        if (FS.ErrnoError) return;
        FS.ErrnoError = function ErrnoError(errno) {
          this.errno = errno;
          for (var key in ERRNO_CODES) {
            if (ERRNO_CODES[key] === errno) {
              this.code = key;
              break;
            }
          }
          this.message = ERRNO_MESSAGES[errno];
        };
        FS.ErrnoError.prototype = new Error();
        FS.ErrnoError.prototype.constructor = FS.ErrnoError;
        // Some errors may happen quite a bit, to avoid overhead we reuse them (and suffer a lack of stack info)
        [ERRNO_CODES.ENOENT].forEach(function(code) {
          FS.genericErrors[code] = new FS.ErrnoError(code);
          FS.genericErrors[code].stack = '<generic error, no stack>';
        });
      },staticInit:function () {
        FS.ensureErrnoError();
  
        FS.nameTable = new Array(4096);
  
        FS.mount(MEMFS, {}, '/');
  
        FS.createDefaultDirectories();
        FS.createDefaultDevices();
      },init:function (input, output, error) {
        assert(!FS.init.initialized, 'FS.init was previously called. If you want to initialize later with custom parameters, remove any earlier calls (note that one is automatically added to the generated code)');
        FS.init.initialized = true;
  
        FS.ensureErrnoError();
  
        // Allow Module.stdin etc. to provide defaults, if none explicitly passed to us here
        Module['stdin'] = input || Module['stdin'];
        Module['stdout'] = output || Module['stdout'];
        Module['stderr'] = error || Module['stderr'];
  
        FS.createStandardStreams();
      },quit:function () {
        FS.init.initialized = false;
        for (var i = 0; i < FS.streams.length; i++) {
          var stream = FS.streams[i];
          if (!stream) {
            continue;
          }
          FS.close(stream);
        }
      },getMode:function (canRead, canWrite) {
        var mode = 0;
        if (canRead) mode |= 292 | 73;
        if (canWrite) mode |= 146;
        return mode;
      },joinPath:function (parts, forceRelative) {
        var path = PATH.join.apply(null, parts);
        if (forceRelative && path[0] == '/') path = path.substr(1);
        return path;
      },absolutePath:function (relative, base) {
        return PATH.resolve(base, relative);
      },standardizePath:function (path) {
        return PATH.normalize(path);
      },findObject:function (path, dontResolveLastLink) {
        var ret = FS.analyzePath(path, dontResolveLastLink);
        if (ret.exists) {
          return ret.object;
        } else {
          ___setErrNo(ret.error);
          return null;
        }
      },analyzePath:function (path, dontResolveLastLink) {
        // operate from within the context of the symlink's target
        try {
          var lookup = FS.lookupPath(path, { follow: !dontResolveLastLink });
          path = lookup.path;
        } catch (e) {
        }
        var ret = {
          isRoot: false, exists: false, error: 0, name: null, path: null, object: null,
          parentExists: false, parentPath: null, parentObject: null
        };
        try {
          var lookup = FS.lookupPath(path, { parent: true });
          ret.parentExists = true;
          ret.parentPath = lookup.path;
          ret.parentObject = lookup.node;
          ret.name = PATH.basename(path);
          lookup = FS.lookupPath(path, { follow: !dontResolveLastLink });
          ret.exists = true;
          ret.path = lookup.path;
          ret.object = lookup.node;
          ret.name = lookup.node.name;
          ret.isRoot = lookup.path === '/';
        } catch (e) {
          ret.error = e.errno;
        };
        return ret;
      },createFolder:function (parent, name, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(canRead, canWrite);
        return FS.mkdir(path, mode);
      },createPath:function (parent, path, canRead, canWrite) {
        parent = typeof parent === 'string' ? parent : FS.getPath(parent);
        var parts = path.split('/').reverse();
        while (parts.length) {
          var part = parts.pop();
          if (!part) continue;
          var current = PATH.join2(parent, part);
          try {
            FS.mkdir(current);
          } catch (e) {
            // ignore EEXIST
          }
          parent = current;
        }
        return current;
      },createFile:function (parent, name, properties, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(canRead, canWrite);
        return FS.create(path, mode);
      },createDataFile:function (parent, name, data, canRead, canWrite, canOwn) {
        var path = name ? PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name) : parent;
        var mode = FS.getMode(canRead, canWrite);
        var node = FS.create(path, mode);
        if (data) {
          if (typeof data === 'string') {
            var arr = new Array(data.length);
            for (var i = 0, len = data.length; i < len; ++i) arr[i] = data.charCodeAt(i);
            data = arr;
          }
          // make sure we can write to the file
          FS.chmod(node, mode | 146);
          var stream = FS.open(node, 'w');
          FS.write(stream, data, 0, data.length, 0, canOwn);
          FS.close(stream);
          FS.chmod(node, mode);
        }
        return node;
      },createDevice:function (parent, name, input, output) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(!!input, !!output);
        if (!FS.createDevice.major) FS.createDevice.major = 64;
        var dev = FS.makedev(FS.createDevice.major++, 0);
        // Create a fake device that a set of stream ops to emulate
        // the old behavior.
        FS.registerDevice(dev, {
          open: function(stream) {
            stream.seekable = false;
          },
          close: function(stream) {
            // flush any pending line data
            if (output && output.buffer && output.buffer.length) {
              output(10);
            }
          },
          read: function(stream, buffer, offset, length, pos /* ignored */) {
            var bytesRead = 0;
            for (var i = 0; i < length; i++) {
              var result;
              try {
                result = input();
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES.EIO);
              }
              if (result === undefined && bytesRead === 0) {
                throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
              }
              if (result === null || result === undefined) break;
              bytesRead++;
              buffer[offset+i] = result;
            }
            if (bytesRead) {
              stream.node.timestamp = Date.now();
            }
            return bytesRead;
          },
          write: function(stream, buffer, offset, length, pos) {
            for (var i = 0; i < length; i++) {
              try {
                output(buffer[offset+i]);
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES.EIO);
              }
            }
            if (length) {
              stream.node.timestamp = Date.now();
            }
            return i;
          }
        });
        return FS.mkdev(path, mode, dev);
      },createLink:function (parent, name, target, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        return FS.symlink(target, path);
      },forceLoadFile:function (obj) {
        if (obj.isDevice || obj.isFolder || obj.link || obj.contents) return true;
        var success = true;
        if (typeof XMLHttpRequest !== 'undefined') {
          throw new Error("Lazy loading should have been performed (contents set) in createLazyFile, but it was not. Lazy loading only works in web workers. Use --embed-file or --preload-file in emcc on the main thread.");
        } else if (Module['read']) {
          // Command-line.
          try {
            // WARNING: Can't read binary files in V8's d8 or tracemonkey's js, as
            //          read() will try to parse UTF8.
            obj.contents = intArrayFromString(Module['read'](obj.url), true);
          } catch (e) {
            success = false;
          }
        } else {
          throw new Error('Cannot load without read() or XMLHttpRequest.');
        }
        if (!success) ___setErrNo(ERRNO_CODES.EIO);
        return success;
      },createLazyFile:function (parent, name, url, canRead, canWrite) {
        if (typeof XMLHttpRequest !== 'undefined') {
          if (!ENVIRONMENT_IS_WORKER) throw 'Cannot do synchronous binary XHRs outside webworkers in modern browsers. Use --embed-file or --preload-file in emcc';
          // Lazy chunked Uint8Array (implements get and length from Uint8Array). Actual getting is abstracted away for eventual reuse.
          function LazyUint8Array() {
            this.lengthKnown = false;
            this.chunks = []; // Loaded chunks. Index is the chunk number
          }
          LazyUint8Array.prototype.get = function LazyUint8Array_get(idx) {
            if (idx > this.length-1 || idx < 0) {
              return undefined;
            }
            var chunkOffset = idx % this.chunkSize;
            var chunkNum = Math.floor(idx / this.chunkSize);
            return this.getter(chunkNum)[chunkOffset];
          }
          LazyUint8Array.prototype.setDataGetter = function LazyUint8Array_setDataGetter(getter) {
            this.getter = getter;
          }
          LazyUint8Array.prototype.cacheLength = function LazyUint8Array_cacheLength() {
              // Find length
              var xhr = new XMLHttpRequest();
              xhr.open('HEAD', url, false);
              xhr.send(null);
              if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
              var datalength = Number(xhr.getResponseHeader("Content-length"));
              var header;
              var hasByteServing = (header = xhr.getResponseHeader("Accept-Ranges")) && header === "bytes";
              var chunkSize = 1024*1024; // Chunk size in bytes
  
              if (!hasByteServing) chunkSize = datalength;
  
              // Function to get a range from the remote URL.
              var doXHR = (function(from, to) {
                if (from > to) throw new Error("invalid range (" + from + ", " + to + ") or no bytes requested!");
                if (to > datalength-1) throw new Error("only " + datalength + " bytes available! programmer error!");
  
                // TODO: Use mozResponseArrayBuffer, responseStream, etc. if available.
                var xhr = new XMLHttpRequest();
                xhr.open('GET', url, false);
                if (datalength !== chunkSize) xhr.setRequestHeader("Range", "bytes=" + from + "-" + to);
  
                // Some hints to the browser that we want binary data.
                if (typeof Uint8Array != 'undefined') xhr.responseType = 'arraybuffer';
                if (xhr.overrideMimeType) {
                  xhr.overrideMimeType('text/plain; charset=x-user-defined');
                }
  
                xhr.send(null);
                if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
                if (xhr.response !== undefined) {
                  return new Uint8Array(xhr.response || []);
                } else {
                  return intArrayFromString(xhr.responseText || '', true);
                }
              });
              var lazyArray = this;
              lazyArray.setDataGetter(function(chunkNum) {
                var start = chunkNum * chunkSize;
                var end = (chunkNum+1) * chunkSize - 1; // including this byte
                end = Math.min(end, datalength-1); // if datalength-1 is selected, this is the last block
                if (typeof(lazyArray.chunks[chunkNum]) === "undefined") {
                  lazyArray.chunks[chunkNum] = doXHR(start, end);
                }
                if (typeof(lazyArray.chunks[chunkNum]) === "undefined") throw new Error("doXHR failed!");
                return lazyArray.chunks[chunkNum];
              });
  
              this._length = datalength;
              this._chunkSize = chunkSize;
              this.lengthKnown = true;
          }
  
          var lazyArray = new LazyUint8Array();
          Object.defineProperty(lazyArray, "length", {
              get: function() {
                  if(!this.lengthKnown) {
                      this.cacheLength();
                  }
                  return this._length;
              }
          });
          Object.defineProperty(lazyArray, "chunkSize", {
              get: function() {
                  if(!this.lengthKnown) {
                      this.cacheLength();
                  }
                  return this._chunkSize;
              }
          });
  
          var properties = { isDevice: false, contents: lazyArray };
        } else {
          var properties = { isDevice: false, url: url };
        }
  
        var node = FS.createFile(parent, name, properties, canRead, canWrite);
        // This is a total hack, but I want to get this lazy file code out of the
        // core of MEMFS. If we want to keep this lazy file concept I feel it should
        // be its own thin LAZYFS proxying calls to MEMFS.
        if (properties.contents) {
          node.contents = properties.contents;
        } else if (properties.url) {
          node.contents = null;
          node.url = properties.url;
        }
        // override each stream op with one that tries to force load the lazy file first
        var stream_ops = {};
        var keys = Object.keys(node.stream_ops);
        keys.forEach(function(key) {
          var fn = node.stream_ops[key];
          stream_ops[key] = function forceLoadLazyFile() {
            if (!FS.forceLoadFile(node)) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
            return fn.apply(null, arguments);
          };
        });
        // use a custom read function
        stream_ops.read = function stream_ops_read(stream, buffer, offset, length, position) {
          if (!FS.forceLoadFile(node)) {
            throw new FS.ErrnoError(ERRNO_CODES.EIO);
          }
          var contents = stream.node.contents;
          if (position >= contents.length)
            return 0;
          var size = Math.min(contents.length - position, length);
          assert(size >= 0);
          if (contents.slice) { // normal array
            for (var i = 0; i < size; i++) {
              buffer[offset + i] = contents[position + i];
            }
          } else {
            for (var i = 0; i < size; i++) { // LazyUint8Array from sync binary XHR
              buffer[offset + i] = contents.get(position + i);
            }
          }
          return size;
        };
        node.stream_ops = stream_ops;
        return node;
      },createPreloadedFile:function (parent, name, url, canRead, canWrite, onload, onerror, dontCreateFile, canOwn) {
        Browser.init();
        // TODO we should allow people to just pass in a complete filename instead
        // of parent and name being that we just join them anyways
        var fullname = name ? PATH.resolve(PATH.join2(parent, name)) : parent;
        function processData(byteArray) {
          function finish(byteArray) {
            if (!dontCreateFile) {
              FS.createDataFile(parent, name, byteArray, canRead, canWrite, canOwn);
            }
            if (onload) onload();
            removeRunDependency('cp ' + fullname);
          }
          var handled = false;
          Module['preloadPlugins'].forEach(function(plugin) {
            if (handled) return;
            if (plugin['canHandle'](fullname)) {
              plugin['handle'](byteArray, fullname, finish, function() {
                if (onerror) onerror();
                removeRunDependency('cp ' + fullname);
              });
              handled = true;
            }
          });
          if (!handled) finish(byteArray);
        }
        addRunDependency('cp ' + fullname);
        if (typeof url == 'string') {
          Browser.asyncLoad(url, function(byteArray) {
            processData(byteArray);
          }, onerror);
        } else {
          processData(url);
        }
      },indexedDB:function () {
        return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
      },DB_NAME:function () {
        return 'EM_FS_' + window.location.pathname;
      },DB_VERSION:20,DB_STORE_NAME:"FILE_DATA",saveFilesToDB:function (paths, onload, onerror) {
        onload = onload || function(){};
        onerror = onerror || function(){};
        var indexedDB = FS.indexedDB();
        try {
          var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        openRequest.onupgradeneeded = function openRequest_onupgradeneeded() {
          console.log('creating db');
          var db = openRequest.result;
          db.createObjectStore(FS.DB_STORE_NAME);
        };
        openRequest.onsuccess = function openRequest_onsuccess() {
          var db = openRequest.result;
          var transaction = db.transaction([FS.DB_STORE_NAME], 'readwrite');
          var files = transaction.objectStore(FS.DB_STORE_NAME);
          var ok = 0, fail = 0, total = paths.length;
          function finish() {
            if (fail == 0) onload(); else onerror();
          }
          paths.forEach(function(path) {
            var putRequest = files.put(FS.analyzePath(path).object.contents, path);
            putRequest.onsuccess = function putRequest_onsuccess() { ok++; if (ok + fail == total) finish() };
            putRequest.onerror = function putRequest_onerror() { fail++; if (ok + fail == total) finish() };
          });
          transaction.onerror = onerror;
        };
        openRequest.onerror = onerror;
      },loadFilesFromDB:function (paths, onload, onerror) {
        onload = onload || function(){};
        onerror = onerror || function(){};
        var indexedDB = FS.indexedDB();
        try {
          var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        openRequest.onupgradeneeded = onerror; // no database to load from
        openRequest.onsuccess = function openRequest_onsuccess() {
          var db = openRequest.result;
          try {
            var transaction = db.transaction([FS.DB_STORE_NAME], 'readonly');
          } catch(e) {
            onerror(e);
            return;
          }
          var files = transaction.objectStore(FS.DB_STORE_NAME);
          var ok = 0, fail = 0, total = paths.length;
          function finish() {
            if (fail == 0) onload(); else onerror();
          }
          paths.forEach(function(path) {
            var getRequest = files.get(path);
            getRequest.onsuccess = function getRequest_onsuccess() {
              if (FS.analyzePath(path).exists) {
                FS.unlink(path);
              }
              FS.createDataFile(PATH.dirname(path), PATH.basename(path), getRequest.result, true, true, true);
              ok++;
              if (ok + fail == total) finish();
            };
            getRequest.onerror = function getRequest_onerror() { fail++; if (ok + fail == total) finish() };
          });
          transaction.onerror = onerror;
        };
        openRequest.onerror = onerror;
      }};
  
  function _open(path, oflag, varargs) {
      // int open(const char *path, int oflag, ...);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/open.html
      var mode = HEAP32[((varargs)>>2)];
      path = Pointer_stringify(path);
      try {
        var stream = FS.open(path, oflag, mode);
        return stream.fd;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fopen(filename, mode) {
      // FILE *fopen(const char *restrict filename, const char *restrict mode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fopen.html
      var flags;
      mode = Pointer_stringify(mode);
      if (mode[0] == 'r') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 0;
        }
      } else if (mode[0] == 'w') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 64;
        flags |= 512;
      } else if (mode[0] == 'a') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 64;
        flags |= 1024;
      } else {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return 0;
      }
      var fd = _open(filename, flags, allocate([0x1FF, 0, 0, 0], 'i32', ALLOC_STACK));  // All creation permissions.
      return fd === -1 ? 0 : FS.getPtrForStream(FS.getStream(fd));
    }

  
  function _strerror_r(errnum, strerrbuf, buflen) {
      if (errnum in ERRNO_MESSAGES) {
        if (ERRNO_MESSAGES[errnum].length > buflen - 1) {
          return ___setErrNo(ERRNO_CODES.ERANGE);
        } else {
          var msg = ERRNO_MESSAGES[errnum];
          writeAsciiToMemory(msg, strerrbuf);
          return 0;
        }
      } else {
        return ___setErrNo(ERRNO_CODES.EINVAL);
      }
    }function _strerror(errnum) {
      if (!_strerror.buffer) _strerror.buffer = _malloc(256);
      _strerror_r(errnum, _strerror.buffer, 256);
      return _strerror.buffer;
    }

  function ___errno_location() {
      return ___errno_state;
    }

  
  function _close(fildes) {
      // int close(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/close.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        FS.close(stream);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }
  
  function _fsync(fildes) {
      // int fsync(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fsync.html
      var stream = FS.getStream(fildes);
      if (stream) {
        // We write directly to the file system, so there's nothing to do here.
        return 0;
      } else {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
    }
  
  function _fileno(stream) {
      // int fileno(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fileno.html
      return FS.getStreamFromPtr(stream).fd;
    }function _fclose(stream) {
      // int fclose(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fclose.html
      var fd = _fileno(stream);
      _fsync(fd);
      return _close(fd);
    }

  
  
  
  
  function _mkport() { throw 'TODO' }var SOCKFS={mount:function (mount) {
        return FS.createNode(null, '/', 16384 | 0777, 0);
      },createSocket:function (family, type, protocol) {
        var streaming = type == 1;
        if (protocol) {
          assert(streaming == (protocol == 6)); // if SOCK_STREAM, must be tcp
        }
  
        // create our internal socket structure
        var sock = {
          family: family,
          type: type,
          protocol: protocol,
          server: null,
          peers: {},
          pending: [],
          recv_queue: [],
          sock_ops: SOCKFS.websocket_sock_ops
        };
  
        // create the filesystem node to store the socket structure
        var name = SOCKFS.nextname();
        var node = FS.createNode(SOCKFS.root, name, 49152, 0);
        node.sock = sock;
  
        // and the wrapping stream that enables library functions such
        // as read and write to indirectly interact with the socket
        var stream = FS.createStream({
          path: name,
          node: node,
          flags: FS.modeStringToFlags('r+'),
          seekable: false,
          stream_ops: SOCKFS.stream_ops
        });
  
        // map the new stream to the socket structure (sockets have a 1:1
        // relationship with a stream)
        sock.stream = stream;
  
        return sock;
      },getSocket:function (fd) {
        var stream = FS.getStream(fd);
        if (!stream || !FS.isSocket(stream.node.mode)) {
          return null;
        }
        return stream.node.sock;
      },stream_ops:{poll:function (stream) {
          var sock = stream.node.sock;
          return sock.sock_ops.poll(sock);
        },ioctl:function (stream, request, varargs) {
          var sock = stream.node.sock;
          return sock.sock_ops.ioctl(sock, request, varargs);
        },read:function (stream, buffer, offset, length, position /* ignored */) {
          var sock = stream.node.sock;
          var msg = sock.sock_ops.recvmsg(sock, length);
          if (!msg) {
            // socket is closed
            return 0;
          }
          buffer.set(msg.buffer, offset);
          return msg.buffer.length;
        },write:function (stream, buffer, offset, length, position /* ignored */) {
          var sock = stream.node.sock;
          return sock.sock_ops.sendmsg(sock, buffer, offset, length);
        },close:function (stream) {
          var sock = stream.node.sock;
          sock.sock_ops.close(sock);
        }},nextname:function () {
        if (!SOCKFS.nextname.current) {
          SOCKFS.nextname.current = 0;
        }
        return 'socket[' + (SOCKFS.nextname.current++) + ']';
      },websocket_sock_ops:{createPeer:function (sock, addr, port) {
          var ws;
  
          if (typeof addr === 'object') {
            ws = addr;
            addr = null;
            port = null;
          }
  
          if (ws) {
            // for sockets that've already connected (e.g. we're the server)
            // we can inspect the _socket property for the address
            if (ws._socket) {
              addr = ws._socket.remoteAddress;
              port = ws._socket.remotePort;
            }
            // if we're just now initializing a connection to the remote,
            // inspect the url property
            else {
              var result = /ws[s]?:\/\/([^:]+):(\d+)/.exec(ws.url);
              if (!result) {
                throw new Error('WebSocket URL must be in the format ws(s)://address:port');
              }
              addr = result[1];
              port = parseInt(result[2], 10);
            }
          } else {
            // create the actual websocket object and connect
            try {
              var url = 'ws://' + addr + ':' + port;
              // the node ws library API is slightly different than the browser's
              var opts = ENVIRONMENT_IS_NODE ? {headers: {'websocket-protocol': ['binary']}} : ['binary'];
              // If node we use the ws library.
              var WebSocket = ENVIRONMENT_IS_NODE ? require('ws') : window['WebSocket'];
              ws = new WebSocket(url, opts);
              ws.binaryType = 'arraybuffer';
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EHOSTUNREACH);
            }
          }
  
  
          var peer = {
            addr: addr,
            port: port,
            socket: ws,
            dgram_send_queue: []
          };
  
          SOCKFS.websocket_sock_ops.addPeer(sock, peer);
          SOCKFS.websocket_sock_ops.handlePeerEvents(sock, peer);
  
          // if this is a bound dgram socket, send the port number first to allow
          // us to override the ephemeral port reported to us by remotePort on the
          // remote end.
          if (sock.type === 2 && typeof sock.sport !== 'undefined') {
            peer.dgram_send_queue.push(new Uint8Array([
                255, 255, 255, 255,
                'p'.charCodeAt(0), 'o'.charCodeAt(0), 'r'.charCodeAt(0), 't'.charCodeAt(0),
                ((sock.sport & 0xff00) >> 8) , (sock.sport & 0xff)
            ]));
          }
  
          return peer;
        },getPeer:function (sock, addr, port) {
          return sock.peers[addr + ':' + port];
        },addPeer:function (sock, peer) {
          sock.peers[peer.addr + ':' + peer.port] = peer;
        },removePeer:function (sock, peer) {
          delete sock.peers[peer.addr + ':' + peer.port];
        },handlePeerEvents:function (sock, peer) {
          var first = true;
  
          var handleOpen = function () {
            try {
              var queued = peer.dgram_send_queue.shift();
              while (queued) {
                peer.socket.send(queued);
                queued = peer.dgram_send_queue.shift();
              }
            } catch (e) {
              // not much we can do here in the way of proper error handling as we've already
              // lied and said this data was sent. shut it down.
              peer.socket.close();
            }
          };
  
          function handleMessage(data) {
            assert(typeof data !== 'string' && data.byteLength !== undefined);  // must receive an ArrayBuffer
            data = new Uint8Array(data);  // make a typed array view on the array buffer
  
  
            // if this is the port message, override the peer's port with it
            var wasfirst = first;
            first = false;
            if (wasfirst &&
                data.length === 10 &&
                data[0] === 255 && data[1] === 255 && data[2] === 255 && data[3] === 255 &&
                data[4] === 'p'.charCodeAt(0) && data[5] === 'o'.charCodeAt(0) && data[6] === 'r'.charCodeAt(0) && data[7] === 't'.charCodeAt(0)) {
              // update the peer's port and it's key in the peer map
              var newport = ((data[8] << 8) | data[9]);
              SOCKFS.websocket_sock_ops.removePeer(sock, peer);
              peer.port = newport;
              SOCKFS.websocket_sock_ops.addPeer(sock, peer);
              return;
            }
  
            sock.recv_queue.push({ addr: peer.addr, port: peer.port, data: data });
          };
  
          if (ENVIRONMENT_IS_NODE) {
            peer.socket.on('open', handleOpen);
            peer.socket.on('message', function(data, flags) {
              if (!flags.binary) {
                return;
              }
              handleMessage((new Uint8Array(data)).buffer);  // copy from node Buffer -> ArrayBuffer
            });
            peer.socket.on('error', function() {
              // don't throw
            });
          } else {
            peer.socket.onopen = handleOpen;
            peer.socket.onmessage = function peer_socket_onmessage(event) {
              handleMessage(event.data);
            };
          }
        },poll:function (sock) {
          if (sock.type === 1 && sock.server) {
            // listen sockets should only say they're available for reading
            // if there are pending clients.
            return sock.pending.length ? (64 | 1) : 0;
          }
  
          var mask = 0;
          var dest = sock.type === 1 ?  // we only care about the socket state for connection-based sockets
            SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport) :
            null;
  
          if (sock.recv_queue.length ||
              !dest ||  // connection-less sockets are always ready to read
              (dest && dest.socket.readyState === dest.socket.CLOSING) ||
              (dest && dest.socket.readyState === dest.socket.CLOSED)) {  // let recv return 0 once closed
            mask |= (64 | 1);
          }
  
          if (!dest ||  // connection-less sockets are always ready to write
              (dest && dest.socket.readyState === dest.socket.OPEN)) {
            mask |= 4;
          }
  
          if ((dest && dest.socket.readyState === dest.socket.CLOSING) ||
              (dest && dest.socket.readyState === dest.socket.CLOSED)) {
            mask |= 16;
          }
  
          return mask;
        },ioctl:function (sock, request, arg) {
          switch (request) {
            case 21531:
              var bytes = 0;
              if (sock.recv_queue.length) {
                bytes = sock.recv_queue[0].data.length;
              }
              HEAP32[((arg)>>2)]=bytes;
              return 0;
            default:
              return ERRNO_CODES.EINVAL;
          }
        },close:function (sock) {
          // if we've spawned a listen server, close it
          if (sock.server) {
            try {
              sock.server.close();
            } catch (e) {
            }
            sock.server = null;
          }
          // close any peer connections
          var peers = Object.keys(sock.peers);
          for (var i = 0; i < peers.length; i++) {
            var peer = sock.peers[peers[i]];
            try {
              peer.socket.close();
            } catch (e) {
            }
            SOCKFS.websocket_sock_ops.removePeer(sock, peer);
          }
          return 0;
        },bind:function (sock, addr, port) {
          if (typeof sock.saddr !== 'undefined' || typeof sock.sport !== 'undefined') {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);  // already bound
          }
          sock.saddr = addr;
          sock.sport = port || _mkport();
          // in order to emulate dgram sockets, we need to launch a listen server when
          // binding on a connection-less socket
          // note: this is only required on the server side
          if (sock.type === 2) {
            // close the existing server if it exists
            if (sock.server) {
              sock.server.close();
              sock.server = null;
            }
            // swallow error operation not supported error that occurs when binding in the
            // browser where this isn't supported
            try {
              sock.sock_ops.listen(sock, 0);
            } catch (e) {
              if (!(e instanceof FS.ErrnoError)) throw e;
              if (e.errno !== ERRNO_CODES.EOPNOTSUPP) throw e;
            }
          }
        },connect:function (sock, addr, port) {
          if (sock.server) {
            throw new FS.ErrnoError(ERRNO_CODS.EOPNOTSUPP);
          }
  
          // TODO autobind
          // if (!sock.addr && sock.type == 2) {
          // }
  
          // early out if we're already connected / in the middle of connecting
          if (typeof sock.daddr !== 'undefined' && typeof sock.dport !== 'undefined') {
            var dest = SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport);
            if (dest) {
              if (dest.socket.readyState === dest.socket.CONNECTING) {
                throw new FS.ErrnoError(ERRNO_CODES.EALREADY);
              } else {
                throw new FS.ErrnoError(ERRNO_CODES.EISCONN);
              }
            }
          }
  
          // add the socket to our peer list and set our
          // destination address / port to match
          var peer = SOCKFS.websocket_sock_ops.createPeer(sock, addr, port);
          sock.daddr = peer.addr;
          sock.dport = peer.port;
  
          // always "fail" in non-blocking mode
          throw new FS.ErrnoError(ERRNO_CODES.EINPROGRESS);
        },listen:function (sock, backlog) {
          if (!ENVIRONMENT_IS_NODE) {
            throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
          }
          if (sock.server) {
             throw new FS.ErrnoError(ERRNO_CODES.EINVAL);  // already listening
          }
          var WebSocketServer = require('ws').Server;
          var host = sock.saddr;
          sock.server = new WebSocketServer({
            host: host,
            port: sock.sport
            // TODO support backlog
          });
  
          sock.server.on('connection', function(ws) {
            if (sock.type === 1) {
              var newsock = SOCKFS.createSocket(sock.family, sock.type, sock.protocol);
  
              // create a peer on the new socket
              var peer = SOCKFS.websocket_sock_ops.createPeer(newsock, ws);
              newsock.daddr = peer.addr;
              newsock.dport = peer.port;
  
              // push to queue for accept to pick up
              sock.pending.push(newsock);
            } else {
              // create a peer on the listen socket so calling sendto
              // with the listen socket and an address will resolve
              // to the correct client
              SOCKFS.websocket_sock_ops.createPeer(sock, ws);
            }
          });
          sock.server.on('closed', function() {
            sock.server = null;
          });
          sock.server.on('error', function() {
            // don't throw
          });
        },accept:function (listensock) {
          if (!listensock.server) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          var newsock = listensock.pending.shift();
          newsock.stream.flags = listensock.stream.flags;
          return newsock;
        },getname:function (sock, peer) {
          var addr, port;
          if (peer) {
            if (sock.daddr === undefined || sock.dport === undefined) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
            }
            addr = sock.daddr;
            port = sock.dport;
          } else {
            // TODO saddr and sport will be set for bind()'d UDP sockets, but what
            // should we be returning for TCP sockets that've been connect()'d?
            addr = sock.saddr || 0;
            port = sock.sport || 0;
          }
          return { addr: addr, port: port };
        },sendmsg:function (sock, buffer, offset, length, addr, port) {
          if (sock.type === 2) {
            // connection-less sockets will honor the message address,
            // and otherwise fall back to the bound destination address
            if (addr === undefined || port === undefined) {
              addr = sock.daddr;
              port = sock.dport;
            }
            // if there was no address to fall back to, error out
            if (addr === undefined || port === undefined) {
              throw new FS.ErrnoError(ERRNO_CODES.EDESTADDRREQ);
            }
          } else {
            // connection-based sockets will only use the bound
            addr = sock.daddr;
            port = sock.dport;
          }
  
          // find the peer for the destination address
          var dest = SOCKFS.websocket_sock_ops.getPeer(sock, addr, port);
  
          // early out if not connected with a connection-based socket
          if (sock.type === 1) {
            if (!dest || dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
            } else if (dest.socket.readyState === dest.socket.CONNECTING) {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
          }
  
          // create a copy of the incoming data to send, as the WebSocket API
          // doesn't work entirely with an ArrayBufferView, it'll just send
          // the entire underlying buffer
          var data;
          if (buffer instanceof Array || buffer instanceof ArrayBuffer) {
            data = buffer.slice(offset, offset + length);
          } else {  // ArrayBufferView
            data = buffer.buffer.slice(buffer.byteOffset + offset, buffer.byteOffset + offset + length);
          }
  
          // if we're emulating a connection-less dgram socket and don't have
          // a cached connection, queue the buffer to send upon connect and
          // lie, saying the data was sent now.
          if (sock.type === 2) {
            if (!dest || dest.socket.readyState !== dest.socket.OPEN) {
              // if we're not connected, open a new connection
              if (!dest || dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
                dest = SOCKFS.websocket_sock_ops.createPeer(sock, addr, port);
              }
              dest.dgram_send_queue.push(data);
              return length;
            }
          }
  
          try {
            // send the actual data
            dest.socket.send(data);
            return length;
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
        },recvmsg:function (sock, length) {
          // http://pubs.opengroup.org/onlinepubs/7908799/xns/recvmsg.html
          if (sock.type === 1 && sock.server) {
            // tcp servers should not be recv()'ing on the listen socket
            throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
          }
  
          var queued = sock.recv_queue.shift();
          if (!queued) {
            if (sock.type === 1) {
              var dest = SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport);
  
              if (!dest) {
                // if we have a destination address but are not connected, error out
                throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
              }
              else if (dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
                // return null if the socket has closed
                return null;
              }
              else {
                // else, our socket is in a valid state but truly has nothing available
                throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
              }
            } else {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
          }
  
          // queued.data will be an ArrayBuffer if it's unadulterated, but if it's
          // requeued TCP data it'll be an ArrayBufferView
          var queuedLength = queued.data.byteLength || queued.data.length;
          var queuedOffset = queued.data.byteOffset || 0;
          var queuedBuffer = queued.data.buffer || queued.data;
          var bytesRead = Math.min(length, queuedLength);
          var res = {
            buffer: new Uint8Array(queuedBuffer, queuedOffset, bytesRead),
            addr: queued.addr,
            port: queued.port
          };
  
  
          // push back any unread data for TCP connections
          if (sock.type === 1 && bytesRead < queuedLength) {
            var bytesRemaining = queuedLength - bytesRead;
            queued.data = new Uint8Array(queuedBuffer, queuedOffset + bytesRead, bytesRemaining);
            sock.recv_queue.unshift(queued);
          }
  
          return res;
        }}};function _send(fd, buf, len, flags) {
      var sock = SOCKFS.getSocket(fd);
      if (!sock) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      // TODO honor flags
      return _write(fd, buf, len);
    }
  
  function _pwrite(fildes, buf, nbyte, offset) {
      // ssize_t pwrite(int fildes, const void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        var slab = HEAP8;
        return FS.write(stream, slab, buf, nbyte, offset);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _write(fildes, buf, nbyte) {
      // ssize_t write(int fildes, const void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
  
  
      try {
        var slab = HEAP8;
        return FS.write(stream, slab, buf, nbyte);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fwrite(ptr, size, nitems, stream) {
      // size_t fwrite(const void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fwrite.html
      var bytesToWrite = nitems * size;
      if (bytesToWrite == 0) return 0;
      var fd = _fileno(stream);
      var bytesWritten = _write(fd, ptr, bytesToWrite);
      if (bytesWritten == -1) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (streamObj) streamObj.error = true;
        return 0;
      } else {
        return Math.floor(bytesWritten / size);
      }
    }

  function _fputc(c, stream) {
      // int fputc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fputc.html
      var chr = unSign(c & 0xFF);
      HEAP8[((_fputc.ret)|0)]=chr;
      var fd = _fileno(stream);
      var ret = _write(fd, _fputc.ret, 1);
      if (ret == -1) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (streamObj) streamObj.error = true;
        return -1;
      } else {
        return chr;
      }
    }

  
  
  function _emscripten_memcpy_big(dest, src, num) {
      HEAPU8.set(HEAPU8.subarray(src, src+num), dest);
      return dest;
    } 
  Module["_memcpy"] = _memcpy;var _llvm_memcpy_p0i8_p0i8_i32=_memcpy;

  function _fmax(x, y) {
      return isNaN(x) ? y : isNaN(y) ? x : Math.max(x, y);
    }

  
   
  Module["_memset"] = _memset;var _llvm_memset_p0i8_i32=_memset;

  
  var PTHREAD_SPECIFIC={};function _pthread_getspecific(key) {
      return PTHREAD_SPECIFIC[key] || 0;
    }

  function _pthread_setspecific(key, value) {
      if (!(key in PTHREAD_SPECIFIC)) {
        return ERRNO_CODES.EINVAL;
      }
      PTHREAD_SPECIFIC[key] = value;
      return 0;
    }

  
  
  function _putchar(c) {
      // int putchar(int c);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/putchar.html
      return _fputc(c, HEAP32[((_stdout)>>2)]);
    } 
  Module["_saveSetjmp"] = _saveSetjmp;
  
   
  Module["_testSetjmp"] = _testSetjmp;var _setjmp=undefined;


  function __exit(status) {
      // void _exit(int status);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/exit.html
      Module['exit'](status);
    }

  var _llvm_memset_p0i8_i64=_memset;

  var _exp=Math_exp;

  function _fmin(x, y) {
      return isNaN(x) ? y : isNaN(y) ? x : Math.min(x, y);
    }

  function _log10(x) {
      return Math.log(x) / Math.LN10;
    }

  var _fabs=Math_abs;

  var _sqrt=Math_sqrt;

  function _xerbla_() {
  Module['printErr']('missing function: xerbla_'); abort(-1);
  }

  var _log=Math_log;

  var _cos=Math_cos;

  
   
  Module["_memmove"] = _memmove;var _llvm_memmove_p0i8_p0i8_i32=_memmove;

  function _time(ptr) {
      var ret = Math.floor(Date.now()/1000);
      if (ptr) {
        HEAP32[((ptr)>>2)]=ret;
      }
      return ret;
    }

  
  var ___rand_seed=allocate([0x0273459b, 0, 0, 0], "i32", ALLOC_STATIC);function _srand(seed) {
      HEAP32[((___rand_seed)>>2)]=seed
    }

  
   
  Module["_rand_r"] = _rand_r; 
  Module["_rand"] = _rand;

  var _llvm_pow_f64=Math_pow;

  
  
  
  function __reallyNegative(x) {
      return x < 0 || (x === 0 && (1/x) === -Infinity);
    }function __formatString(format, varargs) {
      var textIndex = format;
      var argIndex = 0;
      function getNextArg(type) {
        // NOTE: Explicitly ignoring type safety. Otherwise this fails:
        //       int x = 4; printf("%c\n", (char)x);
        var ret;
        if (type === 'double') {
          ret = HEAPF64[(((varargs)+(argIndex))>>3)];
        } else if (type == 'i64') {
          ret = [HEAP32[(((varargs)+(argIndex))>>2)],
                 HEAP32[(((varargs)+(argIndex+8))>>2)]];
          argIndex += 8; // each 32-bit chunk is in a 64-bit block
  
        } else {
          type = 'i32'; // varargs are always i32, i64, or double
          ret = HEAP32[(((varargs)+(argIndex))>>2)];
        }
        argIndex += Math.max(Runtime.getNativeFieldSize(type), Runtime.getAlignSize(type, null, true));
        return ret;
      }
  
      var ret = [];
      var curr, next, currArg;
      while(1) {
        var startTextIndex = textIndex;
        curr = HEAP8[(textIndex)];
        if (curr === 0) break;
        next = HEAP8[((textIndex+1)|0)];
        if (curr == 37) {
          // Handle flags.
          var flagAlwaysSigned = false;
          var flagLeftAlign = false;
          var flagAlternative = false;
          var flagZeroPad = false;
          var flagPadSign = false;
          flagsLoop: while (1) {
            switch (next) {
              case 43:
                flagAlwaysSigned = true;
                break;
              case 45:
                flagLeftAlign = true;
                break;
              case 35:
                flagAlternative = true;
                break;
              case 48:
                if (flagZeroPad) {
                  break flagsLoop;
                } else {
                  flagZeroPad = true;
                  break;
                }
              case 32:
                flagPadSign = true;
                break;
              default:
                break flagsLoop;
            }
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
          }
  
          // Handle width.
          var width = 0;
          if (next == 42) {
            width = getNextArg('i32');
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
          } else {
            while (next >= 48 && next <= 57) {
              width = width * 10 + (next - 48);
              textIndex++;
              next = HEAP8[((textIndex+1)|0)];
            }
          }
  
          // Handle precision.
          var precisionSet = false, precision = -1;
          if (next == 46) {
            precision = 0;
            precisionSet = true;
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
            if (next == 42) {
              precision = getNextArg('i32');
              textIndex++;
            } else {
              while(1) {
                var precisionChr = HEAP8[((textIndex+1)|0)];
                if (precisionChr < 48 ||
                    precisionChr > 57) break;
                precision = precision * 10 + (precisionChr - 48);
                textIndex++;
              }
            }
            next = HEAP8[((textIndex+1)|0)];
          }
          if (precision === -1) {
            precision = 6; // Standard default.
            precisionSet = false;
          }
  
          // Handle integer sizes. WARNING: These assume a 32-bit architecture!
          var argSize;
          switch (String.fromCharCode(next)) {
            case 'h':
              var nextNext = HEAP8[((textIndex+2)|0)];
              if (nextNext == 104) {
                textIndex++;
                argSize = 1; // char (actually i32 in varargs)
              } else {
                argSize = 2; // short (actually i32 in varargs)
              }
              break;
            case 'l':
              var nextNext = HEAP8[((textIndex+2)|0)];
              if (nextNext == 108) {
                textIndex++;
                argSize = 8; // long long
              } else {
                argSize = 4; // long
              }
              break;
            case 'L': // long long
            case 'q': // int64_t
            case 'j': // intmax_t
              argSize = 8;
              break;
            case 'z': // size_t
            case 't': // ptrdiff_t
            case 'I': // signed ptrdiff_t or unsigned size_t
              argSize = 4;
              break;
            default:
              argSize = null;
          }
          if (argSize) textIndex++;
          next = HEAP8[((textIndex+1)|0)];
  
          // Handle type specifier.
          switch (String.fromCharCode(next)) {
            case 'd': case 'i': case 'u': case 'o': case 'x': case 'X': case 'p': {
              // Integer.
              var signed = next == 100 || next == 105;
              argSize = argSize || 4;
              var currArg = getNextArg('i' + (argSize * 8));
              var origArg = currArg;
              var argText;
              // Flatten i64-1 [low, high] into a (slightly rounded) double
              if (argSize == 8) {
                currArg = Runtime.makeBigInt(currArg[0], currArg[1], next == 117);
              }
              // Truncate to requested size.
              if (argSize <= 4) {
                var limit = Math.pow(256, argSize) - 1;
                currArg = (signed ? reSign : unSign)(currArg & limit, argSize * 8);
              }
              // Format the number.
              var currAbsArg = Math.abs(currArg);
              var prefix = '';
              if (next == 100 || next == 105) {
                if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], null); else
                argText = reSign(currArg, 8 * argSize, 1).toString(10);
              } else if (next == 117) {
                if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], true); else
                argText = unSign(currArg, 8 * argSize, 1).toString(10);
                currArg = Math.abs(currArg);
              } else if (next == 111) {
                argText = (flagAlternative ? '0' : '') + currAbsArg.toString(8);
              } else if (next == 120 || next == 88) {
                prefix = (flagAlternative && currArg != 0) ? '0x' : '';
                if (argSize == 8 && i64Math) {
                  if (origArg[1]) {
                    argText = (origArg[1]>>>0).toString(16);
                    var lower = (origArg[0]>>>0).toString(16);
                    while (lower.length < 8) lower = '0' + lower;
                    argText += lower;
                  } else {
                    argText = (origArg[0]>>>0).toString(16);
                  }
                } else
                if (currArg < 0) {
                  // Represent negative numbers in hex as 2's complement.
                  currArg = -currArg;
                  argText = (currAbsArg - 1).toString(16);
                  var buffer = [];
                  for (var i = 0; i < argText.length; i++) {
                    buffer.push((0xF - parseInt(argText[i], 16)).toString(16));
                  }
                  argText = buffer.join('');
                  while (argText.length < argSize * 2) argText = 'f' + argText;
                } else {
                  argText = currAbsArg.toString(16);
                }
                if (next == 88) {
                  prefix = prefix.toUpperCase();
                  argText = argText.toUpperCase();
                }
              } else if (next == 112) {
                if (currAbsArg === 0) {
                  argText = '(nil)';
                } else {
                  prefix = '0x';
                  argText = currAbsArg.toString(16);
                }
              }
              if (precisionSet) {
                while (argText.length < precision) {
                  argText = '0' + argText;
                }
              }
  
              // Add sign if needed
              if (currArg >= 0) {
                if (flagAlwaysSigned) {
                  prefix = '+' + prefix;
                } else if (flagPadSign) {
                  prefix = ' ' + prefix;
                }
              }
  
              // Move sign to prefix so we zero-pad after the sign
              if (argText.charAt(0) == '-') {
                prefix = '-' + prefix;
                argText = argText.substr(1);
              }
  
              // Add padding.
              while (prefix.length + argText.length < width) {
                if (flagLeftAlign) {
                  argText += ' ';
                } else {
                  if (flagZeroPad) {
                    argText = '0' + argText;
                  } else {
                    prefix = ' ' + prefix;
                  }
                }
              }
  
              // Insert the result into the buffer.
              argText = prefix + argText;
              argText.split('').forEach(function(chr) {
                ret.push(chr.charCodeAt(0));
              });
              break;
            }
            case 'f': case 'F': case 'e': case 'E': case 'g': case 'G': {
              // Float.
              var currArg = getNextArg('double');
              var argText;
              if (isNaN(currArg)) {
                argText = 'nan';
                flagZeroPad = false;
              } else if (!isFinite(currArg)) {
                argText = (currArg < 0 ? '-' : '') + 'inf';
                flagZeroPad = false;
              } else {
                var isGeneral = false;
                var effectivePrecision = Math.min(precision, 20);
  
                // Convert g/G to f/F or e/E, as per:
                // http://pubs.opengroup.org/onlinepubs/9699919799/functions/printf.html
                if (next == 103 || next == 71) {
                  isGeneral = true;
                  precision = precision || 1;
                  var exponent = parseInt(currArg.toExponential(effectivePrecision).split('e')[1], 10);
                  if (precision > exponent && exponent >= -4) {
                    next = ((next == 103) ? 'f' : 'F').charCodeAt(0);
                    precision -= exponent + 1;
                  } else {
                    next = ((next == 103) ? 'e' : 'E').charCodeAt(0);
                    precision--;
                  }
                  effectivePrecision = Math.min(precision, 20);
                }
  
                if (next == 101 || next == 69) {
                  argText = currArg.toExponential(effectivePrecision);
                  // Make sure the exponent has at least 2 digits.
                  if (/[eE][-+]\d$/.test(argText)) {
                    argText = argText.slice(0, -1) + '0' + argText.slice(-1);
                  }
                } else if (next == 102 || next == 70) {
                  argText = currArg.toFixed(effectivePrecision);
                  if (currArg === 0 && __reallyNegative(currArg)) {
                    argText = '-' + argText;
                  }
                }
  
                var parts = argText.split('e');
                if (isGeneral && !flagAlternative) {
                  // Discard trailing zeros and periods.
                  while (parts[0].length > 1 && parts[0].indexOf('.') != -1 &&
                         (parts[0].slice(-1) == '0' || parts[0].slice(-1) == '.')) {
                    parts[0] = parts[0].slice(0, -1);
                  }
                } else {
                  // Make sure we have a period in alternative mode.
                  if (flagAlternative && argText.indexOf('.') == -1) parts[0] += '.';
                  // Zero pad until required precision.
                  while (precision > effectivePrecision++) parts[0] += '0';
                }
                argText = parts[0] + (parts.length > 1 ? 'e' + parts[1] : '');
  
                // Capitalize 'E' if needed.
                if (next == 69) argText = argText.toUpperCase();
  
                // Add sign.
                if (currArg >= 0) {
                  if (flagAlwaysSigned) {
                    argText = '+' + argText;
                  } else if (flagPadSign) {
                    argText = ' ' + argText;
                  }
                }
              }
  
              // Add padding.
              while (argText.length < width) {
                if (flagLeftAlign) {
                  argText += ' ';
                } else {
                  if (flagZeroPad && (argText[0] == '-' || argText[0] == '+')) {
                    argText = argText[0] + '0' + argText.slice(1);
                  } else {
                    argText = (flagZeroPad ? '0' : ' ') + argText;
                  }
                }
              }
  
              // Adjust case.
              if (next < 97) argText = argText.toUpperCase();
  
              // Insert the result into the buffer.
              argText.split('').forEach(function(chr) {
                ret.push(chr.charCodeAt(0));
              });
              break;
            }
            case 's': {
              // String.
              var arg = getNextArg('i8*');
              var argLength = arg ? _strlen(arg) : '(null)'.length;
              if (precisionSet) argLength = Math.min(argLength, precision);
              if (!flagLeftAlign) {
                while (argLength < width--) {
                  ret.push(32);
                }
              }
              if (arg) {
                for (var i = 0; i < argLength; i++) {
                  ret.push(HEAPU8[((arg++)|0)]);
                }
              } else {
                ret = ret.concat(intArrayFromString('(null)'.substr(0, argLength), true));
              }
              if (flagLeftAlign) {
                while (argLength < width--) {
                  ret.push(32);
                }
              }
              break;
            }
            case 'c': {
              // Character.
              if (flagLeftAlign) ret.push(getNextArg('i8'));
              while (--width > 0) {
                ret.push(32);
              }
              if (!flagLeftAlign) ret.push(getNextArg('i8'));
              break;
            }
            case 'n': {
              // Write the length written so far to the next parameter.
              var ptr = getNextArg('i32*');
              HEAP32[((ptr)>>2)]=ret.length;
              break;
            }
            case '%': {
              // Literal percent sign.
              ret.push(curr);
              break;
            }
            default: {
              // Unknown specifiers remain untouched.
              for (var i = startTextIndex; i < textIndex + 2; i++) {
                ret.push(HEAP8[(i)]);
              }
            }
          }
          textIndex += 2;
          // TODO: Support a/A (hex float) and m (last error) specifiers.
          // TODO: Support %1${specifier} for arg selection.
        } else {
          ret.push(curr);
          textIndex += 1;
        }
      }
      return ret;
    }function _snprintf(s, n, format, varargs) {
      // int snprintf(char *restrict s, size_t n, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var limit = (n === undefined) ? result.length
                                    : Math.min(result.length, Math.max(n - 1, 0));
      if (s < 0) {
        s = -s;
        var buf = _malloc(limit+1);
        HEAP32[((s)>>2)]=buf;
        s = buf;
      }
      for (var i = 0; i < limit; i++) {
        HEAP8[(((s)+(i))|0)]=result[i];
      }
      if (limit < n || (n === undefined)) HEAP8[(((s)+(i))|0)]=0;
      return result.length;
    }function _sprintf(s, format, varargs) {
      // int sprintf(char *restrict s, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      return _snprintf(s, undefined, format, varargs);
    }

  function _longjmp(env, value) {
      asm['setThrew'](env, value || 1);
      throw 'longjmp';
    }

  
  
  function _isspace(chr) {
      return (chr == 32) || (chr >= 9 && chr <= 13);
    }function __parseInt(str, endptr, base, min, max, bits, unsign) {
      // Skip space.
      while (_isspace(HEAP8[(str)])) str++;
  
      // Check for a plus/minus sign.
      var multiplier = 1;
      if (HEAP8[(str)] == 45) {
        multiplier = -1;
        str++;
      } else if (HEAP8[(str)] == 43) {
        str++;
      }
  
      // Find base.
      var finalBase = base;
      if (!finalBase) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            finalBase = 16;
            str += 2;
          } else {
            finalBase = 8;
            str++;
          }
        }
      } else if (finalBase==16) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            str += 2;
          }
        }
      }
      if (!finalBase) finalBase = 10;
  
      // Get digits.
      var chr;
      var ret = 0;
      while ((chr = HEAP8[(str)]) != 0) {
        var digit = parseInt(String.fromCharCode(chr), finalBase);
        if (isNaN(digit)) {
          break;
        } else {
          ret = ret * finalBase + digit;
          str++;
        }
      }
  
      // Apply sign.
      ret *= multiplier;
  
      // Set end pointer.
      if (endptr) {
        HEAP32[((endptr)>>2)]=str;
      }
  
      // Unsign if needed.
      if (unsign) {
        if (Math.abs(ret) > max) {
          ret = max;
          ___setErrNo(ERRNO_CODES.ERANGE);
        } else {
          ret = unSign(ret, bits);
        }
      }
  
      // Validate range.
      if (ret > max || ret < min) {
        ret = ret > max ? max : min;
        ___setErrNo(ERRNO_CODES.ERANGE);
      }
  
      if (bits == 64) {
        return ((asm["setTempRet0"]((tempDouble=ret,(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)),ret>>>0)|0);
      }
  
      return ret;
    }function _strtol(str, endptr, base) {
      return __parseInt(str, endptr, base, -2147483648, 2147483647, 32);  // LONG_MIN, LONG_MAX.
    }

  function _fprintf(stream, format, varargs) {
      // int fprintf(FILE *restrict stream, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var stack = Runtime.stackSave();
      var ret = _fwrite(allocate(result, 'i8', ALLOC_STACK), 1, result.length, stream);
      Runtime.stackRestore(stack);
      return ret;
    }

  var _floor=Math_floor;

  function _fputs(s, stream) {
      // int fputs(const char *restrict s, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fputs.html
      var fd = _fileno(stream);
      return _write(fd, s, _strlen(s));
    }


  
  var PTHREAD_SPECIFIC_NEXT_KEY=1;function _pthread_key_create(key, destructor) {
      if (key == 0) {
        return ERRNO_CODES.EINVAL;
      }
      HEAP32[((key)>>2)]=PTHREAD_SPECIFIC_NEXT_KEY;
      // values start at 0
      PTHREAD_SPECIFIC[PTHREAD_SPECIFIC_NEXT_KEY] = 0;
      PTHREAD_SPECIFIC_NEXT_KEY++;
      return 0;
    }

  function _GC_init() {
  Module['printErr']('missing function: GC_init'); abort(-1);
  }

  function ___assert_fail(condition, filename, line, func) {
      ABORT = true;
      throw 'Assertion failed: ' + Pointer_stringify(condition) + ', at: ' + [filename ? Pointer_stringify(filename) : 'unknown filename', line, func ? Pointer_stringify(func) : 'unknown function'] + ' at ' + stackTrace();
    }

  function _GC_malloc() {
  Module['printErr']('missing function: GC_malloc'); abort(-1);
  }

  var _llvm_va_start=undefined;

  function _llvm_va_end() {}

  function _printf(format, varargs) {
      // int printf(const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var stdout = HEAP32[((_stdout)>>2)];
      return _fprintf(stdout, format, varargs);
    }


  function _puts(s) {
      // int puts(const char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/puts.html
      // NOTE: puts() always writes an extra newline.
      var stdout = HEAP32[((_stdout)>>2)];
      var ret = _fputs(s, stdout);
      if (ret < 0) {
        return ret;
      } else {
        var newlineRet = _fputc(10, stdout);
        return (newlineRet < 0) ? -1 : ret + 1;
      }
    }

  function _vfprintf(s, f, va_arg) {
      return _fprintf(s, f, HEAP32[((va_arg)>>2)]);
    }

  function _vsnprintf(s, n, format, va_arg) {
      return _snprintf(s, n, format, HEAP32[((va_arg)>>2)]);
    }

  function _GC_malloc_atomic() {
  Module['printErr']('missing function: GC_malloc_atomic'); abort(-1);
  }

  function _GC_strdup() {
  Module['printErr']('missing function: GC_strdup'); abort(-1);
  }

  function _GC_collect_a_little() {
  Module['printErr']('missing function: GC_collect_a_little'); abort(-1);
  }

  function _strdup(ptr) {
      var len = _strlen(ptr);
      var newStr = _malloc(len + 1);
      (_memcpy(newStr, ptr, len)|0);
      HEAP8[(((newStr)+(len))|0)]=0;
      return newStr;
    }

  function _pthread_mutex_lock() {}

  function _pthread_mutex_unlock() {}

   
  Module["_strcpy"] = _strcpy;

  
  
  function _recv(fd, buf, len, flags) {
      var sock = SOCKFS.getSocket(fd);
      if (!sock) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      // TODO honor flags
      return _read(fd, buf, len);
    }
  
  function _pread(fildes, buf, nbyte, offset) {
      // ssize_t pread(int fildes, void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        var slab = HEAP8;
        return FS.read(stream, slab, buf, nbyte, offset);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _read(fildes, buf, nbyte) {
      // ssize_t read(int fildes, void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
  
  
      try {
        var slab = HEAP8;
        return FS.read(stream, slab, buf, nbyte);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fread(ptr, size, nitems, stream) {
      // size_t fread(void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fread.html
      var bytesToRead = nitems * size;
      if (bytesToRead == 0) {
        return 0;
      }
      var bytesRead = 0;
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return 0;
      }
      while (streamObj.ungotten.length && bytesToRead > 0) {
        HEAP8[((ptr++)|0)]=streamObj.ungotten.pop();
        bytesToRead--;
        bytesRead++;
      }
      var err = _read(streamObj.fd, ptr, bytesToRead);
      if (err == -1) {
        if (streamObj) streamObj.error = true;
        return 0;
      }
      bytesRead += err;
      if (bytesRead < bytesToRead) streamObj.eof = true;
      return Math.floor(bytesRead / size);
    }

  function _qsort(base, num, size, cmp) {
      if (num == 0 || size == 0) return;
      // forward calls to the JavaScript sort method
      // first, sort the items logically
      var keys = [];
      for (var i = 0; i < num; i++) keys.push(i);
      keys.sort(function(a, b) {
        return Module['dynCall_iii'](cmp, base+a*size, base+b*size);
      });
      // apply the sort
      var temp = _malloc(num*size);
      _memcpy(temp, base, num*size);
      for (var i = 0; i < num; i++) {
        if (keys[i] == i) continue; // already in place
        _memcpy(base+i*size, temp+keys[i]*size, size);
      }
      _free(temp);
    }

  function _ftell(stream) {
      // long ftell(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ftell.html
      stream = FS.getStreamFromPtr(stream);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      if (FS.isChrdev(stream.node.mode)) {
        ___setErrNo(ERRNO_CODES.ESPIPE);
        return -1;
      } else {
        return stream.position;
      }
    }

  
  function _lseek(fildes, offset, whence) {
      // off_t lseek(int fildes, off_t offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/lseek.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        return FS.llseek(stream, offset, whence);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fseek(stream, offset, whence) {
      // int fseek(FILE *stream, long offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fseek.html
      var fd = _fileno(stream);
      var ret = _lseek(fd, offset, whence);
      if (ret == -1) {
        return -1;
      }
      stream = FS.getStreamFromPtr(stream);
      stream.eof = false;
      return 0;
    }

  function _bsearch(key, base, num, size, compar) {
      function cmp(x, y) {
        return Module['dynCall_iii'](compar, x, y);
      };
      var left = 0;
      var right = num;
      var mid, test, addr;
  
      while (left < right) {
        mid = (left + right) >>> 1;
        addr = base + (mid * size);
        test = cmp(key, addr);
        if (test < 0) {
          right = mid;
        } else if (test > 0) {
          left = mid + 1;
        } else {
          return addr;
        }
      }
  
      return 0;
    }

  
  function _emscripten_get_now() {
      if (!_emscripten_get_now.actual) {
        if (ENVIRONMENT_IS_NODE) {
          _emscripten_get_now.actual = function _emscripten_get_now_actual() {
            var t = process['hrtime']();
            return t[0] * 1e3 + t[1] / 1e6;
          }
        } else if (typeof dateNow !== 'undefined') {
          _emscripten_get_now.actual = dateNow;
        } else if (ENVIRONMENT_IS_WEB && window['performance'] && window['performance']['now']) {
          _emscripten_get_now.actual = function _emscripten_get_now_actual() { return window['performance']['now'](); };
        } else {
          _emscripten_get_now.actual = Date.now;
        }
      }
      return _emscripten_get_now.actual();
    }function _clock_gettime(clk_id, tp) {
      // int clock_gettime(clockid_t clk_id, struct timespec *tp);
      var now;
      if (clk_id === 0) {
        now = Date.now();
      } else {
        now = _emscripten_get_now();
      }
      HEAP32[((tp)>>2)]=Math.floor(now/1000); // seconds
      HEAP32[(((tp)+(4))>>2)]=Math.floor((now % 1000)*1000*1000); // nanoseconds
      return 0;
    }

  function _fgetc(stream) {
      // int fgetc(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fgetc.html
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) return -1;
      if (streamObj.eof || streamObj.error) return -1;
      var ret = _fread(_fgetc.ret, 1, 1, stream);
      if (ret == 0) {
        return -1;
      } else if (ret == -1) {
        streamObj.error = true;
        return -1;
      } else {
        return HEAPU8[((_fgetc.ret)|0)];
      }
    }


  function _perror(s) {
      // void perror(const char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/perror.html
      var stdout = HEAP32[((_stdout)>>2)];
      if (s) {
        _fputs(s, stdout);
        _fputc(58, stdout);
        _fputc(32, stdout);
      }
      var errnum = HEAP32[((___errno_location())>>2)];
      _puts(_strerror(errnum));
    }

  var _sin=Math_sin;

  var _ceil=Math_ceil;

  function _lis_matrix_set_value() {
  Module['printErr']('missing function: lis_matrix_set_value'); abort(-1);
  }

  function _lis_vector_create() {
  Module['printErr']('missing function: lis_vector_create'); abort(-1);
  }

  function _lis_vector_set_size() {
  Module['printErr']('missing function: lis_vector_set_size'); abort(-1);
  }

  function _lis_solver_create() {
  Module['printErr']('missing function: lis_solver_create'); abort(-1);
  }

  function _lis_solver_set_option() {
  Module['printErr']('missing function: lis_solver_set_option'); abort(-1);
  }

  function _lis_solver_destroy() {
  Module['printErr']('missing function: lis_solver_destroy'); abort(-1);
  }

  function _lis_vector_destroy() {
  Module['printErr']('missing function: lis_vector_destroy'); abort(-1);
  }

  
  var ___strtok_state=0;
  
  function _strtok_r(s, delim, lasts) {
      var skip_leading_delim = 1;
      var spanp;
      var c, sc;
      var tok;
  
  
      if (s == 0 && (s = getValue(lasts, 'i8*')) == 0) {
        return 0;
      }
  
      cont: while (1) {
        c = getValue(s++, 'i8');
        for (spanp = delim; (sc = getValue(spanp++, 'i8')) != 0;) {
          if (c == sc) {
            if (skip_leading_delim) {
              continue cont;
            } else {
              setValue(lasts, s, 'i8*');
              setValue(s - 1, 0, 'i8');
              return s - 1;
            }
          }
        }
        break;
      }
  
      if (c == 0) {
        setValue(lasts, 0, 'i8*');
        return 0;
      }
      tok = s - 1;
  
      for (;;) {
        c = getValue(s++, 'i8');
        spanp = delim;
        do {
          if ((sc = getValue(spanp++, 'i8')) == c) {
            if (c == 0) {
              s = 0;
            } else {
              setValue(s - 1, 0, 'i8');
            }
            setValue(lasts, s, 'i8*');
            return tok;
          }
        } while (sc != 0);
      }
      abort('strtok_r error!');
    }function _strtok(s, delim) {
      return _strtok_r(s, delim, ___strtok_state);
    }

  function _rewind(stream) {
      // void rewind(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/rewind.html
      _fseek(stream, 0, 0);  // SEEK_SET.
      var streamObj = FS.getStreamFromPtr(stream);
      if (streamObj) streamObj.error = false;
    }

  
  
  function __getFloat(text) {
      return /^[+-]?[0-9]*\.?[0-9]+([eE][+-]?[0-9]+)?/.exec(text);
    }function __scanString(format, get, unget, varargs) {
      if (!__scanString.whiteSpace) {
        __scanString.whiteSpace = {};
        __scanString.whiteSpace[32] = 1;
        __scanString.whiteSpace[9] = 1;
        __scanString.whiteSpace[10] = 1;
        __scanString.whiteSpace[11] = 1;
        __scanString.whiteSpace[12] = 1;
        __scanString.whiteSpace[13] = 1;
      }
      // Supports %x, %4x, %d.%d, %lld, %s, %f, %lf.
      // TODO: Support all format specifiers.
      format = Pointer_stringify(format);
      var soFar = 0;
      if (format.indexOf('%n') >= 0) {
        // need to track soFar
        var _get = get;
        get = function get() {
          soFar++;
          return _get();
        }
        var _unget = unget;
        unget = function unget() {
          soFar--;
          return _unget();
        }
      }
      var formatIndex = 0;
      var argsi = 0;
      var fields = 0;
      var argIndex = 0;
      var next;
  
      mainLoop:
      for (var formatIndex = 0; formatIndex < format.length;) {
        if (format[formatIndex] === '%' && format[formatIndex+1] == 'n') {
          var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
          argIndex += Runtime.getAlignSize('void*', null, true);
          HEAP32[((argPtr)>>2)]=soFar;
          formatIndex += 2;
          continue;
        }
  
        if (format[formatIndex] === '%') {
          var nextC = format.indexOf('c', formatIndex+1);
          if (nextC > 0) {
            var maxx = 1;
            if (nextC > formatIndex+1) {
              var sub = format.substring(formatIndex+1, nextC);
              maxx = parseInt(sub);
              if (maxx != sub) maxx = 0;
            }
            if (maxx) {
              var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
              argIndex += Runtime.getAlignSize('void*', null, true);
              fields++;
              for (var i = 0; i < maxx; i++) {
                next = get();
                HEAP8[((argPtr++)|0)]=next;
                if (next === 0) return i > 0 ? fields : fields-1; // we failed to read the full length of this field
              }
              formatIndex += nextC - formatIndex + 1;
              continue;
            }
          }
        }
  
        // handle %[...]
        if (format[formatIndex] === '%' && format.indexOf('[', formatIndex+1) > 0) {
          var match = /\%([0-9]*)\[(\^)?(\]?[^\]]*)\]/.exec(format.substring(formatIndex));
          if (match) {
            var maxNumCharacters = parseInt(match[1]) || Infinity;
            var negateScanList = (match[2] === '^');
            var scanList = match[3];
  
            // expand "middle" dashs into character sets
            var middleDashMatch;
            while ((middleDashMatch = /([^\-])\-([^\-])/.exec(scanList))) {
              var rangeStartCharCode = middleDashMatch[1].charCodeAt(0);
              var rangeEndCharCode = middleDashMatch[2].charCodeAt(0);
              for (var expanded = ''; rangeStartCharCode <= rangeEndCharCode; expanded += String.fromCharCode(rangeStartCharCode++));
              scanList = scanList.replace(middleDashMatch[1] + '-' + middleDashMatch[2], expanded);
            }
  
            var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
            argIndex += Runtime.getAlignSize('void*', null, true);
            fields++;
  
            for (var i = 0; i < maxNumCharacters; i++) {
              next = get();
              if (negateScanList) {
                if (scanList.indexOf(String.fromCharCode(next)) < 0) {
                  HEAP8[((argPtr++)|0)]=next;
                } else {
                  unget();
                  break;
                }
              } else {
                if (scanList.indexOf(String.fromCharCode(next)) >= 0) {
                  HEAP8[((argPtr++)|0)]=next;
                } else {
                  unget();
                  break;
                }
              }
            }
  
            // write out null-terminating character
            HEAP8[((argPtr++)|0)]=0;
            formatIndex += match[0].length;
            
            continue;
          }
        }      
        // remove whitespace
        while (1) {
          next = get();
          if (next == 0) return fields;
          if (!(next in __scanString.whiteSpace)) break;
        }
        unget();
  
        if (format[formatIndex] === '%') {
          formatIndex++;
          var suppressAssignment = false;
          if (format[formatIndex] == '*') {
            suppressAssignment = true;
            formatIndex++;
          }
          var maxSpecifierStart = formatIndex;
          while (format[formatIndex].charCodeAt(0) >= 48 &&
                 format[formatIndex].charCodeAt(0) <= 57) {
            formatIndex++;
          }
          var max_;
          if (formatIndex != maxSpecifierStart) {
            max_ = parseInt(format.slice(maxSpecifierStart, formatIndex), 10);
          }
          var long_ = false;
          var half = false;
          var longLong = false;
          if (format[formatIndex] == 'l') {
            long_ = true;
            formatIndex++;
            if (format[formatIndex] == 'l') {
              longLong = true;
              formatIndex++;
            }
          } else if (format[formatIndex] == 'h') {
            half = true;
            formatIndex++;
          }
          var type = format[formatIndex];
          formatIndex++;
          var curr = 0;
          var buffer = [];
          // Read characters according to the format. floats are trickier, they may be in an unfloat state in the middle, then be a valid float later
          if (type == 'f' || type == 'e' || type == 'g' ||
              type == 'F' || type == 'E' || type == 'G') {
            next = get();
            while (next > 0 && (!(next in __scanString.whiteSpace)))  {
              buffer.push(String.fromCharCode(next));
              next = get();
            }
            var m = __getFloat(buffer.join(''));
            var last = m ? m[0].length : 0;
            for (var i = 0; i < buffer.length - last + 1; i++) {
              unget();
            }
            buffer.length = last;
          } else {
            next = get();
            var first = true;
            
            // Strip the optional 0x prefix for %x.
            if ((type == 'x' || type == 'X') && (next == 48)) {
              var peek = get();
              if (peek == 120 || peek == 88) {
                next = get();
              } else {
                unget();
              }
            }
            
            while ((curr < max_ || isNaN(max_)) && next > 0) {
              if (!(next in __scanString.whiteSpace) && // stop on whitespace
                  (type == 's' ||
                   ((type === 'd' || type == 'u' || type == 'i') && ((next >= 48 && next <= 57) ||
                                                                     (first && next == 45))) ||
                   ((type === 'x' || type === 'X') && (next >= 48 && next <= 57 ||
                                     next >= 97 && next <= 102 ||
                                     next >= 65 && next <= 70))) &&
                  (formatIndex >= format.length || next !== format[formatIndex].charCodeAt(0))) { // Stop when we read something that is coming up
                buffer.push(String.fromCharCode(next));
                next = get();
                curr++;
                first = false;
              } else {
                break;
              }
            }
            unget();
          }
          if (buffer.length === 0) return 0;  // Failure.
          if (suppressAssignment) continue;
  
          var text = buffer.join('');
          var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
          argIndex += Runtime.getAlignSize('void*', null, true);
          switch (type) {
            case 'd': case 'u': case 'i':
              if (half) {
                HEAP16[((argPtr)>>1)]=parseInt(text, 10);
              } else if (longLong) {
                (tempI64 = [parseInt(text, 10)>>>0,(tempDouble=parseInt(text, 10),(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)],HEAP32[((argPtr)>>2)]=tempI64[0],HEAP32[(((argPtr)+(4))>>2)]=tempI64[1]);
              } else {
                HEAP32[((argPtr)>>2)]=parseInt(text, 10);
              }
              break;
            case 'X':
            case 'x':
              HEAP32[((argPtr)>>2)]=parseInt(text, 16);
              break;
            case 'F':
            case 'f':
            case 'E':
            case 'e':
            case 'G':
            case 'g':
            case 'E':
              // fallthrough intended
              if (long_) {
                HEAPF64[((argPtr)>>3)]=parseFloat(text);
              } else {
                HEAPF32[((argPtr)>>2)]=parseFloat(text);
              }
              break;
            case 's':
              var array = intArrayFromString(text);
              for (var j = 0; j < array.length; j++) {
                HEAP8[(((argPtr)+(j))|0)]=array[j];
              }
              break;
          }
          fields++;
        } else if (format[formatIndex].charCodeAt(0) in __scanString.whiteSpace) {
          next = get();
          while (next in __scanString.whiteSpace) {
            if (next <= 0) break mainLoop;  // End of input.
            next = get();
          }
          unget(next);
          formatIndex++;
        } else {
          // Not a specifier.
          next = get();
          if (format[formatIndex].charCodeAt(0) !== next) {
            unget(next);
            break mainLoop;
          }
          formatIndex++;
        }
      }
      return fields;
    }
  
  function _ungetc(c, stream) {
      // int ungetc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ungetc.html
      stream = FS.getStreamFromPtr(stream);
      if (!stream) {
        return -1;
      }
      if (c === -1) {
        // do nothing for EOF character
        return c;
      }
      c = unSign(c & 0xFF);
      stream.ungotten.push(c);
      stream.eof = false;
      return c;
    }function _fscanf(stream, format, varargs) {
      // int fscanf(FILE *restrict stream, const char *restrict format, ... );
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/scanf.html
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) {
        return -1;
      }
      var buffer = [];
      function get() {
        var c = _fgetc(stream);
        buffer.push(c);
        return c;
      };
      function unget() {
        _ungetc(buffer.pop(), stream);
      };
      return __scanString(format, get, unget, varargs);
    }

  
  function __ZSt18uncaught_exceptionv() { // std::uncaught_exception()
      return !!__ZSt18uncaught_exceptionv.uncaught_exception;
    }
  
  
  
  function ___cxa_is_number_type(type) {
      var isNumber = false;
      try { if (type == __ZTIi) isNumber = true } catch(e){}
      try { if (type == __ZTIj) isNumber = true } catch(e){}
      try { if (type == __ZTIl) isNumber = true } catch(e){}
      try { if (type == __ZTIm) isNumber = true } catch(e){}
      try { if (type == __ZTIx) isNumber = true } catch(e){}
      try { if (type == __ZTIy) isNumber = true } catch(e){}
      try { if (type == __ZTIf) isNumber = true } catch(e){}
      try { if (type == __ZTId) isNumber = true } catch(e){}
      try { if (type == __ZTIe) isNumber = true } catch(e){}
      try { if (type == __ZTIc) isNumber = true } catch(e){}
      try { if (type == __ZTIa) isNumber = true } catch(e){}
      try { if (type == __ZTIh) isNumber = true } catch(e){}
      try { if (type == __ZTIs) isNumber = true } catch(e){}
      try { if (type == __ZTIt) isNumber = true } catch(e){}
      return isNumber;
    }function ___cxa_does_inherit(definiteType, possibilityType, possibility) {
      if (possibility == 0) return false;
      if (possibilityType == 0 || possibilityType == definiteType)
        return true;
      var possibility_type_info;
      if (___cxa_is_number_type(possibilityType)) {
        possibility_type_info = possibilityType;
      } else {
        var possibility_type_infoAddr = HEAP32[((possibilityType)>>2)] - 8;
        possibility_type_info = HEAP32[((possibility_type_infoAddr)>>2)];
      }
      switch (possibility_type_info) {
      case 0: // possibility is a pointer
        // See if definite type is a pointer
        var definite_type_infoAddr = HEAP32[((definiteType)>>2)] - 8;
        var definite_type_info = HEAP32[((definite_type_infoAddr)>>2)];
        if (definite_type_info == 0) {
          // Also a pointer; compare base types of pointers
          var defPointerBaseAddr = definiteType+8;
          var defPointerBaseType = HEAP32[((defPointerBaseAddr)>>2)];
          var possPointerBaseAddr = possibilityType+8;
          var possPointerBaseType = HEAP32[((possPointerBaseAddr)>>2)];
          return ___cxa_does_inherit(defPointerBaseType, possPointerBaseType, possibility);
        } else
          return false; // one pointer and one non-pointer
      case 1: // class with no base class
        return false;
      case 2: // class with base class
        var parentTypeAddr = possibilityType + 8;
        var parentType = HEAP32[((parentTypeAddr)>>2)];
        return ___cxa_does_inherit(definiteType, parentType, possibility);
      default:
        return false; // some unencountered type
      }
    }
  
  function ___resumeException(ptr) {
      if (!___cxa_last_thrown_exception) { ___cxa_last_thrown_exception = ptr; }
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }
  
  var ___cxa_last_thrown_exception=0;
  
  var ___cxa_exception_header_size=8;function ___cxa_find_matching_catch(thrown, throwntype) {
      if (thrown == -1) thrown = ___cxa_last_thrown_exception;
      header = thrown - ___cxa_exception_header_size;
      if (throwntype == -1) throwntype = HEAP32[((header)>>2)];
      var typeArray = Array.prototype.slice.call(arguments, 2);
  
      // If throwntype is a pointer, this means a pointer has been
      // thrown. When a pointer is thrown, actually what's thrown
      // is a pointer to the pointer. We'll dereference it.
      if (throwntype != 0 && !___cxa_is_number_type(throwntype)) {
        var throwntypeInfoAddr= HEAP32[((throwntype)>>2)] - 8;
        var throwntypeInfo= HEAP32[((throwntypeInfoAddr)>>2)];
        if (throwntypeInfo == 0)
          thrown = HEAP32[((thrown)>>2)];
      }
      // The different catch blocks are denoted by different types.
      // Due to inheritance, those types may not precisely match the
      // type of the thrown object. Find one which matches, and
      // return the type of the catch block which should be called.
      for (var i = 0; i < typeArray.length; i++) {
        if (___cxa_does_inherit(typeArray[i], throwntype, thrown))
          return ((asm["setTempRet0"](typeArray[i]),thrown)|0);
      }
      // Shouldn't happen unless we have bogus data in typeArray
      // or encounter a type for which emscripten doesn't have suitable
      // typeinfo defined. Best-efforts match just in case.
      return ((asm["setTempRet0"](throwntype),thrown)|0);
    }function ___gxx_personality_v0() {
    }

  
  var ___cxa_caught_exceptions=[];function ___cxa_begin_catch(ptr) {
      __ZSt18uncaught_exceptionv.uncaught_exception--;
      ___cxa_caught_exceptions.push(___cxa_last_thrown_exception);
      return ptr;
    }

  
  
  function ___cxa_free_exception(ptr) {
      try {
        return _free(ptr - ___cxa_exception_header_size);
      } catch(e) { // XXX FIXME
      }
    }function ___cxa_end_catch() {
      if (___cxa_end_catch.rethrown) {
        ___cxa_end_catch.rethrown = false;
        return;
      }
      // Clear state flag.
      asm['setThrew'](0);
      // Call destructor if one is registered then clear it.
      var ptr = ___cxa_caught_exceptions.pop();
      if (ptr) {
        header = ptr - ___cxa_exception_header_size;
        var destructor = HEAP32[(((header)+(4))>>2)];
        if (destructor) {
          Runtime.dynCall('vi', destructor, [ptr]);
          HEAP32[(((header)+(4))>>2)]=0;
        }
        ___cxa_free_exception(ptr);
        ___cxa_last_thrown_exception = 0;
      }
    }function ___cxa_rethrow() {
      ___cxa_end_catch.rethrown = true;
      var ptr = ___cxa_caught_exceptions.pop();
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }


  
  function _exit(status) {
      __exit(status);
    }function __ZSt9terminatev() {
      _exit(-1234);
    }


  function ___cxa_call_unexpected(exception) {
      Module.printErr('Unexpected exception thrown, this is not properly supported - aborting');
      ABORT = true;
      throw exception;
    }

  function _strrchr(ptr, chr) {
      var ptr2 = ptr + _strlen(ptr);
      do {
        if (HEAP8[(ptr2)] == chr) return ptr2;
        ptr2--;
      } while (ptr2 >= ptr);
      return 0;
    }

  function ___cxa_allocate_exception(size) {
      var ptr = _malloc(size + ___cxa_exception_header_size);
      return ptr + ___cxa_exception_header_size;
    }

  function ___cxa_throw(ptr, type, destructor) {
      if (!___cxa_throw.initialized) {
        try {
          HEAP32[((__ZTVN10__cxxabiv119__pointer_type_infoE)>>2)]=0; // Workaround for libcxxabi integration bug
        } catch(e){}
        try {
          HEAP32[((__ZTVN10__cxxabiv117__class_type_infoE)>>2)]=1; // Workaround for libcxxabi integration bug
        } catch(e){}
        try {
          HEAP32[((__ZTVN10__cxxabiv120__si_class_type_infoE)>>2)]=2; // Workaround for libcxxabi integration bug
        } catch(e){}
        ___cxa_throw.initialized = true;
      }
      var header = ptr - ___cxa_exception_header_size;
      HEAP32[((header)>>2)]=type;
      HEAP32[(((header)+(4))>>2)]=destructor;
      ___cxa_last_thrown_exception = ptr;
      if (!("uncaught_exception" in __ZSt18uncaught_exceptionv)) {
        __ZSt18uncaught_exceptionv.uncaught_exception = 1;
      } else {
        __ZSt18uncaught_exceptionv.uncaught_exception++;
      }
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }

  var _fseeko=_fseek;

  var _ftello=_ftell;

  function _htonl(value) {
      return ((value & 0xff) << 24) + ((value & 0xff00) << 8) +
             ((value & 0xff0000) >>> 8) + ((value & 0xff000000) >>> 24);
    }


  function _atoi(ptr) {
      return _strtol(ptr, null, 10);
    }

  var _atol=_atoi;

  function _round(x) {
      return (x < 0) ? -Math.round(-x) : Math.round(x);
    }

  function _signal(sig, func) {
      // TODO
      return 0;
    }

  function _popen(command, mode) {
      // FILE *popen(const char *command, const char *mode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/popen.html
      // We allow only one process, so no pipes.
      ___setErrNo(ERRNO_CODES.EMFILE);
      return 0;
    }

  function _pclose(stream) {
      // int pclose(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/pclose.html
      // We allow only one process, so no pipes.
      ___setErrNo(ERRNO_CODES.ECHILD);
      return -1;
    }

  
  function __isLeapYear(year) {
        return year%4 === 0 && (year%100 !== 0 || year%400 === 0);
    }
  
  function __arraySum(array, index) {
      var sum = 0;
      for (var i = 0; i <= index; sum += array[i++]);
      return sum;
    }
  
  
  var __MONTH_DAYS_LEAP=[31,29,31,30,31,30,31,31,30,31,30,31];
  
  var __MONTH_DAYS_REGULAR=[31,28,31,30,31,30,31,31,30,31,30,31];function __addDays(date, days) {
      var newDate = new Date(date.getTime());
      while(days > 0) {
        var leap = __isLeapYear(newDate.getFullYear());
        var currentMonth = newDate.getMonth();
        var daysInCurrentMonth = (leap ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR)[currentMonth];
  
        if (days > daysInCurrentMonth-newDate.getDate()) {
          // we spill over to next month
          days -= (daysInCurrentMonth-newDate.getDate()+1);
          newDate.setDate(1);
          if (currentMonth < 11) {
            newDate.setMonth(currentMonth+1)
          } else {
            newDate.setMonth(0);
            newDate.setFullYear(newDate.getFullYear()+1);
          }
        } else {
          // we stay in current month 
          newDate.setDate(newDate.getDate()+days);
          return newDate;
        }
      }
  
      return newDate;
    }function _strftime(s, maxsize, format, tm) {
      // size_t strftime(char *restrict s, size_t maxsize, const char *restrict format, const struct tm *restrict timeptr);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/strftime.html
      
      var date = {
        tm_sec: HEAP32[((tm)>>2)],
        tm_min: HEAP32[(((tm)+(4))>>2)],
        tm_hour: HEAP32[(((tm)+(8))>>2)],
        tm_mday: HEAP32[(((tm)+(12))>>2)],
        tm_mon: HEAP32[(((tm)+(16))>>2)],
        tm_year: HEAP32[(((tm)+(20))>>2)],
        tm_wday: HEAP32[(((tm)+(24))>>2)],
        tm_yday: HEAP32[(((tm)+(28))>>2)],
        tm_isdst: HEAP32[(((tm)+(32))>>2)]
      };
  
      var pattern = Pointer_stringify(format);
  
      // expand format
      var EXPANSION_RULES_1 = {
        '%c': '%a %b %d %H:%M:%S %Y',     // Replaced by the locale's appropriate date and time representation - e.g., Mon Aug  3 14:02:01 2013
        '%D': '%m/%d/%y',                 // Equivalent to %m / %d / %y
        '%F': '%Y-%m-%d',                 // Equivalent to %Y - %m - %d
        '%h': '%b',                       // Equivalent to %b
        '%r': '%I:%M:%S %p',              // Replaced by the time in a.m. and p.m. notation
        '%R': '%H:%M',                    // Replaced by the time in 24-hour notation
        '%T': '%H:%M:%S',                 // Replaced by the time
        '%x': '%m/%d/%y',                 // Replaced by the locale's appropriate date representation
        '%X': '%H:%M:%S',                 // Replaced by the locale's appropriate date representation
      };
      for (var rule in EXPANSION_RULES_1) {
        pattern = pattern.replace(new RegExp(rule, 'g'), EXPANSION_RULES_1[rule]);
      }
  
      var WEEKDAYS = ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'];
      var MONTHS = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];
  
      function leadingSomething(value, digits, character) {
        var str = typeof value === 'number' ? value.toString() : (value || '');
        while (str.length < digits) {
          str = character[0]+str;
        }
        return str;
      };
  
      function leadingNulls(value, digits) {
        return leadingSomething(value, digits, '0');
      };
  
      function compareByDay(date1, date2) {
        function sgn(value) {
          return value < 0 ? -1 : (value > 0 ? 1 : 0);
        };
  
        var compare;
        if ((compare = sgn(date1.getFullYear()-date2.getFullYear())) === 0) {
          if ((compare = sgn(date1.getMonth()-date2.getMonth())) === 0) {
            compare = sgn(date1.getDate()-date2.getDate());
          }
        }
        return compare;
      };
  
      function getFirstWeekStartDate(janFourth) {
          switch (janFourth.getDay()) {
            case 0: // Sunday
              return new Date(janFourth.getFullYear()-1, 11, 29);
            case 1: // Monday
              return janFourth;
            case 2: // Tuesday
              return new Date(janFourth.getFullYear(), 0, 3);
            case 3: // Wednesday
              return new Date(janFourth.getFullYear(), 0, 2);
            case 4: // Thursday
              return new Date(janFourth.getFullYear(), 0, 1);
            case 5: // Friday
              return new Date(janFourth.getFullYear()-1, 11, 31);
            case 6: // Saturday
              return new Date(janFourth.getFullYear()-1, 11, 30);
          }
      };
  
      function getWeekBasedYear(date) {
          var thisDate = __addDays(new Date(date.tm_year+1900, 0, 1), date.tm_yday);
  
          var janFourthThisYear = new Date(thisDate.getFullYear(), 0, 4);
          var janFourthNextYear = new Date(thisDate.getFullYear()+1, 0, 4);
  
          var firstWeekStartThisYear = getFirstWeekStartDate(janFourthThisYear);
          var firstWeekStartNextYear = getFirstWeekStartDate(janFourthNextYear);
  
          if (compareByDay(firstWeekStartThisYear, thisDate) <= 0) {
            // this date is after the start of the first week of this year
            if (compareByDay(firstWeekStartNextYear, thisDate) <= 0) {
              return thisDate.getFullYear()+1;
            } else {
              return thisDate.getFullYear();
            }
          } else { 
            return thisDate.getFullYear()-1;
          }
      };
  
      var EXPANSION_RULES_2 = {
        '%a': function(date) {
          return WEEKDAYS[date.tm_wday].substring(0,3);
        },
        '%A': function(date) {
          return WEEKDAYS[date.tm_wday];
        },
        '%b': function(date) {
          return MONTHS[date.tm_mon].substring(0,3);
        },
        '%B': function(date) {
          return MONTHS[date.tm_mon];
        },
        '%C': function(date) {
          var year = date.tm_year+1900;
          return leadingNulls(Math.floor(year/100),2);
        },
        '%d': function(date) {
          return leadingNulls(date.tm_mday, 2);
        },
        '%e': function(date) {
          return leadingSomething(date.tm_mday, 2, ' ');
        },
        '%g': function(date) {
          // %g, %G, and %V give values according to the ISO 8601:2000 standard week-based year. 
          // In this system, weeks begin on a Monday and week 1 of the year is the week that includes 
          // January 4th, which is also the week that includes the first Thursday of the year, and 
          // is also the first week that contains at least four days in the year. 
          // If the first Monday of January is the 2nd, 3rd, or 4th, the preceding days are part of 
          // the last week of the preceding year; thus, for Saturday 2nd January 1999, 
          // %G is replaced by 1998 and %V is replaced by 53. If December 29th, 30th, 
          // or 31st is a Monday, it and any following days are part of week 1 of the following year. 
          // Thus, for Tuesday 30th December 1997, %G is replaced by 1998 and %V is replaced by 01.
          
          return getWeekBasedYear(date).toString().substring(2);
        },
        '%G': function(date) {
          return getWeekBasedYear(date);
        },
        '%H': function(date) {
          return leadingNulls(date.tm_hour, 2);
        },
        '%I': function(date) {
          return leadingNulls(date.tm_hour < 13 ? date.tm_hour : date.tm_hour-12, 2);
        },
        '%j': function(date) {
          // Day of the year (001-366)
          return leadingNulls(date.tm_mday+__arraySum(__isLeapYear(date.tm_year+1900) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, date.tm_mon-1), 3);
        },
        '%m': function(date) {
          return leadingNulls(date.tm_mon+1, 2);
        },
        '%M': function(date) {
          return leadingNulls(date.tm_min, 2);
        },
        '%n': function() {
          return '\n';
        },
        '%p': function(date) {
          if (date.tm_hour > 0 && date.tm_hour < 13) {
            return 'AM';
          } else {
            return 'PM';
          }
        },
        '%S': function(date) {
          return leadingNulls(date.tm_sec, 2);
        },
        '%t': function() {
          return '\t';
        },
        '%u': function(date) {
          var day = new Date(date.tm_year+1900, date.tm_mon+1, date.tm_mday, 0, 0, 0, 0);
          return day.getDay() || 7;
        },
        '%U': function(date) {
          // Replaced by the week number of the year as a decimal number [00,53]. 
          // The first Sunday of January is the first day of week 1; 
          // days in the new year before this are in week 0. [ tm_year, tm_wday, tm_yday]
          var janFirst = new Date(date.tm_year+1900, 0, 1);
          var firstSunday = janFirst.getDay() === 0 ? janFirst : __addDays(janFirst, 7-janFirst.getDay());
          var endDate = new Date(date.tm_year+1900, date.tm_mon, date.tm_mday);
          
          // is target date after the first Sunday?
          if (compareByDay(firstSunday, endDate) < 0) {
            // calculate difference in days between first Sunday and endDate
            var februaryFirstUntilEndMonth = __arraySum(__isLeapYear(endDate.getFullYear()) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, endDate.getMonth()-1)-31;
            var firstSundayUntilEndJanuary = 31-firstSunday.getDate();
            var days = firstSundayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();
            return leadingNulls(Math.ceil(days/7), 2);
          }
  
          return compareByDay(firstSunday, janFirst) === 0 ? '01': '00';
        },
        '%V': function(date) {
          // Replaced by the week number of the year (Monday as the first day of the week) 
          // as a decimal number [01,53]. If the week containing 1 January has four 
          // or more days in the new year, then it is considered week 1. 
          // Otherwise, it is the last week of the previous year, and the next week is week 1. 
          // Both January 4th and the first Thursday of January are always in week 1. [ tm_year, tm_wday, tm_yday]
          var janFourthThisYear = new Date(date.tm_year+1900, 0, 4);
          var janFourthNextYear = new Date(date.tm_year+1901, 0, 4);
  
          var firstWeekStartThisYear = getFirstWeekStartDate(janFourthThisYear);
          var firstWeekStartNextYear = getFirstWeekStartDate(janFourthNextYear);
  
          var endDate = __addDays(new Date(date.tm_year+1900, 0, 1), date.tm_yday);
  
          if (compareByDay(endDate, firstWeekStartThisYear) < 0) {
            // if given date is before this years first week, then it belongs to the 53rd week of last year
            return '53';
          } 
  
          if (compareByDay(firstWeekStartNextYear, endDate) <= 0) {
            // if given date is after next years first week, then it belongs to the 01th week of next year
            return '01';
          }
  
          // given date is in between CW 01..53 of this calendar year
          var daysDifference;
          if (firstWeekStartThisYear.getFullYear() < date.tm_year+1900) {
            // first CW of this year starts last year
            daysDifference = date.tm_yday+32-firstWeekStartThisYear.getDate()
          } else {
            // first CW of this year starts this year
            daysDifference = date.tm_yday+1-firstWeekStartThisYear.getDate();
          }
          return leadingNulls(Math.ceil(daysDifference/7), 2);
        },
        '%w': function(date) {
          var day = new Date(date.tm_year+1900, date.tm_mon+1, date.tm_mday, 0, 0, 0, 0);
          return day.getDay();
        },
        '%W': function(date) {
          // Replaced by the week number of the year as a decimal number [00,53]. 
          // The first Monday of January is the first day of week 1; 
          // days in the new year before this are in week 0. [ tm_year, tm_wday, tm_yday]
          var janFirst = new Date(date.tm_year, 0, 1);
          var firstMonday = janFirst.getDay() === 1 ? janFirst : __addDays(janFirst, janFirst.getDay() === 0 ? 1 : 7-janFirst.getDay()+1);
          var endDate = new Date(date.tm_year+1900, date.tm_mon, date.tm_mday);
  
          // is target date after the first Monday?
          if (compareByDay(firstMonday, endDate) < 0) {
            var februaryFirstUntilEndMonth = __arraySum(__isLeapYear(endDate.getFullYear()) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, endDate.getMonth()-1)-31;
            var firstMondayUntilEndJanuary = 31-firstMonday.getDate();
            var days = firstMondayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();
            return leadingNulls(Math.ceil(days/7), 2);
          }
          return compareByDay(firstMonday, janFirst) === 0 ? '01': '00';
        },
        '%y': function(date) {
          // Replaced by the last two digits of the year as a decimal number [00,99]. [ tm_year]
          return (date.tm_year+1900).toString().substring(2);
        },
        '%Y': function(date) {
          // Replaced by the year as a decimal number (for example, 1997). [ tm_year]
          return date.tm_year+1900;
        },
        '%z': function(date) {
          // Replaced by the offset from UTC in the ISO 8601:2000 standard format ( +hhmm or -hhmm ),
          // or by no characters if no timezone is determinable. 
          // For example, "-0430" means 4 hours 30 minutes behind UTC (west of Greenwich). 
          // If tm_isdst is zero, the standard time offset is used. 
          // If tm_isdst is greater than zero, the daylight savings time offset is used. 
          // If tm_isdst is negative, no characters are returned. 
          // FIXME: we cannot determine time zone (or can we?)
          return '';
        },
        '%Z': function(date) {
          // Replaced by the timezone name or abbreviation, or by no bytes if no timezone information exists. [ tm_isdst]
          // FIXME: we cannot determine time zone (or can we?)
          return '';
        },
        '%%': function() {
          return '%';
        }
      };
      for (var rule in EXPANSION_RULES_2) {
        if (pattern.indexOf(rule) >= 0) {
          pattern = pattern.replace(new RegExp(rule, 'g'), EXPANSION_RULES_2[rule](date));
        }
      }
  
      var bytes = intArrayFromString(pattern, false);
      if (bytes.length > maxsize) {
        return 0;
      } 
  
      writeArrayToMemory(bytes, s);
      return bytes.length-1;
    }

  
  var ___tm_current=allocate(44, "i8", ALLOC_STATIC);
  
  
  var ___tm_timezone=allocate(intArrayFromString("GMT"), "i8", ALLOC_STATIC);
  
  
  var _tzname=allocate(8, "i32*", ALLOC_STATIC);
  
  var _daylight=allocate(1, "i32*", ALLOC_STATIC);
  
  var _timezone=allocate(1, "i32*", ALLOC_STATIC);function _tzset() {
      // TODO: Use (malleable) environment variables instead of system settings.
      if (_tzset.called) return;
      _tzset.called = true;
  
      HEAP32[((_timezone)>>2)]=-(new Date()).getTimezoneOffset() * 60;
  
      var winter = new Date(2000, 0, 1);
      var summer = new Date(2000, 6, 1);
      HEAP32[((_daylight)>>2)]=Number(winter.getTimezoneOffset() != summer.getTimezoneOffset());
  
      var winterName = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | winter.toString().match(/\(([A-Z]+)\)/)[1];
      var summerName = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | summer.toString().match(/\(([A-Z]+)\)/)[1];
      var winterNamePtr = allocate(intArrayFromString(winterName), 'i8', ALLOC_NORMAL);
      var summerNamePtr = allocate(intArrayFromString(summerName), 'i8', ALLOC_NORMAL);
      HEAP32[((_tzname)>>2)]=winterNamePtr;
      HEAP32[(((_tzname)+(4))>>2)]=summerNamePtr;
    }function _localtime_r(time, tmPtr) {
      _tzset();
      var date = new Date(HEAP32[((time)>>2)]*1000);
      HEAP32[((tmPtr)>>2)]=date.getSeconds();
      HEAP32[(((tmPtr)+(4))>>2)]=date.getMinutes();
      HEAP32[(((tmPtr)+(8))>>2)]=date.getHours();
      HEAP32[(((tmPtr)+(12))>>2)]=date.getDate();
      HEAP32[(((tmPtr)+(16))>>2)]=date.getMonth();
      HEAP32[(((tmPtr)+(20))>>2)]=date.getFullYear()-1900;
      HEAP32[(((tmPtr)+(24))>>2)]=date.getDay();
  
      var start = new Date(date.getFullYear(), 0, 1);
      var yday = Math.floor((date.getTime() - start.getTime()) / (1000 * 60 * 60 * 24));
      HEAP32[(((tmPtr)+(28))>>2)]=yday;
      HEAP32[(((tmPtr)+(36))>>2)]=start.getTimezoneOffset() * 60;
  
      var dst = Number(start.getTimezoneOffset() != date.getTimezoneOffset());
      HEAP32[(((tmPtr)+(32))>>2)]=dst;
  
      HEAP32[(((tmPtr)+(40))>>2)]=___tm_timezone;
  
      return tmPtr;
    }function _localtime(time) {
      return _localtime_r(time, ___tm_current);
    }

  function _system(command) {
      // int system(const char *command);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/system.html
      // Can't call external programs.
      ___setErrNo(ERRNO_CODES.EAGAIN);
      return -1;
    }

  function _asprintf(s, format, varargs) {
      return _sprintf(-s, format, varargs);
    }


  function _strstr(ptr1, ptr2) {
      var check = 0, start;
      do {
        if (!check) {
          start = ptr1;
          check = ptr2;
        }
        var curr1 = HEAP8[((ptr1++)|0)];
        var curr2 = HEAP8[((check++)|0)];
        if (curr2 == 0) return start;
        if (curr2 != curr1) {
          // rewind to one character after start, to find ez in eeez
          ptr1 = start + 1;
          check = 0;
        }
      } while (curr1);
      return 0;
    }

  var _putc=_fputc;

  function _isatty(fildes) {
      // int isatty(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/isatty.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return 0;
      }
      // HACK - implement tcgetattr
      if (!stream.tty) {
        ___setErrNo(ERRNO_CODES.ENOTTY);
        return 0;
      }
      return 1;
    }


  var _getc=_fgetc;

  function _abort() {
      Module['abort']();
    }

  function _unlink(path) {
      // int unlink(const char *path);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/unlink.html
      path = Pointer_stringify(path);
      try {
        FS.unlink(path);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }

  
  function _truncate(path, length) {
      // int truncate(const char *path, off_t length);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/truncate.html
      // NOTE: The path argument may be a string, to simplify ftruncate().
      if (typeof path !== 'string') path = Pointer_stringify(path);
      try {
        FS.truncate(path, length);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _ftruncate(fildes, length) {
      // int ftruncate(int fildes, off_t length);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ftruncate.html
      try {
        FS.ftruncate(fildes, length);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }

  
  function _stat(path, buf, dontResolveLastLink) {
      // http://pubs.opengroup.org/onlinepubs/7908799/xsh/stat.html
      // int stat(const char *path, struct stat *buf);
      // NOTE: dontResolveLastLink is a shortcut for lstat(). It should never be
      //       used in client code.
      path = typeof path !== 'string' ? Pointer_stringify(path) : path;
      try {
        var stat = dontResolveLastLink ? FS.lstat(path) : FS.stat(path);
        HEAP32[((buf)>>2)]=stat.dev;
        HEAP32[(((buf)+(4))>>2)]=0;
        HEAP32[(((buf)+(8))>>2)]=stat.ino;
        HEAP32[(((buf)+(12))>>2)]=stat.mode;
        HEAP32[(((buf)+(16))>>2)]=stat.nlink;
        HEAP32[(((buf)+(20))>>2)]=stat.uid;
        HEAP32[(((buf)+(24))>>2)]=stat.gid;
        HEAP32[(((buf)+(28))>>2)]=stat.rdev;
        HEAP32[(((buf)+(32))>>2)]=0;
        HEAP32[(((buf)+(36))>>2)]=stat.size;
        HEAP32[(((buf)+(40))>>2)]=4096;
        HEAP32[(((buf)+(44))>>2)]=stat.blocks;
        HEAP32[(((buf)+(48))>>2)]=Math.floor(stat.atime.getTime() / 1000);
        HEAP32[(((buf)+(52))>>2)]=0;
        HEAP32[(((buf)+(56))>>2)]=Math.floor(stat.mtime.getTime() / 1000);
        HEAP32[(((buf)+(60))>>2)]=0;
        HEAP32[(((buf)+(64))>>2)]=Math.floor(stat.ctime.getTime() / 1000);
        HEAP32[(((buf)+(68))>>2)]=0;
        HEAP32[(((buf)+(72))>>2)]=stat.ino;
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fstat(fildes, buf) {
      // int fstat(int fildes, struct stat *buf);
      // http://pubs.opengroup.org/onlinepubs/7908799/xsh/fstat.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      return _stat(stream.path, buf);
    }

  function _freopen(filename, mode, stream) {
      // FILE *freopen(const char *restrict filename, const char *restrict mode, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/freopen.html
      if (!filename) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (!streamObj) {
          ___setErrNo(ERRNO_CODES.EBADF);
          return 0;
        }
        if (_freopen.buffer) _free(_freopen.buffer);
        filename = intArrayFromString(streamObj.path);
        filename = allocate(filename, 'i8', ALLOC_NORMAL);
      }
      _fclose(stream);
      return _fopen(filename, mode);
    }


  function _access(path, amode) {
      // int access(const char *path, int amode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/access.html
      path = Pointer_stringify(path);
      if (amode & ~7) {
        // need a valid mode
        ___setErrNo(ERRNO_CODES.EINVAL);
        return -1;
      }
      var node;
      try {
        var lookup = FS.lookupPath(path, { follow: true });
        node = lookup.node;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
      var perms = '';
      if (amode & 4) perms += 'r';
      if (amode & 2) perms += 'w';
      if (amode & 1) perms += 'x';
      if (perms /* otherwise, they've just passed F_OK */ && FS.nodePermissions(node, perms)) {
        ___setErrNo(ERRNO_CODES.EACCES);
        return -1;
      }
      return 0;
    }

  
  function _tmpnam(s, dir, prefix) {
      // char *tmpnam(char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/tmpnam.html
      // NOTE: The dir and prefix arguments are for internal use only.
      var folder = FS.findObject(dir || '/tmp');
      if (!folder || !folder.isFolder) {
        dir = '/tmp';
        folder = FS.findObject(dir);
        if (!folder || !folder.isFolder) return 0;
      }
      var name = prefix || 'file';
      do {
        name += String.fromCharCode(65 + Math.floor(Math.random() * 25));
      } while (name in folder.contents);
      var result = dir + '/' + name;
      if (!_tmpnam.buffer) _tmpnam.buffer = _malloc(256);
      if (!s) s = _tmpnam.buffer;
      writeAsciiToMemory(result, s);
      return s;
    }function _tmpfile() {
      // FILE *tmpfile(void);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/tmpfile.html
      // TODO: Delete the created file on closing.
      if (_tmpfile.mode) {
        _tmpfile.mode = allocate(intArrayFromString('w+'), 'i8', ALLOC_NORMAL);
      }
      return _fopen(_tmpnam(0), _tmpfile.mode);
    }


  function ___cxa_guard_acquire(variable) {
      if (!HEAP8[(variable)]) { // ignore SAFE_HEAP stuff because llvm mixes i64 and i8 here
        HEAP8[(variable)]=1;
        return 1;
      }
      return 0;
    }

  function ___cxa_guard_release() {}

  function _pthread_cond_broadcast() {
      return 0;
    }

  function _pthread_cond_wait() {
      return 0;
    }

  
  function _atexit(func, arg) {
      __ATEXIT__.unshift({ func: func, arg: arg });
    }var ___cxa_atexit=_atexit;

  function _llvm_lifetime_start() {}

  function _llvm_lifetime_end() {}

  function __ZNSt9exceptionD2Ev() {}

  function _sysconf(name) {
      // long sysconf(int name);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/sysconf.html
      switch(name) {
        case 30: return PAGE_SIZE;
        case 132:
        case 133:
        case 12:
        case 137:
        case 138:
        case 15:
        case 235:
        case 16:
        case 17:
        case 18:
        case 19:
        case 20:
        case 149:
        case 13:
        case 10:
        case 236:
        case 153:
        case 9:
        case 21:
        case 22:
        case 159:
        case 154:
        case 14:
        case 77:
        case 78:
        case 139:
        case 80:
        case 81:
        case 79:
        case 82:
        case 68:
        case 67:
        case 164:
        case 11:
        case 29:
        case 47:
        case 48:
        case 95:
        case 52:
        case 51:
        case 46:
          return 200809;
        case 27:
        case 246:
        case 127:
        case 128:
        case 23:
        case 24:
        case 160:
        case 161:
        case 181:
        case 182:
        case 242:
        case 183:
        case 184:
        case 243:
        case 244:
        case 245:
        case 165:
        case 178:
        case 179:
        case 49:
        case 50:
        case 168:
        case 169:
        case 175:
        case 170:
        case 171:
        case 172:
        case 97:
        case 76:
        case 32:
        case 173:
        case 35:
          return -1;
        case 176:
        case 177:
        case 7:
        case 155:
        case 8:
        case 157:
        case 125:
        case 126:
        case 92:
        case 93:
        case 129:
        case 130:
        case 131:
        case 94:
        case 91:
          return 1;
        case 74:
        case 60:
        case 69:
        case 70:
        case 4:
          return 1024;
        case 31:
        case 42:
        case 72:
          return 32;
        case 87:
        case 26:
        case 33:
          return 2147483647;
        case 34:
        case 1:
          return 47839;
        case 38:
        case 36:
          return 99;
        case 43:
        case 37:
          return 2048;
        case 0: return 2097152;
        case 3: return 65536;
        case 28: return 32768;
        case 44: return 32767;
        case 75: return 16384;
        case 39: return 1000;
        case 89: return 700;
        case 71: return 256;
        case 40: return 255;
        case 2: return 100;
        case 180: return 64;
        case 25: return 20;
        case 5: return 16;
        case 6: return 6;
        case 73: return 4;
        case 84: return 1;
      }
      ___setErrNo(ERRNO_CODES.EINVAL);
      return -1;
    }

  function ___cxa_guard_abort() {}

  
  function _isxdigit(chr) {
      return (chr >= 48 && chr <= 57) ||
             (chr >= 97 && chr <= 102) ||
             (chr >= 65 && chr <= 70);
    }function _isxdigit_l(chr) {
      return _isxdigit(chr); // no locale support yet
    }

  
  function _isdigit(chr) {
      return chr >= 48 && chr <= 57;
    }function _isdigit_l(chr) {
      return _isdigit(chr); // no locale support yet
    }

  function _sscanf(s, format, varargs) {
      // int sscanf(const char *restrict s, const char *restrict format, ... );
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/scanf.html
      var index = 0;
      function get() { return HEAP8[(((s)+(index++))|0)]; };
      function unget() { index--; };
      return __scanString(format, get, unget, varargs);
    }

  function _catopen(name, oflag) {
      // nl_catd catopen (const char *name, int oflag)
      return -1;
    }

  function _catgets(catd, set_id, msg_id, s) {
      // char *catgets (nl_catd catd, int set_id, int msg_id, const char *s)
      return s;
    }

  function _catclose(catd) {
      // int catclose (nl_catd catd)
      return 0;
    }

  function _newlocale(mask, locale, base) {
      return _malloc(4);
    }

  function _freelocale(locale) {
      _free(locale);
    }

  function ___ctype_b_loc() {
      // http://refspecs.freestandards.org/LSB_3.0.0/LSB-Core-generic/LSB-Core-generic/baselib---ctype-b-loc.html
      var me = ___ctype_b_loc;
      if (!me.ret) {
        var values = [
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,8195,8194,8194,8194,8194,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,24577,49156,49156,49156,
          49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,55304,55304,55304,55304,55304,55304,55304,55304,
          55304,55304,49156,49156,49156,49156,49156,49156,49156,54536,54536,54536,54536,54536,54536,50440,50440,50440,50440,50440,
          50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,49156,49156,49156,49156,49156,
          49156,54792,54792,54792,54792,54792,54792,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,
          50696,50696,50696,50696,50696,50696,50696,49156,49156,49156,49156,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
        ];
        var i16size = 2;
        var arr = _malloc(values.length * i16size);
        for (var i = 0; i < values.length; i++) {
          HEAP16[(((arr)+(i * i16size))>>1)]=values[i];
        }
        me.ret = allocate([arr + 128 * i16size], 'i16*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function ___ctype_tolower_loc() {
      // http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/libutil---ctype-tolower-loc.html
      var me = ___ctype_tolower_loc;
      if (!me.ret) {
        var values = [
          128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,
          158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,
          188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,
          218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,
          248,249,250,251,252,253,254,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,
          33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,97,98,99,100,101,102,103,
          104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,91,92,93,94,95,96,97,98,99,100,101,102,103,
          104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,
          134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,
          164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,
          194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,
          224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,
          254,255
        ];
        var i32size = 4;
        var arr = _malloc(values.length * i32size);
        for (var i = 0; i < values.length; i++) {
          HEAP32[(((arr)+(i * i32size))>>2)]=values[i];
        }
        me.ret = allocate([arr + 128 * i32size], 'i32*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function ___ctype_toupper_loc() {
      // http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/libutil---ctype-toupper-loc.html
      var me = ___ctype_toupper_loc;
      if (!me.ret) {
        var values = [
          128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,
          158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,
          188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,
          218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,
          248,249,250,251,252,253,254,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,
          33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,
          73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,
          81,82,83,84,85,86,87,88,89,90,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,
          145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,
          175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,
          205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,
          235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255
        ];
        var i32size = 4;
        var arr = _malloc(values.length * i32size);
        for (var i = 0; i < values.length; i++) {
          HEAP32[(((arr)+(i * i32size))>>2)]=values[i];
        }
        me.ret = allocate([arr + 128 * i32size], 'i32*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function _strftime_l(s, maxsize, format, tm) {
      return _strftime(s, maxsize, format, tm); // no locale support yet
    }

  
  
  function __parseInt64(str, endptr, base, min, max, unsign) {
      var isNegative = false;
      // Skip space.
      while (_isspace(HEAP8[(str)])) str++;
  
      // Check for a plus/minus sign.
      if (HEAP8[(str)] == 45) {
        str++;
        isNegative = true;
      } else if (HEAP8[(str)] == 43) {
        str++;
      }
  
      // Find base.
      var ok = false;
      var finalBase = base;
      if (!finalBase) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            finalBase = 16;
            str += 2;
          } else {
            finalBase = 8;
            ok = true; // we saw an initial zero, perhaps the entire thing is just "0"
          }
        }
      } else if (finalBase==16) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            str += 2;
          }
        }
      }
      if (!finalBase) finalBase = 10;
      var start = str;
  
      // Get digits.
      var chr;
      while ((chr = HEAP8[(str)]) != 0) {
        var digit = parseInt(String.fromCharCode(chr), finalBase);
        if (isNaN(digit)) {
          break;
        } else {
          str++;
          ok = true;
        }
      }
  
      if (!ok) {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return ((asm["setTempRet0"](0),0)|0);
      }
  
      // Set end pointer.
      if (endptr) {
        HEAP32[((endptr)>>2)]=str;
      }
  
      try {
        var numberString = isNegative ? '-'+Pointer_stringify(start, str - start) : Pointer_stringify(start, str - start);
        i64Math.fromString(numberString, finalBase, min, max, unsign);
      } catch(e) {
        ___setErrNo(ERRNO_CODES.ERANGE); // not quite correct
      }
  
      return ((asm["setTempRet0"](((HEAP32[(((tempDoublePtr)+(4))>>2)])|0)),((HEAP32[((tempDoublePtr)>>2)])|0))|0);
    }function _strtoull(str, endptr, base) {
      return __parseInt64(str, endptr, base, 0, '18446744073709551615', true);  // ULONG_MAX.
    }function _strtoull_l(str, endptr, base) {
      return _strtoull(str, endptr, base); // no locale support yet
    }

  
  function _strtoll(str, endptr, base) {
      return __parseInt64(str, endptr, base, '-9223372036854775808', '9223372036854775807');  // LLONG_MIN, LLONG_MAX.
    }function _strtoll_l(str, endptr, base) {
      return _strtoll(str, endptr, base); // no locale support yet
    }

  function _uselocale(locale) {
      return 0;
    }

  function _vasprintf(s, format, va_arg) {
      return _asprintf(s, format, HEAP32[((va_arg)>>2)]);
    }

  function _vsscanf(s, format, va_arg) {
      return _sscanf(s, format, HEAP32[((va_arg)>>2)]);
    }

  function _isblank(chr) {
      return chr == 32 || chr == 9;
    }

  function _sbrk(bytes) {
      // Implement a Linux-like 'memory area' for our 'process'.
      // Changes the size of the memory area by |bytes|; returns the
      // address of the previous top ('break') of the memory area
      // We control the "dynamic" memory - DYNAMIC_BASE to DYNAMICTOP
      var self = _sbrk;
      if (!self.called) {
        DYNAMICTOP = alignMemoryPage(DYNAMICTOP); // make sure we start out aligned
        self.called = true;
        assert(Runtime.dynamicAlloc);
        self.alloc = Runtime.dynamicAlloc;
        Runtime.dynamicAlloc = function() { abort('cannot dynamically allocate, sbrk now has control') };
      }
      var ret = DYNAMICTOP;
      if (bytes != 0) self.alloc(bytes);
      return ret;  // Previous break location.
    }

  
  function _copysign(a, b) {
      return __reallyNegative(a) === __reallyNegative(b) ? a : -a;
    }var _copysignl=_copysign;

  
  function _fmod(x, y) {
      return x % y;
    }var _fmodl=_fmod;






  var Browser={mainLoop:{scheduler:null,method:"",shouldPause:false,paused:false,queue:[],pause:function () {
          Browser.mainLoop.shouldPause = true;
        },resume:function () {
          if (Browser.mainLoop.paused) {
            Browser.mainLoop.paused = false;
            Browser.mainLoop.scheduler();
          }
          Browser.mainLoop.shouldPause = false;
        },updateStatus:function () {
          if (Module['setStatus']) {
            var message = Module['statusMessage'] || 'Please wait...';
            var remaining = Browser.mainLoop.remainingBlockers;
            var expected = Browser.mainLoop.expectedBlockers;
            if (remaining) {
              if (remaining < expected) {
                Module['setStatus'](message + ' (' + (expected - remaining) + '/' + expected + ')');
              } else {
                Module['setStatus'](message);
              }
            } else {
              Module['setStatus']('');
            }
          }
        }},isFullScreen:false,pointerLock:false,moduleContextCreatedCallbacks:[],workers:[],init:function () {
        if (!Module["preloadPlugins"]) Module["preloadPlugins"] = []; // needs to exist even in workers
  
        if (Browser.initted || ENVIRONMENT_IS_WORKER) return;
        Browser.initted = true;
  
        try {
          new Blob();
          Browser.hasBlobConstructor = true;
        } catch(e) {
          Browser.hasBlobConstructor = false;
          console.log("warning: no blob constructor, cannot create blobs with mimetypes");
        }
        Browser.BlobBuilder = typeof MozBlobBuilder != "undefined" ? MozBlobBuilder : (typeof WebKitBlobBuilder != "undefined" ? WebKitBlobBuilder : (!Browser.hasBlobConstructor ? console.log("warning: no BlobBuilder") : null));
        Browser.URLObject = typeof window != "undefined" ? (window.URL ? window.URL : window.webkitURL) : undefined;
        if (!Module.noImageDecoding && typeof Browser.URLObject === 'undefined') {
          console.log("warning: Browser does not support creating object URLs. Built-in browser image decoding will not be available.");
          Module.noImageDecoding = true;
        }
  
        // Support for plugins that can process preloaded files. You can add more of these to
        // your app by creating and appending to Module.preloadPlugins.
        //
        // Each plugin is asked if it can handle a file based on the file's name. If it can,
        // it is given the file's raw data. When it is done, it calls a callback with the file's
        // (possibly modified) data. For example, a plugin might decompress a file, or it
        // might create some side data structure for use later (like an Image element, etc.).
  
        var imagePlugin = {};
        imagePlugin['canHandle'] = function imagePlugin_canHandle(name) {
          return !Module.noImageDecoding && /\.(jpg|jpeg|png|bmp)$/i.test(name);
        };
        imagePlugin['handle'] = function imagePlugin_handle(byteArray, name, onload, onerror) {
          var b = null;
          if (Browser.hasBlobConstructor) {
            try {
              b = new Blob([byteArray], { type: Browser.getMimetype(name) });
              if (b.size !== byteArray.length) { // Safari bug #118630
                // Safari's Blob can only take an ArrayBuffer
                b = new Blob([(new Uint8Array(byteArray)).buffer], { type: Browser.getMimetype(name) });
              }
            } catch(e) {
              Runtime.warnOnce('Blob constructor present but fails: ' + e + '; falling back to blob builder');
            }
          }
          if (!b) {
            var bb = new Browser.BlobBuilder();
            bb.append((new Uint8Array(byteArray)).buffer); // we need to pass a buffer, and must copy the array to get the right data range
            b = bb.getBlob();
          }
          var url = Browser.URLObject.createObjectURL(b);
          var img = new Image();
          img.onload = function img_onload() {
            assert(img.complete, 'Image ' + name + ' could not be decoded');
            var canvas = document.createElement('canvas');
            canvas.width = img.width;
            canvas.height = img.height;
            var ctx = canvas.getContext('2d');
            ctx.drawImage(img, 0, 0);
            Module["preloadedImages"][name] = canvas;
            Browser.URLObject.revokeObjectURL(url);
            if (onload) onload(byteArray);
          };
          img.onerror = function img_onerror(event) {
            console.log('Image ' + url + ' could not be decoded');
            if (onerror) onerror();
          };
          img.src = url;
        };
        Module['preloadPlugins'].push(imagePlugin);
  
        var audioPlugin = {};
        audioPlugin['canHandle'] = function audioPlugin_canHandle(name) {
          return !Module.noAudioDecoding && name.substr(-4) in { '.ogg': 1, '.wav': 1, '.mp3': 1 };
        };
        audioPlugin['handle'] = function audioPlugin_handle(byteArray, name, onload, onerror) {
          var done = false;
          function finish(audio) {
            if (done) return;
            done = true;
            Module["preloadedAudios"][name] = audio;
            if (onload) onload(byteArray);
          }
          function fail() {
            if (done) return;
            done = true;
            Module["preloadedAudios"][name] = new Audio(); // empty shim
            if (onerror) onerror();
          }
          if (Browser.hasBlobConstructor) {
            try {
              var b = new Blob([byteArray], { type: Browser.getMimetype(name) });
            } catch(e) {
              return fail();
            }
            var url = Browser.URLObject.createObjectURL(b); // XXX we never revoke this!
            var audio = new Audio();
            audio.addEventListener('canplaythrough', function() { finish(audio) }, false); // use addEventListener due to chromium bug 124926
            audio.onerror = function audio_onerror(event) {
              if (done) return;
              console.log('warning: browser could not fully decode audio ' + name + ', trying slower base64 approach');
              function encode64(data) {
                var BASE = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/';
                var PAD = '=';
                var ret = '';
                var leftchar = 0;
                var leftbits = 0;
                for (var i = 0; i < data.length; i++) {
                  leftchar = (leftchar << 8) | data[i];
                  leftbits += 8;
                  while (leftbits >= 6) {
                    var curr = (leftchar >> (leftbits-6)) & 0x3f;
                    leftbits -= 6;
                    ret += BASE[curr];
                  }
                }
                if (leftbits == 2) {
                  ret += BASE[(leftchar&3) << 4];
                  ret += PAD + PAD;
                } else if (leftbits == 4) {
                  ret += BASE[(leftchar&0xf) << 2];
                  ret += PAD;
                }
                return ret;
              }
              audio.src = 'data:audio/x-' + name.substr(-3) + ';base64,' + encode64(byteArray);
              finish(audio); // we don't wait for confirmation this worked - but it's worth trying
            };
            audio.src = url;
            // workaround for chrome bug 124926 - we do not always get oncanplaythrough or onerror
            Browser.safeSetTimeout(function() {
              finish(audio); // try to use it even though it is not necessarily ready to play
            }, 10000);
          } else {
            return fail();
          }
        };
        Module['preloadPlugins'].push(audioPlugin);
  
        // Canvas event setup
  
        var canvas = Module['canvas'];
        canvas.requestPointerLock = canvas['requestPointerLock'] ||
                                    canvas['mozRequestPointerLock'] ||
                                    canvas['webkitRequestPointerLock'];
        canvas.exitPointerLock = document['exitPointerLock'] ||
                                 document['mozExitPointerLock'] ||
                                 document['webkitExitPointerLock'] ||
                                 function(){}; // no-op if function does not exist
        canvas.exitPointerLock = canvas.exitPointerLock.bind(document);
  
        function pointerLockChange() {
          Browser.pointerLock = document['pointerLockElement'] === canvas ||
                                document['mozPointerLockElement'] === canvas ||
                                document['webkitPointerLockElement'] === canvas;
        }
  
        document.addEventListener('pointerlockchange', pointerLockChange, false);
        document.addEventListener('mozpointerlockchange', pointerLockChange, false);
        document.addEventListener('webkitpointerlockchange', pointerLockChange, false);
  
        if (Module['elementPointerLock']) {
          canvas.addEventListener("click", function(ev) {
            if (!Browser.pointerLock && canvas.requestPointerLock) {
              canvas.requestPointerLock();
              ev.preventDefault();
            }
          }, false);
        }
      },createContext:function (canvas, useWebGL, setInModule, webGLContextAttributes) {
        var ctx;
        try {
          if (useWebGL) {
            var contextAttributes = {
              antialias: false,
              alpha: false
            };
  
            if (webGLContextAttributes) {
              for (var attribute in webGLContextAttributes) {
                contextAttributes[attribute] = webGLContextAttributes[attribute];
              }
            }
  
  
            var errorInfo = '?';
            function onContextCreationError(event) {
              errorInfo = event.statusMessage || errorInfo;
            }
            canvas.addEventListener('webglcontextcreationerror', onContextCreationError, false);
            try {
              ['experimental-webgl', 'webgl'].some(function(webglId) {
                return ctx = canvas.getContext(webglId, contextAttributes);
              });
            } finally {
              canvas.removeEventListener('webglcontextcreationerror', onContextCreationError, false);
            }
          } else {
            ctx = canvas.getContext('2d');
          }
          if (!ctx) throw ':(';
        } catch (e) {
          Module.print('Could not create canvas: ' + [errorInfo, e]);
          return null;
        }
        if (useWebGL) {
          // Set the background of the WebGL canvas to black
          canvas.style.backgroundColor = "black";
  
          // Warn on context loss
          canvas.addEventListener('webglcontextlost', function(event) {
            alert('WebGL context lost. You will need to reload the page.');
          }, false);
        }
        if (setInModule) {
          GLctx = Module.ctx = ctx;
          Module.useWebGL = useWebGL;
          Browser.moduleContextCreatedCallbacks.forEach(function(callback) { callback() });
          Browser.init();
        }
        return ctx;
      },destroyContext:function (canvas, useWebGL, setInModule) {},fullScreenHandlersInstalled:false,lockPointer:undefined,resizeCanvas:undefined,requestFullScreen:function (lockPointer, resizeCanvas) {
        Browser.lockPointer = lockPointer;
        Browser.resizeCanvas = resizeCanvas;
        if (typeof Browser.lockPointer === 'undefined') Browser.lockPointer = true;
        if (typeof Browser.resizeCanvas === 'undefined') Browser.resizeCanvas = false;
  
        var canvas = Module['canvas'];
        function fullScreenChange() {
          Browser.isFullScreen = false;
          if ((document['webkitFullScreenElement'] || document['webkitFullscreenElement'] ||
               document['mozFullScreenElement'] || document['mozFullscreenElement'] ||
               document['fullScreenElement'] || document['fullscreenElement']) === canvas) {
            canvas.cancelFullScreen = document['cancelFullScreen'] ||
                                      document['mozCancelFullScreen'] ||
                                      document['webkitCancelFullScreen'];
            canvas.cancelFullScreen = canvas.cancelFullScreen.bind(document);
            if (Browser.lockPointer) canvas.requestPointerLock();
            Browser.isFullScreen = true;
            if (Browser.resizeCanvas) Browser.setFullScreenCanvasSize();
          } else if (Browser.resizeCanvas){
            Browser.setWindowedCanvasSize();
          }
          if (Module['onFullScreen']) Module['onFullScreen'](Browser.isFullScreen);
        }
  
        if (!Browser.fullScreenHandlersInstalled) {
          Browser.fullScreenHandlersInstalled = true;
          document.addEventListener('fullscreenchange', fullScreenChange, false);
          document.addEventListener('mozfullscreenchange', fullScreenChange, false);
          document.addEventListener('webkitfullscreenchange', fullScreenChange, false);
        }
  
        canvas.requestFullScreen = canvas['requestFullScreen'] ||
                                   canvas['mozRequestFullScreen'] ||
                                   (canvas['webkitRequestFullScreen'] ? function() { canvas['webkitRequestFullScreen'](Element['ALLOW_KEYBOARD_INPUT']) } : null);
        canvas.requestFullScreen();
      },requestAnimationFrame:function requestAnimationFrame(func) {
        if (typeof window === 'undefined') { // Provide fallback to setTimeout if window is undefined (e.g. in Node.js)
          setTimeout(func, 1000/60);
        } else {
          if (!window.requestAnimationFrame) {
            window.requestAnimationFrame = window['requestAnimationFrame'] ||
                                           window['mozRequestAnimationFrame'] ||
                                           window['webkitRequestAnimationFrame'] ||
                                           window['msRequestAnimationFrame'] ||
                                           window['oRequestAnimationFrame'] ||
                                           window['setTimeout'];
          }
          window.requestAnimationFrame(func);
        }
      },safeCallback:function (func) {
        return function() {
          if (!ABORT) return func.apply(null, arguments);
        };
      },safeRequestAnimationFrame:function (func) {
        return Browser.requestAnimationFrame(function() {
          if (!ABORT) func();
        });
      },safeSetTimeout:function (func, timeout) {
        return setTimeout(function() {
          if (!ABORT) func();
        }, timeout);
      },safeSetInterval:function (func, timeout) {
        return setInterval(function() {
          if (!ABORT) func();
        }, timeout);
      },getMimetype:function (name) {
        return {
          'jpg': 'image/jpeg',
          'jpeg': 'image/jpeg',
          'png': 'image/png',
          'bmp': 'image/bmp',
          'ogg': 'audio/ogg',
          'wav': 'audio/wav',
          'mp3': 'audio/mpeg'
        }[name.substr(name.lastIndexOf('.')+1)];
      },getUserMedia:function (func) {
        if(!window.getUserMedia) {
          window.getUserMedia = navigator['getUserMedia'] ||
                                navigator['mozGetUserMedia'];
        }
        window.getUserMedia(func);
      },getMovementX:function (event) {
        return event['movementX'] ||
               event['mozMovementX'] ||
               event['webkitMovementX'] ||
               0;
      },getMovementY:function (event) {
        return event['movementY'] ||
               event['mozMovementY'] ||
               event['webkitMovementY'] ||
               0;
      },getMouseWheelDelta:function (event) {
        return Math.max(-1, Math.min(1, event.type === 'DOMMouseScroll' ? event.detail : -event.wheelDelta));
      },mouseX:0,mouseY:0,mouseMovementX:0,mouseMovementY:0,calculateMouseEvent:function (event) { // event should be mousemove, mousedown or mouseup
        if (Browser.pointerLock) {
          // When the pointer is locked, calculate the coordinates
          // based on the movement of the mouse.
          // Workaround for Firefox bug 764498
          if (event.type != 'mousemove' &&
              ('mozMovementX' in event)) {
            Browser.mouseMovementX = Browser.mouseMovementY = 0;
          } else {
            Browser.mouseMovementX = Browser.getMovementX(event);
            Browser.mouseMovementY = Browser.getMovementY(event);
          }
          
          // check if SDL is available
          if (typeof SDL != "undefined") {
          	Browser.mouseX = SDL.mouseX + Browser.mouseMovementX;
          	Browser.mouseY = SDL.mouseY + Browser.mouseMovementY;
          } else {
          	// just add the mouse delta to the current absolut mouse position
          	// FIXME: ideally this should be clamped against the canvas size and zero
          	Browser.mouseX += Browser.mouseMovementX;
          	Browser.mouseY += Browser.mouseMovementY;
          }        
        } else {
          // Otherwise, calculate the movement based on the changes
          // in the coordinates.
          var rect = Module["canvas"].getBoundingClientRect();
          var x, y;
          
          // Neither .scrollX or .pageXOffset are defined in a spec, but
          // we prefer .scrollX because it is currently in a spec draft.
          // (see: http://www.w3.org/TR/2013/WD-cssom-view-20131217/)
          var scrollX = ((typeof window.scrollX !== 'undefined') ? window.scrollX : window.pageXOffset);
          var scrollY = ((typeof window.scrollY !== 'undefined') ? window.scrollY : window.pageYOffset);
          if (event.type == 'touchstart' ||
              event.type == 'touchend' ||
              event.type == 'touchmove') {
            var t = event.touches.item(0);
            if (t) {
              x = t.pageX - (scrollX + rect.left);
              y = t.pageY - (scrollY + rect.top);
            } else {
              return;
            }
          } else {
            x = event.pageX - (scrollX + rect.left);
            y = event.pageY - (scrollY + rect.top);
          }
  
          // the canvas might be CSS-scaled compared to its backbuffer;
          // SDL-using content will want mouse coordinates in terms
          // of backbuffer units.
          var cw = Module["canvas"].width;
          var ch = Module["canvas"].height;
          x = x * (cw / rect.width);
          y = y * (ch / rect.height);
  
          Browser.mouseMovementX = x - Browser.mouseX;
          Browser.mouseMovementY = y - Browser.mouseY;
          Browser.mouseX = x;
          Browser.mouseY = y;
        }
      },xhrLoad:function (url, onload, onerror) {
        var xhr = new XMLHttpRequest();
        xhr.open('GET', url, true);
        xhr.responseType = 'arraybuffer';
        xhr.onload = function xhr_onload() {
          if (xhr.status == 200 || (xhr.status == 0 && xhr.response)) { // file URLs can return 0
            onload(xhr.response);
          } else {
            onerror();
          }
        };
        xhr.onerror = onerror;
        xhr.send(null);
      },asyncLoad:function (url, onload, onerror, noRunDep) {
        Browser.xhrLoad(url, function(arrayBuffer) {
          assert(arrayBuffer, 'Loading data file "' + url + '" failed (no arrayBuffer).');
          onload(new Uint8Array(arrayBuffer));
          if (!noRunDep) removeRunDependency('al ' + url);
        }, function(event) {
          if (onerror) {
            onerror();
          } else {
            throw 'Loading data file "' + url + '" failed.';
          }
        });
        if (!noRunDep) addRunDependency('al ' + url);
      },resizeListeners:[],updateResizeListeners:function () {
        var canvas = Module['canvas'];
        Browser.resizeListeners.forEach(function(listener) {
          listener(canvas.width, canvas.height);
        });
      },setCanvasSize:function (width, height, noUpdates) {
        var canvas = Module['canvas'];
        canvas.width = width;
        canvas.height = height;
        if (!noUpdates) Browser.updateResizeListeners();
      },windowedWidth:0,windowedHeight:0,setFullScreenCanvasSize:function () {
        var canvas = Module['canvas'];
        this.windowedWidth = canvas.width;
        this.windowedHeight = canvas.height;
        canvas.width = screen.width;
        canvas.height = screen.height;
        // check if SDL is available   
        if (typeof SDL != "undefined") {
        	var flags = HEAPU32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)];
        	flags = flags | 0x00800000; // set SDL_FULLSCREEN flag
        	HEAP32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)]=flags
        }
        Browser.updateResizeListeners();
      },setWindowedCanvasSize:function () {
        var canvas = Module['canvas'];
        canvas.width = this.windowedWidth;
        canvas.height = this.windowedHeight;
        // check if SDL is available       
        if (typeof SDL != "undefined") {
        	var flags = HEAPU32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)];
        	flags = flags & ~0x00800000; // clear SDL_FULLSCREEN flag
        	HEAP32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)]=flags
        }
        Browser.updateResizeListeners();
      }};
FS.staticInit();__ATINIT__.unshift({ func: function() { if (!Module["noFSInit"] && !FS.init.initialized) FS.init() } });__ATMAIN__.push({ func: function() { FS.ignorePermissions = false } });__ATEXIT__.push({ func: function() { FS.quit() } });Module["FS_createFolder"] = FS.createFolder;Module["FS_createPath"] = FS.createPath;Module["FS_createDataFile"] = FS.createDataFile;Module["FS_createPreloadedFile"] = FS.createPreloadedFile;Module["FS_createLazyFile"] = FS.createLazyFile;Module["FS_createLink"] = FS.createLink;Module["FS_createDevice"] = FS.createDevice;
___errno_state = Runtime.staticAlloc(4); HEAP32[((___errno_state)>>2)]=0;
__ATINIT__.unshift({ func: function() { TTY.init() } });__ATEXIT__.push({ func: function() { TTY.shutdown() } });TTY.utf8 = new Runtime.UTF8Processor();
if (ENVIRONMENT_IS_NODE) { var fs = require("fs"); NODEFS.staticInit(); }
__ATINIT__.push({ func: function() { SOCKFS.root = FS.mount(SOCKFS, {}, null); } });
_fputc.ret = allocate([0], "i8", ALLOC_STATIC);
_fgetc.ret = allocate([0], "i8", ALLOC_STATIC);
___strtok_state = Runtime.staticAlloc(4);
Module["requestFullScreen"] = function Module_requestFullScreen(lockPointer, resizeCanvas) { Browser.requestFullScreen(lockPointer, resizeCanvas) };
  Module["requestAnimationFrame"] = function Module_requestAnimationFrame(func) { Browser.requestAnimationFrame(func) };
  Module["setCanvasSize"] = function Module_setCanvasSize(width, height, noUpdates) { Browser.setCanvasSize(width, height, noUpdates) };
  Module["pauseMainLoop"] = function Module_pauseMainLoop() { Browser.mainLoop.pause() };
  Module["resumeMainLoop"] = function Module_resumeMainLoop() { Browser.mainLoop.resume() };
  Module["getUserMedia"] = function Module_getUserMedia() { Browser.getUserMedia() }
STACK_BASE = STACKTOP = Runtime.alignMemory(STATICTOP);

staticSealed = true; // seal the static portion of memory

STACK_MAX = STACK_BASE + 5242880;

DYNAMIC_BASE = DYNAMICTOP = Runtime.alignMemory(STACK_MAX);

assert(DYNAMIC_BASE < TOTAL_MEMORY, "TOTAL_MEMORY not big enough for stack");

 var ctlz_i8 = allocate([8,7,6,6,5,5,5,5,4,4,4,4,4,4,4,4,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_DYNAMIC);
 var cttz_i8 = allocate([8,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,7,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0], "i8", ALLOC_DYNAMIC);

var Math_min = Math.min;
function invoke_iiiiiiii(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    return Module["dynCall_iiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vd(index,a1) {
  try {
    Module["dynCall_vd"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiii(index,a1,a2,a3,a4,a5) {
  try {
    Module["dynCall_viiiii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vi(index,a1) {
  try {
    Module["dynCall_vi"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vii(index,a1,a2) {
  try {
    Module["dynCall_vii"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10) {
  try {
    return Module["dynCall_iiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_ii(index,a1) {
  try {
    return Module["dynCall_ii"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiii(index,a1,a2,a3,a4,a5) {
  try {
    return Module["dynCall_iiiiii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiii(index,a1,a2,a3) {
  try {
    return Module["dynCall_iiii"](index,a1,a2,a3);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiid(index,a1,a2,a3,a4,a5,a6) {
  try {
    Module["dynCall_viiiiid"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8) {
  try {
    Module["dynCall_viiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiii(index,a1,a2,a3,a4,a5,a6) {
  try {
    Module["dynCall_viiiiii"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viidii(index,a1,a2,a3,a4,a5) {
  try {
    Module["dynCall_viidii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iid(index,a1,a2) {
  try {
    return Module["dynCall_iid"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiii(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    Module["dynCall_viiiiiii"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiid(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    Module["dynCall_viiiiiid"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9) {
  try {
    Module["dynCall_viiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iii(index,a1,a2) {
  try {
    return Module["dynCall_iii"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiidi(index,a1,a2,a3,a4,a5,a6) {
  try {
    return Module["dynCall_iiiiidi"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_i(index) {
  try {
    return Module["dynCall_i"](index);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiii(index,a1,a2,a3,a4) {
  try {
    return Module["dynCall_iiiii"](index,a1,a2,a3,a4);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viii(index,a1,a2,a3) {
  try {
    Module["dynCall_viii"](index,a1,a2,a3);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_v(index) {
  try {
    Module["dynCall_v"](index);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8) {
  try {
    return Module["dynCall_iiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiii(index,a1,a2,a3,a4) {
  try {
    Module["dynCall_viiii"](index,a1,a2,a3,a4);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function asmPrintInt(x, y) {
  Module.print('int ' + x + ',' + y);// + ' ' + new Error().stack);
}
function asmPrintFloat(x, y) {
  Module.print('float ' + x + ',' + y);// + ' ' + new Error().stack);
}
// EMSCRIPTEN_START_ASM
var asm=(function(global,env,buffer){"use asm";var a=new global.Int8Array(buffer);var b=new global.Int16Array(buffer);var c=new global.Int32Array(buffer);var d=new global.Uint8Array(buffer);var e=new global.Uint16Array(buffer);var f=new global.Uint32Array(buffer);var g=new global.Float32Array(buffer);var h=new global.Float64Array(buffer);var i=env.STACKTOP|0;var j=env.STACK_MAX|0;var k=env.tempDoublePtr|0;var l=env.ABORT|0;var m=env.cttz_i8|0;var n=env.ctlz_i8|0;var o=env.___rand_seed|0;var p=env.__ZTVN10__cxxabiv117__class_type_infoE|0;var q=env._stdin|0;var r=env._stdout|0;var s=env.___dso_handle|0;var t=env.__ZTVN10__cxxabiv120__si_class_type_infoE|0;var u=env._stderr|0;var v=+env.NaN;var w=+env.Infinity;var x=0;var y=0;var z=0;var A=0;var B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0.0;var K=0;var L=0;var M=0;var N=0;var O=0;var P=0;var Q=0;var R=0;var S=0;var T=0;var U=global.Math.floor;var V=global.Math.abs;var W=global.Math.sqrt;var X=global.Math.pow;var Y=global.Math.cos;var Z=global.Math.sin;var _=global.Math.tan;var $=global.Math.acos;var aa=global.Math.asin;var ba=global.Math.atan;var ca=global.Math.atan2;var da=global.Math.exp;var ea=global.Math.log;var fa=global.Math.ceil;var ga=global.Math.imul;var ha=env.abort;var ia=env.assert;var ja=env.asmPrintInt;var ka=env.asmPrintFloat;var la=env.min;var ma=env.invoke_iiiiiiii;var na=env.invoke_vd;var oa=env.invoke_viiiii;var pa=env.invoke_vi;var qa=env.invoke_vii;var ra=env.invoke_iiiiiiiiiii;var sa=env.invoke_ii;var ta=env.invoke_iiiiii;var ua=env.invoke_iiii;var va=env.invoke_viiiiid;var wa=env.invoke_viiiiiiii;var xa=env.invoke_viiiiii;var ya=env.invoke_viidii;var za=env.invoke_iid;var Aa=env.invoke_viiiiiii;var Ba=env.invoke_viiiiiid;var Ca=env.invoke_viiiiiiiii;var Da=env.invoke_iii;var Ea=env.invoke_iiiiidi;var Fa=env.invoke_i;var Ga=env.invoke_iiiii;var Ha=env.invoke_viii;var Ia=env.invoke_v;var Ja=env.invoke_iiiiiiiii;var Ka=env.invoke_viiii;var La=env._llvm_lifetime_end;var Ma=env._lseek;var Na=env._sysconf;var Oa=env.__scanString;var Pa=env._fclose;var Qa=env._pthread_mutex_lock;var Ra=env.___cxa_end_catch;var Sa=env._strtoull;var Ta=env._fflush;var Ua=env._lis_solver_create;var Va=env._strtol;var Wa=env._fputc;var Xa=env._strtok;var Ya=env._fwrite;var Za=env._send;var _a=env._fputs;var $a=env._emscripten_get_now;var ab=env._tmpnam;var bb=env._isspace;var cb=env._localtime;var db=env._read;var eb=env._GC_init;var fb=env._ceil;var gb=env.___ctype_b_loc;var hb=env._GC_malloc_atomic;var ib=env._isxdigit_l;var jb=env._strstr;var kb=env._fileno;var lb=env._perror;var mb=env._fsync;var nb=env.___cxa_guard_abort;var ob=env._newlocale;var pb=env._signal;var qb=env.___gxx_personality_v0;var rb=env._pthread_cond_wait;var sb=env.___cxa_rethrow;var tb=env._freopen;var ub=env.___resumeException;var vb=env._sscanf;var wb=env._round;var xb=env._llvm_va_end;var yb=env._clock_gettime;var zb=env._tmpfile;var Ab=env._vsscanf;var Bb=env._snprintf;var Cb=env._fgetc;var Db=env._pclose;var Eb=env.__getFloat;var Fb=env._atexit;var Gb=env.___cxa_free_exception;var Hb=env._close;var Ib=env._isdigit_l;var Jb=env._vasprintf;var Kb=env.___setErrNo;var Lb=env._isxdigit;var Mb=env._access;var Nb=env._ftell;var Ob=env._exit;var Pb=env._sprintf;var Qb=env._pthread_setspecific;var Rb=env._asprintf;var Sb=env._GC_strdup;var Tb=env._strrchr;var Ub=env._freelocale;var Vb=env._catgets;var Wb=env._fmod;var Xb=env.__isLeapYear;var Yb=env._fmax;var Zb=env.___cxa_is_number_type;var _b=env._GC_malloc;var $b=env.___cxa_does_inherit;var ac=env.___cxa_guard_acquire;var bc=env._lis_vector_destroy;var cc=env._localtime_r;var dc=env.___cxa_begin_catch;var ec=env._emscripten_memcpy_big;var fc=env.__ZNSt9exceptionD2Ev;var gc=env._recv;var hc=env.__parseInt64;var ic=env.__ZSt18uncaught_exceptionv;var jc=env._cos;var kc=env._lis_matrix_set_value;var lc=env._putchar;var mc=env.___cxa_call_unexpected;var nc=env._popen;var oc=env._isblank;var pc=env._copysign;var qc=env._bsearch;var rc=env._fmin;var sc=env.__exit;var tc=env._strftime;var uc=env._tzset;var vc=env.___cxa_throw;var wc=env._lis_vector_create;var xc=env._printf;var yc=env._pread;var zc=env._fopen;var Ac=env._open;var Bc=env._strtoull_l;var Cc=env.__arraySum;var Dc=env._log;var Ec=env._puts;var Fc=env._xerbla_;var Gc=env._pthread_key_create;var Hc=env._strtoll_l;var Ic=env._qsort;var Jc=env._system;var Kc=env.___cxa_find_matching_catch;var Lc=env._strdup;var Mc=env._log10;var Nc=env._srand;var Oc=env._isatty;var Pc=env.__formatString;var Qc=env._pthread_cond_broadcast;var Rc=env.__ZSt9terminatev;var Sc=env._atoi;var Tc=env._vfprintf;var Uc=env._pthread_mutex_unlock;var Vc=env._llvm_pow_f64;var Wc=env._sbrk;var Xc=env._fscanf;var Yc=env._lis_solver_destroy;var Zc=env.___errno_location;var _c=env._strerror;var $c=env._fstat;var ad=env._catclose;var bd=env._llvm_lifetime_start;var cd=env.__parseInt;var dd=env.___cxa_guard_release;var ed=env._ungetc;var fd=env._ftruncate;var gd=env._uselocale;var hd=env._vsnprintf;var id=env._htonl;var jd=env.___assert_fail;var kd=env._fread;var ld=env._strtok_r;var md=env._strftime_l;var nd=env._abort;var od=env._fprintf;var pd=env._isdigit;var qd=env._strtoll;var rd=env.__addDays;var sd=env._pthread_getspecific;var td=env._fabs;var ud=env._GC_collect_a_little;var vd=env.__reallyNegative;var wd=env._fseek;var xd=env._sqrt;var yd=env._write;var zd=env._mkport;var Ad=env._rewind;var Bd=env.___cxa_allocate_exception;var Cd=env._sin;var Dd=env._stat;var Ed=env._longjmp;var Fd=env._truncate;var Gd=env._catopen;var Hd=env.___ctype_toupper_loc;var Id=env.___ctype_tolower_loc;var Jd=env._lis_vector_set_size;var Kd=env._unlink;var Ld=env._pwrite;var Md=env._strerror_r;var Nd=env._floor;var Od=env._lis_solver_set_option;var Pd=env._exp;var Qd=env._time;var Rd=0.0;
// EMSCRIPTEN_START_FUNCS
function pO(a){a=a|0;var b=0,d=0,e=0,f=0.0,g=0;b=i;hfa(9,1,43944,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;if((c[2136467]|0)!=0){Vd[c[3586]&511](9)}hfa(9,1,153064,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;if((c[2136467]|0)!=0){Vd[c[3586]&511](9)}hfa(9,1,117528,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;if((c[2136467]|0)!=0){Vd[c[3586]&511](9)}iN(a);jN(a);kN(a);lN(a);mN(a);nN(a);oN(a);pN(a);qN(a);rN(a);sN(a);tN(a);uN(a);vN(a);wN(a);xN(a);yN(a);zN(a);AN(a);BN(a);CN(a);DN(a);EN(a);FN(a);GN(a);HN(a);IN(a);JN(a);KN(a);LN(a);MN(a);NN(a);ON(a);PN(a);QN(a);RN(a);SN(a);TN(a);UN(a);VN(a);WN(a);XN(a);YN(a);ZN(a);_N(a);$N(a);aO(a);bO(a);cO(a);dO(a);eO(a);fO(a);gO(a);hO(a);iO(a);jO(a);kO(a);lO(a);mO(a);nO(a);oO(a);hfa(9,1,92328,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a+4|0;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+376>>3];g=a+8|0;a=c[g>>2]|0;h[a+5360>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+5268>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+408>>3];a=c[g>>2]|0;h[a+5808>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+5716>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+432>>3];a=c[g>>2]|0;h[a+6144>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+6052>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+464>>3];a=c[g>>2]|0;h[a+6592>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+6500>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+472>>3];a=c[g>>2]|0;h[a+6704>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+6612>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+544>>3];a=c[g>>2]|0;h[a+7712>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+7620>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+640>>3];a=c[g>>2]|0;h[a+9056>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+8964>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+672>>3];a=c[g>>2]|0;h[a+9504>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+9412>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+688>>3];a=c[g>>2]|0;h[a+9728>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+9636>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+720>>3];a=c[g>>2]|0;h[a+10176>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+10084>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+728>>3];a=c[g>>2]|0;h[a+10288>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+10196>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+896>>3];a=c[g>>2]|0;h[a+12640>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+12548>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+928>>3];a=c[g>>2]|0;h[a+13088>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+12996>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+944>>3];a=c[g>>2]|0;h[a+13312>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+13220>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+976>>3];a=c[g>>2]|0;h[a+13760>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+13668>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+984>>3];a=c[g>>2]|0;h[a+13872>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+13780>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1152>>3];a=c[g>>2]|0;h[a+16224>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+16132>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1184>>3];a=c[g>>2]|0;h[a+16672>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+16580>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1200>>3];a=c[g>>2]|0;h[a+16896>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+16804>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1232>>3];a=c[g>>2]|0;h[a+17344>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+17252>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1240>>3];a=c[g>>2]|0;h[a+17456>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+17364>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1408>>3];a=c[g>>2]|0;h[a+19808>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+19716>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1440>>3];a=c[g>>2]|0;h[a+20256>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+20164>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1456>>3];a=c[g>>2]|0;h[a+20480>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+20388>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1488>>3];a=c[g>>2]|0;h[a+20928>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+20836>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1504>>3];a=c[g>>2]|0;h[a+21152>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+21060>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6072>>3];a=c[g>>2]|0;h[a+85104>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+85012>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1688>>3];a=c[g>>2]|0;h[a+23728>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+23636>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1720>>3];a=c[g>>2]|0;h[a+24176>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+24084>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1736>>3];a=c[g>>2]|0;h[a+24400>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+24308>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1768>>3];a=c[g>>2]|0;h[a+24848>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+24756>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1784>>3];a=c[g>>2]|0;h[a+25072>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+24980>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6160>>3];a=c[g>>2]|0;h[a+86336>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+86244>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6240>>3];a=c[g>>2]|0;h[a+87456>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+87364>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1944>>3];a=c[g>>2]|0;h[a+27312>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+27220>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1976>>3];a=c[g>>2]|0;h[a+27760>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+27668>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2e3>>3];a=c[g>>2]|0;h[a+28096>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+28004>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2032>>3];a=c[g>>2]|0;h[a+28544>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+28452>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2048>>3];a=c[g>>2]|0;h[a+28768>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+28676>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2216>>3];a=c[g>>2]|0;h[a+31120>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+31028>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2248>>3];a=c[g>>2]|0;h[a+31568>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+31476>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2264>>3];a=c[g>>2]|0;h[a+31792>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+31700>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2296>>3];a=c[g>>2]|0;h[a+32240>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+32148>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2312>>3];a=c[g>>2]|0;h[a+32464>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+32372>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2472>>3];a=c[g>>2]|0;h[a+34704>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+34612>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2504>>3];a=c[g>>2]|0;h[a+35152>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+35060>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2528>>3];a=c[g>>2]|0;h[a+35488>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+35396>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2560>>3];a=c[g>>2]|0;h[a+35936>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+35844>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2568>>3];a=c[g>>2]|0;h[a+36048>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+35956>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2640>>3];a=c[g>>2]|0;h[a+37056>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+36964>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2736>>3];a=c[g>>2]|0;h[a+38400>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+38308>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2768>>3];a=c[g>>2]|0;h[a+38848>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+38756>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2792>>3];a=c[g>>2]|0;h[a+39184>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+39092>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2824>>3];a=c[g>>2]|0;h[a+39632>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+39540>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2840>>3];a=c[g>>2]|0;h[a+39856>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+39764>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2912>>3];a=c[g>>2]|0;h[a+40864>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+40772>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3008>>3];a=c[g>>2]|0;h[a+42208>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+42116>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3040>>3];a=c[g>>2]|0;h[a+42656>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+42564>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3048>>3];a=c[g>>2]|0;h[a+42768>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+42676>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3080>>3];a=c[g>>2]|0;h[a+43216>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[a+43124>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3088>>3];e=c[g>>2]|0;h[e+43328>>3]=f;hfa(9,0,69104,(d=i,i=i+16|0,c[d>>2]=c[e+43236>>2],h[d+8>>3]=f,d)|0);i=d;if((c[2136467]|0)==0){i=b;return 0}Vd[c[3586]&511](9);i=b;return 0}function qO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6400>>3]=8.314472;return}function rO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6408>>3]=.1;return}function sO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4288>>3]=1.0;return}function tO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4296>>3]=1.0;return}function uO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6416>>3]=8.314472;return}function vO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6424>>3]=.1;return}function wO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4304>>3]=1.0;return}function xO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4312>>3]=1.0;return}function yO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4320>>3]=8.314472;return}function zO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4328>>3]=.1;return}function AO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4336>>3]=1.0;return}function BO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4344>>3]=8.314472;return}function CO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4352>>3]=.1;return}function DO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4360>>3]=1.0;return}function EO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4384>>3]=8.314472;return}function FO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4392>>3]=.1;return}function GO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4400>>3]=1.0;return}function HO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4408>>3]=8.314472;return}function IO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4416>>3]=.1;return}function JO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4424>>3]=1.0;return}function KO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4448>>3]=8.314472;return}function LO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4456>>3]=.1;return}function MO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4464>>3]=1.0;return}function NO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4472>>3]=8.314472;return}function OO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4480>>3]=.1;return}function PO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4488>>3]=1.0;return}function QO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4512>>3]=8.314472;return}function RO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4520>>3]=.1;return}function SO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4528>>3]=1.0;return}function TO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4536>>3]=8.314472;return}function UO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4544>>3]=.1;return}function VO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4552>>3]=1.0;return}function WO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4576>>3]=8.314472;return}function XO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4584>>3]=.1;return}function YO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4592>>3]=1.0;return}function ZO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4600>>3]=8.314472;return}function _O(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4608>>3]=.1;return}function $O(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4616>>3]=1.0;return}function aP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4640>>3]=8.314472;return}function bP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4648>>3]=.1;return}function cP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4656>>3]=1.0;return}function dP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4664>>3]=8.314472;return}function eP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4672>>3]=.1;return}function fP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4680>>3]=1.0;return}function gP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4704>>3]=8.314472;return}function hP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4712>>3]=.1;return}function iP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4720>>3]=1.0;return}function jP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4728>>3]=8.314472;return}function kP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4736>>3]=.1;return}function lP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4744>>3]=1.0;return}function mP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4768>>3]=8.314472;return}function nP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4776>>3]=.1;return}function oP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4784>>3]=1.0;return}function pP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4792>>3]=8.314472;return}function qP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4800>>3]=.1;return}function rP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4808>>3]=1.0;return}function sP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4832>>3]=8.314472;return}function tP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4840>>3]=.1;return}function uP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4848>>3]=1.0;return}function vP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4856>>3]=8.314472;return}function wP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4864>>3]=.1;return}function xP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4872>>3]=1.0;return}function yP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4896>>3]=8.314472;return}function zP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4904>>3]=.1;return}function AP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4912>>3]=1.0;return}function BP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4920>>3]=8.314472;return}function CP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4928>>3]=.1;return}function DP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4936>>3]=1.0;return}function EP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4960>>3]=8.314472;return}function FP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4968>>3]=.1;return}function GP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4976>>3]=1.0;return}function HP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4984>>3]=8.314472;return}function IP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4992>>3]=.1;return}function JP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5e3>>3]=1.0;return}function KP(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;Rn(d,c[a+536>>2]|0,8532416,26.85000000000002);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6520>>3]=+h[d>>3];i=b;return}function LP(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;Rn(d,c[a+536>>2]|0,8531600,26.85000000000002);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6528>>3]=+h[d>>3];i=b;return}function MP(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;Rn(d,c[a+536>>2]|0,8532416,26.85000000000002);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6544>>3]=+h[d>>3];i=b;return}function NP(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;Rn(d,c[a+536>>2]|0,8531600,26.85000000000002);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6552>>3]=+h[d>>3];i=b;return}function OP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5024>>3]=0.0;return}function PP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5032>>3]=0.0;return}function QP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5040>>3]=0.0;return}function RP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5048>>3]=0.0;return}function SP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5056>>3]=0.0;return}function TP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5064>>3]=0.0;return}function UP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5072>>3]=0.0;return}function VP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5080>>3]=0.0;return}function WP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5088>>3]=0.0;return}function XP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5096>>3]=0.0;return}function YP(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5104>>3]=0.0;return}function ZP(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;Un(d,c[a+536>>2]|0,300.0);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6568>>3]=+h[d>>3];i=b;return}function _P(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+536|0;Ln(d,c[f>>2]|0);g=a+4|0;fo(e,c[f>>2]|0,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6568>>3],243.15,373.15,1.0e5,8532240,d|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6536>>3]=+h[e>>3];i=b;return}function $P(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+6568>>3];i=+h[f+6552>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+6392|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,49880,8543176,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+6392|0;h[n>>3]=m;return}function aQ(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;Un(d,c[a+536>>2]|0,300.0);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6576>>3]=+h[d>>3];i=b;return}function bQ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+536|0;Dn(d,c[f>>2]|0);g=a+4|0;Jn(e,c[f>>2]|0,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6576>>3],243.15,373.15,5.0e5,8532240,d|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6560>>3]=+h[e>>3];i=b;return}function cQ(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+6576>>3];i=+h[f+6528>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+6384|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,42640,8543168,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+6384|0;h[n>>3]=m;return}function dQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6584>>3]=1.0;return}function eQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6592>>3]=26.85000000000002;return}function fQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5200>>3]=5.0;return}function gQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6600>>3]=5.0;return}function hQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6608>>3]=26.85000000000002;return}function iQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6616>>3]=300.0;return}function jQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6624>>3]=300.0;return}function kQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5208>>3]=0.0;return}function lQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5240>>3]=0.0;return}function mQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5248>>3]=0.0;return}function nQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5256>>3]=0.0;return}function oQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5264>>3]=0.0;return}function pQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5296>>3]=0.0;return}function qQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5304>>3]=0.0;return}function rQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5312>>3]=0.0;return}function sQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5320>>3]=0.0;return}function tQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5352>>3]=0.0;return}function uQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5360>>3]=0.0;return}function vQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5368>>3]=0.0;return}function wQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5376>>3]=0.0;return}function xQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5408>>3]=0.0;return}function yQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5416>>3]=0.0;return}function zQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5424>>3]=0.0;return}function AQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5432>>3]=0.0;return}function BQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5464>>3]=0.0;return}function CQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5472>>3]=0.0;return}function DQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5480>>3]=0.0;return}function EQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5488>>3]=0.0;return}function FQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5520>>3]=0.0;return}function GQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5528>>3]=0.0;return}function HQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5536>>3]=0.0;return}function IQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5544>>3]=0.0;return}function JQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5576>>3]=0.0;return}function KQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5584>>3]=0.0;return}function LQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5592>>3]=0.0;return}function MQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5600>>3]=0.0;return}function NQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5632>>3]=0.0;return}function OQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5640>>3]=0.0;return}function PQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5648>>3]=0.0;return}function QQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5656>>3]=0.0;return}function RQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5688>>3]=0.0;return}function SQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5696>>3]=0.0;return}function TQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5704>>3]=0.0;return}function UQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5712>>3]=0.0;return}function VQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5744>>3]=0.0;return}function WQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5752>>3]=0.0;return}function XQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5760>>3]=0.0;return}function YQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5768>>3]=0.0;return}function ZQ(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5800>>3]=0.0;return}function _Q(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5808>>3]=0.0;return}function $Q(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5816>>3]=0.0;return}function aR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5824>>3]=0.0;return}function bR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5832>>3]=0.0;return}function cR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5840>>3]=0.0;return}function dR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5848>>3]=0.0;return}function eR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5856>>3]=0.0;return}function fR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5864>>3]=0.0;return}function gR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5872>>3]=0.0;return}function hR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5880>>3]=0.0;return}function iR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5888>>3]=0.0;return}function jR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5896>>3]=0.0;return}function kR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5904>>3]=0.0;return}function lR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5912>>3]=0.0;return}function mR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5920>>3]=0.0;return}function nR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5928>>3]=0.0;return}function oR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5936>>3]=0.0;return}function pR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5944>>3]=0.0;return}function qR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5952>>3]=0.0;return}function rR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5960>>3]=0.0;return}function sR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5968>>3]=0.0;return}function tR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5976>>3]=0.0;return}function uR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6632>>3]=5.0e5;return}function vR(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6640>>3]=1.0e5;return}function wR(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+1600>>3];h[b+1656>>3]=d*d*.7853981633974483;return}function xR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1664>>3]=+h[b+1600>>3]*3.141592653589793;return}function yR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1688>>3]=+h[b+1584>>3];return}function zR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1728>>3]=+h[b+3328>>3];return}function AR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1744>>3]=+h[b+3304>>3];return}function BR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+48>>3]=+h[b+1592>>3]*.5;return}function CR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4368>>3]=+h[b+48>>3]*+h[b+1664>>3];return}function DR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+56>>3]=+h[b+1592>>3]*.5;return}function ER(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5232>>3]=+h[b+48>>3]+ +h[b+56>>3];return}function FR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4376>>3]=+h[b+56>>3]*+h[b+1664>>3];return}function GR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+64>>3]=+h[b+1656>>3];return}function HR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5216>>3]=+h[b+64>>3]*+h[b+48>>3]*+h[b+1584>>3];return}function IR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+72>>3]=+h[b+1656>>3];return}function JR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5224>>3]=+h[b+72>>3]*+h[b+56>>3]*+h[b+1584>>3];return}function KR(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+1664>>3];g=+h[e+1656>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,36112,8543160,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+80>>3]=i*4.0;return}function LR(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+1664>>3];g=+h[e+1656>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,36112,8543152,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+88>>3]=i*4.0;return}function MR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5192>>3]=(+h[b+80>>3]+ +h[b+88>>3])*.5;return}function NR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+96>>3]=+h[b+1608>>3];return}function OR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+104>>3]=+h[b+1608>>3];return}function PR(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+1688>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,30472,8543144,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+1688>>3]}q=1.0/n;n=+h[o+1768>>3];l=+h[o+1776>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5232>>3];t=+h[r+5192>>3];u=(+h[o+96>>3]+ +h[o+104>>3])*.5;v=+h[o+1728>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,30472,8543144,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+1712>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6432>>3]=+h[e>>3];i=d;return}function QR(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+71|0]=a[d+56|0]|0;return}function RR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1792>>3]=+h[b+1584>>3];return}function SR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1800>>3]=+h[b+3296>>3];return}function TR(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+1824>>3];h[b+1880>>3]=d*d*.7853981633974483;return}function UR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1888>>3]=+h[b+1824>>3]*3.141592653589793;return}function VR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1912>>3]=+h[b+1808>>3];return}function WR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1952>>3]=+h[b+3328>>3];return}function XR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1968>>3]=+h[b+3304>>3];return}function YR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+184>>3]=+h[b+1816>>3]*.5;return}function ZR(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4432>>3]=+h[b+184>>3]*+h[b+1888>>3];return}function _R(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+192>>3]=+h[b+1816>>3]*.5;return}function $R(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5288>>3]=+h[b+184>>3]+ +h[b+192>>3];return}function aS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4440>>3]=+h[b+192>>3]*+h[b+1888>>3];return}function bS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+200>>3]=+h[b+1880>>3];return}function cS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5272>>3]=+h[b+200>>3]*+h[b+184>>3]*+h[b+1808>>3];return}function dS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+208>>3]=+h[b+1880>>3];return}function eS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5280>>3]=+h[b+208>>3]*+h[b+192>>3]*+h[b+1808>>3];return}function fS(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+1888>>3];g=+h[e+1880>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,23584,8543136,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+216>>3]=i*4.0;return}function gS(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+1888>>3];g=+h[e+1880>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,23584,8543128,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+224>>3]=i*4.0;return}function hS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5184>>3]=(+h[b+216>>3]+ +h[b+224>>3])*.5;return}function iS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+232>>3]=+h[b+1832>>3];return}function jS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+240>>3]=+h[b+1832>>3];return}function kS(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+1912>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,182240,8543120,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+1912>>3]}q=1.0/n;n=+h[o+1992>>3];l=+h[o+2e3>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5288>>3];t=+h[r+5184>>3];u=(+h[o+232>>3]+ +h[o+240>>3])*.5;v=+h[o+1952>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,182240,8543120,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+1936>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6440>>3]=+h[e>>3];i=d;return}function lS(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+92|0]=a[d+77|0]|0;return}function mS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2016>>3]=+h[b+1808>>3];return}function nS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2024>>3]=+h[b+3296>>3];return}function oS(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+2048>>3];h[b+2104>>3]=d*d*.7853981633974483;return}function pS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2112>>3]=+h[b+2048>>3]*3.141592653589793;return}function qS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2136>>3]=+h[b+2032>>3];return}function rS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2176>>3]=+h[b+3328>>3];return}function sS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2192>>3]=+h[b+3304>>3];return}function tS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+320>>3]=+h[b+2040>>3]*.5;return}function uS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4496>>3]=+h[b+320>>3]*+h[b+2112>>3];return}function vS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+328>>3]=+h[b+2040>>3]*.5;return}function wS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5344>>3]=+h[b+320>>3]+ +h[b+328>>3];return}function xS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4504>>3]=+h[b+328>>3]*+h[b+2112>>3];return}function yS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+336>>3]=+h[b+2104>>3];return}function zS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5328>>3]=+h[b+336>>3]*+h[b+320>>3]*+h[b+2032>>3];return}function AS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+344>>3]=+h[b+2104>>3];return}function BS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5336>>3]=+h[b+344>>3]*+h[b+328>>3]*+h[b+2032>>3];return}function CS(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+2112>>3];g=+h[e+2104>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,175288,8543112,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+352>>3]=i*4.0;return}function DS(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+2112>>3];g=+h[e+2104>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,175288,8543104,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+360>>3]=i*4.0;return}function ES(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5176>>3]=(+h[b+352>>3]+ +h[b+360>>3])*.5;return}function FS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+368>>3]=+h[b+2056>>3];return}function GS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+376>>3]=+h[b+2056>>3];return}function HS(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+2136>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,169208,8543096,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+2136>>3]}q=1.0/n;n=+h[o+2216>>3];l=+h[o+2224>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5344>>3];t=+h[r+5176>>3];u=(+h[o+368>>3]+ +h[o+376>>3])*.5;v=+h[o+2176>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,169208,8543096,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+2160>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6448>>3]=+h[e>>3];i=d;return}function IS(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+113|0]=a[d+98|0]|0;return}function JS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2240>>3]=+h[b+2032>>3];return}function KS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2248>>3]=+h[b+3296>>3];return}function LS(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+2272>>3];h[b+2328>>3]=d*d*.7853981633974483;return}function MS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2336>>3]=+h[b+2272>>3]*3.141592653589793;return}function NS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2360>>3]=+h[b+2256>>3];return}function OS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2400>>3]=+h[b+3328>>3];return}function PS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2416>>3]=+h[b+3304>>3];return}function QS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+456>>3]=+h[b+2264>>3]*.5;return}function RS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4560>>3]=+h[b+456>>3]*+h[b+2336>>3];return}function SS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+464>>3]=+h[b+2264>>3]*.5;return}function TS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5400>>3]=+h[b+456>>3]+ +h[b+464>>3];return}function US(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4568>>3]=+h[b+464>>3]*+h[b+2336>>3];return}function VS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+472>>3]=+h[b+2328>>3];return}function WS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5384>>3]=+h[b+472>>3]*+h[b+456>>3]*+h[b+2256>>3];return}function XS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+480>>3]=+h[b+2328>>3];return}function YS(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5392>>3]=+h[b+480>>3]*+h[b+464>>3]*+h[b+2256>>3];return}function ZS(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+2336>>3];g=+h[e+2328>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,163896,8543088,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+488>>3]=i*4.0;return}function _S(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+2336>>3];g=+h[e+2328>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,163896,8543080,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+496>>3]=i*4.0;return}function $S(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5168>>3]=(+h[b+488>>3]+ +h[b+496>>3])*.5;return}function aT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+504>>3]=+h[b+2280>>3];return}function bT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+512>>3]=+h[b+2280>>3];return}function cT(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+2360>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,160200,8543072,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+2360>>3]}q=1.0/n;n=+h[o+2440>>3];l=+h[o+2448>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5400>>3];t=+h[r+5168>>3];u=(+h[o+504>>3]+ +h[o+512>>3])*.5;v=+h[o+2400>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,160200,8543072,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+2384>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6456>>3]=+h[e>>3];i=d;return}function dT(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+134|0]=a[d+119|0]|0;return}function eT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2464>>3]=+h[b+2256>>3];return}function fT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2472>>3]=+h[b+3296>>3];return}function gT(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+2496>>3];h[b+2552>>3]=d*d*.7853981633974483;return}function hT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2560>>3]=+h[b+2496>>3]*3.141592653589793;return}function iT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2584>>3]=+h[b+2480>>3];return}function jT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2624>>3]=+h[b+3328>>3];return}function kT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2640>>3]=+h[b+3304>>3];return}function lT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+592>>3]=+h[b+2488>>3]*.5;return}function mT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4624>>3]=+h[b+592>>3]*+h[b+2560>>3];return}function nT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+600>>3]=+h[b+2488>>3]*.5;return}function oT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5456>>3]=+h[b+592>>3]+ +h[b+600>>3];return}function pT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4632>>3]=+h[b+600>>3]*+h[b+2560>>3];return}function qT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+608>>3]=+h[b+2552>>3];return}function rT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5440>>3]=+h[b+608>>3]*+h[b+592>>3]*+h[b+2480>>3];return}function sT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+616>>3]=+h[b+2552>>3];return}function tT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5448>>3]=+h[b+616>>3]*+h[b+600>>3]*+h[b+2480>>3];return}function uT(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+2560>>3];g=+h[e+2552>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,155784,8543064,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+624>>3]=i*4.0;return}function vT(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+2560>>3];g=+h[e+2552>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,155784,8543056,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+632>>3]=i*4.0;return}function wT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5160>>3]=(+h[b+624>>3]+ +h[b+632>>3])*.5;return}function xT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+640>>3]=+h[b+2504>>3];return}function yT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+648>>3]=+h[b+2504>>3];return}function zT(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+2584>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,152360,8543048,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+2584>>3]}q=1.0/n;n=+h[o+2664>>3];l=+h[o+2672>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5456>>3];t=+h[r+5160>>3];u=(+h[o+640>>3]+ +h[o+648>>3])*.5;v=+h[o+2624>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,152360,8543048,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+2608>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6464>>3]=+h[e>>3];i=d;return}function AT(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+155|0]=a[d+140|0]|0;return}function BT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2688>>3]=+h[b+2480>>3];return}function CT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2696>>3]=+h[b+3296>>3];return}function DT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2704>>3]=+h[b+3328>>3]*+h[b+2736>>3];return}function ET(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0.0,k=0,l=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+2728>>3];g=+h[e+2736>>3];i=+h[e+2704>>3];do{if(g!=0.0){j=i/g;k=e}else{if(i==0.0){j=i;k=e;break}l=i/+nfa(c[b+536>>2]|0,g,148056,8543040,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);j=l;k=c[d>>2]|0}}while(0);h[k+2768>>3]=f*j;return}function FT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2784>>3]=+h[b+2728>>3];return}function GT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2792>>3]=+h[b+2736>>3];return}function HT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2800>>3]=+h[b+2760>>3];return}function IT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2816>>3]=+h[b+3328>>3]*+h[b+2848>>3];return}function JT(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0.0,k=0,l=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+2840>>3];g=+h[e+2848>>3];i=+h[e+2816>>3];do{if(g!=0.0){j=i/g;k=e}else{if(i==0.0){j=i;k=e;break}l=i/+nfa(c[b+536>>2]|0,g,144360,8543032,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);j=l;k=c[d>>2]|0}}while(0);h[k+2880>>3]=f*j;return}function KT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2896>>3]=+h[b+2840>>3];return}function LT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2904>>3]=+h[b+2848>>3];return}function MT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2912>>3]=+h[b+2872>>3];return}function NT(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+2944>>3];h[b+3e3>>3]=d*d*.7853981633974483;return}function OT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3008>>3]=+h[b+2944>>3]*3.141592653589793;return}function PT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3032>>3]=+h[b+2928>>3];return}function QT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3072>>3]=+h[b+3328>>3];return}function RT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3088>>3]=+h[b+3304>>3];return}function ST(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+728>>3]=+h[b+2936>>3]*.5;return}function TT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4688>>3]=+h[b+728>>3]*+h[b+3008>>3];return}function UT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+736>>3]=+h[b+2936>>3]*.5;return}function VT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5512>>3]=+h[b+728>>3]+ +h[b+736>>3];return}function WT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4696>>3]=+h[b+736>>3]*+h[b+3008>>3];return}function XT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+744>>3]=+h[b+3e3>>3];return}function YT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5496>>3]=+h[b+744>>3]*+h[b+728>>3]*+h[b+2928>>3];return}function ZT(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+752>>3]=+h[b+3e3>>3];return}function _T(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5504>>3]=+h[b+752>>3]*+h[b+736>>3]*+h[b+2928>>3];return}function $T(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3008>>3];g=+h[e+3e3>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,140440,8543016,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+760>>3]=i*4.0;return}function aU(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3008>>3];g=+h[e+3e3>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,140440,8543008,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+768>>3]=i*4.0;return}function bU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5152>>3]=(+h[b+760>>3]+ +h[b+768>>3])*.5;return}function cU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+776>>3]=+h[b+2952>>3];return}function dU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+784>>3]=+h[b+2952>>3];return}function eU(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+3032>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,136656,8543e3,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+3032>>3]}q=1.0/n;n=+h[o+3112>>3];l=+h[o+3120>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5512>>3];t=+h[r+5152>>3];u=(+h[o+776>>3]+ +h[o+784>>3])*.5;v=+h[o+3072>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,136656,8543e3,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+3056>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6472>>3]=+h[e>>3];i=d;return}function fU(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+194|0]=a[d+179|0]|0;return}function gU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3136>>3]=+h[b+2928>>3];return}function hU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3144>>3]=+h[b+3296>>3];return}function iU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3152>>3]=+h[b+3328>>3]*+h[b+3184>>3];return}function jU(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0.0,k=0,l=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3176>>3];g=+h[e+3184>>3];i=+h[e+3152>>3];do{if(g!=0.0){j=i/g;k=e}else{if(i==0.0){j=i;k=e;break}l=i/+nfa(c[b+536>>2]|0,g,132416,8542984,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);j=l;k=c[d>>2]|0}}while(0);h[k+3216>>3]=f*j;return}function kU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3232>>3]=+h[b+3176>>3];return}function lU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3240>>3]=+h[b+3184>>3];return}function mU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3248>>3]=+h[b+3208>>3];return}function nU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3352>>3]=+h[b+3288>>3];return}function oU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2984>>3]=+h[b+3352>>3];return}function pU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3040>>3]=+h[b+2984>>3];return}function qU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3016>>3]=+h[b+2984>>3];return}function rU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3048>>3]=+h[b+3016>>3];return}function sU(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+688>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+2984>>3]+ +h[g+3016>>3])*.5,293.15,d);h[(c[f>>2]|0)+2976>>3]=+h[e>>3];i=b;return}function tU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2536>>3]=+h[b+3352>>3];return}function uU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2592>>3]=+h[b+2536>>3];return}function vU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2568>>3]=+h[b+2536>>3];return}function wU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2600>>3]=+h[b+2568>>3];return}function xU(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+552>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+2536>>3]+ +h[g+2568>>3])*.5,293.15,d);h[(c[f>>2]|0)+2528>>3]=+h[e>>3];i=b;return}function yU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2312>>3]=+h[b+3352>>3];return}function zU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2368>>3]=+h[b+2312>>3];return}function AU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2344>>3]=+h[b+2312>>3];return}function BU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2376>>3]=+h[b+2344>>3];return}function CU(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+416>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+2312>>3]+ +h[g+2344>>3])*.5,293.15,d);h[(c[f>>2]|0)+2304>>3]=+h[e>>3];i=b;return}function DU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2088>>3]=+h[b+3352>>3];return}function EU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2144>>3]=+h[b+2088>>3];return}function FU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2120>>3]=+h[b+2088>>3];return}function GU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2152>>3]=+h[b+2120>>3];return}function HU(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+280>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+2088>>3]+ +h[g+2120>>3])*.5,293.15,d);h[(c[f>>2]|0)+2080>>3]=+h[e>>3];i=b;return}function IU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1864>>3]=+h[b+3352>>3];return}function JU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1920>>3]=+h[b+1864>>3];return}function KU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1896>>3]=+h[b+1864>>3];return}function LU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1928>>3]=+h[b+1896>>3];return}function MU(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+144>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+1864>>3]+ +h[g+1896>>3])*.5,293.15,d);h[(c[f>>2]|0)+1856>>3]=+h[e>>3];i=b;return}function NU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1640>>3]=+h[b+3352>>3];return}function OU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1696>>3]=+h[b+1640>>3];return}function PU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1672>>3]=+h[b+1640>>3];return}function QU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1704>>3]=+h[b+1672>>3];return}function RU(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+8>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+1640>>3]+ +h[g+1672>>3])*.5,293.15,d);h[(c[f>>2]|0)+1632>>3]=+h[e>>3];i=b;return}function SU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3360>>3]=+h[b+3296>>3];return}function TU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3496>>3]=+h[b+3352>>3];return}function UU(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+3456>>3];h[b+3512>>3]=d*d*.7853981633974483;return}function VU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3520>>3]=+h[b+3456>>3]*3.141592653589793;return}function WU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3528>>3]=+h[b+3496>>3];return}function XU(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+832>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+3496>>3]+ +h[g+3528>>3])*.5,293.15,d);h[(c[f>>2]|0)+3488>>3]=+h[e>>3];i=b;return}function YU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3544>>3]=+h[b+3440>>3];return}function ZU(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3552>>3]=+h[b+3496>>3];return}function _U(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3560>>3]=+h[b+3528>>3];return}function $U(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3584>>3]=+h[b+3328>>3];return}function aV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3600>>3]=+h[b+3304>>3];return}function bV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+872>>3]=+h[b+3448>>3]*.5;return}function cV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4752>>3]=+h[b+872>>3]*+h[b+3520>>3];return}function dV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+880>>3]=+h[b+3448>>3]*.5;return}function eV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5568>>3]=+h[b+872>>3]+ +h[b+880>>3];return}function fV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4760>>3]=+h[b+880>>3]*+h[b+3520>>3];return}function gV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+888>>3]=+h[b+3512>>3];return}function hV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5552>>3]=+h[b+888>>3]*+h[b+872>>3]*+h[b+3440>>3];return}function iV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+896>>3]=+h[b+3512>>3];return}function jV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5560>>3]=+h[b+896>>3]*+h[b+880>>3]*+h[b+3440>>3];return}function kV(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3520>>3];g=+h[e+3512>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,128840,8542936,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+904>>3]=i*4.0;return}function lV(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3520>>3];g=+h[e+3512>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,128840,8542928,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+912>>3]=i*4.0;return}function mV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5144>>3]=(+h[b+904>>3]+ +h[b+912>>3])*.5;return}function nV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+920>>3]=+h[b+3464>>3];return}function oV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+928>>3]=+h[b+3464>>3];return}function pV(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+3544>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,125032,8542912,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+3544>>3]}q=1.0/n;n=+h[o+3624>>3];l=+h[o+3632>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5568>>3];t=+h[r+5144>>3];u=(+h[o+920>>3]+ +h[o+928>>3])*.5;v=+h[o+3584>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,125032,8542912,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+3568>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6480>>3]=+h[e>>3];i=d;return}function qV(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+232|0]=a[d+217|0]|0;return}function rV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3648>>3]=+h[b+3440>>3];return}function sV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3656>>3]=+h[b+3296>>3];return}function tV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3720>>3]=+h[b+3352>>3];return}function uV(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+3680>>3];h[b+3736>>3]=d*d*.7853981633974483;return}function vV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3744>>3]=+h[b+3680>>3]*3.141592653589793;return}function wV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3752>>3]=+h[b+3720>>3];return}function xV(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+968>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+3720>>3]+ +h[g+3752>>3])*.5,293.15,d);h[(c[f>>2]|0)+3712>>3]=+h[e>>3];i=b;return}function yV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3768>>3]=+h[b+3664>>3];return}function zV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3776>>3]=+h[b+3720>>3];return}function AV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3784>>3]=+h[b+3752>>3];return}function BV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3808>>3]=+h[b+3328>>3];return}function CV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3824>>3]=+h[b+3304>>3];return}function DV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1008>>3]=+h[b+3672>>3]*.5;return}function EV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4816>>3]=+h[b+1008>>3]*+h[b+3744>>3];return}function FV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1016>>3]=+h[b+3672>>3]*.5;return}function GV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5624>>3]=+h[b+1008>>3]+ +h[b+1016>>3];return}function HV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4824>>3]=+h[b+1016>>3]*+h[b+3744>>3];return}function IV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1024>>3]=+h[b+3736>>3];return}function JV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5608>>3]=+h[b+1024>>3]*+h[b+1008>>3]*+h[b+3664>>3];return}function KV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1032>>3]=+h[b+3736>>3];return}function LV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5616>>3]=+h[b+1032>>3]*+h[b+1016>>3]*+h[b+3664>>3];return}function MV(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3744>>3];g=+h[e+3736>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,122144,8542888,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+1040>>3]=i*4.0;return}function NV(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3744>>3];g=+h[e+3736>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,122144,8542880,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+1048>>3]=i*4.0;return}function OV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5136>>3]=(+h[b+1040>>3]+ +h[b+1048>>3])*.5;return}function PV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1056>>3]=+h[b+3688>>3];return}function QV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1064>>3]=+h[b+3688>>3];return}function RV(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+3768>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,119632,8542872,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+3768>>3]}q=1.0/n;n=+h[o+3848>>3];l=+h[o+3856>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5624>>3];t=+h[r+5136>>3];u=(+h[o+1056>>3]+ +h[o+1064>>3])*.5;v=+h[o+3808>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,119632,8542872,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+3792>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6488>>3]=+h[e>>3];i=d;return}function SV(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+253|0]=a[d+238|0]|0;return}function TV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3872>>3]=+h[b+3664>>3];return}function UV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3880>>3]=+h[b+3296>>3];return}function VV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3944>>3]=+h[b+3352>>3];return}function WV(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+3904>>3];h[b+3960>>3]=d*d*.7853981633974483;return}function XV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3968>>3]=+h[b+3904>>3]*3.141592653589793;return}function YV(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3976>>3]=+h[b+3944>>3];return}function ZV(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+1104>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+3944>>3]+ +h[g+3976>>3])*.5,293.15,d);h[(c[f>>2]|0)+3936>>3]=+h[e>>3];i=b;return}function _V(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3992>>3]=+h[b+3888>>3];return}function $V(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4e3>>3]=+h[b+3944>>3];return}function aW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4008>>3]=+h[b+3976>>3];return}function bW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4032>>3]=+h[b+3328>>3];return}function cW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4048>>3]=+h[b+3304>>3];return}function dW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1144>>3]=+h[b+3896>>3]*.5;return}function eW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4880>>3]=+h[b+1144>>3]*+h[b+3968>>3];return}function fW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1152>>3]=+h[b+3896>>3]*.5;return}function gW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5680>>3]=+h[b+1144>>3]+ +h[b+1152>>3];return}function hW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4888>>3]=+h[b+1152>>3]*+h[b+3968>>3];return}function iW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1160>>3]=+h[b+3960>>3];return}function jW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5664>>3]=+h[b+1160>>3]*+h[b+1144>>3]*+h[b+3888>>3];return}function kW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1168>>3]=+h[b+3960>>3];return}function lW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5672>>3]=+h[b+1168>>3]*+h[b+1152>>3]*+h[b+3888>>3];return}function mW(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3968>>3];g=+h[e+3960>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,117144,8542856,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+1176>>3]=i*4.0;return}function nW(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3968>>3];g=+h[e+3960>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,117144,8542848,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+1184>>3]=i*4.0;return}function oW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5128>>3]=(+h[b+1176>>3]+ +h[b+1184>>3])*.5;return}function pW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1192>>3]=+h[b+3912>>3];return}function qW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1200>>3]=+h[b+3912>>3];return}function rW(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+3992>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,114928,8542840,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+3992>>3]}q=1.0/n;n=+h[o+4072>>3];l=+h[o+4080>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5680>>3];t=+h[r+5128>>3];u=(+h[o+1192>>3]+ +h[o+1200>>3])*.5;v=+h[o+4032>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,114928,8542840,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+4016>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6496>>3]=+h[e>>3];i=d;return}function sW(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+274|0]=a[d+259|0]|0;return}function tW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4096>>3]=+h[b+3888>>3];return}function uW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4104>>3]=+h[b+3296>>3];return}function vW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4168>>3]=+h[b+3352>>3];return}function wW(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+4128>>3];h[b+4184>>3]=d*d*.7853981633974483;return}function xW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4192>>3]=+h[b+4128>>3]*3.141592653589793;return}function yW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4200>>3]=+h[b+4168>>3];return}function zW(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+1240>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+4168>>3]+ +h[g+4200>>3])*.5,293.15,d);h[(c[f>>2]|0)+4160>>3]=+h[e>>3];i=b;return}function AW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4216>>3]=+h[b+4112>>3];return}function BW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4224>>3]=+h[b+4168>>3];return}function CW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4232>>3]=+h[b+4200>>3];return}function DW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4256>>3]=+h[b+3328>>3];return}function EW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4272>>3]=+h[b+3304>>3];return}function FW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1280>>3]=+h[b+4120>>3]*.5;return}function GW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4944>>3]=+h[b+1280>>3]*+h[b+4192>>3];return}function HW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1288>>3]=+h[b+4120>>3]*.5;return}function IW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5736>>3]=+h[b+1280>>3]+ +h[b+1288>>3];return}function JW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4952>>3]=+h[b+1288>>3]*+h[b+4192>>3];return}function KW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1296>>3]=+h[b+4184>>3];return}function LW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5720>>3]=+h[b+1296>>3]*+h[b+1280>>3]*+h[b+4112>>3];return}function MW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1304>>3]=+h[b+4184>>3];return}function NW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5728>>3]=+h[b+1304>>3]*+h[b+1288>>3]*+h[b+4112>>3];return}function OW(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4192>>3];g=+h[e+4184>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,112280,8542832,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+1312>>3]=i*4.0;return}function PW(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4192>>3];g=+h[e+4184>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,112280,8542824,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+1320>>3]=i*4.0;return}function QW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5120>>3]=(+h[b+1312>>3]+ +h[b+1320>>3])*.5;return}function RW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1328>>3]=+h[b+4136>>3];return}function SW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1336>>3]=+h[b+4136>>3];return}function TW(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+4216>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,109640,8542816,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+4216>>3]}q=1.0/n;n=+h[o+4296>>3];l=+h[o+4304>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5736>>3];t=+h[r+5120>>3];u=(+h[o+1328>>3]+ +h[o+1336>>3])*.5;v=+h[o+4256>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,109640,8542816,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+4240>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6504>>3]=+h[e>>3];i=d;return}function UW(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+295|0]=a[d+280|0]|0;return}function VW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4320>>3]=+h[b+4112>>3];return}function WW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4328>>3]=+h[b+3296>>3];return}function XW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4392>>3]=+h[b+3352>>3];return}function YW(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+4352>>3];h[b+4408>>3]=d*d*.7853981633974483;return}function ZW(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4416>>3]=+h[b+4352>>3]*3.141592653589793;return}function _W(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4424>>3]=+h[b+4392>>3];return}function $W(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+1424>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+4392>>3]+ +h[g+4424>>3])*.5,293.15,d);h[(c[f>>2]|0)+4384>>3]=+h[e>>3];i=b;return}function aX(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4440>>3]=+h[b+4336>>3];return}function bX(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4448>>3]=+h[b+4392>>3];return}function cX(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4456>>3]=+h[b+4424>>3];return}function dX(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4480>>3]=+h[b+3328>>3];return}function eX(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4496>>3]=+h[b+3304>>3];return}function fX(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1464>>3]=+h[b+4344>>3]*.5;return}function gX(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5008>>3]=+h[b+1464>>3]*+h[b+4416>>3];return}function hX(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1472>>3]=+h[b+4344>>3]*.5;return}function iX(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5792>>3]=+h[b+1464>>3]+ +h[b+1472>>3];return}function jX(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5016>>3]=+h[b+1472>>3]*+h[b+4416>>3];return}function kX(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1480>>3]=+h[b+4408>>3];return}function lX(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5776>>3]=+h[b+1480>>3]*+h[b+1464>>3]*+h[b+4336>>3];return}function mX(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1488>>3]=+h[b+4408>>3];return}function nX(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5784>>3]=+h[b+1488>>3]*+h[b+1472>>3]*+h[b+4336>>3];return}function oX(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4416>>3];g=+h[e+4408>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,107656,8542808,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+1496>>3]=i*4.0;return}function pX(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4416>>3];g=+h[e+4408>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,107656,8542800,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+1504>>3]=i*4.0;return}function qX(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5112>>3]=(+h[b+1496>>3]+ +h[b+1504>>3])*.5;return}function rX(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1512>>3]=+h[b+4360>>3];return}function sX(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1520>>3]=+h[b+4360>>3];return}function tX(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+4440>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,104864,8542792,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+4440>>3]}q=1.0/n;n=+h[o+4520>>3];l=+h[o+4528>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5792>>3];t=+h[r+5112>>3];u=(+h[o+1512>>3]+ +h[o+1520>>3])*.5;v=+h[o+4480>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,104864,8542792,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+4464>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6512>>3]=+h[e>>3];i=d;return}function uX(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+316|0]=a[d+301|0]|0;return}function vX(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4544>>3]=+h[b+4336>>3];return}function wX(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4552>>3]=+h[b+3296>>3];return}function xX(b){b=b|0;var d=0,e=0;d=i;if(a[8542784]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4552>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(99528,Ifa(+h[(c[e>>2]|0)+4552>>3],101704)|0)|0;le[c[2164]&15](8539416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542784]=1;i=d;return}function yX(b){b=b|0;var d=0,e=0;d=i;if(a[8542776]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1520>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(93896,Ifa(+h[(c[e>>2]|0)+1520>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542776]=1;i=d;return}function zX(b){b=b|0;var d=0,e=0;d=i;if(a[8542768]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1512>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(89384,Ifa(+h[(c[e>>2]|0)+1512>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542768]=1;i=d;return}function AX(b){b=b|0;var d=0,e=0;d=i;if(a[8542760]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1456>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(86784,Ifa(+h[(c[e>>2]|0)+1456>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542760]=1;i=d;return}function BX(b){b=b|0;var d=0,e=0;d=i;if(a[8542752]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1448>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(82408,Ifa(+h[(c[e>>2]|0)+1448>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542752]=1;i=d;return}function CX(b){b=b|0;var d=0,e=0;d=i;if(a[8542744]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4528>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(79104,Ifa(+h[(c[e>>2]|0)+4528>>3],101704)|0)|0;le[c[2164]&15](8539328,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542744]=1;i=d;return}function DX(b){b=b|0;var d=0,e=0;d=i;if(a[8542736]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4520>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(76944,Ifa(+h[(c[e>>2]|0)+4520>>3],101704)|0)|0;le[c[2164]&15](8539296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542736]=1;i=d;return}function EX(b){b=b|0;var d=0,e=0;d=i;if(a[8542728]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4512>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(74720,Ifa(+h[(c[e>>2]|0)+4512>>3],101704)|0)|0;le[c[2164]&15](8539264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542728]=1;i=d;return}function FX(b){b=b|0;var d=0,e=0;d=i;if(a[8542720]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+4504>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+4504>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(72560,Ifa(+h[(c[e>>2]|0)+4504>>3],101704)|0)|0;le[c[2164]&15](8539232,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542720]=1;i=d;return}function GX(b){b=b|0;var d=0,e=0;d=i;if(a[8542712]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+752>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+752>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(68488,Kfa(c[(c[e>>2]|0)+752>>2]|0,70544)|0)|0;le[c[2164]&15](8539200,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542712]=1;i=d;return}function HX(b){b=b|0;var d=0,e=0;d=i;if(a[8542704]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4488>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(66504,Ifa(+h[(c[e>>2]|0)+4488>>3],101704)|0)|0;le[c[2164]&15](8539168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542704]=1;i=d;return}function IX(b){b=b|0;var d=0,e=0;d=i;if(a[8542696]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+4456>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+4456>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(64464,Ifa(+h[(c[e>>2]|0)+4456>>3],101704)|0)|0;le[c[2164]&15](8539136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542696]=1;i=d;return}function JX(b){b=b|0;var d=0,e=0;d=i;if(a[8542688]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+4448>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+4448>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(62320,Ifa(+h[(c[e>>2]|0)+4448>>3],101704)|0)|0;le[c[2164]&15](8539104,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542688]=1;i=d;return}function KX(b){b=b|0;var d=0,e=0;d=i;if(a[8542680]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1440>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1440>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(60312,Ifa(+h[(c[e>>2]|0)+1440>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542680]=1;i=d;return}function LX(b){b=b|0;var d=0,e=0;d=i;if(a[8542672]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1432>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1432>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(57352,Ifa(+h[(c[e>>2]|0)+1432>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542672]=1;i=d;return}function MX(b){b=b|0;var d=0,e=0;d=i;if(a[8542664]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+4424>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+4424>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(55136,Ifa(+h[(c[e>>2]|0)+4424>>3],101704)|0)|0;le[c[2164]&15](8539032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542664]=1;i=d;return}function NX(b){b=b|0;var d=0,e=0;d=i;if(a[8542656]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+736>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+736>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(52976,Kfa(c[(c[e>>2]|0)+736>>2]|0,70544)|0)|0;le[c[2164]&15](8539e3,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542656]=1;i=d;return}function OX(b){b=b|0;var d=0,e=0;d=i;if(a[8542648]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+732>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+732>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(50912,Kfa(c[(c[e>>2]|0)+732>>2]|0,70544)|0)|0;le[c[2164]&15](8538968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542648]=1;i=d;return}function PX(b){b=b|0;var d=0,e=0;d=i;if(a[8542640]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1424>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1424>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(50208,Ifa(+h[(c[e>>2]|0)+1424>>3],101704)|0)|0;le[c[2164]&15](8538936,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542640]=1;i=d;return}function QX(b){b=b|0;var d=0,e=0;d=i;if(a[8542632]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+4400>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+4400>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(49608,Ifa(+h[(c[e>>2]|0)+4400>>3],101704)|0)|0;le[c[2164]&15](8538904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542632]=1;i=d;return}function RX(b){b=b|0;var d=0,e=0;d=i;if(a[8542624]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+724>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+724>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(48864,Kfa(c[(c[e>>2]|0)+724>>2]|0,70544)|0)|0;le[c[2164]&15](8538872,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542624]=1;i=d;return}function SX(b){b=b|0;var d=0,e=0;d=i;if(a[8542616]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+4392>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+4392>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(48232,Ifa(+h[(c[e>>2]|0)+4392>>3],101704)|0)|0;le[c[2164]&15](8538840,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542616]=1;i=d;return}function TX(b){b=b|0;var d=0,e=0;d=i;if(a[8542608]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+720>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+720>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(47536,Kfa(c[(c[e>>2]|0)+720>>2]|0,70544)|0)|0;le[c[2164]&15](8538808,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542608]=1;i=d;return}function UX(b){b=b|0;var d=0,e=0;d=i;if(a[8542600]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+716>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+716>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(46872,Kfa(c[(c[e>>2]|0)+716>>2]|0,70544)|0)|0;le[c[2164]&15](8538776,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542600]=1;i=d;return}function VX(b){b=b|0;var d=0,e=0;d=i;if(a[8542592]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+700>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+700>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(45480,Kfa(c[(c[e>>2]|0)+700>>2]|0,70544)|0)|0;le[c[2164]&15](8538744,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542592]=1;i=d;return}function WX(b){b=b|0;var d=0,e=0;d=i;if(a[8542584]|0){i=d;return}e=b+420|0;if(!((zia(+(c[(c[e>>2]|0)+696>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(44792,Kfa(c[(c[e>>2]|0)+696>>2]|0,70544)|0)|0;le[c[2164]&15](8538712,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542584]=1;i=d;return}function XX(b){b=b|0;var d=0,e=0;d=i;if(a[8542576]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+4384>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+4384>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(44160,Ifa(+h[(c[e>>2]|0)+4384>>3],101704)|0)|0;le[c[2164]&15](8538680,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542576]=1;i=d;return}function YX(b){b=b|0;var d=0,e=0;d=i;if(a[8542568]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+4376>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+4376>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(43592,Ifa(+h[(c[e>>2]|0)+4376>>3],101704)|0)|0;le[c[2164]&15](8538648,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542568]=1;i=d;return}function ZX(b){b=b|0;var d=0,e=0;d=i;if(a[8542560]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4360>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(42992,Ifa(+h[(c[e>>2]|0)+4360>>3],101704)|0)|0;le[c[2164]&15](8538616,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542560]=1;i=d;return}function _X(b){b=b|0;var d=0,e=0;d=i;if(a[8542552]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4352>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(42520,Ifa(+h[(c[e>>2]|0)+4352>>3],101704)|0)|0;le[c[2164]&15](8538584,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542552]=1;i=d;return}function $X(b){b=b|0;var d=0,e=0;d=i;if(a[8542544]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4336>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(41976,Ifa(+h[(c[e>>2]|0)+4336>>3],101704)|0)|0;le[c[2164]&15](8538552,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542544]=1;i=d;return}function aY(b){b=b|0;var d=0,e=0;d=i;if(a[8542536]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1408>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(41376,Ifa(+h[(c[e>>2]|0)+1408>>3],101704)|0)|0;le[c[2164]&15](8542512,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542536]=1;i=d;return}function bY(b){b=b|0;var d=0,e=0;d=i;if(a[8542504]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1384>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(40224,Ifa(+h[(c[e>>2]|0)+1384>>3],101704)|0)|0;le[c[2164]&15](8542512,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542504]=1;i=d;return}function cY(b){b=b|0;var d=0,e=0;d=i;if(a[8542496]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4328>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(39328,Ifa(+h[(c[e>>2]|0)+4328>>3],101704)|0)|0;le[c[2164]&15](8539416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542496]=1;i=d;return}function dY(b){b=b|0;var d=0,e=0;d=i;if(a[8542488]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1336>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(38584,Ifa(+h[(c[e>>2]|0)+1336>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542488]=1;i=d;return}function eY(b){b=b|0;var d=0,e=0;d=i;if(a[8542480]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1328>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(38016,Ifa(+h[(c[e>>2]|0)+1328>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542480]=1;i=d;return}function fY(b){b=b|0;var d=0,e=0;d=i;if(a[8542472]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1272>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(37344,Ifa(+h[(c[e>>2]|0)+1272>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542472]=1;i=d;return}function gY(b){b=b|0;var d=0,e=0;d=i;if(a[8542464]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1264>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(36576,Ifa(+h[(c[e>>2]|0)+1264>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542464]=1;i=d;return}function hY(b){b=b|0;var d=0,e=0;d=i;if(a[8542456]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4304>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(35976,Ifa(+h[(c[e>>2]|0)+4304>>3],101704)|0)|0;le[c[2164]&15](8539328,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542456]=1;i=d;return}function iY(b){b=b|0;var d=0,e=0;d=i;if(a[8542448]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4296>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(35480,Ifa(+h[(c[e>>2]|0)+4296>>3],101704)|0)|0;le[c[2164]&15](8539296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542448]=1;i=d;return}function jY(b){b=b|0;var d=0,e=0;d=i;if(a[8542440]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4288>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(34960,Ifa(+h[(c[e>>2]|0)+4288>>3],101704)|0)|0;le[c[2164]&15](8539264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542440]=1;i=d;return}function kY(b){b=b|0;var d=0,e=0;d=i;if(a[8542432]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+4280>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+4280>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(34384,Ifa(+h[(c[e>>2]|0)+4280>>3],101704)|0)|0;le[c[2164]&15](8539232,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542432]=1;i=d;return}function lY(b){b=b|0;var d=0,e=0;d=i;if(a[8542424]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+688>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+688>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(33856,Kfa(c[(c[e>>2]|0)+688>>2]|0,70544)|0)|0;le[c[2164]&15](8539200,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542424]=1;i=d;return}function mY(b){b=b|0;var d=0,e=0;d=i;if(a[8542416]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4264>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(32632,Ifa(+h[(c[e>>2]|0)+4264>>3],101704)|0)|0;le[c[2164]&15](8539168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542416]=1;i=d;return}function nY(b){b=b|0;var d=0,e=0;d=i;if(a[8542408]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+4232>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+4232>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(32112,Ifa(+h[(c[e>>2]|0)+4232>>3],101704)|0)|0;le[c[2164]&15](8539136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542408]=1;i=d;return}function oY(b){b=b|0;var d=0,e=0;d=i;if(a[8542400]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+4224>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+4224>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(31640,Ifa(+h[(c[e>>2]|0)+4224>>3],101704)|0)|0;le[c[2164]&15](8539104,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542400]=1;i=d;return}function pY(b){b=b|0;var d=0,e=0;d=i;if(a[8542392]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1256>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1256>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(31296,Ifa(+h[(c[e>>2]|0)+1256>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542392]=1;i=d;return}function qY(b){b=b|0;var d=0,e=0;d=i;if(a[8542384]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1248>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1248>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(30776,Ifa(+h[(c[e>>2]|0)+1248>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542384]=1;i=d;return}function rY(b){b=b|0;var d=0,e=0;d=i;if(a[8542376]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+4200>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+4200>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(30320,Ifa(+h[(c[e>>2]|0)+4200>>3],101704)|0)|0;le[c[2164]&15](8539032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542376]=1;i=d;return}function sY(b){b=b|0;var d=0,e=0;d=i;if(a[8542368]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+672>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+672>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(29832,Kfa(c[(c[e>>2]|0)+672>>2]|0,70544)|0)|0;le[c[2164]&15](8539e3,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542368]=1;i=d;return}function tY(b){b=b|0;var d=0,e=0;d=i;if(a[8542360]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+668>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+668>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(29088,Kfa(c[(c[e>>2]|0)+668>>2]|0,70544)|0)|0;le[c[2164]&15](8538968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542360]=1;i=d;return}function uY(b){b=b|0;var d=0,e=0;d=i;if(a[8542352]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1240>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1240>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(28616,Ifa(+h[(c[e>>2]|0)+1240>>3],101704)|0)|0;le[c[2164]&15](8538936,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542352]=1;i=d;return}function vY(b){b=b|0;var d=0,e=0;d=i;if(a[8542344]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+4176>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+4176>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(28080,Ifa(+h[(c[e>>2]|0)+4176>>3],101704)|0)|0;le[c[2164]&15](8538904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542344]=1;i=d;return}function wY(b){b=b|0;var d=0,e=0;d=i;if(a[8542336]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+660>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+660>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(27096,Kfa(c[(c[e>>2]|0)+660>>2]|0,70544)|0)|0;le[c[2164]&15](8538872,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542336]=1;i=d;return}function xY(b){b=b|0;var d=0,e=0;d=i;if(a[8542328]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+4168>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+4168>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(26008,Ifa(+h[(c[e>>2]|0)+4168>>3],101704)|0)|0;le[c[2164]&15](8538840,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542328]=1;i=d;return}function yY(b){b=b|0;var d=0,e=0;d=i;if(a[8542320]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+656>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+656>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(25544,Kfa(c[(c[e>>2]|0)+656>>2]|0,70544)|0)|0;le[c[2164]&15](8538808,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542320]=1;i=d;return}function zY(b){b=b|0;var d=0,e=0;d=i;if(a[8542312]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+652>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+652>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(24840,Kfa(c[(c[e>>2]|0)+652>>2]|0,70544)|0)|0;le[c[2164]&15](8538776,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542312]=1;i=d;return}function AY(b){b=b|0;var d=0,e=0;d=i;if(a[8542304]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+636>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+636>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(23888,Kfa(c[(c[e>>2]|0)+636>>2]|0,70544)|0)|0;le[c[2164]&15](8538744,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542304]=1;i=d;return}function BY(b){b=b|0;var d=0,e=0;d=i;if(a[8542296]|0){i=d;return}e=b+420|0;if(!((zia(+(c[(c[e>>2]|0)+632>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(23440,Kfa(c[(c[e>>2]|0)+632>>2]|0,70544)|0)|0;le[c[2164]&15](8538712,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542296]=1;i=d;return}function CY(b){b=b|0;var d=0,e=0;d=i;if(a[8542288]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+4160>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+4160>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(22880,Ifa(+h[(c[e>>2]|0)+4160>>3],101704)|0)|0;le[c[2164]&15](8538680,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542288]=1;i=d;return}function DY(b){b=b|0;var d=0,e=0;d=i;if(a[8542280]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+4152>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+4152>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(22232,Ifa(+h[(c[e>>2]|0)+4152>>3],101704)|0)|0;le[c[2164]&15](8538648,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542280]=1;i=d;return}function EY(b){b=b|0;var d=0,e=0;d=i;if(a[8542272]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4136>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(21776,Ifa(+h[(c[e>>2]|0)+4136>>3],101704)|0)|0;le[c[2164]&15](8538616,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542272]=1;i=d;return}function FY(b){b=b|0;var d=0,e=0;d=i;if(a[8542264]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4128>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(8522056,Ifa(+h[(c[e>>2]|0)+4128>>3],101704)|0)|0;le[c[2164]&15](8538584,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542264]=1;i=d;return}function GY(b){b=b|0;var d=0,e=0;d=i;if(a[8542256]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4112>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(6877480,Ifa(+h[(c[e>>2]|0)+4112>>3],101704)|0)|0;le[c[2164]&15](8538552,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542256]=1;i=d;return}function HY(b){b=b|0;var d=0,e=0;d=i;if(a[8542248]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4104>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(185856,Ifa(+h[(c[e>>2]|0)+4104>>3],101704)|0)|0;le[c[2164]&15](8539416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542248]=1;i=d;return}function IY(b){b=b|0;var d=0,e=0;d=i;if(a[8542240]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1200>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(185264,Ifa(+h[(c[e>>2]|0)+1200>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542240]=1;i=d;return}function JY(b){b=b|0;var d=0,e=0;d=i;if(a[8542232]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1192>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(184528,Ifa(+h[(c[e>>2]|0)+1192>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542232]=1;i=d;return}function KY(b){b=b|0;var d=0,e=0;d=i;if(a[8542224]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1136>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(183984,Ifa(+h[(c[e>>2]|0)+1136>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542224]=1;i=d;return}function LY(b){b=b|0;var d=0,e=0;d=i;if(a[8542216]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1128>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(181784,Ifa(+h[(c[e>>2]|0)+1128>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542216]=1;i=d;return}function MY(b){b=b|0;var d=0,e=0;d=i;if(a[8542208]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4080>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(181240,Ifa(+h[(c[e>>2]|0)+4080>>3],101704)|0)|0;le[c[2164]&15](8539328,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542208]=1;i=d;return}function NY(b){b=b|0;var d=0,e=0;d=i;if(a[8542200]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4072>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(180656,Ifa(+h[(c[e>>2]|0)+4072>>3],101704)|0)|0;le[c[2164]&15](8539296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542200]=1;i=d;return}function OY(b){b=b|0;var d=0,e=0;d=i;if(a[8542192]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4064>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(180208,Ifa(+h[(c[e>>2]|0)+4064>>3],101704)|0)|0;le[c[2164]&15](8539264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542192]=1;i=d;return}function PY(b){b=b|0;var d=0,e=0;d=i;if(a[8542184]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+4056>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+4056>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(179344,Ifa(+h[(c[e>>2]|0)+4056>>3],101704)|0)|0;le[c[2164]&15](8539232,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542184]=1;i=d;return}function QY(b){b=b|0;var d=0,e=0;d=i;if(a[8542176]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+624>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+624>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(178264,Kfa(c[(c[e>>2]|0)+624>>2]|0,70544)|0)|0;le[c[2164]&15](8539200,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542176]=1;i=d;return}function RY(b){b=b|0;var d=0,e=0;d=i;if(a[8542168]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+4040>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(177664,Ifa(+h[(c[e>>2]|0)+4040>>3],101704)|0)|0;le[c[2164]&15](8539168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542168]=1;i=d;return}function SY(b){b=b|0;var d=0,e=0;d=i;if(a[8542160]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+4008>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+4008>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(177080,Ifa(+h[(c[e>>2]|0)+4008>>3],101704)|0)|0;le[c[2164]&15](8539136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542160]=1;i=d;return}function TY(b){b=b|0;var d=0,e=0;d=i;if(a[8542152]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+4e3>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+4e3>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(176072,Ifa(+h[(c[e>>2]|0)+4e3>>3],101704)|0)|0;le[c[2164]&15](8539104,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542152]=1;i=d;return}function UY(b){b=b|0;var d=0,e=0;d=i;if(a[8542144]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1120>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1120>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(175632,Ifa(+h[(c[e>>2]|0)+1120>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542144]=1;i=d;return}function VY(b){b=b|0;var d=0,e=0;d=i;if(a[8542136]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1112>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1112>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(175144,Ifa(+h[(c[e>>2]|0)+1112>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542136]=1;i=d;return}function WY(b){b=b|0;var d=0,e=0;d=i;if(a[8542128]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3976>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3976>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(174600,Ifa(+h[(c[e>>2]|0)+3976>>3],101704)|0)|0;le[c[2164]&15](8539032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542128]=1;i=d;return}function XY(b){b=b|0;var d=0,e=0;d=i;if(a[8542120]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+608>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+608>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(173880,Kfa(c[(c[e>>2]|0)+608>>2]|0,70544)|0)|0;le[c[2164]&15](8539e3,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542120]=1;i=d;return}function YY(b){b=b|0;var d=0,e=0;d=i;if(a[8542112]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+604>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+604>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(173232,Kfa(c[(c[e>>2]|0)+604>>2]|0,70544)|0)|0;le[c[2164]&15](8538968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542112]=1;i=d;return}function ZY(b){b=b|0;var d=0,e=0;d=i;if(a[8542104]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1104>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1104>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(172776,Ifa(+h[(c[e>>2]|0)+1104>>3],101704)|0)|0;le[c[2164]&15](8538936,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542104]=1;i=d;return}function _Y(b){b=b|0;var d=0,e=0;d=i;if(a[8542096]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3952>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3952>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(171952,Ifa(+h[(c[e>>2]|0)+3952>>3],101704)|0)|0;le[c[2164]&15](8538904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542096]=1;i=d;return}function $Y(b){b=b|0;var d=0,e=0;d=i;if(a[8542088]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+596>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+596>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(171328,Kfa(c[(c[e>>2]|0)+596>>2]|0,70544)|0)|0;le[c[2164]&15](8538872,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542088]=1;i=d;return}function aZ(b){b=b|0;var d=0,e=0;d=i;if(a[8542080]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3944>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3944>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(170744,Ifa(+h[(c[e>>2]|0)+3944>>3],101704)|0)|0;le[c[2164]&15](8538840,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542080]=1;i=d;return}function bZ(b){b=b|0;var d=0,e=0;d=i;if(a[8542072]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+592>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+592>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(170216,Kfa(c[(c[e>>2]|0)+592>>2]|0,70544)|0)|0;le[c[2164]&15](8538808,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542072]=1;i=d;return}function cZ(b){b=b|0;var d=0,e=0;d=i;if(a[8542064]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+588>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+588>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(169568,Kfa(c[(c[e>>2]|0)+588>>2]|0,70544)|0)|0;le[c[2164]&15](8538776,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542064]=1;i=d;return}function dZ(b){b=b|0;var d=0,e=0;d=i;if(a[8542056]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+572>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+572>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(169e3,Kfa(c[(c[e>>2]|0)+572>>2]|0,70544)|0)|0;le[c[2164]&15](8538744,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542056]=1;i=d;return}function eZ(b){b=b|0;var d=0,e=0;d=i;if(a[8542048]|0){i=d;return}e=b+420|0;if(!((zia(+(c[(c[e>>2]|0)+568>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(168552,Kfa(c[(c[e>>2]|0)+568>>2]|0,70544)|0)|0;le[c[2164]&15](8538712,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542048]=1;i=d;return}function fZ(b){b=b|0;var d=0,e=0;d=i;if(a[8542040]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3936>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3936>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(168024,Ifa(+h[(c[e>>2]|0)+3936>>3],101704)|0)|0;le[c[2164]&15](8538680,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542040]=1;i=d;return}function gZ(b){b=b|0;var d=0,e=0;d=i;if(a[8542032]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3928>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3928>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(167632,Ifa(+h[(c[e>>2]|0)+3928>>3],101704)|0)|0;le[c[2164]&15](8538648,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542032]=1;i=d;return}function hZ(b){b=b|0;var d=0,e=0;d=i;if(a[8542024]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3912>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(167080,Ifa(+h[(c[e>>2]|0)+3912>>3],101704)|0)|0;le[c[2164]&15](8538616,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542024]=1;i=d;return}function iZ(b){b=b|0;var d=0,e=0;d=i;if(a[8542016]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3904>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(165984,Ifa(+h[(c[e>>2]|0)+3904>>3],101704)|0)|0;le[c[2164]&15](8538584,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542016]=1;i=d;return}function jZ(b){b=b|0;var d=0,e=0;d=i;if(a[8542008]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3888>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(165488,Ifa(+h[(c[e>>2]|0)+3888>>3],101704)|0)|0;le[c[2164]&15](8538552,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542008]=1;i=d;return}function kZ(b){b=b|0;var d=0,e=0;d=i;if(a[8542e3]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3880>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(165112,Ifa(+h[(c[e>>2]|0)+3880>>3],101704)|0)|0;le[c[2164]&15](8539416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8542e3]=1;i=d;return}function lZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541992]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1064>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(164720,Ifa(+h[(c[e>>2]|0)+1064>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541992]=1;i=d;return}function mZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541984]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1056>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(164224,Ifa(+h[(c[e>>2]|0)+1056>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541984]=1;i=d;return}function nZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541976]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1e3>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(163968,Ifa(+h[(c[e>>2]|0)+1e3>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541976]=1;i=d;return}function oZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541968]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+992>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(163592,Ifa(+h[(c[e>>2]|0)+992>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541968]=1;i=d;return}function pZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541960]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3856>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(163368,Ifa(+h[(c[e>>2]|0)+3856>>3],101704)|0)|0;le[c[2164]&15](8539328,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541960]=1;i=d;return}function qZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541952]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3848>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(162960,Ifa(+h[(c[e>>2]|0)+3848>>3],101704)|0)|0;le[c[2164]&15](8539296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541952]=1;i=d;return}function rZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541944]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3840>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(162504,Ifa(+h[(c[e>>2]|0)+3840>>3],101704)|0)|0;le[c[2164]&15](8539264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541944]=1;i=d;return}function sZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541936]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3832>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3832>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(162216,Ifa(+h[(c[e>>2]|0)+3832>>3],101704)|0)|0;le[c[2164]&15](8539232,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541936]=1;i=d;return}function tZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541928]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+560>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+560>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(161400,Kfa(c[(c[e>>2]|0)+560>>2]|0,70544)|0)|0;le[c[2164]&15](8539200,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541928]=1;i=d;return}function uZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541920]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3816>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(161184,Ifa(+h[(c[e>>2]|0)+3816>>3],101704)|0)|0;le[c[2164]&15](8539168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541920]=1;i=d;return}function vZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541912]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3784>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3784>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(160872,Ifa(+h[(c[e>>2]|0)+3784>>3],101704)|0)|0;le[c[2164]&15](8539136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541912]=1;i=d;return}function wZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541904]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3776>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3776>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(160576,Ifa(+h[(c[e>>2]|0)+3776>>3],101704)|0)|0;le[c[2164]&15](8539104,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541904]=1;i=d;return}function xZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541896]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+984>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+984>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(160240,Ifa(+h[(c[e>>2]|0)+984>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541896]=1;i=d;return}function yZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541888]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+976>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+976>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(159928,Ifa(+h[(c[e>>2]|0)+976>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541888]=1;i=d;return}function zZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541880]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3752>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3752>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(159632,Ifa(+h[(c[e>>2]|0)+3752>>3],101704)|0)|0;le[c[2164]&15](8539032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541880]=1;i=d;return}function AZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541872]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+544>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+544>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(159112,Kfa(c[(c[e>>2]|0)+544>>2]|0,70544)|0)|0;le[c[2164]&15](8539e3,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541872]=1;i=d;return}function BZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541864]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+540>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+540>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(158520,Kfa(c[(c[e>>2]|0)+540>>2]|0,70544)|0)|0;le[c[2164]&15](8538968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541864]=1;i=d;return}function CZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541856]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+968>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+968>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(158256,Ifa(+h[(c[e>>2]|0)+968>>3],101704)|0)|0;le[c[2164]&15](8538936,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541856]=1;i=d;return}function DZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541848]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3728>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3728>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(157432,Ifa(+h[(c[e>>2]|0)+3728>>3],101704)|0)|0;le[c[2164]&15](8538904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541848]=1;i=d;return}function EZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541840]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+532>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+532>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(156968,Kfa(c[(c[e>>2]|0)+532>>2]|0,70544)|0)|0;le[c[2164]&15](8538872,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541840]=1;i=d;return}function FZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541832]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3720>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3720>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(156656,Ifa(+h[(c[e>>2]|0)+3720>>3],101704)|0)|0;le[c[2164]&15](8538840,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541832]=1;i=d;return}function GZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541824]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+528>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+528>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(156248,Kfa(c[(c[e>>2]|0)+528>>2]|0,70544)|0)|0;le[c[2164]&15](8538808,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541824]=1;i=d;return}function HZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541816]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+524>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+524>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(155856,Kfa(c[(c[e>>2]|0)+524>>2]|0,70544)|0)|0;le[c[2164]&15](8538776,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541816]=1;i=d;return}function IZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541808]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+508>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+508>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(155432,Kfa(c[(c[e>>2]|0)+508>>2]|0,70544)|0)|0;le[c[2164]&15](8538744,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541808]=1;i=d;return}function JZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541800]|0){i=d;return}e=b+420|0;if(!((zia(+(c[(c[e>>2]|0)+504>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(155048,Kfa(c[(c[e>>2]|0)+504>>2]|0,70544)|0)|0;le[c[2164]&15](8538712,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541800]=1;i=d;return}function KZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541792]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3712>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3712>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(154680,Ifa(+h[(c[e>>2]|0)+3712>>3],101704)|0)|0;le[c[2164]&15](8538680,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541792]=1;i=d;return}function LZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541784]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3704>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3704>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(154336,Ifa(+h[(c[e>>2]|0)+3704>>3],101704)|0)|0;le[c[2164]&15](8538648,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541784]=1;i=d;return}function MZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541776]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3688>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(154096,Ifa(+h[(c[e>>2]|0)+3688>>3],101704)|0)|0;le[c[2164]&15](8538616,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541776]=1;i=d;return}function NZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541768]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3680>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(153496,Ifa(+h[(c[e>>2]|0)+3680>>3],101704)|0)|0;le[c[2164]&15](8538584,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541768]=1;i=d;return}function OZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541760]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3664>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(153312,Ifa(+h[(c[e>>2]|0)+3664>>3],101704)|0)|0;le[c[2164]&15](8538552,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541760]=1;i=d;return}function PZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541752]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3656>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(153096,Ifa(+h[(c[e>>2]|0)+3656>>3],101704)|0)|0;le[c[2164]&15](8539416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541752]=1;i=d;return}function QZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541744]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+928>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(152840,Ifa(+h[(c[e>>2]|0)+928>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541744]=1;i=d;return}function RZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541736]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+920>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(152432,Ifa(+h[(c[e>>2]|0)+920>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541736]=1;i=d;return}function SZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541728]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+864>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(152112,Ifa(+h[(c[e>>2]|0)+864>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541728]=1;i=d;return}function TZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541720]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+856>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(151800,Ifa(+h[(c[e>>2]|0)+856>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541720]=1;i=d;return}function UZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541712]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3632>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(151408,Ifa(+h[(c[e>>2]|0)+3632>>3],101704)|0)|0;le[c[2164]&15](8539328,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541712]=1;i=d;return}function VZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541704]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3624>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(150992,Ifa(+h[(c[e>>2]|0)+3624>>3],101704)|0)|0;le[c[2164]&15](8539296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541704]=1;i=d;return}function WZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541696]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3616>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(150672,Ifa(+h[(c[e>>2]|0)+3616>>3],101704)|0)|0;le[c[2164]&15](8539264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541696]=1;i=d;return}function XZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541688]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3608>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3608>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(149568,Ifa(+h[(c[e>>2]|0)+3608>>3],101704)|0)|0;le[c[2164]&15](8539232,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541688]=1;i=d;return}function YZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541680]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+496>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+496>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(149152,Kfa(c[(c[e>>2]|0)+496>>2]|0,70544)|0)|0;le[c[2164]&15](8539200,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541680]=1;i=d;return}function ZZ(b){b=b|0;var d=0,e=0;d=i;if(a[8541672]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3592>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(148880,Ifa(+h[(c[e>>2]|0)+3592>>3],101704)|0)|0;le[c[2164]&15](8539168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541672]=1;i=d;return}function _Z(b){b=b|0;var d=0,e=0;d=i;if(a[8541664]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3560>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3560>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(148544,Ifa(+h[(c[e>>2]|0)+3560>>3],101704)|0)|0;le[c[2164]&15](8539136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541664]=1;i=d;return}function $Z(b){b=b|0;var d=0,e=0;d=i;if(a[8541656]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3552>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3552>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(148136,Ifa(+h[(c[e>>2]|0)+3552>>3],101704)|0)|0;le[c[2164]&15](8539104,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541656]=1;i=d;return}function a_(b){b=b|0;var d=0,e=0;d=i;if(a[8541648]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+848>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+848>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(147768,Ifa(+h[(c[e>>2]|0)+848>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541648]=1;i=d;return}function b_(b){b=b|0;var d=0,e=0;d=i;if(a[8541640]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+840>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+840>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(147440,Ifa(+h[(c[e>>2]|0)+840>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541640]=1;i=d;return}function c_(b){b=b|0;var d=0,e=0;d=i;if(a[8541632]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3528>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3528>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(147056,Ifa(+h[(c[e>>2]|0)+3528>>3],101704)|0)|0;le[c[2164]&15](8539032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541632]=1;i=d;return}function d_(b){b=b|0;var d=0,e=0;d=i;if(a[8541624]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+480>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+480>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(146560,Kfa(c[(c[e>>2]|0)+480>>2]|0,70544)|0)|0;le[c[2164]&15](8539e3,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541624]=1;i=d;return}function e_(b){b=b|0;var d=0,e=0;d=i;if(a[8541616]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+476>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+476>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(146240,Kfa(c[(c[e>>2]|0)+476>>2]|0,70544)|0)|0;le[c[2164]&15](8538968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541616]=1;i=d;return}function f_(b){b=b|0;var d=0,e=0;d=i;if(a[8541600]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+832>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+832>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(145632,Ifa(+h[(c[e>>2]|0)+832>>3],101704)|0)|0;le[c[2164]&15](8538936,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541600]=1;i=d;return}function g_(b){b=b|0;var d=0,e=0;d=i;if(a[8541592]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3504>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3504>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(145408,Ifa(+h[(c[e>>2]|0)+3504>>3],101704)|0)|0;le[c[2164]&15](8538904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541592]=1;i=d;return}function h_(b){b=b|0;var d=0,e=0;d=i;if(a[8541584]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+468>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+468>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(145096,Kfa(c[(c[e>>2]|0)+468>>2]|0,70544)|0)|0;le[c[2164]&15](8538872,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541584]=1;i=d;return}function i_(b){b=b|0;var d=0,e=0;d=i;if(a[8541576]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3496>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3496>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(144784,Ifa(+h[(c[e>>2]|0)+3496>>3],101704)|0)|0;le[c[2164]&15](8538840,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541576]=1;i=d;return}function j_(b){b=b|0;var d=0,e=0;d=i;if(a[8541568]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+464>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+464>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(144392,Kfa(c[(c[e>>2]|0)+464>>2]|0,70544)|0)|0;le[c[2164]&15](8538808,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541568]=1;i=d;return}function k_(b){b=b|0;var d=0,e=0;d=i;if(a[8541560]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+460>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+460>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(144e3,Kfa(c[(c[e>>2]|0)+460>>2]|0,70544)|0)|0;le[c[2164]&15](8538776,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541560]=1;i=d;return}function l_(b){b=b|0;var d=0,e=0;d=i;if(a[8541552]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+444>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+444>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(143584,Kfa(c[(c[e>>2]|0)+444>>2]|0,70544)|0)|0;le[c[2164]&15](8538744,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541552]=1;i=d;return}function m_(b){b=b|0;var d=0,e=0;d=i;if(a[8541544]|0){i=d;return}e=b+420|0;if(!((zia(+(c[(c[e>>2]|0)+440>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(143208,Kfa(c[(c[e>>2]|0)+440>>2]|0,70544)|0)|0;le[c[2164]&15](8538712,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541544]=1;i=d;return}function n_(b){b=b|0;var d=0,e=0;d=i;if(a[8541536]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3488>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3488>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(142536,Ifa(+h[(c[e>>2]|0)+3488>>3],101704)|0)|0;le[c[2164]&15](8538680,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541536]=1;i=d;return}function o_(b){b=b|0;var d=0,e=0;d=i;if(a[8541528]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3480>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3480>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(142216,Ifa(+h[(c[e>>2]|0)+3480>>3],101704)|0)|0;le[c[2164]&15](8538648,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541528]=1;i=d;return}function p_(b){b=b|0;var d=0,e=0;d=i;if(a[8541512]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3464>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(141696,Ifa(+h[(c[e>>2]|0)+3464>>3],101704)|0)|0;le[c[2164]&15](8538616,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541512]=1;i=d;return}function q_(b){b=b|0;var d=0,e=0;d=i;if(a[8541504]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3456>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(141416,Ifa(+h[(c[e>>2]|0)+3456>>3],101704)|0)|0;le[c[2164]&15](8538584,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541504]=1;i=d;return}function r_(b){b=b|0;var d=0,e=0;d=i;if(a[8541496]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3440>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(141184,Ifa(+h[(c[e>>2]|0)+3440>>3],101704)|0)|0;le[c[2164]&15](8538552,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541496]=1;i=d;return}function s_(b){b=b|0;var d=0,e=0;d=i;if(a[8541464]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+436>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+436>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(140760,Kfa(c[(c[e>>2]|0)+436>>2]|0,70544)|0)|0;le[c[2164]&15](8541472,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541464]=1;i=d;return}function t_(b){b=b|0;var d=0,e=0;d=i;if(a[8541432]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+432>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+432>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(140072,Kfa(c[(c[e>>2]|0)+432>>2]|0,70544)|0)|0;le[c[2164]&15](8541440,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541432]=1;i=d;return}function u_(b){b=b|0;var d=0,e=0;d=i;if(a[8541400]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+428>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+428>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(139680,Kfa(c[(c[e>>2]|0)+428>>2]|0,70544)|0)|0;le[c[2164]&15](8541408,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541400]=1;i=d;return}function v_(b){b=b|0;var d=0,e=0;d=i;if(a[8541368]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3360>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(139296,Ifa(+h[(c[e>>2]|0)+3360>>3],101704)|0)|0;le[c[2164]&15](8541376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541368]=1;i=d;return}function w_(b){b=b|0;var d=0,e=0;d=i;if(a[8541336]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3352>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(138888,Ifa(+h[(c[e>>2]|0)+3352>>3],101704)|0)|0;le[c[2164]&15](8541344,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541336]=1;i=d;return}function x_(b){b=b|0;var d=0,e=0;d=i;if(a[8541304]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3344>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(138704,Ifa(+h[(c[e>>2]|0)+3344>>3],101704)|0)|0;le[c[2164]&15](8541312,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541304]=1;i=d;return}function y_(b){b=b|0;var d=0,e=0;d=i;if(a[8541272]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3336>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(138168,Ifa(+h[(c[e>>2]|0)+3336>>3],101704)|0)|0;le[c[2164]&15](8541280,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541272]=1;i=d;return}function z_(b){b=b|0;var d=0,e=0;d=i;if(a[8541240]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3328>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(137992,Ifa(+h[(c[e>>2]|0)+3328>>3],101704)|0)|0;le[c[2164]&15](8541248,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541240]=1;i=d;return}function A_(b){b=b|0;var d=0,e=0;d=i;if(a[8541208]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+424>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+424>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(137624,Kfa(c[(c[e>>2]|0)+424>>2]|0,70544)|0)|0;le[c[2164]&15](8541216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541208]=1;i=d;return}function B_(b){b=b|0;var d=0,e=0;d=i;if(a[8541176]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+420>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+420>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(137240,Kfa(c[(c[e>>2]|0)+420>>2]|0,70544)|0)|0;le[c[2164]&15](8541184,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541176]=1;i=d;return}function C_(b){b=b|0;var d=0,e=0;d=i;if(a[8541144]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3296>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(136864,Ifa(+h[(c[e>>2]|0)+3296>>3],101704)|0)|0;le[c[2164]&15](8541152,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541144]=1;i=d;return}function D_(b){b=b|0;var d=0,e=0;d=i;if(a[8541112]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3288>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(136560,Ifa(+h[(c[e>>2]|0)+3288>>3],101704)|0)|0;le[c[2164]&15](8541120,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541112]=1;i=d;return}function E_(b){b=b|0;var d=0,e=0;d=i;if(a[8541104]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+824>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+824>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(136264,Ifa(+h[(c[e>>2]|0)+824>>3],101704)|0)|0;le[c[2164]&15](8538520,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541104]=1;i=d;return}function F_(b){b=b|0;var d=0,e=0;d=i;if(a[8541096]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3280>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3280>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(135256,Ifa(+h[(c[e>>2]|0)+3280>>3],101704)|0)|0;le[c[2164]&15](8538488,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541096]=1;i=d;return}function G_(b){b=b|0;var d=0,e=0;d=i;if(a[8541088]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3272>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3272>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(134928,Ifa(+h[(c[e>>2]|0)+3272>>3],101704)|0)|0;le[c[2164]&15](8538456,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541088]=1;i=d;return}function H_(b){b=b|0;var d=0,e=0;d=i;if(a[8541080]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+416>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+416>>2]|0),3.0)|0)<<24>>24==0)){i=d;return}b=Ofa(134192,Kfa(c[(c[e>>2]|0)+416>>2]|0,70544)|0)|0;le[c[2164]&15](8538424,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541080]=1;i=d;return}function I_(b){b=b|0;var d=0,e=0;d=i;if(a[8541072]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3264>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(133912,Ifa(+h[(c[e>>2]|0)+3264>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541072]=1;i=d;return}function J_(b){b=b|0;var d=0,e=0;d=i;if(a[8541064]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3240>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3240>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(133376,Ifa(+h[(c[e>>2]|0)+3240>>3],101704)|0)|0;le[c[2164]&15](8540672,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541064]=1;i=d;return}function K_(b){b=b|0;var d=0,e=0;d=i;if(a[8541056]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3232>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3232>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(132968,Ifa(+h[(c[e>>2]|0)+3232>>3],101704)|0)|0;le[c[2164]&15](8540640,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541056]=1;i=d;return}function L_(b){b=b|0;var d=0,e=0;d=i;if(a[8541048]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3224>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3224>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(132576,Ifa(+h[(c[e>>2]|0)+3224>>3],101704)|0)|0;le[c[2164]&15](8540608,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541048]=1;i=d;return}function M_(b){b=b|0;var d=0,e=0;d=i;if(a[8541040]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3208>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3208>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(131896,Ifa(+h[(c[e>>2]|0)+3208>>3],101704)|0)|0;le[c[2164]&15](8540576,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541040]=1;i=d;return}function N_(b){b=b|0;var d=0,e=0;d=i;if(a[8541032]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3192>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3192>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(131512,Ifa(+h[(c[e>>2]|0)+3192>>3],101704)|0)|0;le[c[2164]&15](8540544,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541032]=1;i=d;return}function O_(b){b=b|0;var d=0,e=0;d=i;if(a[8541024]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3184>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3184>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(131040,Ifa(+h[(c[e>>2]|0)+3184>>3],101704)|0)|0;le[c[2164]&15](8540512,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541024]=1;i=d;return}function P_(b){b=b|0;var d=0,e=0;d=i;if(a[8541016]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+408>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+408>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(130776,Kfa(c[(c[e>>2]|0)+408>>2]|0,70544)|0)|0;le[c[2164]&15](8540480,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541016]=1;i=d;return}function Q_(b){b=b|0;var d=0,e=0;d=i;if(a[8541008]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3152>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3152>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(130224,Ifa(+h[(c[e>>2]|0)+3152>>3],101704)|0)|0;le[c[2164]&15](8540448,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541008]=1;i=d;return}function R_(b){b=b|0;var d=0,e=0;d=i;if(a[8541e3]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3144>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(129888,Ifa(+h[(c[e>>2]|0)+3144>>3],101704)|0)|0;le[c[2164]&15](8539416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8541e3]=1;i=d;return}function S_(b){b=b|0;var d=0,e=0;d=i;if(a[8540992]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+784>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(129632,Ifa(+h[(c[e>>2]|0)+784>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540992]=1;i=d;return}function T_(b){b=b|0;var d=0,e=0;d=i;if(a[8540984]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+776>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(129312,Ifa(+h[(c[e>>2]|0)+776>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540984]=1;i=d;return}function U_(b){b=b|0;var d=0,e=0;d=i;if(a[8540976]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+720>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(129024,Ifa(+h[(c[e>>2]|0)+720>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540976]=1;i=d;return}function V_(b){b=b|0;var d=0,e=0;d=i;if(a[8540968]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+712>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(128728,Ifa(+h[(c[e>>2]|0)+712>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540968]=1;i=d;return}function W_(b){b=b|0;var d=0,e=0;d=i;if(a[8540960]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3120>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(128416,Ifa(+h[(c[e>>2]|0)+3120>>3],101704)|0)|0;le[c[2164]&15](8539328,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540960]=1;i=d;return}function X_(b){b=b|0;var d=0,e=0;d=i;if(a[8540952]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3112>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(128e3,Ifa(+h[(c[e>>2]|0)+3112>>3],101704)|0)|0;le[c[2164]&15](8539296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540952]=1;i=d;return}function Y_(b){b=b|0;var d=0,e=0;d=i;if(a[8540944]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3104>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(127552,Ifa(+h[(c[e>>2]|0)+3104>>3],101704)|0)|0;le[c[2164]&15](8539264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540944]=1;i=d;return}function Z_(b){b=b|0;var d=0,e=0;d=i;if(a[8540936]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3096>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3096>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(127248,Ifa(+h[(c[e>>2]|0)+3096>>3],101704)|0)|0;le[c[2164]&15](8539232,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540936]=1;i=d;return}function __(b){b=b|0;var d=0,e=0;d=i;if(a[8540928]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+400>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+400>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(126544,Kfa(c[(c[e>>2]|0)+400>>2]|0,70544)|0)|0;le[c[2164]&15](8539200,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540928]=1;i=d;return}function $_(b){b=b|0;var d=0,e=0;d=i;if(a[8540920]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+3080>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(126208,Ifa(+h[(c[e>>2]|0)+3080>>3],101704)|0)|0;le[c[2164]&15](8539168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540920]=1;i=d;return}function a$(b){b=b|0;var d=0,e=0;d=i;if(a[8540912]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3048>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3048>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(125896,Ifa(+h[(c[e>>2]|0)+3048>>3],101704)|0)|0;le[c[2164]&15](8539136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540912]=1;i=d;return}function b$(b){b=b|0;var d=0,e=0;d=i;if(a[8540904]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3040>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3040>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(125544,Ifa(+h[(c[e>>2]|0)+3040>>3],101704)|0)|0;le[c[2164]&15](8539104,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540904]=1;i=d;return}function c$(b){b=b|0;var d=0,e=0;d=i;if(a[8540896]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+704>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+704>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(125232,Ifa(+h[(c[e>>2]|0)+704>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540896]=1;i=d;return}function d$(b){b=b|0;var d=0,e=0;d=i;if(a[8540888]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+696>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+696>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(124896,Ifa(+h[(c[e>>2]|0)+696>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540888]=1;i=d;return}function e$(b){b=b|0;var d=0,e=0;d=i;if(a[8540880]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+3016>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+3016>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(124568,Ifa(+h[(c[e>>2]|0)+3016>>3],101704)|0)|0;le[c[2164]&15](8539032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540880]=1;i=d;return}function f$(b){b=b|0;var d=0,e=0;d=i;if(a[8540872]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+384>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+384>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(124264,Kfa(c[(c[e>>2]|0)+384>>2]|0,70544)|0)|0;le[c[2164]&15](8539e3,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540872]=1;i=d;return}function g$(b){b=b|0;var d=0,e=0;d=i;if(a[8540864]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+380>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+380>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(123824,Kfa(c[(c[e>>2]|0)+380>>2]|0,70544)|0)|0;le[c[2164]&15](8538968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540864]=1;i=d;return}function h$(b){b=b|0;var d=0,e=0;d=i;if(a[8540856]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+688>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+688>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(123704,Ifa(+h[(c[e>>2]|0)+688>>3],101704)|0)|0;le[c[2164]&15](8538936,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540856]=1;i=d;return}function i$(b){b=b|0;var d=0,e=0;d=i;if(a[8540848]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2992>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2992>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(123144,Ifa(+h[(c[e>>2]|0)+2992>>3],101704)|0)|0;le[c[2164]&15](8538904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540848]=1;i=d;return}function j$(b){b=b|0;var d=0,e=0;d=i;if(a[8540840]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+372>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+372>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(122912,Kfa(c[(c[e>>2]|0)+372>>2]|0,70544)|0)|0;le[c[2164]&15](8538872,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540840]=1;i=d;return}function k$(b){b=b|0;var d=0,e=0;d=i;if(a[8540832]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2984>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2984>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(122784,Ifa(+h[(c[e>>2]|0)+2984>>3],101704)|0)|0;le[c[2164]&15](8538840,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540832]=1;i=d;return}function l$(b){b=b|0;var d=0,e=0;d=i;if(a[8540824]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+368>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+368>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(122536,Kfa(c[(c[e>>2]|0)+368>>2]|0,70544)|0)|0;le[c[2164]&15](8538808,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540824]=1;i=d;return}function m$(b){b=b|0;var d=0,e=0;d=i;if(a[8540816]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+364>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+364>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(122176,Kfa(c[(c[e>>2]|0)+364>>2]|0,70544)|0)|0;le[c[2164]&15](8538776,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540816]=1;i=d;return}function n$(b){b=b|0;var d=0,e=0;d=i;if(a[8540808]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+348>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+348>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(121912,Kfa(c[(c[e>>2]|0)+348>>2]|0,70544)|0)|0;le[c[2164]&15](8538744,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540808]=1;i=d;return}function o$(b){b=b|0;var d=0,e=0;d=i;if(a[8540800]|0){i=d;return}e=b+420|0;if(!((zia(+(c[(c[e>>2]|0)+344>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(121768,Kfa(c[(c[e>>2]|0)+344>>2]|0,70544)|0)|0;le[c[2164]&15](8538712,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540800]=1;i=d;return}function p$(b){b=b|0;var d=0,e=0;d=i;if(a[8540792]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2976>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2976>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(121544,Ifa(+h[(c[e>>2]|0)+2976>>3],101704)|0)|0;le[c[2164]&15](8538680,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540792]=1;i=d;return}function q$(b){b=b|0;var d=0,e=0;d=i;if(a[8540784]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2968>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2968>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(121176,Ifa(+h[(c[e>>2]|0)+2968>>3],101704)|0)|0;le[c[2164]&15](8538648,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540784]=1;i=d;return}function r$(b){b=b|0;var d=0,e=0;d=i;if(a[8540776]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2952>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(121056,Ifa(+h[(c[e>>2]|0)+2952>>3],101704)|0)|0;le[c[2164]&15](8538616,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540776]=1;i=d;return}function s$(b){b=b|0;var d=0,e=0;d=i;if(a[8540768]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2944>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(120496,Ifa(+h[(c[e>>2]|0)+2944>>3],101704)|0)|0;le[c[2164]&15](8538584,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540768]=1;i=d;return}function t$(b){b=b|0;var d=0,e=0;d=i;if(a[8540760]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2928>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(120304,Ifa(+h[(c[e>>2]|0)+2928>>3],101704)|0)|0;le[c[2164]&15](8538552,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540760]=1;i=d;return}function u$(b){b=b|0;var d=0,e=0;d=i;if(a[8540752]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2904>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2904>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(120152,Ifa(+h[(c[e>>2]|0)+2904>>3],101704)|0)|0;le[c[2164]&15](8540672,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540752]=1;i=d;return}function v$(b){b=b|0;var d=0,e=0;d=i;if(a[8540744]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2896>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2896>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(119944,Ifa(+h[(c[e>>2]|0)+2896>>3],101704)|0)|0;le[c[2164]&15](8540640,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540744]=1;i=d;return}function w$(b){b=b|0;var d=0,e=0;d=i;if(a[8540736]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2888>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2888>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(119680,Ifa(+h[(c[e>>2]|0)+2888>>3],101704)|0)|0;le[c[2164]&15](8540608,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540736]=1;i=d;return}function x$(b){b=b|0;var d=0,e=0;d=i;if(a[8540728]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2872>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2872>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(119496,Ifa(+h[(c[e>>2]|0)+2872>>3],101704)|0)|0;le[c[2164]&15](8540576,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540728]=1;i=d;return}function y$(b){b=b|0;var d=0,e=0;d=i;if(a[8540720]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2856>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2856>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(119216,Ifa(+h[(c[e>>2]|0)+2856>>3],101704)|0)|0;le[c[2164]&15](8540544,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540720]=1;i=d;return}function z$(b){b=b|0;var d=0,e=0;d=i;if(a[8540712]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2848>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2848>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(118984,Ifa(+h[(c[e>>2]|0)+2848>>3],101704)|0)|0;le[c[2164]&15](8540512,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540712]=1;i=d;return}function A$(b){b=b|0;var d=0,e=0;d=i;if(a[8540704]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+340>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+340>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(118568,Kfa(c[(c[e>>2]|0)+340>>2]|0,70544)|0)|0;le[c[2164]&15](8540480,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540704]=1;i=d;return}function B$(b){b=b|0;var d=0,e=0;d=i;if(a[8540696]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2816>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2816>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(118416,Ifa(+h[(c[e>>2]|0)+2816>>3],101704)|0)|0;le[c[2164]&15](8540448,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540696]=1;i=d;return}function C$(b){b=b|0;var d=0,e=0;d=i;if(a[8540664]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2792>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2792>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(117864,Ifa(+h[(c[e>>2]|0)+2792>>3],101704)|0)|0;le[c[2164]&15](8540672,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540664]=1;i=d;return}function D$(b){b=b|0;var d=0,e=0;d=i;if(a[8540632]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2784>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2784>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(117712,Ifa(+h[(c[e>>2]|0)+2784>>3],101704)|0)|0;le[c[2164]&15](8540640,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540632]=1;i=d;return}function E$(b){b=b|0;var d=0,e=0;d=i;if(a[8540600]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2776>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2776>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(117552,Ifa(+h[(c[e>>2]|0)+2776>>3],101704)|0)|0;le[c[2164]&15](8540608,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540600]=1;i=d;return}



function oea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;f=i;e=a;a=b;switch(a|0){case 36:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=54;c[e+8>>2]=39}g=46;h=g;i=f;return h|0};case 21:{c[e>>2]=12;g=49;h=g;i=f;return h|0};case 35:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=54;c[e+8>>2]=39}g=47;h=g;i=f;return h|0};case 38:{c[e>>2]=12;g=50;h=g;i=f;return h|0};case 37:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=54;c[e+8>>2]=39}g=48;h=g;i=f;return h|0};case 15:{g=39;h=g;i=f;return h|0};case 24:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=54;c[e+8>>2]=39}g=45;h=g;i=f;return h|0};default:{g=Zda(e,a)|0;h=g;i=f;return h|0}}return 0}function pea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=39}else if((b|0)==18|(b|0)==41){c[e>>2]=62;g=51}else{g=Zda(e,a)|0}i=f;return g|0}function qea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==36){c[e>>2]=54;c[e+8>>2]=39;g=46}else if((b|0)==21){c[e>>2]=60;g=39}else if((b|0)==15){g=39}else{g=Zda(e,a)|0}i=f;return g|0}function rea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==18|(b|0)==41){c[e>>2]=94;g=22}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?108:34;g=33}else{g=Zda(e,a)|0}i=f;return g|0}function sea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==23){c[h>>2]=92;j=33;k=j;i=g;return k|0}else if((f|0)==18){l=0;while(1){if((l|0)>=8){break}if((ke[c[e+28>>2]&127](e,b,d,c[20776+(l<<2)>>2]|0)|0)!=0){m=6;break}l=l+1|0}if((m|0)==6){c[h>>2]=80;j=l+23|0;k=j;i=g;return k|0}if((ke[c[e+28>>2]&127](e,b,d,8544856)|0)==0){break}c[h>>2]=82;j=33;k=j;i=g;return k|0}else if((f|0)==15){j=33;k=j;i=g;return k|0}}while(0);j=Zda(h,a)|0;k=j;i=g;return k|0}function tea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==27){c[h>>2]=88;j=37;k=j;i=g;return k|0}else if((f|0)==15){j=33;k=j;i=g;return k|0}else if((f|0)==20){if((ke[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,8544928)|0)!=0){c[h>>2]=88;j=35;k=j;i=g;return k|0}if((ke[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,8544824)|0)!=0){c[h>>2]=88;j=36;k=j;i=g;return k|0}if((ke[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,8544968)|0)==0){break}c[h>>2]=78;j=33;k=j;i=g;return k|0}}while(0);j=Zda(h,a)|0;k=j;i=g;return k|0}function uea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==23){c[e>>2]=14;g=33}else{g=Zda(e,a)|0}i=f;return g|0}function vea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==19|(b|0)==18|(b|0)==41){c[e>>2]=84;g=31}else if((b|0)==15){g=33}else{g=Zda(e,a)|0}i=f;return g|0}function wea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==24){c[e>>2]=80;g=33}else if((b|0)==21){c[e>>2]=92;g=33}else{g=Zda(e,a)|0}i=f;return g|0}function xea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18){c[e>>2]=86;g=32}else if((b|0)==15){g=33}else{g=Zda(e,a)|0}i=f;return g|0}function yea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==21){c[e>>2]=14;g=33}else if((b|0)==24){c[e>>2]=80;g=33}else{g=Zda(e,a)|0}i=f;return g|0}function zea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==27){c[e>>2]=88;g=38}else{g=Zda(e,a)|0}i=f;return g|0}function Aea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18){c[e>>2]=22;g=10}else if((b|0)==15){g=11}else{g=Zda(e,a)|0}i=f;return g|0}function Bea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==15){j=11;k=j;i=g;return k|0}else if((f|0)==27){c[h>>2]=54;c[h+8>>2]=11;j=12;k=j;i=g;return k|0}else if((f|0)==18){if((ke[c[e+28>>2]&127](e,b,d,8544816)|0)!=0){c[h>>2]=114;j=11;k=j;i=g;return k|0}if((ke[c[e+28>>2]&127](e,b,d,8544840)|0)==0){break}c[h>>2]=38;j=11;k=j;i=g;return k|0}}while(0);j=Zda(h,a)|0;k=j;i=g;return k|0}function Cea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=72;g=13}else{g=Zda(e,a)|0}i=f;return g|0}function Dea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=114;g=14}else{g=Zda(e,a)|0}i=f;return g|0}function Eea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==17){c[h>>2]=(c[h+16>>2]|0)!=0?108:34;j=15;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}else if((f|0)==18){if((ke[c[e+28>>2]&127](e,b,d,8544896)|0)==0){break}c[h>>2]=44;j=11;k=j;i=g;return k|0}}while(0);j=Zda(h,a)|0;k=j;i=g;return k|0}function Fea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18){c[e>>2]=54;c[e+8>>2]=11;g=16}else if((b|0)==15){g=11}else{g=Zda(e,a)|0}i=f;return g|0}function Gea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==27){c[h>>2]=54;c[h+8>>2]=11;j=12;k=j;i=g;return k|0}else if((f|0)==18){if((ke[c[e+28>>2]&127](e,b,d,8544816)|0)!=0){c[h>>2]=18;j=11;k=j;i=g;return k|0}if((ke[c[e+28>>2]&127](e,b,d,8544840)|0)==0){break}c[h>>2]=36;j=11;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}}while(0);j=Zda(h,a)|0;k=j;i=g;return k|0}function Hea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=46;g=13}else{g=Zda(e,a)|0}i=f;return g|0}function Iea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=18;g=14}else{g=Zda(e,a)|0}i=f;return g|0}function Jea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?108:34;g=15}else{g=Zda(e,a)|0}i=f;return g|0}function Kea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=0}else if((b|0)==25){c[e>>2]=34;b=e+12|0;c[b>>2]=(c[b>>2]|0)+1;g=0}else{g=Zda(e,a)|0}i=f;return g|0}function Lea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==25){c[e>>2]=34;g=58}else if((b|0)==15){g=0}else{g=Zda(e,a)|0}i=f;return g|0}function Mea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 13:{j=56;break};case 29:{c[h>>2]=112;j=2;break};case 15:{j=0;break};case 16:{if((ke[c[b+28>>2]&127](b,d+(c[b+68>>2]<<1)|0,e,8545016)|0)!=0){c[h>>2]=96;j=3;break a}else{k=10;break a}break};case 14:{j=0;break};case 11:{j=55;break};default:{k=10}}}while(0);if((k|0)==10){j=Zda(h,a)|0}i=g;return j|0}function Nea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==18|(b|0)==41){c[e>>2]=98;g=4}else{g=Zda(e,a)|0}i=f;return g|0}function Oea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==17){c[h>>2]=74;j=8}else if((f|0)==18){if((ke[c[e+28>>2]&127](e,b,d,8544816)|0)!=0){c[h>>2]=124;j=3;break}if((ke[c[e+28>>2]&127](e,b,d,8544840)|0)!=0){c[h>>2]=102;j=3;break}else{k=10;break}}else if((f|0)==25){c[h>>2]=108;j=7}else if((f|0)==15){j=3}else{k=10}}while(0);if((k|0)==10){j=Zda(h,a)|0}i=g;return j|0}function Pea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==27){c[e>>2]=120;g=5}else{g=Zda(e,a)|0}i=f;return g|0}function Qea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==27){c[e>>2]=124;g=6}else{g=Zda(e,a)|0}i=f;return g|0}function Rea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=74;g=8}else if((b|0)==25){c[e>>2]=108;g=7}else if((b|0)==15){g=3}else{g=Zda(e,a)|0}i=f;return g|0}function Sea(){return}function Tea(){return}function Uea(){Gc(8555016,0)|0;Tea();return}function Vea(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;if((a|0)==0){d=c[u>>2]|0;Ya(41016,29,1,d|0)|0;Ta(d|0)|0;e=0;i=b;return e|0}d=c[a>>2]|0;if((d|0)<0){f=c[u>>2]|0;Ya(150936,54,1,f|0)|0;Ta(f|0)|0;e=0;i=b;return e|0}f=c[a+4>>2]|0;if((f|0)==0){a=c[u>>2]|0;Ya(115944,47,1,a|0)|0;Ta(a|0)|0;e=0;i=b;return e|0}else{g=0}while(1){if((g|0)>=(d|0)){e=1;h=10;break}j=c[f+(g<<2)>>2]|0;if((j|0)<0){break}else{g=g+1|0}}if((h|0)==10){i=b;return e|0}h=c[u>>2]|0;od(h|0,90248,(f=i,i=i+16|0,c[f>>2]=g,c[f+8>>2]=j,f)|0)|0;i=f;Ta(h|0)|0;e=0;i=b;return e|0}function Wea(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=c[a>>2]|0;if((b|0)<=0){d=1;return d|0}e=c[a+4>>2]|0;a=0;f=1;while(1){g=ga(c[e+(a<<2)>>2]|0,f)|0;h=a+1|0;if((h|0)<(b|0)){a=h;f=g}else{d=g;break}}return d|0}function Xea(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;c[a>>2]=1;e=Dfa(1)|0;c[a+4>>2]=e;c[e>>2]=b;c[a+8>>2]=d;return}function Yea(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=i;if((b|0)<=0){f=0;i=e;return f|0}g=a+4|0;a=0;h=0;while(1){j=(B=c[d+4>>2]|0,c[d+4>>2]=B+8,c[(c[d>>2]|0)+B>>2]|0);k=j-1|0;l=c[(c[g>>2]|0)+(h<<2)>>2]|0;if((j|0)>0&(k|0)<(l|0)){m=l;n=h+1|0}else{o=h+1|0;oe[c[2166]&127](0,18760,121488,(p=i,i=i+24|0,c[p>>2]=o,c[p+8>>2]=l,c[p+16>>2]=j,p)|0);i=p;m=c[(c[g>>2]|0)+(h<<2)>>2]|0;n=o}o=(ga(m,a)|0)+k|0;if((n|0)<(b|0)){a=o;h=n}else{f=o;break}}i=e;return f|0}function Zea(a,b){a=a|0;b=b|0;if((Vea(a)|0)==0){jd(118960,42168,347,8522456);return 0}if((b|0)<=0){jd(116504,42168,348,8522456);return 0}if((c[a>>2]|0)<(b|0)){jd(116504,42168,348,8522456);return 0}else{return c[(c[a+4>>2]|0)+(b-1<<2)>>2]|0}return 0}function _ea(){lKa(8545832|0,0|0,112|0)|0;lKa(8555104|0,0|0,112|0)|0;lKa(8555216|0,0|0,112|0)|0;c[2136459]=1;c[2136460]=1;return}function $ea(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;e=b;b=i;i=i+24|0;c[b>>2]=c[e>>2];c[b+4>>2]=c[e+4>>2];c[b+8>>2]=c[e+8>>2];c[b+12>>2]=c[e+12>>2];c[b+16>>2]=c[e+16>>2];c[b+20>>2]=c[e+20>>2];e=c[b+4>>2]|0;f=c[b+8>>2]|0;g=c[b+12>>2]|0;h=c[b+16>>2]|0;j=(c[b+20>>2]|0)!=0?49928:49224;od(a|0,50608,(a=i,i=i+48|0,c[a>>2]=c[b>>2],c[a+8>>2]=e,c[a+16>>2]=f,c[a+24>>2]=g,c[a+32>>2]=h,c[a+40>>2]=j,a)|0)|0;i=a;i=d;return}function afa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;h=i;j=8555216+(d<<2)|0;k=8555104+(d<<2)|0;l=8544448+(b<<2)|0;m=8544472+(d<<2)|0;n=(g|0)!=0;g=f;f=e;a:while(1){b:do{if(n){xc(45096,(o=i,i=i+8|0,c[o>>2]=44552,o)|0)|0;i=o;p=44552}else{if((c[2138832]|0)==(d|0)){if((c[k>>2]|0)>0){q=44552}else{r=5}}else{r=5}if((r|0)==5){r=0;q=c[m>>2]|0}xc(45096,(o=i,i=i+8|0,c[o>>2]=q,o)|0)|0;i=o;do{if((c[2138832]|0)==(d|0)){if((c[j>>2]|0)!=(b|0)){break}if((c[k>>2]|0)>0){p=44552;break b}}}while(0);p=c[l>>2]|0}}while(0);xc(43912,(o=i,i=i+8|0,c[o>>2]=p,o)|0)|0;i=o;c[j>>2]=b;c[2138832]=d;if((c[k>>2]|0)>0){e=0;while(1){xc(43400,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0)|0;i=o;s=e+1|0;if((s|0)<(c[k>>2]|0)){e=s}else{t=0;break}}}else{t=0}while(1){u=g+t|0;e=a[u]|0;if((e<<24>>24|0)==0){break a}else if((e<<24>>24|0)==10){break}t=t+1|0}a[u]=0;Ec(g|0)|0;n=1;g=g+(t+1)|0;f=0}Ec(g|0)|0;Ta(0)|0;if((f|0)==0){i=h;return}c[k>>2]=(c[k>>2]|0)+1;i=h;return}function bfa(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0;f=i;h=c[8544448+(a<<2)>>2]|0;xc(42256,(a=i,i=i+16|0,c[a>>2]=c[8544472+(b<<2)>>2],c[a+8>>2]=h,a)|0)|0;i=a;cfa(e);if((g|0)==0){e=c[r>>2]|0;_a(((d|0)!=0?41688:39920)|0,e|0)|0;j=e;k=Ta(j|0)|0;i=f;return}Ec(7888)|0;if((c[g>>2]|0)>=1){e=1;do{xc(40960,(a=i,i=i+8|0,c[a>>2]=c[g+(e<<2)>>2],a)|0)|0;i=a;e=e+1|0;}while((e|0)<=(c[g>>2]|0))}g=c[r>>2]|0;if((d|0)!=0){j=g;k=Ta(j|0)|0;i=f;return}Ya(40504,11,1,g|0)|0;j=g;k=Ta(j|0)|0;i=f;return}function cfa(b){b=b|0;var d=0,e=0;d=c[r>>2]|0;e=b;while(1){b=a[e]|0;if((b<<24>>24|0)==0){break}else if((b<<24>>24|0)==38){Ya(38888,5,1,d|0)|0}else if((b<<24>>24|0)==60){Ya(38352,4,1,d|0)|0}else if((b<<24>>24|0)==62){Ya(37800,4,1,d|0)|0}else{Wa(b<<24>>24|0,d|0)|0}e=e+1|0}return}function dfa(a){a=a|0;var b=0;b=8555104+(a<<2)|0;c[b>>2]=(c[b>>2]|0)-1;return}function efa(a){a=a|0;var b=0;b=(a|0)==0;c[3584]=b?36:12;c[3586]=b?196:144;return}function ffa(a){a=a|0;a=c[r>>2]|0;Ya(40504,11,1,a|0)|0;Ta(a|0)|0;return}function gfa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;g=i;i=i+2064|0;h=g+2048|0;if((c[8545832+(a<<2)>>2]|0)==0){i=g;return}j=h;c[j>>2]=f;c[j+4>>2]=0;j=g|0;hd(j|0,2048,e|0,h|0)|0;be[c[3584]&63](1,a,b,j,0,d);i=g;return}function hfa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+2064|0;g=f+2048|0;if((c[8545832+(a<<2)>>2]|0)==0){i=f;return}h=g;c[h>>2]=e;c[h+4>>2]=0;h=f|0;hd(h|0,2048,d|0,g|0)|0;be[c[3584]&63](1,a,b,h,0,0);i=f;return}function ifa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;i=i+2064|0;h=g|0;j=g+2048|0;do{if((c[2136544]|0)==0){if((c[8545832+(a<<2)>>2]|0)!=0){break}i=g;return}}while(0);k=j;c[k>>2]=f;c[k+4>>2]=0;k=h|0;hd(k|0,2048,e|0,j|0)|0;be[c[3584]&63](2,a,b,k,0,d);i=g;return}function jfa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+2064|0;g=f|0;h=f+2048|0;do{if((c[2136544]|0)==0){if((c[8545832+(a<<2)>>2]|0)!=0){break}i=f;return}}while(0);j=h;c[j>>2]=e;c[j+4>>2]=0;j=g|0;hd(j|0,2048,d|0,h|0)|0;be[c[3584]&63](2,a,b,j,0,0);i=f;return}function kfa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+2064|0;g=f+2048|0;if((b|0)!=0){i=f;return}b=g;c[b>>2]=e;c[b+4>>2]=0;b=f|0;hd(b|0,2048,d|0,g|0)|0;be[c[3584]&63](4,2,0,b,0,0);if((a|0)!=0){h=a;j=h+76|0;k=c[j>>2]|0;l=k|0;Ed(l|0,1)}h=sd(c[2138754]|0)|0;j=h+76|0;k=c[j>>2]|0;l=k|0;Ed(l|0,1)}function lfa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;i=i+2064|0;f=e+2048|0;g=f;c[g>>2]=d;c[g+4>>2]=0;g=e|0;hd(g|0,2048,b|0,f|0)|0;be[c[3584]&63](5,2,0,g,0,0);if((a|0)!=0){h=a;j=h+76|0;k=c[j>>2]|0;l=k|0;Ed(l|0,1)}h=sd(c[2138754]|0)|0;j=h+76|0;k=c[j>>2]|0;l=k|0;Ed(l|0,1)}function mfa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+2064|0;g=f+2048|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=f|0;hd(h|0,2048,d|0,g|0)|0;be[c[3584]&63](5,2,0,h,0,b);if((a|0)!=0){j=a;k=j+76|0;l=c[k>>2]|0;m=l|0;Ed(m|0,1)}j=sd(c[2138754]|0)|0;k=j+76|0;l=c[k>>2]|0;m=l|0;Ed(m|0,1)}function nfa(a,b,d,e,f,g){a=a|0;b=+b;d=d|0;e=e|0;f=+f;g=g|0;var j=0,k=0;j=i;if(g<<24>>24==0){mfa(a,e,174112,(k=i,i=i+16|0,h[k>>3]=f,c[k+8>>2]=d,k)|0);i=k;return 0.0}else{ifa(26,0,e,146144,(k=i,i=i+16|0,h[k>>3]=f,c[k+8>>2]=d,k)|0);i=k;i=j;return+b}return 0.0}function ofa(a){a=a|0;var b=0,d=0,e=0;b=i;d=IJa(16)|0;kfa(0,(d|0)!=0|0,99400,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=a;c[d+12>>2]=0;i=b;return d|0}function pfa(a){a=a|0;var b=0,d=0,e=0;if((a|0)==0){return}b=a|0;d=c[b>>2]|0;if((d|0)!=0){e=d;while(1){d=c[e+4>>2]|0;JJa(c[e>>2]|0);JJa(e);if((d|0)==0){break}else{e=d}}}c[a+12>>2]=0;c[b>>2]=0;c[a+4>>2]=0;return}function qfa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;kfa(0,(a|0)!=0|0,165088,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=IJa(8)|0;g=f;kfa(0,(f|0)!=0|0,99400,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;h=a+8|0;j=IJa(c[h>>2]|0)|0;c[f>>2]=j;kfa(0,(j|0)!=0|0,99400,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;kKa(j|0,b|0,c[h>>2]|0)|0;h=a|0;c[f+4>>2]=c[h>>2];f=a+12|0;c[f>>2]=(c[f>>2]|0)+1;c[h>>2]=g;h=a+4|0;if((c[h>>2]|0)!=0){i=d;return}c[h>>2]=g;i=d;return}function rfa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;kfa(0,(a|0)!=0|0,165088,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=IJa(8)|0;g=f;kfa(0,(f|0)!=0|0,99400,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;h=a+8|0;j=IJa(c[h>>2]|0)|0;c[f>>2]=j;kfa(0,(j|0)!=0|0,99400,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;kKa(j|0,b|0,c[h>>2]|0)|0;c[f+4>>2]=0;f=a+12|0;c[f>>2]=(c[f>>2]|0)+1;f=a+4|0;h=c[f>>2]|0;if((h|0)!=0){c[h+4>>2]=g}c[f>>2]=g;f=a|0;if((c[f>>2]|0)!=0){i=d;return}c[f>>2]=g;i=d;return}function sfa(a){a=a|0;var b=0,d=0;b=i;kfa(0,(a|0)!=0|0,165088,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[a+12>>2]|0}function tfa(a){a=a|0;var b=0,d=0,e=0;b=i;kfa(0,(a|0)!=0|0,165088,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;kfa(0,(c[e>>2]|0)!=0|0,126056,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[c[e>>2]>>2]|0}function ufa(a){a=a|0;var b=0,d=0,e=0;if((a|0)==0){return}b=a|0;d=c[b>>2]|0;if((d|0)==0){return}e=c[d+4>>2]|0;JJa(c[d>>2]|0);JJa(c[b>>2]|0);c[b>>2]=e;b=a+12|0;c[b>>2]=(c[b>>2]|0)-1;if((e|0)!=0){return}c[a+4>>2]=0;return}function vfa(a){a=a|0;var b=0,d=0,e=0;b=i;kfa(0,(a|0)!=0|0,165088,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;kfa(0,(c[e>>2]|0)!=0|0,100024,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[e>>2]|0}function wfa(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=(a|0)!=0;kfa(0,d&1,75176,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;if(!d){f=0;i=b;return f|0}f=c[a+4>>2]|0;i=b;return f|0}function xfa(a){a=a|0;var b=0,d=0,e=0;b=i;kfa(0,(a|0)!=0|0,75176,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;kfa(0,(c[e>>2]|0)!=0|0,53536,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[e>>2]|0}function yfa(){var a=0;a=IJa(16)|0;c[2138756]=a;c[a+4>>2]=0;c[a+8>>2]=2097152;c[a>>2]=IJa(2097152)|0;c[a+12>>2]=0;return}function zfa(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=Efa(a)|0;d;Ffa(b);d=c[2138756]|0;a=d+4|0;e=c[a>>2]|0;f=(c[d>>2]|0)+e|0;c[a>>2]=e+b;g;lKa(f|0,0,b|0)|0;return f|0}function Afa(){var a=0,b=0,d=0;a=c[2138756]|0;b=c[a+12>>2]|0;if((b|0)==0){d=a}else{a=b;while(1){b=c[a+12>>2]|0;JJa(c[a>>2]|0);JJa(a);if((b|0)==0){break}else{a=b}}d=c[2138756]|0}c[d+4>>2]=0;c[d+12>>2]=0;return 0}function Bfa(a){a=a|0;return Yd[c[2176]&255](a<<3)|0}function Cfa(a){a=a|0;return Yd[c[2176]&255](a<<2)|0}function Dfa(a){a=a|0;return Yd[c[2176]&255](a<<2)|0}function Efa(a){a=a|0;return a+7&-8|0}function Ffa(a){a=a|0;var b=0,d=0,e=0;b=c[2138756]|0;d=b+8|0;if(!(((c[d>>2]|0)-(c[b+4>>2]|0)|0)>>>0<a>>>0)){return}e=IJa(16)|0;c[e+12>>2]=b;c[2138756]=e;c[e+4>>2]=0;b=Gfa((((c[d>>2]|0)*3|0)>>>1)+a|0)|0;c[e+8>>2]=b;c[e>>2]=IJa(b)|0;return}function Gfa(a){a=a|0;var b=0;b=a-1|0;a=b>>>1|b;b=a>>>2|a;a=b>>>4|b;b=a>>>8|a;return(b>>>16|b)+1|0}function Hfa(a){a=a|0;return iKa(a|0)|0}function Ifa(b,c){b=+b;c=c|0;var d=0,e=0,f=0;d=i;i=i+440|0;e=d|0;f=e|0;a[f]=37;rKa(e+1|0,c|0)|0;c=d+40|0;Pb(c|0,f|0,(f=i,i=i+8|0,h[f>>3]=b,f)|0)|0;i=f;f=Jfa(c)|0;i=d;return f|0}function Jfa(a){a=a|0;var b=0,c=0;b=iKa(a|0)|0;c=Nfa(b)|0;kKa(c|0,a|0,b)|0;return c|0}function Kfa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+440|0;f=e|0;g=f|0;a[g]=37;rKa(f+1|0,d|0)|0;d=e+40|0;Pb(d|0,g|0,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g;g=Jfa(d)|0;i=e;return g|0}function Lfa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;i=i+440|0;g=f|0;h=g|0;a[h]=37;j=g+1|0;if(e<<24>>24==0){Pb(j|0,164344,(k=i,i=i+8|0,c[k>>2]=d,k)|0)|0;i=k}else{Pb(j|0,94784,(k=i,i=i+8|0,c[k>>2]=d,k)|0)|0;i=k}d=f+40|0;Pb(d|0,h|0,(k=i,i=i+8|0,c[k>>2]=b,k)|0)|0;i=k;k=Jfa(d)|0;i=f;return k|0}function Mfa(b,d,e,f){b=+b;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0;g=i;i=i+440|0;j=g|0;k=j|0;a[k]=37;l=j+1|0;if(e<<24>>24==0){Pb(l|0,99808,(m=i,i=i+16|0,c[m>>2]=d,c[m+8>>2]=f,m)|0)|0;i=m}else{Pb(l|0,125368,(m=i,i=i+16|0,c[m>>2]=d,c[m+8>>2]=f,m)|0)|0;i=m}f=g+40|0;Pb(f|0,k|0,(m=i,i=i+8|0,h[m>>3]=b,m)|0)|0;i=m;m=Jfa(f)|0;i=g;return m|0}function Nfa(b){b=b|0;var d=0;d=Yd[c[2177]&255](b+1|0)|0;if((d|0)==0){return d|0}a[d+b|0]=0;return d|0}function Ofa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=Hfa(a)|0;d=Hfa(b)|0;e=Nfa(d+c|0)|0;kKa(e|0,a|0,c)|0;kKa(e+c|0,b|0,d)|0;return e|0}function Pfa(a,b){a=a|0;b=b|0;return gKa(c[a>>2]|0,c[b>>2]|0)|0}function Qfa(a){a=a|0;var b=0,c=0,d=0,e=0;b=(a|0)%100|0;c=(b|0)/10|0;d=(a|0)%10|0;a:do{if((a+999|0)>>>0>1998>>>0){e=-1}else{if((((a|0)%1e3|0)+99|0)>>>0>198>>>0){e=-1;break}if((d|0)==2){e=-1;break}else if((d|0)==1){if((b-50|0)>>>0>9>>>0){e=-1;break}}switch(c|0){case 0:{e=8;break a;break};case 2:{e=4;break a;break};case 5:{e=1;break a;break};case 4:{e=2;break a;break};case 1:{e=4;break a;break};case 3:{e=2;break a;break};default:{e=-1;break a}}}}while(0);return e|0}function Rfa(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=a|0;d=c[b>>2]|0;if((d|0)!=0){Pa(d|0)|0;c[b>>2]=0}d=a+4|0;e=c[d>>2]|0;if((e|0)!=0){JJa(e);c[d>>2]=0}d=a+8|0;if((c[d>>2]|0)!=0){e=a+12|0;f=0;do{JJa(c[(c[e>>2]|0)+(f<<4)>>2]|0);JJa(c[(c[e>>2]|0)+(f<<4)+4>>2]|0);f=f+1|0;}while(f>>>0<(c[d>>2]|0)>>>0)}c[d>>2]=0;if((c[b>>2]|0)!=0){b=a+12|0;JJa(c[b>>2]|0);c[b>>2]=0}b=a+20|0;d=c[b>>2]|0;if((d|0)!=0){JJa(d);c[b>>2]=0}b=a+24|0;d=c[b>>2]|0;f=a+40|0;if((d&2147483647|0)!=0){a=0;e=d;while(1){d=c[(c[f>>2]|0)+(a<<2)>>2]|0;if((d|0)==0){g=e}else{JJa(d);g=c[b>>2]|0}d=a+1|0;if(d>>>0<g<<1>>>0){a=d;e=g}else{break}}}c[b>>2]=0;b=c[f>>2]|0;if((b|0)==0){return}JJa(b);c[f>>2]=0;return}function Sfa(b){b=b|0;var c=0,d=0,e=0,f=0;c=0;d=0;while(1){e=a[b+c|0]|0;if(e<<24>>24==32){f=d}else{a[b+d|0]=e;f=d+1|0}e=c+1|0;if(e>>>0>(iKa(b|0)|0)>>>0){break}else{c=e;d=f}}return}function Tfa(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;e=i;i=i+88|0;f=e|0;j=e+24|0;k=e+72|0;lKa(d|0,0,48)|0;l=zc(b|0,31456)|0;m=d|0;c[m>>2]=l;if((l|0)==0){n=_c(c[(Zc()|0)>>2]|0)|0;i=e;return n|0}c[d+4>>2]=Lc(b|0)|0;c[d+36>>2]=0;b=f;l=d+44|0;o=f|0;p=f+12|0;q=f+16|0;r=f+4|0;s=f+8|0;f=j|0;t=k|0;u=d+8|0;v=d+12|0;w=d+16|0;x=d+20|0;y=d+28|0;z=d+24|0;A=d+32|0;B=d+40|0;d=1;C=0;a:while(1){D=kd(b|0,20,1,c[m>>2]|0)|0;a[l]=1;if((D|0)!=1){n=25080;E=131;break}D=c[o>>2]|0;if((D|0)!=(c[8608+(C<<2)>>2]|0)){if(!((C|0)>3&(D|0)==10)){n=184696;E=131;break}a[l]=0}F=c[p>>2]|0;if(F>>>0>1>>>0){n=176296;E=131;break}G=Qfa(D)|0;if((G|0)==-1){n=170440;E=131;break}D=c[q>>2]|0;H=IJa(D)|0;if((kd(H|0,D|0,1,c[m>>2]|0)|0)!=1){n=164824;E=131;break}if((a[H+(D-1)|0]|0)!=0){n=160848;E=131;break}D=c[r>>2]|0;I=c[s>>2]|0;J=ga(ga(ga(D,G)|0,I)|0,F+1|0)|0;if((gKa(H,c[8632+(C<<2)>>2]|0)|0)!=0){n=156592;E=131;break}JJa(H);b:do{switch(C|0){case 0:{if((D|0)!=4){n=153024;E=131;break a}if((I|0)!=11){n=148832;E=131;break a}if((kd(f|0,44,1,c[m>>2]|0)|0)==1){K=0}else{n=145064;E=131;break a}while(1){H=0;do{a[k+H|0]=a[j+((H<<2)+K)|0]|0;H=H+1|0;}while(H>>>0<11>>>0);a[k+11|0]=0;if((K|0)==3){break}H=K+1|0;if(H>>>0<4>>>0){K=H}else{L=d;E=130;break b}}if((hKa(t,c[4886]|0,8)|0)==0){L=1;E=130;break b}if((hKa(t,c[4888]|0,9)|0)==0){L=0;E=130}else{n=141120;E=131;break a}break};case 1:{H=d<<24>>24==0;F=H?D:I;c[u>>2]=F;G=IJa(F<<4)|0;c[v>>2]=G;c:do{if(d<<24>>24==1){if((I|0)==0){M=0;break}F=D+1|0;N=0;O=G;while(1){c[O+(N<<4)>>2]=IJa(F)|0;if((kd(c[(c[v>>2]|0)+(N<<4)>>2]|0,D|0,1,c[m>>2]|0)|0)!=1){n=137456;E=131;break a}a[(c[(c[v>>2]|0)+(N<<4)>>2]|0)+D|0]=0;P=c[v>>2]|0;c[P+(N<<4)+8>>2]=-1;c[P+(N<<4)+12>>2]=-1;Sfa(c[P+(N<<4)>>2]|0);P=N+1|0;if(!(P>>>0<I>>>0)){M=I;break c}N=P;O=c[v>>2]|0}}else{M=I}}while(0);if(!H){L=d;E=130;break b}G=ga(D,M)|0;Q=IJa(G+1|0)|0;if((kd(Q|0,G|0,1,c[m>>2]|0)|0)!=1){E=33;break a}if((D|0)!=0){G=M+1|0;O=(M|0)==0;N=0;do{F=IJa(G)|0;c[(c[v>>2]|0)+(N<<4)>>2]=F;if(!O){F=0;do{P=a[Q+((ga(D,F)|0)+N)|0]|0;a[(c[(c[v>>2]|0)+(N<<4)>>2]|0)+F|0]=P;F=F+1|0;}while(F>>>0<M>>>0)}a[(c[(c[v>>2]|0)+(N<<4)>>2]|0)+M|0]=0;F=c[v>>2]|0;c[F+(N<<4)+8>>2]=-1;c[F+(N<<4)+12>>2]=-1;Sfa(c[F+(N<<4)>>2]|0);N=N+1|0;}while(N>>>0<D>>>0)}JJa(Q);L=0;E=130;break};case 2:{if((d<<24>>24|0)==1){if((I|0)==0){R=1;E=129;break b}N=D+1|0;O=0;while(1){G=IJa(N)|0;c[(c[v>>2]|0)+(O<<4)+4>>2]=G;if((kd(c[(c[v>>2]|0)+(O<<4)+4>>2]|0,D|0,1,c[m>>2]|0)|0)!=1){n=137456;E=131;break a}a[(c[(c[v>>2]|0)+(O<<4)+4>>2]|0)+D|0]=0;G=O+1|0;if(G>>>0<I>>>0){O=G}else{L=1;E=130;break b}}}else if((d<<24>>24|0)!=0){R=d;E=129;break b}O=ga(D,I)|0;S=IJa(O+1|0)|0;if((kd(S|0,O|0,1,c[m>>2]|0)|0)!=1){E=46;break a}if((D|0)!=0){O=I+1|0;N=(I|0)==0;G=0;do{H=IJa(O)|0;c[(c[v>>2]|0)+(G<<4)+4>>2]=H;if(!N){H=0;do{F=a[S+((ga(D,H)|0)+G)|0]|0;a[(c[(c[v>>2]|0)+(G<<4)+4>>2]|0)+H|0]=F;H=H+1|0;}while(H>>>0<I>>>0)}a[(c[(c[v>>2]|0)+(G<<4)+4>>2]|0)+I|0]=0;G=G+1|0;}while(G>>>0<D>>>0)}JJa(S);L=0;E=130;break};case 3:{G=ga(I<<2,D)|0;T=IJa(G)|0;N=T;if((kd(T|0,G|0,1,c[m>>2]|0)|0)!=1){E=52;break a}do{if((d<<24>>24|0)==0){if((D|0)==0){break}G=c[v>>2]|0;O=0;do{c[G+(O<<4)+8>>2]=(c[N+(O<<2)>>2]|0)==1;c[G+(O<<4)+12>>2]=c[N+(D+O<<2)>>2];O=O+1|0;}while(O>>>0<D>>>0)}else if((d<<24>>24|0)==1){if((I|0)==0){break}O=c[v>>2]|0;G=0;do{H=ga(D,G)|0;c[O+(G<<4)+8>>2]=(c[N+(H<<2)>>2]|0)==1;c[O+(G<<4)+12>>2]=c[N+(H+1<<2)>>2];G=G+1|0;}while(G>>>0<I>>>0)}}while(0);JJa(T);Ic(c[v>>2]|0,c[u>>2]|0,16,62);L=d;E=130;break};case 4:{if((d<<24>>24|0)==1){if((D|0)==0){n=129432;E=131;break a}if(!((I-1|0)>>>0<2>>>0)){n=125704;E=131;break a}c[w>>2]=D;N=ga(I,D)|0;if((a[l]|0)==1){G=IJa(N<<3)|0;c[x>>2]=G;if((kd(G|0,J|0,1,c[m>>2]|0)|0)!=1){n=122744;E=131;break a}}else{G=IJa(N<<2)|0;O=G;c[x>>2]=IJa(ga(D<<3,I)|0)|0;if((kd(G|0,J|0,1,c[m>>2]|0)|0)!=1){n=122744;E=131;break a}if((N|0)!=0){H=c[x>>2]|0;F=0;do{h[H+(F<<3)>>3]=+g[O+(F<<2)>>2];F=F+1|0;}while(F>>>0<N>>>0)}JJa(G)}N=c[w>>2]|0;if(!(N>>>0>1>>>0)){L=1;E=130;break b}F=(I|0)==2;O=1;while(1){if(F){H=c[x>>2]|0;if(+h[H+(O<<3)>>3]!=+h[H+(N+O<<3)>>3]){n=120072;E=131;break a}}H=O+1|0;if(H>>>0<N>>>0){O=H}else{L=1;E=130;break b}}}else if((d<<24>>24|0)!=0){R=d;E=129;break b}if((I|0)==0){n=129432;E=131;break a}if(!((D-1|0)>>>0<2>>>0)){n=117488;E=131;break a}c[w>>2]=I;O=ga(I,D)|0;if((a[l]|0)==1){N=IJa(O<<3)|0;F=N;c[x>>2]=IJa(ga(D<<3,I)|0)|0;if((kd(N|0,J|0,1,c[m>>2]|0)|0)!=1){n=122744;E=131;break a}if((D|0)!=0){G=0;do{H=c[x>>2]|0;P=0;do{h[H+((ga(I,G)|0)+P<<3)>>3]=+h[F+((ga(D,P)|0)+G<<3)>>3];P=P+1|0;}while(P>>>0<I>>>0);G=G+1|0;}while(G>>>0<D>>>0)}JJa(N)}else{G=IJa(O<<2)|0;F=G;c[x>>2]=IJa(ga(D<<3,I)|0)|0;if((kd(G|0,J|0,1,c[m>>2]|0)|0)!=1){n=122744;E=131;break a}if((D|0)!=0){P=0;do{H=c[x>>2]|0;U=0;do{h[H+((ga(I,P)|0)+U<<3)>>3]=+g[F+((ga(D,U)|0)+P<<2)>>2];U=U+1|0;}while(U>>>0<I>>>0);P=P+1|0;}while(P>>>0<D>>>0)}JJa(G)}P=c[w>>2]|0;if(!(P>>>0>1>>>0)){L=d;E=130;break b}F=(D|0)==2;O=1;while(1){if(F){N=c[x>>2]|0;if(+h[N+(O<<3)>>3]!=+h[N+(P+O<<3)>>3]){n=120072;E=131;break a}}N=O+1|0;if(N>>>0<P>>>0){O=N}else{L=d;E=130;break}}break};case 5:{if((d<<24>>24|0)==1){c[y>>2]=I;if(I>>>0<2>>>0){n=115224;E=131;break a}c[z>>2]=D;c[A>>2]=Nb(c[m>>2]|0)|0;c[B>>2]=KJa(c[z>>2]<<1,4)|0;if((wd(c[m>>2]|0,J|0,1)|0)==-1){n=112800;E=131;break a}else{L=1;E=130;break b}}else if((d<<24>>24|0)!=0){n=0;E=131;break a}c[y>>2]=D;if(D>>>0<2>>>0){n=115224;E=131;break a}c[z>>2]=I;c[A>>2]=Nb(c[m>>2]|0)|0;c[B>>2]=KJa(c[z>>2]<<1,4)|0;O=ga(I,D)|0;if((a[l]|0)==1){P=IJa(O<<3)|0;if((kd(P|0,J|0,1,c[m>>2]|0)|0)!=1){n=112800;E=131;break a}if((I|0)!=0){F=D<<3;G=(D|0)==0;N=D<<3;U=0;do{H=IJa(F)|0;c[(c[B>>2]|0)+(U<<2)>>2]=H;if(!G){H=P+(ga(N,U)|0)|0;kKa(c[(c[B>>2]|0)+(U<<2)>>2]|0,H|0,N)|0}U=U+1|0;}while(U>>>0<I>>>0)}U=c[z>>2]|0;N=U<<1;if(U>>>0<N>>>0){G=D<<3;F=(D|0)==0;H=U;do{V=IJa(G)|0;c[(c[B>>2]|0)+(H<<2)>>2]=V;if(!F){V=c[B>>2]|0;W=c[V+(H-U<<2)>>2]|0;X=c[V+(H<<2)>>2]|0;V=0;do{h[X+(V<<3)>>3]=-0.0- +h[W+(V<<3)>>3];V=V+1|0;}while(V>>>0<D>>>0)}H=H+1|0;}while(H>>>0<N>>>0)}JJa(P)}else{N=IJa(O<<2)|0;H=N;if((kd(N|0,J|0,1,c[m>>2]|0)|0)!=1){n=112800;E=131;break a}if((I|0)!=0){U=D<<3;F=(D|0)==0;G=0;do{V=IJa(U)|0;c[(c[B>>2]|0)+(G<<2)>>2]=V;if(!F){V=c[(c[B>>2]|0)+(G<<2)>>2]|0;W=0;do{h[V+(W<<3)>>3]=+g[H+((ga(D,G)|0)+W<<2)>>2];W=W+1|0;}while(W>>>0<D>>>0)}G=G+1|0;}while(G>>>0<I>>>0)}G=c[z>>2]|0;H=G<<1;if(G>>>0<H>>>0){F=D<<3;U=(D|0)==0;O=G;do{P=IJa(F)|0;c[(c[B>>2]|0)+(O<<2)>>2]=P;if(!U){P=c[B>>2]|0;W=c[P+(O-G<<2)>>2]|0;V=c[P+(O<<2)>>2]|0;P=0;do{h[V+(P<<3)>>3]=-0.0- +h[W+(P<<3)>>3];P=P+1|0;}while(P>>>0<D>>>0)}O=O+1|0;}while(O>>>0<H>>>0)}JJa(N)}if((wd(c[m>>2]|0,J|0,1)|0)==-1){n=112800;E=131;break a}else{L=d;E=130}break};default:{n=109992;E=131;break a}}}while(0);if((E|0)==129){E=0;d=R;C=C+1|0;continue}else if((E|0)==130){E=0;J=C+1|0;if((J|0)<6){d=L;C=J;continue}else{n=0;E=131;break}}}if((E|0)==33){JJa(Q);n=137456;i=e;return n|0}else if((E|0)==46){JJa(S);n=137456;i=e;return n|0}else if((E|0)==52){JJa(T);n=133104;i=e;return n|0}else if((E|0)==131){i=e;return n|0}return 0}function Ufa(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d|0;c[e>>2]=b;b=qc(e|0,c[a+12>>2]|0,c[a+8>>2]|0,16,62)|0;i=d;return b|0}function Vfa(b,d){b=b|0;d=d|0;var e=0,f=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=(d|0)>-1?d:-d|0;f=(d|0)<0;if(f){i=(c[b+24>>2]|0)+e|0}else{i=e}d=i-1|0;if((e|0)==0){jd(107952,105216,399,8522520);return 0}i=b+24|0;j=c[i>>2]|0;if(e>>>0>j>>>0){jd(107952,105216,399,8522520);return 0}k=b+40|0;l=c[(c[k>>2]|0)+(d<<2)>>2]|0;if((l|0)!=0){m=l;return m|0}l=b+28|0;n=c[l>>2]|0;o=IJa(n<<3)|0;p=o;a:do{if((a[b+44|0]|0)==1){if((n|0)==0){break}q=b|0;r=b+32|0;s=0;t=j;while(1){wd(c[q>>2]|0,(c[r>>2]|0)-8+((ga(t,s)|0)+e<<3)|0,0)|0;u=p+(s<<3)|0;if((kd(u|0,8,1,c[q>>2]|0)|0)!=1){break}if(f){h[u>>3]=-0.0- +h[u>>3]}u=s+1|0;if(!(u>>>0<(c[l>>2]|0)>>>0)){break a}s=u;t=c[i>>2]|0}JJa(o);m=0;return m|0}else{t=IJa(n<<2)|0;s=t;q=b|0;r=b+32|0;u=0;v=n;while(1){if(!(u>>>0<v>>>0)){break}wd(c[q>>2]|0,(c[r>>2]|0)-4+((ga(c[i>>2]|0,u)|0)+e<<2)|0,0)|0;if((kd(s+(u<<2)|0,4,1,c[q>>2]|0)|0)!=1){w=20;break}u=u+1|0;v=c[l>>2]|0}if((w|0)==20){JJa(t);JJa(o);m=0;return m|0}u=(v|0)==0;do{if(f){if(u){break}else{x=0}do{h[p+(x<<3)>>3]=-0.0- +g[s+(x<<2)>>2];x=x+1|0;}while(x>>>0<v>>>0)}else{if(u){break}else{y=0}do{h[p+(y<<3)>>3]=+g[s+(y<<2)>>2];y=y+1|0;}while(y>>>0<v>>>0)}}while(0);JJa(t)}}while(0);c[(c[k>>2]|0)+(d<<2)>>2]=p;m=c[(c[k>>2]|0)+(d<<2)>>2]|0;return m|0}function Wfa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0.0,t=0.0;j=i;i=i+8|0;k=j|0;l=(e|0)>-1?e:-e|0;m=(e|0)<0;if(m){n=(c[d+24>>2]|0)+l|0}else{n=l}if((l|0)==0){jd(107952,105216,519,8522544);return 0.0}e=c[d+24>>2]|0;if(l>>>0>e>>>0){jd(107952,105216,519,8522544);return 0.0}o=c[(c[d+40>>2]|0)+(n-1<<2)>>2]|0;if((o|0)!=0){h[b>>3]=+h[o+(f<<3)>>3];p=0.0;i=j;return+p}o=d|0;n=c[o>>2]|0;q=c[d+32>>2]|0;r=l-1+(ga(e,f)|0)|0;do{if((a[d+44|0]|0)==1){wd(n|0,q+(r<<3)|0,0)|0;f=(kd(b|0,8,1,c[o>>2]|0)|0)!=1;if(f|m^1){p=f?1.0:0.0;i=j;return+p}else{s=+h[b>>3];break}}else{wd(n|0,q+(r<<2)|0,0)|0;if((kd(k|0,4,1,c[o>>2]|0)|0)!=1){p=1.0;i=j;return+p}t=+g[k>>2];h[b>>3]=t;if(m){s=t;break}else{p=0.0}i=j;return+p}}while(0);h[b>>3]=-0.0-s;p=0.0;i=j;return+p}function Xfa(a,b,d,e,f,g,i){a=+a;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0;j=d-1|0;d=0;while(1){k=((j-d|0)/2|0)+d|0;l=+h[b+(k<<3)>>3];if(l==a){m=k;n=l;o=3;break}p=l<a;q=p?k+1|0:d;r=p?j:k-1|0;if((r|0)>(q|0)){j=r;d=q}else{break}}if((o|0)==3){while(1){o=0;if((m|0)>=(j|0)){break}d=m+1|0;l=+h[b+(d<<3)>>3];if(n==l){m=d;n=l;o=3}else{break}}c[e>>2]=m;h[f>>3]=1.0;c[g>>2]=-1;s=0.0;h[i>>3]=s;return}do{if((r|0)==(q|0)){if(+h[b+(q<<3)>>3]<a){t=q+1|0;u=q;break}else{t=q;u=q-1|0;break}}else{t=r;u=q}}while(0);c[e>>2]=t;c[g>>2]=u;n=+h[b+(u<<3)>>3];l=(a-n)/(+h[b+(t<<3)>>3]-n);h[f>>3]=l;s=1.0-l;h[i>>3]=s;return}function Yfa(a){a=a|0;return+(+h[c[a+20>>2]>>3])}function Zfa(a){a=a|0;return+(+h[(c[a+20>>2]|0)+(c[a+16>>2]<<3)>>3])}function _fa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0;f=i;i=i+48|0;g=f|0;j=f+8|0;k=f+16|0;l=f+24|0;m=f+32|0;n=f+40|0;if((c[d+8>>2]|0)!=0){o=c[d+12>>2]|0;if((o|0)<0){p=-0.0- +h[(c[b+20>>2]|0)+(~o<<3)>>3]}else{p=+h[(c[b+20>>2]|0)+(o-1<<3)>>3]}h[a>>3]=p;q=0;i=f;return q|0}if(+Zfa(b)<e){q=1;i=f;return q|0}if(+Yfa(b)>e){q=1;i=f;return q|0}if((Vfa(b,1)|0)==0){q=1;i=f;return q|0}Xfa(e,c[c[b+40>>2]>>2]|0,c[b+28>>2]|0,m,g,n,j);o=c[n>>2]|0;if((o|0)==-1){q=~~+Wfa(a,b,c[d+12>>2]|0,c[m>>2]|0);i=f;return q|0}n=c[m>>2]|0;m=d+12|0;d=c[m>>2]|0;if((n|0)==-1){q=~~+Wfa(a,b,d,o);i=f;return q|0}if(+Wfa(k,b,d,n)!=0.0){q=1;i=f;return q|0}if(+Wfa(l,b,c[m>>2]|0,o)!=0.0){q=1;i=f;return q|0}h[a>>3]=+h[g>>3]*+h[k>>3]+ +h[j>>3]*+h[l>>3];q=0;i=f;return q|0}function $fa(a,b){a=a|0;b=b|0;return+(+h[(c[a+8>>2]|0)+(b<<3)>>3])}function aga(a,b){a=a|0;b=b|0;Xea(a,b,Bfa(b)|0);return}function bga(a,b,c){a=a|0;b=b|0;c=+c;h[a+(b<<3)>>3]=c;return}function cga(a,b){a=a|0;b=b|0;return a+(b<<3)|0}function dga(a,b,d){a=+a;b=b|0;d=d|0;bga(c[d+8>>2]|0,b,a);return}function ega(a,b,d,e){a=a|0;b=b|0;d=+d;e=e|0;var f=0,g=0,j=0,k=0,l=0;f=i;i=i+16|0;g=f|0;aga(a,b);j=g|0;k=g;c[k>>2]=e;c[k+4>>2]=0;dga(d,0,a);if((b|0)>1){l=1}else{i=f;return}do{dga((B=c[j+4>>2]|0,c[j+4>>2]=B+8,+h[(c[j>>2]|0)+B>>3]),l,a);l=l+1|0;}while((l|0)<(b|0));i=f;return}function fga(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=f;c[g>>2]=d;c[g+4>>2]=0;g=Yea(a,b,f|0)|0;f=cga(c[a+8>>2]|0,g)|0;i=e;return f|0}function gga(a){a=a|0;var b=0,c=0.0,d=0,e=0.0,f=0.0,g=0;if((Vea(a)|0)==0){jd(94552,160520,1547,8522440);return 0.0}b=Wea(a)|0;if((b|0)==0){c=0.0;return+c}else{d=0;e=0.0}while(1){f=e+ +$fa(a,d);g=d+1|0;if(g>>>0<b>>>0){d=g;e=f}else{c=f;break}}return+c}function hga(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=IJa(20)|0;kfa(0,(e|0)!=0|0,59312,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e+8>>2]=0;c[e+12>>2]=0;g=(a|0)<1?1:a;c[e+16>>2]=g;c[e+4>>2]=b;a=KJa(g,b)|0;c[e>>2]=a;kfa(0,(a|0)!=0|0,59312,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return e|0}function iga(a){a=a|0;JJa(c[a>>2]|0);JJa(a);return}function jga(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a+12|0;kfa(0,(c[e>>2]|0)>0|0,158064,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=c[e>>2]|0;kfa(0,(g|0)>(b|0)|0,120864,(f=i,i=i+24|0,c[f>>2]=b,c[f+8>>2]=1-g,c[f+16>>2]=g-1,f)|0);i=f;g=c[e>>2]|0;kfa(0,(-g|0)<(b|0)|0,120864,(f=i,i=i+24|0,c[f>>2]=b,c[f+8>>2]=1-g,c[f+16>>2]=g-1,f)|0);i=f;f=(c[a>>2]|0)+(ga(c[a+4>>2]|0,((c[a+8>>2]|0)+b|0)%(c[a+16>>2]|0)|0)|0)|0;i=d;return f|0}function kga(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;d=a+16|0;e=a+4|0;f=KJa(c[d>>2]<<1,c[e>>2]|0)|0;kfa(0,(f|0)!=0|0,59312,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=a+12|0;if((c[g>>2]|0)>0){h=0;j=c[e>>2]|0;do{k=f+(ga(j,h)|0)|0;l=jga(a,h)|0;j=c[e>>2]|0;kKa(k|0,l|0,j)|0;h=h+1|0;}while((h|0)<(c[g>>2]|0))}g=a|0;JJa(c[g>>2]|0);c[g>>2]=f;c[d>>2]=c[d>>2]<<1;c[a+8>>2]=0;i=b;return}function lga(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=a+16|0;e=c[d>>2]|0;f=a+12|0;g=c[f>>2]|0;if((e|0)<(g+1|0)){kga(a);h=c[f>>2]|0;i=c[d>>2]|0}else{h=g;i=e}e=c[a+4>>2]|0;kKa((c[a>>2]|0)+(ga(e,(h+(c[a+8>>2]|0)|0)%(i|0)|0)|0)|0,b|0,e)|0;c[f>>2]=(c[f>>2]|0)+1;return}function mga(a){a=a|0;return c[a+12>>2]|0}function nga(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;f=a+12|0;kfa(0,(c[f>>2]|0)>0|0,158064,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;h=c[f>>2]|0;kfa(0,(h|0)>(b|0)|0,120864,(g=i,i=i+24|0,c[g>>2]=b,c[g+8>>2]=0,c[g+16>>2]=h-1,g)|0);i=g;h=(c[f>>2]|0)-1|0;kfa(0,b>>>31^1,120864,(g=i,i=i+24|0,c[g>>2]=b,c[g+8>>2]=0,c[g+16>>2]=h,g)|0);i=g;g=a+8|0;h=c[a+16>>2]|0;c[g>>2]=((ga(h-1|0,b)|0)+(c[g>>2]|0)|0)%(h|0)|0;if((d|0)==0){i=e;return}if((c[f>>2]|0)>0){j=0}else{i=e;return}do{c[d+(j<<2)>>2]=jga(a,j)|0;j=j+1|0;}while((j|0)<(c[f>>2]|0));i=e;return}function oga(a){a=a|0;return c[(c[2022]|0)+(a<<2)>>2]|0}function pga(a){a=a|0;return c[(c[2018]|0)+(a<<2)>>2]|0}function qga(a){a=a|0;return c[(c[2020]|0)+(a<<2)>>2]|0}function rga(a){a=a|0;return c[(c[2016]|0)+(a<<2)>>2]|0}function sga(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=(c[2018]|0)+(a<<2)|0;d=c[b>>2]|0;e=(c[2020]|0)+(a<<2)|0;f=c[e>>2]|0;g=c[(c[2022]|0)+(a<<2)>>2]|0;if((g|0)==0){return}c[b>>2]=(d|0)!=0&d>>>0<g>>>0?d:g;c[e>>2]=f>>>0>g>>>0?f:g;return}function tga(a){a=a|0;var b=0;b=c[5404]|0;return+(+uga(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function uga(a,b){a=a|0;b=b|0;return+(+(a|0)+ +(b|0)*1.0e-9)}function vga(a){a=a|0;var b=0;b=c[3588]|0;return+(+uga(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function wga(a){a=a|0;var b=0;b=c[408]|0;return+(+uga(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function xga(a){a=a|0;return 0}function yga(a){a=a|0;var b=0;yb(4,(c[422]|0)+(a<<3)|0)|0;b=(c[2022]|0)+(a<<2)|0;c[b>>2]=(c[b>>2]|0)+1;return}function zga(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=c[5404]|0;f=e+(a<<3)|0;g=c[408]|0;h=g+(a<<3)|0;c[h>>2]=(c[h>>2]|0)+(c[f>>2]|0);h=e+(a<<3)+4|0;e=g+(a<<3)+4|0;c[e>>2]=(c[e>>2]|0)+(c[h>>2]|0);e=(c[2016]|0)+(a<<2)|0;c[e>>2]=(c[e>>2]|0)+(c[(c[2022]|0)+(a<<2)>>2]|0);e=c[3588]|0;g=e+(a<<3)|0;Aga(d,c[g>>2]|0,c[e+(a<<3)+4>>2]|0,c[f>>2]|0,c[h>>2]|0);h=g;g=c[d+4>>2]|0;c[h>>2]=c[d>>2];c[h+4>>2]=g;sga(a);g=c[5404]|0;c[g+(a<<3)>>2]=0;c[g+(a<<3)+4>>2]=0;c[(c[2022]|0)+(a<<2)>>2]=0;i=b;return}function Aga(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;g=a;if((Dga(b,d,e,f)|0)<0){h=f|0;i=e|0;j=g|0;c[j>>2]=i;k=g+4|0;c[k>>2]=h;return}else{h=d|0;i=b|0;j=g|0;c[j>>2]=i;k=g+4|0;c[k>>2]=h;return}}function Bga(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;i=i+8|0;d=b|0;e=d;c[d>>2]=0;c[d+4>>2]=0;yb(4,e|0)|0;f=c[422]|0;g=c[5404]|0;h=g+(a<<3)|0;j=(c[d>>2]|0)-(c[f+(a<<3)>>2]|0)+(c[h>>2]|0)|0;c[h>>2]=j;d=g+(a<<3)+4|0;g=(c[e+4>>2]|0)-(c[f+(a<<3)+4>>2]|0)+(c[d>>2]|0)|0;c[d>>2]=g;if((g|0)<=999999999){i=b;return}c[h>>2]=j+1;c[d>>2]=~~(+(g|0)+-1.0e9);i=b;return}function Cga(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((a|0)<33){return}b=KJa(a,8)|0;c[5404]=b;d=KJa(a,8)|0;c[3588]=d;e=KJa(a,8)|0;c[408]=e;f=KJa(a,8)|0;c[422]=f;g=KJa(a,4)|0;c[2022]=g;h=KJa(a,4)|0;c[2016]=h;i=a<<2;j=IJa(i)|0;c[2018]=j;k=KJa(a,4)|0;c[2020]=k;lKa(j|0,-1|0,i|0)|0;if((b|0)==0){jd(56768,157416,393,8522488)}if((d|0)==0){jd(120464,157416,394,8522488)}if((e|0)==0){jd(95008,157416,395,8522488)}if((f|0)==0){jd(71128,157416,396,8522488)}if((g|0)==0){jd(50424,157416,397,8522488)}if((j|0)==0){jd(43280,157416,398,8522488)}if((k|0)==0){jd(37024,157416,399,8522488)}if((h|0)==0){jd(30944,157416,400,8522488)}else{return}}function Dga(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return((a|0)==(c|0)?b-d|0:a-c|0)|0}function Ega(a,b){a=a|0;b=b|0;Xea(a,b,Cfa(b)|0);return}function Fga(a,b,d){a=a|0;b=b|0;d=d|0;c[a+(b<<2)>>2]=d;return}function Gga(a,b){a=a|0;b=b|0;return a+(b<<2)|0}function Hga(a,b,d){a=a|0;b=b|0;d=d|0;Fga(c[d+8>>2]|0,b,a);return}function Iga(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;i=i+16|0;g=f|0;Ega(a,b);h=g|0;j=g;c[j>>2]=e;c[j+4>>2]=0;Hga(d,0,a);if((b|0)>1){k=1}else{i=f;return}do{Hga((B=c[h+4>>2]|0,c[h+4>>2]=B+8,c[(c[h>>2]|0)+B>>2]|0),k,a);k=k+1|0;}while((k|0)<(b|0));i=f;return}function Jga(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=f;c[g>>2]=d;c[g+4>>2]=0;g=Yea(a,b,f|0)|0;f=Gga(c[a+8>>2]|0,g)|0;i=e;return f|0}function Kga(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0;e=i;i=i+8|0;f=b;b=i;i=i+20|0;i=i+7&-8;c[b>>2]=c[f>>2];c[b+4>>2]=c[f+4>>2];c[b+8>>2]=c[f+8>>2];c[b+12>>2]=c[f+12>>2];c[b+16>>2]=c[f+16>>2];f=e|0;g=f|0;c[g>>2]=1;c[f+4>>2]=c[b>>2];if((a|0)==1){ifa(17,0,g,155288,(j=i,i=i+16|0,c[j>>2]=c[b+8>>2],h[j+8>>3]=d,j)|0);i=j;i=e;return}else if((a|0)==2){ifa(17,0,g,119360,(j=i,i=i+16|0,c[j>>2]=c[b+8>>2],h[j+8>>3]=d,j)|0);i=j;i=e;return}else if((a|0)==3){ifa(17,0,g,93712,(j=i,i=i+16|0,c[j>>2]=c[b+8>>2],h[j+8>>3]=d,j)|0);i=j;i=e;return}else if((a|0)==0){ifa(17,0,g,49296,(j=i,i=i+16|0,c[j>>2]=c[b+8>>2],h[j+8>>3]=d,j)|0);i=j;i=e;return}else{f=c[b+8>>2]|0;ifa(17,0,g,70296,(j=i,i=i+24|0,c[j>>2]=a,c[j+8>>2]=f,h[j+16>>3]=d,j)|0);i=j;i=e;return}}function Lga(a){a=a|0;JJa(c[a+12>>2]|0);JJa(c[a+4>>2]|0);JJa(c[a+8>>2]|0);return}function Mga(a){a=a|0;var b=0;b=c[u>>2]|0;_a(a|0,b|0)|0;Ta(b|0)|0;Vd[c[2150]&511](0);return}function Nga(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;var u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0.0,N=0,O=0.0,P=0.0,Q=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0.0,wa=0.0,xa=0,ya=0,za=0,Aa=0,Ba=0.0,Ca=0,Da=0.0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0.0,Ka=0.0,La=0,Ma=0.0,Na=0.0,Oa=0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0,eb=0,fb=0,gb=0.0,hb=0.0,ib=0;u=c[d>>2]|0;v=~u;w=c[k>>2]|0;x=~w;h[2493]=.5;h[2491]=1.0;h[2490]=.25;h[2478]=2.0;h[2477]=6.283185307179586;y=u-1-(c[b>>2]|0)|0;c[2142180]=y;z=c[d>>2]|0;c[2142184]=1;if((z|0)>=1){A=1;do{h[o+(A-1+(c[b>>2]|0)<<3)>>3]=0.0;A=A+1|0;c[2142184]=A;}while((A|0)<=(z|0))}c[2142188]=1;z=(y|0)<1;if(!z){A=1;do{B=ga(A,u)|0;C=+h[i+(B+v+(c[m>>2]|0)<<3)>>3];h[2482]=C;if((A|0)<(c[j>>2]|0)){D=-0.0-C;h[2482]=D;E=D}else{E=C}F=c[d>>2]|0;c[2142184]=1;a:do{if((F|0)>=1){G=1;C=E;while(1){H=o+(G-1+(c[b>>2]|0)<<3)|0;h[H>>3]=C*+h[i+(G+v+B<<3)>>3]+ +h[H>>3];H=G+1|0;c[2142184]=H;if((H|0)>(F|0)){break a}G=H;C=+h[2482]}}}while(0);A=A+1|0;c[2142188]=A;}while((A|0)<=(y|0))}A=c[b>>2]|0;h[2503]=+h[o+(A-1+(c[m>>2]|0)<<3)>>3];h[2501]=0.0;h[2496]=0.0;h[2489]=0.0;h[2474]=0.0;c[2142196]=1;if((A|0)<1){I=0.0;J=0.0;K=0.0}else{F=1;E=0.0;while(1){B=F-1|0;G=n+(B<<3)|0;C=+h[G>>3];h[2501]=E+C*C;C=+h[f+((c[m>>2]|0)+v+(ga(F,u)|0)<<3)>>3];H=e+(B<<3)|0;D=C- +h[H>>3];L=r+(B<<3)|0;h[L>>3]=D;C=+h[2496]+ +h[G>>3]*D;h[2496]=C;D=+h[L>>3];M=+h[2489]+D*D;h[2489]=M;D=+h[H>>3];h[2474]=+h[2474]+D*D;H=F+1|0;c[2142196]=H;D=+h[2501];if((H|0)>(A|0)){I=C;J=D;K=M;break}else{F=H;E=D}}}E=I*I;do{if(E>J*.99*K){F=c[m>>2]|0;c[2142182]=F;D=E/K;h[2494]=D;A=c[d>>2]|0;c[2142184]=1;if((A|0)<1){N=F;O=K;P=I}else{H=1;L=F;M=D;D=K;C=I;while(1){do{if((H|0)==(c[l>>2]|0)){Q=L;R=M;S=D;T=C}else{h[2495]=0.0;h[2487]=0.0;F=c[b>>2]|0;c[2142196]=1;if((F|0)<1){U=0.0;V=0.0}else{G=1;X=0.0;_=0.0;do{$=+h[f+((ga(G,u)|0)+v+H<<3)>>3];aa=$- +h[e+(G-1<<3)>>3];h[2497]=aa;X=X+aa*+h[n+(G-1<<3)>>3];h[2495]=X;_=_+aa*aa;h[2487]=_;G=G+1|0;}while((G|0)<=(F|0));c[2142196]=G;U=X;V=_}aa=U*U/V;if(!(aa<M)){Q=L;R=M;S=D;T=C;break}c[2142182]=H;h[2494]=aa;h[2496]=U;h[2489]=V;Q=H;R=aa;S=V;T=U}}while(0);F=H+1|0;c[2142184]=F;if((F|0)>(A|0)){N=Q;O=S;P=T;break}else{H=F;L=Q;M=R;D=S;C=T}}}L=c[b>>2]|0;c[2142196]=1;if((L|0)<1){ba=J;ca=O;da=P;break}else{ea=1}do{C=+h[f+((ga(ea,u)|0)+v+N<<3)>>3];H=ea-1|0;h[r+(H<<3)>>3]=C- +h[e+(H<<3)>>3];ea=ea+1|0;}while((ea|0)<=(L|0));c[2142196]=ea;ba=+h[2501];ca=+h[2489];da=+h[2496]}else{ba=J;ca=K;da=I}}while(0);I=ba*ca-da*da;h[2488]=I;c[2142190]=0;h[2498]=0.0;ea=(w<<1)+x|0;N=(w<<2)+x|0;Q=(w*3|0)+x|0;L=(w*5|0)+x|0;H=1;ca=I;I=ba;ba=da;while(1){c[2142190]=H;da=+h[2491]/+W(ca);h[2482]=da;h[2476]=0.0;h[2475]=0.0;A=c[b>>2]|0;c[2142196]=1;if((A|0)<1){fa=0.0;ha=0.0;ia=I}else{F=0;B=1;K=da;da=I;J=ba;while(1){ja=r+(F<<3)|0;h[ja>>3]=K*(da*+h[ja>>3]-J*+h[n+(F<<3)>>3]);ja=B-1|0;ka=e+(ja<<3)|0;la=+h[2476]+ +h[ka>>3]*+h[n+(ja<<3)>>3];h[2476]=la;ma=+h[2475]+ +h[ka>>3]*+h[r+(ja<<3)>>3];h[2475]=ma;na=B+1|0;if((na|0)>(A|0)){break}F=B;B=na;K=+h[2482];da=+h[2501];J=+h[2496]}c[2142196]=na;fa=la;ha=ma;ia=+h[2501]}J=+h[2493];da=fa*J*fa;h[2481]=da;K=ha*J*ha;h[2480]=K;h[1071108]=K+(da+ia*(+h[2474]+ia*J));J=+h[2478];h[1071109]=J*fa*ia;h[1071110]=J*ha*ia;h[1071111]=da-K;h[1071112]=fa*ha;lKa(8568904,0,32)|0;c[2142196]=10;B=c[d>>2]|0;c[2142184]=1;if((B|0)>=1){F=1;do{h[2481]=0.0;h[2480]=0.0;h[2479]=0.0;A=c[b>>2]|0;c[2142196]=1;if((A|0)<1){oa=0.0;pa=0.0}else{ja=F+v|0;ka=1;K=0.0;da=0.0;J=0.0;do{P=+h[f+((ga(ka,u)|0)+v+F<<3)>>3];K=K+P*+h[n+(ka-1<<3)>>3];h[2481]=K;qa=f+(ja+(ga(ka,u)|0)<<3)|0;ra=ka-1|0;da=da+ +h[qa>>3]*+h[r+(ra<<3)>>3];h[2480]=da;J=J+ +h[qa>>3]*+h[e+(ra<<3)>>3];h[2479]=J;ka=ka+1|0;}while((ka|0)<=(A|0));c[2142196]=ka;oa=K;pa=da}h[s+(F-1<<3)>>3]=+h[2490]*(oa*oa+pa*pa);h[s+(ea+F<<3)>>3]=+h[2481]*+h[2479];h[s+(Q+F<<3)>>3]=+h[2480]*+h[2479];J=+h[2481];P=+h[2480];h[s+(N+F<<3)>>3]=+h[2490]*(J*J-P*P);h[s+(L+F<<3)>>3]=+h[2493]*+h[2481]*+h[2480];F=F+1|0;c[2142184]=F;}while((F|0)<=(B|0))}B=c[b>>2]|0;c[2142196]=1;if((B|0)>=1){F=1;do{A=(c[d>>2]|0)+F|0;c[2142194]=A;h[s+(A-1<<3)>>3]=0.0;ja=F-1|0;h[s+(ea+A<<3)>>3]=+h[n+(ja<<3)>>3];h[s+(Q+A<<3)>>3]=+h[r+(ja<<3)>>3];h[s+(N+A<<3)>>3]=0.0;h[s+(L+A<<3)>>3]=0.0;F=F+1|0;c[2142196]=F;}while((F|0)<=(B|0))}c[2142186]=1;B=1;do{F=c[d>>2]|0;c[2142178]=F;if((B-2|0)>>>0<2>>>0){A=c[k>>2]|0;c[2142178]=A;sa=A}else{sa=F}F=c[d>>2]|0;c[2142184]=1;if((F|0)>=1){A=ga(B,w)|0;ja=1;do{h[t+(ja+x+A<<3)>>3]=0.0;ja=ja+1|0;}while((ja|0)<=(F|0));c[2142184]=ja}c[2142188]=1;if(z){ta=B}else{F=B;A=1;while(1){h[2485]=0.0;ka=c[d>>2]|0;c[2142184]=1;if((ka|0)<1){ua=F;va=0.0}else{ra=ga(B,w)|0;qa=1;da=0.0;do{K=+h[i+(qa+v+(ga(A,u)|0)<<3)>>3];da=da+K*+h[s+(qa+x+ra<<3)>>3];h[2485]=da;qa=qa+1|0;}while((qa|0)<=(ka|0));c[2142184]=qa;ua=B;va=da}if((A|0)<(c[j>>2]|0)){_=-0.0-va;h[2485]=_;wa=_}else{wa=va}ka=c[d>>2]|0;c[2142184]=1;if((ka|0)>=1){ra=ga(A,u)|0;G=ga(ua,w)|0;xa=1;ya=2;_=wa;while(1){za=t+(xa+x+G<<3)|0;h[za>>3]=_*+h[i+(xa+v+ra<<3)>>3]+ +h[za>>3];if((ya|0)>(ka|0)){break}xa=ya;ya=ya+1|0;_=+h[2485]}c[2142184]=ya}xa=A+1|0;c[2142188]=xa;if((xa|0)>(y|0)){ta=ua;break}else{F=ua;A=xa}}}do{if((sa|0)==(c[k>>2]|0)){A=c[d>>2]|0;c[2142184]=1;if((A|0)<1){break}else{Aa=1}do{h[2485]=0.0;F=c[b>>2]|0;c[2142188]=1;if((F|0)<1){Ba=0.0;Ca=ga(ta,w)|0}else{ja=1;_=0.0;while(1){da=+h[g+((ga(ja,w)|0)+x+Aa<<3)>>3];xa=ga(ta,w)|0;X=_+da*+h[s+(ja+x+(c[d>>2]|0)+xa<<3)>>3];h[2485]=X;ka=ja+1|0;c[2142188]=ka;if((ka|0)>(F|0)){Ba=X;Ca=xa;break}else{ja=ka;_=X}}}ja=t+(Aa+x+Ca<<3)|0;h[ja>>3]=Ba+ +h[ja>>3];Aa=Aa+1|0;c[2142184]=Aa;}while((Aa|0)<=(A|0))}}while(0);A=c[b>>2]|0;c[2142188]=1;if((A|0)>=1){ya=1;do{h[2485]=0.0;c[2142196]=1;if((sa|0)<1){Da=0.0;Ea=ga(ta,w)|0}else{ja=ga(ya,w)|0;F=ga(ta,w)|0;ka=1;_=0.0;do{xa=ka+x|0;_=_+ +h[g+(xa+ja<<3)>>3]*+h[s+(xa+F<<3)>>3];h[2485]=_;ka=ka+1|0;}while((ka|0)<=(sa|0));c[2142196]=ka;Da=_;Ea=F}h[t+((c[d>>2]|0)+x+ya+Ea<<3)>>3]=Da;ya=ya+1|0;c[2142188]=ya;}while((ya|0)<=(A|0))}B=ta+1|0;c[2142186]=B;}while((B|0)<6);B=c[k>>2]|0;c[2142184]=1;h[2485]=0.0;c[2142196]=1;X=+h[2493];if((B|0)>=1){A=1;do{ya=1;da=0.0;do{ja=(ga(ya,w)|0)+x+A|0;h[8568640+(ya-1<<3)>>3]=X*+h[t+(ja<<3)>>3]*+h[s+(ja<<3)>>3];da=+h[8568640+(ya-1<<3)>>3]+da;h[2485]=da;ya=ya+1|0;}while((ya|0)<6);h[1071108]=+h[1071108]- +h[1071080]-da;ya=A-1|0;ja=t+(ya<<3)|0;xa=ea+A|0;ra=s+(xa<<3)|0;G=t+(xa<<3)|0;xa=s+(ya<<3)|0;K=+h[ja>>3]*+h[ra>>3]+ +h[G>>3]*+h[xa>>3];h[2481]=K;ya=N+A|0;qa=s+(ya<<3)|0;za=t+(ya<<3)|0;P=+h[G>>3]*+h[qa>>3]+ +h[za>>3]*+h[ra>>3];h[2480]=P;ya=Q+A|0;Fa=t+(ya<<3)|0;Ga=L+A|0;Ha=s+(Ga<<3)|0;Ia=t+(Ga<<3)|0;Ga=s+(ya<<3)|0;J=+h[Fa>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[Ga>>3];h[2479]=J;h[1071109]=+h[1071109]-K-X*(J+P);h[1071113]=+h[1071113]-X*(P-J);J=+h[ja>>3]*+h[Ga>>3]+ +h[Fa>>3]*+h[xa>>3];h[2481]=J;P=+h[G>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[ra>>3];h[2480]=P;K=+h[Fa>>3]*+h[qa>>3]+ +h[za>>3]*+h[Ga>>3];h[2479]=K;h[1071110]=+h[1071110]-J-X*(P-K);h[1071114]=+h[1071114]-X*(P+K);K=+h[ja>>3]*+h[qa>>3]+ +h[za>>3]*+h[xa>>3];h[2481]=K;h[1071111]=+h[1071082]+(+h[1071111]-K- +h[1071081]);K=+h[ja>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[xa>>3];h[2481]=K;P=+h[G>>3]*+h[Ga>>3]+ +h[Fa>>3]*+h[ra>>3];h[2480]=P;h[1071112]=+h[1071112]-K-P*X;h[1071115]=+h[1071115]- +h[1071083]+ +h[1071084];P=+h[za>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[qa>>3];h[2481]=P;h[1071116]=+h[1071116]-X*P;A=A+1|0;h[2485]=0.0}while((A|0)<=(B|0));c[2142184]=A;c[2142196]=1}B=1;P=0.0;do{K=+h[t+((ga(B,w)|0)+x+(c[m>>2]|0)<<3)>>3];h[8568640+(B-1<<3)>>3]=X*K*K;P=+h[8568640+(B-1<<3)>>3]+P;h[2485]=P;B=B+1|0;c[2142196]=B;}while((B|0)<6);K=+h[2503];J=K*+h[1071108]+ +h[1071080]+P;h[1071099]=J;O=+h[2478];B=c[m>>2]|0;A=t+(B-1<<3)|0;qa=t+(ea+B<<3)|0;T=O*+h[A>>3]*+h[qa>>3];h[2481]=T;Ia=t+(N+B<<3)|0;S=+h[qa>>3]*+h[Ia>>3];h[2480]=S;Ha=t+(Q+B<<3)|0;za=t+(L+B<<3)|0;R=+h[Ha>>3]*+h[za>>3];h[2479]=R;U=R+(K*+h[1071109]+T+S);h[1071100]=U;T=K*+h[1071113]+S-R;h[1071104]=T;R=O*+h[A>>3]*+h[Ha>>3];h[2481]=R;S=+h[qa>>3]*+h[za>>3];h[2480]=S;V=+h[Ha>>3]*+h[Ia>>3];h[2479]=V;h[1071101]=K*+h[1071110]+R+S-V;h[1071105]=K*+h[1071114]+S+V;V=O*+h[A>>3]*+h[Ia>>3];h[2481]=V;R=+h[1071081]+(V+K*+h[1071111])- +h[1071082];h[1071102]=R;V=O*+h[A>>3]*+h[za>>3];h[2481]=V;h[1071103]=V+K*+h[1071112]+ +h[qa>>3]*+h[Ha>>3];O=K*+h[1071115]+ +h[1071083]- +h[1071084];h[1071106]=O;h[1071107]=K*+h[1071116]+ +h[Ia>>3]*+h[za>>3];K=J+U+R+T+O;h[2485]=K;h[2499]=K;h[2500]=K;c[2142192]=0;O=+h[2477]/50.0;h[2482]=O;h[1071080]=+h[2491];c[2142196]=1;T=K;za=1;R=V;V=S;S=K;Ia=0;while(1){Ja=+(za|0)*O;U=+Y(Ja);h[1071081]=U;J=+Z(Ja);h[1071082]=J;Ha=4;E=U;C=J;D=U;U=J;while(1){J=D*E-U*C;h[8568640+(Ha-1<<3)>>3]=J;M=+h[1071081]*C+ +h[1071082]*E;h[8568640+(Ha<<3)>>3]=M;qa=Ha+2|0;if((qa|0)>=9){Ka=0.0;La=1;break}Ha=qa;E=J;C=M;D=+h[1071081];U=+h[1071082]}do{Ha=La-1|0;Ka=Ka+ +h[8568792+(Ha<<3)>>3]*+h[8568640+(Ha<<3)>>3];La=La+1|0;}while((La|0)<10);if(Ka<0.0){Ma=-0.0-Ka}else{Ma=Ka}if(S<0.0){Na=-0.0-S}else{Na=S}do{if(Ma>Na){h[2500]=Ka;c[2142192]=za;h[2481]=T;Oa=za;Pa=T;Qa=V;Ra=Ka}else{if((za|0)!=(Ia+1|0)){Oa=Ia;Pa=R;Qa=V;Ra=S;break}h[2480]=Ka;Oa=Ia;Pa=R;Qa=Ka;Ra=S}}while(0);Ha=za+1|0;if((Ha|0)>49){break}else{T=Ka;za=Ha;R=Pa;V=Qa;S=Ra;Ia=Oa}}c[2142188]=10;h[2485]=Ka;h[2502]=Ja;h[2484]=T;c[2142196]=50;if((Oa|0)==0){h[2481]=Ka;Sa=Qa;Ta=Ka}else if((Oa|0)==49){h[2480]=K;Sa=K;Ta=Pa}else{Sa=Qa;Ta=Pa}h[2486]=0.0;if(Ta!=Sa){S=Ta-Ra;h[2481]=S;V=Sa-Ra;h[2480]=V;R=X*(S-V)/(S+V);h[2486]=R;Ua=R}else{Ua=0.0}R=O*(+(Oa|0)+Ua);h[2502]=R;V=+Y(R);h[1071081]=V;S=+Z(R);h[1071082]=S;c[2142188]=4;Ia=4;R=V;P=S;U=V;V=S;while(1){S=U*R-V*P;h[8568640+(Ia-1<<3)>>3]=S;D=+h[1071081]*P+ +h[1071082]*R;h[8568640+(Ia<<3)>>3]=D;za=Ia+2|0;if((za|0)>=9){break}Ia=za;R=S;P=D;U=+h[1071081];V=+h[1071082]}h[q>>3]=0.0;h[2500]=0.0;c[2142188]=1;Ia=1;do{za=Ia-1|0;Ha=8568640+(za<<3)|0;h[q>>3]=+h[q>>3]+ +h[8568864+(za<<3)>>3]*+h[Ha>>3];h[2500]=+h[2500]+ +h[8568792+(za<<3)>>3]*+h[Ha>>3];Ia=Ia+1|0;}while((Ia|0)<10);c[2142188]=10;Ia=c[k>>2]|0;c[2142184]=1;if((Ia|0)>=1){Ha=1;do{h[p+(Ha-1<<3)>>3]=0.0;za=1;do{V=+h[t+((ga(za,w)|0)+x+Ha<<3)>>3];qa=p+(Ha-1<<3)|0;h[qa>>3]=+h[qa>>3]+V*+h[8568640+(za-1<<3)>>3];za=za+1|0;}while((za|0)<6);Ha=Ha+1|0;}while((Ha|0)<=(Ia|0));c[2142188]=6;c[2142184]=Ha}h[2483]=+h[p+((c[m>>2]|0)-1<<3)>>3];h[2501]=0.0;h[2481]=0.0;h[2480]=0.0;Ia=c[b>>2]|0;c[2142196]=1;if((Ia|0)<1){Va=0.0;Wa=0.0}else{za=1;do{qa=za-1|0;A=n+(qa<<3)|0;h[A>>3]=+h[1071081]*+h[A>>3]+ +h[1071082]*+h[r+(qa<<3)>>3];qa=za-1|0;A=n+(qa<<3)|0;B=o+(qa<<3)|0;h[B>>3]=+h[e+(qa<<3)>>3]+ +h[A>>3];V=+h[A>>3];h[2501]=+h[2501]+V*V;Xa=+h[2481]+ +h[A>>3]*+h[B>>3];h[2481]=Xa;V=+h[B>>3];Ya=+h[2480]+V*V;h[2480]=Ya;za=za+1|0;}while((za|0)<=(Ia|0));c[2142196]=za;Va=Xa;Wa=Ya}Ia=c[b>>2]|0;if((H|0)>=(Ia|0)){break}if((H|0)>1){V=+h[2498];U=+h[2499];h[2498]=V>=U?V:U}U=+h[2500];if(U<0.0){Za=-0.0-U}else{Za=U}V=+h[2498];if(V<0.0){_a=-0.0-V}else{_a=V}if(!(Za>_a*1.1)){break}h[2498]=U;c[2142196]=1;b:do{if((Ia|0)>=1){Ha=1;U=Va;V=Wa;while(1){B=Ha-1|0;P=U*+h[e+(B<<3)>>3]+V*+h[n+(B<<3)>>3]- +h[p+(B+(c[d>>2]|0)<<3)>>3];h[2482]=P;R=+h[2483]*+h[g+((c[m>>2]|0)+x+(ga(Ha,w)|0)<<3)>>3];h[r+(B<<3)>>3]=R+P*+h[2503];B=Ha+1|0;c[2142196]=B;if((B|0)>(Ia|0)){break b}Ha=B;U=+h[2481];V=+h[2480]}}}while(0);Ia=c[d>>2]|0;c[2142184]=1;if((Ia|0)>=1){za=1;do{h[2485]=0.0;Ha=c[b>>2]|0;c[2142188]=1;if((Ha|0)<1){$a=0.0}else{B=1;V=0.0;do{U=+h[f+((ga(B,u)|0)+v+za<<3)>>3];V=V+U*+h[o+(B-1<<3)>>3];h[2485]=V;B=B+1|0;}while((B|0)<=(Ha|0));c[2142188]=B;$a=V}Ha=c[b>>2]|0;U=$a*(+h[2483]*+h[o+(Ha-1+za<<3)>>3]- +h[2503]*+h[p+(za-1<<3)>>3]);h[2482]=U;c[2142196]=1;if((Ha|0)>=1){A=1;qa=2;P=U;while(1){U=P*+h[f+((ga(A,u)|0)+v+za<<3)>>3];ra=r+(A-1<<3)|0;h[ra>>3]=+h[ra>>3]+U;if((qa|0)>(Ha|0)){break}A=qa;qa=qa+1|0;P=+h[2482]}c[2142196]=qa}za=za+1|0;c[2142184]=za;}while((za|0)<=(Ia|0))}h[2489]=0.0;h[2496]=0.0;Ia=c[b>>2]|0;c[2142196]=1;if((Ia|0)<1){ab=0.0;bb=0.0}else{za=1;P=0.0;V=0.0;do{U=+h[r+(za-1<<3)>>3];P=P+U*U;h[2489]=P;A=za-1|0;V=V+ +h[n+(A<<3)>>3]*+h[r+(A<<3)>>3];h[2496]=V;za=za+1|0;}while((za|0)<=(Ia|0));c[2142196]=za;ab=P;bb=V}U=+h[2501];R=U*ab-bb*bb;h[2488]=R;if(R<U*1.0e-8*ab){break}H=H+1|0;ca=R;I=U;ba=bb}a[19936]=1;H=c[k>>2]|0;c[2142184]=1;if((H|0)<1){cb=+h[2491];db=c[l>>2]|0;eb=db-1|0;fb=p+(eb<<3)|0;gb=+h[fb>>3];hb=cb+gb;h[fb>>3]=hb;return 0}else{ib=1}do{h[o+(ib-1<<3)>>3]=0.0;k=1;do{bb=+h[s+((ga(k,w)|0)+x+ib<<3)>>3];r=o+(ib-1<<3)|0;h[r>>3]=+h[r>>3]+bb*+h[8568640+(k-1<<3)>>3];k=k+1|0;}while((k|0)<6);ib=ib+1|0;}while((ib|0)<=(H|0));c[2142188]=6;c[2142184]=ib;cb=+h[2491];db=c[l>>2]|0;eb=db-1|0;fb=p+(eb<<3)|0;gb=+h[fb>>3];hb=cb+gb;h[fb>>3]=hb;return 0}function Oga(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;var u=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0,V=0.0,X=0.0,_=0.0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0,qa=0.0,ra=0.0,sa=0.0,ta=0,ua=0.0,va=0.0;u=c[d>>2]|0;v=~u;w=c[k>>2]|0;k=~w;h[2461]=.5;h[2459]=1.0;h[2445]=6.283185307179586;x=+h[m>>3];h[2465]=x*x;y=u-1-(c[b>>2]|0)|0;c[2142148]=y;c[2142154]=0;z=c[d>>2]|0;c[2142150]=1;if((z|0)>=1){A=1;do{h[p+(A-1<<3)>>3]=0.0;A=A+1|0;}while((A|0)<=(z|0));c[2142150]=A}c[2142152]=1;A=c[l>>2]|0;if((y|0)<1){B=A}else{z=1;C=A;while(1){A=ga(z,u)|0;x=+h[i+(A+v+C<<3)>>3];h[2448]=x;if((z|0)<(c[j>>2]|0)){D=-0.0-x;h[2448]=D;E=D}else{E=x}F=c[d>>2]|0;c[2142150]=1;if((F|0)>=1){G=1;H=2;x=E;while(1){I=p+(G-1<<3)|0;h[I>>3]=+h[I>>3]+x*+h[i+(G+v+A<<3)>>3];if((H|0)>(F|0)){break}G=H;H=H+1|0;x=+h[2448]}c[2142150]=H}G=z+1|0;c[2142152]=G;F=c[l>>2]|0;if((G|0)>(y|0)){B=F;break}else{z=G;C=F}}}h[o>>3]=+h[p+(B-1<<3)>>3];h[2466]=0.0;B=c[b>>2]|0;c[2142158]=1;if((B|0)>=1){o=1;do{C=c[l>>2]|0;E=+h[f+((ga(o,u)|0)+v+C<<3)>>3];z=o-1|0;y=n+(z<<3)|0;h[y>>3]=E- +h[e+(z<<3)>>3];h[q+(z<<3)>>3]=+h[g+(C+k+(ga(o,w)|0)<<3)>>3];h[r+(z<<3)>>3]=0.0;E=+h[y>>3];h[2466]=+h[2466]+E*E;o=o+1|0;c[2142158]=o;}while((o|0)<=(B|0))}B=c[d>>2]|0;c[2142150]=1;if((B|0)>=1){o=1;do{h[2448]=0.0;h[2453]=0.0;w=c[b>>2]|0;c[2142152]=1;if((w|0)<1){J=0.0;K=0.0}else{k=o+v|0;g=1;E=0.0;x=0.0;do{D=+h[f+((ga(g,u)|0)+v+o<<3)>>3];E=E+D*+h[e+(g-1<<3)>>3];h[2448]=E;D=+h[f+(k+(ga(g,u)|0)<<3)>>3];x=x+D*+h[n+(g-1<<3)>>3];h[2453]=x;g=g+1|0;}while((g|0)<=(w|0));c[2142152]=g;J=E;K=x}w=p+(o-1<<3)|0;D=+h[w>>3]*J;h[2448]=D;h[2453]=+h[w>>3]*K;w=c[b>>2]|0;c[2142158]=1;if((w|0)>=1){k=o+v|0;H=1;L=D;while(1){D=L*+h[f+((ga(H,u)|0)+v+o<<3)>>3];l=q+(H-1<<3)|0;h[l>>3]=+h[l>>3]+D;D=+h[2453]*+h[f+(k+(ga(H,u)|0)<<3)>>3];l=r+(H-1<<3)|0;h[l>>3]=+h[l>>3]+D;M=H+1|0;if((M|0)>(w|0)){break}H=M;L=+h[2448]}c[2142158]=M}o=o+1|0;c[2142150]=o;}while((o|0)<=(B|0))}h[2462]=0.0;h[2457]=0.0;h[2463]=0.0;B=c[b>>2]|0;c[2142158]=1;if((B|0)<1){N=0.0;O=0.0;P=0.0}else{o=1;K=0.0;J=0.0;L=0.0;do{x=+h[q+(o-1<<3)>>3];K=K+x*x;h[2462]=K;M=o-1|0;e=n+(M<<3)|0;J=J+ +h[e>>3]*+h[q+(M<<3)>>3];h[2457]=J;L=L+ +h[e>>3]*+h[r+(M<<3)>>3];h[2463]=L;o=o+1|0;}while((o|0)<=(B|0));c[2142158]=o;N=J;O=L;P=K}K=+h[2466];L=+h[m>>3]/+W(K);if(N*O<0.0){Q=-0.0-L}else{Q=L}h[2458]=Q;h[2448]=0.0;if(N*N>K*.99*P){h[2448]=+h[2459]}if(N<0.0){R=-0.0-N}else{R=N}if(O<0.0){S=-0.0-O}else{S=O}O=Q*(R+ +h[2461]*Q*S);h[2452]=O;if(P*+h[2465]<O*O*.01){h[2448]=+h[2459]}m=c[b>>2]|0;c[2142158]=1;if((m|0)<1){T=0}else{o=0;B=1;O=Q;while(1){M=n+(o<<3)|0;h[M>>3]=O*+h[M>>3];M=B-1|0;e=r+(M<<3)|0;Q=+h[2458]*+h[e>>3];h[e>>3]=Q;h[s+(M<<3)>>3]=+h[q+(M<<3)>>3]+ +h[2448]*Q;U=B+1|0;if((U|0)>(m|0)){break}o=B;B=U;O=+h[2458]}c[2142158]=U;T=0}while(1){U=T+1|0;c[2142154]=U;h[2466]=0.0;h[2457]=0.0;h[2456]=0.0;B=c[b>>2]|0;c[2142158]=1;if((B|0)<1){V=0.0;X=0.0;_=0.0}else{o=1;O=0.0;Q=0.0;P=0.0;do{S=+h[n+(o-1<<3)>>3];O=O+S*S;h[2466]=O;m=o-1|0;M=s+(m<<3)|0;Q=Q+ +h[n+(m<<3)>>3]*+h[M>>3];h[2457]=Q;S=+h[M>>3];P=P+S*S;h[2456]=P;o=o+1|0;}while((o|0)<=(B|0));c[2142158]=o;V=O;X=P;_=Q}S=V*X-_*_;h[2448]=S;if(!(S>V*1.0e-8*X)){$=88;break}R=+W(S);h[2464]=R;B=c[b>>2]|0;c[2142158]=1;if((B|0)>=1){M=0;m=1;S=V;N=_;K=R;while(1){e=s+(M<<3)|0;h[e>>3]=(S*+h[e>>3]-N*+h[n+(M<<3)>>3])/K;h[t+(m-1<<3)>>3]=0.0;aa=m+1|0;if((aa|0)>(B|0)){break}M=m;m=aa;S=+h[2466];N=+h[2457];K=+h[2464]}c[2142158]=aa}m=c[d>>2]|0;c[2142150]=1;if((m|0)>=1){M=1;do{h[2453]=0.0;B=c[b>>2]|0;c[2142152]=1;if((B|0)<1){ba=0.0}else{o=1;K=0.0;do{N=+h[f+((ga(o,u)|0)+v+M<<3)>>3];K=K+N*+h[s+(o-1<<3)>>3];h[2453]=K;o=o+1|0;}while((o|0)<=(B|0));c[2142152]=o;ba=K}N=+h[p+(M-1<<3)>>3]*ba;h[2453]=N;B=c[b>>2]|0;c[2142158]=1;if((B|0)>=1){e=1;H=2;S=N;while(1){N=S*+h[f+((ga(e,u)|0)+v+M<<3)>>3];w=t+(e-1<<3)|0;h[w>>3]=+h[w>>3]+N;if((H|0)>(B|0)){break}e=H;H=H+1|0;S=+h[2453]}c[2142158]=H}M=M+1|0;c[2142150]=M;}while((M|0)<=(m|0))}h[2472]=0.0;h[2471]=0.0;h[2470]=0.0;h[2469]=0.0;h[2468]=0.0;m=c[b>>2]|0;c[2142158]=1;if((m|0)<1){ca=0.0;da=0.0;ea=0.0;fa=0.0;ha=0.0}else{M=1;S=0.0;K=0.0;N=0.0;Q=0.0;P=0.0;do{e=M-1|0;S=S+ +h[s+(e<<3)>>3]*+h[t+(e<<3)>>3];h[2472]=S;e=M-1|0;B=n+(e<<3)|0;o=q+(e<<3)|0;K=K+ +h[B>>3]*+h[o>>3];h[2471]=K;w=s+(e<<3)|0;N=N+ +h[w>>3]*+h[o>>3];h[2470]=N;o=r+(e<<3)|0;Q=Q+ +h[B>>3]*+h[o>>3];h[2469]=Q;P=P+ +h[w>>3]*+h[o>>3];h[2468]=P;M=M+1|0;}while((M|0)<=(m|0));c[2142158]=M;ca=S;da=Q;ea=K;fa=N;ha=P}O=+h[2461];R=O*ca;h[2472]=R;L=O*da-R;h[2469]=L;J=R+ea+L;h[2451]=J;h[2450]=J;h[2449]=J;c[2142156]=0;a[19680]=1;x=+h[2445]/50.0;h[2448]=x;c[2142158]=1;m=1;E=J;D=J;o=0;while(1){ia=+(m|0)*x;ja=+Y(ia);ka=+Z(ia);la=R+ja*(ea+ja*L)+ka*(fa+ja*ha);if(la<0.0){ma=-0.0-la}else{ma=la}if(D<0.0){na=-0.0-D}else{na=D}do{if(ma>na){h[2450]=la;c[2142156]=m;h[2447]=E;oa=la;pa=m}else{if((m|0)!=(o+1|0)){oa=D;pa=o;break}h[2446]=la;oa=D;pa=o}}while(0);H=m+1|0;if((H|0)<50){m=H;E=la;D=oa;o=pa}else{break}}h[2473]=ia;h[2467]=ja;h[2454]=ka;h[2452]=la;c[2142158]=50;h[2449]=la;if((pa|0)==0){h[2447]=la;$=74}else if((pa|0)==49){h[2446]=J;qa=J}else{$=74}if(($|0)==74){$=0;qa=+h[2446]}h[2455]=0.0;D=+h[2447];if(D!=qa){E=D-oa;h[2447]=E;D=qa-oa;h[2446]=D;P=O*(E-D)/(E+D);h[2455]=P;ra=P}else{ra=0.0}P=x*(+(pa|0)+ra);h[2473]=P;D=+Y(P);h[2467]=D;E=+Z(P);h[2454]=E;P=R+D*(ea+D*L)+E*(fa+D*ha);h[2452]=P;o=c[b>>2]|0;c[2142158]=1;if((o|0)<1){sa=P}else{m=0;M=1;P=D;D=E;while(1){H=n+(m<<3)|0;h[H>>3]=P*+h[H>>3]+D*+h[s+(m<<3)>>3];H=M-1|0;w=r+(H<<3)|0;E=+h[2467]*+h[w>>3]+ +h[2454]*+h[t+(H<<3)>>3];h[w>>3]=E;h[s+(H<<3)>>3]=+h[q+(H<<3)>>3]+E;ta=M+1|0;if((ta|0)>(o|0)){break}m=M;M=ta;P=+h[2467];D=+h[2454]}c[2142158]=ta;sa=+h[2452]}if(sa<0.0){ua=-0.0-sa}else{ua=sa}D=+h[2451];if(D<0.0){va=-0.0-D}else{va=D}if(!(ua>va*1.1)){$=88;break}if((U|0)<(c[b>>2]|0)){T=U}else{$=88;break}}if(($|0)==88){return 0}return 0}function Pga(b,d,e,f,g,h,i,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0;a[8]=1;a[16]=1;c[25]=6;lya(96)|0;m=c[d>>2]|0;c[2136440]=1;if((m|0)>=1){d=1;do{Cxa(19512,b+(d-1)|0,1)|0;d=(c[2136440]|0)+1|0;c[2136440]=d;}while((d|0)<=(m|0))}Vxa()|0;m=c[g>>2]|0;if((m|0)==1){c[19]=a[16]|0?6:0;lya(72)|0;Cxa(19512,h,4)|0;Vxa()|0;n=c[g>>2]|0}else{n=m}if((n|0)==2){c[13]=a[16]|0?6:0;lya(48)|0;Cxa(19512,h,4)|0;Cxa(19512,i,4)|0;Vxa()|0}i=c[j>>2]|0;if((i|0)==1){c[7]=a[16]|0?6:0;lya(24)|0;Cxa(19512,k,8)|0;Vxa()|0;o=c[j>>2]|0}else{o=i}if((o|0)==2){c[31]=a[16]|0?6:0;lya(120)|0;Cxa(19512,k,8)|0;Cxa(19512,l,8)|0;Vxa()|0}if((c[f>>2]|0)!=2){return 0}kxa(8568952,0)|0;return 0}function Qga(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;var y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0.0,T=0.0,U=0.0,V=0.0,W=0,X=0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0;y=i;i=i+8|0;z=y|0;A=c[k>>2]|0;a:do{if((A|0)==0){B=2;while(1){c[2142058]=B;if((B|0)>=12){break}if((c[k+(B-1<<2)>>2]|0)>>>0<2>>>0){B=B+1|0}else{C=208;break a}}if((c[d>>2]|0)<1){rxa(8568056,121880,80,25);Pga(8568056,19320,19336,8568520,19448,d,8568520,8568520,18824,18824,80)|0;break}c[2142012]=5;B=q+8|0;do{if((c[k+32>>2]|0)==0){D=5}else{E=c[B>>2]|0;c[2142012]=E;if(!((E-1|0)>>>0>4>>>0)){D=E;break}rxa(8568056,119456,80,34);Pga(8568056,19272,19288,8568520,19448,8568048,8568520,8568520,18824,18824,80)|0;break a}}while(0);c[B>>2]=D;b:do{if((c[k+20>>2]|0)==0){E=c[d>>2]|0;F=ga(E,E)|0;c[2142048]=F;c[2142046]=F+50+(ga((c[B>>2]|0)+4|0,c[d>>2]|0)|0);F=q+12|0;if((c[k+16>>2]|0)==0){c[F>>2]=2;break}else{c[F>>2]=1;break}}else{F=c[q>>2]|0;do{if((F|0)>=0){E=c[d>>2]|0;if((F|0)>=(E|0)){break}G=q+4|0;H=c[G>>2]|0;if(!((H|0)>-1&(H|0)<(E|0))){rxa(8568056,84616,80,52);Pga(8568056,19144,19432,8568520,19448,G,8568520,8568520,18824,18824,80)|0;break a}c[2142048]=ga((F<<1|1)+H|0,E)|0;E=q+12|0;if((c[k+16>>2]|0)==0){c[E>>2]=5;H=c[d>>2]|0;I=ga((c[B>>2]|0)+4|0,H)|0;c[2142046]=(((H|0)/((c[q>>2]|0)+1+(c[G>>2]|0)|0)|0)<<1)+52+(c[2142048]|0)+I;break b}else{c[E>>2]=4;E=(ga((c[B>>2]|0)+4|0,c[d>>2]|0)|0)+50|0;c[2142046]=E+(c[2142048]|0);break b}}}while(0);rxa(8568056,86520,80,52);Pga(8568056,19144,19440,8568520,19448,q,8568520,8568520,18824,18824,80)|0;break a}}while(0);c[2142050]=(c[d>>2]|0)+20;c[q+64>>2]=c[2142048];if((c[p>>2]|0)<(c[2142046]|0)){rxa(8568056,116936,80,60);Pga(8568056,19112,19208,8568520,19336,8568184,p,8568520,18824,18824,80)|0;break}if((c[r>>2]|0)<(c[2142050]|0)){rxa(8568056,114728,80,60);Pga(8568056,19112,19152,8568520,19336,8568200,r,8568520,18824,18824,80)|0;break}if(+h[j>>3]==+h[e>>3]){C=225;break}if((c[w>>2]|0)<0){rxa(8568056,78808,80,24);Pga(8568056,19328,19296,19448,19448,w,8568520,8568520,18824,18824,80)|0;break}do{if((c[k+24>>2]|0)!=0){J=+h[o+8>>3];h[2277]=J;if(J>0.0){break}rxa(8568056,101528,80,28);Pga(8568056,19312,19536,8568520,8568520,8568520,8568520,19448,18216,18824,80)|0;break a}}while(0);c[q+60>>2]=0;lKa(q+36|0,0,16)|0;c[n>>2]=1;C=26}else if((A|0)==(-1|0)){rxa(8568056,40880,80,49);Pga(8568056,19160,19360,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0;rxa(8568056,151328,80,47);Pga(8568056,19176,19352,8568520,19448,n,8568520,8568520,18824,18824,80)|0;rxa(8568056,116416,80,41);Pga(8568056,19216,19344,19448,8568520,8568520,8568520,8568520,18824,18824,80)|0;i=y;return 0}else if((A|0)==1){c[q+36>>2]=c[q+40>>2];C=26}else{C=208}}while(0);c:do{if((C|0)==26){a[18192]=0;J=+h[l>>3];h[2272]=J;K=+h[m>>3];h[2280]=K;A=c[d>>2]|0;c[2142058]=1;do{if((A|0)>=1){r=k+4|0;p=1;D=0;L=J;M=K;while(1){if((c[r>>2]|0)==1){B=p-1|0;N=+h[l+(B<<3)>>3];h[2272]=N;O=+h[m+(B<<3)>>3];h[2280]=O;P=N;Q=O}else{P=L;Q=M}if(P>0.0|Q>0.0){a[18192]=1;R=1}else{R=D}if(P<0.0){C=213;break}if(Q<0.0){C=214;break}B=p+1|0;c[2142058]=B;if((B|0)>(A|0)){C=35;break}else{p=B;D=R;L=P;M=Q}}if((C|0)==35){if(!R){break}D=c[d>>2]|0;p=D+51|0;c[2142044]=p;r=p+(c[w>>2]|0)|0;c[2142042]=r;p=r+(c[w>>2]|0)|0;c[2142040]=p;B=p+(c[w>>2]|0)|0;c[2142052]=B;F=B+(c[d>>2]|0)|0;c[2142034]=F;E=F+(c[d>>2]|0)|0;c[2142038]=E;c[2142036]=(ga((c[q+8>>2]|0)+1|0,c[d>>2]|0)|0)+E;c[2142010]=(c[q+64>>2]|0)+1;d:do{if((c[k>>2]|0)==1){F=o+64|0;h[2269]=+h[F>>3];a[18232]=0;h[2271]=+h[o+24>>3];I=o+16|0;h[2278]=+h[I>>3];do{if((c[w>>2]|0)!=0){Rga(19336,v,w,d,18168,j,f,o+(B-1<<3)|0,o+(E-1<<3)|0,o+224|0,q+28|0,o+(D+50<<3)|0,o+(r-1<<3)|0,o+(p-1<<3)|0,x,8568224,F,0,o,q,s,t)|0;if((c[2138836]|0)>0){i=y;return 0}if((c[2142056]|0)!=1){break}c[q+68>>2]=1;c[n>>2]=4;h[e>>3]=+h[o+320>>3];mha(d,o+((c[2142052]|0)-1<<3)|0,19448,g,19448)|0;a[18232]=1;C=195;break d}}while(0);do{if((c[k+24>>2]|0)!=0){M=+h[2278];if(M<0.0){S=-0.0-M}else{S=M}L=S/+h[o+8>>3];if(!(L>1.0)){break}h[2278]=M/L}}while(0);L=+h[e>>3];M=+h[j>>3];if(L==M){C=225;break c}O=+h[2278];if((L-M)*O>0.0){C=218;break}F=(c[k+8>>2]|0)==1;do{if((c[k+12>>2]|0)==1){N=+h[o>>3];h[2270]=N;T=+h[2271];U=T-N;G=U*O>0.0;do{if(F){if(G){C=222;break d}V=+h[j>>3];if(O*(N-V)<0.0){C=216;break d}if(!(O*(T- +h[e>>3])>0.0)){break}H=q+28|0;W=o+((c[2142038]|0)-1<<3)|0;X=o+224|0;if(O*(T-V)>0.0){Wga(18168,j,f,g,d,H,W,X)|0;if((c[2138836]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18232]=1;C=195;break d}}else{Wga(18168,18168,f,g,d,H,W,X)|0;if((c[2138836]|0)>0){i=y;return 0}else{h[e>>3]=+h[2271];c[n>>2]=1;a[18232]=1;C=195;break d}}}else{if(G){C=222;break d}V=+h[j>>3];if(O*(N-V)<0.0){C=216;break d}if(O*(T-V)<0.0){break}Wga(18168,j,f,g,d,q+28|0,o+((c[2142038]|0)-1<<3)|0,o+224|0)|0;if((c[2138836]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18232]=1;C=195;break d}}}while(0);h[z>>3]=U;if(U<0.0){Y=-0.0-U}else{Y=U}if(T<0.0){Z=-0.0-T}else{Z=T}if(O<0.0){_=-0.0-O}else{_=O}if(Y>+h[2269]*100.0*(Z+_)){if(!(O*(T+O-N)>0.0)){break}V=N-T;h[2278]=V;h[I>>3]=V;break}Wga(18168,18160,f,g,d,q+28|0,o+((c[2142038]|0)-1<<3)|0,o+224|0)|0;if((c[2138836]|0)>0){i=y;return 0}else{c[n>>2]=2;h[e>>3]=+h[2270];a[18232]=1;C=195;break d}}else{V=+h[2271];if(!F){if(O*(V-M)<0.0){break}Wga(18168,j,f,g,d,q+28|0,o+((c[2142038]|0)-1<<3)|0,o+224|0)|0;if((c[2138836]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18232]=1;C=195;break d}}if(!(O*(V-L)>0.0)){break}G=q+28|0;X=o+((c[2142038]|0)-1<<3)|0;W=o+224|0;if(O*(V-M)>0.0){Wga(18168,j,f,g,d,G,X,W)|0;if((c[2138836]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18232]=1;C=195;break d}}else{Wga(18168,18168,f,g,d,G,X,W)|0;if((c[2138836]|0)>0){i=y;return 0}else{h[e>>3]=+h[2271];c[n>>2]=1;a[18232]=1;C=195;break d}}}}while(0);if(a[18232]|0){C=195}else{C=126}}else{h[2271]=+h[e>>3];c[n>>2]=1;Tga(d,k+4|0,l,m,f,o+((c[2142034]|0)-1<<3)|0,s,t)|0;F=c[d>>2]|0;I=c[2142034]|0;W=1;while(1){if((W|0)>(F|0)){break}if(+h[o+(W-2+I<<3)>>3]>0.0){W=W+1|0}else{C=220;break}}if((C|0)==220){c[2142058]=W;rxa(8568056,93776,80,39);Pga(8568056,19232,19496,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0;break c}c[2142058]=W;M=+_ga(91184,1);h[2269]=M;I=o+64|0;h[I>>3]=M;M=+h[e>>3];if(M<0.0){$=-0.0-M}else{$=M}h[z>>3]=$;M=+h[j>>3];if(M<0.0){aa=-0.0-M}else{aa=M}M=+h[2269]*4.0*($>=aa?$:aa);h[2276]=M;O=+h[j>>3]- +h[e>>3];h[z>>3]=O;if(O<0.0){ba=-0.0-O}else{ba=O}if(ba<M){rxa(8568056,91648,80,60);Pga(8568056,19112,19464,8568520,8568520,8568520,8568520,19336,j,e,80)|0;break c}do{if((c[k+28>>2]|0)==0){h[2275]=ba*.001;M=+Uga(d,g,o+((c[2142034]|0)-1<<3)|0,s,t);if(M>.5/+h[2275]){h[2275]=.5/M}h[z>>3]=+h[j>>3]- +h[e>>3];M=+oxa(18200,z);h[2275]=M;ca=M}else{M=+h[o+16>>3];h[2275]=M;if(M*(+h[j>>3]- +h[e>>3])<0.0){C=218;break d}if(!(M==0.0)){ca=M;break}rxa(8568056,96568,80,29);Pga(8568056,19304,19504,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0;break c}}while(0);do{if((c[k+24>>2]|0)==0){da=ca}else{if(ca<0.0){ea=-0.0-ca}else{ea=ca}M=ea/+h[o+8>>3];if(!(M>1.0)){da=ca;break}O=ca/M;h[2275]=O;da=O}}while(0);if((c[k+12>>2]|0)==0){fa=da}else{O=+h[o>>3];h[2270]=O;M=+h[e>>3];L=O-M;if(L*da<0.0){C=222;break}if(da*(M+da-O)>0.0){h[2275]=L;ha=L}else{ha=da}if((O- +h[j>>3])*ha<0.0){C=216;break}else{fa=ha}}W=k+40|0;if((c[W>>2]|0)==0){ia=fa}else{Vga(18168,f,g,d,b,u,18200,o+((c[2142034]|0)-1<<3)|0,n,s,t,o+((c[2142038]|0)-1<<3)|0,o+400|0,o+((c[2142052]|0)-1<<3)|0,o+((c[2142036]|0)-1<<3)|0,q,18208,I,k+36|0,8568040)|0;if((c[2138836]|0)>0){i=y;return 0}F=c[n>>2]|0;if((F|0)<0){ja=F;C=127;break}ia=+h[2275]}h[2278]=ia;h[o+16>>3]=ia;F=c[2142038]|0;X=(c[d>>2]|0)+F|0;c[2142054]=X;G=c[d>>2]|0;c[2142058]=1;if((G|0)>=1){H=1;do{h[o+(H-2+F<<3)>>3]=+h[f+(H-1<<3)>>3];h[o+(H-2+X<<3)>>3]=+h[2278]*+h[g+(H-1<<3)>>3];H=H+1|0;}while((H|0)<=(G|0));c[2142058]=H}G=o+320|0;h[G>>3]=+h[e>>3];X=q+68|0;c[X>>2]=0;F=o+224|0;h[F>>3]=+h[2278];h[o+232>>3]=+h[2278]*2.0;ka=q+28|0;c[ka>>2]=1;if((c[w>>2]|0)==0){C=126;break}Rga(19448,v,w,d,e,j,f,o+((c[2142052]|0)-1<<3)|0,o+((c[2142038]|0)-1<<3)|0,F,ka,o+((c[2142044]|0)-1<<3)|0,o+((c[2142042]|0)-1<<3)|0,o+((c[2142040]|0)-1<<3)|0,x,8568224,I,0,o,q,s,t)|0;if((c[2138836]|0)>0){i=y;return 0}if((c[2142056]|0)!=0){rxa(8568056,76784,80,47);Pga(8568056,19176,19280,19448,8568520,8568520,8568520,8568520,18824,18824,80)|0;rxa(8568056,74544,80,38);Pga(8568056,19248,19280,19448,8568520,8568520,8568520,8568520,18824,18824,80)|0;break c}if((c[w>>2]|0)==0){C=126;break}if((c[W>>2]|0)==0){C=126;break}Rga(19288,v,w,d,18168,j,f,o+((c[2142052]|0)-1<<3)|0,o+((c[2142038]|0)-1<<3)|0,F,ka,o+((c[2142044]|0)-1<<3)|0,o+((c[2142042]|0)-1<<3)|0,o+((c[2142040]|0)-1<<3)|0,x,8568224,I,0,o,q,s,t)|0;if((c[2138836]|0)>0){i=y;return 0}if((c[2142056]|0)!=1){C=126;break}c[X>>2]=1;c[n>>2]=4;h[e>>3]=+h[G>>3];mha(d,o+((c[2142052]|0)-1<<3)|0,19448,g,19448)|0;C=195}}while(0);if((C|0)==216){rxa(8568056,104584,80,54);Pga(8568056,19136,18872,8568520,8568520,8568520,8568520,19336,18160,j,80)|0;break c}else if((C|0)==218){rxa(8568056,99360,80,34);Pga(8568056,19272,19528,8568520,8568520,8568520,8568520,19336,j,e,80)|0;break c}else if((C|0)==222){rxa(8568056,89192,80,49);Pga(8568056,19160,19456,8568520,8568520,8568520,8568520,19336,18160,e,80)|0;break c}e:while(1){if((C|0)==126){C=0;ja=c[n>>2]|0;C=127;continue}else if((C|0)==127){C=0;if((ja|0)==-12){la=-12;break}if(((c[q+40>>2]|0)-(c[q+36>>2]|0)|0)>=500){C=129;break}ma=k+4|0;Tga(d,ma,l,m,o+((c[2142038]|0)-1<<3)|0,o+((c[2142034]|0)-1<<3)|0,s,t)|0;if((c[2138836]|0)>0){C=231;break}p=c[d>>2]|0;r=c[2142034]|0;na=1;while(1){if((na|0)>(p|0)){break}if(+h[o+(na-2+r<<3)>>3]>0.0){na=na+1|0}else{C=134;break e}}c[2142058]=na;O=+Uga(d,o+((c[2142038]|0)-1<<3)|0,o+(r-1<<3)|0,s,t)*100.0;L=+h[2269];oa=O*L;h[2273]=oa;if(oa>1.0){C=136;break}O=+h[2271];if(O<0.0){pa=-0.0-O}else{pa=O}h[z>>3]=pa;O=+h[j>>3];if(O<0.0){qa=-0.0-O}else{qa=O}h[2276]=L*4.0*(pa>=qa?pa:qa);do{if((c[k+24>>2]|0)!=0){L=+h[2278];if(L<0.0){ra=-0.0-L}else{ra=L}O=ra/+h[o+8>>3];if(!(O>1.0)){break}h[2278]=L/O}}while(0);Xga(18168,f,g,d,b,u,18224,o+((c[2142034]|0)-1<<3)|0,k,n,s,t,o+((c[2142038]|0)-1<<3)|0,o+400|0,o+((c[2142052]|0)-1<<3)|0,o+((c[2142036]|0)-1<<3)|0,q,o+80|0,o+128|0,o+176|0,o+224|0,o+272|0,o+32|0,o+40|0,o+48|0,o+56|0,18208,o+64|0,q+20|0,q+16|0,q+24|0,q+28|0,q+32|0,k+36|0,8568040)|0;if((c[2138836]|0)>0){C=231;break}r=c[n>>2]|0;if((r|0)<0){la=r;break}do{if((c[w>>2]|0)!=0){Rga(19288,v,w,d,18168,j,f,o+((c[2142052]|0)-1<<3)|0,o+((c[2142038]|0)-1<<3)|0,o+224|0,q+28|0,o+((c[2142044]|0)-1<<3)|0,o+((c[2142042]|0)-1<<3)|0,o+((c[2142040]|0)-1<<3)|0,x,8568224,o+64|0,0,o,q,s,t)|0;if((c[2138836]|0)>0){C=231;break e}if((c[2142056]|0)!=1){break}c[q+68>>2]=1;c[n>>2]=4;h[e>>3]=+h[o+320>>3];mha(d,o+((c[2142052]|0)-1<<3)|0,19448,g,19448)|0;C=195;continue e}}while(0);r=(c[k+8>>2]|0)!=0;O=+h[2271];L=+h[2278];M=(O- +h[j>>3])*L;if((c[k+12>>2]|0)==0){if(!r){if(M<0.0){C=126;continue}Wga(18168,j,f,g,d,q+28|0,o+((c[2142038]|0)-1<<3)|0,o+224|0)|0;if((c[2138836]|0)>0){C=231;break}c[n>>2]=3;h[e>>3]=+h[j>>3];C=195;continue}if(M<0.0){h[e>>3]=O;c[n>>2]=1;C=195;continue}Wga(18168,j,f,g,d,q+28|0,o+((c[2142038]|0)-1<<3)|0,o+224|0)|0;if((c[2138836]|0)>0){C=231;break}c[n>>2]=3;h[e>>3]=+h[j>>3];C=195;continue}if(r){if(!(M<0.0)){Wga(18168,j,f,g,d,q+28|0,o+((c[2142038]|0)-1<<3)|0,o+224|0)|0;if((c[2138836]|0)>0){C=231;break}h[e>>3]=+h[j>>3];c[n>>2]=3;C=195;continue}V=O- +h[2270];h[z>>3]=V;if(V<0.0){sa=-0.0-V}else{sa=V}if(O<0.0){ta=-0.0-O}else{ta=O}if(L<0.0){ua=-0.0-L}else{ua=L}if(sa>+h[2269]*100.0*(ta+ua)){h[e>>3]=O;c[n>>2]=1;C=195;continue}Wga(18168,18160,f,g,d,q+28|0,o+((c[2142038]|0)-1<<3)|0,o+224|0)|0;if((c[2138836]|0)>0){C=231;break}c[n>>2]=2;h[e>>3]=+h[2270];C=195;continue}if(!(M<0.0)){Wga(18168,j,f,g,d,q+28|0,o+((c[2142038]|0)-1<<3)|0,o+224|0)|0;if((c[2138836]|0)>0){C=231;break}h[e>>3]=+h[j>>3];c[n>>2]=3;C=195;continue}M=+h[2270];V=O-M;h[z>>3]=V;if(V<0.0){va=-0.0-V}else{va=V}if(O<0.0){wa=-0.0-O}else{wa=O}if(L<0.0){xa=-0.0-L}else{xa=L}if(va>+h[2269]*100.0*(wa+xa)){if(!(L*(O+L-M)>0.0)){C=126;continue}h[2278]=M-O;C=126;continue}else{Wga(18168,18160,f,g,d,q+28|0,o+((c[2142038]|0)-1<<3)|0,o+224|0)|0;if((c[2138836]|0)>0){C=231;break}c[n>>2]=2;h[e>>3]=+h[2270];C=195;continue}}else if((C|0)==195){C=0;h[o+24>>3]=+h[2271];h[o+16>>3]=+h[2278];h[o+328>>3]=+h[e>>3];C=231;break}}do{if((C|0)==129){c[n>>2]=-1;la=-1}else if((C|0)==134){c[2142058]=na;c[n>>2]=-3;la=-3}else if((C|0)==136){if((c[ma>>2]|0)!=1){h[l>>3]=oa*+h[l>>3];h[m>>3]=+h[2273]*+h[m>>3];c[n>>2]=-2;la=-2;break}r=c[d>>2]|0;c[2142058]=1;if((r|0)>=1){p=0;I=1;O=oa;while(1){W=l+(p<<3)|0;h[W>>3]=O*+h[W>>3];W=m+(I-1<<3)|0;h[W>>3]=+h[2273]*+h[W>>3];ya=I+1|0;if((ya|0)>(r|0)){break}p=I;I=ya;O=+h[2273]}c[2142058]=ya}c[n>>2]=-2;la=-2}else if((C|0)==231){i=y;return 0}}while(0);I=-la|0;c[2142054]=I;switch(I|0){case 2:{rxa(8568056,42328,80,47);Pga(8568056,19176,19080,8568520,8568520,8568520,8568520,19448,18168,18824,80)|0;rxa(8568056,35720,80,48);Pga(8568056,19168,19072,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0;rxa(8568056,30152,80,45);Pga(8568056,19192,19064,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0;break};case 6:{rxa(8568056,174824,80,44);Pga(8568056,19200,19040,8568520,8568520,8568520,8568520,19336,18168,18224,80)|0;rxa(8568056,168712,80,57);Pga(8568056,19120,19032,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0;break};case 3:{rxa(8568056,23232,80,38);Pga(8568056,19248,19056,8568520,8568520,8568520,8568520,19448,18168,18824,80)|0;rxa(8568056,181464,80,28);Pga(8568056,19312,19048,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0;break};case 7:{rxa(8568056,174824,80,44);Pga(8568056,19200,19024,8568520,8568520,8568520,8568520,19336,18168,18224,80)|0;rxa(8568056,163744,80,48);Pga(8568056,19168,19016,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0;rxa(8568056,159896,80,28);Pga(8568056,19312,19008,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0;break};case 8:{rxa(8568056,174824,80,44);Pga(8568056,19200,19e3,8568520,8568520,8568520,8568520,19336,18168,18224,80)|0;rxa(8568056,155392,80,37);Pga(8568056,19256,18992,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0;break};case 9:{rxa(8568056,174824,80,44);Pga(8568056,19200,18984,8568520,8568520,8568520,8568520,19336,18168,18224,80)|0;rxa(8568056,152056,80,49);Pga(8568056,19160,18976,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0;rxa(8568056,147720,80,38);Pga(8568056,19248,18968,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0;break};case 10:{rxa(8568056,174824,80,44);Pga(8568056,19200,18960,8568520,8568520,8568520,8568520,19336,18168,18224,80)|0;rxa(8568056,143952,80,45);Pga(8568056,19192,18952,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0;rxa(8568056,140032,80,36);Pga(8568056,19264,18944,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0;break};case 11:{rxa(8568056,136368,80,40);Pga(8568056,19224,18936,8568520,8568520,8568520,8568520,19336,18168,18224,80)|0;rxa(8568056,132152,80,36);Pga(8568056,19264,18928,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0;break};case 12:{rxa(8568056,174824,80,44);Pga(8568056,19200,18920,8568520,8568520,8568520,8568520,19336,18168,18200,80)|0;rxa(8568056,128528,80,45);Pga(8568056,19192,18912,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0;break};case 4:case 5:{break};default:{rxa(8568056,67968,80,38);Pga(8568056,19248,19104,8568520,8568520,8568520,8568520,19448,18168,18824,80)|0;rxa(8568056,49408,80,48);Pga(8568056,19168,19096,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0}}c[k>>2]=-1;h[e>>3]=+h[2271];h[o+24>>3]=+h[2271];h[o+16>>3]=+h[2278];i=y;return 0}else if((C|0)==213){rxa(8568056,112016,80,39);Pga(8568056,19232,19088,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0;break c}else if((C|0)==214){rxa(8568056,109480,80,39);Pga(8568056,19232,18904,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0;break c}}}while(0);rxa(8568056,107480,80,47);Pga(8568056,19176,18880,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0}else if((C|0)==208){rxa(8568056,124696,80,55);Pga(8568056,19128,19448,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0}}while(0);if((C|0)==225){rxa(8568056,82232,80,39);Pga(8568056,19232,19368,8568520,8568520,8568520,8568520,19336,j,e,80)|0}if((c[k>>2]|0)==-1){rxa(8568056,72376,80,46);Pga(8568056,19184,18896,8568520,8568520,8568520,8568520,8568520,18824,18824,80)|0;rxa(8568056,70336,80,47);Pga(8568056,19176,18888,19448,8568520,8568520,8568520,8568520,18824,18824,80)|0;i=y;return 0}else{c[k>>2]=-1;c[n>>2]=-33;i=y;return 0}return 0}function Rga(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;var z=0,A=0.0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0,T=0.0,U=0,V=0,W=0.0,X=0.0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0,ga=0,ha=0,ia=0;u=c[f>>2]|0;z=~u;A=+h[m>>3];h[2128]=A;c[s>>2]=0;B=c[e>>2]|0;c[2141460]=1;if((B|0)>=1){C=1;do{c[r+(C-1<<2)>>2]=0;C=(c[2141460]|0)+1|0;c[2141460]=C;}while((C|0)<=(B|0))}D=+h[g>>3];if(D<0.0){E=-0.0-D}else{E=D}if(A<0.0){F=-0.0-A}else{F=A}h[2127]=(E+F)*+h[t>>3]*100.0;t=c[b>>2]|0;do{if((t|0)==2){do{if((c[w+68>>2]|0)!=0){b=v+320|0;Wga(g,b,j,k,f,n,l,m)|0;if((c[2138836]|0)>0){return 0}B=d;Sd[B&15](f,b,j,e,o,x,y)|0;if((c[2138836]|0)>0){return 0}C=w+60|0;c[C>>2]=(c[C>>2]|0)+1;a[16976]=0;G=c[e>>2]|0;c[2141460]=1;if((G|0)<1){break}else{H=1;I=0}while(1){F=+h[o+(H-1<<3)>>3];if(F<0.0){J=-0.0-F}else{J=F}if(J>0.0){K=I}else{a[16976]=1;K=1}L=H+1|0;if((L|0)>(G|0)){break}else{H=L;I=K}}c[2141460]=L;if(!K){break}F=+oxa(17016,17024);h[2125]=F;E=F+ +h[b>>3];h[b>>3]=E;F=+h[2128];do{if((E- +h[g>>3])*F<0.0){Wga(g,b,j,k,f,n,l,m)|0;if((c[2138836]|0)<=0){break}return 0}else{D=+h[2125]/F;h[2124]=D;G=c[f>>2]|0;c[2141460]=1;if((G|0)<1){break}M=(u<<1)+z|0;N=1;O=2;P=D;while(1){Q=j+(N-1<<3)|0;h[Q>>3]=+h[Q>>3]+P*+h[l+(M+N<<3)>>3];if((O|0)>(G|0)){break}N=O;O=O+1|0;P=+h[2124]}c[2141460]=O}}while(0);Sd[B&15](f,b,j,e,o,x,y)|0;if((c[2138836]|0)>0){return 0}c[C>>2]=(c[C>>2]|0)+1;a[16976]=0;N=c[e>>2]|0;c[2141460]=1;if((N|0)<1){break}else{R=1;S=0}while(1){G=R-1|0;F=+h[o+(G<<3)>>3];if(F<0.0){T=-0.0-F}else{T=F}if(T>0.0){U=S;V=R}else{c[r+(G<<2)>>2]=1;a[16976]=1;U=1;V=c[2141460]|0}G=V+1|0;c[2141460]=G;if((G|0)>(N|0)){break}else{R=G;S=U}}if(!U){break}c[s>>2]=1;return 0}}while(0);F=+h[g>>3];if(F==+h[v+328>>3]){return 0}else{W=F;X=+h[2128];break}}else if((t|0)==3){W=+h[g>>3];X=A}else{N=v+320|0;Wga(g,N,j,k,f,n,l,m)|0;if((c[2138836]|0)>0){return 0}C=d;Sd[C&15](f,N,j,e,o,x,y)|0;if((c[2138836]|0)>0){return 0}b=w+60|0;c[b>>2]=1;a[16976]=0;B=c[e>>2]|0;c[2141460]=1;if((B|0)<1){return 0}else{Y=1;Z=0}while(1){F=+h[o+(Y-1<<3)>>3];if(F<0.0){_=-0.0-F}else{_=F}if(_>0.0){$=Z}else{a[16976]=1;$=1}aa=Y+1|0;if((aa|0)>(B|0)){break}else{Y=aa;Z=$}}c[2141460]=aa;if(!$){return 0}F=+oxa(17016,17024);h[2125]=F;h[N>>3]=F+ +h[N>>3];F=+h[2125]/+h[2128];h[2124]=F;B=c[f>>2]|0;c[2141460]=1;if((B|0)>=1){G=(u<<1)+z|0;M=1;Q=2;E=F;while(1){ba=j+(M-1<<3)|0;h[ba>>3]=+h[ba>>3]+E*+h[l+(G+M<<3)>>3];if((Q|0)>(B|0)){break}M=Q;Q=Q+1|0;E=+h[2124]}c[2141460]=Q}Sd[C&15](f,N,j,e,o,x,y)|0;if((c[2138836]|0)>0){return 0}c[b>>2]=(c[b>>2]|0)+1;a[16976]=0;M=c[e>>2]|0;c[2141460]=1;if((M|0)<1){return 0}else{ca=1;da=0}while(1){E=+h[o+(ca-1<<3)>>3];if(E<0.0){ea=-0.0-E}else{ea=E}if(ea>0.0){fa=da}else{a[16976]=1;fa=1}ga=ca+1|0;if((ga|0)>(M|0)){break}else{ca=ga;da=fa}}c[2141460]=ga;if(!fa){return 0}c[s>>2]=-1;return 0}}while(0);ea=+h[i>>3];do{if((ea-W)*X<0.0){h[2126]=ea;if(!((ea- +h[v+320>>3])*X>0.0)){return 0}Wga(g,17008,j,k,f,n,l,m)|0;if((c[2138836]|0)<=0){break}return 0}else{h[2126]=W;i=c[f>>2]|0;c[2141460]=1;if((i|0)<1){break}else{ha=1}do{fa=ha-1|0;h[j+(fa<<3)>>3]=+h[l+(fa<<3)>>3];ha=ha+1|0;}while((ha|0)<=(i|0));c[2141460]=ha}}while(0);ha=d;Sd[ha&15](f,17008,j,e,p,x,y)|0;if((c[2138836]|0)>0){return 0}d=w+60|0;c[d>>2]=(c[d>>2]|0)+1;c[2141458]=0;i=v+320|0;fa=w+76|0;ga=w+72|0;w=v+336|0;da=v+344|0;while(1){Sga(e,17016,8565832,i,17008,o,p,q,16984,r,fa,ga,w,da)|0;if((c[2138836]|0)>0){ia=76;break}if((c[2141458]|0)>1){ia=73;break}Wga(g,16984,j,k,f,n,l,m)|0;if((c[2138836]|0)>0){ia=76;break}Sd[ha&15](f,16984,j,e,q,x,y)|0;if((c[2138836]|0)>0){ia=76;break}c[d>>2]=(c[d>>2]|0)+1}if((ia|0)==73){h[i>>3]=+h[2123];mha(e,q,19448,o,19448)|0;if((c[2141458]|0)==4){return 0}Wga(g,16984,j,k,f,n,l,m)|0;if((c[2138836]|0)>0){return 0}c[s>>2]=1;return 0}else if((ia|0)==76){return 0}return 0}function Sga(b,d,e,f,g,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0.0,K=0.0,L=0.0,M=0.0;do{if((c[e>>2]|0)==1){c[2141454]=c[n>>2];c[n>>2]=0;h[2120]=0.0;a[16944]=0;r=c[b>>2]|0;c[2141456]=1;if((r|0)>=1){s=1;do{t=s-1|0;u=+h[k+(t<<3)>>3];if(u<0.0){v=-0.0-u}else{v=u}do{if(v>0.0){u=+oxa(18808,i+(t<<3)|0);if(u==+oxa(18808,k+((c[2141456]|0)-1<<3)|0)){break}w=c[2141456]|0;x=w-1|0;u=+h[k+(x<<3)>>3];y=u/(u- +h[i+(x<<3)>>3]);if(y<0.0){z=-0.0-y}else{z=y}if(!(z>+h[2120])){break}h[2120]=z;c[n>>2]=w}else{a[16944]=1}}while(0);s=(c[2141456]|0)+1|0;c[2141456]=s;}while((s|0)<=(r|0))}do{if((c[n>>2]|0)>0){a[16968]=1;c[2141452]=c[o>>2];h[g>>3]=+h[q>>3];mha(b,k,19448,j,19448)|0;c[o>>2]=1;a[16952]=0;A=0}else{a[16968]=0;c[n>>2]=c[2141454];c[2141452]=c[o>>2];if(a[16944]|0){h[g>>3]=+h[q>>3];mha(b,k,19448,j,19448)|0;a[16952]=1;A=1;break}else{mha(b,k,19448,i,19448)|0;h[f>>3]=+h[q>>3];c[o>>2]=0;a[16952]=0;A=0;break}}}while(0);y=+h[g>>3];u=y- +h[f>>3];if(u<0.0){B=-0.0-u}else{B=u}if(B>+h[d>>3]){if(!A){break}C=+h[g>>3]}else{a[16952]=1;C=y}c[e>>2]=2;h[l>>3]=C;mha(b,j,19448,k,19448)|0;r=c[b>>2]|0;c[2141456]=1;if((r|0)<1){return 0}else{D=1}do{c[m+(D-1<<2)>>2]=0;s=(c[2141456]|0)-1|0;y=+h[j+(s<<3)>>3];if(y<0.0){E=-0.0-y}else{E=y}do{if(E>0.0){y=+oxa(18808,i+(s<<3)|0);if(!(y!=+oxa(18808,j+((c[2141456]|0)-1<<3)|0))){break}c[m+((c[2141456]|0)-1<<2)>>2]=1}else{c[m+(s<<2)>>2]=1}}while(0);D=(c[2141456]|0)+1|0;c[2141456]=D;}while((D|0)<=(r|0));return 0}else{c[n>>2]=0;h[2120]=0.0;a[16944]=0;r=c[b>>2]|0;c[2141456]=1;if((r|0)>=1){s=1;do{t=s-1|0;y=+h[j+(t<<3)>>3];if(y<0.0){F=-0.0-y}else{F=y}do{if(F>0.0){y=+oxa(18808,i+(t<<3)|0);if(y==+oxa(18808,j+((c[2141456]|0)-1<<3)|0)){break}w=c[2141456]|0;x=w-1|0;y=+h[j+(x<<3)>>3];u=y/(y- +h[i+(x<<3)>>3]);if(u<0.0){G=-0.0-u}else{G=u}if(!(G>+h[2120])){break}h[2120]=G;c[n>>2]=w}else{a[16944]=1}}while(0);s=(c[2141456]|0)+1|0;c[2141456]=s;}while((s|0)<=(r|0))}r=(c[n>>2]|0)>0;a[16968]=r;if(r){a[16952]=0;c[2141452]=0;c[o>>2]=1;break}if(!(a[16944]|0)){mha(b,j,19448,k,19448)|0;h[l>>3]=+h[g>>3];c[e>>2]=4;return 0}h[l>>3]=+h[g>>3];mha(b,j,19448,k,19448)|0;r=c[b>>2]|0;c[2141456]=1;if((r|0)>=1){s=1;do{c[m+(s-1<<2)>>2]=0;t=c[2141456]|0;w=t-1|0;u=+h[j+(w<<3)>>3];if(u<0.0){H=-0.0-u}else{H=u}if(H>0.0){I=t}else{c[m+(w<<2)>>2]=1;I=c[2141456]|0}s=I+1|0;c[2141456]=s;}while((s|0)<=(r|0))}c[e>>2]=3;return 0}}while(0);I=c[2141452]|0;do{if((I|0)==(c[o>>2]|0)){H=+h[p>>3];if((I|0)==0){G=H*2.0;h[p>>3]=G;J=G;break}else{G=H*.5;h[p>>3]=G;J=G;break}}else{h[p>>3]=1.0;J=1.0}}while(0);G=+h[g>>3];p=(c[n>>2]|0)-1|0;H=+h[j+(p<<3)>>3];F=G-(G- +h[f>>3])*H/(H-J*+h[i+(p<<3)>>3]);h[q>>3]=F;J=+h[f>>3];H=F-J;if(H<0.0){K=-0.0-H}else{K=H}H=+h[d>>3];do{if(K<H){G=+h[g>>3]-J;if(G<0.0){L=-0.0-G}else{L=G}if(!(L>H*10.0)){M=F;break}E=J+G*.1;h[q>>3]=E;M=E}else{M=F}}while(0);c[e>>2]=1;h[l>>3]=M;return 0}function Tga(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0.0,m=0,n=0.0,o=0.0;h[2243]=+h[d>>3];h[2244]=+h[e>>3];j=c[a>>2]|0;c[2141972]=1;if((j|0)<1){return 0}else{k=1}do{if((c[b>>2]|0)==0){l=+h[2243];m=k-1|0}else{a=k-1|0;n=+h[d+(a<<3)>>3];h[2243]=n;h[2244]=+h[e+(a<<3)>>3];l=n;m=a}n=+h[f+(m<<3)>>3];if(n<0.0){o=-0.0-n}else{o=n}h[g+(m<<3)>>3]=l*o+ +h[2244];k=k+1|0;c[2141972]=k;}while((k|0)<=(j|0));return 0}function Uga(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,p=0.0;h[2281]=0.0;f=c[a>>2]|0;c[2142062]=1;if((f|0)<1){g=0.0;return+g}else{i=1;j=0.0}while(1){e=i-1|0;k=+h[b+(e<<3)>>3]/+h[d+(e<<3)>>3];if(k<0.0){l=-0.0-k}else{l=k}if(l>j){e=i-1|0;k=+h[b+(e<<3)>>3]/+h[d+(e<<3)>>3];if(k<0.0){m=-0.0-k}else{m=k}h[2281]=m;n=m}else{n=j}o=i+1|0;if((o|0)>(f|0)){break}else{i=o;j=n}}c[2142062]=o;if(!(n>0.0)){g=0.0;return+g}h[2282]=0.0;o=c[a>>2]|0;c[2142062]=1;if((o|0)<1){p=0.0}else{i=1;j=0.0;do{f=i-1|0;m=+h[b+(f<<3)>>3]/+h[d+(f<<3)>>3]/n;j=j+m*m;h[2282]=j;i=i+1|0;}while((i|0)<=(o|0));c[2142062]=i;p=j}g=n*+W(p/+(c[a>>2]|0));return+g}function Vga(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;var y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0.0,V=0.0,W=0.0;y=i;i=i+16|0;z=y|0;A=y+8|0;B=c[f>>2]|0;c[m>>2]=1;c[2142098]=0;c[2142100]=0;c[2142096]=0;h[2289]=+h[b>>3];h[2288]=+Uga(f,d,l,0,0);C=c[f>>2]|0;c[2142108]=1;D=(B<<1)+~B|0;if((C|0)>=1){B=1;do{E=B-1|0;h[p+(E<<3)>>3]=+h[d+(E<<3)>>3];h[p+(D+B<<3)>>3]=+h[e+(B-1<<3)>>3];B=B+1|0;}while((B|0)<=(C|0));c[2142108]=B}B=t+44|0;C=g;E=t+48|0;F=+h[k>>3];a:while(1){h[2297]=1.0/F;h[b>>3]=+h[k>>3]+ +h[b>>3];G=c[f>>2]|0;c[2142108]=1;if((G|0)>=1){H=1;do{I=H-1|0;J=d+(I<<3)|0;h[J>>3]=+h[J>>3]+ +h[k>>3]*+h[e+(I<<3)>>3];H=H+1|0;}while((H|0)<=(G|0));c[2142108]=H}a[18344]=1;c[2142102]=0;a[18368]=1;c[B>>2]=(c[B>>2]|0)+1;c[2142104]=0;Sd[C&15](b,d,e,q,8568416,n,o)|0;b:do{if((c[2142104]|0)<0){K=35}else{while(1){if(a[18344]|0){c[E>>2]=(c[E>>2]|0)+1;a[18344]=0;Yga(f,b,d,e,q,18376,k,8568424,l,r,s,t,g,8568416,v,j,n,o,x)|0;h[2290]=1.0e6;if((c[2142104]|0)<0|(c[2142106]|0)!=0){K=35;break b}c[2142096]=0}G=c[f>>2]|0;c[2142108]=1;if((G|0)>=1){I=1;do{J=q+(I-1<<3)|0;h[J>>3]=+h[J>>3]*.75;I=I+1|0;}while((I|0)<=(G|0));c[2142108]=I}Zga(f,q,s,t)|0;G=c[f>>2]|0;c[2142108]=1;if((G|0)>=1){J=1;do{L=J-1|0;M=d+(L<<3)|0;h[M>>3]=+h[M>>3]- +h[q+(L<<3)>>3];L=J-1|0;M=e+(L<<3)|0;h[M>>3]=+h[M>>3]- +h[2297]*+h[q+(L<<3)>>3];J=J+1|0;}while((J|0)<=(G|0));c[2142108]=J}N=+Uga(f,q,l,0,0);h[2295]=N;if(!(N>+h[v>>3]*100.0*+h[2288])){break}G=c[2142102]|0;if((G|0)>0){h[z>>3]=N/+h[2292];h[A>>3]=1.0/+(G|0);O=+mxa(z,A);if(O>.9){K=35;break b}P=O/(1.0-O);h[2290]=P;Q=P;R=+h[2295]}else{h[2292]=N;Q=+h[2290];R=N}if(!(Q*R>.33)){break}G=(c[2142102]|0)+1|0;c[2142102]=G;if((G|0)>9){K=35;break b}if(((G|0)%5|0|0)==0){a[18344]=1}c[B>>2]=(c[B>>2]|0)+1;c[2142104]=0;Sd[C&15](b,d,e,q,8568416,n,o)|0;if((c[2142104]|0)<0){K=35;break b}}do{if((c[w>>2]|0)!=0){G=c[f>>2]|0;c[2142108]=1;if((G|0)>=1){I=1;do{S=+h[d+(I-1<<3)>>3];h[q+(I-1<<3)>>3]=S<=0.0?S:0.0;I=I+1|0;}while((I|0)<=(G|0));h[z>>3]=S;c[2142108]=I}N=+Uga(f,q,l,0,0);h[2295]=N;if(N>.33){K=35;break b}G=c[f>>2]|0;c[2142108]=1;if((G|0)<1){break}else{T=1}do{J=T-1|0;L=d+(J<<3)|0;h[L>>3]=+h[L>>3]- +h[q+(J<<3)>>3];J=T-1|0;L=e+(J<<3)|0;h[L>>3]=+h[L>>3]- +h[2297]*+h[q+(J<<3)>>3];T=T+1|0;}while((T|0)<=(G|0));c[2142108]=T}}while(0);if(!(a[18368]|0)){break}G=c[f>>2]|0;c[2142108]=1;if((G|0)>=1){I=1;do{J=I-1|0;h[r+(J<<3)>>3]=+h[d+(J<<3)>>3]- +h[p+(J<<3)>>3];I=I+1|0;}while((I|0)<=(G|0));c[2142108]=I}N=+Uga(f,r,l,0,0);h[2294]=N;if(!(N>1.0)){K=63;break a}}}while(0);if((K|0)==35){K=0;a[18368]=0}h[b>>3]=+h[2289];H=c[f>>2]|0;c[2142108]=1;if((H|0)>=1){G=1;do{J=G-1|0;h[d+(J<<3)>>3]=+h[p+(J<<3)>>3];h[e+(G-1<<3)>>3]=+h[p+(D+G<<3)>>3];G=G+1|0;}while((G|0)<=(H|0));c[2142108]=G}if(a[18368]|0){H=(c[2142098]|0)+1|0;c[2142098]=H;N=.9/(+h[2294]*2.0+1.0e-4);h[z>>3]=.1;P=N>=.5?.5:N;h[A>>3]=P;N=P<=.1?.1:P;h[2291]=N;P=+h[k>>3]*N;h[k>>3]=P;if(P<0.0){U=-0.0-P}else{U=P}if(U>=+h[u>>3]&(H|0)<10){F=P;continue}else{K=62;break}}if((c[2142106]|0)!=0){H=(c[2142096]|0)+1|0;c[2142096]=H;P=+h[k>>3]*.25;h[k>>3]=P;if((H|0)>=3){K=51;break}if(P<0.0){V=-0.0-P}else{V=P}if(V<+h[u>>3]){K=51;break}else{F=P;continue}}if(!((c[2142104]|0)>-2)){K=53;break}H=(c[2142100]|0)+1|0;c[2142100]=H;P=+h[k>>3]*.25;h[k>>3]=P;if((H|0)>=10){K=58;break}if(P<0.0){W=-0.0-P}else{W=P}if(W<+h[u>>3]){K=58;break}else{F=P}}if((K|0)==51){c[m>>2]=-12;i=y;return 0}else if((K|0)==53){c[m>>2]=-12;i=y;return 0}else if((K|0)==58){c[m>>2]=-12;i=y;return 0}else if((K|0)==62){c[m>>2]=-12;i=y;return 0}else if((K|0)==63){i=y;return 0}return 0}function Wga(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0;k=c[f>>2]|0;l=~k;m=(c[g>>2]|0)+1|0;c[2141974]=m;n=+h[b>>3]- +h[a>>3];h[2245]=n;a=c[f>>2]|0;c[2141978]=1;if((a|0)<1){o=n}else{b=1;do{g=b-1|0;h[d+(g<<3)>>3]=+h[i+(g<<3)>>3];h[e+(b-1<<3)>>3]=0.0;b=b+1|0;}while((b|0)<=(a|0));c[2141978]=b;o=+h[2245]}h[2248]=1.0;h[2247]=0.0;n=o/+h[j>>3];h[2246]=n;c[2141976]=2;if((m|0)<2){return 0}else{p=2;q=0.0;r=n;s=1.0;t=o}while(1){b=j+(p-2<<3)|0;h[2247]=q*r+s/+h[b>>3];o=r*s;h[2248]=o;h[2246]=(t+ +h[b>>3])/+h[j+(p-1<<3)>>3];b=c[f>>2]|0;c[2141978]=1;if((b|0)>=1){a=ga(p,k)|0;g=1;n=o;while(1){u=d+(g-1<<3)|0;h[u>>3]=+h[u>>3]+n*+h[i+(g+l+a<<3)>>3];u=e+(g-1<<3)|0;h[u>>3]=+h[u>>3]+ +h[2247]*+h[i+(g+l+a<<3)>>3];v=g+1|0;if((v|0)>(b|0)){break}g=v;n=+h[2248]}c[2141978]=v}g=p+1|0;c[2141976]=g;if((g|0)>(m|0)){break}p=g;q=+h[2247];r=+h[2246];s=+h[2248];t=+h[2245]}return 0}function Xga(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,A,B,C,D,E,F,G,H,I,J,K,L,M){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;z=z|0;A=A|0;B=B|0;C=C|0;D=D|0;E=E|0;F=F|0;G=G|0;H=H|0;I=I|0;J=J|0;K=K|0;L=L|0;M=M|0;var N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0.0,ta=0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0,Ba=0,Ca=0.0,Da=0,Ea=0,Fa=0,Ga=0.0,Ha=0;N=i;i=i+16|0;O=N|0;P=N+8|0;Q=c[f>>2]|0;R=~Q;c[n>>2]=1;h[2249]=+h[b>>3];c[2141986]=0;c[2141982]=0;c[2141984]=0;S=u+52|0;if((c[m>>2]|0)==0){c[S>>2]=0;T=u+56|0;c[T>>2]=0;c[I>>2]=1;c[J>>2]=0;h[C>>3]=0.0;c[m>>2]=1;h[y>>3]=+h[k>>3];U=1.0/+h[k>>3];h[B>>3]=U;h[A>>3]=U;h[D>>3]=100.0;c[H>>2]=-1;h[2263]=1.0;c[G>>2]=0;c[K>>2]=0;V=T}else{V=u+56|0}T=u+44|0;m=g;W=u+48|0;while(1){c[2141992]=(c[I>>2]|0)+1;c[2141990]=(c[I>>2]|0)+2;c[2141996]=(c[I>>2]|0)-1;h[2249]=+h[b>>3];do{if(+h[k>>3]!=+h[C>>3]){X=8}else{Y=c[I>>2]|0;if((Y|0)!=(c[J>>2]|0)){X=8;break}Z=Y;_=(c[K>>2]|0)+1|0}}while(0);if((X|0)==8){X=0;c[K>>2]=0;Z=c[J>>2]|0;_=1}Y=Z+2|0;$=(_|0)<=(Y|0)?_:Y;c[K>>2]=$;c[2141980]=$+1;$=c[2141992]|0;if(($|0)>=(c[K>>2]|0)){h[w>>3]=1.0;h[v>>3]=1.0;h[2253]=+h[k>>3];h[x>>3]=0.0;h[z>>3]=1.0;c[2142008]=2;if(($|0)>=2){Y=2;do{h[2252]=+h[y+(Y-2<<3)>>3];U=+h[2253];aa=Y-2|0;h[y+(aa<<3)>>3]=U;ba=Y-1|0;h[w+(ba<<3)>>3]=+h[w+(aa<<3)>>3]*U/+h[2252];U=+h[2252]+ +h[k>>3];h[2253]=U;ca=+h[k>>3]/U;h[v+(ba<<3)>>3]=ca;h[z+(ba<<3)>>3]=ca*+h[z+(aa<<3)>>3]*+(ba|0);h[x+(ba<<3)>>3]=+h[x+(aa<<3)>>3]+ +h[v+(aa<<3)>>3]/+h[k>>3];Y=Y+1|0;}while((Y|0)<=($|0));c[2142008]=Y}h[y+($-1<<3)>>3]=+h[2253]}h[2267]=0.0;h[2268]=0.0;aa=c[I>>2]|0;c[2142008]=1;if((aa|0)<1){da=0.0}else{ba=1;ca=0.0;U=0.0;do{ca=ca-1.0/+(ba|0);h[2267]=ca;U=U- +h[v+(ba-1<<3)>>3];h[2268]=U;ba=ba+1|0;}while((ba|0)<=(aa|0));c[2142008]=ba;da=ca}h[2266]=+h[A>>3];h[A>>3]=(-0.0-da)/+h[k>>3];aa=v+($-1<<3)|0;U=+h[aa>>3]+ +h[2267]- +h[2268];h[O>>3]=U;if(U<0.0){ea=-0.0-U}else{ea=U}h[2265]=ea;h[O>>3]=ea;U=+h[aa>>3];h[P>>3]=U;h[2265]=ea>=U?ea:U;h[2253]=.6;h[2252]=1.6666666666666667;U=+h[A>>3];fa=U/+h[B>>3];if(fa<.6|fa>1.6666666666666667){c[H>>2]=-1}if(U!=+h[2266]){h[D>>3]=100.0}aa=c[2141992]|0;Y=c[2141980]|0;if((aa|0)>=(Y|0)){c[2142002]=Y;ha=Y;do{Y=c[f>>2]|0;c[2142008]=1;if((Y|0)>=1){ia=1;do{ja=q+(ia+R+(ga(ha,Q)|0)<<3)|0;h[ja>>3]=+h[w+(ha-1<<3)>>3]*+h[ja>>3];ia=ia+1|0;}while((ia|0)<=(Y|0));c[2142008]=ia}ha=ha+1|0;c[2142002]=ha;}while((ha|0)<=(aa|0))}h[b>>3]=+h[k>>3]+ +h[b>>3];a:while(1){aa=c[f>>2]|0;c[2142008]=1;if((aa|0)>=1){ha=1;do{$=ha-1|0;h[d+($<<3)>>3]=+h[q+($<<3)>>3];h[e+(ha-1<<3)>>3]=0.0;ha=ha+1|0;}while((ha|0)<=(aa|0));c[2142008]=ha}aa=c[2141992]|0;c[2142002]=2;if((aa|0)>=2){ia=2;do{$=c[f>>2]|0;c[2142008]=1;if(($|0)>=1){ba=x+(ia-1<<3)|0;Y=ga(ia,Q)|0;ja=Y+R|0;ka=1;do{la=d+(ka-1<<3)|0;h[la>>3]=+h[q+(ka+R+Y<<3)>>3]+ +h[la>>3];la=e+(ka-1<<3)|0;h[la>>3]=+h[la>>3]+ +h[ba>>3]*+h[q+(ja+ka<<3)>>3];ka=ka+1|0;}while((ka|0)<=($|0));c[2142008]=ka}ia=ia+1|0;c[2142002]=ia;}while((ia|0)<=(aa|0))}h[2255]=+Uga(f,d,l,0,0);a[18112]=1;c[2141988]=0;c[T>>2]=(c[T>>2]|0)+1;c[2142004]=0;Sd[m&15](b,d,e,r,8568016,o,p)|0;if((c[2142004]|0)<0){X=70;break}if((c[H>>2]|0)==-1){c[W>>2]=(c[W>>2]|0)+1;c[H>>2]=0;Yga(f,b,d,e,r,A,k,8568024,l,s,t,u,g,8568016,F,j,o,p,M)|0;h[B>>3]=+h[A>>3];h[D>>3]=100.0;if((c[2142004]|0)<0|(c[2142006]|0)!=0){X=70;break}c[2141982]=0}aa=c[f>>2]|0;c[2142008]=1;if((aa|0)>=1){ia=1;do{h[s+(ia-1<<3)>>3]=0.0;ia=ia+1|0;}while((ia|0)<=(aa|0));c[2142008]=ia}while(1){ca=2.0/(+h[A>>3]/+h[B>>3]+1.0);h[2253]=ca;aa=c[f>>2]|0;c[2142008]=1;if((aa|0)>=1){ha=0;$=1;U=ca;while(1){ja=r+(ha<<3)|0;h[ja>>3]=U*+h[ja>>3];ma=$+1|0;if((ma|0)>(aa|0)){break}ha=$;$=ma;U=+h[2253]}c[2142008]=ma}Zga(f,r,t,u)|0;$=c[f>>2]|0;c[2142008]=1;if(($|0)>=1){ha=1;do{aa=ha-1|0;ka=d+(aa<<3)|0;h[ka>>3]=+h[ka>>3]- +h[r+(aa<<3)>>3];aa=ha-1|0;ka=r+(aa<<3)|0;ja=s+(aa<<3)|0;h[ja>>3]=+h[ja>>3]- +h[ka>>3];ja=e+(aa<<3)|0;h[ja>>3]=+h[ja>>3]- +h[A>>3]*+h[ka>>3];ha=ha+1|0;}while((ha|0)<=($|0));c[2142008]=ha}U=+Uga(f,r,l,0,0);h[2263]=U;if(!(U>+h[F>>3]*100.0*+h[2255])){X=63;break a}$=c[2141988]|0;if(($|0)>0){h[O>>3]=U/+h[2256];h[P>>3]=1.0/+($|0);ca=+mxa(O,P);if(ca>.9){break}fa=ca/(1.0-ca);h[D>>3]=fa;na=fa;oa=+h[2263]}else{h[2256]=U;na=+h[D>>3];oa=U}if(!(na*oa>.33)){X=63;break a}$=(c[2141988]|0)+1|0;c[2141988]=$;if(($|0)>3){break}c[T>>2]=(c[T>>2]|0)+1;c[2142004]=0;Sd[m&15](b,d,e,r,8568016,o,p)|0;if((c[2142004]|0)<0){X=70;break a}}if((c[H>>2]|0)==0){X=70;break}c[H>>2]=-1}do{if((X|0)==63){X=0;if((c[L>>2]|0)==0){break}ia=c[f>>2]|0;c[2142008]=1;if((ia|0)>=1){$=1;do{pa=+h[d+($-1<<3)>>3];h[r+($-1<<3)>>3]=pa<=0.0?pa:0.0;$=$+1|0;}while(($|0)<=(ia|0));h[O>>3]=pa;c[2142008]=$}U=+Uga(f,r,l,0,0);h[2263]=U;if(U>.33){X=70;break}ia=c[f>>2]|0;c[2142008]=1;if((ia|0)<1){break}else{qa=1}do{ka=qa-1|0;ja=s+(ka<<3)|0;h[ja>>3]=+h[ja>>3]- +h[r+(ka<<3)>>3];qa=qa+1|0;}while((qa|0)<=(ia|0));c[2142008]=qa}}while(0);if((X|0)==70){X=0;a[18112]=0}c[H>>2]=1;if(a[18112]|0){U=+Uga(f,s,l,0,0);h[2262]=U;ia=c[I>>2]|0;fa=U*+h[z+(ia<<3)>>3];h[2261]=fa;h[2251]=fa*+(ia+1|0);h[2258]=fa;c[2141994]=ia;do{if((c[I>>2]|0)!=1){ia=c[f>>2]|0;c[2142008]=1;if((ia|0)>=1){$=ga(c[2141992]|0,Q)|0;ka=1;do{ja=ka-1|0;h[r+(ja<<3)>>3]=+h[q+(ka+R+$<<3)>>3]+ +h[s+(ja<<3)>>3];ka=ka+1|0;}while((ka|0)<=(ia|0));c[2142008]=ka}fa=+h[z+((c[I>>2]|0)-1<<3)>>3];U=fa*+Uga(f,r,l,0,0);h[2260]=U;ia=c[I>>2]|0;fa=U*+(ia|0);h[2250]=fa;if((ia|0)>2){$=c[f>>2]|0;c[2142008]=1;ja=c[I>>2]|0;if(($|0)<1){ra=ja}else{aa=1;ba=ja;while(1){ca=+h[q+(aa+R+(ga(ba,Q)|0)<<3)>>3];ja=r+(aa-1<<3)|0;h[ja>>3]=ca+ +h[ja>>3];ja=aa+1|0;c[2142008]=ja;Y=c[I>>2]|0;if((ja|0)>($|0)){ra=Y;break}else{aa=ja;ba=Y}}}ca=+h[z+(ra-2<<3)>>3];sa=ca*+Uga(f,r,l,0,0);ba=c[I>>2]|0;ca=sa*+(ba-1|0);sa=+h[2250];if((sa>=ca?sa:ca)>+h[2251]){break}ta=ba;ua=+h[2260]}else{if(fa>+h[2251]*.5){break}else{ta=ia;ua=U}}c[2141994]=ta-1;h[2258]=ua}}while(0);if(!(+h[2265]*+h[2262]>1.0)){X=86;break}}c[G>>2]=1;h[b>>3]=+h[2249];ba=c[2141992]|0;aa=c[2141980]|0;if((ba|0)>=(aa|0)){c[2142002]=aa;$=aa;do{ca=1.0/+h[w+($-1<<3)>>3];h[2253]=ca;aa=c[f>>2]|0;c[2142008]=1;if((aa|0)>=1){ka=ga($,Q)|0;Y=1;ja=2;sa=ca;while(1){la=q+(Y+R+ka<<3)|0;h[la>>3]=sa*+h[la>>3];if((ja|0)>(aa|0)){break}Y=ja;ja=ja+1|0;sa=+h[2253]}c[2142008]=ja}$=$+1|0;c[2142002]=$;}while(($|0)<=(ba|0))}c[2142008]=2;if((ba|0)>=2){$=2;do{h[y+($-2<<3)>>3]=+h[y+($-1<<3)>>3]- +h[k>>3];$=$+1|0;}while(($|0)<=(ba|0));c[2142008]=$}if(!(a[18112]|0)){c[V>>2]=(c[V>>2]|0)+1;if((c[2142006]|0)!=0){ba=(c[2141982]|0)+1|0;c[2141982]=ba;h[2254]=.25;sa=+h[k>>3]*.25;h[k>>3]=sa;if((ba|0)>=3){X=144;break}if(sa<0.0){va=-0.0-sa}else{va=sa}if(va<+h[E>>3]){X=144;break}else{continue}}if(!((c[2142004]|0)>-2)){X=146;break}ba=(c[2141986]|0)+1|0;c[2141986]=ba;h[2254]=.25;sa=+h[k>>3]*.25;h[k>>3]=sa;if((ba|0)>=10){X=151;break}if(sa<0.0){wa=-0.0-sa}else{wa=sa}if(wa<+h[E>>3]){X=151;break}else{continue}}c[2141984]=(c[2141984]|0)+1;c[S>>2]=(c[S>>2]|0)+1;ba=c[2141984]|0;if((ba|0)<=1){Y=c[2141994]|0;c[I>>2]=Y;sa=+(Y+1|0);h[2252]=sa;h[O>>3]=+h[2258]*2.0+1.0e-4;h[P>>3]=-1.0/sa;sa=+mxa(O,P)*.9;h[O>>3]=.25;U=sa>=.9?.9:sa;h[P>>3]=U;sa=U<=.25?.25:U;h[2254]=sa;U=+h[k>>3]*sa;h[k>>3]=U;if(U<0.0){xa=-0.0-U}else{xa=U}if(xa<+h[E>>3]){X=159;break}else{continue}}if((ba|0)>2){c[I>>2]=1;U=+h[k>>3]*.25;h[k>>3]=U;if(U<0.0){ya=-0.0-U}else{ya=U}if(ya<+h[E>>3]){X=168;break}else{continue}}else{c[I>>2]=c[2141994];U=+h[k>>3]*.25;h[k>>3]=U;if(U<0.0){za=-0.0-U}else{za=U}if(za<+h[E>>3]){X=164;break}else{continue}}}do{if((X|0)==86){c[n>>2]=1;E=u+40|0;c[E>>2]=(c[E>>2]|0)+1;c[2141998]=(c[I>>2]|0)-(c[J>>2]|0);c[J>>2]=c[I>>2];h[C>>3]=+h[k>>3];E=c[2141994]|0;S=c[2141996]|0;do{if((E|0)==(S|0)){X=88}else{V=u+8|0;if((c[I>>2]|0)==(c[V>>2]|0)){X=88;break}if((c[G>>2]|0)!=0){Aa=E;Ba=S;X=90;break}c[I>>2]=c[2141992];za=+h[k>>3]*2.0;h[2257]=za;Ca=za;Da=V}}while(0);if((X|0)==88){c[G>>2]=1;Aa=c[2141994]|0;Ba=c[2141996]|0;X=90}if((X|0)==90){do{if((Aa|0)==(Ba|0)){Ea=Ba;X=104}else{S=c[I>>2]|0;E=u+8|0;if((S|0)==(c[E>>2]|0)){Fa=S;break}if((c[2141992]|0)>=(c[K>>2]|0)|(c[2141998]|0)==1){Fa=S;break}S=c[f>>2]|0;c[2142008]=1;if((S|0)>=1){$=ga(c[2141990]|0,Q)|0;V=1;do{w=V-1|0;h[r+(w<<3)>>3]=+h[s+(w<<3)>>3]- +h[q+(V+R+$<<3)>>3];V=V+1|0;}while((V|0)<=(S|0));c[2142008]=V}za=1.0/+((c[I>>2]|0)+2|0);ya=za*+Uga(f,r,l,0,0);h[2259]=ya;S=c[I>>2]|0;za=ya*+(S+2|0);if((S|0)>1){xa=+h[2251];$=xa<=za;if(!(+h[2250]>($?xa:za))){Ea=c[2141996]|0;X=104;break}if($){Fa=S;break}if((S|0)==(c[E>>2]|0)){Fa=S;break}}else{if(!(za<+h[2251]*.5)){Fa=S;break}}S=c[2141992]|0;c[I>>2]=S;h[2258]=ya;Fa=S}}while(0);if((X|0)==104){c[I>>2]=Ea;h[2258]=+h[2260];Fa=Ea}h[2257]=+h[k>>3];ya=+(Fa+1|0);h[2252]=ya;h[O>>3]=+h[2258]*2.0+1.0e-4;h[P>>3]=-1.0/ya;ya=+mxa(O,P);h[2254]=ya;do{if(ya<2.0){if(ya>1.0){Ga=+h[2257];break}else{h[O>>3]=.5;za=ya>=.9?.9:ya;h[P>>3]=za;xa=za<=.5?.5:za;h[2254]=xa;za=+h[k>>3]*xa;h[2257]=za;Ga=za;break}}else{za=+h[k>>3]*2.0;h[2257]=za;Ga=za}}while(0);Ca=Ga;Da=u+8|0}h[k>>3]=Ca;do{if((c[J>>2]|0)!=(c[Da>>2]|0)){S=c[f>>2]|0;c[2142008]=1;if((S|0)<1){break}$=ga(c[2141990]|0,Q)|0;ja=1;do{h[q+(ja+R+$<<3)>>3]=+h[s+(ja-1<<3)>>3];ja=ja+1|0;}while((ja|0)<=(S|0));c[2142008]=ja}}while(0);S=c[f>>2]|0;c[2142008]=1;$=c[2141992]|0;if((S|0)>=1){E=ga($,Q)|0;V=1;do{w=q+(V+R+E<<3)|0;h[w>>3]=+h[s+(V-1<<3)>>3]+ +h[w>>3];V=V+1|0;}while((V|0)<=(S|0));c[2142008]=V}c[2142e3]=2;if(($|0)<2){i=N;return 0}else{Ha=2}do{S=1-Ha+$|0;c[2142002]=S;E=c[f>>2]|0;c[2142008]=1;if((E|0)>=1){w=ga(S+1|0,Q)|0;ta=ga(S,Q)|0;S=1;do{ra=S+R|0;z=q+(ra+ta<<3)|0;h[z>>3]=+h[q+(ra+w<<3)>>3]+ +h[z>>3];S=S+1|0;}while((S|0)<=(E|0));c[2142008]=S}Ha=Ha+1|0;c[2142e3]=Ha;}while((Ha|0)<=($|0));i=N;return 0}else if((X|0)==144){c[n>>2]=-8}else if((X|0)==146){c[n>>2]=-11}else if((X|0)==151){c[n>>2]=-7;if((c[2142004]|0)<0){c[n>>2]=-10}if((c[2141984]|0)<=2){break}c[n>>2]=-9}else if((X|0)==159){c[n>>2]=-6}else if((X|0)==164){c[n>>2]=-6}else if((X|0)==168){c[n>>2]=-6}}while(0);Wga(b,b,d,e,f,I,q,y)|0;i=N;return 0}function Yga(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;var x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,Y=0.0,Z=0.0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0.0,fa=0.0,ha=0,ia=0;x=i;i=i+8|0;y=x|0;c[l>>2]=0;z=c[p+12>>2]|0;a:do{if((z|0)==4){A=p+4|0;B=ga((c[A>>2]|0)+1+(c[p>>2]<<1)|0,c[b>>2]|0)|0;c[2142090]=1;if((B|0)>=1){C=1;do{h[o+(C-1<<3)>>3]=0.0;C=C+1|0;}while((C|0)<=(B|0));c[2142090]=C}Xd[t&15](d,e,f,g,o,j,k,m,u,v)|0;c[2142070]=(c[A>>2]|0)+1+(c[p>>2]<<1);D=72}else if((z|0)==5){B=p+4|0;E=(c[B>>2]|0)+(c[p>>2]|0)|0;F=E+1|0;c[2142074]=F;G=c[b>>2]|0;c[2142076]=(F|0)>(G|0)?G:F;G=c[p>>2]|0;c[2142070]=F+G;c[2142072]=G+E;E=(c[b>>2]|0)/(F|0)|0;c[2142068]=E+1;F=c[w>>2]|0;c[2142084]=F-1;c[2142086]=F+E;c[r>>2]=0;h[2285]=+W(+h[s>>3]);E=c[2142076]|0;c[2142082]=1;if((E|0)<1){D=72;break}F=q;G=1;while(1){H=c[b>>2]|0;I=c[2142074]|0;c[2142066]=G;J=(I|0)<0;b:do{if(J?(G|0)>=(H|0):(G|0)<=(H|0)){K=G;L=G;M=I;while(1){N=(K-L|0)/(M|0)|0;c[2142080]=N+1;O=K-1|0;P=e+(O<<3)|0;h[o+((c[2142084]|0)+N<<3)>>3]=+h[P>>3];Q=f+(O<<3)|0;h[o+((c[2142086]|0)+N<<3)>>3]=+h[Q>>3];R=+h[P>>3];h[y>>3]=R;if(R<0.0){S=-0.0-R}else{S=R}R=+h[k>>3]*+h[Q>>3];if(R<0.0){T=-0.0-R}else{T=R}R=S>=T?S:T;U=+h[m+(O<<3)>>3];if(U<0.0){V=-0.0-U}else{V=U}h[2287]=+h[2285]*(R>=V?R:V);h[y>>3]=+h[k>>3]*+h[Q>>3];R=+oxa(18296,y);h[2287]=R;Q=c[2142066]|0;O=Q-1|0;P=e+(O<<3)|0;U=+h[P>>3];X=R+U-U;h[2287]=X;h[P>>3]=+h[P>>3]+X;P=f+(O<<3)|0;h[P>>3]=+h[j>>3]*+h[2287]+ +h[P>>3];P=Q+I|0;c[2142066]=P;if(!(J?(P|0)>=(H|0):(P|0)<=(H|0))){break b}K=P;L=c[2142082]|0;M=c[2142074]|0}}}while(0);Sd[F&15](d,e,f,n,r,u,v)|0;if((c[r>>2]|0)<0){break}H=c[b>>2]|0;J=c[2142074]|0;I=c[2142082]|0;c[2142066]=I;M=(J|0)<0;c:do{if(M?(I|0)>=(H|0):(I|0)<=(H|0)){L=I;K=I;P=J;while(1){Q=(L-K|0)/(P|0)|0;c[2142080]=Q+1;O=L-1|0;N=e+(O<<3)|0;h[N>>3]=+h[o+((c[2142084]|0)+Q<<3)>>3];X=+h[o+((c[2142086]|0)+Q<<3)>>3];Q=f+(O<<3)|0;h[Q>>3]=X;U=+h[N>>3];h[y>>3]=U;if(U<0.0){Y=-0.0-U}else{Y=U}U=+h[k>>3]*X;if(U<0.0){Z=-0.0-U}else{Z=U}U=Y>=Z?Y:Z;X=+h[m+(O<<3)>>3];if(X<0.0){_=-0.0-X}else{_=X}h[2287]=+h[2285]*(U>=_?U:_);h[y>>3]=+h[k>>3]*+h[Q>>3];U=+oxa(18296,y);h[2287]=U;Q=c[2142066]|0;X=+h[e+(Q-1<<3)>>3];R=U+X-X;h[2287]=R;X=1.0/R;h[2286]=X;O=Q-(c[B>>2]|0)|0;N=(O|0)>1?O:1;c[2142094]=N;O=c[b>>2]|0;$=(c[p>>2]|0)+Q|0;aa=(O|0)<=($|0)?O:$;c[2142092]=aa;$=ga(c[2142072]|0,Q)|0;O=$-(c[p>>2]|0)|0;c[2142088]=O;c[2142090]=N;if((N|0)<=(aa|0)){$=N;R=X;while(1){N=$-1|0;h[o+(N+O<<3)>>3]=(+h[n+(N<<3)>>3]- +h[g+(N<<3)>>3])*R;ba=$+1|0;if((ba|0)>(aa|0)){break}$=ba;R=+h[2286]}c[2142090]=ba}$=Q+J|0;c[2142066]=$;aa=c[2142082]|0;if(!(M?($|0)>=(H|0):($|0)<=(H|0))){ca=aa;break c}L=$;K=aa;P=c[2142074]|0}}else{ca=I}}while(0);I=ca+1|0;c[2142082]=I;if((I|0)>(E|0)){D=72;break a}else{G=I}}i=x;return 0}else if((z|0)==2){c[r>>2]=0;c[2142064]=0;h[2285]=+W(+h[s>>3]);G=c[b>>2]|0;c[2142090]=1;d:do{if((G|0)>=1){E=q;B=1;while(1){F=B-1|0;R=+h[e+(F<<3)>>3];h[y>>3]=R;if(R<0.0){da=-0.0-R}else{da=R}A=f+(F<<3)|0;R=+h[k>>3]*+h[A>>3];if(R<0.0){ea=-0.0-R}else{ea=R}R=da>=ea?da:ea;X=+h[m+(F<<3)>>3];if(X<0.0){fa=-0.0-X}else{fa=X}h[2287]=+h[2285]*(R>=fa?R:fa);h[y>>3]=+h[k>>3]*+h[A>>3];R=+oxa(18296,y);h[2287]=R;A=(c[2142090]|0)-1|0;F=e+(A<<3)|0;X=+h[F>>3];U=R+X-X;h[2287]=U;h[2283]=+h[F>>3];C=f+(A<<3)|0;h[2284]=+h[C>>3];h[F>>3]=U+ +h[F>>3];h[C>>3]=+h[j>>3]*+h[2287]+ +h[C>>3];Sd[E&15](d,e,f,n,r,u,v)|0;if((c[r>>2]|0)<0){break}U=1.0/+h[2287];h[2286]=U;C=c[b>>2]|0;c[2142078]=1;F=c[2142064]|0;if((C|0)>=1){A=0;I=1;X=U;while(1){h[o+(A+F<<3)>>3]=(+h[n+(A<<3)>>3]- +h[g+(A<<3)>>3])*X;ha=I+1|0;if((ha|0)>(C|0)){break}A=I;I=ha;X=+h[2286]}c[2142078]=ha}c[2142064]=F+(c[b>>2]|0);I=c[2142090]|0;A=I-1|0;h[e+(A<<3)>>3]=+h[2283];h[f+(A<<3)>>3]=+h[2284];B=I+1|0;c[2142090]=B;if((B|0)>(G|0)){break d}}i=x;return 0}}while(0);if((c[v>>2]|0)==0){D=41;break}c[2142064]=0;G=c[b>>2]|0;if((c[2136472]|0)==0){D=41;break}B=IJa(G*20|0)|0;hfa(14,1,50152,(ia=i,i=i+8|0,h[ia>>3]=+h[d>>3],ia)|0);i=ia;hfa(14,0,49600,(ia=i,i=i+8|0,h[ia>>3]=+h[j>>3],ia)|0);i=ia;hfa(14,1,48856,(ia=i,i=i+1|0,i=i+7&-8,c[ia>>2]=0,ia)|0);i=ia;c[2142080]=0;if((c[b>>2]|0)>0){E=0;do{X=+h[e+(E<<3)>>3];hfa(14,0,48216,(ia=i,i=i+16|0,c[ia>>2]=E+1,h[ia+8>>3]=X,ia)|0);i=ia;E=(c[2142080]|0)+1|0;c[2142080]=E;}while((E|0)<(c[b>>2]|0))}Vd[c[3586]&511](14);hfa(14,1,44136,(ia=i,i=i+1|0,i=i+7&-8,c[ia>>2]=0,ia)|0);i=ia;c[2142090]=1;if((G|0)>=1){E=B+1|0;I=1;A=c[2142064]|0;do{C=o+(I-1+A<<3)|0;h[C>>3]=+h[j>>3]+ +h[C>>3];a[B]=0;a[E]=0;c[2142078]=1;C=0;H=A;while(1){X=+h[o+(C+H<<3)>>3];Pb(B|0,45440,(ia=i,i=i+16|0,c[ia>>2]=B,h[ia+8>>3]=X,ia)|0)|0;i=ia;M=c[2142078]|0;J=M+1|0;c[2142078]=J;if((J|0)>(G|0)){break}C=M;H=c[2142064]|0}hfa(14,0,44784,(ia=i,i=i+8|0,c[ia>>2]=B,ia)|0);i=ia;H=c[2142064]|0;C=c[2142090]|0;M=o+(H-1+C<<3)|0;h[M>>3]=+h[M>>3]- +h[j>>3];A=H+(c[b>>2]|0)|0;c[2142064]=A;I=C+1|0;c[2142090]=I;}while((I|0)<=(G|0))}Vd[c[3586]&511](14);Vd[c[3586]&511](14);JJa(B);D=41}else if((z|0)==3){i=x;return 0}else{G=c[b>>2]|0;I=ga(G,G)|0;c[2142090]=1;if((I|0)!=0){G=1;do{h[o+(G-1<<3)>>3]=0.0;G=G+1|0;}while((G|0)<=(I|0));c[2142090]=G}Xd[t&15](d,e,f,g,o,j,k,m,u,v)|0;if((c[v>>2]|0)==0){D=41;break}c[2142064]=0;I=c[b>>2]|0;if((c[2136472]|0)==0){D=41;break}B=IJa(I*20|0)|0;hfa(14,1,50152,(ia=i,i=i+8|0,h[ia>>3]=+h[d>>3],ia)|0);i=ia;hfa(14,0,49600,(ia=i,i=i+8|0,h[ia>>3]=+h[j>>3],ia)|0);i=ia;hfa(14,1,48856,(ia=i,i=i+1|0,i=i+7&-8,c[ia>>2]=0,ia)|0);i=ia;c[2142080]=0;if((c[b>>2]|0)>0){A=0;do{X=+h[e+(A<<3)>>3];hfa(14,0,48216,(ia=i,i=i+16|0,c[ia>>2]=A+1,h[ia+8>>3]=X,ia)|0);i=ia;A=(c[2142080]|0)+1|0;c[2142080]=A;}while((A|0)<(c[b>>2]|0))}Vd[c[3586]&511](14);hfa(14,1,47512,(ia=i,i=i+1|0,i=i+7&-8,c[ia>>2]=0,ia)|0);i=ia;c[2142090]=1;if((I|0)>=1){A=B+1|0;G=1;E=c[2142064]|0;do{C=o+(G-1+E<<3)|0;h[C>>3]=+h[j>>3]+ +h[C>>3];a[B]=0;a[A]=0;c[2142078]=1;C=0;H=E;while(1){X=+h[o+(C+H<<3)>>3];Pb(B|0,45440,(ia=i,i=i+16|0,c[ia>>2]=B,h[ia+8>>3]=X,ia)|0)|0;i=ia;M=c[2142078]|0;J=M+1|0;c[2142078]=J;if((J|0)>(I|0)){break}C=M;H=c[2142064]|0}hfa(14,0,44784,(ia=i,i=i+8|0,c[ia>>2]=B,ia)|0);i=ia;H=c[2142064]|0;C=c[2142090]|0;M=o+(H-1+C<<3)|0;h[M>>3]=+h[M>>3]- +h[j>>3];E=H+(c[b>>2]|0)|0;c[2142064]=E;G=C+1|0;c[2142090]=G;}while((G|0)<=(I|0))}Vd[c[3586]&511](14);Vd[c[3586]&511](14);JJa(B);D=41}}while(0);if((D|0)==41){eha(o,b,b,p+80|0,l)|0;i=x;return 0}else if((D|0)==72){kha(o,8568280,b,p,p+4|0,p+80|0,l)|0;i=x;return 0}return 0}function Zga(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=c[e+12>>2]|0;if((f|0)==3){return 0}else if((f|0)==5|(f|0)==4){f=e+4|0;c[2142060]=(c[f>>2]|0)+1+(c[e>>2]<<1);lha(d,8568240,a,e,f,e+80|0,b,8568512)|0;return 0}else{iha(d,a,a,e+80|0,b,8568512)|0;return 0}return 0}function _ga(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0;d=i;i=i+8|0;e=d|0;do{if(!(a[17240]|0)){a[17240]=1;$ga(8565880,8565856,8565848,17248,8565864,17208,8565872,17216)|0;h[2159]=+(c[2141470]|0);f=c[2141464]|0;h[2148]=+(f|0);if((c[2141462]|0)==0){h[2150]=0.0;c[e>>2]=1-f;g=+nxa(17272,e)}else{h[2150]=1.0;c[e>>2]=1-f;g=+nxa(17272,e)*.5}h[2156]=g;h[2154]=g*+h[2159];h[2157]=+(c[2141466]|0);h[2158]=+(c[2141468]|0);j=+h[2151];h[2149]=j;k=1.0/+h[2152];if(k<j){break}h[2149]=k*(g+1.0)}}while(0);if((rha(b,30936,1,1)|0)!=0){g=+h[2156];h[2153]=g;l=g;i=d;return+l}if((rha(b,144744,1,1)|0)!=0){g=+h[2149];h[2153]=g;l=g;i=d;return+l}if((rha(b,112520,1,1)|0)!=0){g=+h[2159];h[2153]=g;l=g;i=d;return+l}if((rha(b,87184,1,1)|0)!=0){g=+h[2154];h[2153]=g;l=g;i=d;return+l}if((rha(b,64816,1,1)|0)!=0){g=+h[2148];h[2153]=g;l=g;i=d;return+l}if((rha(b,48448,1,1)|0)!=0){g=+h[2150];h[2153]=g;l=g;i=d;return+l}if((rha(b,41528,1,1)|0)!=0){g=+h[2157];h[2153]=g;l=g;i=d;return+l}if((rha(b,35072,1,1)|0)!=0){g=+h[2151];h[2153]=g;l=g;i=d;return+l}if((rha(b,29312,1,1)|0)!=0){g=+h[2158];h[2153]=g;l=g;i=d;return+l}if((rha(b,22352,1,1)|0)==0){l=+h[2153];i=d;return+l}else{g=+h[2152];h[2153]=g;l=g;i=d;return+l}return 0.0}function $ga(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;m=i;i=i+24|0;n=m|0;o=m+8|0;p=m+16|0;if(a[17760]|0){q=c[2141498]|0;c[b>>2]=q;r=c[2141488]|0;c[d>>2]=r;s=c[2141490]|0;c[e>>2]=s;t=+h[2182];h[f>>3]=t;u=c[2141494]|0;c[g>>2]=u;v=+h[2180];h[j>>3]=v;w=c[2141496]|0;c[k>>2]=w;x=+h[2181];h[l>>3]=x;i=m;return 0}a[17760]=1;h[2173]=0.0;h[2179]=1.0;h[2174]=2.0;aha(8565992,8565952,8565960,8565968)|0;h[2222]=+(c[2141498]|0);c[n>>2]=-(c[2141488]|0);y=+nxa(17776,n);h[2223]=y;h[2182]=y;z=+h[2174];h[2222]=z/3.0;A=+h[2179];B=A*.5;h[2187]=B;C=-0.0-B;h[o>>3]=C;h[2177]=+bha(17776,o);h[2175]=+bha(17416,17416);h[o>>3]=C;h[2222]=+bha(17400,o);C=+bha(17776,17416);h[2222]=C;if(C<0.0){D=-0.0-C}else{D=C}C=D<y?y:D;h[2222]=C;h[2182]=1.0;D=+h[2173];if(C<1.0&C>D){E=C;while(1){h[2182]=E;h[o>>3]=E*B;C=z*z;h[p>>3]=E*E*z*C*C;C=+bha(o,p);h[2221]=C;h[o>>3]=-0.0-C;h[2221]=+bha(17496,o);C=+bha(17496,17768);h[2222]=C;h[o>>3]=-0.0-C;h[2221]=+bha(17496,o);C=+bha(17496,17768);h[2222]=C;if(E>C&C>D){E=C}else{F=E;break}}}else{F=1.0}if(y<F){h[2182]=y}y=A/+(c[2141498]|0);h[2178]=y;h[2176]=A;c[2141502]=1;F=A;p=1;do{h[o>>3]=F*y;F=+bha(o,17384);h[2176]=F;p=p+1|0;c[2141502]=p;}while((p|0)<4);h[2223]=+bha(17432,17408);cha(8565936,17432,8565992)|0;h[o>>3]=-0.0- +h[2179];cha(8565944,o,8565992)|0;cha(8566016,17784,8565992)|0;h[o>>3]=-0.0- +h[2223];cha(8566024,o,8565992)|0;c[2141500]=0;p=c[2141484]|0;G=c[2141486]|0;H=c[2141504]|0;I=(p|0)==(H|0);do{if((p|0)==(G|0)&(H|0)==(c[2141506]|0)){if(I){c[2141494]=p;J=0;K=25;break}if((H-p|0)==3){c[2141494]=p-1+(c[2141488]|0);c[2141500]=1;J=1;K=25;break}else{c[2141494]=(p|0)<=(H|0)?p:H;a[17464]=1;K=26;break}}else{L=I&(G|0)==(c[2141506]|0);M=p-G|0;c[n>>2]=M;N=(((M|0)>-1?M:-M|0)|0)==1;if(L){if(N){c[2141494]=(p|0)>=(G|0)?p:G;J=0;K=25;break}else{c[2141494]=(p|0)<=(G|0)?p:G;a[17464]=1;K=26;break}}L=c[2141506]|0;M=(p|0)<=(G|0)?p:G;if(!(N&(H|0)==(L|0))){N=(M|0)<=(H|0)?M:H;c[n>>2]=N;c[2141494]=(N|0)<=(L|0)?N:L;a[17464]=1;K=26;break}if((H-M|0)==3){c[2141494]=((p|0)>=(G|0)?p:G)-1+(c[2141488]|0);J=0;K=25;break}else{c[2141494]=M;a[17464]=1;K=26;break}}}while(0);if((K|0)==25){if(a[17464]|0){K=26}else{O=J}}if((K|0)==26){a[17760]=0;lya(17472)|0;Cxa(19424,8565976,4)|0;Vxa()|0;O=c[2141500]|0}if((O|0)==0){P=(c[2141492]|0)!=0|0}else{P=1}c[2141500]=P;h[2180]=1.0;P=c[2141494]|0;O=1-P|0;c[n>>2]=O;c[2141502]=1;if((P|0)<=0){F=+h[2178];y=1.0;P=1;do{h[o>>3]=y*F;y=+bha(o,17384);h[2180]=y;P=P+1|0;c[2141502]=P;}while((P|0)<=(O|0))}dha(8565992,8565952,8565976,8566e3,8565984,17448)|0;q=c[2141498]|0;c[b>>2]=q;r=c[2141488]|0;c[d>>2]=r;s=c[2141490]|0;c[e>>2]=s;t=+h[2182];h[f>>3]=t;u=c[2141494]|0;c[g>>2]=u;v=+h[2180];h[j>>3]=v;w=c[2141496]|0;c[k>>2]=w;x=+h[2181];h[l>>3]=x;i=m;return 0}function aha(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0;g=i;i=i+16|0;j=g|0;k=g+8|0;if(a[17832]|0){l=c[2141512]|0;m=a[17824]|0;c[b>>2]=l;n=c[2141508]|0;c[d>>2]=n;o=m&1;c[e>>2]=o;p=c[2141510]|0;c[f>>2]=p;i=g;return 0}a[17832]=1;h[2227]=1.0;h[2233]=1.0;h[2231]=1.0;q=1.0;do{q=q*2.0;h[2233]=q;h[2231]=+bha(17864,17816);h[j>>3]=-0.0-q;r=+bha(17848,j);h[2231]=r;}while(r==1.0);h[2232]=1.0;r=+bha(17864,17856);h[2231]=r;if(r==q){s=1.0;while(1){t=s*2.0;h[2232]=t;u=+bha(17864,17856);h[2231]=u;if(u==q){s=t}else{v=u;break}}}else{v=r}h[2226]=.25;h[2225]=v;h[j>>3]=-0.0-q;r=+bha(17848,j);h[2231]=r;w=~~(r+.25);c[2141512]=w;r=+(w|0);h[2232]=r;s=r*.5;h[j>>3]=s;h[k>>3]=(-0.0-r)/100.0;h[2230]=+bha(j,k);u=+bha(17840,17864);h[2231]=u;x=u==q;a[17824]=x;h[j>>3]=s;h[k>>3]=r/100.0;h[2230]=+bha(j,k);u=+bha(17840,17864);h[2231]=u;if(x&u==q){a[17824]=0;y=0}else{y=x}h[j>>3]=s;u=+bha(j,17864);h[2224]=u;h[j>>3]=s;x=u==q&+bha(j,17800)>v;c[2141510]=x?y&1:0;c[2141508]=0;h[2233]=1.0;h[2231]=1.0;x=0;v=1.0;while(1){k=x+1|0;c[2141508]=k;q=v*r;h[2233]=q;h[2231]=+bha(17864,17816);h[j>>3]=-0.0-q;u=+bha(17848,j);h[2231]=u;if(u==1.0){x=k;v=q}else{l=w;m=y;break}}c[b>>2]=l;n=c[2141508]|0;c[d>>2]=n;o=m&1;c[e>>2]=o;p=c[2141510]|0;c[f>>2]=p;i=g;return 0}function bha(a,b){a=a|0;b=b|0;return+(+h[a>>3]+ +h[b>>3])}function cha(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0;e=i;i=i+8|0;f=e|0;g=+h[b>>3];h[2172]=g;j=1.0/+(c[d>>2]|0);h[2165]=j;h[2164]=0.0;c[a>>2]=1;h[f>>3]=g*j;k=+bha(f,17312);h[2171]=k;h[2169]=g;h[2168]=g;h[2167]=g;h[2166]=g;if(!(g!=g)&!(J=0.0,J!=J)){l=k;m=0}else{i=e;return 0}while(1){c[a>>2]=m;h[2172]=l;b=c[d>>2]|0;k=+(b|0);h[f>>3]=l/k;g=+bha(f,17312);h[2171]=g;h[f>>3]=g*k;k=+bha(f,17312);h[2169]=k;h[2167]=0.0;c[2141482]=1;if((b|0)<1){n=0.0}else{o=0.0;p=1;do{o=g+o;p=p+1|0;}while((p|0)<=(b|0));h[2167]=o;c[2141482]=p;n=o}h[f>>3]=l*j;q=+bha(f,17312);h[2170]=q;h[f>>3]=q/j;r=+bha(f,17312);h[2168]=r;h[2166]=0.0;b=c[d>>2]|0;c[2141482]=1;if((b|0)<1){s=0.0}else{t=0.0;u=1;do{t=q+t;u=u+1|0;}while((u|0)<=(b|0));h[2166]=t;c[2141482]=u;s=t}if(!(k==l&r==l&n==l&s==l)){break}l=g;m=(c[a>>2]|0)-1|0}i=e;return 0}function dha(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0;j=i;i=i+8|0;k=j|0;c[2141474]=1;c[2141480]=1;l=-(c[d>>2]|0)|0;if((l|0)<2){m=2;n=l;o=1;p=2}else{l=2;q=1;while(1){c[2141474]=l;r=q+1|0;c[2141480]=r;s=l<<1;t=-(c[d>>2]|0)|0;if((s|0)>(t|0)){break}else{l=s;q=r}}m=s;n=t;o=l;p=q+2|0}if((o|0)==(n|0)){c[2141472]=n;u=n}else{c[2141472]=m;c[2141480]=p;u=m}m=c[d>>2]|0;p=((m+u|0)>(-(o+m|0)|0)?o:u)<<1;c[2141478]=p;u=p+(c[d>>2]|0)|0;d=u-1|0;c[f>>2]=d;do{if((((c[2141480]|0)+1+(c[b>>2]|0)|0)%2|0|0)==1){if((c[a>>2]|0)!=2){v=d;break}p=u-2|0;c[f>>2]=p;v=p}else{v=d}}while(0);if((c[e>>2]|0)!=0){c[f>>2]=v-1}w=+(c[a>>2]|0);x=1.0/w;h[2162]=x;y=w+-1.0;h[2160]=y;h[2161]=0.0;v=c[b>>2]|0;c[2141476]=1;do{if((v|0)<1){z=0.0}else{w=y;A=0.0;b=1;do{w=x*w;h[2160]=w;if(A<1.0){h[2163]=A}A=+bha(17288,17280);h[2161]=A;b=b+1|0;c[2141476]=b;}while((b|0)<=(v|0));if(A<1.0){z=A;break}w=+h[2163];h[2161]=w;z=w}}while(0);v=c[f>>2]|0;c[2141476]=1;if((v|0)<1){B=z;h[g>>3]=B;i=j;return 0}else{C=z;D=1}while(1){h[k>>3]=C*+(c[a>>2]|0);z=+bha(k,18816);h[2161]=z;f=D+1|0;c[2141476]=f;if((f|0)>(v|0)){B=z;break}else{C=z;D=f}}h[g>>3]=B;i=j;return 0}function eha(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;g=i;i=i+16|0;j=g|0;k=g+8|0;l=c[b>>2]|0;b=~l;c[f>>2]=0;m=c[d>>2]|0;n=m-1|0;if((n|0)<1){o=m}else{c[2141526]=1;m=1;do{c[2141524]=m+1;c[j>>2]=(c[d>>2]|0)+1-m;p=fha(j,a+(m+b+(ga(m,l)|0)<<3)|0,19416)|0;q=c[2141526]|0;r=p-1+q|0;c[2141522]=r;c[e+(q-1<<2)>>2]=r;r=c[2141522]|0;q=c[2141526]|0;p=ga(q,l)|0;s=+h[a+(r+b+p<<3)>>3];do{if(s==0.0){c[f>>2]=q}else{if((r|0)==(q|0)){t=r}else{h[2235]=s;u=a+(q+b+p<<3)|0;h[a+(p+b+r<<3)>>3]=+h[u>>3];h[u>>3]=+h[2235];t=q}u=ga(t,l)|0;h[2235]=-1.0/+h[a+(t+b+u<<3)>>3];c[j>>2]=(c[d>>2]|0)-t;gha(j,17880,a+(t-l+u<<3)|0,19416)|0;u=c[d>>2]|0;c[j>>2]=u;v=c[2141524]|0;c[2141528]=v;if((v|0)>(u|0)){break}else{w=v}do{v=c[2141522]|0;x=ga(w,l)|0;h[2235]=+h[a+(x+b+v<<3)>>3];y=c[2141526]|0;if((v|0)==(y|0)){z=v}else{A=a+(y+b+x<<3)|0;h[a+(v+b+x<<3)>>3]=+h[A>>3];h[A>>3]=+h[2235];z=y}c[k>>2]=(c[d>>2]|0)-z;y=z+1|0;hha(k,17880,a+((ga(z,l)|0)+b+y<<3)|0,19416,a+(y+b+x<<3)|0,19416)|0;w=(c[2141528]|0)+1|0;c[2141528]=w;}while((w|0)<=(u|0))}}while(0);m=(c[2141526]|0)+1|0;c[2141526]=m;}while((m|0)<=(n|0));o=c[d>>2]|0}c[e+(o-1<<2)>>2]=o;o=c[d>>2]|0;if(!(+h[a+(o+b+(ga(o,l)|0)<<3)>>3]==0.0)){i=g;return 0}c[f>>2]=o;i=g;return 0}function fha(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0,A=0.0,B=0;e=c[a>>2]|0;if((e|0)<1){f=0;return f|0}if((e|0)==1){f=1;return f|0}if((c[d>>2]|0)!=1){c[2142250]=1;g=+h[b>>3];if(g<0.0){i=-0.0-g}else{i=g}h[1065303]=i;j=(c[d>>2]|0)+1|0;c[2142250]=j;k=c[a>>2]|0;c[2142252]=2;if((k|0)<2){f=1;return f|0}else{l=1;m=j;n=i;o=2}while(1){i=+h[b+(m-1<<3)>>3];j=i<0.0;if(j){p=-0.0-i}else{p=i}if(p>n){if(j){q=-0.0-i}else{q=i}h[1065303]=q;r=o;s=q}else{r=l;s=n}j=m+(c[d>>2]|0)|0;c[2142250]=j;a=o+1|0;c[2142252]=a;if((a|0)>(k|0)){f=r;break}else{l=r;m=j;n=s;o=a}}return f|0}s=+h[b>>3];if(s<0.0){t=-0.0-s}else{t=s}h[1065303]=t;c[2142252]=2;if((e|0)<2){f=1;return f|0}else{u=1;v=2;w=t}while(1){t=+h[b+(v-1<<3)>>3];if(t<0.0){x=-0.0-t}else{x=t}if(x>w){t=+h[b+(v-1<<3)>>3];if(t<0.0){y=-0.0-t}else{y=t}h[1065303]=y;z=v;A=y}else{z=u;A=w}B=v+1|0;if((B|0)>(e|0)){break}else{u=z;v=B;w=A}}c[2142252]=B;f=z;return f|0}function gha(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0;f=c[a>>2]|0;if((f|0)<1){return 0}g=c[e>>2]|0;if((g|0)!=1){e=ga(g,f)|0;c[2142256]=1;i=(g|0)<0;if(i?(e|0)<2:(e|0)>0){j=1}else{return 0}do{k=d+(j-1<<3)|0;h[k>>3]=+h[b>>3]*+h[k>>3];j=j+g|0;}while(i?(j|0)>=(e|0):(j|0)<=(e|0));c[2142256]=j;return 0}j=(f|0)%5|0;c[2142254]=j;do{if((j|0)==0){l=c[a>>2]|0}else{c[2142256]=1;if((j|0)>=1){f=1;do{e=d+(f-1<<3)|0;h[e>>3]=+h[b>>3]*+h[e>>3];f=f+1|0;}while((f|0)<=(j|0));c[2142256]=f}e=c[a>>2]|0;if((e|0)>=5){l=e;break}return 0}}while(0);a=j+1|0;c[2142256]=a;if((a|0)>(l|0)){return 0}else{m=a}do{a=d+(m-1<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+1<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+2<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+3<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];m=m+5|0;}while((m|0)<=(l|0));c[2142256]=m;return 0}function hha(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0.0,k=0,l=0,m=0,n=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0;i=c[a>>2]|0;if((i|0)<1){return 0}j=+h[b>>3];if(j==0.0){return 0}do{if((c[e>>2]|0)==1){if((c[g>>2]|0)!=1){break}k=(i|0)%4|0;c[2142266]=k;do{if((k|0)==0){l=c[a>>2]|0}else{c[2142272]=1;if((k|0)>=1){m=0;n=1;o=j;while(1){p=f+(m<<3)|0;h[p>>3]=+h[p>>3]+o*+h[d+(m<<3)>>3];q=n+1|0;if((q|0)>(k|0)){break}m=n;n=q;o=+h[b>>3]}c[2142272]=q}n=c[a>>2]|0;if((n|0)>=4){l=n;break}return 0}}while(0);n=k+1|0;c[2142272]=n;if((n|0)>(l|0)){return 0}else{r=n}do{n=r-1|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];n=f+(r<<3)|0;h[n>>3]=+h[n>>3]+ +h[b>>3]*+h[d+(r<<3)>>3];n=r+1|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];n=r+2|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];r=r+4|0;}while((r|0)<=(l|0));c[2142272]=r;return 0}}while(0);c[2142270]=1;c[2142268]=1;r=c[e>>2]|0;if((r|0)<0){l=(ga(1-(c[a>>2]|0)|0,r)|0)+1|0;c[2142270]=l;s=l}else{s=1}l=c[g>>2]|0;if((l|0)<0){r=(ga(1-(c[a>>2]|0)|0,l)|0)+1|0;c[2142268]=r;t=r}else{t=1}r=c[a>>2]|0;c[2142272]=1;if((r|0)<1){return 0}else{u=s;v=t;w=2;x=j}while(1){t=f+(v-1<<3)|0;h[t>>3]=x*+h[d+(u-1<<3)>>3]+ +h[t>>3];t=u+(c[e>>2]|0)|0;c[2142270]=t;s=v+(c[g>>2]|0)|0;c[2142268]=s;c[2142272]=w;if((w|0)>(r|0)){break}u=t;v=s;w=w+1|0;x=+h[b>>3]}return 0}function iha(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0;j=i;i=i+8|0;k=j|0;l=c[b>>2]|0;b=~l;m=(c[d>>2]|0)-1|0;c[2141514]=m;if((c[g>>2]|0)==0){if((m|0)>=1){c[2141520]=1;g=1;do{n=g-1|0;o=c[e+(n<<2)>>2]|0;c[2141516]=o;p=f+(o-1<<3)|0;h[2234]=+h[p>>3];if((o|0)!=(g|0)){o=f+(n<<3)|0;h[p>>3]=+h[o>>3];h[o>>3]=+h[2234]}c[k>>2]=(c[d>>2]|0)-g;hha(k,17872,a+(g-l+(ga(g,l)|0)<<3)|0,19416,f+(g<<3)|0,19416)|0;g=(c[2141520]|0)+1|0;c[2141520]=g;}while((g|0)<=(m|0))}g=c[d>>2]|0;c[2141518]=1;if((g|0)<1){i=j;return 0}else{q=1}do{o=1-q+(c[d>>2]|0)|0;c[2141520]=o;p=ga(o,l)|0;n=o-1|0;r=f+(n<<3)|0;s=+h[r>>3]/+h[a+(o+b+p<<3)>>3];h[r>>3]=s;h[2234]=-0.0-s;c[k>>2]=n;hha(k,17872,a+(p-l<<3)|0,19416,f,19416)|0;q=(c[2141518]|0)+1|0;c[2141518]=q;}while((q|0)<=(g|0));i=j;return 0}g=c[d>>2]|0;c[2141520]=1;if((g|0)<1){t=m}else{m=1;do{c[k>>2]=m-1;s=+jha(k,a+((ga(m,l)|0)-l<<3)|0,19416,f,19416);h[2234]=s;q=c[2141520]|0;p=f+(q-1<<3)|0;h[p>>3]=(+h[p>>3]-s)/+h[a+(q+b+(ga(q,l)|0)<<3)>>3];m=q+1|0;c[2141520]=m;}while((m|0)<=(g|0));t=c[2141514]|0}if((t|0)<1){i=j;return 0}c[2141518]=1;g=1;do{m=(c[d>>2]|0)-g|0;c[2141520]=m;c[k>>2]=(c[d>>2]|0)-m;s=+jha(k,a+(m-l+(ga(m,l)|0)<<3)|0,19416,f+(m<<3)|0,19416);m=c[2141520]|0;b=m-1|0;q=f+(b<<3)|0;h[q>>3]=s+ +h[q>>3];p=c[e+(b<<2)>>2]|0;c[2141516]=p;if((p|0)!=(m|0)){m=f+(p-1<<3)|0;h[2234]=+h[m>>3];h[m>>3]=+h[q>>3];h[q>>3]=+h[2234]}g=(c[2141518]|0)+1|0;c[2141518]=g;}while((g|0)<=(t|0));i=j;return 0}function jha(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0,k=0.0,l=0,m=0.0,n=0,o=0.0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0;h[1065304]=0.0;g=c[a>>2]|0;if((g|0)<1){i=0.0;return+i}do{if((c[d>>2]|0)==1){if((c[f>>2]|0)!=1){break}j=(g|0)%5|0;c[2142258]=j;do{if((j|0)==0){k=0.0;l=c[a>>2]|0}else{c[2142264]=1;if((j|0)<1){m=0.0}else{n=1;o=0.0;do{p=n-1|0;o=o+ +h[b+(p<<3)>>3]*+h[e+(p<<3)>>3];h[1065304]=o;n=n+1|0;}while((n|0)<=(j|0));c[2142264]=n;m=o}p=c[a>>2]|0;if((p|0)<5){i=m}else{k=m;l=p;break}return+i}}while(0);p=j+1|0;c[2142264]=p;if((p|0)>(l|0)){i=k;return+i}else{q=p;r=k}do{p=q-1|0;s=q+1|0;t=q+2|0;u=q+3|0;r=r+ +h[b+(p<<3)>>3]*+h[e+(p<<3)>>3]+ +h[b+(q<<3)>>3]*+h[e+(q<<3)>>3]+ +h[b+(s<<3)>>3]*+h[e+(s<<3)>>3]+ +h[b+(t<<3)>>3]*+h[e+(t<<3)>>3]+ +h[b+(u<<3)>>3]*+h[e+(u<<3)>>3];h[1065304]=r;q=q+5|0;}while((q|0)<=(l|0));c[2142264]=q;i=r;return+i}}while(0);c[2142262]=1;c[2142260]=1;q=c[d>>2]|0;if((q|0)<0){l=(ga(1-(c[a>>2]|0)|0,q)|0)+1|0;c[2142262]=l;v=l}else{v=1}l=c[f>>2]|0;if((l|0)<0){q=(ga(1-(c[a>>2]|0)|0,l)|0)+1|0;c[2142260]=q;w=q}else{w=1}q=c[a>>2]|0;c[2142264]=1;if((q|0)<1){i=0.0;return+i}else{x=v;y=w;z=0.0;A=1}while(1){r=z+ +h[b+(x-1<<3)>>3]*+h[e+(y-1<<3)>>3];h[1065304]=r;w=x+(c[d>>2]|0)|0;c[2142262]=w;v=y+(c[f>>2]|0)|0;c[2142260]=v;a=A+1|0;c[2142264]=a;if((a|0)>(q|0)){i=r;break}else{x=w;y=v;z=r;A=a}}return+i}function kha(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;k=i;i=i+8|0;l=k|0;m=c[b>>2]|0;b=~m;c[2141548]=(c[e>>2]|0)+1+(c[f>>2]|0);c[j>>2]=0;n=(c[f>>2]|0)+2|0;c[2141564]=n;o=c[d>>2]|0;p=c[2141548]|0;q=((o|0)>(p|0)?p:o)-1|0;c[2141562]=q;if((q|0)>=(n|0)){c[2141558]=n;o=n;do{n=1-o+p|0;c[2141570]=n;r=c[e>>2]|0;c[2141568]=n;if((n|0)<=(r|0)){s=n;do{h[a+(s+b+(ga(o,m)|0)<<3)>>3]=0.0;s=s+1|0;}while((s|0)<=(r|0));c[2141568]=s}o=o+1|0;c[2141558]=o;}while((o|0)<=(q|0));c[l>>2]=r}c[2141558]=q;c[2141560]=0;r=c[d>>2]|0;o=r-1|0;if((o|0)<1){t=r}else{c[2141556]=1;r=1;p=q;while(1){c[2141554]=r+1;q=p+1|0;c[2141558]=q;n=c[d>>2]|0;do{if((q|0)>(n|0)){u=n}else{v=c[e>>2]|0;if((v|0)<1){u=n;break}c[l>>2]=v;c[2141568]=1;w=ga(q,m)|0;x=1;do{h[a+(x+b+w<<3)>>3]=0.0;x=x+1|0;}while((x|0)<=(v|0));c[2141568]=x;u=c[d>>2]|0}}while(0);q=c[e>>2]|0;n=u-r|0;s=(q|0)<=(n|0)?q:n;c[2141550]=s;c[l>>2]=s+1;s=fha(l,a+((c[2141548]|0)+b+(ga(r,m)|0)<<3)|0,19416)|0;n=s-1|0;c[2141552]=n+(c[2141548]|0);s=c[2141556]|0;c[g+(s-1<<2)>>2]=n+s;s=c[2141552]|0;n=c[2141556]|0;q=ga(n,m)|0;y=+h[a+(s+b+q<<3)>>3];a:do{if(y==0.0){c[j>>2]=n}else{v=c[2141548]|0;if((s|0)==(v|0)){z=s}else{h[2237]=y;w=a+(v+b+q<<3)|0;h[a+(q+b+s<<3)>>3]=+h[w>>3];h[w>>3]=+h[2237];z=v}h[2237]=-1.0/+h[a+(z+b+q<<3)>>3];gha(8566200,17896,a+(z-m+q<<3)|0,19416)|0;v=c[2141560]|0;w=(c[g+((c[2141556]|0)-1<<2)>>2]|0)+(c[f>>2]|0)|0;A=(v|0)>=(w|0)?v:w;c[l>>2]=A;w=c[d>>2]|0;v=(A|0)>(w|0)?w:A;c[2141560]=v;A=c[2141548]|0;c[2141546]=A;w=c[2141554]|0;if((v|0)<(w|0)){break}c[l>>2]=v;c[2141566]=w;B=w;w=A;while(1){A=(c[2141552]|0)-1|0;c[2141552]=A;C=w-1|0;c[2141546]=C;D=ga(B,m)|0;E=a+(A+b+D<<3)|0;h[2237]=+h[E>>3];if((A|0)==(C|0)){F=A}else{A=a+(C+b+D<<3)|0;h[E>>3]=+h[A>>3];h[A>>3]=+h[2237];F=C}hha(8566200,17896,a+((c[2141548]|0)-m+(ga(c[2141556]|0,m)|0)<<3)|0,19416,a+(F-m+D<<3)|0,19416)|0;D=(c[2141566]|0)+1|0;c[2141566]=D;if((D|0)>(v|0)){break a}B=D;w=c[2141546]|0}}}while(0);q=(c[2141556]|0)+1|0;c[2141556]=q;if((q|0)>(o|0)){break}r=q;p=c[2141558]|0}t=c[d>>2]|0}c[g+(t-1<<2)>>2]=t;t=c[d>>2]|0;if(!(+h[a+((c[2141548]|0)+b+(ga(t,m)|0)<<3)>>3]==0.0)){i=k;return 0}c[j>>2]=t;i=k;return 0}function lha(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0;k=c[b>>2]|0;b=~k;l=(c[f>>2]|0)+1+(c[e>>2]|0)|0;c[2141532]=l;f=(c[d>>2]|0)-1|0;c[2141530]=f;if((c[j>>2]|0)==0){if(!((c[e>>2]|0)==0|(f|0)<1)){c[2141544]=1;j=1;do{m=c[e>>2]|0;n=(c[d>>2]|0)-j|0;c[2141534]=(m|0)<=(n|0)?m:n;n=j-1|0;m=c[g+(n<<2)>>2]|0;c[2141540]=m;o=i+(m-1<<3)|0;h[2236]=+h[o>>3];if((m|0)!=(j|0)){m=i+(n<<3)|0;h[o>>3]=+h[m>>3];h[m>>3]=+h[2236]}hha(8566136,17888,a+((c[2141532]|0)-k+(ga(j,k)|0)<<3)|0,19416,i+(j<<3)|0,19416)|0;j=(c[2141544]|0)+1|0;c[2141544]=j;}while((j|0)<=(f|0))}j=c[d>>2]|0;c[2141542]=1;if((j|0)<1){return 0}else{p=1}do{m=1-p+(c[d>>2]|0)|0;c[2141544]=m;o=c[2141532]|0;n=ga(m,k)|0;q=i+(m-1<<3)|0;r=+h[q>>3]/+h[a+(o+b+n<<3)>>3];h[q>>3]=r;q=((m|0)<=(o|0)?m:o)-1|0;c[2141534]=q;s=o-q|0;c[2141538]=s;o=m-q|0;c[2141536]=o;h[2236]=-0.0-r;hha(8566136,17888,a+(s+b+n<<3)|0,19416,i+(o-1<<3)|0,19416)|0;p=(c[2141542]|0)+1|0;c[2141542]=p;}while((p|0)<=(j|0));return 0}j=c[d>>2]|0;c[2141544]=1;if((j|0)<1){t=f;u=l}else{f=1;p=l;do{l=((f|0)<=(p|0)?f:p)-1|0;c[2141534]=l;o=p-l|0;c[2141538]=o;n=f-l|0;c[2141536]=n;r=+jha(8566136,a+((ga(f,k)|0)+b+o<<3)|0,19416,i+(n-1<<3)|0,19416);h[2236]=r;n=c[2141544]|0;o=i+(n-1<<3)|0;p=c[2141532]|0;h[o>>3]=(+h[o>>3]-r)/+h[a+((ga(n,k)|0)+b+p<<3)>>3];f=n+1|0;c[2141544]=f;}while((f|0)<=(j|0));t=c[2141530]|0;u=p}if((c[e>>2]|0)==0|(t|0)<1){return 0}c[2141542]=1;p=1;j=u;while(1){u=(c[d>>2]|0)-p|0;c[2141544]=u;f=c[e>>2]|0;b=(c[d>>2]|0)-u|0;c[2141534]=(f|0)<=(b|0)?f:b;r=+jha(8566136,a+(j-k+(ga(u,k)|0)<<3)|0,19416,i+(u<<3)|0,19416);u=c[2141544]|0;b=u-1|0;f=i+(b<<3)|0;h[f>>3]=r+ +h[f>>3];n=c[g+(b<<2)>>2]|0;c[2141540]=n;if((n|0)!=(u|0)){u=i+(n-1<<3)|0;h[2236]=+h[u>>3];h[u>>3]=+h[f>>3];h[f>>3]=+h[2236]}f=(c[2141542]|0)+1|0;c[2141542]=f;if((f|0)>(t|0)){break}p=f;j=c[2141532]|0}return 0}function mha(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=c[a>>2]|0;if((g|0)<1){return 0}do{if((c[d>>2]|0)==1){if((c[f>>2]|0)!=1){break}i=(g|0)%7|0;c[2142276]=i;do{if((i|0)==0){j=c[a>>2]|0}else{c[2142282]=1;if((i|0)>=1){k=1;do{l=k-1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];k=k+1|0;}while((k|0)<=(i|0));c[2142282]=k}l=c[a>>2]|0;if((l|0)>=7){j=l;break}return 0}}while(0);l=i+1|0;c[2142282]=l;if((l|0)>(j|0)){return 0}else{m=l}do{l=m-1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];h[e+(m<<3)>>3]=+h[b+(m<<3)>>3];l=m+1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+2|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+3|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+4|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+5|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];m=m+7|0;}while((m|0)<=(j|0));c[2142282]=m;return 0}}while(0);c[2142280]=1;c[2142278]=1;m=c[d>>2]|0;if((m|0)<0){j=(ga(1-(c[a>>2]|0)|0,m)|0)+1|0;c[2142280]=j;n=j}else{n=1}j=c[f>>2]|0;if((j|0)<0){m=(ga(1-(c[a>>2]|0)|0,j)|0)+1|0;c[2142278]=m;o=m}else{o=1}m=c[a>>2]|0;c[2142282]=1;if((m|0)<1){return 0}else{p=n;q=o;r=1}do{h[e+(q-1<<3)>>3]=+h[b+(p-1<<3)>>3];p=p+(c[d>>2]|0)|0;c[2142280]=p;q=q+(c[f>>2]|0)|0;c[2142278]=q;r=r+1|0;c[2142282]=r;}while((r|0)<=(m|0));return 0}function nha(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0,C=0,D=0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0.0,O=0.0,P=0;l=+oha(19408);d=c[a>>2]|0;m=(d|0)<1;do{if(!m){n=1;o=((ga(d+1|0,d)|0)/2|0)+1|0;do{p=d-n|0;q=p+1|0;r=p+2|0;o=o-n|0;if((d|0)<(r|0)){s=0.0}else{t=r;r=o;u=0.0;while(1){v=u+ +h[b+(r<<3)>>3]*+h[i+(t-1<<3)>>3];w=t+1|0;if((w|0)>(d|0)){s=v;break}else{t=w;r=r+1|0;u=v}}}u=+h[b+(o-1<<3)>>3];do{if(u!=0.0){x=u}else{if((p|0)<0){y=u}else{r=1;t=q;v=u;while(1){z=+h[b+(t-1<<3)>>3];if(z<0.0){A=-0.0-z}else{A=z}z=v>=A?v:A;w=t-r+d|0;B=r+1|0;if((B|0)>(q|0)){y=z;break}else{r=B;t=w;v=z}}}v=l*y;if(!(v==0.0)){x=v;break}x=l}}while(0);h[i+(p<<3)>>3]=(+h[f+(p<<3)>>3]-s)/x;n=n+1|0;}while((n|0)<=(d|0));if(m){break}else{C=1}do{n=C-1|0;h[j+(n<<3)>>3]=0.0;h[k+(n<<3)>>3]=+h[e+(n<<3)>>3]*+h[i+(n<<3)>>3];C=C+1|0;}while((C|0)<=(d|0))}}while(0);x=+pha(a,k);if(!(x>+h[g>>3])){return 0}d=c[a>>2]|0;if((d|0)>=1){C=1;m=1;n=d;while(1){o=C-1|0;s=+h[f+(o<<3)>>3];if((C|0)>(d|0)){D=m}else{q=C;t=m;while(1){r=j+(q-1<<3)|0;h[r>>3]=+h[r>>3]+s*+h[b+(t-1<<3)>>3];r=q+1|0;if((r|0)>(d|0)){break}else{q=r;t=t+1|0}}D=m+n|0}t=j+(o<<3)|0;h[t>>3]=+h[t>>3]/+h[e+(o<<3)>>3];t=C+1|0;if((t|0)>(d|0)){break}else{C=t;m=D;n=n-1|0}}}s=+pha(a,j);l=+h[g>>3];do{if(s==0.0){E=0.0;F=l/x;G=l}else{n=c[a>>2]|0;D=(n|0)<1;do{if(!D){m=1;do{C=m-1|0;d=j+(C<<3)|0;h[d>>3]=+h[d>>3]/s/+h[e+(C<<3)>>3];m=m+1|0;}while((m|0)<=(n|0));if(D){break}else{H=1;I=1;J=n}while(1){if((H|0)>(n|0)){K=I;L=0.0}else{m=H;p=I;y=0.0;while(1){M=y+ +h[b+(p-1<<3)>>3]*+h[j+(m-1<<3)>>3];C=m+1|0;if((C|0)>(n|0)){break}else{m=C;p=p+1|0;y=M}}K=I+J|0;L=M}h[k+(H-1<<3)>>3]=L;p=H+1|0;if((p|0)>(n|0)){break}else{H=p;I=K;J=J-1|0}}}}while(0);y=+pha(a,k);A=s/y/y;y=+h[g>>3];if(!(A<y)){E=A;F=0.0;G=y;break}y=+pha(a,f);u=+h[g>>3];v=A/u;z=y/s*(y/x)*v;y=u/x;N=z-y;O=v*v;v=1.0-O;E=A;F=y*v/(+W(N*N+v*(1.0-y*y))+(z-y*O));G=u}}while(0);x=(1.0-F)*(E>G?G:E);g=c[a>>2]|0;if((g|0)<1){return 0}else{P=1}do{a=P-1|0;f=i+(a<<3)|0;h[f>>3]=x*+h[j+(a<<3)>>3]+F*+h[f>>3];P=P+1|0;}while((P|0)<=(g|0));return 0}function oha(a){a=a|0;return+(+h[17032+((((c[a>>2]<<3)-8|0)/8|0)<<3)>>3])}function pha(a,b){a=a|0;b=b|0;var d=0,e=0.0,f=0.0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0.0,w=0.0;d=c[a>>2]|0;e=1304.0e16/+(d|0);do{if((d|0)<1){f=0.0;g=0.0}else{a=1;i=0.0;j=0.0;k=0.0;l=0.0;m=0.0;while(1){n=+h[b+(a-1<<3)>>3];if(n<0.0){o=-0.0-n}else{o=n}do{if(o>3.834e-20&o<e){p=m;q=l;r=k;s=j+o*o;t=i}else{if(o>3.834e-20){if(o>l){n=l/o;p=m;q=o;r=k;s=j;t=i*n*n+1.0;break}else{n=o/l;p=m;q=l;r=k;s=j;t=i+n*n;break}}if(o>m){n=m/o;p=o;q=l;r=k*n*n+1.0;s=j;t=i;break}if(!(o!=0.0)){p=m;q=l;r=k;s=j;t=i;break}n=o/m;p=m;q=l;r=k+n*n;s=j;t=i}}while(0);u=a+1|0;if((u|0)>(d|0)){break}else{a=u;i=t;j=s;k=r;l=q;m=p}}if(!(t==0.0)){v=q*+W(t+s/q/q);return+v}if(s==0.0){f=r;g=p;break}if(s<p){w=0.0}else{w=+W(s*(r*p*(p/s)+1.0))}if(!(s<p)){v=w;return+v}v=+W(p*(r*p+s/p));return+v}}while(0);v=g*+W(f);return+v}function qha(a,b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,A){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;z=z|0;A=A|0;var B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0.0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0.0,ra=0.0,sa=0,ta=0,ua=0,va=0,wa=0.0,xa=0,ya=0.0,za=0,Aa=0.0,Ba=0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0.0,Ha=0,Ia=0,Ja=0.0,Ka=0.0,La=0.0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0;B=i;i=i+32|0;C=B|0;D=B+8|0;E=B+16|0;F=B+24|0;G=c[g>>2]|0;H=~G;I=+oha(19400);c[p>>2]=0;c[E>>2]=0;c[q>>2]=0;c[r>>2]=0;J=c[b>>2]|0;a:do{if((J|0)<1){L=97}else{if((c[g>>2]|0)<(J|0)){L=97;break}if(+h[j>>3]<0.0){L=97;break}if((c[k>>2]|0)<1){L=97;break}if(!(+h[n>>3]>0.0)){L=97;break}if((c[t>>2]|0)<((ga(J+1|0,J)|0)/2|0|0)){L=97;break}b:do{if((c[m>>2]|0)==2){M=1;while(1){if((M|0)>(J|0)){break b}if(+h[l+(M-1<<3)>>3]>0.0){M=M+1|0}else{L=97;break a}}}}while(0);c[E>>2]=1;M=a;ne[M&31](b,d,e,f,g,E,z,A)|0;c[q>>2]=1;N=c[E>>2]|0;if((N|0)<0){O=N;L=98;break}P=+pha(b,e);c[E>>2]=2;ne[M&31](b,d,e,f,g,E,z,A)|0;c[r>>2]=(c[r>>2]|0)+1;N=c[E>>2]|0;if((N|0)<0){O=N;L=98;break}N=C|0;Q=1;R=0;S=P;P=0.0;T=0;U=0;V=0;c:while(1){yha(b,b,f,g,8568504,N,19400,v,w,x)|0;do{if((Q|0)==1){W=c[b>>2]|0;do{if((c[m>>2]|0)==2){L=20}else{if((W|0)<1){break}else{X=1}while(1){Y=X-1|0;Z=w+(Y<<3)|0;_=l+(Y<<3)|0;h[_>>3]=+h[Z>>3];if(+h[Z>>3]==0.0){h[_>>3]=1.0}_=X+1|0;if((_|0)>(W|0)){L=20;break}else{X=_}}}}while(0);do{if((L|0)==20){L=0;if((W|0)<1){break}else{$=1}do{_=$-1|0;h[x+(_<<3)>>3]=+h[l+(_<<3)>>3]*+h[d+(_<<3)>>3];$=$+1|0;}while(($|0)<=(W|0))}}while(0);aa=+pha(b,x);ba=+h[n>>3];ca=aa*ba;h[F>>3]=ca;if(!(ca==0.0)){da=aa;break}h[F>>3]=ba;da=aa}else{da=P}}while(0);W=c[b>>2]|0;_=(W|0)<1;do{if(_){L=35}else{Z=1;do{Y=Z-1|0;h[u+(Y<<3)>>3]=+h[e+(Y<<3)>>3];Z=Z+1|0;}while((Z|0)<=(W|0));if(_){L=35;break}else{ea=1}do{Z=ga(ea,G)|0;aa=+h[f+(ea+H+Z<<3)>>3];do{if(!(aa==0.0)){Y=(ea|0)>(W|0);if(Y){break}fa=Z+H|0;ha=ea;ba=0.0;do{ba=ba+ +h[f+(fa+ha<<3)>>3]*+h[u+(ha-1<<3)>>3];ha=ha+1|0;}while((ha|0)<=(W|0));ca=(-0.0-ba)/aa;if(Y){break}ha=Z+H|0;fa=ea;do{ia=u+(fa-1<<3)|0;h[ia>>3]=+h[ia>>3]+ca*+h[f+(ha+fa<<3)>>3];fa=fa+1|0;}while((fa|0)<=(W|0))}}while(0);ea=ea+1|0;}while((ea|0)<=(W|0));c[D>>2]=0;if(_){break}else{ja=0;ka=1}while(1){Z=(ka|0)>2?ka:2;fa=Z-2|0;ha=CKa(fa,0,Z-3|0,0)|0;Z=ha>>>1|K<<31;ha=ka-1|0;if((ha|0)<1){la=ka}else{Y=(ga(ka,G)|0)+H|0;ia=W+ja+(ga(W-2|0,fa)|0)|0;fa=1;ma=ka;do{h[s+(ma-1<<3)>>3]=+h[f+(Y+fa<<3)>>3];ma=ma-fa+W|0;fa=fa+1|0;}while((fa|0)<=(ha|0));la=ia-Z|0}fa=v+(ha<<3)|0;h[s+(la-1<<3)>>3]=+h[fa>>3];if(+h[fa>>3]==0.0){c[D>>2]=1}fa=ka+1|0;if((fa|0)>(W|0)){break}else{ja=ja+1|0;ka=fa}}}}while(0);if((L|0)==35){L=0;c[D>>2]=0}xha(b,b,f,g,v)|0;do{if((c[m>>2]|0)==2){na=V;oa=U;pa=T;qa=da;ra=S;sa=R;ta=1;ua=Q}else{W=c[b>>2]|0;if((W|0)<1){na=V;oa=U;pa=T;qa=da;ra=S;sa=R;ta=1;ua=Q;break}else{va=1}while(1){_=va-1|0;fa=l+(_<<3)|0;aa=+h[fa>>3];ca=+h[w+(_<<3)>>3];h[fa>>3]=aa>=ca?aa:ca;fa=va+1|0;if((fa|0)>(W|0)){na=V;oa=U;pa=T;qa=da;ra=S;sa=R;ta=1;ua=Q;break}else{va=fa}}}}while(0);while(1){W=c[o>>2]|0;do{if((W|0)>=1){c[E>>2]=0;if(((ua-1|0)%(W|0)|0|0)!=0){break}ne[M&31](b,d,e,f,g,E,z,A)|0;fa=c[E>>2]|0;if((fa|0)<0){O=fa;L=98;break a}}}while(0);nha(b,s,t,l,u,F,v,w,x)|0;W=c[b>>2]|0;if((W|0)>=1){fa=1;do{_=fa-1|0;ma=v+(_<<3)|0;ca=+h[ma>>3];h[ma>>3]=-0.0-ca;h[w+(_<<3)>>3]=+h[d+(_<<3)>>3]-ca;h[x+(_<<3)>>3]=+h[l+(_<<3)>>3]*+h[ma>>3];fa=fa+1|0;}while((fa|0)<=(W|0))}ca=+pha(b,x);if((ua|0)==1){aa=+h[F>>3];h[F>>3]=aa<=ca?aa:ca}c[E>>2]=1;ne[M&31](b,w,y,f,g,E,z,A)|0;c[q>>2]=(c[q>>2]|0)+1;W=c[E>>2]|0;if((W|0)<0){O=W;L=98;break a}aa=+pha(b,y);if(aa<ra){ba=aa/ra;wa=1.0-ba*ba}else{wa=-1.0}W=c[b>>2]|0;if((W|0)>=1){fa=1;ma=1;_=W;while(1){if((fa|0)>(W|0)){xa=ma;ya=0.0}else{Y=fa;za=ma;ba=0.0;while(1){Aa=ba+ +h[s+(za-1<<3)>>3]*+h[v+(Y-1<<3)>>3];Ba=Y+1|0;if((Ba|0)>(W|0)){break}else{Y=Ba;za=za+1|0;ba=Aa}}xa=ma+_|0;ya=Aa}za=fa-1|0;h[x+(za<<3)>>3]=ya+ +h[u+(za<<3)>>3];za=fa+1|0;if((za|0)>(W|0)){break}else{fa=za;ma=xa;_=_-1|0}}}ba=+pha(b,x);do{if(ba<ra){Ca=ba/ra;Da=1.0-Ca*Ca;if(!(Da>0.0)){Ea=0.0;L=65;break}Ca=wa/Da;if(Ca<.1){Ea=Ca;L=65;break}_=sa+1|0;if(Ca>=.5|(sa|0)>0){Da=+h[F>>3];Fa=ca*2.0;h[F>>3]=Da>=Fa?Da:Fa}Fa=Ca+-1.0;if(Fa<0.0){Ga=-0.0-Fa}else{Ga=Fa}if(Ga>.1){Ha=0;Ia=_;Ja=Ca;break}h[F>>3]=ca*2.0;Ha=0;Ia=_;Ja=Ca}else{Ea=0.0;L=65}}while(0);if((L|0)==65){L=0;h[F>>3]=+h[F>>3]*.5;Ha=na+1|0;Ia=0;Ja=Ea}if(Ja<1.0e-4){Ka=qa;La=ra;Ma=ua}else{_=c[b>>2]|0;if((_|0)>=1){ma=1;do{fa=ma-1|0;W=w+(fa<<3)|0;ba=+h[W>>3];h[d+(fa<<3)>>3]=ba;h[W>>3]=ba*+h[l+(fa<<3)>>3];h[e+(fa<<3)>>3]=+h[y+(fa<<3)>>3];ma=ma+1|0;}while((ma|0)<=(_|0))}Ka=+pha(b,w);La=aa;Ma=ua+1|0}Na=wa<.001?pa+1|0:0;Oa=wa<.1?oa+ta|0:0;ba=+h[F>>3];if(ba<=Ka*+h[j>>3]|La==0.0){L=77;break c}if((c[p>>2]|0)!=0){L=97;break a}if((c[q>>2]|0)<(c[k>>2]|0)){Pa=0}else{c[p>>2]=2;Pa=2}Ca=ba*.1;if((Ca>=ca?Ca:ca)*.1>I*Ka){Qa=Pa}else{c[p>>2]=3;Qa=3}if((Oa|0)==5){c[p>>2]=4;Ra=4}else{Ra=Qa}if((Na|0)==10){L=86;break c}if((Ra|0)!=0){L=97;break a}if((Ha|0)==2){break}_=c[b>>2]|0;if((_|0)>=1){ma=Ja<1.0e-4;fa=1;do{W=(ga(fa,G)|0)+H|0;za=1;Ca=0.0;do{Ca=Ca+ +h[f+(W+za<<3)>>3]*+h[y+(za-1<<3)>>3];za=za+1|0;}while((za|0)<=(_|0));za=fa-1|0;h[w+(za<<3)>>3]=(Ca- +h[x+(za<<3)>>3])/ca;ba=+h[l+(za<<3)>>3];W=v+(za<<3)|0;h[W>>3]=ba*(ba*+h[W>>3]/ca);if(!ma){h[u+(za<<3)>>3]=Ca}fa=fa+1|0;}while((fa|0)<=(_|0))}Aha(b,b,s,t,v,w,x,D)|0;zha(b,b,f,g,w,x)|0;zha(19400,b,u,19400,w,x)|0;na=Ha;oa=Oa;pa=Na;qa=Ka;ra=La;sa=Ia;ta=0;ua=Ma}c[E>>2]=2;ne[M&31](b,d,e,f,g,E,z,A)|0;c[r>>2]=(c[r>>2]|0)+1;_=c[E>>2]|0;if((_|0)<0){O=_;L=98;break a}else{Q=Ma;R=Ia;S=La;P=Ka;T=Na;U=Oa;V=2}}if((L|0)==77){c[p>>2]=1;L=97;break}else if((L|0)==86){c[p>>2]=5;L=97;break}}}while(0);if((L|0)==97){Oa=c[E>>2]|0;if((Oa|0)<0){O=Oa;L=98}}if((L|0)==98){c[p>>2]=O}c[E>>2]=0;if((c[o>>2]|0)<=0){i=B;return 0}ne[a&31](b,d,e,f,g,E,z,A)|0;i=B;return 0}function rha(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;if((a[b]|0)==(a[e]|0)){h=1;return h|0}a[14360]=1;g=d[b]|0;c[2138774]=g;b=d[e]|0;c[2138772]=b;if((g-97|0)>>>0<26>>>0){e=g-32|0;c[2138774]=e;i=e}else{i=g}if((b-97|0)>>>0<26>>>0){g=b-32|0;c[2138772]=g;j=g}else{j=b}h=(i|0)==(j|0)|0;return h|0}



function sha(b,d,e,f,g,i,j,k,l,m,n,o,p){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0.0,I=0.0,J=0.0,L=0,M=0.0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0.0,X=0.0,Y=0.0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0,ea=0,fa=0.0,ha=0.0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0;if((c[i>>2]|0)>0){c[2645]=6;lya(10576)|0;Cxa(19392,i,4)|0;Vxa()|0}c[p>>2]=0;if((c[e>>2]|0)<1){c[p>>2]=3;q=3}else{q=0}if((c[k>>2]|0)<1){c[p>>2]=4;return 0}if((q|0)!=0){return 0}c[2137372]=0;c[2137370]=0;c[2137374]=0;a[11032]=0;q=c[e>>2]|0;c[2137400]=1;do{if((q|0)>=1){r=1;s=0;while(1){if(+h[d+(r-1<<3)>>3]!=0.0){t=s+1|0;c[2137372]=t;u=t}else{u=s}v=r+1|0;if((v|0)>(q|0)){break}else{r=v;s=u}}c[2137400]=v;if((u|0)<=0){break}s=o;r=f;a:while(1){t=c[e>>2]|0;c[2137400]=1;if((t|0)>=1){w=1;do{h[8549792+((w*21|0)-21<<3)>>3]=+h[b+(w-1<<3)>>3];w=w+1|0;}while((w|0)<=(t|0));c[2137400]=w}c[2137386]=2;t=c[e>>2]|0;c[2137400]=1;if((t|0)>=1){x=1;y=2;while(1){z=x-1|0;A=d+(z<<3)|0;B=+h[A>>3];if(B==0.0){C=y}else{D=c[e>>2]|0;c[2137384]=1;if((D|0)<1){E=B}else{F=1;do{h[8549792+((F*21|0)-22+y<<3)>>3]=+h[b+(F-1<<3)>>3];F=F+1|0;}while((F|0)<=(D|0));c[2137384]=F;E=+h[A>>3]}h[8549792+((x*21|0)-22+y<<3)>>3]=+h[b+(z<<3)>>3]+E;D=y+1|0;c[2137386]=D;C=D}D=x+1|0;c[2137400]=D;if((D|0)>(t|0)){break}else{x=D;y=C}}}y=c[2137372]|0;x=y+1|0;c[2137366]=x;c[2137400]=1;if((y|0)>=0){y=1;do{t=c[e>>2]|0;c[2137384]=1;if((t|0)>=1){w=1;do{h[b+(w-1<<3)>>3]=+h[8549792+((w*21|0)-22+y<<3)>>3];w=w+1|0;}while((w|0)<=(t|0));c[2137384]=w}_d[s&127](e,b,8549624+(y-1<<3)|0)|0;c[2137370]=(c[2137370]|0)+1;if((c[i>>2]|0)>=1){c[2753]=6;lya(11008)|0;Cxa(19392,8549480,4)|0;Cxa(19392,8549624+((c[2137400]|0)-1<<3)|0,8)|0;t=c[e>>2]|0;c[2137384]=1;if((t|0)>=1){z=1;do{Cxa(19392,b+(z-1<<3)|0,8)|0;z=(c[2137384]|0)+1|0;c[2137384]=z;}while((z|0)<=(t|0))}Vxa()|0}y=(c[2137400]|0)+1|0;c[2137400]=y;}while((y|0)<=(x|0))}x=c[2137374]|0;b:while(1){c[2137374]=x+1;c[2137392]=1;c[2137390]=1;B=+h[1068703];h[1385]=B;h[1383]=B;y=c[2137366]|0;c[2137400]=2;if((y|0)<2){G=1}else{t=2;z=1;H=B;I=B;while(1){B=+h[8549624+(t-1<<3)>>3];do{if(B>H){c[2137392]=t;J=+h[8549624+(t-1<<3)>>3];h[1385]=J;L=t;M=J;N=I}else{if(!(B<I)){L=z;M=H;N=I;break}c[2137390]=t;J=+h[8549624+(t-1<<3)>>3];h[1383]=J;L=z;M=H;N=J}}while(0);O=t+1|0;if((O|0)>(y|0)){break}else{t=O;z=L;H=M;I=N}}c[2137400]=O;G=L}z=c[e>>2]|0;c[2137400]=1;if((z|0)>=1){t=1;do{h[8549296+(t-1<<3)>>3]=0.0;t=t+1|0;}while((t|0)<=(z|0));c[2137400]=t}c[2137400]=1;if((y|0)>=1){z=1;do{do{if((z|0)==(G|0)){P=G}else{w=c[e>>2]|0;c[2137384]=1;if((w|0)<1){P=z;break}else{Q=1}do{A=8549296+(Q-1<<3)|0;h[A>>3]=+h[8549792+((Q*21|0)-22+z<<3)>>3]+ +h[A>>3];Q=Q+1|0;}while((Q|0)<=(w|0));c[2137384]=Q;P=z}}while(0);z=P+1|0;c[2137400]=z;}while((z|0)<=(y|0))}y=c[e>>2]|0;c[2137384]=1;if((y|0)>=1){I=+(c[2137372]|0);z=1;do{t=8549296+(z-1<<3)|0;h[t>>3]=+h[t>>3]/I;z=z+1|0;}while((z|0)<=(y|0));c[2137384]=z}y=c[e>>2]|0;c[2137400]=1;if((y|0)>=1){t=1;do{w=t-1|0;I=+h[8549296+(w<<3)>>3];h[8548976+(w<<3)>>3]=I+(I- +h[8549792+((t*21|0)-22+G<<3)>>3]);t=t+1|0;}while((t|0)<=(y|0));c[2137400]=t}_d[s&127](e,8548976,11056)|0;y=(c[2137370]|0)+1|0;c[2137370]=y;z=c[i>>2]|0;do{if((z|0)>=1){if(((y|0)%(z|0)|0|0)!=0){break}c[2747]=6;lya(10984)|0;Cxa(19392,8549480,4)|0;Cxa(19392,11056,8)|0;w=c[e>>2]|0;c[2137384]=1;if((w|0)>=1){A=1;do{Cxa(19392,8548976+(A-1<<3)|0,8)|0;A=(c[2137384]|0)+1|0;c[2137384]=A;}while((A|0)<=(w|0))}Vxa()|0}}while(0);I=+h[1382];c:do{if(I<+h[1383]){z=c[e>>2]|0;c[2137400]=1;if((z|0)>=1){y=1;do{t=y-1|0;H=+h[8549296+(t<<3)>>3];h[8548816+(t<<3)>>3]=H+(+h[8548976+(t<<3)>>3]-H)*2.0;y=y+1|0;}while((y|0)<=(z|0));c[2137400]=y}_d[s&127](e,8548816,11040)|0;z=(c[2137370]|0)+1|0;c[2137370]=z;t=c[i>>2]|0;do{if((t|0)>=1){if(((z|0)%(t|0)|0|0)!=0){break}c[2741]=6;lya(10960)|0;Cxa(19392,8549480,4)|0;Cxa(19392,11040,8)|0;w=c[e>>2]|0;c[2137384]=1;if((w|0)>=1){A=1;do{Cxa(19392,8548816+(A-1<<3)|0,8)|0;A=(c[2137384]|0)+1|0;c[2137384]=A;}while((A|0)<=(w|0))}Vxa()|0}}while(0);H=+h[1380];if(!(H<+h[1383])){R=122;break}t=c[e>>2]|0;c[2137400]=1;z=c[2137392]|0;if((t|0)>=1){y=1;do{w=y-1|0;if(+h[d+(w<<3)>>3]!=0.0){h[8549792+((y*21|0)-22+z<<3)>>3]=+h[8548816+(w<<3)>>3]}y=y+1|0;}while((y|0)<=(t|0));c[2137400]=y}h[8549624+(z-1<<3)>>3]=H}else{t=c[2137366]|0;c[2137400]=1;if((t|0)>=1){w=c[2137392]|0;A=1;do{if((A|0)!=(w|0)){if(I<+h[8549624+(A-1<<3)>>3]){R=122;break c}}A=A+1|0;c[2137400]=A;}while((A|0)<=(t|0))}if(!(I>+h[1385])){t=c[e>>2]|0;c[2137400]=1;A=c[2137392]|0;if((t|0)>=1){w=1;do{z=w-1|0;if(+h[d+(z<<3)>>3]!=0.0){h[8549792+((w*21|0)-22+A<<3)>>3]=+h[8548976+(z<<3)>>3]}w=w+1|0;}while((w|0)<=(t|0));c[2137400]=w}h[1385]=I;h[8549624+(A-1<<3)>>3]=I}t=c[e>>2]|0;c[2137400]=1;if((t|0)>=1){z=c[2137392]|0;y=1;do{F=y-1|0;h[8548816+(F<<3)>>3]=+h[8549792+((y*21|0)-22+z<<3)>>3]*.5+ +h[8549296+(F<<3)>>3]*.5;y=y+1|0;}while((y|0)<=(t|0));c[2137400]=y}_d[s&127](e,8548816,11040)|0;t=(c[2137370]|0)+1|0;c[2137370]=t;z=c[i>>2]|0;do{if((z|0)>=1){if(((t|0)%(z|0)|0|0)!=0){break}c[2735]=6;lya(10936)|0;Cxa(19392,8549480,4)|0;Cxa(19392,11040,8)|0;A=c[e>>2]|0;c[2137384]=1;if((A|0)>=1){w=1;do{Cxa(19392,8548816+(w-1<<3)|0,8)|0;w=(c[2137384]|0)+1|0;c[2137384]=w;}while((w|0)<=(A|0))}Vxa()|0}}while(0);H=+h[1380];if(!(H>+h[1385])){z=c[e>>2]|0;c[2137400]=1;t=c[2137392]|0;if((z|0)>=1){y=1;do{A=y-1|0;if(+h[d+(A<<3)>>3]!=0.0){h[8549792+((y*21|0)-22+t<<3)>>3]=+h[8548816+(A<<3)>>3]}y=y+1|0;}while((y|0)<=(z|0));c[2137400]=y}h[8549624+(t-1<<3)>>3]=H;break}z=c[2137366]|0;c[2137400]=1;if((z|0)<1){break}else{S=1}do{A=c[2137390]|0;do{if((S|0)!=(A|0)){w=c[e>>2]|0;c[2137384]=1;if((w|0)>=1){F=S-22|0;D=1;do{if(+h[d+(D-1<<3)>>3]!=0.0){T=(D*21|0)-22|0;U=8549792+(T+S<<3)|0;h[U>>3]=(+h[U>>3]+ +h[8549792+(T+A<<3)>>3])*.5}h[b+(D-1<<3)>>3]=+h[8549792+(F+(D*21|0)<<3)>>3];D=D+1|0;}while((D|0)<=(w|0));c[2137384]=D}_d[s&127](e,b,8549624+(S-1<<3)|0)|0;w=(c[2137370]|0)+1|0;c[2137370]=w;F=c[i>>2]|0;if((F|0)<1){break}if(((w|0)%(F|0)|0|0)!=0){break}c[2729]=6;lya(10912)|0;Cxa(19392,8549480,4)|0;Cxa(19392,8549624+((c[2137400]|0)-1<<3)|0,8)|0;F=c[e>>2]|0;c[2137384]=1;if((F|0)>=1){w=1;do{Cxa(19392,b+(w-1<<3)|0,8)|0;w=(c[2137384]|0)+1|0;c[2137384]=w;}while((w|0)<=(F|0))}Vxa()|0}}while(0);S=(c[2137400]|0)+1|0;c[2137400]=S;}while((S|0)<=(z|0))}}while(0);if((R|0)==122){R=0;z=c[e>>2]|0;c[2137400]=1;t=c[2137392]|0;if((z|0)>=1){y=1;do{A=y-1|0;if(+h[d+(A<<3)>>3]!=0.0){h[8549792+((y*21|0)-22+t<<3)>>3]=+h[8548976+(A<<3)>>3]}y=y+1|0;}while((y|0)<=(z|0));c[2137400]=y}h[8549624+(t-1<<3)>>3]=+h[1382]}z=c[2137374]|0;if((z|0)<(c[k>>2]|0)){x=z;continue}h[1381]=0.0;h[1384]=0.0;z=c[2137366]|0;c[2137400]=1;A=(z|0)<1;do{if(A){I=+(z|0);h[1384]=0.0/I;c[2137400]=1;V=0.0;X=I}else{I=0.0;F=1;do{I=+h[8549624+(F-1<<3)>>3]+I;F=F+1|0;}while((F|0)<=(z|0));H=+(z|0);B=I/H;h[1384]=B;c[2137400]=1;if(A){V=0.0;X=H;break}else{Y=0.0;Z=1}do{J=+h[8549624+(Z-1<<3)>>3]-B;Y=Y+J*J;Z=Z+1|0;}while((Z|0)<=(z|0));h[1381]=Y;c[2137400]=Z;V=Y;X=H}}while(0);B=+W(V/X);h[1381]=B;do{if(B>+h[j>>3]){if((c[2137370]|0)>(c[g>>2]|0)){break}a[11032]=0;c[2137374]=0;x=0;continue b}}while(0);t=c[e>>2]|0;c[2137400]=1;if((t|0)>=1){y=1;do{F=y-1|0;if(!(+h[d+(F<<3)>>3]==0.0)){h[b+(F<<3)>>3]=0.0;c[2137384]=1;if(A){_=b+(y-1<<3)|0}else{F=y*21|0;w=b+(y-1<<3)|0;D=1;B=+h[w>>3];do{B=+h[8549792+(D-22+F<<3)>>3]+B;h[w>>3]=B;D=D+1|0;}while((D|0)<=(z|0));c[2137384]=D;_=w}h[_>>3]=+h[_>>3]/X}y=y+1|0;}while((y|0)<=(t|0));c[2137400]=y}_d[s&127](e,b,f)|0;t=(c[2137370]|0)+1|0;c[2137370]=t;z=c[i>>2]|0;do{if((z|0)<1){$=t}else{if(((t|0)%(z|0)|0|0)!=0){$=t;break}c[2723]=6;lya(10888)|0;Cxa(19392,8549480,4)|0;Cxa(19392,r,8)|0;A=c[e>>2]|0;c[2137384]=1;if((A|0)>=1){F=1;do{Cxa(19392,b+(F-1<<3)|0,8)|0;F=(c[2137384]|0)+1|0;c[2137384]=F;}while((F|0)<=(A|0))}Vxa()|0;$=c[2137370]|0}}while(0);if(($|0)>(c[g>>2]|0)){R=154;break a}if((c[i>>2]|0)>=0){c[2693]=6;lya(10768)|0;Vxa()|0;c[2687]=6;lya(10744)|0;t=c[e>>2]|0;c[2137400]=1;if((t|0)>=1){z=1;do{Cxa(19392,b+(z-1<<3)|0,8)|0;z=(c[2137400]|0)+1|0;c[2137400]=z;}while((z|0)<=(t|0))}Vxa()|0;c[2681]=6;lya(10720)|0;Cxa(19392,r,8)|0;Vxa()|0}if(a[11032]|0){B=+h[1384];H=+h[1284]-B;if(H<0.0){aa=-0.0-H}else{aa=H}if(aa<+h[j>>3]){break}else{ba=B}}else{a[11032]=1;ba=+h[1384]}h[1284]=ba;c[2137374]=0;x=0}if((c[i>>2]|0)>=0){c[2675]=6;lya(10696)|0;Cxa(19392,8549480,4)|0;Vxa()|0;c[2669]=6;lya(10672)|0;x=c[e>>2]|0;c[2137400]=1;if((x|0)>=1){t=1;do{Cxa(19392,b+(t-1<<3)|0,8)|0;t=(c[2137400]|0)+1|0;c[2137400]=t;}while((t|0)<=(x|0))}Vxa()|0;c[2663]=6;lya(10648)|0;Cxa(19392,r,8)|0;Vxa()|0}if((c[l>>2]|0)<1){R=315;break}if((c[i>>2]|0)>-1){c[2657]=6;lya(10624)|0;Vxa()|0}h[1383]=+h[f>>3];c[2137368]=0;x=c[2137366]|0;c[2137400]=1;if((x|0)>=1){t=1;while(1){z=8549624+(t-1<<3)|0;B=+h[z>>3]- +h[f>>3];if(B<0.0){ca=-0.0-B}else{ca=B}if(!(ca<+h[m>>3])){y=t+1|0;c[2137400]=y;if((y|0)>(x|0)){break}else{t=y;continue}}y=c[e>>2]|0;c[2137384]=1;if((y|0)>=1){A=t-22|0;F=1;do{w=F-1|0;if(+h[d+(w<<3)>>3]!=0.0){D=8549792+((F*21|0)-22+t<<3)|0;B=+h[D>>3];h[D>>3]=B+(B- +h[b+(w<<3)>>3])}h[8548816+(F-1<<3)>>3]=+h[8549792+(A+(F*21|0)<<3)>>3];F=F+1|0;}while((F|0)<=(y|0));c[2137384]=F}_d[s&127](e,8548816,z)|0;c[2137368]=(c[2137368]|0)+1;c[2137370]=(c[2137370]|0)+1;y=c[2137400]|0;B=+h[8549624+(y-1<<3)>>3];if(!(B<+h[1383])){t=y;continue}h[1383]=B;if(!((c[i>>2]|0)>-1)){t=y;continue}c[2651]=6;lya(10600)|0;Cxa(19392,8549480,4)|0;Cxa(19392,11064,8)|0;y=c[e>>2]|0;c[2137384]=1;if((y|0)>=1){A=1;do{Cxa(19392,8548816+(A-1<<3)|0,8)|0;A=(c[2137384]|0)+1|0;c[2137384]=A;}while((A|0)<=(y|0))}Vxa()|0;t=c[2137400]|0}}t=c[2137372]|0;c[2137400]=1;do{if((t|0)<1){h[1563]=+h[1068703];c[2137400]=1;da=t;R=206}else{x=1;do{y=x+1|0;c[2137404]=y;A=c[e>>2]|0;c[2137384]=1;if((A|0)>=1){z=1;do{F=z*21|0;h[8548976+(z-1<<3)>>3]=(+h[8549792+(F-21<<3)>>3]+ +h[8549792+(F-22+y<<3)>>3])*.5;z=z+1|0;}while((z|0)<=(A|0));c[2137384]=z}_d[s&127](e,8548976,8554832+(x-1<<3)|0)|0;c[2137368]=(c[2137368]|0)+1;c[2137370]=(c[2137370]|0)+1;x=(c[2137400]|0)+1|0;c[2137400]=x;}while((x|0)<=(t|0));x=c[2137372]|0;B=+h[1068703];h[1563]=B;c[2137400]=1;if((x|0)<1){da=x;R=206;break}else{ea=1;fa=B}while(1){A=ea-1|0;c[2137404]=A;c[2137402]=ea+1;if((A|0)<1){ha=fa;ia=ea}else{c[2137384]=1;y=1;while(1){F=y+1|0;c[2137382]=F;w=c[e>>2]|0;c[2137378]=1;if((w|0)>=1){D=c[2137402]|0;T=1;do{U=(T*21|0)-22|0;h[8548816+(T-1<<3)>>3]=(+h[8549792+(U+D<<3)>>3]+ +h[8549792+(U+F<<3)>>3])*.5;T=T+1|0;}while((T|0)<=(w|0));c[2137378]=T}_d[s&127](e,8548816,11040)|0;c[2137368]=(c[2137368]|0)+1;c[2137370]=(c[2137370]|0)+1;w=c[2137400]|0;F=w-1|0;D=(ga(F,w)|0)/2|0;U=c[2137384]|0;ja=U+D|0;c[2137376]=ja;B=+h[1563];h[8553152+(ja-1<<3)>>3]=(+h[1380]+B- +h[8554832+(F<<3)>>3]- +h[8554832+(U-1<<3)>>3])*2.0;F=U+1|0;c[2137384]=F;if((F|0)>(A|0)){ha=B;ia=w;break}else{y=F}}}y=ia+1|0;c[2137400]=y;if((y|0)>(x|0)){break}else{ea=y;fa=ha}}x=c[2137372]|0;c[2137376]=0;c[2137400]=1;y=(x|0)<1;if(y){c[2137400]=1;ka=x;la=1;break}else{ma=1;na=0}while(1){oa=na+ma|0;h[8553152+(oa-1<<3)>>3]=(+h[8549624+(ma<<3)>>3]+ha- +h[8554832+(ma-1<<3)>>3]*2.0)*2.0;A=ma+1|0;if((A|0)>(x|0)){break}else{ma=A;na=oa}}c[2137404]=ma+1;c[2137376]=oa;c[2137400]=1;if(y){ka=x;la=1;break}B=ha*3.0;A=1;while(1){z=8554832+(A-1<<3)|0;h[z>>3]=+h[z>>3]*2.0-(+h[8549624+(A<<3)>>3]+B)*.5;pa=A+1|0;if((pa|0)>(x|0)){break}else{A=pa}}c[2137404]=A+1;c[2137400]=pa;ka=x;la=y}}while(0);if((R|0)==206){R=0;c[2137376]=0;c[2137400]=1;ka=da;la=(da|0)<1}t=c[e>>2]|0;c[2137400]=1;if((t|0)>=1){z=1;do{h[8549136+(z-1<<3)>>3]=+h[8549792+((z*21|0)-21<<3)>>3];z=z+1|0;}while((z|0)<=(t|0));c[2137400]=z}c[2137400]=1;do{if(la){c[2137400]=1}else{t=1;do{t=t+1|0;c[2137404]=t;F=c[e>>2]|0;c[2137384]=1;if((F|0)>=1){w=1;do{U=w*21|0;ja=8549792+(U-22+t<<3)|0;h[ja>>3]=+h[ja>>3]- +h[8549792+(U-21<<3)>>3];w=w+1|0;}while((w|0)<=(F|0));c[2137384]=w}c[2137400]=t;}while((t|0)<=(ka|0));c[2137400]=1;if(la){break}else{qa=1}while(1){t=qa+1|0;c[2137404]=t;y=c[e>>2]|0;c[2137384]=1;if((y|0)>=1){x=1;do{A=(x*21|0)-22|0;h[8549792+(A+qa<<3)>>3]=+h[8549792+(A+t<<3)>>3];x=x+1|0;}while((x|0)<=(y|0));c[2137384]=x}c[2137400]=t;if((t|0)>(ka|0)){break}else{qa=t}}}}while(0);tha(8553152,8549488,8553152,8548656,8549456,p,10280)|0;if((c[p>>2]|0)==0){R=229;break}if((c[i>>2]|0)>-1){c[2639]=6;lya(10552)|0;Vxa()|0}c[p>>2]=2;if((c[2137370]|0)>(c[g>>2]|0)){R=315;break}c[2633]=6;lya(10528)|0;Vxa()|0;z=c[e>>2]|0;c[2137400]=1;if((z|0)<1){continue}else{ra=1}do{y=d+(ra-1<<3)|0;h[y>>3]=+h[y>>3]*.5;ra=ra+1|0;}while((ra|0)<=(z|0));c[2137400]=ra}if((R|0)==154){c[p>>2]=1;if((c[i>>2]|0)<0){return 0}c[2717]=6;lya(10864)|0;Cxa(19392,g,4)|0;Vxa()|0;c[2711]=6;lya(10840)|0;Cxa(19392,11048,8)|0;Vxa()|0;c[2705]=6;lya(10816)|0;s=c[e>>2]|0;c[2137400]=1;if((s|0)>=1){z=1;do{Cxa(19392,b+(z-1<<3)|0,8)|0;z=(c[2137400]|0)+1|0;c[2137400]=z;}while((z|0)<=(s|0))}Vxa()|0;c[2699]=6;lya(10792)|0;Cxa(19392,r,8)|0;Vxa()|0;return 0}else if((R|0)==229){s=c[2137372]|0;c[2137388]=s-(c[2137364]|0);c[2137400]=1;z=(s|0)<1;do{if(z){h[1283]=0.0;c[2137400]=1;sa=0.0}else{y=s+1|0;w=1;do{h[8549624+(w-1<<3)>>3]=0.0;A=w-1|0;F=8549624+(A<<3)|0;U=1;B=+h[F>>3];do{if((U|0)>(w|0)){ja=U-1|0;ta=((ga(ja,U)|0)/2|0)+w|0;ua=ja}else{ta=((ga(A,w)|0)/2|0)+U|0;ua=U-1|0}B=+h[8553152+(ta-1<<3)>>3]*+h[8554832+(ua<<3)>>3]+B;U=U+1|0;}while((U|0)<=(s|0));c[2137376]=ta;h[F>>3]=B;w=w+1|0;}while((w|0)<=(s|0));c[2137384]=y;h[1283]=0.0;c[2137400]=1;if(z){sa=0.0;break}else{va=0.0;wa=1}do{w=wa-1|0;va=va+ +h[8549624+(w<<3)>>3]*+h[8554832+(w<<3)>>3];wa=wa+1|0;}while((wa|0)<=(s|0));h[1283]=va;c[2137400]=wa;sa=va}}while(0);h[1283]=+h[1563]-sa;r=c[e>>2]|0;c[2137400]=1;if((r|0)>=1){y=s+1|0;w=1;do{h[8548816+(w-1<<3)>>3]=0.0;if(z){xa=1}else{U=w*21|0;A=8548816+(w-1<<3)|0;H=+h[A>>3];ja=1;do{H=H+ +h[8549624+(ja-1<<3)>>3]*+h[8549792+(ja-22+U<<3)>>3];ja=ja+1|0;}while((ja|0)<=(s|0));h[A>>3]=H;xa=y}w=w+1|0;}while((w|0)<=(r|0));c[2137400]=w;c[2137384]=xa}r=c[e>>2]|0;c[2137400]=1;if((r|0)>=1){y=1;do{s=y-1|0;z=8549136+(s<<3)|0;h[z>>3]=+h[z>>3]- +h[8548816+(s<<3)>>3];y=y+1|0;}while((y|0)<=(r|0));c[2137400]=y}if((c[i>>2]|0)>=0){c[2627]=6;lya(10504)|0;Cxa(19392,10264,8)|0;r=c[e>>2]|0;c[2137400]=1;if((r|0)>=1){w=1;do{Cxa(19392,8549136+(w-1<<3)|0,8)|0;w=(c[2137400]|0)+1|0;c[2137400]=w;}while((w|0)<=(r|0))}Vxa()|0;c[2621]=6;lya(10480)|0;Vxa()|0}r=c[e>>2]|0;c[2137400]=1;if((r|0)>=1){w=c[2137372]|0;y=1;do{c[2137384]=1;if((w|0)>=1){s=y*21|0;z=w+1|0;ja=1;do{h[8549624+(ja-1<<3)>>3]=0.0;U=ja-1|0;D=8549624+(U<<3)|0;ya=1;I=+h[D>>3];do{if((ya|0)>(ja|0)){za=((ga(ya-1|0,ya)|0)/2|0)+ja|0}else{za=((ga(U,ja)|0)/2|0)+ya|0}I=I+ +h[8553152+(za-1<<3)>>3]*+h[8549792+(ya-22+s<<3)>>3]*.5;ya=ya+1|0;}while((ya|0)<=(w|0));c[2137376]=za;h[D>>3]=I;ja=ja+1|0;}while((ja|0)<=(w|0));c[2137378]=z;c[2137384]=ja}s=c[e>>2]|0;c[2137384]=y;if((y|0)<=(s|0)){A=(w|0)<1;ya=w+1|0;U=y;do{Aa=y+((ga(U-1|0,U)|0)/2|0)|0;F=8546976+(Aa-1<<3)|0;h[F>>3]=0.0;if(A){Ba=1}else{Ca=U*21|0;H=0.0;Da=1;do{H=+h[8549624+(Da-1<<3)>>3]*+h[8549792+(Da-22+Ca<<3)>>3]+H;Da=Da+1|0;}while((Da|0)<=(w|0));h[F>>3]=H;Ba=ya}U=U+1|0;}while((U|0)<=(s|0));c[2137384]=U;c[2137376]=Aa;c[2137378]=Ba}y=y+1|0;c[2137400]=y;}while((y|0)<=(r|0))}c[2137384]=0;r=c[e>>2]|0;c[2137400]=1;if((r|0)>=1){y=0;w=1;do{y=y+w|0;h[n+(w-1<<3)>>3]=+h[8546976+(y-1<<3)>>3];w=w+1|0;}while((w|0)<=(r|0));c[2137384]=y;c[2137400]=w}if((c[i>>2]|0)<0){return 0}c[2615]=6;lya(10456)|0;Cxa(19392,8549552,4)|0;Vxa()|0;c[2137394]=1;r=1;d:while(1){c[2137376]=r;do{if((r|0)>(c[e>>2]|0)){s=c[2137394]|0;if((s|0)==1){c[2609]=6;lya(10432)|0;Vxa()|0;tha(8546976,8549488,8553152,8548656,8549456,p,10280)|0;c[2603]=6;lya(10408)|0;Vxa()|0;c[2137394]=3;r=1;continue d}else if((s|0)==2){break d}else if((s|0)!=3){break}c[2137394]=2;c[2137398]=0;c[2137396]=0;s=c[e>>2]|0;c[2137400]=1;if((s|0)>=1){ya=0;A=0;ja=1;z=0;Da=-1;Ca=-1;D=-2;while(1){Ea=CKa(Ca,0,D,0)|0;Fa=Da+(Ea>>>1|K<<31)|0;Ga=A+ja|0;Ea=8546976+(Ga-1<<3)|0;I=+h[Ea>>3];if(I>0.0){Ha=1.0/+W(I)}else{Ha=0.0}h[Ea>>3]=Ha;Ia=ja-1|0;if((Ia|0)<1){Ja=0;Ka=ya;La=1}else{Ma=0;Na=ya;Oa=1;I=Ha;while(1){Pa=Ma+Oa|0;Qa=8546976+(Na<<3)|0;h[Qa>>3]=+h[Qa>>3]*I*+h[8546976+(Pa-1<<3)>>3];Qa=Oa+1|0;if((Qa|0)>(Ia|0)){break}Ma=Pa;Na=Na+1|0;Oa=Qa;I=+h[Ea>>3]}Ja=Fa;Ka=ya+z|0;La=ja}Ra=Ka+1|0;Sa=ja+1|0;if((Sa|0)>(s|0)){break}else{ya=Ra;A=Ga;ja=Sa;z=z+1|0;Da=Da+2|0;Ca=Ca+1|0;D=D+1|0}}c[2137380]=Ja;c[2137396]=Ra;c[2137398]=Ga;c[2137384]=La;c[2137400]=Sa}c[2597]=6;lya(10384)|0;Vxa()|0;c[2137398]=0;D=c[e>>2]|0;c[2137400]=1;if((D|0)<1){r=1;continue d}else{Ta=0;Ua=1}do{Ta=Ta+Ua|0;Ca=8546976+(Ta-1<<3)|0;if(+h[Ca>>3]!=0.0){h[Ca>>3]=1.0}Ua=Ua+1|0;}while((Ua|0)<=(D|0));c[2137398]=Ta;c[2137400]=Ua;r=1;continue d}}while(0);U=(ga(r-1|0,r)|0)/2|0;c[2137398]=U;D=c[e>>2]|0;c[2137400]=r;e:do{if((r|0)<=(D|0)){Ca=r;Da=U;z=r;while(1){ja=z+Da|0;c[2137404]=ja;A=Ca+Da|0;c[2137398]=A;ya=ja+5|0;c[2137402]=(A|0)<=(ya|0)?A:ya;if((c[2137394]|0)==3){c[2579]=6;lya(10312)|0;ya=c[2137402]|0;A=c[2137404]|0;c[2137384]=A;if((A|0)<=(ya|0)){ja=A;do{Cxa(19392,8553152+(ja-1<<3)|0,8)|0;ja=(c[2137384]|0)+1|0;c[2137384]=ja;}while((ja|0)<=(ya|0))}Vxa()|0}else{c[2585]=6;lya(10336)|0;ya=c[2137402]|0;ja=c[2137404]|0;c[2137384]=ja;if((ja|0)<=(ya|0)){Fa=ja;do{Cxa(19392,8546976+(Fa-1<<3)|0,8)|0;Fa=(c[2137384]|0)+1|0;c[2137384]=Fa;}while((Fa|0)<=(ya|0))}Vxa()|0}ya=(c[2137400]|0)+1|0;c[2137400]=ya;if((ya|0)>(D|0)){break e}Ca=ya;Da=c[2137398]|0;z=c[2137376]|0}}}while(0);c[2573]=6;lya(10288)|0;Vxa()|0;r=(c[2137376]|0)+6|0}c[2591]=6;lya(10360)|0;Cxa(19392,8549472,4)|0;Vxa()|0;return 0}else if((R|0)==315){return 0}}}while(0);_d[o&127](e,b,f)|0;return 0}function tha(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0.0,E=0;c[2136520]=c[b>>2];c[g>>2]=1;if((c[2136520]|0)<1){return 0}c[g>>2]=0;uha(a,8546080,d,f,g,i,e)|0;if((c[g>>2]|0)!=0){return 0}g=c[2136520]|0;i=(ga(g+1|0,g)|0)/2|0;c[2136522]=i;c[2136536]=g;c[2136524]=i;f=g-1|0;a=i+(ga(f,1-g|0)|0)|0;b=CKa(f,0,g-2|0,0)|0;f=a+(b>>>1|K<<31)|0;b=i;a=g;while(1){if(+h[d+(b-1<<3)>>3]==0.0){c[2136534]=a;if((a|0)>(g|0)){j=b}else{k=b;l=a;do{h[d+(k-1<<3)>>3]=0.0;k=k+l|0;l=l+1|0;}while((l|0)<=(g|0));c[2136534]=l;j=k}m=j;n=a-1|0}else{c[2136540]=a;if((a|0)<=(g|0)){o=b;p=a;while(1){h[e+(p-1<<3)>>3]=+h[d+(o-1<<3)>>3];q=p+1|0;if((q|0)>(g|0)){break}o=o+p|0;p=q}c[2136540]=q}c[2136538]=g;c[2136532]=i;c[2136526]=i;p=a-1|0;o=e+(p<<3)|0;k=(g|0)==(a|0);l=i;r=g;s=i;while(1){h[980]=0.0;t=(r|0)==(a|0);if(t){u=1.0/+h[o>>3];h[980]=u;v=u}else{v=0.0}if(k){w=l;x=g;y=v}else{z=l;A=g;u=v;while(1){B=A-1|0;C=z-1|0;D=u- +h[e+(B<<3)>>3]*+h[d+(C<<3)>>3];h[980]=D;if((C|0)>(s|0)){E=z+(1-A)|0}else{E=C}if((B|0)==(a|0)){w=E;x=a;y=D;break}else{z=E;A=B;u=D}}}h[d+(w-1<<3)>>3]=y/+h[o>>3];if(t){break}A=s-r|0;c[2136526]=A;z=r-1|0;c[2136538]=z;B=l-1|0;c[2136532]=B;l=B;r=z;s=A}c[2136530]=x;m=w;n=p}if((n|0)==0){break}else{b=b-a|0;a=n}}c[2136528]=m;c[2136536]=0;c[2136524]=f-g;return 0}function uha(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0;h[2313]=.5;j=.5;do{j=j*.5;}while(j+1.0>1.0);k=j*2.0;h[2313]=k;c[f>>2]=1;if((c[b>>2]|0)<1){return 0}c[f>>2]=2;c[e>>2]=0;h[g>>3]=k;h[i>>3]=+h[2313];c[2142118]=1;c[2142116]=0;l=c[b>>2]|0;c[2142122]=1;a:do{if((l|0)>=1){b=1;m=1;b:while(1){c[2142114]=0;c[2142120]=1;do{if((b|0)>=1){n=c[2142116]|0;o=1;p=0;while(1){q=n+1|0;r=a+(n<<3)|0;k=+h[r>>3];h[2311]=k;s=(o|0)==(b|0);if(s){j=k*+h[2313];h[2312]=j*j}do{if((o|0)<1){t=1;u=m;v=p;w=k}else{x=p;y=1;z=m;j=k;while(1){A=x+1|0;if((y|0)==(o|0)){B=14;break}C=d+(x<<3)|0;D=j- +h[C>>3]*+h[d+(z-1<<3)>>3];h[2311]=D;if(s){E=+h[C>>3];F=E*E*+h[i+(y-1<<3)>>3];h[2312]=+h[2312]+F*F}G=z+1|0;H=y+1|0;if((H|0)>(o|0)){B=15;break}else{x=A;y=H;z=G;j=D}}if((B|0)==14){B=0;c[2142114]=A;t=o;u=z;v=A;w=j;break}else if((B|0)==15){B=0;c[2142114]=A;t=H;u=G;v=A;w=D;break}}}while(0);if(s){B=25;break}k=+h[d+(v-1<<3)>>3];if(k==0.0){h[d+(n<<3)>>3]=0.0;F=+h[2311];if(F<0.0){I=-0.0-F}else{I=F}F=+h[g>>3]*+h[r>>3];if(F<0.0){J=-0.0-F}else{J=F}if(I>J){break b}}else{h[d+(n<<3)>>3]=w/k}y=o+1|0;c[2142120]=y;if((y|0)>(b|0)){B=26;break}else{n=q;o=y;p=v}}if((B|0)==25){B=0;c[2142124]=t;c[2142112]=u;c[2142116]=q;break}else if((B|0)==26){B=0;c[2142124]=t;c[2142112]=u;c[2142116]=q;break}}}while(0);k=+W(+h[2312]);h[2312]=k;F=+h[2311];if(F<0.0){K=-0.0-F}else{K=F}do{if(K>k*5.0){if(F<0.0){B=37;break b}E=+W(F);h[d+((c[2142116]|0)-1<<3)>>3]=E;E=+h[2312]/+h[2311];h[i+((c[2142124]|0)-1<<3)>>3]=E;if(!(E>+h[g>>3])){L=b;M=m;break}h[g>>3]=E;L=b;M=m}else{h[d+((c[2142116]|0)-1<<3)>>3]=0.0;c[e>>2]=(c[e>>2]|0)+1;L=c[2142122]|0;M=c[2142118]|0}}while(0);m=M+L|0;c[2142118]=m;b=L+1|0;c[2142122]=b;if((b|0)>(l|0)){break a}}if((B|0)==37){return 0}c[2142124]=t;c[2142112]=u;c[2142116]=q;return 0}}while(0);c[f>>2]=0;return 0}function vha(b,d,e,f,g,h,i,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;l=(c[b>>2]|0)+1|0;c[2136718]=l;m=(c[d>>2]|0)-l|0;c[2136716]=m;n=c[d>>2]|0;o=c[b>>2]|0;p=o+2|0;do{if((n|0)>=(p|0)){if((n|0)>((ga(l,p)|0)/2|0|0)){break}q=o+n|0;c[2136720]=q;a[10152]=1;r=c[b>>2]|0;s=r+1|0;c[2136726]=s;t=c[b>>2]|0;u=s+t|0;c[2136728]=u;s=u+(c[b>>2]|0)|0;c[2136724]=s;u=(ga(c[d>>2]|0,c[b>>2]|0)|0)+s|0;c[2136738]=u;v=u+(c[d>>2]|0)|0;c[2136736]=v;w=v+(c[b>>2]|0)|0;c[2136734]=w;x=((ga(l,c[b>>2]|0)|0)/2|0)+w|0;c[2136732]=x;y=x+(c[d>>2]|0)|0;c[2136742]=y;z=(ga(c[b>>2]|0,q)|0)+y|0;c[2136722]=z;A=(ga(m,c[d>>2]|0)|0)+z|0;c[2136740]=A;B=A+(c[b>>2]|0)|0;c[2136730]=B;wha(b,d,e,f,g,h,i,j,j+(r<<3)|0,j+(r+t<<3)|0,j+(s-1<<3)|0,j+(u-1<<3)|0,j+(v-1<<3)|0,j+(w-1<<3)|0,j+(x-1<<3)|0,j+(y-1<<3)|0,j+(z-1<<3)|0,8546880,j+(A-1<<3)|0,j+(B-1<<3)|0,j+(q-1+B<<3)|0,k)|0;return 0}}while(0);lya(10160)|0;Vxa()|0;return 0}function wha(a,b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;var z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0.0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0.0,la=0.0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0,wa=0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0.0,eb=0,fb=0,gb=0.0,hb=0.0,ib=0,jb=0.0,kb=0.0,lb=0.0,mb=0.0,nb=0.0,ob=0,pb=0,qb=0,rb=0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0;z=i;i=i+8|0;A=z|0;B=c[b>>2]|0;C=~B;D=c[u>>2]|0;E=~D;h[1186]=.5;h[1160]=1.0;h[1148]=.1;F=(c[a>>2]|0)+1|0;c[2136672]=F;G=ga(c[a>>2]|0,F)|0;H=(G|0)/2|0;c[2136674]=H;I=(c[b>>2]|0)-F|0;c[2136670]=I;F=c[j>>2]|0;c[2136676]=(F|0)<1?1:F;F=c[a>>2]|0;c[2136700]=1;if((F|0)>=1){j=1;do{J=j-1|0;h[k+(J<<3)>>3]=+h[d+(J<<3)>>3];J=c[b>>2]|0;c[2136694]=1;if((J|0)>=1){K=ga(j,B)|0;L=1;do{h[n+(L+C+K<<3)>>3]=0.0;L=L+1|0;}while((L|0)<=(J|0));c[2136694]=L}J=c[u>>2]|0;c[2136714]=1;if((J|0)>=1){K=1;do{h[s+(K+E+(ga(j,D)|0)<<3)>>3]=0.0;K=K+1|0;}while((K|0)<=(J|0));c[2136714]=K}j=j+1|0;c[2136700]=j;}while((j|0)<=(F|0))}c[2136710]=1;if((G|0)>=2){G=1;do{h[q+(G-1<<3)>>3]=0.0;G=G+1|0;}while((G|0)<=(H|0));c[2136710]=G}G=c[b>>2]|0;c[2136694]=1;if((G|0)>=1){H=(I|0)<1;F=I+1|0;j=1;do{h[r+(j-1<<3)>>3]=0.0;if(H){M=1}else{J=1;while(1){h[t+((ga(J,B)|0)+C+j<<3)>>3]=0.0;L=J+1|0;if((L|0)>(I|0)){M=F;break}else{J=L}}}j=j+1|0;}while((j|0)<=(G|0));c[2136700]=M;c[2136694]=j}N=+h[e>>3];O=N*N;h[1155]=O;h[1158]=+h[1160]/O;h[1157]=+W(+h[1186])/O;c[2136684]=0;j=y;y=A;M=0;a:while(1){c[2136682]=M;G=M-(c[a>>2]|0)|0;c[2136680]=G;F=M+1|0;c[2136684]=F;I=c[a>>2]|0;do{if((M|0)>(I<<1|0)){H=(G-1|0)/(I|0)|0;c[2136704]=H;J=c[a>>2]|0;K=M-(ga(J,H)|0)-J|0;c[2136696]=K;J=K+H|0;c[2136706]=J;if((J|0)>(c[a>>2]|0)){c[2136704]=K;H=J-(c[a>>2]|0)|0;c[2136696]=H;c[2136706]=K;P=K;Q=H}else{P=J;Q=K}O=+h[e>>3];h[1146]=O;K=c[2136672]|0;if(+h[o+(P-1+K<<3)>>3]<+h[o+(P<<3)>>3]){N=-0.0-O;h[1146]=N;R=N}else{R=O}O=+h[e>>3];h[1145]=O;if(+h[o+(Q-1+K<<3)>>3]<+h[o+(Q<<3)>>3]){h[1145]=-0.0-O}K=F+C|0;h[n+(K+(ga(P,B)|0)<<3)>>3]=R;h[n+(K+(ga(Q,B)|0)<<3)>>3]=+h[1145];S=c[a>>2]|0}else{K=(M|0)>(I|0);if(!((M|0)<1|K)){h[n+((ga(M,B)|0)+C+F<<3)>>3]=+h[e>>3];S=I;break}if(!K){S=I;break}h[n+(F+C+(ga(G,B)|0)<<3)>>3]=-0.0- +h[e>>3];S=I}}while(0);c[2136700]=1;if((S|0)>=1){I=1;do{O=+h[n+((ga(I,B)|0)+C+F<<3)>>3];G=I-1|0;h[d+(G<<3)>>3]=O+ +h[k+(G<<3)>>3];I=I+1|0;}while((I|0)<=(S|0));c[2136700]=I}if((F|0)>(c[2136676]|0)){T=F;U=158;break}while(1){_d[j&127](a,d,10024)|0;if((c[g>>2]|0)==3){lya(9432)|0;Cxa(19384,8546736,4)|0;Cxa(19384,10024,8)|0;G=c[a>>2]|0;c[2136714]=1;if((G|0)>=1){K=1;do{Cxa(19384,d+(K-1<<3)|0,8)|0;K=(c[2136714]|0)+1|0;c[2136714]=K;}while((K|0)<=(G|0))}Vxa()|0}G=c[2136684]|0;do{if((G|0)>(c[b>>2]|0)){K=c[2136692]|0;if((K|0)==-1){break a}h[1147]=0.0;c[2136710]=0;J=c[a>>2]|0;c[2136700]=1;if((J|0)<1){V=0.0}else{H=2;L=1;O=0.0;X=0;while(1){Y=L-1|0;N=O+ +h[v+(Y<<3)>>3]*+h[p+(Y<<3)>>3];h[1147]=N;if((L|0)<1){Z=1;_=N;$=X}else{Y=L-1|0;aa=m+(Y<<3)|0;ba=v+(Y<<3)|0;Y=X;ca=1;da=N;while(1){ea=ca-1|0;N=+h[v+(ea<<3)>>3]*+h[aa>>3]+ +h[ba>>3]*+h[l+(ea<<3)>>3];h[1150]=N;if((ca|0)==(L|0)){fa=N*+h[1186];h[1150]=fa;ha=fa}else{ha=N}ia=da+ha*+h[q+(Y<<3)>>3];h[1147]=ia;ea=ca+1|0;if((ea|0)>(L|0)){break}else{Y=Y+1|0;ca=ea;da=ia}}ca=X+L|0;c[2136710]=ca;Z=H;_=ia;$=ca}ja=L+1|0;if((ja|0)>(J|0)){break}else{H=H+1|0;L=ja;O=_;X=$}}c[2136714]=Z;c[2136700]=ja;V=_}X=c[b>>2]|0;c[2136694]=1;if((X|0)<1){ka=V}else{L=1;O=V;do{H=L-1|0;O=O+ +h[r+(H<<3)>>3]*+h[x+(H<<3)>>3];h[1147]=O;L=L+1|0;}while((L|0)<=(X|0));c[2136694]=L;ka=O}da=+h[1253];N=+h[1190];fa=da-N-ka;h[1262]=fa;h[1259]=+h[1260];h[1260]=+h[1261];if(fa<0.0){la=-0.0-fa}else{la=fa}h[1261]=la;if(+h[1257]>+h[1156]){c[2136678]=G}h[1189]=N;do{if(da<N){h[1190]=da;h[1144]=0.0;X=c[a>>2]|0;c[2136714]=1;if((X|0)<1){break}else{ma=1}do{H=ma-1|0;h[l+(H<<3)>>3]=+h[m+(H<<3)>>3];na=+h[l+(ma-1<<3)>>3];h[1144]=+h[1144]+na*na;ma=ma+1|0;}while((ma|0)<=(X|0));c[2136714]=ma;h[A>>3]=na}}while(0);c[2136688]=K;if((K|0)<=0){da=+h[1147];if(!(da<0.0)){U=189;break a}N=+h[1253];O=+h[1189];fa=(N-O)/da;h[1159]=fa;da=+h[1148];do{if(fa>da){oa=+h[1186]*+h[1264];h[A>>3]=oa;pa=+h[1257];if(fa>.7){qa=pa+pa;ra=oa>=qa?oa:qa;h[1264]=ra;sa=ra;break}else{ra=oa>=pa?oa:pa;h[1264]=ra;sa=ra;break}}else{ra=+h[1186]*+h[1257];h[1264]=ra;sa=ra}}while(0);fa=+h[1156];if(sa>fa*1.5){ta=sa}else{h[1264]=fa;ta=fa}ra=da*ta;pa=ra>=fa?ra:fa;h[A>>3]=pa;fa=pa*pa;h[1155]=fa;c[2136686]=0;h[1263]=0.0;if(N<O){ua=0.0;va=0}else{L=c[2136690]|0;c[2136686]=L;pa=+h[1160];h[1263]=pa;ua=pa;va=L}L=c[b>>2]|0;c[2136694]=1;if((L|0)<1){wa=K}else{X=c[2136670]|0;H=K;J=1;pa=ua;while(1){h[1185]=0.0;c[2136700]=1;if((X|0)<1){xa=0.0}else{ca=c[2136712]|0;Y=J+C|0;ra=+h[1160];ba=1;oa=0.0;do{if((ba|0)<(ca|0)){ya=-0.0-ra}else{ya=ra}h[1150]=ya;qa=+h[t+(Y+(ga(ba,B)|0)<<3)>>3];oa=oa+ya*qa*qa;h[1185]=oa;ba=ba+1|0;}while((ba|0)<=(X|0));c[2136700]=ba;xa=oa}ra=+h[w+(J-1<<3)>>3];qa=ra*ra+ +h[1267]*xa;if(qa<0.0){za=-0.0-qa}else{za=qa}h[1150]=za;h[1258]=0.0;Y=c[a>>2]|0;c[2136700]=1;if((Y|0)<1){Aa=qa;Ba=0.0}else{ca=1;qa=0.0;do{ra=+h[n+((ga(ca,B)|0)+C+J<<3)>>3];Ca=ra- +h[l+(ca-1<<3)>>3];qa=qa+Ca*Ca;h[1258]=qa;ca=ca+1|0;}while((ca|0)<=(Y|0));c[2136700]=ca;Aa=Ca;Ba=qa}if(Ba>fa){oa=Ba/fa;ra=za*oa*oa*oa;h[1150]=ra;Da=oa;Ea=ra}else{Da=Aa;Ea=za}if(Ea<=pa|(J|0)==(va|0)){Fa=H;Ga=pa}else{h[1263]=Ea;c[2136692]=J;Fa=J;Ga=Ea}Y=J+1|0;c[2136694]=Y;if((Y|0)>(L|0)){break}else{H=Fa;J=Y;pa=Ga}}h[A>>3]=Da;wa=Fa}if((wa|0)==0){Ha=da;Ia=ta;Ja=0;U=285;break}}Cha(a,b,s,t,8546848,u,w,10136,8546768,x)|0;J=c[2136692]|0;H=J-1|0;h[o+(H<<3)>>3]=+h[1253];c[2136710]=0;L=c[a>>2]|0;c[2136714]=1;X=r+(H<<3)|0;if((L|0)>=1){H=J+C|0;K=2;Y=1;ba=0;while(1){pa=+h[X>>3]*+h[n+((ga(Y,B)|0)+C+J<<3)>>3];h[1150]=pa;if((Y|0)<1){Ka=1;La=ba}else{aa=ba;ea=1;fa=pa;while(1){pa=fa*+h[n+(H+(ga(ea,B)|0)<<3)>>3];Ma=q+(aa<<3)|0;h[Ma>>3]=+h[Ma>>3]+pa;Ma=ea+1|0;if((Ma|0)>(Y|0)){break}aa=aa+1|0;ea=Ma;fa=+h[1150]}ea=ba+Y|0;c[2136710]=ea;Ka=K;La=ea}Na=Y+1|0;if((Na|0)>(L|0)){break}else{K=K+1|0;Y=Na;ba=La}}c[2136700]=Ka;c[2136714]=Na}h[X>>3]=0.0;ba=c[2136670]|0;c[2136700]=1;Y=(ba|0)<1;if(!Y){K=c[2136712]|0;L=1;do{H=ga(L,B)|0;da=+h[1262]*+h[t+(H+C+J<<3)>>3];if((L|0)<(K|0)){Oa=-0.0-da}else{Oa=da}h[1150]=Oa;ea=c[b>>2]|0;c[2136694]=1;if((ea|0)>=1){aa=1;ca=2;da=Oa;while(1){Ma=r+(aa-1<<3)|0;h[Ma>>3]=+h[Ma>>3]+da*+h[t+(aa+C+H<<3)>>3];if((ca|0)>(ea|0)){break}aa=ca;ca=ca+1|0;da=+h[1150]}c[2136694]=ca}L=L+1|0;c[2136700]=L;}while((L|0)<=(ba|0))}h[1187]=0.0;L=c[a>>2]|0;c[2136714]=1;if((L|0)>=1){K=1;do{da=+h[1262]*+h[s+((ga(K,D)|0)+E+J<<3)>>3];X=p+(K-1<<3)|0;h[X>>3]=+h[X>>3]+da;X=K-1|0;Pa=+h[p+(X<<3)>>3];h[1187]=+h[1187]+Pa*Pa;h[n+((ga(K,B)|0)+C+J<<3)>>3]=+h[m+(X<<3)>>3];K=K+1|0;}while((K|0)<=(L|0));c[2136714]=K;h[A>>3]=Pa}L=c[2136688]|0;do{if((L|0)==0){if(!(+h[1264]==+h[1156])){break}da=+h[1159];if(da<0.0){Qa=-0.0-da}else{Qa=da}if(Qa>.01){c[2136702]=0;break}X=c[b>>2]|0;c[2136694]=1;if((X|0)>=1){aa=o+((c[2136690]|0)-1<<3)|0;ea=1;do{H=ea-1|0;h[w+(H<<3)>>3]=+h[o+(H<<3)>>3]- +h[aa>>3];ea=ea+1|0;}while((ea|0)<=(X|0));c[2136694]=ea}h[1188]=0.0;X=c[a>>2]|0;c[2136714]=1;if((X|0)<1){Ra=0.0}else{aa=1;do{h[1154]=0.0;ca=c[b>>2]|0;c[2136694]=1;if((ca|0)<1){Sa=0.0}else{H=ga(aa,D)|0;Ma=1;da=0.0;do{da=da+ +h[s+(Ma+E+H<<3)>>3]*+h[w+(Ma-1<<3)>>3];h[1154]=da;Ma=Ma+1|0;}while((Ma|0)<=(ca|0));c[2136694]=Ma;Sa=da}h[1188]=+h[1188]+Sa*Sa;h[x+(aa-1<<3)>>3]=Sa;aa=aa+1|0;c[2136714]=aa;}while((aa|0)<=(X|0));Ra=+h[1188]*100.0}X=(c[2136702]|0)+1|0;c[2136702]=X;if(+h[1187]<Ra){c[2136702]=0;break}if((X|0)<=2){break}X=c[a>>2]|0;c[2136714]=1;if((X|0)>=1){aa=1;do{ea=aa-1|0;h[p+(ea<<3)>>3]=+h[x+(ea<<3)>>3];aa=aa+1|0;}while((aa|0)<=(X|0));c[2136714]=aa}X=c[2136674]|0;c[2136710]=1;if((X|0)>=1){ea=1;do{h[q+(ea-1<<3)>>3]=0.0;ea=ea+1|0;}while((ea|0)<=(X|0));c[2136710]=ea}c[2136700]=1;if(!Y){X=1;do{aa=x+(X-1<<3)|0;h[aa>>3]=0.0;ca=c[b>>2]|0;c[2136694]=1;if((ca|0)<1){Ta=0.0}else{H=ga(X,B)|0;Ua=1;fa=0.0;do{fa=fa+ +h[w+(Ua-1<<3)>>3]*+h[t+(Ua+C+H<<3)>>3];h[aa>>3]=fa;Ua=Ua+1|0;}while((Ua|0)<=(ca|0));c[2136694]=Ua;Ta=fa}if((X|0)<(c[2136712]|0)){h[aa>>3]=-0.0-Ta}X=X+1|0;c[2136700]=X;}while((X|0)<=(ba|0))}X=c[b>>2]|0;c[2136694]=1;if((X|0)>=1){ea=ba+1|0;ca=1;do{h[r+(ca-1<<3)>>3]=0.0;if(Y){Va=1}else{H=1;while(1){da=+h[t+((ga(H,B)|0)+C+ca<<3)>>3];Ma=r+(ca-1<<3)|0;h[Ma>>3]=+h[Ma>>3]+da*+h[x+(H-1<<3)>>3];Ma=H+1|0;if((Ma|0)>(ba|0)){Va=ea;break}else{H=Ma}}}ca=ca+1|0;}while((ca|0)<=(X|0));c[2136700]=Va;c[2136694]=ca}c[2136702]=0}}while(0);fa=+h[1253];da=+h[1189];if(fa<da){c[2136690]=J}qa=+h[1148];if(fa<=da+qa*+h[1147]|(L|0)>0){U=54;break}c[2136692]=0;Ha=qa;Ia=+h[1264];Ja=0;U=285}else{h[o+(G-1<<3)>>3]=+h[1253];qa=+h[1253];do{if((G|0)==1){h[1252]=qa;h[1190]=qa;c[2136690]=1;Wa=1}else{if(!(qa<+h[1190])){Wa=G;break}h[1190]=qa;c[2136690]=G;Wa=G}}while(0);L=c[2136682]|0;J=c[a>>2]|0;do{if((L|0)>(J<<1|0)){ba=c[2136706]|0;Y=(ga(ba-1|0,ba)|0)/2|0;K=c[2136696]|0;X=K+Y|0;c[2136710]=X;if(+h[1146]<0.0){Y=ba+(c[a>>2]|0)|0;c[2136706]=Y;Xa=Y}else{Xa=ba}if(+h[1145]<0.0){ba=K+(c[a>>2]|0)|0;c[2136696]=ba;Ya=ba}else{Ya=K}K=ga(c[2136680]|0,B)|0;h[t+(K-B<<3)>>3]=+h[1158];h[t+(Wa+C+K<<3)>>3]=+h[1158];h[t+(Xa-B+K<<3)>>3]=-0.0- +h[1158];h[t+(Ya-B+K<<3)>>3]=-0.0- +h[1158];h[q+(X-1<<3)>>3]=(+h[1252]- +h[o+(Xa<<3)>>3]- +h[o+(Ya<<3)>>3]+ +h[1253])/(+h[1146]*+h[1145])}else{X=(L|0)>(J|0);if((L|0)<1|X){if(!X){break}X=c[2136680]|0;K=ga(X,D)|0;h[s+(E-J+Wa+K<<3)>>3]=+h[1186]/+h[e>>3];h[s+(Wa+E+K<<3)>>3]=(-0.0- +h[1186])/+h[e>>3];da=+h[1157];K=ga(X,B)|0;h[t+(K-B<<3)>>3]=-0.0-da-da;ba=Wa+C|0;h[t+(ba-J+K<<3)>>3]=+h[1157];h[t+(ba+K<<3)>>3]=+h[1157];K=(ga(X+1|0,X)|0)/2|0;c[2136710]=K;da=(+h[1252]- +h[1253])/+h[e>>3];h[1150]=da;ba=p+(X-1<<3)|0;h[q+(K-1<<3)>>3]=(+h[ba>>3]-da)/+h[e>>3];h[ba>>3]=+h[1186]*(+h[ba>>3]+ +h[1150]);break}else{h[p+(L-1<<3)>>3]=(qa- +h[1252])/+h[e>>3];ba=c[b>>2]|0;if((ba|0)>=(J+Wa|0)){break}K=ga(L,D)|0;h[s+(K-D<<3)>>3]=(-0.0- +h[1160])/+h[e>>3];h[s+(Wa+E+K<<3)>>3]=+h[1160]/+h[e>>3];h[s+(ba+E+L+K<<3)>>3]=+h[1155]*(-0.0- +h[1186]);break}}}while(0);if((Wa|0)<(c[b>>2]|0)){M=Wa;continue a}qa=+h[e>>3];h[1156]=qa;h[1264]=qa;c[2136712]=1;h[1261]=0.0;h[1260]=0.0;c[2136702]=0;h[1144]=0.0;L=c[a>>2]|0;c[2136714]=1;if((L|0)<1){U=53;break}J=c[2136690]|0;K=1;do{h[l+(K-1<<3)>>3]=+h[n+((ga(K,B)|0)+C+J<<3)>>3];Za=+h[l+(K-1<<3)>>3];h[1144]=+h[1144]+Za*Za;K=K+1|0;}while((K|0)<=(L|0));c[2136714]=K;h[A>>3]=Za;U=53}}while(0);while(1){if((U|0)==53){U=0;c[2136678]=c[2136684];U=54;continue}else if((U|0)==54){U=0;c[2136692]=0;G=(c[2136672]|0)-1|0;L=c[a>>2]|0;Bha(a,b,l,n,p,q,r,10112,v,x,x+(G<<3)|0,x+(G+L<<3)|0,x+(G+(L<<1)<<3)|0,10120)|0;h[1256]=0.0;L=c[a>>2]|0;c[2136714]=1;if((L|0)<1){_a=0.0}else{G=1;qa=0.0;do{$a=+h[v+(G-1<<3)>>3];qa=qa+$a*$a;h[1256]=qa;G=G+1|0;}while((G|0)<=(L|0));h[A>>3]=$a;c[2136714]=G;_a=qa}da=+h[1264];h[A>>3]=da;fa=+W(_a);pa=da<=fa?da:fa;h[1257]=pa;fa=+h[1156];if(!(pa<+h[1186]*fa)){ab=_a;U=62;break}c[2136692]=-1;pa=+h[1148];O=pa*da;h[1264]=O;h[1159]=-1.0;if(O>fa*1.5){bb=O}else{h[1264]=fa;bb=fa}if((c[2136684]|0)<=((c[2136678]|0)+2|0)){Ha=pa;Ia=bb;Ja=-1;U=285;continue}O=fa*+h[1265]*.125*fa;h[1150]=O;da=+h[1261];N=+h[1260];ra=da>=N?da:N;h[A>>3]=ra;N=+h[1259];if(O>(ra>=N?ra:N)){cb=fa;db=pa;eb=-1}else{Ha=pa;Ia=bb;Ja=-1;U=285;continue}}else if((U|0)==285){U=0;pa=Ia*Ia*4.0;h[1258]=pa;L=c[b>>2]|0;c[2136694]=1;if((L|0)<1){fb=Ja}else{K=Ja;fa=pa;J=1;while(1){h[1154]=0.0;ba=c[a>>2]|0;c[2136700]=1;if((ba|0)<1){gb=0.0}else{X=1;pa=0.0;do{N=+h[n+((ga(X,B)|0)+C+J<<3)>>3];hb=N- +h[l+(X-1<<3)>>3];pa=pa+hb*hb;h[1154]=pa;X=X+1|0;}while((X|0)<=(ba|0));h[A>>3]=hb;c[2136700]=X;gb=pa}if(gb>fa){c[2136692]=J;h[1258]=gb;ib=J;jb=gb}else{ib=K;jb=fa}ba=J+1|0;c[2136694]=ba;if((ba|0)>(L|0)){break}else{K=ib;fa=jb;J=ba}}if((ib|0)>0){U=293;break}else{fb=ib}}if(+h[1159]>0.0){U=54;continue}fa=+h[1257];qa=+h[1156];if((Ia>=fa?Ia:fa)>qa){U=54;continue}else{cb=qa;db=Ha;eb=fb}}if(!(cb>+h[f>>3])){U=308;break}qa=cb*+h[1186];h[1264]=qa;fa=cb/+h[f>>3];h[1159]=fa;do{if(fa>16.0){if(fa>250.0){N=db*cb;h[1156]=N;kb=N;break}else{N=+W(fa);ra=N*+h[f>>3];h[1156]=ra;kb=ra;break}}else{ra=+h[f>>3];h[1156]=ra;kb=ra}}while(0);h[1264]=qa>=kb?qa:kb;J=c[g>>2]|0;if((J|0)<=1){U=53;continue}if((J|0)>2){lya(9384)|0;Vxa()|0}lya(9360)|0;Cxa(19384,9248,8)|0;Cxa(19384,8546736,4)|0;Vxa()|0;lya(9336)|0;Cxa(19384,9520,8)|0;J=c[a>>2]|0;c[2136714]=1;if((J|0)>=1){K=1;do{L=K-1|0;h[A>>3]=+h[k+(L<<3)>>3]+ +h[l+(L<<3)>>3];Cxa(19384,y,8)|0;K=(c[2136714]|0)+1|0;c[2136714]=K;}while((K|0)<=(J|0))}Vxa()|0;U=53}if((U|0)==293){U=0;qa=Ha*+W(jb);fa=+h[1186]*Ia;ra=qa<=fa?qa:fa;h[A>>3]=ra;fa=+h[1156];qa=ra>=fa?ra:fa;h[1255]=qa;fa=qa*qa;h[1256]=fa;ab=fa;U=62}else if((U|0)==308){U=0;if(!((eb|0)==-1)){break a}}do{if((U|0)==62){U=0;fa=+h[1144];if(!(ab>fa*.001)){h[1149]=fa*.25;J=c[b>>2]|0;c[2136694]=1;if((J|0)>=1){K=1;do{h[1154]=0.0;L=c[a>>2]|0;c[2136714]=1;if((L|0)<1){lb=0.0}else{G=1;fa=0.0;do{qa=+h[n+((ga(G,B)|0)+C+K<<3)>>3];fa=fa+qa*+h[l+(G-1<<3)>>3];h[1154]=fa;G=G+1|0;}while((G|0)<=(L|0));c[2136714]=G;lb=fa}h[1150]=+h[r+(K-1<<3)>>3]*lb;pa=lb- +h[1186]*+h[1144];h[1154]=pa;h[x+((c[b>>2]|0)-1+K<<3)>>3]=pa;L=c[a>>2]|0;c[2136714]=1;if((L|0)>=1){X=1;do{ba=ga(X,B)|0;ca=n+(ba+C+K<<3)|0;Y=X-1|0;ea=p+(Y<<3)|0;h[ea>>3]=+h[ea>>3]+ +h[1150]*+h[ca>>3];ea=l+(Y<<3)|0;h[ca>>3]=+h[ca>>3]- +h[1186]*+h[ea>>3];ca=w+(Y<<3)|0;h[ca>>3]=+h[s+(K+E+(ga(X,D)|0)<<3)>>3];pa=+h[1154]*+h[n+(K+C+ba<<3)>>3]+ +h[1149]*+h[ea>>3];ea=x+(Y<<3)|0;h[ea>>3]=pa;Y=X+(c[b>>2]|0)|0;c[2136708]=Y;c[2136700]=1;if((X|0)>=1){ba=1;H=2;qa=pa;while(1){aa=s+((ga(ba,D)|0)+E+Y<<3)|0;Ua=ba-1|0;h[aa>>3]=+h[aa>>3]+ +h[ca>>3]*+h[x+(Ua<<3)>>3]+qa*+h[w+(Ua<<3)>>3];if((H|0)>(X|0)){break}ba=H;H=H+1|0;qa=+h[ea>>3]}c[2136700]=H}X=X+1|0;c[2136714]=X;}while((X|0)<=(L|0))}K=K+1|0;c[2136694]=K;}while((K|0)<=(J|0))}J=c[2136670]|0;c[2136694]=1;if((J|0)>=1){K=1;do{h[1151]=0.0;L=c[b>>2]|0;c[2136714]=1;b:do{if((L|0)>=1){X=1;fa=0.0;while(1){G=t+(X+C+(ga(K,B)|0)<<3)|0;h[1151]=+h[G>>3]+fa;h[x+(X-1<<3)>>3]=+h[x+((c[b>>2]|0)-1+X<<3)>>3]*+h[G>>3];G=X+1|0;c[2136714]=G;if((G|0)>(L|0)){break b}X=G;fa=+h[1151]}}}while(0);L=c[a>>2]|0;c[2136700]=1;if((L|0)>=1){X=1;do{H=X-1|0;fa=+h[1149]*+h[1151]*+h[l+(H<<3)>>3];h[1154]=fa;G=c[b>>2]|0;c[2136714]=1;if((G|0)<1){mb=fa}else{ea=ga(X,B)|0;ba=1;qa=fa;do{qa=qa+ +h[x+(ba-1<<3)>>3]*+h[n+(ba+C+ea<<3)>>3];h[1154]=qa;ba=ba+1|0;}while((ba|0)<=(G|0));c[2136714]=ba;mb=qa}h[w+(H<<3)>>3]=mb;if((K|0)<(c[2136712]|0)){h[1154]=-0.0- +h[1154]}G=c[b>>2]|0;c[2136714]=1;if((G|0)>=1){ea=ga(K,B)|0;ca=ga(X,D)|0;Y=1;Ua=2;while(1){aa=s+(Y+E+ca<<3)|0;h[aa>>3]=+h[1154]*+h[t+(Y+C+ea<<3)>>3]+ +h[aa>>3];if((Ua|0)>(G|0)){break}Y=Ua;Ua=Ua+1|0}c[2136714]=Ua}X=X+1|0;c[2136700]=X;}while((X|0)<=(L|0))}L=c[a>>2]|0;c[2136714]=1;if((L|0)>=1){X=c[2136712]|0;Y=1;do{G=(c[b>>2]|0)+Y|0;c[2136708]=G;qa=+h[w+(Y-1<<3)>>3];if((K|0)<(X|0)){nb=-0.0-qa}else{nb=qa}h[1150]=nb;c[2136700]=1;if((Y|0)>=1){ea=1;ca=2;qa=nb;while(1){H=s+((ga(ea,D)|0)+E+G<<3)|0;h[H>>3]=qa*+h[w+(ea-1<<3)>>3]+ +h[H>>3];if((ca|0)>(Y|0)){break}ea=ca;ca=ca+1|0;qa=+h[1150]}c[2136700]=ca}Y=Y+1|0;c[2136714]=Y;}while((Y|0)<=(L|0))}K=K+1|0;c[2136694]=K;}while((K|0)<=(J|0))}c[2136710]=0;J=c[a>>2]|0;c[2136700]=1;if((J|0)>=1){K=1;L=0;while(1){Y=K-1|0;X=x+(Y<<3)|0;h[X>>3]=0.0;ea=c[b>>2]|0;c[2136694]=1;if((ea|0)>=1){G=ga(K,B)|0;Ua=l+(Y<<3)|0;H=G+C|0;ba=1;qa=0.0;while(1){h[X>>3]=qa+ +h[r+(ba-1<<3)>>3]*+h[n+(ba+C+G<<3)>>3];aa=n+(H+ba<<3)|0;h[aa>>3]=+h[aa>>3]- +h[1186]*+h[Ua>>3];ob=ba+1|0;if((ob|0)>(ea|0)){break}ba=ob;qa=+h[X>>3]}c[2136694]=ob}c[2136714]=1;if((K|0)<1){pb=L}else{ba=L;ea=1;while(1){Ua=ba+1|0;c[2136710]=Ua;H=q+(ba<<3)|0;if((ea|0)<(K|0)){G=ea-1|0;aa=l+(G<<3)|0;Ma=p+(Y<<3)|0;h[Ma>>3]=+h[Ma>>3]+ +h[H>>3]*+h[aa>>3];qb=G;rb=aa}else{aa=ea-1|0;qb=aa;rb=l+(aa<<3)|0}aa=l+(Y<<3)|0;G=p+(qb<<3)|0;h[G>>3]=+h[H>>3]*+h[aa>>3]+ +h[G>>3];h[H>>3]=+h[H>>3]+ +h[x+(qb<<3)>>3]*+h[aa>>3]+ +h[rb>>3]*+h[X>>3];aa=(c[b>>2]|0)+E|0;h[s+(aa+ea+(ga(K,D)|0)<<3)>>3]=+h[s+(aa+K+(ga(ea,D)|0)<<3)>>3];aa=ea+1|0;c[2136714]=aa;if((aa|0)>(K|0)){pb=Ua;break}else{ba=Ua;ea=aa}}}ea=K+1|0;c[2136700]=ea;if((ea|0)>(J|0)){break}else{K=ea;L=pb}}}L=c[a>>2]|0;c[2136700]=1;if((L|0)>=1){K=1;do{J=K-1|0;ea=k+(J<<3)|0;h[ea>>3]=+h[l+(J<<3)>>3]+ +h[ea>>3];h[l+(K-1<<3)>>3]=0.0;K=K+1|0;}while((K|0)<=(L|0));c[2136700]=K}h[1144]=0.0}if((c[2136692]|0)>0){L=(c[2136672]|0)-1|0;Oga(a,b,l,n,s,t,8546848,u,8546768,10040,v,10144,w,w+(c[b>>2]<<3)|0,x,x+(L<<3)|0,x+(L+(c[a>>2]|0)<<3)|0)|0}L=c[b>>2]|0;c[2136694]=1;if((L|0)>=1){ea=1;do{h[1153]=0.0;h[1152]=0.0;h[1154]=0.0;J=c[a>>2]|0;c[2136700]=1;if((J|0)<1){sb=0.0;tb=0.0}else{ba=ea+C|0;X=ea+E|0;Y=1;qa=0.0;fa=0.0;pa=0.0;do{ra=+h[n+((ga(Y,B)|0)+C+ea<<3)>>3];qa=qa+ra*+h[v+(Y-1<<3)>>3];h[1153]=qa;ra=+h[n+(ba+(ga(Y,B)|0)<<3)>>3];aa=Y-1|0;fa=fa+ra*+h[l+(aa<<3)>>3];h[1152]=fa;ra=+h[s+(X+(ga(Y,D)|0)<<3)>>3];pa=pa+ra*+h[v+(aa<<3)>>3];h[1154]=pa;Y=Y+1|0;}while((Y|0)<=(J|0));c[2136700]=Y;sb=qa;tb=fa}J=ea-1|0;h[x+(J<<3)>>3]=sb*(sb*+h[1186]+tb);h[w+(J<<3)>>3]=+h[1154];ea=ea+1|0;c[2136694]=ea;}while((ea|0)<=(L|0))}h[1267]=0.0;L=c[2136670]|0;c[2136694]=1;if((L|0)>=1){ea=1;do{h[1154]=0.0;K=c[b>>2]|0;c[2136714]=1;if((K|0)<1){ub=0.0}else{J=1;pa=0.0;do{ra=+h[t+(J+C+(ga(ea,B)|0)<<3)>>3];pa=pa+ra*+h[x+(J-1<<3)>>3];h[1154]=pa;J=J+1|0;}while((J|0)<=(K|0));c[2136714]=J;ub=pa}fa=ub*ub;qa=+h[1267];if((ea|0)<(c[2136712]|0)){h[1267]=qa+fa;ra=-0.0-ub;h[1154]=ra;vb=ra}else{h[1267]=qa-fa;vb=ub}K=c[b>>2]|0;c[2136714]=1;if((K|0)>=1){Y=ga(ea,B)|0;X=1;ba=2;fa=vb;while(1){aa=w+(X-1<<3)|0;h[aa>>3]=+h[aa>>3]+fa*+h[t+(X+C+Y<<3)>>3];if((ba|0)>(K|0)){break}X=ba;ba=ba+1|0;fa=+h[1154]}c[2136714]=ba}ea=ea+1|0;c[2136694]=ea;}while((ea|0)<=(L|0))}h[1266]=0.0;h[1254]=0.0;L=c[a>>2]|0;c[2136700]=1;if((L|0)<1){wb=0.0;xb=0.0}else{ea=1;fa=0.0;while(1){h[1154]=0.0;X=c[b>>2]|0;c[2136714]=1;if((X|0)<1){yb=0.0}else{K=ga(ea,D)|0;Y=1;pa=0.0;do{pa=pa+ +h[x+(Y-1<<3)>>3]*+h[s+(Y+E+K<<3)>>3];h[1154]=pa;Y=Y+1|0;}while((Y|0)<=(X|0));c[2136714]=Y;yb=pa}X=ea-1|0;K=v+(X<<3)|0;h[1266]=fa+yb*+h[K>>3];ba=ea+(c[b>>2]|0)|0;c[2136698]=ba;J=c[a>>2]|0;c[2136694]=1;if((J|0)<1){zb=yb}else{aa=1;qa=yb;do{ra=+h[s+((ga(aa,D)|0)+E+ba<<3)>>3];qa=qa+ra*+h[v+(aa-1<<3)>>3];h[1154]=qa;aa=aa+1|0;}while((aa|0)<=(J|0));c[2136694]=aa;zb=qa}h[w+(ba-1<<3)>>3]=zb;pa=+h[1266]+ +h[1154]*+h[K>>3];h[1266]=pa;ra=+h[1254]+ +h[K>>3]*+h[l+(X<<3)>>3];h[1254]=ra;J=ea+1|0;c[2136700]=J;if((J|0)>(L|0)){wb=ra;xb=pa;break}else{ea=J;fa=pa}}}fa=+h[1256];h[1267]=+h[1267]+(wb*wb+fa*(wb+(wb+ +h[1144])+fa*+h[1186]))-xb;ea=w+((c[2136690]|0)-1<<3)|0;h[ea>>3]=+h[1160]+ +h[ea>>3];ea=c[2136692]|0;if((ea|0)<=0){break}fa=+h[w+(ea-1<<3)>>3];h[A>>3]=fa;pa=+h[1160]+ +h[1268]*+h[1267]/(fa*fa);h[1150]=pa;if(pa<0.0){Ab=-0.0-pa}else{Ab=pa}if(Ab>.8){break}ea=c[u>>2]|0;Nga(a,b,l,n,s,t,8546848,u,8546760,8546768,v,x,w,10136,m,x+(ea<<3)|0,x+((ea*6|0|1)-1<<3)|0)|0}}while(0);ea=c[a>>2]|0;c[2136714]=1;if((ea|0)>=1){L=1;do{J=L-1|0;h[m+(J<<3)>>3]=+h[l+(J<<3)>>3]+ +h[v+(J<<3)>>3];J=L-1|0;h[d+(J<<3)>>3]=+h[k+(J<<3)>>3]+ +h[m+(J<<3)>>3];L=L+1|0;}while((L|0)<=(ea|0));c[2136714]=L}ea=(c[2136684]|0)+1|0;c[2136684]=ea;if((ea|0)>(c[2136676]|0)){T=ea;U=158;break a}}}do{if((U|0)==158){c[2136684]=T-1;if((c[g>>2]|0)<=0){break}lya(9456)|0;Vxa()|0}else if((U|0)==189){if((c[g>>2]|0)<=0){break}lya(9408)|0;Vxa()|0}}while(0);Ab=+h[1190];if(!(Ab>+h[1253])){U=c[a>>2]|0;c[2136714]=1;if((U|0)<1){Bb=Ab}else{T=1;do{m=T-1|0;h[d+(m<<3)>>3]=+h[k+(m<<3)>>3]+ +h[l+(m<<3)>>3];T=T+1|0;}while((T|0)<=(U|0));c[2136714]=T;Bb=+h[1190]}h[1253]=Bb}if((c[g>>2]|0)<=0){i=z;return 0}lya(9312)|0;Cxa(19384,8546736,4)|0;Vxa()|0;lya(9288)|0;Cxa(19384,10024,8)|0;g=c[a>>2]|0;c[2136714]=1;if((g|0)>=1){a=1;do{Cxa(19384,d+(a-1<<3)|0,8)|0;a=(c[2136714]|0)+1|0;c[2136714]=a;}while((a|0)<=(g|0))}Vxa()|0;i=z;return 0}function xha(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0;g=c[e>>2]|0;e=~g;i=c[a>>2]|0;j=c[b>>2]|0;k=(i|0)>(j|0)?j:i;if((k|0)<2){l=j;m=i}else{i=2;j=0;while(1){n=j+2|0;o=d+(g+(ga(g,j)|0)<<3)|0;lKa(o|0,0,((n|0)>2?(n<<3)-8|0:8)|0)|0;n=i+1|0;if((n|0)>(k|0)){break}else{i=n;j=j+1|0}}l=c[b>>2]|0;m=c[a>>2]|0}b=l+1|0;if((m|0)>=(b|0)){j=(m|0)<1;i=m<<3;n=b;b=0;while(1){o=ga(n,g)|0;if(!j){lKa(d+((ga(l+b|0,g)|0)<<3)|0,0,i|0)|0}h[d+(n+e+o<<3)>>3]=1.0;o=n+1|0;if((o|0)>(m|0)){break}else{n=o;b=b+1|0}}}if((k|0)<1){return 0}b=c[a>>2]|0;a=1;do{n=k-a|0;m=n+1|0;i=(m|0)>(b|0);l=ga(m,g)|0;if(!i){j=l+e|0;o=m;do{p=d+(j+o<<3)|0;h[f+(o-1<<3)>>3]=+h[p>>3];h[p>>3]=0.0;o=o+1|0;}while((o|0)<=(b|0))}h[d+(m+e+l<<3)>>3]=1.0;o=f+(n<<3)|0;if(!(+h[o>>3]==0.0|i)){j=m;do{p=(ga(j,g)|0)+e|0;q=m;r=0.0;do{r=r+ +h[d+(p+q<<3)>>3]*+h[f+(q-1<<3)>>3];q=q+1|0;}while((q|0)<=(b|0));s=+h[o>>3];t=r/s;q=(ga(j,g)|0)+e|0;p=m;u=s;while(1){v=d+(q+p<<3)|0;h[v>>3]=+h[v>>3]-t*u;v=p+1|0;if((v|0)>(b|0)){break}s=+h[f+(p<<3)>>3];p=v;u=s}j=j+1|0;}while((j|0)<=(b|0))}a=a+1|0;}while((a|0)<=(k|0));return 0}function yha(a,b,d,e,f,g,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0.0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0,P=0,Q=0.0;j=i;i=i+16|0;n=j|0;o=j+8|0;p=c[e>>2]|0;e=~p;q=+oha(19376);r=c[b>>2]|0;if((r|0)<1){s=r}else{t=1;do{u=+pha(a,d+((ga(t,p)|0)-p<<3)|0);v=t-1|0;h[l+(v<<3)>>3]=u;h[k+(v<<3)>>3]=u;h[m+(v<<3)>>3]=u;if((c[f>>2]|0)!=0){c[g+(v<<2)>>2]=t}t=t+1|0;}while((t|0)<=(r|0));s=c[b>>2]|0}r=c[a>>2]|0;t=(r|0)>(s|0)?s:r;if((t|0)<1){i=j;return 0}else{w=1}while(1){do{if((c[f>>2]|0)!=0){r=c[b>>2]|0;c[n>>2]=r;if((w|0)>(r|0)){break}else{x=w;y=w}do{y=+h[k+(x-1<<3)>>3]>+h[k+(y-1<<3)>>3]?x:y;x=x+1|0;}while((x|0)<=(r|0));if((y|0)==(w|0)){break}r=c[a>>2]|0;c[n>>2]=r;if((r|0)>=1){s=(ga(w,p)|0)+e|0;l=(ga(y,p)|0)+e|0;v=1;do{z=d+(s+v<<3)|0;u=+h[z>>3];A=d+(l+v<<3)|0;h[z>>3]=+h[A>>3];h[A>>3]=u;v=v+1|0;}while((v|0)<=(r|0))}r=w-1|0;v=y-1|0;h[k+(v<<3)>>3]=+h[k+(r<<3)>>3];h[m+(v<<3)>>3]=+h[m+(r<<3)>>3];l=g+(r<<2)|0;r=c[l>>2]|0;s=g+(v<<2)|0;c[l>>2]=c[s>>2];c[s>>2]=r}}while(0);c[n>>2]=1-w+(c[a>>2]|0);r=ga(w,p)|0;s=w+e|0;l=d+(s+r<<3)|0;u=+pha(n,l);a:do{if(u==0.0){B=u;C=w+1|0}else{D=+h[l>>3];if(D<0.0){E=-0.0-u}else{E=u}v=c[a>>2]|0;c[n>>2]=v;if((w|0)>(v|0)){F=D}else{A=r+e|0;z=w;do{G=d+(A+z<<3)|0;h[G>>3]=+h[G>>3]/E;z=z+1|0;}while((z|0)<=(v|0));F=+h[l>>3]}h[l>>3]=F+1.0;z=w+1|0;A=c[b>>2]|0;if((A|0)<(z|0)){B=E;C=z;break}c[n>>2]=A;G=z+e|0;H=r+e|0;I=z;J=A;A=v;while(1){c[o>>2]=A;K=(w|0)>(A|0);do{if(K){c[o>>2]=A}else{L=(ga(I,p)|0)+e|0;M=w;D=0.0;do{D=D+ +h[d+(H+M<<3)>>3]*+h[d+(L+M<<3)>>3];M=M+1|0;}while((M|0)<=(A|0));N=D/+h[l>>3];c[o>>2]=A;if(K){break}M=(ga(I,p)|0)+e|0;L=w;do{O=d+(M+L<<3)|0;h[O>>3]=+h[O>>3]-N*+h[d+(H+L<<3)>>3];L=L+1|0;}while((L|0)<=(A|0))}}while(0);do{if((c[f>>2]|0)==0){P=J}else{K=I-1|0;L=k+(K<<3)|0;N=+h[L>>3];if(N==0.0){P=J;break}M=ga(I,p)|0;D=+h[d+(s+M<<3)>>3]/N;Q=1.0-D*D;D=N*+W(Q<=0.0?0.0:Q);h[L>>3]=D;O=m+(K<<3)|0;Q=D/+h[O>>3];if(Q*Q*.05>q){P=J;break}c[o>>2]=A-w;Q=+pha(o,d+(G+M<<3)|0);h[L>>3]=Q;h[O>>3]=Q;P=c[n>>2]|0}}while(0);O=I+1|0;if((O|0)>(P|0)){B=E;C=z;break a}I=O;J=P;A=c[a>>2]|0}}}while(0);h[k+(w-1<<3)>>3]=-0.0-B;if((C|0)>(t|0)){break}else{w=C}}i=j;return 0}function zha(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0;i=c[e>>2]|0;e=~i;j=c[b>>2]|0;b=j-1|0;if((b|0)<1){return 0}k=c[a>>2]|0;l=(k|0)<1;m=1;n=0.0;o=0.0;while(1){p=j-m|0;q=+h[f+(p-1<<3)>>3];r=q<0.0;if(r){s=-0.0-q}else{s=q}if(s>1.0){t=1.0/q}else{t=n}if(r){u=-0.0-q}else{u=q}if(u>1.0){v=+W(1.0-t*t)}else{v=o}if(r){w=-0.0-q;x=q<-1.0?v:q}else{w=q;x=q>1.0?v:q}if(w>1.0){y=t}else{y=+W(1.0-x*x)}if(!l){r=(ga(p,i)|0)+e|0;p=ga(j,i)|0;z=1;do{A=d+(r+z<<3)|0;q=+h[A>>3];B=d+(z+e+p<<3)|0;C=+h[B>>3];h[B>>3]=x*q+y*C;h[A>>3]=y*q-x*C;z=z+1|0;}while((z|0)<=(k|0))}z=m+1|0;if((z|0)>(b|0)){break}else{m=z;n=y;o=x}}m=c[a>>2]|0;a=(m|0)<1;k=1;o=y;y=x;while(1){x=+h[g+(k-1<<3)>>3];l=x<0.0;if(l){D=-0.0-x}else{D=x}if(D>1.0){E=1.0/x}else{E=o}if(l){F=-0.0-x}else{F=x}if(F>1.0){G=+W(1.0-E*E)}else{G=y}if(l){H=-0.0-x;I=x<-1.0?G:x}else{H=x;I=x>1.0?G:x}if(H>1.0){J=E}else{J=+W(1.0-I*I)}if(!a){l=(ga(k,i)|0)+e|0;f=ga(j,i)|0;x=-0.0-I;z=1;do{p=d+(l+z<<3)|0;n=+h[p>>3];r=d+(z+e+f<<3)|0;t=+h[r>>3];h[r>>3]=n*x+J*t;h[p>>3]=J*n+I*t;z=z+1|0;}while((z|0)<=(m|0))}z=k+1|0;if((z|0)>(b|0)){break}else{k=z;o=J;y=I}}return 0}function Aha(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0;k=+oha(19240);e=c[b>>2]|0;l=c[a>>2]|0;m=(ga(1-e+(l<<1)|0,e)|0)/2|0;n=m+(e-l)|0;if((e|0)<=(l|0)){o=e;p=n;while(1){h[i+(o-1<<3)>>3]=+h[d+(p-1<<3)>>3];q=o+1|0;if((q|0)>(l|0)){break}else{o=q;p=p+1|0}}}p=e-1|0;o=(p|0)<1;if(o){r=n}else{q=e-2|0;s=e-3|0;t=(e<<1)+m+(ga(q,s-l|0)|0)-2-l|0;m=CKa(q,0,s,0)|0;s=m>>>1|K<<31;m=n;n=1;do{q=e-n|0;m=m-1+q-l|0;u=q-1|0;h[i+(u<<3)>>3]=0.0;v=g+(u<<3)|0;w=+h[v>>3];do{if(!(w==0.0)){u=g+(p<<3)|0;x=+h[u>>3];if(x<0.0){y=-0.0-x}else{y=x}if(w<0.0){z=-0.0-w}else{z=w}do{if(y<z){A=x/w;B=.5/+W(A*A*.25+.25);C=A*B;if(C<0.0){D=-0.0-C}else{D=C}if(!(k*D>1.0)){E=1.0;F=B;G=C;break}E=1.0/C;F=B;G=C}else{C=w/x;B=.5/+W(C*C*.25+.25);A=C*B;E=A;F=A;G=B}}while(0);h[u>>3]=F*w+G*x;h[v>>3]=E;if((q|0)>(l|0)){break}else{H=q;I=m}while(1){J=d+(I-1<<3)|0;B=+h[J>>3];L=i+(H-1<<3)|0;A=+h[L>>3];h[L>>3]=F*B+G*A;h[J>>3]=G*B-F*A;J=H+1|0;if((J|0)>(l|0)){break}else{H=J;I=I+1|0}}}}while(0);n=n+1|0;}while((n|0)<=(p|0));r=t-l-s|0}if((l|0)>=1){s=g+(p<<3)|0;g=1;do{t=g-1|0;n=i+(t<<3)|0;h[n>>3]=+h[n>>3]+ +h[s>>3]*+h[f+(t<<3)>>3];g=g+1|0;}while((g|0)<=(l|0))}c[j>>2]=0;if(o){M=r}else{o=1;l=r;while(1){r=i+(o-1<<3)|0;F=+h[r>>3];g=d+(l-1<<3)|0;if(!(F==0.0)){G=+h[g>>3];if(G<0.0){N=-0.0-G}else{N=G}if(F<0.0){O=-0.0-F}else{O=F}do{if(N<O){E=G/F;D=.5/+W(E*E*.25+.25);z=E*D;if(z<0.0){P=-0.0-z}else{P=z}if(!(k*P>1.0)){Q=1.0;R=D;S=z;break}Q=1.0/z;R=D;S=z}else{z=F/G;D=.5/+W(z*z*.25+.25);E=z*D;Q=E;R=E;S=D}}while(0);f=c[a>>2]|0;a:do{if((o|0)<=(f|0)){D=-0.0-R;s=o;t=l;E=G;z=F;while(1){h[i+(s-1<<3)>>3]=E*D+S*z;h[d+(t-1<<3)>>3]=S*E+R*z;n=s+1|0;if((n|0)>(f|0)){break a}y=+h[d+(t<<3)>>3];w=+h[i+(s<<3)>>3];s=n;t=t+1|0;E=y;z=w}}}while(0);h[r>>3]=Q}if(+h[g>>3]==0.0){c[j>>2]=1}f=1-o+l+(c[a>>2]|0)|0;t=o+1|0;if((t|0)>(p|0)){M=f;break}else{o=t;l=f}}}l=c[a>>2]|0;a=c[b>>2]|0;if((a|0)<=(l|0)){b=a;a=M;while(1){h[d+(a-1<<3)>>3]=+h[i+(b-1<<3)>>3];o=b+1|0;if((o|0)>(l|0)){break}else{b=o;a=a+1|0}}}if(!(+h[d+(M-1<<3)>>3]==0.0)){return 0}c[j>>2]=1;return 0}function Bha(b,d,e,f,g,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0,Ea=0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0.0,La=0.0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0;r=c[d>>2]|0;s=~r;h[176]=.5;h[159]=6.283185307179586;t=+h[k>>3];h[184]=t*t;c[2136508]=0;k=c[b>>2]|0;c[2136506]=k;c[2136504]=k;u=c[b>>2]|0;c[2136514]=1;if((u|0)<1){v=0;w=k}else{x=1;do{y=x-1|0;h[m+(y<<3)>>3]=+h[e+(y<<3)>>3];x=x+1|0;}while((x|0)<=(u|0));c[2136514]=x;v=0;w=k}a:while(1){x=c[b>>2]|0;c[2136514]=1;if((x|0)>=1){u=1;do{h[o+(u-1<<3)>>3]=0.0;u=u+1|0;}while((u|0)<=(x|0));c[2136514]=u}x=c[d>>2]|0;c[2136500]=1;if((x|0)>=1){e=1;do{h[162]=0.0;y=c[b>>2]|0;c[2136502]=1;if((y|0)<1){z=0.0}else{A=1;t=0.0;do{B=+h[f+((ga(A,r)|0)+s+e<<3)>>3];t=t+B*+h[m+(A-1<<3)>>3];h[162]=t;A=A+1|0;}while((A|0)<=(y|0));c[2136502]=A;z=t}B=+h[j+(e-1<<3)>>3]*z;h[162]=B;y=c[b>>2]|0;c[2136514]=1;if((y|0)>=1){C=1;D=2;E=B;while(1){B=E*+h[f+((ga(C,r)|0)+s+e<<3)>>3];F=o+(C-1<<3)|0;h[F>>3]=+h[F>>3]+B;if((D|0)>(y|0)){break}C=D;D=D+1|0;E=+h[162]}c[2136514]=D}e=e+1|0;c[2136500]=e;}while((e|0)<=(x|0))}c[2136512]=0;x=c[b>>2]|0;c[2136502]=1;if((x|0)>=1){e=1;u=0;while(1){if((e|0)<1){G=1;H=u}else{C=e-1|0;y=o+(C<<3)|0;A=m+(C<<3)|0;C=e+1|0;F=u;I=1;while(1){J=i+(F<<3)|0;if((I|0)<(e|0)){K=I-1|0;h[y>>3]=+h[y>>3]+ +h[J>>3]*+h[m+(K<<3)>>3];L=K}else{L=I-1|0}K=o+(L<<3)|0;h[K>>3]=+h[J>>3]*+h[A>>3]+ +h[K>>3];K=I+1|0;if((K|0)>(e|0)){break}else{F=F+1|0;I=K}}I=e+u|0;c[2136512]=I;G=C;H=I}M=e+1|0;if((M|0)>(x|0)){break}else{e=M;u=H}}c[2136514]=G;c[2136502]=M}do{if((v|0)==0){h[170]=0.0;h[185]=0.0;u=c[b>>2]|0;c[2136514]=1;if((u|0)>=1){e=1;do{h[l+(e-1<<3)>>3]=0.0;x=e-1|0;h[p+(x<<3)>>3]=0.0;E=+h[g+(x<<3)>>3]+ +h[o+(x<<3)>>3];h[n+(x<<3)>>3]=E;h[m+(x<<3)>>3]=-0.0-E;h[185]=+h[185]+E*E;e=e+1|0;}while((e|0)<=(u|0));c[2136514]=e}h[q>>3]=0.0;E=+h[185];if(E==0.0){N=55;break a}h[180]=0.0;h[164]=0.0;h[179]=E;h[178]=E;O=0;P=+h[184];Q=0.0;R=0.0;S=E}else{if((v|0)>(w|0)){h[183]=0.0;h[182]=0.0;h[181]=0.0;u=c[b>>2]|0;c[2136514]=1;if((u|0)<1){T=0.0;U=0.0;V=0.0}else{C=1;E=0.0;t=0.0;B=0.0;do{x=C-1|0;E=E+ +h[m+(x<<3)>>3]*+h[n+(x<<3)>>3];h[183]=E;x=C-1|0;I=o+(x<<3)|0;t=t+ +h[I>>3]*+h[m+(x<<3)>>3];h[182]=t;B=B+ +h[I>>3]*+h[l+(x<<3)>>3];h[181]=B;C=C+1|0;}while((C|0)<=(u|0));c[2136514]=C;T=t;U=E;V=B}X=+h[176];_=X*(+h[165]-T);h[187]=_;$=+h[167];aa=$+_;h[173]=aa;h[169]=aa;h[172]=aa;c[2136510]=0;a[1400]=1;ba=+h[159]/50.0;h[162]=ba;c[2136514]=1;u=1;ca=aa;da=aa;e=0;while(1){ea=+(u|0)*ba;fa=+Y(ea);ha=+Z(ea);ia=fa*($+fa*_)+ha*(U+fa*V);do{if(ia<da){h[172]=ia;c[2136510]=u;h[161]=ca;ja=ia;ka=u}else{if((u|0)!=(e+1|0)){ja=da;ka=e;break}h[160]=ia;ja=da;ka=e}}while(0);x=u+1|0;if((x|0)<50){u=x;ca=ia;da=ja;e=ka}else{break}}h[189]=ea;h[186]=fa;h[163]=ha;h[171]=ia;c[2136514]=50;h[169]=ia;if((ka|0)==0){h[161]=ia;N=46}else if((ka|0)==49){h[160]=aa;la=aa}else{N=46}if((N|0)==46){N=0;la=+h[160]}h[189]=0.0;da=+h[161];if(da!=la){ca=da-ja;h[161]=ca;da=la-ja;h[160]=da;B=X*(ca-da)/(ca+da);h[189]=B;ma=B}else{ma=0.0}B=ba*(+(ka|0)+ma);h[189]=B;da=+Y(B);h[186]=da;ca=+Z(B);h[163]=ca;B=aa-da*($+da*_)-ca*(U+da*V);h[168]=B;h[179]=0.0;e=c[b>>2]|0;c[2136514]=1;if((e|0)<1){na=B;oa=0.0}else{u=0;C=1;B=da;da=ca;while(1){x=l+(u<<3)|0;h[x>>3]=B*+h[x>>3]+da*+h[m+(u<<3)>>3];x=C-1|0;I=p+(x<<3)|0;ca=+h[186]*+h[I>>3]+ +h[163]*+h[o+(x<<3)>>3];h[I>>3]=ca;E=+h[n+(x<<3)>>3]+ca;pa=+h[179]+E*E;h[179]=pa;qa=C+1|0;if((qa|0)>(e|0)){break}u=C;C=qa;B=+h[186];da=+h[163]}c[2136514]=qa;na=+h[168];oa=pa}da=na+ +h[170];h[170]=da;if((v|0)<(k|0)&na/da>.01){ra=w;sa=oa}else{N=55;break a}}else{h[182]=0.0;C=c[b>>2]|0;c[2136502]=1;do{if((C|0)<1){da=+h[188];h[190]=da;ta=0.0;ua=da;N=11}else{u=1;da=0.0;do{e=u-1|0;da=da+ +h[m+(e<<3)>>3]*+h[o+(e<<3)>>3];h[182]=da;u=u+1|0;}while((u|0)<=(C|0));c[2136502]=u;B=+h[188];h[190]=B;if(!(da>0.0)){ta=da;ua=B;N=11;break}B=da/+h[185];h[162]=B;if((v|0)==1){h[q>>3]=B;va=+h[162];wa=B}else{va=B;wa=+h[q>>3]}h[q>>3]=wa>va?va:wa;B=+h[190];_=+h[179];$=+h[182];aa=_/$;ba=B<=aa?B:aa;h[190]=ba;xa=ba;ya=$;za=_}}while(0);if((N|0)==11){N=0;xa=ua;ya=ta;za=+h[179]}_=xa*(za-xa*+h[176]*ya);h[174]=_;h[170]=+h[170]+_;h[177]=za;h[179]=0.0;C=c[b>>2]|0;c[2136514]=1;if((C|0)<1){Aa=xa;Ba=0.0}else{_=xa;e=1;do{x=e-1|0;I=l+(x<<3)|0;h[I>>3]=+h[I>>3]+_*+h[m+(x<<3)>>3];x=e-1|0;I=p+(x<<3)|0;$=+h[I>>3]+ +h[190]*+h[o+(x<<3)>>3];h[I>>3]=$;ba=+h[n+(x<<3)>>3]+$;Ca=+h[179]+ba*ba;h[179]=Ca;e=e+1|0;_=+h[190]}while((e|0)<=(C|0));c[2136514]=e;Aa=_;Ba=Ca}if(Aa<+h[188]){if(!(+h[174]>+h[170]*.01)){N=55;break a}if(Ba<=+h[178]*1.0e-4|(v|0)==(k|0)){N=55;break a}ba=Ba/+h[177];h[162]=ba;h[185]=0.0;h[180]=0.0;h[164]=0.0;C=c[b>>2]|0;c[2136514]=1;if((C|0)<1){N=55;break a}else{Da=0;Ea=1;Fa=ba}while(1){x=m+(Da<<3)|0;h[x>>3]=Fa*+h[x>>3]- +h[n+(Da<<3)>>3]- +h[p+(Da<<3)>>3];x=Ea-1|0;I=m+(x<<3)|0;ba=+h[I>>3];Ga=+h[185]+ba*ba;h[185]=Ga;F=l+(x<<3)|0;Ha=+h[180]+ +h[I>>3]*+h[F>>3];h[180]=Ha;ba=+h[F>>3];Ia=+h[164]+ba*ba;h[164]=Ia;Ja=Ea+1|0;if((Ja|0)>(C|0)){break}Da=Ea;Ea=Ja;Fa=+h[162]}c[2136514]=Ja;if(!(Ha>0.0)){N=55;break a}_=+h[184];if(Ia<_){O=v;P=_;Q=Ia;R=Ha;S=Ga;break}}h[q>>3]=0.0;c[2136504]=v;ra=v;sa=+h[179]}if(!(sa>+h[178]*1.0e-4)){N=55;break a}h[167]=0.0;h[165]=0.0;C=c[b>>2]|0;c[2136514]=1;if((C|0)<1){Ka=0.0;La=0.0}else{e=1;_=0.0;ba=0.0;do{F=e-1|0;_=_+ +h[l+(F<<3)>>3]*+h[n+(F<<3)>>3];h[167]=_;F=e-1|0;ba=ba+ +h[l+(F<<3)>>3]*+h[p+(F<<3)>>3];h[165]=ba;e=e+1|0;}while((e|0)<=(C|0));c[2136514]=e;Ka=_;La=ba}$=Ka+La;h[166]=$;aa=+h[184];B=sa*aa;if(!($/+W(B)>-.99)){N=55;break a}C=v+1|0;c[2136508]=C;X=+W(B-$*$);h[162]=X;B=aa/X;h[161]=B;aa=$/X;h[160]=aa;F=c[b>>2]|0;c[2136514]=1;if((F|0)<1){v=C;w=ra;continue a}else{Ma=0;Na=1;Oa=B;Pa=aa}while(1){h[m+(Ma<<3)>>3]=Oa*(+h[n+(Ma<<3)>>3]+ +h[p+(Ma<<3)>>3])-Pa*+h[l+(Ma<<3)>>3];Qa=Na+1|0;if((Qa|0)>(F|0)){break}Ma=Na;Na=Qa;Oa=+h[161];Pa=+h[160]}c[2136514]=Qa;v=C;w=ra;continue a}}while(0);F=O+1|0;c[2136508]=F;ba=P-Q;h[162]=ba;h[188]=ba/(R+ +W(R*R+ba*S));v=F;w=w}if((N|0)==55){return 0}return 0}function Cha(b,d,e,f,g,i,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0.0,R=0,S=0,T=0;n=c[d>>2]|0;o=~n;p=c[i>>2]|0;i=~p;h[155]=1.0;q=n-(c[b>>2]|0)-1|0;c[2136486]=q;c[2136490]=1;c[2136496]=2;if((q|0)<2){r=1}else{s=2;t=1;while(1){do{if((s|0)==(c[g>>2]|0)){c[2136490]=s;u=s}else{v=c[l>>2]|0;w=ga(s,n)|0;x=+h[f+(w+o+v<<3)>>3];if(!(x!=0.0)){u=t;break}y=ga(t,n)|0;z=v+o|0;v=f+(z+y<<3)|0;A=+h[v>>3];B=+W(x*x+A*A);h[150]=B;A=+h[v>>3]/B;h[149]=A;x=+h[f+(z+w<<3)>>3]/B;h[148]=x;z=c[d>>2]|0;c[2136498]=1;if((z|0)>=1){v=1;B=A;A=x;while(1){C=v+o|0;h[150]=B*+h[f+(C+y<<3)>>3]+A*+h[f+(C+w<<3)>>3];C=v+o|0;D=f+(C+w<<3)|0;E=f+(C+y<<3)|0;h[D>>3]=B*+h[D>>3]-A*+h[E>>3];h[E>>3]=+h[150];F=v+1|0;if((F|0)>(z|0)){break}v=F;B=+h[149];A=+h[148]}c[2136498]=F}h[f+((c[l>>2]|0)+o+w<<3)>>3]=0.0;u=t}}while(0);v=s+1|0;c[2136496]=v;if((v|0)>(q|0)){r=u;break}else{s=v;t=u}}}u=c[l>>2]|0;A=+h[f+(u-1<<3)>>3];h[149]=A;if((c[g>>2]|0)>1){B=-0.0-A;h[149]=B;G=B}else{G=A}t=(r|0)>1;if(t){h[148]=+h[f+((ga(r,n)|0)+o+u<<3)>>3]}u=c[d>>2]|0;c[2136498]=1;if((u|0)>=1){s=(ga(r,n)|0)+o|0;q=0;F=1;A=G;while(1){h[m+(q<<3)>>3]=A*+h[f+(q<<3)>>3];if(t){v=m+(F-1<<3)|0;h[v>>3]=+h[v>>3]+ +h[148]*+h[f+(s+F<<3)>>3]}H=F+1|0;if((H|0)>(u|0)){break}q=F;F=H;A=+h[149]}c[2136498]=H}H=(c[l>>2]|0)-1|0;A=+h[m+(H<<3)>>3];h[158]=A;F=j+(H<<3)|0;G=+h[F>>3];h[152]=G;B=G*G;h[151]=B;h[157]=B+A*+h[k>>3];h[F>>3]=+h[F>>3]- +h[155];a[1248]=0;do{if((r|0)==1){A=+h[157];if(A<0.0){I=-0.0-A}else{I=A}A=+W(I);h[150]=A;B=+h[149]/A;h[148]=B;G=+h[152]/A;h[149]=G;F=c[d>>2]|0;c[2136498]=1;if((F|0)<1){J=A}else{H=0;q=1;A=G;G=B;while(1){u=f+(H<<3)|0;h[u>>3]=A*+h[u>>3]-G*+h[j+(H<<3)>>3];K=q+1|0;if((K|0)>(F|0)){break}H=q;q=K;A=+h[149];G=+h[148]}c[2136498]=K;J=+h[150]}q=c[g>>2]|0;if((q|0)==1&J<0.0){c[g>>2]=2;L=2}else{L=q}if((L|0)<2|J<0.0){break}M=48}else{c[2136494]=1;if(+h[k>>3]<0.0){N=1}else{c[2136494]=r;N=r}q=r+1-N|0;c[2136492]=q;H=ga(q,n)|0;q=(c[l>>2]|0)+o|0;G=+h[157];A=+h[f+(q+H<<3)>>3]/G;h[150]=A;h[149]=A*+h[k>>3];B=+h[152];h[148]=A*B;F=ga(N,n)|0;A=+h[f+(q+F<<3)>>3];h[150]=A;x=+h[k>>3];if(x<0.0){O=-0.0-x}else{O=x}x=+h[155]/+W(+h[151]+A*O*A);h[154]=x;if(G<0.0){P=-0.0-G}else{P=G}h[153]=x*+W(P);q=c[d>>2]|0;c[2136498]=1;if((q|0)<1){Q=G}else{u=1;G=x;x=B;B=A;while(1){s=f+(u+o+F<<3)|0;h[s>>3]=G*(x*+h[s>>3]-B*+h[j+(u-1<<3)>>3]);s=f+(u+o+H<<3)|0;t=u-1|0;h[s>>3]=+h[153]*(+h[s>>3]- +h[149]*+h[m+(t<<3)>>3]- +h[148]*+h[j+(t<<3)>>3]);R=u+1|0;if((R|0)>(q|0)){break}u=R;G=+h[154];x=+h[152];B=+h[150]}c[2136498]=R;Q=+h[157]}if(Q>0.0){break}B=+h[k>>3];if(B<0.0){c[g>>2]=(c[g>>2]|0)+1}if(B<0.0){break}M=48}}while(0);do{if((M|0)==48){a[1248]=1;c[g>>2]=(c[g>>2]|0)-1;R=c[d>>2]|0;c[2136498]=1;if((R|0)<1){break}else{S=1}do{N=f+(S-1<<3)|0;h[150]=+h[N>>3];r=f+(S+o+(ga(c[g>>2]|0,n)|0)<<3)|0;h[N>>3]=+h[r>>3];h[r>>3]=+h[150];S=S+1|0;c[2136498]=S;}while((S|0)<=(R|0))}}while(0);S=c[b>>2]|0;c[2136496]=1;if((S|0)<1){return 0}else{T=1}do{b=(c[d>>2]|0)+T|0;c[2136488]=b;n=ga(T,p)|0;Q=+h[e+((c[l>>2]|0)+i+n<<3)>>3];g=b-1|0;o=m+(g<<3)|0;h[o>>3]=Q;f=j+(g<<3)|0;P=+h[152];O=+h[157];J=(+h[158]*+h[f>>3]-P*Q)/O;h[149]=J;Q=(+h[o>>3]*(-0.0- +h[k>>3])-P*+h[f>>3])/O;h[148]=Q;c[2136498]=1;a:do{if((b|0)>=1){f=1;O=J;P=Q;while(1){o=e+(f+i+n<<3)|0;g=f-1|0;I=+h[o>>3]+O*+h[j+(g<<3)>>3]+P*+h[m+(g<<3)>>3];h[o>>3]=I;o=c[d>>2]|0;if((f|0)>(o|0)){h[e+((ga(f-o|0,p)|0)+i+b<<3)>>3]=I}o=f+1|0;c[2136498]=o;if((o|0)>(b|0)){break a}f=o;O=+h[149];P=+h[148]}}}while(0);T=T+1|0;c[2136496]=T;}while((T|0)<=(S|0));return 0}function Dha(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0.0,G=0;if((b|0)<(d|0)){l=(b|0)<(e|0);m=b;n=-1;o=-1;p=0.0;while(1){if(l){q=c[f+(m<<2)>>2]|0;r=b;s=n;t=o;u=p;while(1){v=+V(+(+h[a+((ga(c[g+(r<<2)>>2]|0,d)|0)+q<<3)>>3]));w=v>u;x=w?m:s;y=w?r:t;z=w?v:u;w=r+1|0;if((w|0)<(e|0)){r=w;s=x;t=y;u=z}else{A=x;B=y;C=z;break}}}else{A=n;B=o;C=p}t=m+1|0;if((t|0)<(d|0)){m=t;n=A;o=B;p=C}else{D=A;E=B;F=C;break}}}else{D=-1;E=-1;F=0.0}if((E|D|0)<0){G=-1;return G|0}c[i>>2]=D;c[j>>2]=E;h[k>>3]=F;G=0;return G|0}function Eha(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0;g=i;i=i+24|0;j=g|0;k=g+8|0;l=g+16|0;m=(b|0)<=(d|0)?b:d;if((m|0)>0){n=0}else{o=0;i=g;return o|0}while(1){p=e+(n<<2)|0;q=f+(n<<2)|0;r=+h[a+((ga(c[q>>2]|0,b)|0)+(c[p>>2]|0)<<3)>>3];if((Dha(a,n,b,d,e,f,j,k,l)|0)!=0){o=-1;s=14;break}t=+V(+r);if(+h[l>>3]>t*1.125){u=c[p>>2]|0;v=e+(c[j>>2]<<2)|0;c[p>>2]=c[v>>2];c[v>>2]=u;u=c[q>>2]|0;v=f+(c[k>>2]<<2)|0;c[q>>2]=c[v>>2];c[v>>2]=u}u=c[p>>2]|0;p=ga(c[q>>2]|0,b)|0;t=+h[a+(p+u<<3)>>3];if(!(t!=0.0)){s=7;break}q=n+1|0;if((q|0)<(b|0)){v=(q|0)<(d|0);w=q;do{x=c[e+(w<<2)>>2]|0;y=a+(p+x<<3)|0;r=+h[y>>3];do{if(r!=0.0){z=(-0.0-r)/t;h[y>>3]=0.0;if(v){A=q}else{break}do{B=ga(c[f+(A<<2)>>2]|0,b)|0;C=a+(B+x<<3)|0;h[C>>3]=+h[C>>3]+z*+h[a+(u+B<<3)>>3];A=A+1|0;}while((A|0)<(d|0))}}while(0);w=w+1|0;}while((w|0)<(b|0))}if((q|0)<(m|0)){n=q}else{o=0;s=14;break}}if((s|0)==7){jd(28240,142512,116,8522512);return 0}else if((s|0)==14){i=g;return o|0}return 0}function Fha(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;f=i;g=e|0;c[g>>2]=0;j=b+280|0;k=1;while(1){if((k|0)>=8){break}if((gKa(c[j>>2]|0,c[18416+(k<<2)>>2]|0)|0)==0){l=4;break}else{k=k+1|0}}do{if((l|0)==4){c[g>>2]=k;if((k|0)==0){break}m=c[18384+(k<<2)>>2]|0;hfa(23,0,85776,(n=i,i=i+16|0,c[n>>2]=c[18416+(k<<2)>>2],c[n+8>>2]=m,n)|0);i=n;m=b+112|0;o=e+28|0;c[o>>2]=(c[m>>2]|0)+20;p=c[m>>2]|0;q=b+160|0;r=((c[q>>2]|0)*3|0)+50+(ga(p+9|0,p)|0)|0;c[e+32>>2]=r;p=KJa(r,8)|0;c[e+40>>2]=p;r=b+536|0;kfa(c[r>>2]|0,(p|0)!=0|0,63520,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;p=KJa(c[o>>2]|0,4)|0;c[e+36>>2]=p;kfa(c[r>>2]|0,(p|0)!=0|0,63520,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;c[e+56>>2]=c[q>>2];c[e+52>>2]=0;c[e+60>>2]=KJa(c[q>>2]|0,4)|0;c[e+24>>2]=IJa(8)|0;q=IJa(4)|0;p=q;c[e+20>>2]=p;c[p>>2]=c[2136472];kfa(c[r>>2]|0,(q|0)!=0|0,63520,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=c[m>>2]<<3;p=e+48|0;c[p>>2]=IJa(q)|0;o=e+44|0;c[o>>2]=IJa(q)|0;q=KJa(15,4)|0;s=e+12|0;c[s>>2]=q;kfa(c[r>>2]|0,(q|0)!=0|0,63520,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=KJa(5,4)|0;c[e+4>>2]=q;kfa(c[r>>2]|0,(q|0)!=0|0,63520,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=KJa(5,4)|0;c[e+8>>2]=q;kfa(c[r>>2]|0,(q|0)!=0|0,63520,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;c[e+16>>2]=0;h[e+64>>3]=1.4901161193847656e-8;q=c[m>>2]<<3;c[e+72>>2]=IJa(q)|0;c[e+76>>2]=IJa(q)|0;c[e+80>>2]=IJa(q)|0;q=c[s>>2]|0;c[q+8>>2]=1;r=c[g>>2]|0;a:do{switch(r|0){case 3:case 5:case 4:case 2:case 1:case 7:{if((Yd[c[(c[b+540>>2]|0)+140>>2]&255](b)|0)==0){t=c[s>>2]|0;c[t+16>>2]=1;u=c[g>>2]|0;v=t;l=17;break a}if((c[m>>2]|0)==1){hfa(23,0,47912,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}else{hfa(1,0,41048,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}c[g>>2]=6;l=18;break};default:{u=r;v=q;l=17}}}while(0);if((l|0)==17){if((u|0)==2){w=v}else{l=18}}if((l|0)==18){a[d+28|0]=1;w=c[s>>2]|0}c[w+4>>2]=1;q=c[m>>2]|0;if((q|0)<=0){i=f;return 0}r=b+272|0;t=c[o>>2]|0;x=c[b+8>>2]|0;y=c[p>>2]|0;z=0;do{h[t+(z<<3)>>3]=+h[r>>3];h[y+(z<<3)>>3]=+h[r>>3]*+h[x+(z*112|0)+80>>3];z=z+1|0;}while((z|0)<(q|0));i=f;return 0}}while(0);if((c[2136481]|c[2136544]|0)==0){A=b+536|0;B=c[A>>2]|0;C=c[j>>2]|0;lfa(B,111072,(n=i,i=i+8|0,c[n>>2]=C,n)|0);i=n;return 0}jfa(23,1,28024,(n=i,i=i+8|0,c[n>>2]=c[j>>2],n)|0);i=n;f=1;do{w=c[18384+(f<<2)>>2]|0;jfa(23,0,142496,(n=i,i=i+16|0,c[n>>2]=c[18416+(f<<2)>>2],c[n+8>>2]=w,n)|0);i=n;f=f+1|0;}while((f|0)<8);Vd[c[3586]&511](23);A=b+536|0;B=c[A>>2]|0;C=c[j>>2]|0;lfa(B,111072,(n=i,i=i+8|0,c[n>>2]=C,n)|0);i=n;return 0}function Gha(a){a=a|0;JJa(c[a+40>>2]|0);JJa(c[a+36>>2]|0);JJa(c[a+20>>2]|0);JJa(c[a+12>>2]|0);JJa(c[a+4>>2]|0);JJa(c[a+8>>2]|0);JJa(a);return 0}function Hha(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,v=0,w=0.0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0.0;e=i;i=i+8|0;f=e|0;h[f>>3]=0.0;g=b+4|0;j=c[g>>2]|0;k=c[j>>2]|0;l=c[d+48>>2]|0;m=(c[j+4>>2]|0)+8|0;j=c[m>>2]|0;n=b+112|0;o=c[n>>2]|0;p=j+(o<<3)|0;q=l+24|0;c[c[q>>2]>>2]=b;c[(c[q>>2]|0)+4>>2]=l;s=b+536|0;kfa(c[s>>2]|0,(c[q>>2]|0)!=0|0,34712,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;if((c[d+36>>2]|0)!=0){c[c[l+12>>2]>>2]=0;c[l+16>>2]=0}v=d|0;w=+h[v>>3];x=d+8|0;y=w+ +h[x>>3];h[f>>3]=y;if(!(w-y<-1.0e-13)){hfa(3,0,21976,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;hfa(3,0,180472,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;z=c[n>>2]|0;if((z|0)>0){A=c[m>>2]|0;m=c[k+8>>2]|0;B=0;do{h[m+(B<<3)>>3]=+h[A+(B<<3)>>3]+ +h[j+(B+o<<3)>>3]*+h[x>>3];B=B+1|0;}while((B|0)<(z|0))}h[k>>3]=+h[f>>3];Yd[c[(c[b+540>>2]|0)+28>>2]&255](b)|0;h[v>>3]=+h[f>>3];C=0;i=e;return C|0}hfa(3,0,173512,(t=i,i=i+16|0,h[t>>3]=w,h[t+8>>3]=y,t)|0);i=t;z=l+16|0;B=b|0;x=d+24|0;d=l;o=l+12|0;j=l+44|0;A=l+48|0;m=l+40|0;D=l+32|0;E=l+36|0;F=l+28|0;G=l+20|0;H=l+52|0;I=l+56|0;J=l+60|0;K=c[u>>2]|0;L=c[r>>2]|0;M=b+248|0;N=b+440|0;O=b+540|0;P=p;p=k;w=y;a:while(1){hfa(23,0,167760,(t=i,i=i+16|0,h[t>>3]=+h[v>>3],h[t+8>>3]=w,t)|0);i=t;if((c[z>>2]|0)==1){nga(c[B>>2]|0,1,c[g>>2]|0);k=c[g>>2]|0;Q=c[k>>2]|0;R=(c[(c[k+4>>2]|0)+8>>2]|0)+(c[n>>2]<<3)|0;h[Q>>3]=+h[v>>3];S=R;T=Q}else{S=P;T=p}if((c[x>>2]|0)!=5){if((a[N]|0)!=0){Bja(b)|0}Yd[c[(c[O>>2]|0)+40>>2]&255](b)|0}Q=c[d>>2]|0;b:do{switch(Q|0){case 3:{Qga(4,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,8,6,I,c[J>>2]|0);break};case 7:{Qga(4,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,2,8,H,0);break};case 5:{Qga(4,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,12,6,I,c[J>>2]|0);break};case 6:{Qga(4,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,14,6,I,c[J>>2]|0);break};case 4:{Qga(4,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,10,6,I,c[J>>2]|0);break};default:{R=c[T+8>>2]|0;k=c[o>>2]|0;U=c[j>>2]|0;V=c[A>>2]|0;W=c[m>>2]|0;X=c[E>>2]|0;Y=c[q>>2]|0;Z=c[G>>2]|0;if((Q|0)==2){Qga(4,n,v,R,S,f,k,U,V,z,W,D,X,F,Y,Z,2,8,H,0);break b}else{Qga(4,n,v,R,S,f,k,U,V,z,W,D,X,F,Y,Z,2,6,I,c[J>>2]|0);break b}}}}while(0);Q=c[z>>2]|0;do{if((Q|0)==-1){Ta(K|0)|0;Ta(L|0)|0;jfa(3,0,162864,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;hfa(3,0,159088,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;c[c[o>>2]>>2]=1}else{if((Q|0)<0){_=27;break a}if((Q|0)!=4){break}c[(c[s>>2]|0)+84>>2]=4}}while(0);Q=c[z>>2]|0;if((Q|0)==(-1|0)){y=+h[v>>3];if(y>+h[M>>3]){$=y;break}}else if((Q|0)!=1){_=31;break}P=S;p=T;w=+h[f>>3]}if((_|0)==27){Ta(K|0)|0;Ta(L|0)|0;L=Qha(c[z>>2]|0)|0;Yd[c[(c[O>>2]|0)+28>>2]&255](b)|0;jfa(1,0,154640,(t=i,i=i+8|0,h[t>>3]=+h[T>>3],t)|0);i=t;C=L;i=e;return C|0}else if((_|0)==31){$=+h[v>>3]}h[T>>3]=$;if((c[2136461]|0)!=0){hfa(3,1,151376,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;hfa(3,0,147032,(t=i,i=i+8|0,c[t>>2]=c[z>>2],t)|0);i=t;hfa(3,0,143176,(t=i,i=i+8|0,h[t>>3]=+h[v>>3],t)|0);i=t;hfa(3,0,139256,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+24>>3],t)|0);i=t;hfa(3,0,135704,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+16>>3],t)|0);i=t;hfa(3,0,131336,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+48>>3],t)|0);i=t;hfa(3,0,127808,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+40>>2],t)|0);i=t;hfa(3,0,124224,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+44>>2],t)|0);i=t;hfa(3,0,121448,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+48>>2],t)|0);i=t;hfa(3,0,118912,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+52>>2],t)|0);i=t;hfa(3,0,116464,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+56>>2],t)|0);i=t;Vd[c[3586]&511](3)}m=c[F>>2]|0;F=l+8|0;l=0;do{v=l+10|0;if(!(v>>>0<m>>>0)){_=38;break}c[(c[F>>2]|0)+(l<<2)>>2]=c[(c[E>>2]|0)+(v<<2)>>2];l=l+1|0;}while(l>>>0<5>>>0);if((_|0)==38){jd(114128,111592,406,8522616);return 0}hfa(3,0,109144,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;C=0;i=e;return C|0}function Iha(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0.0,l=0,m=0,n=0,o=0,p=0;i=c[g>>2]|0;g=i;f=i+536|0;b=g+4|0;j=c[c[b>>2]>>2]|0;k=+h[j>>3];h[j>>3]=+h[a>>3];a=(c[f>>2]|0)+84|0;j=c[a>>2]|0;c[a>>2]=2;Yd[c[(c[g+540>>2]|0)+28>>2]&255](g)|0;g=c[i+112>>2]|0;if((g|0)<=0){l=c[f>>2]|0;m=l+84|0;c[m>>2]=j;n=c[b>>2]|0;o=c[n>>2]|0;p=o|0;h[p>>3]=k;return 0}i=c[(c[c[b>>2]>>2]|0)+8>>2]|0;a=0;do{h[e+(a<<3)>>3]=+h[i+(g+a<<3)>>3]- +h[d+(a<<3)>>3];a=a+1|0;}while((a|0)<(g|0));l=c[f>>2]|0;m=l+84|0;c[m>>2]=j;n=c[b>>2]|0;o=c[n>>2]|0;p=o|0;h[p>>3]=k;return 0}function Jha(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0.0;l=c[k>>2]|0;k=l;j=k+4|0;i=c[c[j>>2]>>2]|0;e=i+8|0;d=c[e>>2]|0;m=i|0;n=+h[m>>3];h[m>>3]=+h[a>>3];c[e>>2]=b;Yd[c[(c[k+540>>2]|0)+28>>2]&255](k)|0;Sha(k,f)|0;k=c[l+112>>2]|0;if((k|0)>0){l=0;b=0;while(1){e=f+(b<<3)|0;h[e>>3]=+h[e>>3]- +h[g>>3];e=l+1|0;if((e|0)<(k|0)){l=e;b=b+1+k|0}else{break}}}c[(c[c[j>>2]>>2]|0)+8>>2]=d;h[c[c[j>>2]>>2]>>3]=n;return 0}function Kha(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0.0;i=c[g>>2]|0;g=i;e=i+536|0;i=(c[e>>2]|0)+84|0;d=c[i>>2]|0;c[i>>2]=4;i=g+4|0;a=c[c[i>>2]>>2]|0;j=+h[a>>3];h[a>>3]=+h[b>>3];a=g+540|0;Yd[c[(c[a>>2]|0)+28>>2]&255](g)|0;Yd[c[(c[a>>2]|0)+32>>2]&255](g)|0;_d[c[(c[a>>2]|0)+92>>2]&127](g,f,b)|0;c[(c[e>>2]|0)+84>>2]=d;h[c[c[i>>2]>>2]>>3]=j;return 0}function Lha(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;l=c[k>>2]|0;Tha(l,a,b,d,e,f,0,i,j,k,0)|0;k=c[l+112>>2]|0;if((k|0)>0){m=0;n=0}else{return 0}while(1){l=f+(m<<3)|0;h[l>>3]=+h[l>>3]- +h[g>>3];l=n+1|0;if((l|0)<(k|0)){m=m+1+k|0;n=l}else{break}}return 0}function Mha(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0.0;l=c[k>>2]|0;k=l;j=k+4|0;i=c[c[j>>2]>>2]|0;e=i+8|0;d=c[e>>2]|0;m=i|0;n=+h[m>>3];h[m>>3]=+h[a>>3];c[e>>2]=b;Yd[c[(c[k+540>>2]|0)+28>>2]&255](k)|0;Rha(k,f)|0;k=c[l+112>>2]|0;if((k|0)>0){l=0;b=0;while(1){e=f+(b<<3)|0;h[e>>3]=+h[e>>3]- +h[g>>3];e=l+1|0;if((e|0)<(k|0)){l=e;b=b+1+k|0}else{break}}}c[(c[c[j>>2]>>2]|0)+8>>2]=d;h[c[c[j>>2]>>2]>>3]=n;return 0}function Nha(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;return 0}function Oha(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;l=c[k>>2]|0;Uha(l,a,b,d,e,f,0,i,j,k,0)|0;k=c[l+112>>2]|0;if((k|0)>0){m=0;n=0}else{return 0}while(1){l=f+(n<<3)|0;h[l>>3]=+h[l>>3]- +h[g>>3];l=m+1|0;if((l|0)<(k|0)){m=l;n=n+1+k|0}else{break}}return 0}function Pha(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return 0}function Qha(a){a=a|0;var b=0,d=0,e=0;b=i;switch(a|0){case-33:{jfa(1,0,84192,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-33;break};case-9:{jfa(1,0,93192,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-9;break};case-11:{jfa(1,0,88632,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-11;break};case-6:{jfa(1,0,101104,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-6;break};case-10:{jfa(1,0,91192,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-10;break};case-7:{jfa(1,0,98936,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-7;break};case-8:{jfa(1,0,95944,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-8;break};case-1:{jfa(3,0,162864,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=1;break};case-2:{jfa(1,0,103832,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-2;break};case-3:{e=-3;break};case-12:{jfa(1,0,86088,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-12;break};default:{e=-1}}i=b;return e|0}function Rha(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=a+540|0;e=c[(c[d>>2]|0)+120>>2]|0;f=a+464|0;g=c[f>>2]|0;if((c[g+(e*44|0)+24>>2]|0)==0){return 0}i=a;a=0;j=g;k=c[g+(e*44|0)>>2]|0;do{if((k|0)!=0){g=0;do{if(((c[(c[j+(e*44|0)+20>>2]|0)+(g<<2)>>2]|0)-1|0)==(a|0)){h[(c[j+(e*44|0)+28>>2]|0)+(g<<3)>>3]=1.0}g=g+1|0;}while(g>>>0<k>>>0)}Yd[c[(c[d>>2]|0)+160>>2]&255](i)|0;j=c[f>>2]|0;k=c[j+(e*44|0)>>2]|0;do{if((k|0)!=0){g=c[j+(e*44|0)+28>>2]|0;l=0;do{do{if(+h[g+(l<<3)>>3]==1.0){if((l|0)==0){m=0;n=j+(e*44|0)+8|0}else{o=j+(e*44|0)+8|0;m=c[(c[o>>2]|0)+(l-1<<2)>>2]|0;n=o}o=c[(c[n>>2]|0)+(l<<2)>>2]|0;if(!(m>>>0<o>>>0)){break}p=c[j+(e*44|0)+12>>2]|0;q=c[j+(e*44|0)+4>>2]|0;r=c[j+(e*44|0)+36>>2]|0;s=m;do{t=c[p+(s<<2)>>2]|0;u=(ga(q,l)|0)+t|0;h[b+(u<<3)>>3]=+h[r+(t<<3)>>3];s=s+1|0;}while(s>>>0<o>>>0)}}while(0);l=l+1|0;}while(l>>>0<k>>>0);if((k|0)==0){break}l=c[j+(e*44|0)+20>>2]|0;g=0;do{if(((c[l+(g<<2)>>2]|0)-1|0)==(a|0)){h[(c[j+(e*44|0)+28>>2]|0)+(g<<3)>>3]=0.0}g=g+1|0;}while(g>>>0<k>>>0)}}while(0);a=a+1|0;}while(a>>>0<(c[j+(e*44|0)+24>>2]|0)>>>0);return 0}function Sha(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=a+540|0;e=c[d>>2]|0;f=c[e+120>>2]|0;g=a+464|0;i=c[g>>2]|0;if((c[i+(f*44|0)>>2]|0)==0){return 0}j=a;a=0;k=0;l=c[i+(f*44|0)+28>>2]|0;i=e;while(1){h[l+(a<<3)>>3]=1.0;Yd[c[i+160>>2]&255](j)|0;e=c[g>>2]|0;m=c[e+(f*44|0)+4>>2]|0;if((m|0)==0){n=k}else{o=m>>>0>1>>>0?m:1;p=c[e+(f*44|0)+36>>2]|0;q=0;r=k;while(1){h[b+(r<<3)>>3]=+h[p+(q<<3)>>3];s=q+1|0;if(s>>>0<m>>>0){q=s;r=r+1|0}else{break}}n=k+o|0}r=c[e+(f*44|0)+28>>2]|0;h[r+(a<<3)>>3]=0.0;q=a+1|0;if(!(q>>>0<(c[e+(f*44|0)>>2]|0)>>>0)){break}a=q;k=n;l=r;i=c[d>>2]|0}return 0}function Tha(a,b,d,e,f,g,i,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0.0,o=0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0;m=c[l+4>>2]|0;n=+h[m+64>>3];i=a+112|0;a=c[i>>2]|0;if((a|0)<=0){return 0}o=m+80|0;m=a;do{m=m-1|0;p=+h[j>>3]*+h[e+(m<<3)>>3];a=d+(m<<3)|0;q=+h[a>>3];if(q<0.0){r=-0.0-q}else{r=q}s=p>=0.0;if(s){t=p}else{t=-0.0-p}p=+Yb(+r,+t);u=+h[k+(m<<3)>>3];if(u<0.0){v=-0.0-u}else{v=u}u=n*+Yb(+p,+v);if(s){w=u}else{w=-0.0-u}u=w+q-q;p=1.0/u;h[a>>3]=q+u;Iha(b,0,e,c[o>>2]|0,0,l,0)|0;s=c[i>>2]|0;if((s|0)>0){x=c[o>>2]|0;y=ga(s,m)|0;z=s;do{z=z-1|0;h[g+(y+z<<3)>>3]=p*(+h[x+(z<<3)>>3]- +h[f+(z<<3)>>3]);}while((z|0)>0)}h[a>>3]=q;}while((m|0)>0);return 0}function Uha(a,b,d,e,f,g,i,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0.0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;m=c[(c[a+540>>2]|0)+120>>2]|0;i=c[l+4>>2]|0;n=+h[i+64>>3];o=c[i+76>>2]|0;p=c[i+72>>2]|0;q=a+464|0;a=c[q>>2]|0;if((c[a+(m*44|0)+24>>2]|0)==0){return 0}r=i+80|0;i=0;s=a;t=c[a+(m*44|0)>>2]|0;do{if((t|0)!=0){a=0;do{if(((c[(c[s+(m*44|0)+20>>2]|0)+(a<<2)>>2]|0)-1|0)==(i|0)){u=+h[j>>3]*+h[e+(a<<3)>>3];v=d+(a<<3)|0;w=+h[v>>3];if(w<0.0){x=-0.0-w}else{x=w}y=u>=0.0;if(y){z=u}else{z=-0.0-u}u=+Yb(+x,+z);w=+h[k+(a<<3)>>3];if(w<0.0){A=-0.0-w}else{A=w}w=n*+Yb(+u,+A);B=o+(a<<3)|0;h[B>>3]=w;if(y){C=w}else{C=-0.0-w}h[B>>3]=C;w=+h[v>>3];h[B>>3]=C+w-w;h[p+(a<<3)>>3]=+h[v>>3];h[v>>3]=+h[B>>3]+ +h[v>>3];h[B>>3]=1.0/+h[B>>3]}a=a+1|0;}while(a>>>0<t>>>0)}Iha(b,0,e,c[r>>2]|0,0,l,0)|0;s=c[q>>2]|0;t=c[s+(m*44|0)>>2]|0;if((t|0)!=0){a=c[s+(m*44|0)+20>>2]|0;B=0;do{if(((c[a+(B<<2)>>2]|0)-1|0)==(i|0)){if((B|0)==0){D=0;E=s+(m*44|0)+8|0}else{v=s+(m*44|0)+8|0;D=c[(c[v>>2]|0)+(B-1<<2)>>2]|0;E=v}v=c[(c[E>>2]|0)+(B<<2)>>2]|0;if(D>>>0<v>>>0){y=c[r>>2]|0;F=o+(B<<3)|0;G=c[s+(m*44|0)+12>>2]|0;H=c[s+(m*44|0)+4>>2]|0;I=D;do{J=c[G+(I<<2)>>2]|0;K=(ga(H,B)|0)+J|0;h[g+(K<<3)>>3]=(+h[y+(J<<3)>>3]- +h[f+(J<<3)>>3])*+h[F>>3];I=I+1|0;}while(I>>>0<v>>>0)}h[d+(B<<3)>>3]=+h[p+(B<<3)>>3]}B=B+1|0;}while(B>>>0<t>>>0)}i=i+1|0;}while(i>>>0<(c[s+(m*44|0)+24>>2]|0)>>>0);return 0}function Vha(a,b){a=a|0;b=+b;h[a+496>>3]=b;return}function Wha(a,b,d){a=a|0;b=+b;d=+d;var e=0,f=0,g=0,i=0,j=0.0,k=0.0,l=0.0,m=0;Vd[c[(c[a+540>>2]|0)+112>>2]&511](a);e=a+328|0;h[e>>3]=d+1.0;f=c[a+104>>2]|0;if((f|0)<=0){return}g=c[a+108>>2]|0;i=a+336|0;a=0;do{d=+h[g+(a*24|0)+8>>3];if(d>b){h[(c[i>>2]|0)+(a<<3)>>3]=d;j=d}else{k=+h[g+(a*24|0)+16>>3];l=d+k*+fa((b-d)/k);h[(c[i>>2]|0)+(a<<3)>>3]=l;j=l}if((a|0)==0){m=8}else{if(j<+h[e>>3]){m=8}}if((m|0)==8){m=0;h[e>>3]=j}a=a+1|0;}while((a|0)<(f|0));return}function Xha(b,c){b=b|0;c=c|0;var d=0.0,e=0,f=0.0;d=+h[c>>3];e=c+8|0;f=+h[b+328>>3];if(f>d+ +h[e>>3]+1.0e-14){return}h[e>>3]=f-d;a[b+317|0]=1;return}function Yha(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0;d=i;i=i+8|0;e=d|0;f=a+160|0;if((c[f>>2]|0)<=0){g=sfa(b)|0;j=(g|0)>0;k=j&1;i=d;return k|0}l=a+540|0;m=a+344|0;n=a+348|0;o=a+368|0;a=0;do{he[c[(c[l>>2]|0)+104>>2]&127](a,e)|0;p=+h[(c[m>>2]|0)+(a<<3)>>3];if(p==1.0){if(+h[(c[n>>2]|0)+(a<<3)>>3]==-1.0){q=7}else{q=5}}else{q=5}do{if((q|0)==5){q=0;if(!(p==-1.0)){break}if(+h[(c[n>>2]|0)+(a<<3)>>3]==1.0){q=7}}}while(0);if((q|0)==7){q=0;qfa(b,(c[o>>2]|0)+(a<<2)|0)}a=a+1|0;}while((a|0)<(c[f>>2]|0));g=sfa(b)|0;j=(g|0)>0;k=j&1;i=d;return k|0}function Zha(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;e=f+32|0;do{if((Yha(b,c[e>>2]|0)|0)!=0){if((a[f+28|0]|0)!=0){break}_ha(b,c[e>>2]|0,f|0)}}while(0);if((a[b+317|0]|0)==1){g=1;return g|0}b=(sfa(d)|0)>0;g=b?2:0;return g|0}function _ha(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0;e=i;i=i+24|0;f=e|0;g=e+8|0;j=e+16|0;k=a+112|0;l=c[k>>2]<<3;m=IJa(l)|0;n=m;o=IJa(l)|0;l=o;h[g>>3]=+h[a+376>>3];p=a+4|0;h[j>>3]=+h[c[c[p>>2]>>2]>>3];c[2138854]=ofa(4)|0;if((m|0)==0){jd(167616,162832,308,8522600)}if((o|0)==0){jd(159072,162832,309,8522600)}q=vfa(b)|0;if((q|0)!=0){r=q;do{q=c[(xfa(r)|0)>>2]|0;hfa(27,0,154584,(s=i,i=i+8|0,c[s>>2]=q,s)|0);i=s;r=wfa(r)|0;}while((r|0)!=0)}r=c[k>>2]|0;if((r|0)>0){q=c[(c[c[p>>2]>>2]|0)+8>>2]|0;t=(r|0)>1?r<<3:8;kKa(o|0,c[a+384>>2]|0,t)|0;kKa(m|0,q|0,t)|0}h[d>>3]=+bia(a,g,j,l,n,c[2138854]|0,b);do{if((sfa(c[2138854]|0)|0)==0){n=c[(tfa(b)|0)>>2]|0;l=a+344|0;u=+V(+(+h[(c[l>>2]|0)+(n<<3)>>3]));n=vfa(b)|0;if((n|0)==0){v=u}else{w=u;t=n;while(1){n=c[(xfa(t)|0)>>2]|0;u=+V(+(+h[(c[l>>2]|0)+(n<<3)>>3]));x=w>u?u:w;n=wfa(t)|0;if((n|0)==0){v=x;break}else{w=x;t=n}}}hfa(27,0,151304,(s=i,i=i+8|0,h[s>>3]=v,s)|0);i=s;t=vfa(b)|0;if((t|0)==0){break}else{y=t}do{t=c[(xfa(y)|0)>>2]|0;if(v==+V(+(+h[(c[l>>2]|0)+(t<<3)>>3]))){t=c[2138854]|0;rfa(t,xfa(y)|0);t=c[(xfa(y)|0)>>2]|0;hfa(27,0,146920,(s=i,i=i+8|0,c[s>>2]=t,s)|0);i=s}y=wfa(y)|0;}while((y|0)!=0)}}while(0);pfa(b);if((c[2136465]|0)!=0){sfa(c[2138854]|0)|0}if((sfa(c[2138854]|0)|0)>0){y=f;do{l=c[(tfa(c[2138854]|0)|0)>>2]|0;c[f>>2]=l;ufa(c[2138854]|0);hfa(7,0,135696,(s=i,i=i+8|0,c[s>>2]=l,s)|0);i=s;qfa(b,y);}while((sfa(c[2138854]|0)|0)>0)}h[d>>3]=+h[j>>3];j=c[c[p>>2]>>2]|0;h[j>>3]=+h[g>>3];g=c[k>>2]|0;if((g|0)>0){kKa(c[j+8>>2]|0,o|0,(g|0)>1?g<<3:8)|0}Ge(a);eia(a);a=c[c[p>>2]>>2]|0;h[a>>3]=+h[d>>3];d=c[k>>2]|0;if((d|0)<=0){JJa(o);JJa(m);i=e;return}kKa(c[a+8>>2]|0,m|0,(d|0)>1?d<<3:8)|0;JJa(o);JJa(m);i=e;return}function $ha(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0,B=0.0,C=0;g=i;i=i+16|0;j=g|0;k=g+8|0;l=b+4|0;m=+h[c[c[l>>2]>>2]>>3];n=b+317|0;do{if((a[n]|0)!=0){iia(b);o=b+104|0;p=c[o>>2]|0;if((p|0)<=0){break}q=b+336|0;r=m+1.0e-14;s=b+340|0;t=b+108|0;u=0;v=p;while(1){if(+h[(c[q>>2]|0)+(u<<3)>>3]>r){w=v}else{a[(c[s>>2]|0)+u|0]=1;p=c[t>>2]|0;x=+h[p+(u*24|0)+8>>3];y=+h[p+(u*24|0)+16>>3];hfa(7,0,28592,(z=i,i=i+24|0,c[z>>2]=c[p+(u*24|0)>>2],h[z+8>>3]=x,h[z+16>>3]=y,z)|0);i=z;w=c[o>>2]|0}p=u+1|0;if((p|0)<(w|0)){u=p;v=w}else{break}}}}while(0);w=b+512|0;v=b+524|0;u=b+516|0;o=b+528|0;c[o>>2]=(c[o>>2]|0)-(c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]|0);if((sfa(d)|0)>0){h[c[c[l>>2]>>2]>>3]=+h[e>>3];do{if((c[2136465]|0)!=0){e=vfa(d)|0;if((e|0)==0){break}l=b+540|0;t=e;do{e=c[(xfa(t)|0)>>2]|0;s=he[c[(c[l>>2]|0)+104>>2]&127](e,j)|0;gfa(7,0,c[j>>2]|0,21760,(z=i,i=i+16|0,c[z>>2]=e,c[z+8>>2]=s,z)|0);i=z;t=wfa(t)|0;}while((t|0)!=0)}}while(0);j=f+40|0;c[j>>2]=(c[j>>2]|0)+1;c[o>>2]=(c[o>>2]|0)+1;c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]=1;j=c[v>>2]|0;t=c[b+520>>2]|0;h[t+(j<<3)>>3]=m;l=b+532|0;do{if((c[l>>2]|0)==0){s=c[o>>2]|0;if((s|0)!=(c[w>>2]|0)){break}r=+h[t+(((j+1|0)%(s|0)|0)<<3)>>3];e=b+264|0;if(!(m-r<+h[e>>3])){break}q=c[(xfa(vfa(d)|0)|0)>>2]|0;p=he[c[(c[b+540>>2]|0)+104>>2]&127](q,k)|0;y=+h[e>>3];gfa(1,0,c[k>>2]|0,179976,(z=i,i=i+40|0,h[z>>3]=r,h[z+8>>3]=m,c[z+16>>2]=s,h[z+24>>3]=y,c[z+32>>2]=p,z)|0);i=z;c[l>>2]=1}}while(0);pfa(d)}else{c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]=0}c[v>>2]=((c[v>>2]|0)+1|0)%(c[w>>2]|0)|0;dia(b);aia(b);if((a[n]|0)==0){i=g;return}w=b+104|0;v=c[w>>2]|0;do{if((v|0)>0){u=b+340|0;d=b+108|0;l=b+336|0;z=0;k=v;while(1){j=(c[u>>2]|0)+z|0;if((a[j]|0)==0){A=k}else{a[j]=0;j=(c[l>>2]|0)+(z<<3)|0;h[j>>3]=+h[(c[d>>2]|0)+(z*24|0)+16>>3]+ +h[j>>3];A=c[w>>2]|0}j=z+1|0;if((j|0)<(A|0)){z=j;k=A}else{break}}if((A|0)<=0){break}k=b+336|0;z=b+328|0;d=0;do{l=c[k>>2]|0;if((d|0)==0){B=+h[l>>3];C=29}else{m=+h[l+(d<<3)>>3];if(m<+h[z>>3]){B=m;C=29}}if((C|0)==29){C=0;h[z>>3]=B}d=d+1|0;}while((d|0)<(A|0))}}while(0);a[n]=0;n=f+44|0;c[n>>2]=(c[n>>2]|0)+1;i=g;return}function aia(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;hfa(27,0,114088,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;d=a+344|0;_d[c[(c[a+540>>2]|0)+92>>2]&127](a,c[d>>2]|0,c[c[a+4>>2]>>2]|0)|0;e=c[a+160>>2]|0;if((e|0)<=0){i=b;return}f=c[d>>2]|0;d=c[a+348>>2]|0;a=0;do{h[d+(a<<3)>>3]=+h[f+(a<<3)>>3];a=a+1|0;}while((a|0)<(e|0));i=b;return}function bia(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0;k=i;l=a+160|0;m=c[l>>2]|0;n=IJa(m<<3)|0;o=n;if((n|0)==0){jd(127792,162832,409,8522632);return 0.0}if((m|0)>0){kKa(n|0,c[a+344>>2]|0,(m|0)>1?m<<3:8)|0}p=+h[d>>3];hfa(27,0,124176,(m=i,i=i+16|0,h[m>>3]=+h[b>>3],h[m+8>>3]=p,m)|0);i=m;hfa(27,0,121424,(m=i,i=i+8|0,h[m>>3]=1.0e-9,m)|0);i=m;p=+h[d>>3];q=+h[b>>3];if(!(+V(+(p-q))>1.0e-9)){JJa(n);r=+h[b>>3];s=+h[d>>3];t=r+s;u=t*.5;i=k;return+u}m=a+4|0;v=a+112|0;w=a+540|0;x=a+344|0;y=a+348|0;z=p;p=q;A=c[v>>2]|0;while(1){q=(z+p)*.5;B=c[c[m>>2]>>2]|0;h[B>>3]=q;if((A|0)>0){C=c[B+8>>2]|0;B=0;do{h[C+(B<<3)>>3]=(+h[e+(B<<3)>>3]+ +h[f+(B<<3)>>3])*.5;B=B+1|0;}while((B|0)<(A|0))}Yd[c[(c[w>>2]|0)+28>>2]&255](a)|0;Yd[c[(c[w>>2]|0)+32>>2]&255](a)|0;_d[c[(c[w>>2]|0)+92>>2]&127](a,c[x>>2]|0,c[c[m>>2]>>2]|0)|0;B=(cia(a,g,j)|0)==0;C=c[v>>2]|0;D=(C|0)>0;do{if(B){if(D){E=c[(c[c[m>>2]>>2]|0)+8>>2]|0;F=0;do{h[e+(F<<3)>>3]=+h[E+(F<<3)>>3];F=F+1|0;}while((F|0)<(C|0))}h[b>>3]=q;F=c[l>>2]|0;if((F|0)>0){E=c[x>>2]|0;G=c[y>>2]|0;H=0;do{I=E+(H<<3)|0;h[G+(H<<3)>>3]=+h[I>>3];h[I>>3]=+h[o+(H<<3)>>3];H=H+1|0;}while((H|0)<(F|0))}J=+h[d>>3]}else{if(D){F=c[(c[c[m>>2]>>2]|0)+8>>2]|0;H=0;do{h[f+(H<<3)>>3]=+h[F+(H<<3)>>3];H=H+1|0;}while((H|0)<(C|0))}h[d>>3]=q;H=c[l>>2]|0;if((H|0)<=0){J=q;break}kKa(n|0,c[x>>2]|0,(H|0)>1?H<<3:8)|0;J=q}}while(0);q=+h[b>>3];if(+V(+(J-q))>1.0e-9){z=J;p=q;A=C}else{break}}JJa(n);r=+h[b>>3];s=+h[d>>3];t=r+s;u=t*.5;i=k;return+u}function cia(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;pfa(b);hfa(27,0,118872,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=vfa(d)|0;if((g|0)==0){j=sfa(b)|0;k=(j|0)>0;l=k&1;i=e;return l|0}d=a+344|0;m=a+348|0;a=g;do{g=c[(xfa(a)|0)>>2]|0;if(+h[(c[d>>2]|0)+(g<<3)>>3]==-1.0){g=c[(xfa(a)|0)>>2]|0;if(+h[(c[m>>2]|0)+(g<<3)>>3]==1.0){n=7}else{n=5}}else{n=5}do{if((n|0)==5){n=0;g=c[(xfa(a)|0)>>2]|0;if(!(+h[(c[d>>2]|0)+(g<<3)>>3]==1.0)){break}g=c[(xfa(a)|0)>>2]|0;if(+h[(c[m>>2]|0)+(g<<3)>>3]==-1.0){n=7}}}while(0);if((n|0)==7){n=0;g=c[(xfa(a)|0)>>2]|0;o=c[(xfa(a)|0)>>2]|0;p=+h[(c[m>>2]|0)+(o<<3)>>3]>0.0?47504:40704;o=c[(xfa(a)|0)>>2]|0;q=+h[(c[d>>2]|0)+(o<<3)>>3]>0.0?47504:40704;hfa(27,0,116376,(f=i,i=i+24|0,c[f>>2]=g,c[f+8>>2]=p,c[f+16>>2]=q,f)|0);i=f;qfa(b,xfa(a)|0)}a=wfa(a)|0;}while((a|0)!=0);j=sfa(b)|0;k=(j|0)>0;l=k&1;i=e;return l|0}function dia(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;e=b+315|0;a[e]=0;f=b+540|0;he[c[(c[f>>2]|0)+96>>2]&127](b,1)|0;eia(b);fia(b);Yd[c[(c[f>>2]|0)+36>>2]&255](b)|0;gia(b,8);g=hia(b)|0;h=Yd[c[(c[f>>2]|0)+100>>2]&255](b)|0;j=b+312|0;if((a[j]|0)==0){k=1;l=h;m=g}else{fia(b);i=d;return}while(1){if((l|0)==0){if((a[e]|m)<<24>>24==0){n=7;break}}iia(b);eia(b);gia(b,8);Yd[c[(c[f>>2]|0)+36>>2]&255](b)|0;if((k|0)>200){n=5;break}g=hia(b)|0;h=Yd[c[(c[f>>2]|0)+100>>2]&255](b)|0;if((a[j]|0)==0){k=k+1|0;l=h;m=g}else{n=7;break}}if((n|0)==5){lfa(c[b+536>>2]|0,81448,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m}else if((n|0)==7){fia(b);i=d;return}}function eia(a){a=a|0;kKa(c[a+356>>2]|0,c[a+352>>2]|0,c[a+164>>2]|0)|0;return}function fia(b){b=b|0;var d=0,e=0,f=0;d=b+164|0;if((c[d>>2]|0)<=0){return}e=b+352|0;f=b+360|0;b=0;do{a[(c[f>>2]|0)+b|0]=(a[(c[e>>2]|0)+b|0]|0)!=0|0;b=b+1|0;}while((b|0)<(c[d>>2]|0));return}function gia(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;if((c[8545832+(d<<2)>>2]|0)==0){i=e;return}hfa(d,1,116064,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+164|0;if((c[g>>2]|0)>0){h=b+540|0;j=b+352|0;k=b+356|0;b=0;do{l=Yd[c[(c[h>>2]|0)+108>>2]&255](b)|0;m=(a[(c[j>>2]|0)+b|0]|0)!=0?84:70;n=Yd[c[(c[h>>2]|0)+108>>2]&255](b)|0;o=(a[(c[k>>2]|0)+b|0]|0)!=0?84:70;hfa(d,0,113576,(f=i,i=i+40|0,c[f>>2]=b,c[f+8>>2]=l,c[f+16>>2]=m,c[f+24>>2]=n,c[f+32>>2]=o,f)|0);i=f;b=b+1|0;}while((b|0)<(c[g>>2]|0))}Vd[c[3586]&511](d);i=e;return}function hia(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+356|0;e=c[b+164>>2]|0;f=b+352|0;b=0;while(1){if((b|0)>=(e|0)){g=0;h=4;break}if((a[(c[d>>2]|0)+b|0]|0)==(a[(c[f>>2]|0)+b|0]|0)){b=b+1|0}else{g=1;h=4;break}}if((h|0)==4){return g|0}return 0}function iia(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;kKa(c[a+400>>2]|0,c[b+8>>2]|0,c[a+116>>2]<<3)|0;kKa(c[a+404>>2]|0,c[b+12>>2]|0,c[a+124>>2]<<2)|0;kKa(c[a+408>>2]|0,c[b+16>>2]|0,c[a+128>>2]|0)|0;kKa(c[a+412>>2]|0,c[b+20>>2]|0,c[a+132>>2]<<2)|0;return}function jia(a){a=a|0;var b=0,d=0,e=0,f=0;b=c[a+160>>2]|0;d=c[a+344>>2]|0;if((b|0)>0){e=c[a+348>>2]|0;f=0;do{h[e+(f<<3)>>3]=+h[d+(f<<3)>>3];f=f+1|0;}while((f|0)<(b|0))}_d[c[(c[a+540>>2]|0)+92>>2]&127](a,d,c[c[a+4>>2]>>2]|0)|0;return}function kia(a){a=a|0;lia(a);mia(a);iia(a);nia(a);return}function lia(b){b=b|0;var d=0,e=0,f=0,g=0;d=c[b+136>>2]|0;if((d|0)>0){e=c[b+24>>2]|0;f=c[b+416>>2]|0;g=0;do{h[f+(g<<3)>>3]=+h[e+(g*112|0)+96>>3];g=g+1|0;}while((g|0)<(d|0))}d=b+140|0;if((c[d>>2]|0)>0){g=c[b+28>>2]|0;e=c[b+420>>2]|0;f=0;do{c[e+(f<<2)>>2]=c[g+(f*60|0)+52>>2];f=f+1|0;}while((f|0)<(c[d>>2]|0))}d=b+144|0;if((c[d>>2]|0)>0){f=b+32|0;g=b+424|0;e=0;do{a[(c[g>>2]|0)+e|0]=a[(c[f>>2]|0)+(e*48|0)+42|0]|0;e=e+1|0;}while((e|0)<(c[d>>2]|0))}d=c[b+148>>2]|0;if((d|0)<=0){return}e=b+36|0;f=b+428|0;b=0;do{c[(c[f>>2]|0)+(b<<2)>>2]=c[(c[e>>2]|0)+(b*52|0)+44>>2];b=b+1|0;}while((b|0)<(d|0));return}function mia(b){b=b|0;var d=0,e=0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;e=c[b+116>>2]|0;if((e|0)>0){f=c[b+8>>2]|0;g=c[d+8>>2]|0;i=0;do{h[g+(i<<3)>>3]=+h[f+(i*112|0)+96>>3];i=i+1|0;}while((i|0)<(e|0))}e=b+124|0;if((c[e>>2]|0)>0){i=c[b+12>>2]|0;f=c[d+12>>2]|0;g=0;do{c[f+(g<<2)>>2]=c[i+(g*60|0)+52>>2];g=g+1|0;}while((g|0)<(c[e>>2]|0))}e=b+128|0;if((c[e>>2]|0)>0){g=b+16|0;i=d+16|0;f=0;do{a[(c[i>>2]|0)+f|0]=a[(c[g>>2]|0)+(f*48|0)+42|0]|0;f=f+1|0;}while((f|0)<(c[e>>2]|0))}e=c[b+132>>2]|0;if((e|0)<=0){return}f=b+20|0;b=d+20|0;d=0;do{c[(c[b>>2]|0)+(d<<2)>>2]=c[(c[f>>2]|0)+(d*52|0)+44>>2];d=d+1|0;}while((d|0)<(e|0));return}function nia(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;b=a|0;if((mga(c[b>>2]|0)|0)<=1){return}d=a+4|0;e=a+116|0;f=a+124|0;g=a+128|0;i=a+132|0;a=1;do{j=a-1|0;k=c[d>>2]|0;l=c[k+(j<<2)>>2]|0;m=c[k+(a<<2)>>2]|0;h[m>>3]=+h[l>>3];kKa(c[m+8>>2]|0,c[l+8>>2]|0,c[e>>2]<<3)|0;l=c[d>>2]|0;kKa(c[(c[l+(a<<2)>>2]|0)+12>>2]|0,c[(c[l+(j<<2)>>2]|0)+12>>2]|0,c[f>>2]<<2)|0;l=c[d>>2]|0;kKa(c[(c[l+(a<<2)>>2]|0)+16>>2]|0,c[(c[l+(j<<2)>>2]|0)+16>>2]|0,c[g>>2]|0)|0;l=c[d>>2]|0;kKa(c[(c[l+(a<<2)>>2]|0)+20>>2]|0,c[(c[l+(j<<2)>>2]|0)+20>>2]|0,c[i>>2]<<2)|0;a=a+1|0;}while((a|0)<(mga(c[b>>2]|0)|0));return}function oia(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0.0,s=0;e=i;if((c[8545832+(d<<2)>>2]|0)==0){i=e;return}hfa(d,1,146216,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+136|0;if((c[g>>2]|0)>0){hfa(d,1,142200,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){j=b+24|0;k=b+416|0;l=0;while(1){m=l+1|0;n=c[j>>2]|0;o=c[n+(l*112|0)+4>>2]|0;p=+h[n+(l*112|0)+96>>3];q=(a[n+(l*112|0)+72|0]|0)!=0?158248:154088;r=+h[(c[k>>2]|0)+(l<<3)>>3];hfa(d,0,138648,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=o,h[f+16>>3]=p,c[f+24>>2]=q,h[f+32>>3]=r,f)|0);i=f;if((m|0)<(c[g>>2]|0)){l=m}else{break}}}Vd[c[3586]&511](d)}l=b+140|0;if((c[l>>2]|0)>0){hfa(d,1,134904,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[l>>2]|0)>0){g=b+28|0;k=b+420|0;j=0;while(1){m=j+1|0;q=c[g>>2]|0;o=c[q+(j*60|0)+4>>2]|0;n=c[q+(j*60|0)+52>>2]|0;s=(a[q+(j*60|0)+48|0]|0)!=0?158248:154088;q=c[(c[k>>2]|0)+(j<<2)>>2]|0;hfa(d,0,130720,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=o,c[f+16>>2]=n,c[f+24>>2]=s,c[f+32>>2]=q,f)|0);i=f;if((m|0)<(c[l>>2]|0)){j=m}else{break}}}Vd[c[3586]&511](d)}j=b+144|0;if((c[j>>2]|0)>0){hfa(d,1,127224,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[j>>2]|0)>0){l=b+32|0;k=b+424|0;g=0;while(1){m=g+1|0;q=c[l>>2]|0;s=c[q+(g*48|0)+4>>2]|0;n=(a[q+(g*48|0)+42|0]|0)!=0?158248:154088;o=(a[q+(g*48|0)+40|0]|0)!=0?158248:154088;q=(a[(c[k>>2]|0)+g|0]|0)!=0?158248:154088;hfa(d,0,123648,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=s,c[f+16>>2]=n,c[f+24>>2]=o,c[f+32>>2]=q,f)|0);i=f;if((m|0)<(c[j>>2]|0)){g=m}else{break}}}Vd[c[3586]&511](d)}g=b+148|0;if((c[g>>2]|0)>0){hfa(d,1,121032,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){j=b+36|0;k=b+428|0;b=0;while(1){l=b+1|0;m=c[j>>2]|0;q=c[m+(b*52|0)+4>>2]|0;o=c[m+(b*52|0)+44>>2]|0;m=c[(c[k>>2]|0)+(b<<2)>>2]|0;hfa(d,0,118368,(f=i,i=i+32|0,c[f>>2]=l,c[f+8>>2]=q,c[f+16>>2]=o,c[f+24>>2]=m,f)|0);i=f;if((l|0)<(c[g>>2]|0)){b=l}else{break}}}Vd[c[3586]&511](d)}Vd[c[3586]&511](d);i=e;return}function pia(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;b=a|0;if((mga(c[b>>2]|0)|0)<=1){return}d=a+4|0;e=a+116|0;f=a+124|0;g=a+128|0;i=a+132|0;a=1;do{j=c[d>>2]|0;k=c[j+(a<<2)>>2]|0;l=a-1|0;m=c[j+(l<<2)>>2]|0;h[m>>3]=+h[k>>3];kKa(c[m+8>>2]|0,c[k+8>>2]|0,c[e>>2]<<3)|0;k=c[d>>2]|0;kKa(c[(c[k+(l<<2)>>2]|0)+12>>2]|0,c[(c[k+(a<<2)>>2]|0)+12>>2]|0,c[f>>2]<<2)|0;k=c[d>>2]|0;kKa(c[(c[k+(l<<2)>>2]|0)+16>>2]|0,c[(c[k+(a<<2)>>2]|0)+16>>2]|0,c[g>>2]|0)|0;k=c[d>>2]|0;kKa(c[(c[k+(l<<2)>>2]|0)+20>>2]|0,c[(c[k+(a<<2)>>2]|0)+20>>2]|0,c[i>>2]<<2)|0;a=a+1|0;}while((a|0)<(mga(c[b>>2]|0)|0));return}function qia(b){b=b|0;var d=0,e=0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;e=c[b+116>>2]|0;if((e|0)>0){f=c[d+8>>2]|0;g=c[b+8>>2]|0;i=0;do{h[g+(i*112|0)+96>>3]=+h[f+(i<<3)>>3];i=i+1|0;}while((i|0)<(e|0))}e=b+124|0;if((c[e>>2]|0)>0){i=c[d+12>>2]|0;f=c[b+12>>2]|0;g=0;do{c[f+(g*60|0)+52>>2]=c[i+(g<<2)>>2];g=g+1|0;}while((g|0)<(c[e>>2]|0))}e=b+128|0;if((c[e>>2]|0)>0){g=d+16|0;i=b+16|0;f=0;do{a[(c[i>>2]|0)+(f*48|0)+42|0]=a[(c[g>>2]|0)+f|0]|0;f=f+1|0;}while((f|0)<(c[e>>2]|0))}e=c[b+132>>2]|0;if((e|0)<=0){return}f=d+20|0;d=b+20|0;b=0;do{c[(c[d>>2]|0)+(b*52|0)+44>>2]=c[(c[f>>2]|0)+(b<<2)>>2];b=b+1|0;}while((b|0)<(e|0));return}function ria(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;h[a+376>>3]=+h[b>>3];kKa(c[a+384>>2]|0,c[b+8>>2]|0,c[a+116>>2]<<3)|0;kKa(c[a+388>>2]|0,c[b+12>>2]|0,c[a+124>>2]<<2)|0;kKa(c[a+392>>2]|0,c[b+16>>2]|0,c[a+128>>2]|0)|0;kKa(c[a+396>>2]|0,c[b+20>>2]|0,c[a+132>>2]<<2)|0;return}function sia(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=i;i=i+32|0;e=d|0;f=b|0;c[f>>2]=0;g=hga(3,32)|0;c[f>>2]=g;if((g|0)==0){lfa(c[b+536>>2]|0,81120,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}g=e|0;k=b+116|0;l=e+8|0;m=b+536|0;n=b+124|0;o=e+12|0;p=b+128|0;q=e+16|0;r=b+132|0;s=e+20|0;t=e;e=0;do{h[g>>3]=0.0;u=KJa(c[k>>2]|0,8)|0;c[l>>2]=u;kfa(c[m>>2]|0,(u|0)!=0|0,77856,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=KJa(c[n>>2]|0,4)|0;c[o>>2]=u;kfa(c[m>>2]|0,(u|0)!=0|0,77856,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=KJa(c[p>>2]|0,1)|0;c[q>>2]=u;kfa(c[m>>2]|0,(u|0)!=0|0,77856,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=KJa(c[r>>2]|0,4)|0;c[s>>2]=u;kfa(c[m>>2]|0,(u|0)!=0|0,77856,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;lga(c[f>>2]|0,t);e=e+1|0;}while(e>>>0<3>>>0);e=KJa(3,4)|0;c[b+4>>2]=e;nga(c[f>>2]|0,0,e);e=c[k>>2]|0;c[b+8>>2]=KJa(e,112)|0;k=c[n>>2]|0;c[b+12>>2]=KJa(k,60)|0;n=c[p>>2]|0;c[b+16>>2]=KJa(n,48)|0;p=c[r>>2]|0;c[b+20>>2]=KJa(p,52)|0;r=c[b+136>>2]|0;c[b+24>>2]=KJa(r,112)|0;f=c[b+140>>2]|0;c[b+28>>2]=KJa(f,60)|0;t=c[b+144>>2]|0;c[b+32>>2]=KJa(t,48)|0;s=c[b+148>>2]|0;c[b+36>>2]=KJa(s,52)|0;c[b+40>>2]=KJa(c[b+216>>2]|0,52)|0;c[b+44>>2]=KJa(c[b+220>>2]|0,52)|0;c[b+48>>2]=KJa(c[b+224>>2]|0,52)|0;c[b+52>>2]=KJa(c[b+228>>2]|0,52)|0;q=c[b+104>>2]|0;c[b+108>>2]=KJa(q,24)|0;h[b+328>>3]=+h[b+240>>3];c[b+336>>2]=KJa(q,8)|0;c[b+340>>2]=KJa(q,1)|0;c[b+300>>2]=1;c[b+292>>2]=1;c[b+296>>2]=1;q=c[b+160>>2]|0;c[b+344>>2]=KJa(q,8)|0;c[b+348>>2]=KJa(q,8)|0;o=c[b+164>>2]|0;c[b+352>>2]=KJa(o,1)|0;c[b+356>>2]=KJa(o,1)|0;c[b+360>>2]=KJa(o,1)|0;o=IJa(q<<2)|0;c[b+368>>2]=o;c[b+364>>2]=IJa(c[b+168>>2]<<3)|0;if((q|0)!=0){l=0;do{c[o+(l<<2)>>2]=l;l=l+1|0;}while(l>>>0<q>>>0)}c[b+384>>2]=KJa(e,8)|0;c[b+388>>2]=KJa(k,4)|0;c[b+392>>2]=KJa(n,1)|0;c[b+396>>2]=KJa(p,4)|0;c[b+400>>2]=KJa(e,8)|0;c[b+404>>2]=KJa(k,4)|0;c[b+408>>2]=KJa(n,1)|0;c[b+412>>2]=KJa(p,4)|0;c[b+416>>2]=KJa(r,8)|0;c[b+420>>2]=KJa(f,4)|0;c[b+424>>2]=KJa(t,1)|0;c[b+428>>2]=KJa(s,4)|0;c[b+432>>2]=KJa(c[b+152>>2]|0,8)|0;c[b+436>>2]=KJa(c[b+156>>2]|0,8)|0;s=IJa((c[b+192>>2]|0)*40|0)|0;c[b+484>>2]=s;t=b+540|0;Vd[c[(c[t>>2]|0)+20>>2]&511](s);s=IJa((c[b+196>>2]|0)*80|0)|0;c[b+476>>2]=s;Vd[c[(c[t>>2]|0)+16>>2]&511](s);s=IJa((c[b+200>>2]|0)*80|0)|0;c[b+468>>2]=s;Vd[c[(c[t>>2]|0)+12>>2]&511](s);s=IJa((c[b+204>>2]|0)*48|0)|0;c[b+488>>2]=s;Wd[c[(c[t>>2]|0)+24>>2]&255](s,b);c[b+464>>2]=IJa((c[b+232>>2]|0)*44|0)|0;c[b+76>>2]=0;c[b+80>>2]=0;s=KJa(c[b+188>>2]|0,4)|0;c[b+320>>2]=s;kfa(c[m>>2]|0,(s|0)!=0|0,75872,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;c[b+512>>2]=100;c[b+516>>2]=KJa(100,4)|0;c[b+520>>2]=KJa(100,8)|0;c[b+524>>2]=0;c[b+528>>2]=0;c[b+532>>2]=0;h[b+304>>3]=1.0;a[b+313|0]=0;a[b+312|0]=0;a[b+314|0]=0;s=b+172|0;t=b+316|0;C=0;a[t]=C;C=C>>8;a[t+1|0]=C;C=C>>8;a[t+2|0]=C;C=C>>8;a[t+3|0]=C;t=IJa(c[s>>2]<<2)|0;f=b+504|0;c[f>>2]=t;kfa(c[m>>2]|0,(t|0)!=0|0,77856,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[s>>2]|0)==0){i=d;return}else{v=0}do{j=hga(1024,16)|0;c[(c[f>>2]|0)+(v<<2)>>2]=j;v=v+1|0;}while(v>>>0<(c[s>>2]|0)>>>0);i=d;return}function tia(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;b=a+4|0;d=0;e=c[b>>2]|0;do{f=c[e+(d<<2)>>2]|0;JJa(c[f+8>>2]|0);JJa(c[f+12>>2]|0);JJa(c[f+16>>2]|0);JJa(c[f+20>>2]|0);d=d+1|0;e=c[b>>2]|0}while(d>>>0<3>>>0);JJa(e);iga(c[a>>2]|0);e=a+116|0;d=a+8|0;b=c[d>>2]|0;if((c[e>>2]|0)==0){g=b}else{f=0;h=b;while(1){Lga(h+(f*112|0)|0);b=f+1|0;i=c[d>>2]|0;if(b>>>0<(c[e>>2]|0)>>>0){f=b;h=i}else{g=i;break}}}JJa(g);g=a+124|0;h=a+12|0;f=c[h>>2]|0;if((c[g>>2]|0)==0){j=f}else{e=0;d=f;while(1){Lga(d+(e*60|0)|0);f=e+1|0;i=c[h>>2]|0;if(f>>>0<(c[g>>2]|0)>>>0){e=f;d=i}else{j=i;break}}}JJa(j);j=a+128|0;d=a+16|0;e=c[d>>2]|0;if((c[j>>2]|0)==0){k=e}else{g=0;h=e;while(1){Lga(h+(g*48|0)|0);e=g+1|0;i=c[d>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){g=e;h=i}else{k=i;break}}}JJa(k);k=a+132|0;h=a+20|0;g=c[h>>2]|0;if((c[k>>2]|0)==0){l=g}else{j=0;d=g;while(1){Lga(d+(j*52|0)|0);g=j+1|0;i=c[h>>2]|0;if(g>>>0<(c[k>>2]|0)>>>0){j=g;d=i}else{l=i;break}}}JJa(l);l=a+136|0;d=a+24|0;j=c[d>>2]|0;if((c[l>>2]|0)==0){m=j}else{k=0;h=j;while(1){Lga(h+(k*112|0)|0);j=k+1|0;i=c[d>>2]|0;if(j>>>0<(c[l>>2]|0)>>>0){k=j;h=i}else{m=i;break}}}JJa(m);m=a+140|0;h=a+28|0;k=c[h>>2]|0;if((c[m>>2]|0)==0){n=k}else{l=0;d=k;while(1){Lga(d+(l*60|0)|0);k=l+1|0;i=c[h>>2]|0;if(k>>>0<(c[m>>2]|0)>>>0){l=k;d=i}else{n=i;break}}}JJa(n);n=a+144|0;d=a+32|0;l=c[d>>2]|0;if((c[n>>2]|0)==0){o=l}else{m=0;h=l;while(1){Lga(h+(m*48|0)|0);l=m+1|0;i=c[d>>2]|0;if(l>>>0<(c[n>>2]|0)>>>0){m=l;h=i}else{o=i;break}}}JJa(o);o=a+148|0;h=a+36|0;m=c[h>>2]|0;if((c[o>>2]|0)==0){p=m}else{n=0;d=m;while(1){Lga(d+(n*52|0)|0);m=n+1|0;i=c[h>>2]|0;if(m>>>0<(c[o>>2]|0)>>>0){n=m;d=i}else{p=i;break}}}JJa(p);p=a+216|0;d=a+40|0;n=c[d>>2]|0;if((c[p>>2]|0)==0){q=n}else{o=0;h=n;while(1){Lga(h+(o*52|0)+12|0);n=o+1|0;i=c[d>>2]|0;if(n>>>0<(c[p>>2]|0)>>>0){o=n;h=i}else{q=i;break}}}JJa(q);q=a+220|0;h=a+44|0;o=c[h>>2]|0;if((c[q>>2]|0)==0){r=o}else{p=0;d=o;while(1){Lga(d+(p*52|0)+12|0);o=p+1|0;i=c[h>>2]|0;if(o>>>0<(c[q>>2]|0)>>>0){p=o;d=i}else{r=i;break}}}JJa(r);r=a+224|0;d=a+48|0;p=c[d>>2]|0;if((c[r>>2]|0)==0){s=p}else{q=0;h=p;while(1){Lga(h+(q*52|0)+12|0);p=q+1|0;i=c[d>>2]|0;if(p>>>0<(c[r>>2]|0)>>>0){q=p;h=i}else{s=i;break}}}JJa(s);s=a+228|0;h=a+52|0;q=c[h>>2]|0;if((c[s>>2]|0)==0){t=q}else{r=0;d=q;while(1){Lga(d+(r*52|0)+12|0);q=r+1|0;i=c[h>>2]|0;if(q>>>0<(c[s>>2]|0)>>>0){r=q;d=i}else{t=i;break}}}JJa(t);JJa(c[a+108>>2]|0);JJa(c[a+336>>2]|0);JJa(c[a+340>>2]|0);JJa(c[a+344>>2]|0);JJa(c[a+348>>2]|0);JJa(c[a+352>>2]|0);JJa(c[a+356>>2]|0);JJa(c[a+360>>2]|0);JJa(c[a+368>>2]|0);JJa(c[a+384>>2]|0);JJa(c[a+388>>2]|0);JJa(c[a+392>>2]|0);JJa(c[a+396>>2]|0);JJa(c[a+400>>2]|0);JJa(c[a+404>>2]|0);JJa(c[a+408>>2]|0);JJa(c[a+412>>2]|0);JJa(c[a+416>>2]|0);JJa(c[a+420>>2]|0);JJa(c[a+424>>2]|0);JJa(c[a+428>>2]|0);JJa(c[a+488>>2]|0);JJa(c[a+484>>2]|0);JJa(c[a+476>>2]|0);JJa(c[a+468>>2]|0);JJa(c[a+464>>2]|0);JJa(c[a+432>>2]|0);JJa(c[a+436>>2]|0);JJa(c[a+320>>2]|0);JJa(c[a+516>>2]|0);JJa(c[a+520>>2]|0);axa(a+56|0);t=a+172|0;d=a+504|0;a=c[d>>2]|0;if((c[t>>2]|0)==0){u=a;v=u;JJa(v);return}else{w=0;x=a}while(1){iga(c[x+(w<<2)>>2]|0);a=w+1|0;r=c[d>>2]|0;if(a>>>0<(c[t>>2]|0)>>>0){w=a;x=r}else{u=r;break}}v=u;JJa(v);return}function uia(a){a=+a;var b=0,c=0.0,d=0;b=i;c=a*1.0e-4;h[205]=c;hfa(8,0,73736,(d=i,i=i+8|0,h[d>>3]=c,d)|0);i=d;i=b;return}function via(a,b,c){a=+a;b=+b;c=c|0;var d=0,e=0.0,f=0.0,g=0.0;d=c<<24>>24!=0;e=+h[205];f=e+e*+V(+(d?b:a));if(d){g=f}else{g=-0.0-f}return a-b<=g|0}function wia(a,b){a=+a;b=+b;return a<b|0}function xia(a,b){a=+a;b=+b;return a<=b|0}function yia(a,b){a=+a;b=+b;return a>b|0}function zia(a,b){a=+a;b=+b;return a>=b|0}function Aia(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0;b=i;d=c[a+484>>2]|0;e=a+192|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+296|0;g=0;while(1){h=c[d+(g*40|0)>>2]|0;j=h<<2;c[d+(g*40|0)+20>>2]=IJa(j)|0;c[d+(g*40|0)+24>>2]=IJa(j)|0;if((c[f>>2]|0)!=1){k=5;break}Dia(h,d+(g*40|0)+28|0)|0;h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{k=6;break}}if((k|0)==5){lfa(c[a+536>>2]|0,185232,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((k|0)==6){i=b;return 0}return 0}function Bia(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=c[a+484>>2]|0;e=a+192|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+296|0;g=0;while(1){JJa(c[d+(g*40|0)+20>>2]|0);JJa(c[d+(g*40|0)+24>>2]|0);if((c[f>>2]|0)!=1){h=5;break}j=d+(g*40|0)+28|0;Eia(j)|0;JJa(c[j>>2]|0);j=g+1|0;if((j|0)<(c[e>>2]|0)){g=j}else{h=6;break}}if((h|0)==5){lfa(c[a+536>>2]|0,185232,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((h|0)==6){i=b;return 0}return 0}function Cia(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;k=c[b+484>>2]|0;l=b+192|0;m=c[l>>2]|0;if((m|0)<=0){n=0;i=e;return n|0}o=(d|0)==0;d=b+56|0;p=k+4|0;q=f+8|0;r=b+4|0;b=g+12|0;s=j+16|0;t=0;u=0;v=m;while(1){m=(a[k+(t*40|0)+36|0]|0)!=0;do{if(m|o){w=m?u:1;x=v}else{if((c[2136475]|c[2136544]|0)==0){w=1;x=v;break}_wa(f,d,c[p>>2]|0);y=+h[c[c[r>>2]>>2]>>3];jfa(17,1,179608,(z=i,i=i+16|0,c[z>>2]=c[q>>2],h[z+8>>3]=y,z)|0);i=z;_wa(g,d,c[p>>2]|0);if((c[b>>2]|0)>0){A=0;while(1){B=A+1|0;_wa(j,d,c[p>>2]|0);C=c[(c[(c[s>>2]|0)+(A<<2)>>2]|0)+4>>2]|0;jfa(17,0,135096,(z=i,i=i+16|0,c[z>>2]=B,c[z+8>>2]=C,z)|0);i=z;_wa(g,d,c[p>>2]|0);if((B|0)<(c[b>>2]|0)){A=B}else{break}}}Vd[c[3586]&511](17);w=1;x=c[l>>2]|0}}while(0);m=t+1|0;if((m|0)<(x|0)){t=m;u=w;v=x}else{n=w;break}}i=e;return n|0}function Dia(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;e=IJa(20)|0;c[b>>2]=e;kfa(0,(e|0)!=0|0,184896,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=IJa(a)|0;c[e+4>>2]=IJa(a)|0;c[e+8>>2]=IJa(a)|0;c[e+16>>2]=IJa(a)|0;kfa(0,(c[b>>2]|0)!=0|0,179560,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function Eia(a){a=a|0;var b=0;b=c[a>>2]|0;JJa(c[b>>2]|0);JJa(c[b+4>>2]|0);JJa(c[b+8>>2]|0);JJa(c[b+16>>2]|0);return 0}function Fia(a,b){a=a|0;b=b|0;lfa(c[a+536>>2]|0,184368,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function Gia(a){a=a|0;lfa(0,184368,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function Hia(a,b){a=a|0;b=b|0;lfa(c[a+536>>2]|0,184368,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function Iia(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c[a+476>>2]|0;e=a+196|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+292|0;g=0;while(1){h=c[d+(g<<6)+16>>2]|0;j=c[d+(g<<6)+12>>2]|0;k=h<<3;c[d+(g<<6)+28>>2]=IJa(k)|0;c[d+(g<<6)+36>>2]=IJa(k)|0;l=c[f>>2]|0;if((l|0)==1){c[d+(g<<6)+32>>2]=IJa(ga(k,h)|0)|0;c[d+(g<<6)+8>>2]=2;Nia(h,d+(g<<6)+24|0)|0}else if((l|0)==2){c[d+(g<<6)+8>>2]=4;Pia(h,h,j,d+(g<<6)+24|0)|0}else{m=6;break}j=g+1|0;if((j|0)<(c[e>>2]|0)){g=j}else{m=8;break}}if((m|0)==6){lfa(c[a+536>>2]|0,184336,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((m|0)==8){i=b;return 0}return 0}function Jia(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;e=(ga(c[f+16>>2]|0,b)|0)+a|0;h[(c[f+32>>2]|0)+(e<<3)>>3]=d;return}function Kia(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;kc(0,a|0,b|0,+d,c[c[f+24>>2]>>2]|0)|0;return}function Lia(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=c[a+476>>2]|0;e=a+196|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+292|0;g=0;while(1){JJa(c[d+(g<<6)+28>>2]|0);JJa(c[d+(g<<6)+36>>2]|0);h=c[f>>2]|0;if((h|0)==1){Oia(d+(g<<6)+24|0)|0;JJa(c[d+(g<<6)+32>>2]|0)}else if((h|0)==2){Qia(d+(g<<6)+24|0)|0}else{j=6;break}JJa(c[d+(g<<6)+24>>2]|0);h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{j=8;break}}if((j|0)==6){lfa(c[a+536>>2]|0,184336,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((j|0)==8){i=b;return 0}return 0}function Mia(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;k=c[b+476>>2]|0;l=b+196|0;m=c[l>>2]|0;if((m|0)<=0){n=0;i=e;return n|0}o=(d|0)==0;d=b+56|0;p=k+20|0;q=f+8|0;r=b+4|0;b=g+12|0;s=j+16|0;t=0;u=0;v=m;while(1){m=(a[k+(t<<6)+56|0]|0)!=0;do{if(m|o){w=m?u:1;x=v}else{if((c[2136473]|c[2136544]|0)==0){w=1;x=v;break}_wa(f,d,c[p>>2]|0);y=+h[c[c[r>>2]>>2]>>3];jfa(15,1,179528,(z=i,i=i+16|0,c[z>>2]=c[q>>2],h[z+8>>3]=y,z)|0);i=z;_wa(g,d,c[p>>2]|0);if((c[b>>2]|0)>0){A=0;while(1){B=A+1|0;_wa(j,d,c[p>>2]|0);C=c[(c[(c[s>>2]|0)+(A<<2)>>2]|0)+4>>2]|0;jfa(15,0,135088,(z=i,i=i+16|0,c[z>>2]=B,c[z+8>>2]=C,z)|0);i=z;_wa(g,d,c[p>>2]|0);if((B|0)<(c[b>>2]|0)){A=B}else{break}}}Vd[c[3586]&511](15);w=1;x=c[l>>2]|0}}while(0);m=t+1|0;if((m|0)<(x|0)){t=m;u=w;v=x}else{n=w;break}}i=e;return n|0}function Nia(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;e=IJa(12)|0;f=IJa(a<<2)|0;c[e>>2]=f;kfa(0,(f|0)!=0|0,184160,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e+4>>2]=1;c[e+8>>2]=0;c[b>>2]=e;i=d;return 0}function Oia(a){a=a|0;JJa(c[c[a>>2]>>2]|0);return 0}function Pia(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=IJa(32)|0;kfa(0,(g|0)!=0|0,181736,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h;c[g+20>>2]=b;b=g+24|0;c[b>>2]=a;c[g+28>>2]=d;d=g+8|0;wc(0,d|0)|0;Jd(c[d>>2]|0,c[b>>2]|0,0)|0;wc(0,g+4|0)|0;Jd(c[d>>2]|0,c[b>>2]|0,0)|0;b=g+12|0;Ua(b|0)|0;Od(179512,c[b>>2]|0)|0;c[e>>2]=g;i=f;return 0}function Qia(a){a=a|0;var b=0;b=c[a>>2]|0;Yc(c[b+12>>2]|0)|0;bc(c[b+8>>2]|0)|0;bc(c[b+4>>2]|0)|0;return 0}function Ria(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;b=i;d=c[a+468>>2]|0;e=a+200|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+536|0;g=a;h=a+300|0;j=0;a:while(1){k=d+(j*80|0)|0;l=c[k>>2]|0;kfa(c[f>>2]|0,(c[d+(j*80|0)+32>>2]|0)!=0|0,27824,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;n=d+(j*80|0)+28|0;do{if(!((c[n>>2]|0)==-1)){kfa(c[f>>2]|0,(c[d+(j*80|0)+20>>2]|0)!=0|0,6878224,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;if((Yd[c[d+(j*80|0)+24>>2]&255](g)|0)==0){break}c[n>>2]=-1}}while(0);n=l<<3;c[d+(j*80|0)+44>>2]=IJa(n)|0;c[d+(j*80|0)+52>>2]=IJa(n)|0;c[d+(j*80|0)+48>>2]=IJa(n)|0;c[d+(j*80|0)+16>>2]=IJa(n)|0;c[d+(j*80|0)+8>>2]=IJa(n)|0;c[d+(j*80|0)+12>>2]=IJa(n)|0;Wd[c[d+(j*80|0)+36>>2]&255](g,k);do{if((c[d+(j*80|0)+56>>2]|0)==1){cja(l,d+(j*80|0)+40|0)|0}else{n=c[h>>2]|0;if((n|0)==2){Fia(a,k)|0;break}else if((n|0)==1){Wia(l,d+(j*80|0)+40|0)|0;break}else if((n|0)==3){cja(l,d+(j*80|0)+40|0)|0;break}else{o=12;break a}}}while(0);l=j+1|0;if((l|0)<(c[e>>2]|0)){j=l}else{o=14;break}}if((o|0)==12){lfa(c[f>>2]|0,179016,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;return 0}else if((o|0)==14){i=b;return 0}return 0}function Sia(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c[a+468>>2]|0;e=a+200|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+300|0;g=0;a:while(1){h=d+(g*80|0)|0;JJa(c[d+(g*80|0)+44>>2]|0);JJa(c[d+(g*80|0)+52>>2]|0);JJa(c[d+(g*80|0)+48>>2]|0);JJa(c[d+(g*80|0)+16>>2]|0);JJa(c[d+(g*80|0)+8>>2]|0);JJa(c[d+(g*80|0)+12>>2]|0);do{if((c[d+(g*80|0)+56>>2]|0)==1){j=d+(g*80|0)+40|0;dja(j)|0;k=j}else{j=c[f>>2]|0;if((j|0)==3){l=d+(g*80|0)+40|0;dja(l)|0;k=l;break}else if((j|0)==1){l=d+(g*80|0)+40|0;Xia(l)|0;k=l;break}else if((j|0)==2){Gia(h)|0;k=d+(g*80|0)+40|0;break}else{m=9;break a}}}while(0);JJa(c[k>>2]|0);h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{m=11;break}}if((m|0)==9){lfa(c[a+536>>2]|0,179016,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((m|0)==11){i=b;return 0}return 0}function Tia(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;e=i;f=c[b+468>>2]|0;c[b+472>>2]=d;g=b+319|0;a[g]=1;do{if((c[f+(d*80|0)+56>>2]|0)==1){h=(fja(b,d)|0)&255}else{j=c[b+300>>2]|0;if((j|0)==1){k=b+536|0;l=(c[k>>2]|0)+84|0;m=c[l>>2]|0;c[l>>2]=3;l=Yia(b,d)|0;c[(c[k>>2]|0)+84>>2]=m;h=l&255;break}else if((j|0)==3){h=(fja(b,d)|0)&255;break}else if((j|0)==2){h=(Hia(b,d)|0)&255;break}else{lfa(c[b+536>>2]|0,179016,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;return 0}}}while(0);a[f+(d*80|0)+72|0]=h;a[g]=0;i=e;return 0}function Uia(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0;e=i;i=i+152|0;f=e|0;g=e+8|0;j=e+32|0;k=e+56|0;l=e+80|0;m=e+104|0;n=e+128|0;o=c[b+468>>2]|0;p=c[b+200>>2]|0;q=0;while(1){if((q|0)>=(p|0)){r=0;s=22;break}if((a[o+(q*80|0)+72|0]|0)==0){break}else{q=q+1|0}}if((s|0)==22){i=e;return r|0}p=o+(q*80|0)+4|0;q=c[p>>2]|0;o=f|0;c[o>>2]=1;c[f+4>>2]=q;if((d|0)==0){r=1;i=e;return r|0}d=b+56|0;_wa(g,d,q);t=+h[c[c[b+4>>2]>>2]>>3];ifa(17,1,o,172592,(o=i,i=i+16|0,c[o>>2]=c[g+8>>2],h[o+8>>3]=t,o)|0);i=o;do{if((a[b+312|0]|0)==0){_wa(m,d,c[p>>2]|0);g=m+12|0;if((c[g>>2]|0)<=0){break}q=n+16|0;f=0;while(1){u=f+1|0;_wa(n,d,c[p>>2]|0);v=c[(c[(c[q>>2]|0)+(f<<2)>>2]|0)+4>>2]|0;jfa(17,0,154072,(o=i,i=i+16|0,c[o>>2]=u,c[o+8>>2]=v,o)|0);i=o;_wa(m,d,c[p>>2]|0);if((u|0)<(c[g>>2]|0)){f=u}else{break}}}else{jfa(17,1,166832,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0);i=o;_wa(j,d,c[p>>2]|0);f=j+12|0;if((c[f>>2]|0)>0){g=b+116|0;q=l+16|0;u=b+8|0;v=k+16|0;w=0;while(1){a:do{if((c[g>>2]|0)>0){x=w+1|0;y=0;while(1){z=c[(c[u>>2]|0)+(y*112|0)+4>>2]|0;_wa(k,d,c[p>>2]|0);if((gKa(z,c[(c[(c[v>>2]|0)+(w<<2)>>2]|0)+4>>2]|0)|0)==0){break}z=y+1|0;if((z|0)<(c[g>>2]|0)){y=z}else{s=15;break a}}z=c[u>>2]|0;A=c[z+(y*112|0)+4>>2]|0;t=+h[z+(y*112|0)+96>>3];B=+h[z+(y*112|0)+80>>3];jfa(17,0,162176,(o=i,i=i+32|0,c[o>>2]=x,c[o+8>>2]=A,h[o+16>>3]=t,h[o+24>>3]=B,o)|0);i=o;C=w+1|0}else{s=15}}while(0);if((s|0)==15){s=0;A=w+1|0;_wa(l,d,c[p>>2]|0);z=c[(c[(c[q>>2]|0)+(w<<2)>>2]|0)+4>>2]|0;jfa(17,0,158208,(o=i,i=i+16|0,c[o>>2]=A,c[o+8>>2]=z,o)|0);i=o;C=A}_wa(j,d,c[p>>2]|0);if((C|0)<(c[f>>2]|0)){w=C}else{break}}}if((c[2136475]|c[2136544]|0)==0){break}Vd[c[3586]&511](17)}}while(0);if((c[2136475]|c[2136544]|0)==0){r=1;i=e;return r|0}Vd[c[3586]&511](17);r=1;i=e;return r|0}function Via(a,b,d){a=a|0;b=+b;d=+d;var e=0,f=0.0,g=0.0,i=0.0;e=c[a+4>>2]|0;f=+h[c[e+4>>2]>>3];g=+h[c[e+8>>2]>>3];if(f==g){i=b;return+i}i=(b-d)*((+h[c[e>>2]>>3]-g)/(f-g))+d;return+i}function Wia(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0;d=i;e=IJa(144)|0;c[b>>2]=e;kfa(0,(e|0)!=0|0,180320,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=0;g=a<<3;c[e+4>>2]=IJa(g)|0;c[e+16>>2]=IJa(g)|0;c[e+8>>2]=1;c[e+12>>2]=IJa(g)|0;c[e+20>>2]=a;c[e+24>>2]=IJa(g)|0;c[e+28>>2]=KJa(a,8)|0;h[e+32>>3]=1.0e-12;c[e+40>>2]=a*1e4|0;j=a-1|0;c[e+44>>2]=j;c[e+48>>2]=j;h[e+56>>3]=1.0e-12;c[e+64>>2]=IJa(g)|0;c[e+68>>2]=IJa(g)|0;c[e+72>>2]=1;h[e+80>>3]=100.0;c[e+88>>2]=-1;c[e+92>>2]=0;c[e+96>>2]=0;c[e+100>>2]=0;j=ga(a,a)|0;c[e+104>>2]=KJa(j,8)|0;c[e+108>>2]=KJa(j,8)|0;c[e+112>>2]=a;j=(ga(a+1|0,a)|0)/2|0;c[e+116>>2]=IJa(j<<3)|0;c[e+120>>2]=j;c[e+124>>2]=IJa(g)|0;c[e+128>>2]=IJa(g)|0;c[e+132>>2]=IJa(g)|0;c[e+136>>2]=IJa(g)|0;c[e+140>>2]=IJa(g)|0;kfa(0,(c[b>>2]|0)!=0|0,179176,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function Xia(a){a=a|0;var b=0;b=c[a>>2]|0;JJa(c[b+4>>2]|0);JJa(c[b+16>>2]|0);JJa(c[b+12>>2]|0);JJa(c[b+24>>2]|0);JJa(c[b+28>>2]|0);JJa(c[b+64>>2]|0);JJa(c[b+68>>2]|0);JJa(c[b+104>>2]|0);JJa(c[b+108>>2]|0);JJa(c[b+116>>2]|0);JJa(c[b+124>>2]|0);JJa(c[b+128>>2]|0);JJa(c[b+132>>2]|0);JJa(c[b+136>>2]|0);JJa(c[b+140>>2]|0);return 0}function Yia(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0.0,Aa=0.0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0;e=i;i=i+4200|0;f=e|0;g=e+8|0;j=e+16|0;k=e+24|0;l=e+32|0;m=e+56|0;n=e+80|0;o=e+4176|0;p=c[b+468>>2]|0;q=c[p+(d*80|0)+40>>2]|0;r=q;s=c[p+(d*80|0)+4>>2]|0;c[f>>2]=1;t=q+80|0;u=+h[t>>3];c[k>>2]=0;v=b+164|0;w=IJa(c[v>>2]|0)|0;if((c[2136475]|0)!=0){_wa(l,b+56|0,s);x=+h[c[c[b+4>>2]>>2]>>3];hfa(17,1,135024,(y=i,i=i+16|0,c[y>>2]=c[l+8>>2],h[y+8>>3]=x,y)|0);i=y;l=q+20|0;if((c[l>>2]|0)>0){z=p+(d*80|0)+44|0;A=p+(d*80|0)+16|0;B=p+(d*80|0)+48|0;C=p+(d*80|0)+52|0;D=0;do{x=+h[(c[z>>2]|0)+(D<<3)>>3];hfa(17,1,106656,(y=i,i=i+16|0,c[y>>2]=D,h[y+8>>3]=x,y)|0);i=y;x=+h[(c[B>>2]|0)+(D<<3)>>3];E=+h[(c[C>>2]|0)+(D<<3)>>3];hfa(17,0,81400,(y=i,i=i+24|0,h[y>>3]=+h[(c[A>>2]|0)+(D<<3)>>3],h[y+8>>3]=x,h[y+16>>3]=E,y)|0);i=y;Vd[c[3586]&511](17);D=D+1|0;}while((D|0)<(c[l>>2]|0))}Vd[c[3586]&511](17)}l=b+314|0;D=q+24|0;A=c[D>>2]|0;if((a[l]|0)==0){kKa(A|0,c[p+(d*80|0)+52>>2]|0,c[q+20>>2]<<3)|0}else{kKa(A|0,c[p+(d*80|0)+44>>2]|0,c[q+20>>2]<<3)|0}A=q+20|0;C=c[A>>2]|0;if((C|0)>0){B=c[D>>2]|0;z=c[p+(d*80|0)+16>>2]|0;F=c[q+12>>2]|0;G=0;do{E=+V(+(+h[B+(G<<3)>>3]));h[F+(G<<3)>>3]=+Yb(+E,+(+h[z+(G<<3)>>3]));G=G+1|0;}while((G|0)<(C|0))}C=q+8|0;G=(c[C>>2]|0)!=0;if(G){c[C>>2]=0}z=q+28|0;F=q+104|0;B=q+112|0;H=b;Zia(A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,f,H,d)|0;if(G){c[C>>2]=1}G=b+318|0;I=q+32|0;J=q+40|0;K=q+64|0;L=q+72|0;M=q+88|0;N=q+92|0;O=q+96|0;P=q+100|0;Q=q+116|0;R=q+120|0;S=q+124|0;T=q+128|0;U=q+132|0;W=q+136|0;X=q+140|0;Y=b+56|0;Z=b+4|0;_=p+(d*80|0)+52|0;$=p+(d*80|0)+44|0;aa=p+(d*80|0)+48|0;ba=p+(d*80|0)+16|0;p=q+12|0;ca=b+356|0;da=q+4|0;ea=b+312|0;fa=q+16|0;ha=n|0;n=q+108|0;q=0;ia=0;ja=0;ka=0;la=1;E=1.0e-12;a:while(1){ma=c[A>>2]|0;if((ma|0)>0){na=c[D>>2]|0;oa=c[ba>>2]|0;pa=c[p>>2]|0;qa=0;do{x=+V(+(+h[na+(qa<<3)>>3]));h[pa+(qa<<3)>>3]=+Yb(+x,+(+h[oa+(qa<<3)>>3]));qa=qa+1|0;}while((qa|0)<(ma|0))}if((c[2136476]|0)!=0){_ia(c[p>>2]|0,A,18,46608);_ia(c[D>>2]|0,A,18,39976)}do{if((c[C>>2]|0)!=0){ma=c[A>>2]|0;if((ma|0)<=0){break}qa=c[p>>2]|0;oa=c[D>>2]|0;pa=0;do{na=oa+(pa<<3)|0;h[na>>3]=1.0/+h[qa+(pa<<3)>>3]*+h[na>>3];pa=pa+1|0;}while((pa|0)<(ma|0))}}while(0);if((c[2136476]|0)!=0){_ia(c[D>>2]|0,A,18,33600)}a[G]=la;qha(14,A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,I,J,c[K>>2]|0,L,t,M,N,O,P,c[Q>>2]|0,R,c[S>>2]|0,c[T>>2]|0,c[U>>2]|0,c[W>>2]|0,c[X>>2]|0,H,d)|0;a[G]=la^1;do{if((c[C>>2]|0)!=0){ma=c[A>>2]|0;if((ma|0)<=0){break}pa=c[D>>2]|0;qa=c[p>>2]|0;oa=0;do{na=pa+(oa<<3)|0;h[na>>3]=+h[na>>3]*+h[qa+(oa<<3)>>3];oa=oa+1|0;}while((oa|0)<(ma|0))}}while(0);ma=c[N>>2]|0;if((ma|0)==0){_wa(m,Y,s);Kga(3,m,+h[c[c[Z>>2]>>2]>>3]);ra=c[N>>2]|0}else{ra=ma}do{if(!((ra|0)==-1)){if((a[l]|0)==0){sa=ra}else{if((c[C>>2]|0)==0){a[G]=0;Zia(A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,f,H,d)|0}else{c[C>>2]=0;a[G]=0;Zia(A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,f,H,d)|0;c[C>>2]=1}eia(b);sa=c[N>>2]|0}if((sa|0)==-1){break}ma=c[A>>2]|0;if((ma|0)>0){oa=c[da>>2]|0;qa=c[z>>2]|0;pa=c[fa>>2]|0;na=0;ta=0;while(1){ua=oa+(ta<<3)|0;h[ua>>3]=1.0e-16;va=c[n>>2]|0;wa=(ma|0)>1?ma:1;xa=na;ya=0;x=1.0e-16;while(1){za=+V(+(+h[va+(xa<<3)>>3]));Aa=za>x?za:x;h[ua>>3]=Aa;Ba=ya+1|0;if((Ba|0)<(ma|0)){xa=xa+1|0;ya=Ba;x=Aa}else{break}}h[pa+(ta<<3)>>3]=+h[qa+(ta<<3)>>3]*(1.0/Aa);ya=ta+1|0;if((ya|0)<(ma|0)){na=na+wa|0;ta=ya}else{break}}}if((c[2136476]|0)!=0){hfa(18,1,162136,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;if((c[A>>2]|0)>0){ta=0;do{x=+h[(c[fa>>2]|0)+(ta<<3)>>3];hfa(18,1,158176,(y=i,i=i+16|0,c[y>>2]=ta,h[y+8>>3]=x,y)|0);i=y;x=+h[(c[da>>2]|0)+(ta<<3)>>3];hfa(18,0,154040,(y=i,i=i+16|0,c[y>>2]=ta,h[y+8>>3]=x,y)|0);i=y;Vd[c[3586]&511](18);ta=ta+1|0;}while((ta|0)<(c[A>>2]|0))}Vd[c[3586]&511](18)}if((c[2136477]|0)!=0){ta=c[A>>2]|0;hfa(19,1,150648,(y=i,i=i+16|0,c[y>>2]=ta,c[y+8>>2]=ta,y)|0);i=y;if((c[A>>2]|0)>0){ta=0;do{a[ha]=0;na=c[A>>2]|0;if((na|0)>0){ma=0;qa=na;do{na=(ga(qa,ta)|0)+ma|0;x=+h[(c[n>>2]|0)+(na<<3)>>3];Pb(ha|0,146208,(y=i,i=i+16|0,c[y>>2]=ha,h[y+8>>3]=x,y)|0)|0;i=y;ma=ma+1|0;qa=c[A>>2]|0;}while((ma|0)<(qa|0))}hfa(19,0,142192,(y=i,i=i+8|0,c[y>>2]=ha,y)|0);i=y;ta=ta+1|0;}while((ta|0)<(c[A>>2]|0))}Vd[c[3586]&511](19)}h[j>>3]=+pha(A,c[fa>>2]|0);h[g>>3]=+pha(A,c[z>>2]|0)}}while(0);do{if((ka|0)==0){Ca=0}else{if(!(+h[g>>3]>E)){Ca=ka;break}if(!(+h[j>>3]>E)){Ca=ka;break}kKa(c[ca>>2]|0,w|0,c[v>>2]|0)|0;Ca=0}}while(0);ta=c[N>>2]|0;x=+h[g>>3];b:do{if((ta|0)<4){do{if(x>E){if(!(+h[j>>3]>E)){break}c[N>>2]=4;Da=4;break b}}while(0);if((ta|0)==1){Ea=68;break a}else{Da=ta}}else{Da=ta}}while(0);if(!(x>E)){Ea=68;break}if(!(+h[j>>3]>E)){Ea=68;break}ta=(Da-4|0)>>>0<2>>>0;c:do{if(ta&(q|0)<3){qa=c[D>>2]|0;if((a[l]|0)==0){kKa(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{kKa(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}za=+h[t>>3]/10.0;h[t>>3]=za;qa=q+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[2136475]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}hfa(17,0,127016,(y=i,i=i+8|0,h[y>>3]=za,y)|0);i=y;$ia(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa}else{if(ta&(q|0)<4){qa=c[A>>2]|0;if((qa|0)>0){ma=c[ba>>2]|0;wa=c[D>>2]|0;na=0;do{pa=wa+(na<<3)|0;h[pa>>3]=+h[ma+(na<<3)>>3]*.1+ +h[pa>>3];na=na+1|0;}while((na|0)<(qa|0))}h[t>>3]=u;qa=q+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[2136475]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}hfa(17,0,123584,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;$ia(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}if(ta&(q|0)<5){qa=c[D>>2]|0;if((a[l]|0)==0){kKa(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{kKa(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){na=c[aa>>2]|0;ma=c[ba>>2]|0;wa=c[p>>2]|0;pa=0;do{za=+V(+(+h[na+(pa<<3)>>3]));h[wa+(pa<<3)>>3]=+Yb(+za,+(+h[ma+(pa<<3)>>3]));pa=pa+1|0;}while((pa|0)<(qa|0))}qa=q+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[2136475]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}hfa(17,0,120960,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;$ia(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}if(ta&(q|0)<6){qa=c[D>>2]|0;if((a[l]|0)==0){kKa(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{kKa(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}if((c[C>>2]|0)!=0){c[C>>2]=0}qa=c[A>>2]|0;if((qa|0)>0){pa=c[D>>2]|0;ma=c[ba>>2]|0;wa=c[p>>2]|0;na=0;do{za=+V(+(+h[pa+(na<<3)>>3]));h[wa+(na<<3)>>3]=+Yb(+za,+(+h[ma+(na<<3)>>3]));na=na+1|0;}while((na|0)<(qa|0))}qa=q+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[2136475]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}hfa(17,0,118304,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;$ia(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}do{if(ta&(q|0)<7){if((a[l]|0)==0){break}kKa(c[D>>2]|0,c[aa>>2]|0,c[A>>2]<<3)|0;qa=q+1|0;kKa(w|0,c[ca>>2]|0,c[v>>2]|0)|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[2136475]|0)==0){Fa=E;Ga=0;Ha=1;Ia=ja;Ja=ia;Ka=qa;break c}hfa(17,0,115992,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;$ia(r,k,g,j,18);Fa=E;Ga=0;Ha=1;Ia=ja;Ja=ia;Ka=qa;break c}}while(0);if(ta&(ia|0)<1){kKa(c[D>>2]|0,c[aa>>2]|0,c[A>>2]<<3)|0;if((c[C>>2]|0)==0){c[C>>2]=1}h[t>>3]=u;qa=ia+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[2136475]|0)==0){Fa=E;Ga=1;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}hfa(17,0,113504,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;$ia(r,k,g,j,18);Fa=E;Ga=1;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(ta&(ia|0)<2){qa=c[D>>2]|0;if((a[l]|0)==0){kKa(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{kKa(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){na=c[D>>2]|0;ma=0;do{wa=na+(ma<<3)|0;h[wa>>3]=+h[wa>>3]*1.01;ma=ma+1|0;}while((ma|0)<(qa|0))}qa=ia+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[2136475]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}hfa(17,0,111e3,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;$ia(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(ta&(ia|0)<3){qa=c[D>>2]|0;if((a[l]|0)==0){kKa(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{kKa(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){ma=c[D>>2]|0;na=0;do{wa=ma+(na<<3)|0;h[wa>>3]=+h[wa>>3]*.99;na=na+1|0;}while((na|0)<(qa|0))}qa=ia+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[2136475]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}hfa(17,0,108704,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;$ia(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(ta&(ia|0)<4){kKa(c[D>>2]|0,c[ba>>2]|0,c[A>>2]<<3)|0;qa=ia+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[2136475]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}hfa(17,0,106472,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;$ia(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(ta&(ia|0)<5){qa=c[D>>2]|0;if((a[l]|0)==0){kKa(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{kKa(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){na=c[da>>2]|0;ma=c[K>>2]|0;wa=0;do{za=+V(+(+h[na+(wa<<3)>>3]));h[ma+(wa<<3)>>3]=za>1.0e-16?za:1.0e-16;wa=wa+1|0;}while((wa|0)<(qa|0))}qa=ia+1|0;c[L>>2]=2;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[2136475]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}hfa(17,0,103280,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;$ia(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(!(ta&(ja|0)<1)){if(!(ta&(ja|0)<6)){Ea=161;break a}qa=c[D>>2]|0;if((a[l]|0)==0){kKa(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{kKa(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}za=E*10.0;h[t>>3]=u;c[L>>2]=1;qa=ja+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[2136475]|0)==0){Fa=za;Ga=la;Ha=Ca;Ia=qa;Ja=0;Ka=0;break}hfa(17,0,98088,(y=i,i=i+8|0,h[y>>3]=za,y)|0);i=y;$ia(r,k,g,j,18);Fa=za;Ga=la;Ha=Ca;Ia=qa;Ja=0;Ka=0;break}qa=c[D>>2]|0;if((a[l]|0)==0){kKa(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{kKa(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){wa=c[K>>2]|0;ma=0;do{h[wa+(ma<<3)>>3]=1.0;ma=ma+1|0;}while((ma|0)<(qa|0))}c[C>>2]=1;qa=ja+1|0;c[L>>2]=2;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[2136475]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=qa;Ja=0;Ka=0;break}hfa(17,0,100776,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;$ia(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=qa;Ja=0;Ka=0}}while(0);if(1){q=Ka;ia=Ja;ja=Ia;ka=Ha;la=Ga;E=Fa}else{La=0;Ea=167;break}}if((Ea|0)==68){c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[2136475]|0)!=0){hfa(17,1,138632,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;hfa(17,0,134744,(y=i,i=i+16|0,c[y>>2]=q,c[y+8>>2]=ja+ia,y)|0);i=y;Vd[c[3586]&511](17);$ia(r,k,g,j,17)}O=(c[C>>2]|0)!=0;if(O){c[C>>2]=0;Ma=O}else{Ma=0}kKa(c[$>>2]|0,c[D>>2]|0,c[A>>2]<<3)|0;Zia(A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,f,H,d)|0;if(!Ma){La=1;h[t>>3]=u;c[L>>2]=1;JJa(w);i=e;return La|0}c[C>>2]=1;La=1;h[t>>3]=u;c[L>>2]=1;JJa(w);i=e;return La|0}else if((Ea|0)==161){if(!((Da-2|0)>>>0<4>>>0)){La=0;h[t>>3]=u;c[L>>2]=1;JJa(w);i=e;return La|0}if((a[ea]|0)==0){_wa(o,Y,s);Kga(0,o,+h[c[c[Z>>2]>>2]>>3])}if((c[2136475]|0)!=0){Z=ga(ga(ia,q)|0,ja)|0;hfa(17,0,95552,(y=i,i=i+8|0,c[y>>2]=Z,y)|0);i=y;$ia(r,k,g,j,17)}kKa(c[$>>2]|0,c[D>>2]|0,c[A>>2]<<3)|0;La=0;h[t>>3]=u;c[L>>2]=1;JJa(w);i=e;return La|0}else if((Ea|0)==167){h[t>>3]=u;c[L>>2]=1;JJa(w);i=e;return La|0}return 0}function Zia(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0;g=i;i=i+16384|0;m=g|0;n=k;o=c[k+468>>2]|0;p=c[o+(l*80|0)+40>>2]|0;q=k+318|0;r=c[j>>2]|0;if((r|0)==2){s=(a[q]|0)!=0;if(s){a[q]=0}if((c[2136478]|0)!=0){hfa(20,0,65576,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t}if((c[o+(l*80|0)+28>>2]|0)==-1){bja(n,f,d,e,l)}else{aja(n,f,l)}do{if((c[2136478]|0)!=0){hfa(20,0,63536,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;if((c[2136477]|0)==0){break}n=c[b>>2]|0;hfa(19,1,150648,(t=i,i=i+16|0,c[t>>2]=n,c[t+8>>2]=n,t)|0);i=t;n=c[b>>2]|0;if((n|0)>0){u=m|0;v=p+20|0;w=0;x=n;do{a[u]=0;if((x|0)>0){n=0;do{y=+h[f+((ga(c[v>>2]|0,w)|0)+n<<3)>>3];Pb(u|0,61408,(t=i,i=i+16|0,c[t>>2]=u,h[t+8>>3]=y,t)|0)|0;i=t;n=n+1|0;}while((n|0)<(c[b>>2]|0))}hfa(19,0,142192,(t=i,i=i+8|0,c[t>>2]=u,t)|0);i=t;w=w+1|0;x=c[b>>2]|0;}while((w|0)<(x|0))}Vd[c[3586]&511](19)}}while(0);if(!s){i=g;return 0}a[q]=1;i=g;return 0}else if((r|0)==1){q=p+8|0;do{if((c[q>>2]|0)!=0){s=c[b>>2]|0;if((s|0)<=0){break}f=c[p+12>>2]|0;m=0;do{x=d+(m<<3)|0;h[x>>3]=+h[x>>3]*+h[f+(m<<3)>>3];m=m+1|0;}while((m|0)<(s|0))}}while(0);if((c[2136478]|0)!=0){hfa(20,0,73704,(t=i,i=i+8|0,c[t>>2]=c[p+96>>2],t)|0);i=t;_ia(d,b,20,71632)}oe[c[o+(l*80|0)+32>>2]&127](k,d,e,j);if((c[2136478]|0)!=0){_ia(e,b,20,69696);hfa(20,0,67624,(t=i,i=i+8|0,c[t>>2]=c[p+96>>2],t)|0);i=t}if((c[q>>2]|0)==0){i=g;return 0}q=c[b>>2]|0;if((q|0)<=0){i=g;return 0}b=c[p+12>>2]|0;p=0;do{e=d+(p<<3)|0;h[e>>3]=1.0/+h[b+(p<<3)>>3]*+h[e>>3];p=p+1|0;}while((p|0)<(q|0));i=g;return 0}else{lfa(c[k+536>>2]|0,59328,(t=i,i=i+8|0,c[t>>2]=r,t)|0);i=t;return 0}return 0}function _ia(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0.0;f=i;if((c[8545832+(d<<2)>>2]|0)==0){i=f;return}hfa(d,1,142192,(g=i,i=i+8|0,c[g>>2]=e,g)|0);i=g;if((c[b>>2]|0)>0){e=0;do{j=+h[a+(e<<3)>>3];hfa(d,0,75856,(g=i,i=i+16|0,c[g>>2]=e,h[g+8>>3]=j,g)|0);i=g;e=e+1|0;}while((e|0)<(c[b>>2]|0))}Vd[c[3586]&511](d);i=f;return}function $ia(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0;g=i;if((c[8545832+(f<<2)>>2]|0)==0){i=g;return}hfa(f,1,92936,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;hfa(f,1,90824,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;k=a+20|0;if((c[k>>2]|0)>0){l=a+24|0;m=a+64|0;n=0;do{o=+h[(c[l>>2]|0)+(n<<3)>>3];p=+h[(c[m>>2]|0)+(n<<3)>>3];hfa(f,0,88144,(j=i,i=i+24|0,c[j>>2]=n,h[j+8>>3]=o,h[j+16>>3]=p,j)|0);i=j;n=n+1|0;}while((n|0)<(c[k>>2]|0))}Vd[c[3586]&511](f);hfa(f,1,85760,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[k>>2]|0)>0){n=a+28|0;m=a+4|0;a=0;do{p=+h[(c[n>>2]|0)+(a<<3)>>3];o=+h[(c[m>>2]|0)+(a<<3)>>3];hfa(f,0,83856,(j=i,i=i+24|0,c[j>>2]=a,h[j+8>>3]=p,h[j+16>>3]=o,j)|0);i=j;a=a+1|0;}while((a|0)<(c[k>>2]|0))}Vd[c[3586]&511](f);hfa(f,1,81104,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;o=+h[d>>3];p=+h[e>>3];hfa(f,0,77808,(j=i,i=i+24|0,c[j>>2]=c[b>>2],h[j+8>>3]=o,h[j+16>>3]=p,j)|0);i=j;Vd[c[3586]&511](f);Vd[c[3586]&511](f);i=g;return}function aja(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0;e=c[a+468>>2]|0;f=c[e+(d*80|0)+40>>2]|0;g=c[e+(d*80|0)+28>>2]|0;i=f+20|0;j=c[i>>2]|0;lKa(b|0,0,ga(j<<3,j)|0)|0;j=f+108|0;f=c[i>>2]|0;lKa(c[j>>2]|0,0,ga(f<<3,f)|0)|0;f=a+464|0;i=c[f>>2]|0;if((c[i+(g*44|0)+24>>2]|0)==0){return}k=e+(d*80|0)+20|0;d=a;a=0;e=i;l=c[i+(g*44|0)>>2]|0;do{if((l|0)!=0){i=0;do{if(((c[(c[e+(g*44|0)+20>>2]|0)+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[e+(g*44|0)+28>>2]|0)+(i<<3)>>3]=1.0}i=i+1|0;}while(i>>>0<l>>>0)}Yd[c[k>>2]&255](d)|0;e=c[f>>2]|0;l=c[e+(g*44|0)>>2]|0;if((l|0)!=0){i=c[e+(g*44|0)+20>>2]|0;m=c[e+(g*44|0)+28>>2]|0;n=0;do{o=m+(n<<3)|0;do{if(+h[o>>3]==1.0){if((n|0)==0){p=0;q=e+(g*44|0)+8|0}else{r=e+(g*44|0)+8|0;p=c[(c[r>>2]|0)+(n-1<<2)>>2]|0;q=r}r=c[(c[q>>2]|0)+(n<<2)>>2]|0;if(!(p>>>0<r>>>0)){break}s=c[j>>2]|0;t=c[e+(g*44|0)+12>>2]|0;u=c[e+(g*44|0)+4>>2]|0;v=c[e+(g*44|0)+36>>2]|0;w=p;do{x=c[t+(w<<2)>>2]|0;y=(ga(u,n)|0)+x|0;z=+h[v+(x<<3)>>3];h[b+(y<<3)>>3]=z;h[s+(y<<3)>>3]=z;w=w+1|0;}while(w>>>0<r>>>0)}}while(0);if(((c[i+(n<<2)>>2]|0)-1|0)==(a|0)){h[o>>3]=0.0}n=n+1|0;}while(n>>>0<l>>>0)}a=a+1|0;}while(a>>>0<(c[e+(g*44|0)+24>>2]|0)>>>0);return}function bja(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0,B=0,C=0,D=0;g=i;i=i+8|0;j=g|0;k=c[(c[a+468>>2]|0)+(f*80|0)+40>>2]|0;l=k+56|0;m=+h[l>>3];n=+W(m);c[j>>2]=1;o=k+20|0;if((c[o>>2]|0)<=0){i=g;return}p=k+128|0;q=k+108|0;r=k+112|0;k=a;a=0;s=m;while(1){m=+h[e+(a<<3)>>3];t=s*m;u=d+(a<<3)|0;v=+h[u>>3];if(v<0.0){w=-0.0-v}else{w=v}if(t<0.0){x=-0.0-t}else{x=t}t=+Yb(+(n*+Yb(+w,+x)),+n);if(m<0.0){y=-0.0-t}else{y=t}t=y+v-v;m=1.0/t;h[u>>3]=v+t;Zia(o,d,c[p>>2]|0,c[q>>2]|0,r,j,k,f)|0;z=c[o>>2]|0;if((z|0)>0){A=c[p>>2]|0;B=c[q>>2]|0;C=0;do{D=(ga(z,a)|0)+C|0;t=m*(+h[A+(C<<3)>>3]- +h[e+(C<<3)>>3]);h[b+(D<<3)>>3]=t;h[B+(D<<3)>>3]=t;C=C+1|0;}while((C|0)<(z|0))}h[u>>3]=v;C=a+1|0;if((C|0)>=(z|0)){break}a=C;s=+h[l>>3]}i=g;return}function cja(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=IJa(80)|0;c[b>>2]=e;kfa(0,(e|0)!=0|0,176264,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=0;g=a<<3;c[e+4>>2]=IJa(g)|0;c[e+8>>2]=IJa(g)|0;c[e+12>>2]=a;c[e+16>>2]=IJa(g)|0;c[e+20>>2]=KJa(a,8)|0;h[e+24>>3]=1.0e-8;h[e+32>>3]=1.0e-8;c[e+44>>2]=a*100|0;h[e+56>>3]=2.220446049250313e-16;c[e+64>>2]=IJa(ga(g,a)|0)|0;c[e+68>>2]=IJa(g)|0;c[e+72>>2]=IJa(a<<2)|0;kfa(0,(c[b>>2]|0)!=0|0,178696,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function dja(a){a=a|0;var b=0;b=c[a>>2]|0;JJa(c[b+4>>2]|0);JJa(c[b+8>>2]|0);JJa(c[b+16>>2]|0);JJa(c[b+20>>2]|0);JJa(c[b+64>>2]|0);JJa(c[b+68>>2]|0);JJa(c[b+72>>2]|0);return 0}function eja(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=c[a+468>>2]|0;f=c[e+(d*80|0)+28>>2]|0;g=c[(c[e+(d*80|0)+40>>2]|0)+12>>2]|0;lKa(b|0,0,ga(g<<3,g)|0)|0;g=a+464|0;i=c[g>>2]|0;if((c[i+(f*44|0)+24>>2]|0)==0){return 0}j=e+(d*80|0)+20|0;d=a;a=0;e=i;k=c[i+(f*44|0)>>2]|0;do{if((k|0)!=0){i=0;do{if(((c[(c[e+(f*44|0)+20>>2]|0)+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[e+(f*44|0)+28>>2]|0)+(i<<3)>>3]=1.0}i=i+1|0;}while(i>>>0<k>>>0)}Yd[c[j>>2]&255](d)|0;e=c[g>>2]|0;k=c[e+(f*44|0)>>2]|0;if((k|0)!=0){i=c[e+(f*44|0)+20>>2]|0;l=c[e+(f*44|0)+28>>2]|0;m=0;do{n=l+(m<<3)|0;do{if(+h[n>>3]==1.0){if((m|0)==0){o=0;p=e+(f*44|0)+8|0}else{q=e+(f*44|0)+8|0;o=c[(c[q>>2]|0)+(m-1<<2)>>2]|0;p=q}q=c[(c[p>>2]|0)+(m<<2)>>2]|0;if(!(o>>>0<q>>>0)){break}r=c[e+(f*44|0)+12>>2]|0;s=c[e+(f*44|0)+4>>2]|0;t=c[e+(f*44|0)+36>>2]|0;u=o;do{v=c[r+(u<<2)>>2]|0;w=(ga(s,m)|0)+v|0;h[b+(w<<3)>>3]=+h[t+(v<<3)>>3];u=u+1|0;}while(u>>>0<q>>>0)}}while(0);if(((c[i+(m<<2)>>2]|0)-1|0)==(a|0)){h[n>>3]=0.0}m=m+1|0;}while(m>>>0<k>>>0)}a=a+1|0;}while(a>>>0<(c[e+(f*44|0)+24>>2]|0)>>>0);return 0}function fja(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;l=c[b+468>>2]|0;m=c[l+(d*80|0)+40>>2]|0;n=c[l+(d*80|0)+4>>2]|0;o=m+40|0;c[o>>2]=0;p=m+16|0;q=l+(d*80|0)+52|0;r=m+12|0;kKa(c[p>>2]|0,c[q>>2]|0,c[r>>2]<<3)|0;s=b+56|0;if((c[2136475]|0)==0){t=b+4|0}else{_wa(f,s,n);u=b+4|0;v=+h[c[c[u>>2]>>2]>>3];hfa(17,1,134592,(w=i,i=i+16|0,c[w>>2]=c[f+8>>2],h[w+8>>3]=v,w)|0);i=w;if((c[r>>2]|0)>0){f=l+(d*80|0)+44|0;x=l+(d*80|0)+16|0;y=l+(d*80|0)+48|0;z=0;do{v=+h[(c[f>>2]|0)+(z<<3)>>3];hfa(17,1,106392,(w=i,i=i+16|0,c[w>>2]=z,h[w+8>>3]=v,w)|0);i=w;v=+h[(c[y>>2]|0)+(z<<3)>>3];A=+h[(c[q>>2]|0)+(z<<3)>>3];hfa(17,0,80968,(w=i,i=i+24|0,h[w>>3]=+h[(c[x>>2]|0)+(z<<3)>>3],h[w+8>>3]=v,h[w+16>>3]=A,w)|0);i=w;Vd[c[3586]&511](17);z=z+1|0;}while((z|0)<(c[r>>2]|0))}Vd[c[3586]&511](17);t=u}u=b+318|0;z=m+20|0;x=m+24|0;q=m+56|0;y=m+44|0;f=m+64|0;B=m+68|0;C=m+72|0;D=m+48|0;E=b;b=m+4|0;F=m+32|0;m=l+(d*80|0)+48|0;G=l+(d*80|0)+16|0;H=0;I=0;a:while(1){a[u]=1;J=c[p>>2]|0;K=c[z>>2]|0;L=c[f>>2]|0;M=c[B>>2]|0;N=c[C>>2]|0;gja(r,J,K,(c[k>>2]=c[x>>2],c[k+4>>2]=c[x+4>>2],+h[k>>3]),q,c[y>>2]|0,o,L,M,N,D,E,d);a[u]=0;if((c[D>>2]|0)==0){_wa(g,s,n);Kga(3,g,+h[c[c[t>>2]>>2]>>3])}O=+pha(r,c[b>>2]|0);P=+pha(r,c[z>>2]|0);A=+h[F>>3];if(!(P>A&O>A)){if((c[D>>2]|0)>0){Q=12;break}}do{if((I|0)<1){kKa(c[p>>2]|0,c[m>>2]|0,c[r>>2]<<3)|0;N=c[o>>2]|0;hfa(17,0,33528,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);i=w;R=N}else{if((I|0)<2){N=c[r>>2]|0;if((N|0)>0){M=c[G>>2]|0;L=c[p>>2]|0;K=0;do{J=L+(K<<3)|0;h[J>>3]=+h[M+(K<<3)>>3]*.01+ +h[J>>3];K=K+1|0;}while((K|0)<(N|0))}N=c[o>>2]|0;hfa(17,0,27736,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);i=w;R=N;break}if((I|0)>=3){Q=28;break a}N=c[r>>2]|0;if((N|0)>0){K=c[G>>2]|0;M=c[p>>2]|0;L=0;do{h[M+(L<<3)>>3]=+h[K+(L<<3)>>3];L=L+1|0;}while((L|0)<(N|0))}N=c[o>>2]|0;hfa(17,0,6878144,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);i=w;R=N}}while(0);if(1){H=R+H|0;I=I+1|0}else{S=0;break}}do{if((Q|0)==12){if((c[2136475]|0)==0){S=1;break}R=(c[o>>2]|0)+H|0;hfa(17,0,59248,(w=i,i=i+8|0,c[w>>2]=I,w)|0);i=w;hfa(17,0,46528,(w=i,i=i+24|0,c[w>>2]=R,h[w+8>>3]=P,h[w+16>>3]=O,w)|0);i=w;if((c[r>>2]|0)>0){T=0}else{S=1;break}while(1){A=+h[(c[p>>2]|0)+(T<<3)>>3];v=+h[(c[z>>2]|0)+(T<<3)>>3];hfa(17,0,39936,(w=i,i=i+24|0,c[w>>2]=T,h[w+8>>3]=A,h[w+16>>3]=v,w)|0);i=w;R=T+1|0;if((R|0)<(c[r>>2]|0)){T=R}else{S=1;break}}}else if((Q|0)==28){_wa(j,s,n);Kga(0,j,+h[c[c[t>>2]>>2]>>3]);if((c[2136475]|0)==0){S=0;break}hfa(17,0,178976,(w=i,i=i+8|0,c[w>>2]=I,w)|0);i=w;hfa(17,0,46528,(w=i,i=i+24|0,c[w>>2]=H,h[w+8>>3]=P,h[w+16>>3]=O,w)|0);i=w;if((c[2136475]|0)==0){S=0;break}if((c[r>>2]|0)>0){U=0}else{S=0;break}while(1){v=+h[(c[p>>2]|0)+(U<<3)>>3];A=+h[(c[z>>2]|0)+(U<<3)>>3];hfa(17,0,39936,(w=i,i=i+24|0,c[w>>2]=U,h[w+8>>3]=v,h[w+16>>3]=A,w)|0);i=w;R=U+1|0;if((R|0)<(c[r>>2]|0)){U=R}else{S=0;break}}}}while(0);if((c[2136475]|0)==0){V=l+(d*80|0)+44|0;W=c[V>>2]|0;X=W;Y=c[p>>2]|0;Z=Y;_=c[r>>2]|0;$=_<<3;kKa(X|0,Z|0,$)|0;i=e;return S|0}Vd[c[3586]&511](17);V=l+(d*80|0)+44|0;W=c[V>>2]|0;X=W;Y=c[p>>2]|0;Z=Y;_=c[r>>2]|0;$=_<<3;kKa(X|0,Z|0,$)|0;i=e;return S|0}



function F$(b){b=b|0;var d=0,e=0;d=i;if(a[8540568]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2760>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2760>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(117352,Ifa(+h[(c[e>>2]|0)+2760>>3],101704)|0)|0;le[c[2164]&15](8540576,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540568]=1;i=d;return}function G$(b){b=b|0;var d=0,e=0;d=i;if(a[8540536]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2744>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2744>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(117176,Ifa(+h[(c[e>>2]|0)+2744>>3],101704)|0)|0;le[c[2164]&15](8540544,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540536]=1;i=d;return}function H$(b){b=b|0;var d=0,e=0;d=i;if(a[8540504]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2736>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2736>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(117e3,Ifa(+h[(c[e>>2]|0)+2736>>3],101704)|0)|0;le[c[2164]&15](8540512,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540504]=1;i=d;return}function I$(b){b=b|0;var d=0,e=0;d=i;if(a[8540472]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+336>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+336>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(116760,Kfa(c[(c[e>>2]|0)+336>>2]|0,70544)|0)|0;le[c[2164]&15](8540480,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540472]=1;i=d;return}function J$(b){b=b|0;var d=0,e=0;d=i;if(a[8540440]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2704>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2704>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(116536,Ifa(+h[(c[e>>2]|0)+2704>>3],101704)|0)|0;le[c[2164]&15](8540448,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540440]=1;i=d;return}function K$(b){b=b|0;var d=0,e=0;d=i;if(a[8540432]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2696>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(116192,Ifa(+h[(c[e>>2]|0)+2696>>3],101704)|0)|0;le[c[2164]&15](8539416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540432]=1;i=d;return}function L$(b){b=b|0;var d=0,e=0;d=i;if(a[8540424]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+648>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(116088,Ifa(+h[(c[e>>2]|0)+648>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540424]=1;i=d;return}function M$(b){b=b|0;var d=0,e=0;d=i;if(a[8540416]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+640>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(115488,Ifa(+h[(c[e>>2]|0)+640>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540416]=1;i=d;return}function N$(b){b=b|0;var d=0,e=0;d=i;if(a[8540408]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+584>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(115376,Ifa(+h[(c[e>>2]|0)+584>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540408]=1;i=d;return}function O$(b){b=b|0;var d=0,e=0;d=i;if(a[8540400]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+576>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(115256,Ifa(+h[(c[e>>2]|0)+576>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540400]=1;i=d;return}function P$(b){b=b|0;var d=0,e=0;d=i;if(a[8540392]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2672>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(115112,Ifa(+h[(c[e>>2]|0)+2672>>3],101704)|0)|0;le[c[2164]&15](8539328,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540392]=1;i=d;return}function Q$(b){b=b|0;var d=0,e=0;d=i;if(a[8540384]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2664>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(114968,Ifa(+h[(c[e>>2]|0)+2664>>3],101704)|0)|0;le[c[2164]&15](8539296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540384]=1;i=d;return}function R$(b){b=b|0;var d=0,e=0;d=i;if(a[8540376]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2656>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(114792,Ifa(+h[(c[e>>2]|0)+2656>>3],101704)|0)|0;le[c[2164]&15](8539264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540376]=1;i=d;return}function S$(b){b=b|0;var d=0,e=0;d=i;if(a[8540368]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2648>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2648>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(114560,Ifa(+h[(c[e>>2]|0)+2648>>3],101704)|0)|0;le[c[2164]&15](8539232,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540368]=1;i=d;return}function T$(b){b=b|0;var d=0,e=0;d=i;if(a[8540360]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+328>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+328>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(114160,Kfa(c[(c[e>>2]|0)+328>>2]|0,70544)|0)|0;le[c[2164]&15](8539200,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540360]=1;i=d;return}function U$(b){b=b|0;var d=0,e=0;d=i;if(a[8540352]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2632>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(113848,Ifa(+h[(c[e>>2]|0)+2632>>3],101704)|0)|0;le[c[2164]&15](8539168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540352]=1;i=d;return}function V$(b){b=b|0;var d=0,e=0;d=i;if(a[8540344]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2600>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2600>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(113608,Ifa(+h[(c[e>>2]|0)+2600>>3],101704)|0)|0;le[c[2164]&15](8539136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540344]=1;i=d;return}function W$(b){b=b|0;var d=0,e=0;d=i;if(a[8540336]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2592>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2592>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(113152,Ifa(+h[(c[e>>2]|0)+2592>>3],101704)|0)|0;le[c[2164]&15](8539104,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540336]=1;i=d;return}function X$(b){b=b|0;var d=0,e=0;d=i;if(a[8540328]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+568>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+568>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(112968,Ifa(+h[(c[e>>2]|0)+568>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540328]=1;i=d;return}function Y$(b){b=b|0;var d=0,e=0;d=i;if(a[8540320]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+560>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+560>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(112832,Ifa(+h[(c[e>>2]|0)+560>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540320]=1;i=d;return}function Z$(b){b=b|0;var d=0,e=0;d=i;if(a[8540312]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2568>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2568>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(112672,Ifa(+h[(c[e>>2]|0)+2568>>3],101704)|0)|0;le[c[2164]&15](8539032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540312]=1;i=d;return}function _$(b){b=b|0;var d=0,e=0;d=i;if(a[8540304]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+312>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+312>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(112304,Kfa(c[(c[e>>2]|0)+312>>2]|0,70544)|0)|0;le[c[2164]&15](8539e3,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540304]=1;i=d;return}function $$(b){b=b|0;var d=0,e=0;d=i;if(a[8540296]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+308>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+308>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(112056,Kfa(c[(c[e>>2]|0)+308>>2]|0,70544)|0)|0;le[c[2164]&15](8538968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540296]=1;i=d;return}function a0(b){b=b|0;var d=0,e=0;d=i;if(a[8540288]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+552>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+552>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(111896,Ifa(+h[(c[e>>2]|0)+552>>3],101704)|0)|0;le[c[2164]&15](8538936,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540288]=1;i=d;return}function b0(b){b=b|0;var d=0,e=0;d=i;if(a[8540280]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2544>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2544>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(111624,Ifa(+h[(c[e>>2]|0)+2544>>3],101704)|0)|0;le[c[2164]&15](8538904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540280]=1;i=d;return}function c0(b){b=b|0;var d=0,e=0;d=i;if(a[8540272]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+300>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+300>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(111240,Kfa(c[(c[e>>2]|0)+300>>2]|0,70544)|0)|0;le[c[2164]&15](8538872,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540272]=1;i=d;return}function d0(b){b=b|0;var d=0,e=0;d=i;if(a[8540264]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2536>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2536>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(111112,Ifa(+h[(c[e>>2]|0)+2536>>3],101704)|0)|0;le[c[2164]&15](8538840,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540264]=1;i=d;return}function e0(b){b=b|0;var d=0,e=0;d=i;if(a[8540256]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+296>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+296>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(110488,Kfa(c[(c[e>>2]|0)+296>>2]|0,70544)|0)|0;le[c[2164]&15](8538808,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540256]=1;i=d;return}function f0(b){b=b|0;var d=0,e=0;d=i;if(a[8540248]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+292>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+292>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(110240,Kfa(c[(c[e>>2]|0)+292>>2]|0,70544)|0)|0;le[c[2164]&15](8538776,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540248]=1;i=d;return}function g0(b){b=b|0;var d=0,e=0;d=i;if(a[8540240]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+276>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+276>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(110032,Kfa(c[(c[e>>2]|0)+276>>2]|0,70544)|0)|0;le[c[2164]&15](8538744,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540240]=1;i=d;return}function h0(b){b=b|0;var d=0,e=0;d=i;if(a[8540232]|0){i=d;return}e=b+420|0;if(!((zia(+(c[(c[e>>2]|0)+272>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(109912,Kfa(c[(c[e>>2]|0)+272>>2]|0,70544)|0)|0;le[c[2164]&15](8538712,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540232]=1;i=d;return}function i0(b){b=b|0;var d=0,e=0;d=i;if(a[8540224]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2528>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2528>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(109680,Ifa(+h[(c[e>>2]|0)+2528>>3],101704)|0)|0;le[c[2164]&15](8538680,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540224]=1;i=d;return}function j0(b){b=b|0;var d=0,e=0;d=i;if(a[8540216]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2520>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2520>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(109520,Ifa(+h[(c[e>>2]|0)+2520>>3],101704)|0)|0;le[c[2164]&15](8538648,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540216]=1;i=d;return}function k0(b){b=b|0;var d=0,e=0;d=i;if(a[8540208]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2504>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(109392,Ifa(+h[(c[e>>2]|0)+2504>>3],101704)|0)|0;le[c[2164]&15](8538616,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540208]=1;i=d;return}function l0(b){b=b|0;var d=0,e=0;d=i;if(a[8540200]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2496>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(109168,Ifa(+h[(c[e>>2]|0)+2496>>3],101704)|0)|0;le[c[2164]&15](8538584,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540200]=1;i=d;return}function m0(b){b=b|0;var d=0,e=0;d=i;if(a[8540192]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2480>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(108888,Ifa(+h[(c[e>>2]|0)+2480>>3],101704)|0)|0;le[c[2164]&15](8538552,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540192]=1;i=d;return}function n0(b){b=b|0;var d=0,e=0;d=i;if(a[8540184]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2472>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(108768,Ifa(+h[(c[e>>2]|0)+2472>>3],101704)|0)|0;le[c[2164]&15](8539416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540184]=1;i=d;return}function o0(b){b=b|0;var d=0,e=0;d=i;if(a[8540176]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+512>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(108232,Ifa(+h[(c[e>>2]|0)+512>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540176]=1;i=d;return}function p0(b){b=b|0;var d=0,e=0;d=i;if(a[8540168]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+504>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(108112,Ifa(+h[(c[e>>2]|0)+504>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540168]=1;i=d;return}function q0(b){b=b|0;var d=0,e=0;d=i;if(a[8540160]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+448>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(108e3,Ifa(+h[(c[e>>2]|0)+448>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540160]=1;i=d;return}function r0(b){b=b|0;var d=0,e=0;d=i;if(a[8540152]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+440>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(107840,Ifa(+h[(c[e>>2]|0)+440>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540152]=1;i=d;return}function s0(b){b=b|0;var d=0,e=0;d=i;if(a[8540144]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2448>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(107696,Ifa(+h[(c[e>>2]|0)+2448>>3],101704)|0)|0;le[c[2164]&15](8539328,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540144]=1;i=d;return}function t0(b){b=b|0;var d=0,e=0;d=i;if(a[8540136]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2440>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(107528,Ifa(+h[(c[e>>2]|0)+2440>>3],101704)|0)|0;le[c[2164]&15](8539296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540136]=1;i=d;return}function u0(b){b=b|0;var d=0,e=0;d=i;if(a[8540128]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2432>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(107368,Ifa(+h[(c[e>>2]|0)+2432>>3],101704)|0)|0;le[c[2164]&15](8539264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540128]=1;i=d;return}function v0(b){b=b|0;var d=0,e=0;d=i;if(a[8540120]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2424>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2424>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(107064,Ifa(+h[(c[e>>2]|0)+2424>>3],101704)|0)|0;le[c[2164]&15](8539232,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540120]=1;i=d;return}function w0(b){b=b|0;var d=0,e=0;d=i;if(a[8540112]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+264>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+264>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(106680,Kfa(c[(c[e>>2]|0)+264>>2]|0,70544)|0)|0;le[c[2164]&15](8539200,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540112]=1;i=d;return}function x0(b){b=b|0;var d=0,e=0;d=i;if(a[8540104]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2408>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(106544,Ifa(+h[(c[e>>2]|0)+2408>>3],101704)|0)|0;le[c[2164]&15](8539168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540104]=1;i=d;return}function y0(b){b=b|0;var d=0,e=0;d=i;if(a[8540096]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2376>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2376>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(105976,Ifa(+h[(c[e>>2]|0)+2376>>3],101704)|0)|0;le[c[2164]&15](8539136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540096]=1;i=d;return}function z0(b){b=b|0;var d=0,e=0;d=i;if(a[8540088]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2368>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2368>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(105656,Ifa(+h[(c[e>>2]|0)+2368>>3],101704)|0)|0;le[c[2164]&15](8539104,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540088]=1;i=d;return}function A0(b){b=b|0;var d=0,e=0;d=i;if(a[8540080]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+432>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+432>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(105360,Ifa(+h[(c[e>>2]|0)+432>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540080]=1;i=d;return}function B0(b){b=b|0;var d=0,e=0;d=i;if(a[8540072]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+424>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+424>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(105080,Ifa(+h[(c[e>>2]|0)+424>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540072]=1;i=d;return}function C0(b){b=b|0;var d=0,e=0;d=i;if(a[8540064]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2344>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2344>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(104904,Ifa(+h[(c[e>>2]|0)+2344>>3],101704)|0)|0;le[c[2164]&15](8539032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540064]=1;i=d;return}function D0(b){b=b|0;var d=0,e=0;d=i;if(a[8540056]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+248>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+248>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(104640,Kfa(c[(c[e>>2]|0)+248>>2]|0,70544)|0)|0;le[c[2164]&15](8539e3,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540056]=1;i=d;return}function E0(b){b=b|0;var d=0,e=0;d=i;if(a[8540048]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+244>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+244>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(104032,Kfa(c[(c[e>>2]|0)+244>>2]|0,70544)|0)|0;le[c[2164]&15](8538968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540048]=1;i=d;return}function F0(b){b=b|0;var d=0,e=0;d=i;if(a[8540040]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+416>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+416>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(103912,Ifa(+h[(c[e>>2]|0)+416>>3],101704)|0)|0;le[c[2164]&15](8538936,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540040]=1;i=d;return}function G0(b){b=b|0;var d=0,e=0;d=i;if(a[8540032]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2320>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2320>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(103568,Ifa(+h[(c[e>>2]|0)+2320>>3],101704)|0)|0;le[c[2164]&15](8538904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540032]=1;i=d;return}function H0(b){b=b|0;var d=0,e=0;d=i;if(a[8540024]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+236>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+236>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(103344,Kfa(c[(c[e>>2]|0)+236>>2]|0,70544)|0)|0;le[c[2164]&15](8538872,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540024]=1;i=d;return}function I0(b){b=b|0;var d=0,e=0;d=i;if(a[8540016]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2312>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2312>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(102728,Ifa(+h[(c[e>>2]|0)+2312>>3],101704)|0)|0;le[c[2164]&15](8538840,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540016]=1;i=d;return}function J0(b){b=b|0;var d=0,e=0;d=i;if(a[8540008]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+232>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+232>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(102480,Kfa(c[(c[e>>2]|0)+232>>2]|0,70544)|0)|0;le[c[2164]&15](8538808,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8540008]=1;i=d;return}function K0(b){b=b|0;var d=0,e=0;d=i;if(a[854e4]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+228>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+228>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(102248,Kfa(c[(c[e>>2]|0)+228>>2]|0,70544)|0)|0;le[c[2164]&15](8538776,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[854e4]=1;i=d;return}function L0(b){b=b|0;var d=0,e=0;d=i;if(a[8539992]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+212>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+212>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(102032,Kfa(c[(c[e>>2]|0)+212>>2]|0,70544)|0)|0;le[c[2164]&15](8538744,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539992]=1;i=d;return}function M0(b){b=b|0;var d=0,e=0;d=i;if(a[8539984]|0){i=d;return}e=b+420|0;if(!((zia(+(c[(c[e>>2]|0)+208>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(101792,Kfa(c[(c[e>>2]|0)+208>>2]|0,70544)|0)|0;le[c[2164]&15](8538712,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539984]=1;i=d;return}function N0(b){b=b|0;var d=0,e=0;d=i;if(a[8539976]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2304>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2304>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(101568,Ifa(+h[(c[e>>2]|0)+2304>>3],101704)|0)|0;le[c[2164]&15](8538680,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539976]=1;i=d;return}function O0(b){b=b|0;var d=0,e=0;d=i;if(a[8539968]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2296>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2296>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(101408,Ifa(+h[(c[e>>2]|0)+2296>>3],101704)|0)|0;le[c[2164]&15](8538648,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539968]=1;i=d;return}function P0(b){b=b|0;var d=0,e=0;d=i;if(a[8539960]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2280>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(101176,Ifa(+h[(c[e>>2]|0)+2280>>3],101704)|0)|0;le[c[2164]&15](8538616,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539960]=1;i=d;return}function Q0(b){b=b|0;var d=0,e=0;d=i;if(a[8539952]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2272>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(100952,Ifa(+h[(c[e>>2]|0)+2272>>3],101704)|0)|0;le[c[2164]&15](8538584,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539952]=1;i=d;return}function R0(b){b=b|0;var d=0,e=0;d=i;if(a[8539944]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2256>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(100848,Ifa(+h[(c[e>>2]|0)+2256>>3],101704)|0)|0;le[c[2164]&15](8538552,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539944]=1;i=d;return}function S0(b){b=b|0;var d=0,e=0;d=i;if(a[8539936]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2248>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(100328,Ifa(+h[(c[e>>2]|0)+2248>>3],101704)|0)|0;le[c[2164]&15](8539416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539936]=1;i=d;return}function T0(b){b=b|0;var d=0,e=0;d=i;if(a[8539928]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+376>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(100160,Ifa(+h[(c[e>>2]|0)+376>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539928]=1;i=d;return}function U0(b){b=b|0;var d=0,e=0;d=i;if(a[8539920]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+368>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(100056,Ifa(+h[(c[e>>2]|0)+368>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539920]=1;i=d;return}function V0(b){b=b|0;var d=0,e=0;d=i;if(a[8539912]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+312>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(99912,Ifa(+h[(c[e>>2]|0)+312>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539912]=1;i=d;return}function W0(b){b=b|0;var d=0,e=0;d=i;if(a[8539904]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+304>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(99696,Ifa(+h[(c[e>>2]|0)+304>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539904]=1;i=d;return}function X0(b){b=b|0;var d=0,e=0;d=i;if(a[8539896]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2224>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(99416,Ifa(+h[(c[e>>2]|0)+2224>>3],101704)|0)|0;le[c[2164]&15](8539328,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539896]=1;i=d;return}function Y0(b){b=b|0;var d=0,e=0;d=i;if(a[8539888]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2216>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(99248,Ifa(+h[(c[e>>2]|0)+2216>>3],101704)|0)|0;le[c[2164]&15](8539296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539888]=1;i=d;return}function Z0(b){b=b|0;var d=0,e=0;d=i;if(a[8539880]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2208>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(98976,Ifa(+h[(c[e>>2]|0)+2208>>3],101704)|0)|0;le[c[2164]&15](8539264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539880]=1;i=d;return}function _0(b){b=b|0;var d=0,e=0;d=i;if(a[8539872]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2200>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2200>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(98424,Ifa(+h[(c[e>>2]|0)+2200>>3],101704)|0)|0;le[c[2164]&15](8539232,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539872]=1;i=d;return}function $0(b){b=b|0;var d=0,e=0;d=i;if(a[8539864]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+200>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+200>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(98160,Kfa(c[(c[e>>2]|0)+200>>2]|0,70544)|0)|0;le[c[2164]&15](8539200,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539864]=1;i=d;return}function a1(b){b=b|0;var d=0,e=0;d=i;if(a[8539856]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2184>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(97568,Ifa(+h[(c[e>>2]|0)+2184>>3],101704)|0)|0;le[c[2164]&15](8539168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539856]=1;i=d;return}function b1(b){b=b|0;var d=0,e=0;d=i;if(a[8539848]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2152>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2152>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(97344,Ifa(+h[(c[e>>2]|0)+2152>>3],101704)|0)|0;le[c[2164]&15](8539136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539848]=1;i=d;return}function c1(b){b=b|0;var d=0,e=0;d=i;if(a[8539840]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2144>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2144>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(97184,Ifa(+h[(c[e>>2]|0)+2144>>3],101704)|0)|0;le[c[2164]&15](8539104,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539840]=1;i=d;return}function d1(b){b=b|0;var d=0,e=0;d=i;if(a[8539832]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+296>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+296>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(97048,Ifa(+h[(c[e>>2]|0)+296>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539832]=1;i=d;return}function e1(b){b=b|0;var d=0,e=0;d=i;if(a[8539824]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+288>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+288>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(96880,Ifa(+h[(c[e>>2]|0)+288>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539824]=1;i=d;return}function f1(b){b=b|0;var d=0,e=0;d=i;if(a[8539816]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2120>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2120>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(96600,Ifa(+h[(c[e>>2]|0)+2120>>3],101704)|0)|0;le[c[2164]&15](8539032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539816]=1;i=d;return}function g1(b){b=b|0;var d=0,e=0;d=i;if(a[8539808]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+184>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+184>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(96352,Kfa(c[(c[e>>2]|0)+184>>2]|0,70544)|0)|0;le[c[2164]&15](8539e3,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539808]=1;i=d;return}function h1(b){b=b|0;var d=0,e=0;d=i;if(a[8539800]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+180>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+180>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(95992,Kfa(c[(c[e>>2]|0)+180>>2]|0,70544)|0)|0;le[c[2164]&15](8538968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539800]=1;i=d;return}function i1(b){b=b|0;var d=0,e=0;d=i;if(a[8539792]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+280>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+280>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(95760,Ifa(+h[(c[e>>2]|0)+280>>3],101704)|0)|0;le[c[2164]&15](8538936,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539792]=1;i=d;return}function j1(b){b=b|0;var d=0,e=0;d=i;if(a[8539784]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2096>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2096>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(95592,Ifa(+h[(c[e>>2]|0)+2096>>3],101704)|0)|0;le[c[2164]&15](8538904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539784]=1;i=d;return}function k1(b){b=b|0;var d=0,e=0;d=i;if(a[8539776]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+172>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+172>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(95024,Kfa(c[(c[e>>2]|0)+172>>2]|0,70544)|0)|0;le[c[2164]&15](8538872,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539776]=1;i=d;return}function l1(b){b=b|0;var d=0,e=0;d=i;if(a[8539768]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2088>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2088>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(94792,Ifa(+h[(c[e>>2]|0)+2088>>3],101704)|0)|0;le[c[2164]&15](8538840,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539768]=1;i=d;return}function m1(b){b=b|0;var d=0,e=0;d=i;if(a[8539760]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+168>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+168>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(94576,Kfa(c[(c[e>>2]|0)+168>>2]|0,70544)|0)|0;le[c[2164]&15](8538808,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539760]=1;i=d;return}function n1(b){b=b|0;var d=0,e=0;d=i;if(a[8539752]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+164>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+164>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(94336,Kfa(c[(c[e>>2]|0)+164>>2]|0,70544)|0)|0;le[c[2164]&15](8538776,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539752]=1;i=d;return}function o1(b){b=b|0;var d=0,e=0;d=i;if(a[8539744]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+148>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+148>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(94096,Kfa(c[(c[e>>2]|0)+148>>2]|0,70544)|0)|0;le[c[2164]&15](8538744,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539744]=1;i=d;return}function p1(b){b=b|0;var d=0,e=0;d=i;if(a[8539736]|0){i=d;return}e=b+420|0;if(!((zia(+(c[(c[e>>2]|0)+144>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(93816,Kfa(c[(c[e>>2]|0)+144>>2]|0,70544)|0)|0;le[c[2164]&15](8538712,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539736]=1;i=d;return}function q1(b){b=b|0;var d=0,e=0;d=i;if(a[8539728]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2080>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2080>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(93560,Ifa(+h[(c[e>>2]|0)+2080>>3],101704)|0)|0;le[c[2164]&15](8538680,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539728]=1;i=d;return}function r1(b){b=b|0;var d=0,e=0;d=i;if(a[8539720]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+2072>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+2072>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(93288,Ifa(+h[(c[e>>2]|0)+2072>>3],101704)|0)|0;le[c[2164]&15](8538648,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539720]=1;i=d;return}function s1(b){b=b|0;var d=0,e=0;d=i;if(a[8539712]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2056>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(93040,Ifa(+h[(c[e>>2]|0)+2056>>3],101704)|0)|0;le[c[2164]&15](8538616,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539712]=1;i=d;return}function t1(b){b=b|0;var d=0,e=0;d=i;if(a[8539704]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2048>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(92952,Ifa(+h[(c[e>>2]|0)+2048>>3],101704)|0)|0;le[c[2164]&15](8538584,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539704]=1;i=d;return}function u1(b){b=b|0;var d=0,e=0;d=i;if(a[8539696]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2032>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(92608,Ifa(+h[(c[e>>2]|0)+2032>>3],101704)|0)|0;le[c[2164]&15](8538552,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539696]=1;i=d;return}function v1(b){b=b|0;var d=0,e=0;d=i;if(a[8539688]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2024>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(92456,Ifa(+h[(c[e>>2]|0)+2024>>3],101704)|0)|0;le[c[2164]&15](8539416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539688]=1;i=d;return}function w1(b){b=b|0;var d=0,e=0;d=i;if(a[8539680]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+240>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(92352,Ifa(+h[(c[e>>2]|0)+240>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539680]=1;i=d;return}function x1(b){b=b|0;var d=0,e=0;d=i;if(a[8539664]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+232>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(92224,Ifa(+h[(c[e>>2]|0)+232>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539664]=1;i=d;return}function y1(b){b=b|0;var d=0,e=0;d=i;if(a[8539656]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+176>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(91968,Ifa(+h[(c[e>>2]|0)+176>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539656]=1;i=d;return}function z1(b){b=b|0;var d=0,e=0;d=i;if(a[8539648]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+168>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(91712,Ifa(+h[(c[e>>2]|0)+168>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539648]=1;i=d;return}function A1(b){b=b|0;var d=0,e=0;d=i;if(a[8539640]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+2e3>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(91536,Ifa(+h[(c[e>>2]|0)+2e3>>3],101704)|0)|0;le[c[2164]&15](8539328,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539640]=1;i=d;return}function B1(b){b=b|0;var d=0,e=0;d=i;if(a[8539632]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1992>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(91288,Ifa(+h[(c[e>>2]|0)+1992>>3],101704)|0)|0;le[c[2164]&15](8539296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539632]=1;i=d;return}function C1(b){b=b|0;var d=0,e=0;d=i;if(a[8539624]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1984>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(91008,Ifa(+h[(c[e>>2]|0)+1984>>3],101704)|0)|0;le[c[2164]&15](8539264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539624]=1;i=d;return}function D1(b){b=b|0;var d=0,e=0;d=i;if(a[8539616]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1976>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1976>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(90840,Ifa(+h[(c[e>>2]|0)+1976>>3],101704)|0)|0;le[c[2164]&15](8539232,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539616]=1;i=d;return}function E1(b){b=b|0;var d=0,e=0;d=i;if(a[8539608]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+136>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+136>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(90344,Kfa(c[(c[e>>2]|0)+136>>2]|0,70544)|0)|0;le[c[2164]&15](8539200,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539608]=1;i=d;return}function F1(b){b=b|0;var d=0,e=0;d=i;if(a[8539600]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1960>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(90136,Ifa(+h[(c[e>>2]|0)+1960>>3],101704)|0)|0;le[c[2164]&15](8539168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539600]=1;i=d;return}function G1(b){b=b|0;var d=0,e=0;d=i;if(a[8539592]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1928>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1928>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(89928,Ifa(+h[(c[e>>2]|0)+1928>>3],101704)|0)|0;le[c[2164]&15](8539136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539592]=1;i=d;return}function H1(b){b=b|0;var d=0,e=0;d=i;if(a[8539584]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1920>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1920>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(89768,Ifa(+h[(c[e>>2]|0)+1920>>3],101704)|0)|0;le[c[2164]&15](8539104,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539584]=1;i=d;return}function I1(b){b=b|0;var d=0,e=0;d=i;if(a[8539576]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+160>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+160>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(89536,Ifa(+h[(c[e>>2]|0)+160>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539576]=1;i=d;return}function J1(b){b=b|0;var d=0,e=0;d=i;if(a[8539568]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+152>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+152>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(89248,Ifa(+h[(c[e>>2]|0)+152>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539568]=1;i=d;return}function K1(b){b=b|0;var d=0,e=0;d=i;if(a[8539560]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1896>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1896>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(89064,Ifa(+h[(c[e>>2]|0)+1896>>3],101704)|0)|0;le[c[2164]&15](8539032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539560]=1;i=d;return}function L1(b){b=b|0;var d=0,e=0;d=i;if(a[8539552]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+120>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+120>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(88720,Kfa(c[(c[e>>2]|0)+120>>2]|0,70544)|0)|0;le[c[2164]&15](8539e3,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539552]=1;i=d;return}function M1(b){b=b|0;var d=0,e=0;d=i;if(a[8539544]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+116>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+116>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(88384,Kfa(c[(c[e>>2]|0)+116>>2]|0,70544)|0)|0;le[c[2164]&15](8538968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539544]=1;i=d;return}function N1(b){b=b|0;var d=0,e=0;d=i;if(a[8539536]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+144>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+144>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(88184,Ifa(+h[(c[e>>2]|0)+144>>3],101704)|0)|0;le[c[2164]&15](8538936,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539536]=1;i=d;return}function O1(b){b=b|0;var d=0,e=0;d=i;if(a[8539528]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1872>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1872>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(87784,Ifa(+h[(c[e>>2]|0)+1872>>3],101704)|0)|0;le[c[2164]&15](8538904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539528]=1;i=d;return}function P1(b){b=b|0;var d=0,e=0;d=i;if(a[8539520]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+108>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+108>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(87560,Kfa(c[(c[e>>2]|0)+108>>2]|0,70544)|0)|0;le[c[2164]&15](8538872,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539520]=1;i=d;return}function Q1(b){b=b|0;var d=0,e=0;d=i;if(a[8539512]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1864>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1864>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(87432,Ifa(+h[(c[e>>2]|0)+1864>>3],101704)|0)|0;le[c[2164]&15](8538840,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539512]=1;i=d;return}function R1(b){b=b|0;var d=0,e=0;d=i;if(a[8539504]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+104>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+104>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(87224,Kfa(c[(c[e>>2]|0)+104>>2]|0,70544)|0)|0;le[c[2164]&15](8538808,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539504]=1;i=d;return}function S1(b){b=b|0;var d=0,e=0;d=i;if(a[8539496]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+100>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+100>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(86968,Kfa(c[(c[e>>2]|0)+100>>2]|0,70544)|0)|0;le[c[2164]&15](8538776,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539496]=1;i=d;return}function T1(b){b=b|0;var d=0,e=0;d=i;if(a[8539488]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+84>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+84>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(86576,Kfa(c[(c[e>>2]|0)+84>>2]|0,70544)|0)|0;le[c[2164]&15](8538744,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539488]=1;i=d;return}function U1(b){b=b|0;var d=0,e=0;d=i;if(a[8539480]|0){i=d;return}e=b+420|0;if(!((zia(+(c[(c[e>>2]|0)+80>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(86416,Kfa(c[(c[e>>2]|0)+80>>2]|0,70544)|0)|0;le[c[2164]&15](8538712,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539480]=1;i=d;return}function V1(b){b=b|0;var d=0,e=0;d=i;if(a[8539472]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1856>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1856>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(86136,Ifa(+h[(c[e>>2]|0)+1856>>3],101704)|0)|0;le[c[2164]&15](8538680,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539472]=1;i=d;return}function W1(b){b=b|0;var d=0,e=0;d=i;if(a[8539464]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1848>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1848>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(85904,Ifa(+h[(c[e>>2]|0)+1848>>3],101704)|0)|0;le[c[2164]&15](8538648,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539464]=1;i=d;return}function X1(b){b=b|0;var d=0,e=0;d=i;if(a[8539456]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1832>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(85816,Ifa(+h[(c[e>>2]|0)+1832>>3],101704)|0)|0;le[c[2164]&15](8538616,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539456]=1;i=d;return}function Y1(b){b=b|0;var d=0,e=0;d=i;if(a[8539448]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1824>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(85384,Ifa(+h[(c[e>>2]|0)+1824>>3],101704)|0)|0;le[c[2164]&15](8538584,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539448]=1;i=d;return}function Z1(b){b=b|0;var d=0,e=0;d=i;if(a[8539440]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1808>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(85248,Ifa(+h[(c[e>>2]|0)+1808>>3],101704)|0)|0;le[c[2164]&15](8538552,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539440]=1;i=d;return}function _1(b){b=b|0;var d=0,e=0;d=i;if(a[8539408]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1800>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(85128,Ifa(+h[(c[e>>2]|0)+1800>>3],101704)|0)|0;le[c[2164]&15](8539416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539408]=1;i=d;return}function $1(b){b=b|0;var d=0,e=0;d=i;if(a[8539400]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+104>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(85024,Ifa(+h[(c[e>>2]|0)+104>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539400]=1;i=d;return}function a2(b){b=b|0;var d=0,e=0;d=i;if(a[8539368]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+96>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(84888,Ifa(+h[(c[e>>2]|0)+96>>3],101704)|0)|0;le[c[2164]&15](8539376,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539368]=1;i=d;return}function b2(b){b=b|0;var d=0,e=0;d=i;if(a[8539360]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+40>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(84672,Ifa(+h[(c[e>>2]|0)+40>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539360]=1;i=d;return}function c2(b){b=b|0;var d=0,e=0;d=i;if(a[8539352]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+32>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(84504,Ifa(+h[(c[e>>2]|0)+32>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539352]=1;i=d;return}function d2(b){b=b|0;var d=0,e=0;d=i;if(a[8539320]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1776>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(84256,Ifa(+h[(c[e>>2]|0)+1776>>3],101704)|0)|0;le[c[2164]&15](8539328,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539320]=1;i=d;return}function e2(b){b=b|0;var d=0,e=0;d=i;if(a[8539288]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1768>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(84008,Ifa(+h[(c[e>>2]|0)+1768>>3],101704)|0)|0;le[c[2164]&15](8539296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539288]=1;i=d;return}function f2(b){b=b|0;var d=0,e=0;d=i;if(a[8539256]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1760>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(83896,Ifa(+h[(c[e>>2]|0)+1760>>3],101704)|0)|0;le[c[2164]&15](8539264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539256]=1;i=d;return}function g2(b){b=b|0;var d=0,e=0;d=i;if(a[8539224]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1752>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1752>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(83400,Ifa(+h[(c[e>>2]|0)+1752>>3],101704)|0)|0;le[c[2164]&15](8539232,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539224]=1;i=d;return}function h2(b){b=b|0;var d=0,e=0;d=i;if(a[8539192]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+72>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+72>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(83136,Kfa(c[(c[e>>2]|0)+72>>2]|0,70544)|0)|0;le[c[2164]&15](8539200,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539192]=1;i=d;return}function i2(b){b=b|0;var d=0,e=0;d=i;if(a[8539160]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1736>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(83024,Ifa(+h[(c[e>>2]|0)+1736>>3],101704)|0)|0;le[c[2164]&15](8539168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539160]=1;i=d;return}function j2(b){b=b|0;var d=0,e=0;d=i;if(a[8539128]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1704>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1704>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(82864,Ifa(+h[(c[e>>2]|0)+1704>>3],101704)|0)|0;le[c[2164]&15](8539136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539128]=1;i=d;return}function k2(b){b=b|0;var d=0,e=0;d=i;if(a[8539096]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1696>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1696>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(82552,Ifa(+h[(c[e>>2]|0)+1696>>3],101704)|0)|0;le[c[2164]&15](8539104,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539096]=1;i=d;return}function l2(b){b=b|0;var d=0,e=0;d=i;if(a[8539088]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+24>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+24>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(82272,Ifa(+h[(c[e>>2]|0)+24>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539088]=1;i=d;return}function m2(b){b=b|0;var d=0,e=0;d=i;if(a[8539056]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+16>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+16>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(82096,Ifa(+h[(c[e>>2]|0)+16>>3],101704)|0)|0;le[c[2164]&15](8539064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539056]=1;i=d;return}function n2(b){b=b|0;var d=0,e=0;d=i;if(a[8539024]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1672>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1672>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(81816,Ifa(+h[(c[e>>2]|0)+1672>>3],101704)|0)|0;le[c[2164]&15](8539032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8539024]=1;i=d;return}function o2(b){b=b|0;var d=0,e=0;d=i;if(a[8538992]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+56>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+56>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(81528,Kfa(c[(c[e>>2]|0)+56>>2]|0,70544)|0)|0;le[c[2164]&15](8539e3,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538992]=1;i=d;return}function p2(b){b=b|0;var d=0,e=0;d=i;if(a[8538960]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+52>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+52>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(81176,Kfa(c[(c[e>>2]|0)+52>>2]|0,70544)|0)|0;le[c[2164]&15](8538968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538960]=1;i=d;return}function q2(b){b=b|0;var d=0,e=0;d=i;if(a[8538928]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+8>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+8>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(80560,Ifa(+h[(c[e>>2]|0)+8>>3],101704)|0)|0;le[c[2164]&15](8538936,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538928]=1;i=d;return}function r2(b){b=b|0;var d=0,e=0;d=i;if(a[8538896]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1648>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1648>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(80248,Ifa(+h[(c[e>>2]|0)+1648>>3],101704)|0)|0;le[c[2164]&15](8538904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538896]=1;i=d;return}function s2(b){b=b|0;var d=0,e=0;d=i;if(a[8538864]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+44>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+44>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(79872,Kfa(c[(c[e>>2]|0)+44>>2]|0,70544)|0)|0;le[c[2164]&15](8538872,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538864]=1;i=d;return}function t2(b){b=b|0;var d=0,e=0;d=i;if(a[8538832]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1640>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1640>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(79608,Ifa(+h[(c[e>>2]|0)+1640>>3],101704)|0)|0;le[c[2164]&15](8538840,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538832]=1;i=d;return}function u2(b){b=b|0;var d=0,e=0;d=i;if(a[8538800]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+40>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+40>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(79272,Kfa(c[(c[e>>2]|0)+40>>2]|0,70544)|0)|0;le[c[2164]&15](8538808,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538800]=1;i=d;return}function v2(b){b=b|0;var d=0,e=0;d=i;if(a[8538768]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+36>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+36>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(78888,Kfa(c[(c[e>>2]|0)+36>>2]|0,70544)|0)|0;le[c[2164]&15](8538776,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538768]=1;i=d;return}function w2(b){b=b|0;var d=0,e=0;d=i;if(a[8538736]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+20>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+20>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(78576,Kfa(c[(c[e>>2]|0)+20>>2]|0,70544)|0)|0;le[c[2164]&15](8538744,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538736]=1;i=d;return}function x2(b){b=b|0;var d=0,e=0;d=i;if(a[8538704]|0){i=d;return}e=b+420|0;if(!((zia(+(c[(c[e>>2]|0)+16>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(78352,Kfa(c[(c[e>>2]|0)+16>>2]|0,70544)|0)|0;le[c[2164]&15](8538712,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538704]=1;i=d;return}function y2(b){b=b|0;var d=0,e=0;d=i;if(a[8538672]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1632>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1632>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(77992,Ifa(+h[(c[e>>2]|0)+1632>>3],101704)|0)|0;le[c[2164]&15](8538680,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538672]=1;i=d;return}function z2(b){b=b|0;var d=0,e=0;d=i;if(a[8538640]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1624>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1624>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(77872,Ifa(+h[(c[e>>2]|0)+1624>>3],101704)|0)|0;le[c[2164]&15](8538648,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538640]=1;i=d;return}function A2(b){b=b|0;var d=0,e=0;d=i;if(a[8538608]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1608>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(77552,Ifa(+h[(c[e>>2]|0)+1608>>3],101704)|0)|0;le[c[2164]&15](8538616,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538608]=1;i=d;return}function B2(b){b=b|0;var d=0,e=0;d=i;if(a[8538576]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1600>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(77432,Ifa(+h[(c[e>>2]|0)+1600>>3],101704)|0)|0;le[c[2164]&15](8538584,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538576]=1;i=d;return}function C2(b){b=b|0;var d=0,e=0;d=i;if(a[8538544]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1584>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(77344,Ifa(+h[(c[e>>2]|0)+1584>>3],101704)|0)|0;le[c[2164]&15](8538552,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538544]=1;i=d;return}function D2(b){b=b|0;var d=0,e=0;d=i;if(a[8538512]|0){i=d;return}e=b+416|0;b=zia(+h[c[e>>2]>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[c[e>>2]>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(77240,Ifa(+h[c[e>>2]>>3],101704)|0)|0;le[c[2164]&15](8538520,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538512]=1;i=d;return}function E2(b){b=b|0;var d=0,e=0;d=i;if(a[8538480]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1576>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1576>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(77104,Ifa(+h[(c[e>>2]|0)+1576>>3],101704)|0)|0;le[c[2164]&15](8538488,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538480]=1;i=d;return}function F2(b){b=b|0;var d=0,e=0;d=i;if(a[8538448]|0){i=d;return}e=b+416|0;b=zia(+h[(c[e>>2]|0)+1568>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[e>>2]|0)+1568>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(76840,Ifa(+h[(c[e>>2]|0)+1568>>3],101704)|0)|0;le[c[2164]&15](8538456,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538448]=1;i=d;return}function G2(b){b=b|0;var d=0,e=0;d=i;if(a[8538416]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+12>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+12>>2]|0),3.0)|0)<<24>>24==0)){i=d;return}b=Ofa(76560,Kfa(c[(c[e>>2]|0)+12>>2]|0,70544)|0)|0;le[c[2164]&15](8538424,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538416]=1;i=d;return}function H2(b){b=b|0;var d=0,e=0;d=i;if(a[8538384]|0){i=d;return}e=b+416|0;if(!((zia(+h[(c[e>>2]|0)+1560>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(76328,Ifa(+h[(c[e>>2]|0)+1560>>3],101704)|0)|0;le[c[2164]&15](8538392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538384]=1;i=d;return}function I2(b){b=b|0;var d=0,e=0;d=i;if(a[8538352]|0){i=d;return}e=b+420|0;b=zia(+(c[(c[e>>2]|0)+4>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[(c[e>>2]|0)+4>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(76016,Kfa(c[(c[e>>2]|0)+4>>2]|0,70544)|0)|0;le[c[2164]&15](8538360,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538352]=1;i=d;return}function J2(b){b=b|0;var d=0,e=0;d=i;if(a[8538320]|0){i=d;return}e=b+420|0;b=zia(+(c[c[e>>2]>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xia(+(c[c[e>>2]>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=Ofa(75496,Kfa(c[c[e>>2]>>2]|0,70544)|0)|0;le[c[2164]&15](8538328,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538320]=1;i=d;return}function K2(b){b=b|0;var d=0,e=0;d=i;if(a[8538312]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5816>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5816>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(75336,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5816>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538312]=1;i=d;return}function L2(b){b=b|0;var d=0,e=0;d=i;if(a[8538304]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5808>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5808>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(75200,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5808>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538304]=1;i=d;return}function M2(b){b=b|0;var d=0,e=0;d=i;if(a[8538296]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5760>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5760>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(75040,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5760>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538296]=1;i=d;return}function N2(b){b=b|0;var d=0,e=0;d=i;if(a[8538288]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5752>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5752>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(74872,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5752>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538288]=1;i=d;return}function O2(b){b=b|0;var d=0,e=0;d=i;if(a[8538280]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5704>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5704>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(74584,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5704>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538280]=1;i=d;return}function P2(b){b=b|0;var d=0,e=0;d=i;if(a[8538272]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5696>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5696>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(74408,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5696>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538272]=1;i=d;return}function Q2(b){b=b|0;var d=0,e=0;d=i;if(a[8538264]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5648>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5648>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(74120,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5648>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538264]=1;i=d;return}function R2(b){b=b|0;var d=0,e=0;d=i;if(a[8538256]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5640>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5640>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(73928,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5640>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538256]=1;i=d;return}function S2(b){b=b|0;var d=0,e=0;d=i;if(a[8538248]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5592>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5592>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(73792,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5592>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538248]=1;i=d;return}function T2(b){b=b|0;var d=0,e=0;d=i;if(a[8538240]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5584>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5584>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(73392,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5584>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538240]=1;i=d;return}function U2(b){b=b|0;var d=0,e=0;d=i;if(a[8538232]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5536>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5536>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(73224,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5536>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538232]=1;i=d;return}function V2(b){b=b|0;var d=0,e=0;d=i;if(a[8538224]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5528>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5528>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(73088,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5528>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538224]=1;i=d;return}function W2(b){b=b|0;var d=0,e=0;d=i;if(a[8538216]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5480>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5480>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(72952,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5480>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538216]=1;i=d;return}function X2(b){b=b|0;var d=0,e=0;d=i;if(a[8538208]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5472>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5472>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(72784,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5472>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538208]=1;i=d;return}function Y2(b){b=b|0;var d=0,e=0;d=i;if(a[8538200]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5424>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5424>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(72424,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5424>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538200]=1;i=d;return}function Z2(b){b=b|0;var d=0,e=0;d=i;if(a[8538192]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5416>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5416>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(72240,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5416>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538192]=1;i=d;return}function _2(b){b=b|0;var d=0,e=0;d=i;if(a[8538184]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5368>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5368>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(72016,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5368>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538184]=1;i=d;return}function $2(b){b=b|0;var d=0,e=0;d=i;if(a[8538176]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5360>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5360>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(71784,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5360>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538176]=1;i=d;return}function a3(b){b=b|0;var d=0,e=0;d=i;if(a[8538168]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5312>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5312>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(71648,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5312>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538168]=1;i=d;return}function b3(b){b=b|0;var d=0,e=0;d=i;if(a[8538160]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5304>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5304>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(71160,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5304>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538160]=1;i=d;return}function c3(b){b=b|0;var d=0,e=0;d=i;if(a[8538152]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5256>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5256>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(70992,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5256>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538152]=1;i=d;return}function d3(b){b=b|0;var d=0,e=0;d=i;if(a[8538120]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5248>>3],-1.0e5)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5248>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(70856,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5248>>3],101704)|0)|0;le[c[2164]&15](8538128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538120]=1;i=d;return}function e3(b){b=b|0;var d=0,e=0;d=i;if(a[8538112]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6576>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6576>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(70720,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6576>>3],101704)|0)|0;le[c[2164]&15](8538080,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538112]=1;i=d;return}function f3(b){b=b|0;var d=0,e=0;d=i;if(a[8538072]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6568>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6568>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(70408,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6568>>3],101704)|0)|0;le[c[2164]&15](8538080,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538072]=1;i=d;return}function g3(b){b=b|0;var d=0,e=0;d=i;if(a[8538064]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6560>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(70208,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6560>>3],101704)|0)|0;le[c[2164]&15](8538032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538064]=1;i=d;return}function h3(b){b=b|0;var d=0,e=0;d=i;if(a[8538056]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6552>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6552>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(7e4,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6552>>3],101704)|0)|0;le[c[2164]&15](8538e3,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538056]=1;i=d;return}function i3(b){b=b|0;var d=0,e=0;d=i;if(a[8538024]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6536>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(69832,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6536>>3],101704)|0)|0;le[c[2164]&15](8538032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8538024]=1;i=d;return}function j3(b){b=b|0;var d=0,e=0;d=i;if(a[8537992]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6528>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6528>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(69712,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6528>>3],101704)|0)|0;le[c[2164]&15](8538e3,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537992]=1;i=d;return}function k3(b){b=b|0;var d=0,e=0;d=i;if(a[8537984]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6512>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(69384,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6512>>3],101704)|0)|0;le[c[2164]&15](8537888,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537984]=1;i=d;return}function l3(b){b=b|0;var d=0,e=0;d=i;if(a[8537976]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6504>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(69248,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6504>>3],101704)|0)|0;le[c[2164]&15](8537888,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537976]=1;i=d;return}function m3(b){b=b|0;var d=0,e=0;d=i;if(a[8537968]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6496>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(69120,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6496>>3],101704)|0)|0;le[c[2164]&15](8537888,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537968]=1;i=d;return}function n3(b){b=b|0;var d=0,e=0;d=i;if(a[8537960]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6488>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(68984,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6488>>3],101704)|0)|0;le[c[2164]&15](8537888,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537960]=1;i=d;return}function o3(b){b=b|0;var d=0,e=0;d=i;if(a[8537952]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6480>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(68840,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6480>>3],101704)|0)|0;le[c[2164]&15](8537888,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537952]=1;i=d;return}function p3(b){b=b|0;var d=0,e=0;d=i;if(a[8537944]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6472>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(68368,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6472>>3],101704)|0)|0;le[c[2164]&15](8537888,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537944]=1;i=d;return}function q3(b){b=b|0;var d=0,e=0;d=i;if(a[8537936]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6464>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(68248,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6464>>3],101704)|0)|0;le[c[2164]&15](8537888,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537936]=1;i=d;return}function r3(b){b=b|0;var d=0,e=0;d=i;if(a[8537928]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6456>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(68048,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6456>>3],101704)|0)|0;le[c[2164]&15](8537888,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537928]=1;i=d;return}function s3(b){b=b|0;var d=0,e=0;d=i;if(a[8537920]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6448>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(67784,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6448>>3],101704)|0)|0;le[c[2164]&15](8537888,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537920]=1;i=d;return}function t3(b){b=b|0;var d=0,e=0;d=i;if(a[8537912]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6440>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(67664,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6440>>3],101704)|0)|0;le[c[2164]&15](8537888,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537912]=1;i=d;return}function u3(b){b=b|0;var d=0,e=0;d=i;if(a[8537880]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6432>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(67240,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6432>>3],101704)|0)|0;le[c[2164]&15](8537888,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537880]=1;i=d;return}function v3(b){b=b|0;var d=0,e=0;d=i;if(a[8537872]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5e3>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5e3>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(67088,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5e3>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537872]=1;i=d;return}function w3(b){b=b|0;var d=0,e=0;d=i;if(a[8537864]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4992>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4992>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(66952,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4992>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537864]=1;i=d;return}function x3(b){b=b|0;var d=0,e=0;d=i;if(a[8537856]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4984>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4984>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(66816,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4984>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537856]=1;i=d;return}function y3(b){b=b|0;var d=0,e=0;d=i;if(a[8537848]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4976>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4976>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(66664,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4976>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537848]=1;i=d;return}function z3(b){b=b|0;var d=0,e=0;d=i;if(a[8537840]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4968>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4968>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(66368,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4968>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537840]=1;i=d;return}function A3(b){b=b|0;var d=0,e=0;d=i;if(a[8537832]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4960>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4960>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(66232,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4960>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537832]=1;i=d;return}function B3(b){b=b|0;var d=0,e=0;d=i;if(a[8537824]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4936>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4936>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(66016,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4936>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537824]=1;i=d;return}function C3(b){b=b|0;var d=0,e=0;d=i;if(a[8537816]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4928>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4928>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(65832,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4928>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537816]=1;i=d;return}function D3(b){b=b|0;var d=0,e=0;d=i;if(a[8537808]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4920>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4920>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(65616,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4920>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537808]=1;i=d;return}function E3(b){b=b|0;var d=0,e=0;d=i;if(a[8537800]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4912>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4912>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(65264,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4912>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537800]=1;i=d;return}function F3(b){b=b|0;var d=0,e=0;d=i;if(a[8537792]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4904>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4904>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(65120,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4904>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537792]=1;i=d;return}function G3(b){b=b|0;var d=0,e=0;d=i;if(a[8537784]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4896>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4896>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(64984,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4896>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537784]=1;i=d;return}function H3(b){b=b|0;var d=0,e=0;d=i;if(a[8537776]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4872>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4872>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(64848,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4872>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537776]=1;i=d;return}function I3(b){b=b|0;var d=0,e=0;d=i;if(a[8537768]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4864>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4864>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(64680,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4864>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537768]=1;i=d;return}function J3(b){b=b|0;var d=0,e=0;d=i;if(a[8537760]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4856>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4856>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(64328,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4856>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537760]=1;i=d;return}function K3(b){b=b|0;var d=0,e=0;d=i;if(a[8537752]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4848>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4848>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(64192,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4848>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537752]=1;i=d;return}function L3(b){b=b|0;var d=0,e=0;d=i;if(a[8537744]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4840>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4840>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(63912,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4840>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537744]=1;i=d;return}function M3(b){b=b|0;var d=0,e=0;d=i;if(a[8537736]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4832>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4832>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(63704,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4832>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537736]=1;i=d;return}function N3(b){b=b|0;var d=0,e=0;d=i;if(a[8537728]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4808>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4808>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(63568,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4808>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537728]=1;i=d;return}function O3(b){b=b|0;var d=0,e=0;d=i;if(a[8537720]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4800>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4800>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(63088,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4800>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537720]=1;i=d;return}function P3(b){b=b|0;var d=0,e=0;d=i;if(a[8537712]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4792>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4792>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(62952,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4792>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537712]=1;i=d;return}function Q3(b){b=b|0;var d=0,e=0;d=i;if(a[8537704]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4784>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4784>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(62816,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4784>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537704]=1;i=d;return}function R3(b){b=b|0;var d=0,e=0;d=i;if(a[8537696]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4776>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4776>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(62680,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4776>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537696]=1;i=d;return}function S3(b){b=b|0;var d=0,e=0;d=i;if(a[8537688]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4768>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4768>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(62528,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4768>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537688]=1;i=d;return}function T3(b){b=b|0;var d=0,e=0;d=i;if(a[8537680]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4744>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4744>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(62184,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4744>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537680]=1;i=d;return}function U3(b){b=b|0;var d=0,e=0;d=i;if(a[8537672]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4736>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4736>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(61880,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4736>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537672]=1;i=d;return}function V3(b){b=b|0;var d=0,e=0;d=i;if(a[8537664]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4728>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4728>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(61744,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4728>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537664]=1;i=d;return}function W3(b){b=b|0;var d=0,e=0;d=i;if(a[8537656]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4720>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4720>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(61560,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4720>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537656]=1;i=d;return}function X3(b){b=b|0;var d=0,e=0;d=i;if(a[8537648]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4712>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4712>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(61424,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4712>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537648]=1;i=d;return}function Y3(b){b=b|0;var d=0,e=0;d=i;if(a[8537640]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4704>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4704>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(61080,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4704>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537640]=1;i=d;return}function Z3(b){b=b|0;var d=0,e=0;d=i;if(a[8537632]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4680>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4680>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(60944,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4680>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537632]=1;i=d;return}function _3(b){b=b|0;var d=0,e=0;d=i;if(a[8537624]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4672>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4672>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(60808,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4672>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537624]=1;i=d;return}function $3(b){b=b|0;var d=0,e=0;d=i;if(a[8537616]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4664>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4664>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(60672,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4664>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537616]=1;i=d;return}function a4(b){b=b|0;var d=0,e=0;d=i;if(a[8537608]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4656>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4656>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(60520,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4656>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537608]=1;i=d;return}function b4(b){b=b|0;var d=0,e=0;d=i;if(a[8537600]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4648>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4648>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(60176,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4648>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537600]=1;i=d;return}function c4(b){b=b|0;var d=0,e=0;d=i;if(a[8537592]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4640>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4640>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(60040,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4640>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537592]=1;i=d;return}function d4(b){b=b|0;var d=0,e=0;d=i;if(a[8537584]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4616>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4616>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(59768,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4616>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537584]=1;i=d;return}function e4(b){b=b|0;var d=0,e=0;d=i;if(a[8537576]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4608>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4608>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(59552,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4608>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537576]=1;i=d;return}function f4(b){b=b|0;var d=0,e=0;d=i;if(a[8537568]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4600>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4600>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(59408,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4600>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537568]=1;i=d;return}function g4(b){b=b|0;var d=0,e=0;d=i;if(a[8537560]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4592>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4592>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(58872,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4592>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537560]=1;i=d;return}function h4(b){b=b|0;var d=0,e=0;d=i;if(a[8537552]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4584>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4584>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(58632,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4584>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537552]=1;i=d;return}function i4(b){b=b|0;var d=0,e=0;d=i;if(a[8537544]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4576>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4576>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(57984,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4576>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537544]=1;i=d;return}function j4(b){b=b|0;var d=0,e=0;d=i;if(a[8537536]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4552>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4552>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(57744,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4552>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537536]=1;i=d;return}function k4(b){b=b|0;var d=0,e=0;d=i;if(a[8537528]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4544>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4544>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(57528,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4544>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537528]=1;i=d;return}function l4(b){b=b|0;var d=0,e=0;d=i;if(a[8537520]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4536>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4536>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(57216,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4536>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537520]=1;i=d;return}function m4(b){b=b|0;var d=0,e=0;d=i;if(a[8537512]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4528>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4528>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(57048,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4528>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537512]=1;i=d;return}function n4(b){b=b|0;var d=0,e=0;d=i;if(a[8537504]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4520>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4520>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(56552,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4520>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537504]=1;i=d;return}function o4(b){b=b|0;var d=0,e=0;d=i;if(a[8537496]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4512>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4512>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(56384,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4512>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537496]=1;i=d;return}function p4(b){b=b|0;var d=0,e=0;d=i;if(a[8537488]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4488>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4488>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(56248,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4488>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537488]=1;i=d;return}function q4(b){b=b|0;var d=0,e=0;d=i;if(a[8537480]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4480>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4480>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(55888,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4480>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537480]=1;i=d;return}function r4(b){b=b|0;var d=0,e=0;d=i;if(a[8537472]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4472>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4472>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(55736,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4472>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537472]=1;i=d;return}function s4(b){b=b|0;var d=0,e=0;d=i;if(a[8537464]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4464>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4464>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(55600,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4464>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537464]=1;i=d;return}function t4(b){b=b|0;var d=0,e=0;d=i;if(a[8537456]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4456>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4456>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(55464,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4456>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537456]=1;i=d;return}function u4(b){b=b|0;var d=0,e=0;d=i;if(a[8537448]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4448>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4448>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(55312,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4448>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537448]=1;i=d;return}function v4(b){b=b|0;var d=0,e=0;d=i;if(a[8537440]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4424>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4424>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(55e3,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4424>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537440]=1;i=d;return}function w4(b){b=b|0;var d=0,e=0;d=i;if(a[8537432]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4416>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4416>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(54856,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4416>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537432]=1;i=d;return}function x4(b){b=b|0;var d=0,e=0;d=i;if(a[8537424]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4408>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4408>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(54576,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4408>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537424]=1;i=d;return}function y4(b){b=b|0;var d=0,e=0;d=i;if(a[8537416]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4400>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4400>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(54352,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4400>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537416]=1;i=d;return}function z4(b){b=b|0;var d=0,e=0;d=i;if(a[8537408]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4392>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4392>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(54216,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4392>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537408]=1;i=d;return}function A4(b){b=b|0;var d=0,e=0;d=i;if(a[8537400]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4384>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4384>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(53848,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4384>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537400]=1;i=d;return}function B4(b){b=b|0;var d=0,e=0;d=i;if(a[8537392]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4360>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4360>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(53696,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4360>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537392]=1;i=d;return}function C4(b){b=b|0;var d=0,e=0;d=i;if(a[8537384]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4352>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4352>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(53560,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4352>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537384]=1;i=d;return}function D4(b){b=b|0;var d=0,e=0;d=i;if(a[8537376]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4344>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4344>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(53400,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4344>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537376]=1;i=d;return}function E4(b){b=b|0;var d=0,e=0;d=i;if(a[8537368]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4336>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4336>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(53240,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4336>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537368]=1;i=d;return}function F4(b){b=b|0;var d=0,e=0;d=i;if(a[8537360]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4328>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4328>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(52840,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4328>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537360]=1;i=d;return}function G4(b){b=b|0;var d=0,e=0;d=i;if(a[8537352]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4320>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4320>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(52704,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4320>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537352]=1;i=d;return}function H4(b){b=b|0;var d=0,e=0;d=i;if(a[8537344]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4304>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4304>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(52440,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4304>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537344]=1;i=d;return}function I4(b){b=b|0;var d=0,e=0;d=i;if(a[8537336]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6424>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6424>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(52272,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6424>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537336]=1;i=d;return}function J4(b){b=b|0;var d=0,e=0;d=i;if(a[8537328]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6416>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6416>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(52152,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6416>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537328]=1;i=d;return}function K4(b){b=b|0;var d=0,e=0;d=i;if(a[8537296]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4288>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4288>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(51800,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4288>>3],101704)|0)|0;le[c[2164]&15](8537304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537296]=1;i=d;return}function L4(b){b=b|0;var d=0,e=0;d=i;if(a[8537264]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6408>>3],.001)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6408>>3],.25)|0)<<24>>24==0)){i=d;return}b=Ofa(51648,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6408>>3],101704)|0)|0;le[c[2164]&15](8537272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537264]=1;i=d;return}function M4(b){b=b|0;var d=0,e=0;d=i;if(a[8537232]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6400>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6400>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=Ofa(51520,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6400>>3],101704)|0)|0;le[c[2164]&15](8537240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537232]=1;i=d;return}function N4(b){b=b|0;var d=0,e=0;d=i;if(a[8537224]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6392>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6392>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(51392,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6392>>3],101704)|0)|0;le[c[2164]&15](8537200,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537224]=1;i=d;return}function O4(b){b=b|0;var d=0,e=0;d=i;if(a[8537192]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6384>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6384>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(51232,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6384>>3],101704)|0)|0;le[c[2164]&15](8537200,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537192]=1;i=d;return}function P4(a){a=a|0;qO(a);rO(a);sO(a);tO(a);uO(a);vO(a);wO(a);xO(a);yO(a);zO(a);AO(a);BO(a);CO(a);DO(a);EO(a);FO(a);GO(a);HO(a);IO(a);JO(a);KO(a);LO(a);MO(a);NO(a);OO(a);PO(a);QO(a);RO(a);SO(a);TO(a);UO(a);VO(a);WO(a);XO(a);YO(a);ZO(a);_O(a);$O(a);aP(a);bP(a);cP(a);dP(a);eP(a);fP(a);gP(a);hP(a);iP(a);jP(a);kP(a);lP(a);mP(a);nP(a);oP(a);pP(a);qP(a);rP(a);sP(a);tP(a);uP(a);vP(a);wP(a);xP(a);yP(a);zP(a);AP(a);BP(a);CP(a);DP(a);EP(a);FP(a);GP(a);HP(a);IP(a);JP(a);KP(a);LP(a);MP(a);NP(a);OP(a);PP(a);QP(a);RP(a);SP(a);TP(a);UP(a);VP(a);WP(a);XP(a);YP(a);ZP(a);_P(a);$P(a);aQ(a);bQ(a);cQ(a);dQ(a);eQ(a);fQ(a);gQ(a);hQ(a);iQ(a);jQ(a);kQ(a);lQ(a);mQ(a);nQ(a);oQ(a);pQ(a);qQ(a);rQ(a);sQ(a);tQ(a);uQ(a);vQ(a);wQ(a);xQ(a);yQ(a);zQ(a);AQ(a);BQ(a);CQ(a);DQ(a);EQ(a);FQ(a);GQ(a);HQ(a);IQ(a);JQ(a);KQ(a);LQ(a);MQ(a);NQ(a);OQ(a);PQ(a);QQ(a);RQ(a);SQ(a);TQ(a);UQ(a);VQ(a);WQ(a);XQ(a);YQ(a);ZQ(a);_Q(a);$Q(a);aR(a);bR(a);cR(a);dR(a);eR(a);fR(a);gR(a);hR(a);iR(a);jR(a);kR(a);lR(a);mR(a);nR(a);oR(a);pR(a);qR(a);rR(a);sR(a);tR(a);uR(a);vR(a);wR(a);xR(a);yR(a);zR(a);AR(a);BR(a);CR(a);DR(a);ER(a);FR(a);GR(a);HR(a);IR(a);JR(a);KR(a);LR(a);MR(a);NR(a);OR(a);PR(a);QR(a);RR(a);SR(a);TR(a);UR(a);VR(a);WR(a);XR(a);YR(a);ZR(a);_R(a);$R(a);aS(a);bS(a);cS(a);dS(a);eS(a);fS(a);gS(a);hS(a);iS(a);jS(a);kS(a);lS(a);mS(a);nS(a);oS(a);pS(a);qS(a);rS(a);sS(a);tS(a);uS(a);vS(a);wS(a);xS(a);yS(a);zS(a);AS(a);BS(a);CS(a);DS(a);ES(a);FS(a);GS(a);HS(a);IS(a);JS(a);KS(a);LS(a);MS(a);NS(a);OS(a);PS(a);QS(a);RS(a);SS(a);TS(a);US(a);VS(a);WS(a);XS(a);YS(a);ZS(a);_S(a);$S(a);aT(a);bT(a);cT(a);dT(a);eT(a);fT(a);gT(a);hT(a);iT(a);jT(a);kT(a);lT(a);mT(a);nT(a);oT(a);pT(a);qT(a);rT(a);sT(a);tT(a);uT(a);vT(a);wT(a);xT(a);yT(a);zT(a);AT(a);BT(a);CT(a);DT(a);ET(a);FT(a);GT(a);HT(a);IT(a);JT(a);KT(a);LT(a);MT(a);NT(a);OT(a);PT(a);QT(a);RT(a);ST(a);TT(a);UT(a);VT(a);WT(a);XT(a);YT(a);ZT(a);_T(a);$T(a);aU(a);bU(a);cU(a);dU(a);eU(a);fU(a);gU(a);hU(a);iU(a);jU(a);kU(a);lU(a);mU(a);nU(a);oU(a);pU(a);qU(a);rU(a);sU(a);tU(a);uU(a);vU(a);wU(a);xU(a);yU(a);zU(a);AU(a);BU(a);CU(a);DU(a);EU(a);FU(a);GU(a);HU(a);IU(a);JU(a);KU(a);LU(a);MU(a);NU(a);OU(a);PU(a);QU(a);RU(a);SU(a);TU(a);UU(a);VU(a);WU(a);XU(a);YU(a);ZU(a);_U(a);$U(a);aV(a);bV(a);cV(a);dV(a);eV(a);fV(a);gV(a);hV(a);iV(a);jV(a);kV(a);lV(a);mV(a);nV(a);oV(a);pV(a);qV(a);rV(a);sV(a);tV(a);uV(a);vV(a);wV(a);xV(a);yV(a);zV(a);AV(a);BV(a);CV(a);DV(a);EV(a);FV(a);GV(a);HV(a);IV(a);JV(a);KV(a);LV(a);MV(a);NV(a);OV(a);PV(a);QV(a);RV(a);SV(a);TV(a);UV(a);VV(a);WV(a);XV(a);YV(a);ZV(a);_V(a);$V(a);aW(a);bW(a);cW(a);dW(a);eW(a);fW(a);gW(a);hW(a);iW(a);jW(a);kW(a);lW(a);mW(a);nW(a);oW(a);pW(a);qW(a);rW(a);sW(a);tW(a);uW(a);vW(a);wW(a);xW(a);yW(a);zW(a);AW(a);BW(a);CW(a);DW(a);EW(a);FW(a);GW(a);HW(a);IW(a);JW(a);KW(a);LW(a);MW(a);NW(a);OW(a);PW(a);QW(a);RW(a);SW(a);TW(a);UW(a);VW(a);WW(a);XW(a);YW(a);ZW(a);_W(a);$W(a);aX(a);bX(a);cX(a);dX(a);eX(a);fX(a);gX(a);hX(a);iX(a);jX(a);kX(a);lX(a);mX(a);nX(a);oX(a);pX(a);qX(a);rX(a);sX(a);tX(a);uX(a);vX(a);wX(a);xX(a);yX(a);zX(a);AX(a);BX(a);CX(a);DX(a);EX(a);FX(a);GX(a);HX(a);IX(a);JX(a);KX(a);LX(a);MX(a);NX(a);OX(a);PX(a);QX(a);RX(a);SX(a);TX(a);UX(a);VX(a);WX(a);XX(a);YX(a);ZX(a);_X(a);$X(a);aY(a);bY(a);cY(a);dY(a);eY(a);fY(a);gY(a);hY(a);iY(a);jY(a);kY(a);lY(a);mY(a);nY(a);oY(a);pY(a);qY(a);rY(a);sY(a);tY(a);uY(a);vY(a);wY(a);xY(a);yY(a);zY(a);AY(a);BY(a);CY(a);DY(a);EY(a);FY(a);GY(a);HY(a);IY(a);JY(a);KY(a);LY(a);MY(a);NY(a);OY(a);PY(a);QY(a);RY(a);SY(a);TY(a);UY(a);VY(a);WY(a);XY(a);YY(a);ZY(a);_Y(a);$Y(a);aZ(a);bZ(a);cZ(a);dZ(a);eZ(a);fZ(a);gZ(a);hZ(a);iZ(a);jZ(a);kZ(a);lZ(a);mZ(a);nZ(a);oZ(a);pZ(a);qZ(a);rZ(a);sZ(a);tZ(a);uZ(a);vZ(a);wZ(a);xZ(a);yZ(a);zZ(a);AZ(a);BZ(a);CZ(a);DZ(a);EZ(a);FZ(a);GZ(a);HZ(a);IZ(a);JZ(a);KZ(a);LZ(a);MZ(a);NZ(a);OZ(a);PZ(a);QZ(a);RZ(a);SZ(a);TZ(a);UZ(a);VZ(a);WZ(a);XZ(a);YZ(a);ZZ(a);_Z(a);$Z(a);a_(a);b_(a);c_(a);d_(a);e_(a);f_(a);g_(a);h_(a);i_(a);j_(a);k_(a);l_(a);m_(a);n_(a);o_(a);p_(a);q_(a);r_(a);s_(a);t_(a);u_(a);v_(a);w_(a);x_(a);y_(a);z_(a);A_(a);B_(a);C_(a);D_(a);E_(a);F_(a);G_(a);H_(a);I_(a);J_(a);K_(a);L_(a);M_(a);N_(a);O_(a);P_(a);Q_(a);R_(a);S_(a);T_(a);U_(a);V_(a);W_(a);X_(a);Y_(a);Z_(a);__(a);$_(a);a$(a);b$(a);c$(a);d$(a);e$(a);f$(a);g$(a);h$(a);i$(a);j$(a);k$(a);l$(a);m$(a);n$(a);o$(a);p$(a);q$(a);r$(a);s$(a);t$(a);u$(a);v$(a);w$(a);x$(a);y$(a);z$(a);A$(a);B$(a);C$(a);D$(a);E$(a);F$(a);G$(a);H$(a);I$(a);J$(a);K$(a);L$(a);M$(a);N$(a);O$(a);P$(a);Q$(a);R$(a);S$(a);T$(a);U$(a);V$(a);W$(a);X$(a);Y$(a);Z$(a);_$(a);$$(a);a0(a);b0(a);c0(a);d0(a);e0(a);f0(a);g0(a);h0(a);i0(a);j0(a);k0(a);l0(a);m0(a);n0(a);o0(a);p0(a);q0(a);r0(a);s0(a);t0(a);u0(a);v0(a);w0(a);x0(a);y0(a);z0(a);A0(a);B0(a);C0(a);D0(a);E0(a);F0(a);G0(a);H0(a);I0(a);J0(a);K0(a);L0(a);M0(a);N0(a);O0(a);P0(a);Q0(a);R0(a);S0(a);T0(a);U0(a);V0(a);W0(a);X0(a);Y0(a);Z0(a);_0(a);$0(a);a1(a);b1(a);c1(a);d1(a);e1(a);f1(a);g1(a);h1(a);i1(a);j1(a);k1(a);l1(a);m1(a);n1(a);o1(a);p1(a);q1(a);r1(a);s1(a);t1(a);u1(a);v1(a);w1(a);x1(a);y1(a);z1(a);A1(a);B1(a);C1(a);D1(a);E1(a);F1(a);G1(a);H1(a);I1(a);J1(a);K1(a);L1(a);M1(a);N1(a);O1(a);P1(a);Q1(a);R1(a);S1(a);T1(a);U1(a);V1(a);W1(a);X1(a);Y1(a);Z1(a);_1(a);$1(a);a2(a);b2(a);c2(a);d2(a);e2(a);f2(a);g2(a);h2(a);i2(a);j2(a);k2(a);l2(a);m2(a);n2(a);o2(a);p2(a);q2(a);r2(a);s2(a);t2(a);u2(a);v2(a);w2(a);x2(a);y2(a);z2(a);A2(a);B2(a);C2(a);D2(a);E2(a);F2(a);G2(a);H2(a);I2(a);J2(a);K2(a);L2(a);M2(a);N2(a);O2(a);P2(a);Q2(a);R2(a);S2(a);T2(a);U2(a);V2(a);W2(a);X2(a);Y2(a);Z2(a);_2(a);$2(a);a3(a);b3(a);c3(a);d3(a);e3(a);f3(a);g3(a);h3(a);i3(a);j3(a);k3(a);l3(a);m3(a);n3(a);o3(a);p3(a);q3(a);r3(a);s3(a);t3(a);u3(a);v3(a);w3(a);x3(a);y3(a);z3(a);A3(a);B3(a);C3(a);D3(a);E3(a);F3(a);G3(a);H3(a);I3(a);J3(a);K3(a);L3(a);M3(a);N3(a);O3(a);P3(a);Q3(a);R3(a);S3(a);T3(a);U3(a);V3(a);W3(a);X3(a);Y3(a);Z3(a);_3(a);$3(a);a4(a);b4(a);c4(a);d4(a);e4(a);f4(a);g4(a);h4(a);i4(a);j4(a);k4(a);l4(a);m4(a);n4(a);o4(a);p4(a);q4(a);r4(a);s4(a);t4(a);u4(a);v4(a);w4(a);x4(a);y4(a);z4(a);A4(a);B4(a);C4(a);D4(a);E4(a);F4(a);G4(a);H4(a);I4(a);J4(a);K4(a);L4(a);M4(a);N4(a);O4(a);return 0}function Q4(b){b=b|0;a[b+314|0]=0;R4(b);return 0}function R4(a){a=a|0;Ne(a);Qe(a);Te(a);Lf(a);Mf(a);Of(a);Pf(a);Rf(a);Sf(a);Uf(a);Vf(a);Wf(a);Xf(a);Yf(a);Zf(a);bg(a);cg(a);gg(a);hg(a);ig(a);jg(a);kg(a);lg(a);mg(a);ng(a);og(a);pg(a);qg(a);rg(a);sg(a);tg(a);ug(a);vg(a);wg(a);xg(a);yg(a);zg(a);Ag(a);Bg(a);Fg(a);Gg(a);Kg(a);Rg(a);Sg(a);Tg(a);Wg(a);Xg(a);Yg(a);Zg(a);ah(a);dh(a);eh(a);fh(a);lh(a);oh(a);ph(a);qh(a);rh(a);sh(a);th(a);vh(a);Ch(a);Dh(a);Eh(a);Fh(a);Gh(a);Hh(a);Ih(a);Jh(a);Kh(a);Lh(a);Mh(a);Qh(a);Uh(a);$h(a);ai(a);ki(a);oi(a);ui(a);yi(a);Ei(a);Ii(a);Oi(a);Si(a);Yi(a);aj(a);gj(a);kj(a);qj(a);uj(a);Aj(a);Ej(a);Kj(a);Oj(a);Uj(a);Yj(a);ck(a);gk(a);mk(a);qk(a);wk(a);Ak(a);Gk(a);Kk(a);Qk(a);Uk(a);_k(a);cl(a);il(a);ml(a);sl(a);wl(a);Cl(a);Gl(a);Ml(a);Ql(a);Wl(a);_l(a);em(a);im(a);km(a);lm(a);mm(a);nm(a);om(a);pm(a);qm(a);rm(a);sm(a);tm(a);um(a);vm(a);wm(a);xm(a);ym(a);zm(a);Am(a);Bm(a);Cm(a);Dm(a);Em(a);Fm(a);Gm(a);Hm(a);Im(a);Jm(a);Km(a);Lm(a);Mm(a);Nm(a);Om(a);Pm(a);Qm(a);Rm(a);Sm(a);Tm(a);Um(a);Vm(a);Wm(a);Xm(a);Ym(a);Zm(a);_m(a);$m(a);an(a);bn(a);cn(a);dn(a);en(a);fn(a);gn(a);hn(a);jn(a);kn(a);ln(a);mn(a);return}function S4(b){b=b|0;var d=0,e=0;d=i;if(a[8537184]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6376>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(146944,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6376>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537184]=1;i=d;return}function T4(b){b=b|0;var d=0,e=0;d=i;if(a[8537176]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3200>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(88304,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3200>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537176]=1;i=d;return}function U4(b){b=b|0;var d=0,e=0;d=i;if(a[8537168]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3208>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(48624,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3208>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537168]=1;i=d;return}function V4(b){b=b|0;var d=0,e=0;d=i;if(a[8537160]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3160>>3],-1.0e+60)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3160>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(41728,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3160>>3],34376)|0)|0;le[c[2164]&15](8535264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537160]=1;i=d;return}function W4(b){b=b|0;var d=0,e=0;d=i;if(a[8537152]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3136>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3136>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(29544,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3136>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537152]=1;i=d;return}function X4(b){b=b|0;var d=0,e=0;d=i;if(a[8537144]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3144>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3144>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(22560,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3144>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537144]=1;i=d;return}function Y4(b){b=b|0;var d=0,e=0;d=i;if(a[8537136]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3152>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3152>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(180904,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3152>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537136]=1;i=d;return}function Z4(b){b=b|0;var d=0,e=0;d=i;if(a[8537128]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3120>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3120>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(174232,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3120>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537128]=1;i=d;return}function _4(b){b=b|0;var d=0,e=0;d=i;if(a[8537120]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3128>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3128>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(168208,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3128>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537120]=1;i=d;return}function $4(b){b=b|0;var d=0,e=0;d=i;if(a[8537112]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3112>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3112>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(163208,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3112>>3],34376)|0)|0;le[c[2164]&15](8535136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537112]=1;i=d;return}function a5(b){b=b|0;var d=0,e=0;d=i;if(a[8537104]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3080>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3080>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(159480,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3080>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537104]=1;i=d;return}function b5(b){b=b|0;var d=0,e=0;d=i;if(a[8537096]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3072>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3072>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(151664,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3072>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537096]=1;i=d;return}function c5(b){b=b|0;var d=0,e=0;d=i;if(a[8537088]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+168>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+168>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(147312,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+168>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537088]=1;i=d;return}function d5(b){b=b|0;var d=0,e=0;d=i;if(a[8537080]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3064>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3064>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(143440,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3064>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537080]=1;i=d;return}function e5(b){b=b|0;var d=0,e=0;d=i;if(a[8537072]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3040>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3040>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(139528,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3040>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537072]=1;i=d;return}function f5(b){b=b|0;var d=0,e=0;d=i;if(a[8537064]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3032>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3032>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(135984,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3032>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537064]=1;i=d;return}function g5(b){b=b|0;var d=0,e=0;d=i;if(a[8537056]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+160>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+160>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(131664,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+160>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537056]=1;i=d;return}function h5(b){b=b|0;var d=0,e=0;d=i;if(a[8537048]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3024>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3024>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(128112,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3024>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537048]=1;i=d;return}function i5(b){b=b|0;var d=0,e=0;d=i;if(a[8537040]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6368>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(124480,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6368>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537040]=1;i=d;return}function j5(b){b=b|0;var d=0,e=0;d=i;if(a[8537032]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6360>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(121680,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6360>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537032]=1;i=d;return}function k5(b){b=b|0;var d=0,e=0;d=i;if(a[8537016]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2952>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(119136,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2952>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537016]=1;i=d;return}function l5(b){b=b|0;var d=0,e=0;d=i;if(a[8537008]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2960>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(116680,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2960>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537008]=1;i=d;return}function m5(b){b=b|0;var d=0,e=0;d=i;if(a[8537e3]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2912>>3],-1.0e+60)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2912>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(114416,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2912>>3],34376)|0)|0;le[c[2164]&15](8535264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8537e3]=1;i=d;return}function n5(b){b=b|0;var d=0,e=0;d=i;if(a[8536992]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2888>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2888>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(111760,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2888>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536992]=1;i=d;return}function o5(b){b=b|0;var d=0,e=0;d=i;if(a[8536984]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2896>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2896>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(109256,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2896>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536984]=1;i=d;return}function p5(b){b=b|0;var d=0,e=0;d=i;if(a[8536976]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2904>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2904>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(107232,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2904>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536976]=1;i=d;return}function q5(b){b=b|0;var d=0,e=0;d=i;if(a[8536968]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2872>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2872>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(104264,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2872>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536968]=1;i=d;return}function r5(b){b=b|0;var d=0,e=0;d=i;if(a[8536960]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2880>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2880>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(101264,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2880>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536960]=1;i=d;return}function s5(b){b=b|0;var d=0,e=0;d=i;if(a[8536952]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2864>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2864>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(99088,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2864>>3],34376)|0)|0;le[c[2164]&15](8535136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536952]=1;i=d;return}function t5(b){b=b|0;var d=0,e=0;d=i;if(a[8536944]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2832>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2832>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(96216,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2832>>3],34376)|0)|0;le[c[2164]&15](8535072,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536944]=1;i=d;return}function u5(b){b=b|0;var d=0,e=0;d=i;if(a[8536928]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2824>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2824>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(93408,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2824>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536928]=1;i=d;return}function v5(b){b=b|0;var d=0,e=0;d=i;if(a[8536920]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2816>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2816>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(91400,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2816>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536920]=1;i=d;return}function w5(b){b=b|0;var d=0,e=0;d=i;if(a[8536912]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+152>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+152>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(88936,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+152>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536912]=1;i=d;return}function x5(b){b=b|0;var d=0,e=0;d=i;if(a[8536904]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2808>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2808>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(86272,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2808>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536904]=1;i=d;return}function y5(b){b=b|0;var d=0,e=0;d=i;if(a[8536896]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2776>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2776>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(84368,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2776>>3],34376)|0)|0;le[c[2164]&15](8535072,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536896]=1;i=d;return}function z5(b){b=b|0;var d=0,e=0;d=i;if(a[8536888]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2768>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2768>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(81944,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2768>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536888]=1;i=d;return}function A5(b){b=b|0;var d=0,e=0;d=i;if(a[8536880]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2760>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2760>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(78432,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2760>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536880]=1;i=d;return}function B5(b){b=b|0;var d=0,e=0;d=i;if(a[8536872]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+144>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+144>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(76432,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+144>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536872]=1;i=d;return}function C5(b){b=b|0;var d=0,e=0;d=i;if(a[8536864]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2752>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2752>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(74256,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2752>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536864]=1;i=d;return}function D5(b){b=b|0;var d=0,e=0;d=i;if(a[8536856]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6352>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(72152,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6352>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536856]=1;i=d;return}function E5(b){b=b|0;var d=0,e=0;d=i;if(a[8536848]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6344>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(70120,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6344>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536848]=1;i=d;return}function F5(b){b=b|0;var d=0,e=0;d=i;if(a[8536840]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2680>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(68168,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2680>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536840]=1;i=d;return}function G5(b){b=b|0;var d=0,e=0;d=i;if(a[8536832]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2688>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(66152,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2688>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536832]=1;i=d;return}function H5(b){b=b|0;var d=0,e=0;d=i;if(a[8536824]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2640>>3],-1.0e+60)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2640>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(64048,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2640>>3],34376)|0)|0;le[c[2164]&15](8535264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536824]=1;i=d;return}function I5(b){b=b|0;var d=0,e=0;d=i;if(a[8536816]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2616>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2616>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(62016,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2616>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536816]=1;i=d;return}function J5(b){b=b|0;var d=0,e=0;d=i;if(a[8536808]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2624>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2624>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(59904,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2624>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536808]=1;i=d;return}function K5(b){b=b|0;var d=0,e=0;d=i;if(a[8536800]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2632>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2632>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(56904,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2632>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536800]=1;i=d;return}function L5(b){b=b|0;var d=0,e=0;d=i;if(a[8536792]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2600>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2600>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(54712,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2600>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536792]=1;i=d;return}function M5(b){b=b|0;var d=0,e=0;d=i;if(a[8536784]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2608>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2608>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(52560,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2608>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536784]=1;i=d;return}function N5(b){b=b|0;var d=0,e=0;d=i;if(a[8536776]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2592>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2592>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(50752,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2592>>3],34376)|0)|0;le[c[2164]&15](8535136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536776]=1;i=d;return}function O5(b){b=b|0;var d=0,e=0;d=i;if(a[8536768]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2560>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2560>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(5e4,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2560>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536768]=1;i=d;return}function P5(b){b=b|0;var d=0,e=0;d=i;if(a[8536760]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2552>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2552>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(49464,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2552>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536760]=1;i=d;return}function Q5(b){b=b|0;var d=0,e=0;d=i;if(a[8536752]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+136>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+136>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(48728,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+136>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536752]=1;i=d;return}function R5(b){b=b|0;var d=0,e=0;d=i;if(a[8536744]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2544>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2544>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(48072,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2544>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536744]=1;i=d;return}function S5(b){b=b|0;var d=0,e=0;d=i;if(a[8536736]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2512>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2512>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(47368,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2512>>3],34376)|0)|0;le[c[2164]&15](8535072,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536736]=1;i=d;return}function T5(b){b=b|0;var d=0,e=0;d=i;if(a[8536728]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2504>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2504>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(46720,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2504>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536728]=1;i=d;return}function U5(b){b=b|0;var d=0,e=0;d=i;if(a[8536720]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2496>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2496>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(45304,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2496>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536720]=1;i=d;return}function V5(b){b=b|0;var d=0,e=0;d=i;if(a[8536712]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+128>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+128>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(44656,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+128>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536712]=1;i=d;return}function W5(b){b=b|0;var d=0,e=0;d=i;if(a[8536704]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2488>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2488>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(43992,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2488>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536704]=1;i=d;return}function X5(b){b=b|0;var d=0,e=0;d=i;if(a[8536696]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6336>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(43504,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6336>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536696]=1;i=d;return}function Y5(b){b=b|0;var d=0,e=0;d=i;if(a[8536688]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6328>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(42904,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6328>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536688]=1;i=d;return}function Z5(b){b=b|0;var d=0,e=0;d=i;if(a[8536680]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2416>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(42440,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2416>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536680]=1;i=d;return}function _5(b){b=b|0;var d=0,e=0;d=i;if(a[8536672]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2424>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(41896,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2424>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536672]=1;i=d;return}function $5(b){b=b|0;var d=0,e=0;d=i;if(a[8536664]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2360>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2360>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(41240,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2360>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536664]=1;i=d;return}function a6(b){b=b|0;var d=0,e=0;d=i;if(a[8536656]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2368>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2368>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(40568,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2368>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536656]=1;i=d;return}



function gja(b,d,e,f,g,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=+f;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0,U=0,W=0;r=i;i=i+4120|0;s=r|0;t=r+8|0;u=r+16|0;v=r+24|0;w=p;x=c[p+468>>2]|0;y=c[x+(q*80|0)+40>>2]|0;z=+h[y+32>>3];c[t>>2]=1;c[u>>2]=1;do{if((c[2136476]|0)!=0){hfa(18,0,172488,(A=i,i=i+8|0,c[A>>2]=j,A)|0);i=A;if((c[b>>2]|0)>0){B=0}else{break}do{C=+h[d+(B<<3)>>3];hfa(18,0,166816,(A=i,i=i+16|0,c[A>>2]=B,h[A+8>>3]=C,A)|0);i=A;B=B+1|0;}while((B|0)<(c[b>>2]|0))}}while(0);c[o>>2]=1;B=x+(q*80|0)+28|0;x=y+12|0;D=v|0;v=y+8|0;E=y+4|0;F=y+20|0;G=y+64|0;y=j;a:while(1){hja(d,e,s,p,q)|0;c[k>>2]=(c[k>>2]|0)+1;if((c[B>>2]|0)==-1){ija(b,d,e,l,+h[g>>3],s,m,p,q);c[k>>2]=(c[b>>2]|0)+(c[k>>2]|0)}else{eja(w,l,q)|0}if((c[2136477]|0)!=0){j=c[b>>2]|0;hfa(19,1,154016,(A=i,i=i+16|0,c[A>>2]=j,c[A+8>>2]=j,A)|0);i=A;if((c[x>>2]|0)>0){j=0;do{a[D]=0;if((c[x>>2]|0)>0){H=0;do{C=+h[l+((ga(c[b>>2]|0,j)|0)+H<<3)>>3];Pb(D|0,150640,(A=i,i=i+16|0,c[A>>2]=D,h[A+8>>3]=C,A)|0)|0;i=A;H=H+1|0;}while((H|0)<(c[x>>2]|0))}hfa(19,0,146136,(A=i,i=i+8|0,c[A>>2]=D,A)|0);i=A;j=j+1|0;}while((j|0)<(c[x>>2]|0))}Vd[c[3586]&511](19)}j=c[x>>2]|0;if((j|0)>0){H=c[E>>2]|0;I=c[F>>2]|0;J=c[v>>2]|0;K=0;L=0;while(1){M=H+(K<<3)|0;h[M>>3]=1.0e-16;N=c[G>>2]|0;O=(j|0)>1?j:1;P=0;Q=L;C=1.0e-16;while(1){R=+V(+(+h[N+(Q<<3)>>3]));S=R>C?R:C;h[M>>3]=S;T=P+1|0;if((T|0)<(j|0)){P=T;Q=Q+1|0;C=S}else{break}}h[J+(K<<3)>>3]=+h[I+(K<<3)>>3]*(1.0/S);Q=K+1|0;if((Q|0)<(j|0)){K=Q;L=L+O|0}else{U=J;break}}}else{U=c[v>>2]|0}C=+pha(b,U);if(!(C>z&+pha(b,e)>z)){W=31;break}X9(b,t,l,b,n,e,b,u)|0;J=c[u>>2]|0;do{if((J|0)>0){c[o>>2]=-1;jfa(17,0,126984,(A=i,i=i+1|0,i=i+7&-8,c[A>>2]=0,A)|0);i=A}else{if((J|0)<0){c[o>>2]=-1;jfa(17,0,123552,(A=i,i=i+8|0,c[A>>2]=J,A)|0);i=A;break}L=c[b>>2]|0;if((L|0)>0){K=0;do{j=d+(K<<3)|0;h[j>>3]=+h[j>>3]- +h[e+(K<<3)>>3];K=K+1|0;}while((K|0)<(L|0))}if(!(+pha(b,e)>f)){W=31;break a}}}while(0);J=y-1|0;if((J|0)<0){W=30;break}if((c[o>>2]|0)>-1){y=J}else{W=31;break}}if((W|0)==30){c[o>>2]=-1;i=r;return}else if((W|0)==31){i=r;return}}function hja(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;oe[c[(c[e+468>>2]|0)+(f*80|0)+32>>2]&127](e,a,b,d);return 0}function ija(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=+f;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0,v=0;l=+W(f);if((c[a>>2]|0)<=0){return}m=(c[(c[j+468>>2]|0)+(k*80|0)+56>>2]|0)==0;n=0;do{f=+h[b+(n<<3)>>3];if(m){if(f<0.0){o=-0.0-f}else{o=f}p=l*+Yb(+1.0,+o);if(+h[d+(n<<3)>>3]<0.0){q=-0.0-p}else{q=p}r=q+f-f}else{r=1.0}s=b+(n<<3)|0;h[s>>3]=r+f;p=1.0/r;hja(b,i,g,j,k)|0;t=c[a>>2]|0;if((t|0)>0){u=0;do{v=(ga(t,n)|0)+u|0;h[e+(v<<3)>>3]=p*(+h[i+(u<<3)>>3]- +h[d+(u<<3)>>3]);u=u+1|0;}while((u|0)<(t|0))}h[s>>3]=f;n=n+1|0;}while((n|0)<(t|0));return}function jja(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=c[b+24>>2]|0;if((d|0)==3){e=Hha(a,b)|0;return e|0}else if((d|0)==2){kja(a,b);e=0;return e|0}else if((d|0)==1){f=c[a+4>>2]|0;g=c[f+4>>2]|0;lja(c[f>>2]|0,+h[g>>3],c[g+8>>2]|0,c[a+112>>2]|0,b);e=0;return e|0}else if((d|0)==4){de[c[(c[a+540>>2]|0)+56>>2]&3](a,+h[b+8>>3])|0;h[b>>3]=+h[c[c[a+4>>2]>>2]>>3];e=0;return e|0}else{e=1;return e|0}return 0}function kja(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0.0;d=c[c[b+48>>2]>>2]|0;e=c[a+4>>2]|0;f=c[e>>2]|0;g=c[e+4>>2]|0;e=f+8|0;i=c[e>>2]|0;j=a+112|0;k=c[j>>2]|0;l=g+8|0;m=c[l>>2]|0;n=g|0;g=b+8|0;o=b|0;h[o>>3]=+h[n>>3]+ +h[g>>3];if((k|0)>0){b=c[d>>2]|0;p=0;do{h[b+(p<<3)>>3]=+h[m+(p+k<<3)>>3];p=p+1|0;}while((p|0)<(k|0))}p=f|0;f=a+540|0;m=1;b=k;do{if((b|0)>0){q=c[l>>2]|0;r=+h[8032+(m<<3)>>3];s=c[d+(m-1<<2)>>2]|0;t=c[e>>2]|0;u=0;while(1){h[t+(u<<3)>>3]=+h[q+(u<<3)>>3]+ +h[g>>3]*r*+h[s+(u<<3)>>3];v=u+1|0;if((v|0)<(b|0)){u=v}else{w=r;break}}}else{w=+h[8032+(m<<3)>>3]}h[p>>3]=+h[n>>3]+w*+h[g>>3];Yd[c[(c[f>>2]|0)+28>>2]&255](a)|0;b=c[j>>2]|0;x=(b|0)>0;if(x){u=c[d+(m<<2)>>2]|0;s=0;do{h[u+(s<<3)>>3]=+h[i+(s+k<<3)>>3];s=s+1|0;}while((s|0)<(b|0))}m=m+1|0;}while((m|0)<4);if(!x){y=+h[o>>3];h[p>>3]=y;return}x=c[l>>2]|0;l=c[e>>2]|0;e=c[d>>2]|0;m=c[d+4>>2]|0;k=c[d+8>>2]|0;i=c[d+12>>2]|0;d=0;do{h[l+(d<<3)>>3]=+h[x+(d<<3)>>3]+(+h[e+(d<<3)>>3]*.16666666666666666+0.0+ +h[m+(d<<3)>>3]*.3333333333333333+ +h[k+(d<<3)>>3]*.3333333333333333+ +h[i+(d<<3)>>3]*.16666666666666666)*+h[g>>3];d=d+1|0;}while((d|0)<(b|0));y=+h[o>>3];h[p>>3]=y;return}function lja(a,b,d,e,f){a=a|0;b=+b;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0,o=0;g=f+8|0;i=+h[g>>3];j=i+b;k=f|0;h[k>>3]=j;if((e|0)<=0){l=j;m=a|0;h[m>>3]=l;return}f=c[a+8>>2]|0;n=0;j=i;while(1){h[f+(n<<3)>>3]=+h[d+(n<<3)>>3]+ +h[d+(n+e<<3)>>3]*j;o=n+1|0;if((o|0)>=(e|0)){break}n=o;j=+h[g>>3]}l=+h[k>>3];m=a|0;h[m>>3]=l;return}function mja(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;h[d>>3]=+h[b+240>>3];h[d+8>>3]=+h[b+264>>3];h[d+16>>3]=0.0;a[d+28|0]=0;c[d+32>>2]=ofa(4)|0;c[d+36>>2]=0;c[d+40>>2]=0;c[d+44>>2]=0;f=c[d+24>>2]|0;a:do{if((f|0)==2){g=IJa(8)|0;c[g+4>>2]=4;j=IJa(20)|0;k=g;c[k>>2]=j;l=c[b+112>>2]|0;m=0;n=j;while(1){c[n+(m<<2)>>2]=KJa(l,8)|0;j=m+1|0;if((j|0)>=5){break}m=j;n=c[k>>2]|0}c[d+48>>2]=g;o=0}else if((f|0)==3){k=IJa(88)|0;hfa(23,0,175120,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;n=Fha(b,d,k)|0;c[d+48>>2]=k;o=n}else if((f|0)==4){n=c[2138834]|0;k=IJa(n<<2)|0;c[2136442]=k;if((n|0)<=0){o=0;break}m=c[b+116>>2]|0;l=0;j=k;while(1){c[j+(l<<2)>>2]=KJa(m,8)|0;k=l+1|0;if((k|0)>=(n|0)){o=0;break a}l=k;j=c[2136442]|0}}else{o=0}}while(0);zja(b)|0;if((c[2138764]|0)==0){i=e;return o|0}Bga(6);yga(1);i=e;return o|0}function nja(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=c[b+24>>2]|0;if((d|0)==4){e=c[2138834]|0;f=c[2136442]|0;if((e|0)>0){g=0;h=f;while(1){JJa(c[h+(g<<2)>>2]|0);i=g+1|0;j=c[2136442]|0;if((i|0)<(e|0)){g=i;h=j}else{k=j;break}}}else{k=f}JJa(k)}else if((d|0)==3){Gha(c[b+48>>2]|0)|0}else if((d|0)==2){d=b+48|0;b=c[d>>2]|0;k=c[b>>2]|0;if(((c[b+4>>2]|0)+1|0)>0){b=0;f=k;while(1){JJa(c[f+(b<<2)>>2]|0);h=b+1|0;g=c[d>>2]|0;e=c[g>>2]|0;if((h|0)<((c[g+4>>2]|0)+1|0)){b=h;f=e}else{l=e;break}}}else{l=k}JJa(l);JJa(c[d>>2]|0)}Aja(a)|0;uja(a);return 0}function oja(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=+f;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,z=0;j=i;i=i+160|0;k=1;l=0;m=i;i=i+168|0;c[m>>2]=0;while(1)switch(k|0){case 1:n=j|0;o=a+536|0;p=c[o>>2]|0;pa(60,a|0);if((x|0)!=0&(y|0)!=0){l=nKa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;q=a+540|0;sa(c[(c[q>>2]|0)+40>>2]|0,a|0)|0;if((x|0)!=0&(y|0)!=0){l=nKa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;r=a+240|0;h[c[c[a+4>>2]>>2]>>3]=+h[r>>3];pa(c[(c[q>>2]|0)+4>>2]|0,a|0);if((x|0)!=0&(y|0)!=0){l=nKa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;pa(82,a|0);if((x|0)!=0&(y|0)!=0){l=nKa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;na(2,+(+h[a+272>>3]));if((x|0)!=0&(y|0)!=0){l=nKa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;c[(c[o>>2]|0)+84>>2]=1;s=p+80|0;t=c[s>>2]|0;c[s>>2]=n;u=mKa(n|0,k,m)|0;k=9;break;case 9:if((u|0)==0){k=2;break}else{k=5;break};case 2:n=Ea(2,a|0,b|0,d|0,e|0,+f,g|0)|0;if((x|0)!=0&(y|0)!=0){l=nKa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;if((n|0)==0){v=0;k=4;break}else{k=3;break};case 3:Ka(64,1,0,178552,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=nKa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;h[a+248>>3]=+h[r>>3];v=-1;k=4;break;case 4:c[s>>2]=t;Ia(4);if((x|0)!=0&(y|0)!=0){l=nKa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;z=v;k=6;break;case 5:c[s>>2]=t;Ia(4);if((x|0)!=0&(y|0)!=0){l=nKa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;Ka(104,2,0,134472,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=nKa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;z=-1;k=6;break;case 6:qa(c[2006]|0,8e3,a|0);if((x|0)!=0&(y|0)!=0){l=nKa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;Ka(104,23,0,106176,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=nKa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;if((c[2138764]|0)==0){k=8;break}else{k=7;break};case 7:pa(314,1);if((x|0)!=0&(y|0)!=0){l=nKa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;k=8;break;case 8:i=j;return z|0;case-1:if((l|0)==1){u=y;k=9}x=y=0;break}return 0}function pja(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0.0,j=0,k=0,l=0.0,m=0.0,n=0;f=i;g=+h[d>>3];do{if(!(g<+h[b+248>>3])){if((c[d+24>>2]|0)==5){break}hfa(8,0,80808,(j=i,i=i+8|0,h[j>>3]=g,j)|0);i=j;k=b+313|0;a[k]=1;dia(b);if((c[2136662]|0)==0){Wd[c[2005]&255](8e3,b)}a[k]=0}}while(0);Tva(59120,1.0);if((e|0)!=0){qja(Lc(e|0)|0,b)}if((c[2136483]|0)==0){i=f;return 0}Bga(0);hfa(25,0,46456,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;hfa(25,1,39904,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;g=+tga(6);l=+tga(6);m=l/+tga(0)*100.0;hfa(25,0,33472,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j;m=+tga(1);g=+tga(1);l=g/+tga(0)*100.0;hfa(25,0,27648,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;l=+tga(2);m=+tga(2);g=m/+tga(0)*100.0;hfa(25,0,6878016,(j=i,i=i+16|0,h[j>>3]=l,h[j+8>>3]=g,j)|0);i=j;g=+tga(3);l=+tga(3);m=l/+tga(0)*100.0;hfa(25,0,178920,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j;m=+tga(4);g=+tga(4);l=g/+tga(0)*100.0;hfa(25,0,172456,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;l=+tga(7);m=+tga(7);g=m/+tga(0)*100.0;hfa(25,0,166744,(j=i,i=i+16|0,h[j>>3]=l,h[j+8>>3]=g,j)|0);i=j;b=d+24|0;e=(c[b>>2]|0)==5;g=+tga(0);l=g- +tga(7);g=l- +tga(4);l=g- +tga(3);g=l- +tga(2);l=g- +tga(1);g=l- +tga(6);l=+tga(0);m=l- +tga(7);l=m- +tga(4);m=l- +tga(3);l=m- +tga(2);m=l- +tga(1);l=m- +tga(6);m=l/+tga(0)*100.0;if(e){hfa(25,0,158088,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j}else{hfa(25,0,162104,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j}m=+tga(0);g=+tga(0);l=g/+tga(0)*100.0;hfa(25,0,153984,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;Vd[c[3586]&511](25);hfa(25,1,150536,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;hfa(25,0,146112,(j=i,i=i+8|0,c[j>>2]=c[d+40>>2],j)|0);i=j;hfa(25,0,142168,(j=i,i=i+8|0,c[j>>2]=c[d+44>>2],j)|0);i=j;Vd[c[3586]&511](25);e=c[b>>2]|0;if((e|0)==3){b=d+48|0;d=c[b>>2]|0;k=c[d+8>>2]|0;n=c[d+4>>2]|0;c[n>>2]=(c[n>>2]|0)+(c[k>>2]|0);d=n+4|0;c[d>>2]=(c[d>>2]|0)+(c[k+4>>2]|0);d=n+8|0;c[d>>2]=(c[d>>2]|0)+(c[k+8>>2]|0);d=n+12|0;c[d>>2]=(c[d>>2]|0)+(c[k+12>>2]|0);d=n+16|0;c[d>>2]=(c[d>>2]|0)+(c[k+16>>2]|0);hfa(25,1,138616,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;hfa(25,0,134728,(j=i,i=i+8|0,c[j>>2]=c[c[(c[b>>2]|0)+4>>2]>>2],j)|0);i=j;hfa(25,0,130600,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+4>>2],j)|0);i=j;hfa(25,0,126952,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+8>>2],j)|0);i=j;hfa(25,0,123528,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+12>>2],j)|0);i=j;hfa(25,0,120928,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+16>>2],j)|0);i=j;Vd[c[3586]&511](25)}else if((e|0)!=5){hfa(25,1,118296,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;hfa(25,0,115880,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Vd[c[3586]&511](25)}hfa(25,0,113480,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;yga(0);i=f;return 0}function qja(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;e=i;f=Xa(b|0,92928)|0;b=c[r>>2]|0;g=d+4|0;od(b|0,90808,(j=i,i=i+8|0,h[j>>3]=+h[c[c[g>>2]>>2]>>3],j)|0)|0;i=j;if((f|0)==0){k=Wa(10,b|0)|0;l=Ta(b|0)|0;i=e;return}m=d+116|0;n=d+124|0;o=d+128|0;p=d+132|0;q=d+216|0;s=d+220|0;t=d+224|0;u=d+228|0;v=d+136|0;w=d+140|0;x=d+144|0;y=d+148|0;z=d+36|0;A=d+428|0;B=d+32|0;C=d+424|0;D=d+28|0;E=d+420|0;F=d+24|0;G=d+416|0;H=d+52|0;I=d+48|0;J=d+44|0;K=d+40|0;L=d+20|0;M=d+16|0;N=d+12|0;O=d+8|0;d=f;do{f=c[m>>2]|0;if((f|0)>0){P=0;Q=f;while(1){if((gKa(d,c[(c[O>>2]|0)+(P*112|0)+4>>2]|0)|0)==0){R=+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+(P<<3)>>3];od(b|0,88128,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;S=c[m>>2]|0}else{S=Q}f=P+1|0;if((f|0)<(S|0)){P=f;Q=S}else{break}}}Q=c[n>>2]|0;if((Q|0)>0){P=0;f=Q;while(1){if((gKa(d,c[(c[N>>2]|0)+(P*60|0)+4>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+12>>2]|0)+(P<<2)>>2]|0;od(b|0,85752,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;T=c[n>>2]|0}else{T=f}Q=P+1|0;if((Q|0)<(T|0)){P=Q;f=T}else{break}}}f=c[o>>2]|0;if((f|0)>0){P=0;Q=f;while(1){if((gKa(d,c[(c[M>>2]|0)+(P*48|0)+4>>2]|0)|0)==0){f=a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+P|0]|0;od(b|0,83848,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=f,j)|0)|0;i=j;U=c[o>>2]|0}else{U=Q}f=P+1|0;if((f|0)<(U|0)){P=f;Q=U}else{break}}}Q=c[p>>2]|0;if((Q|0)>0){P=0;f=Q;while(1){if((gKa(d,c[(c[L>>2]|0)+(P*52|0)+4>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+20>>2]|0)+(P<<2)>>2]|0;od(b|0,81088,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;V=c[p>>2]|0}else{V=f}Q=P+1|0;if((Q|0)<(V|0)){P=Q;f=V}else{break}}}if((c[q>>2]|0)>0){f=0;do{P=c[K>>2]|0;do{if((gKa(d,c[P+(f*52|0)+16>>2]|0)|0)==0){R=+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+(c[P+(f*52|0)+4>>2]<<3)>>3];if((c[P+(f*52|0)>>2]|0)==0){od(b|0,88128,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;break}else{od(b|0,88128,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=-0.0-R,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[q>>2]|0))}if((c[s>>2]|0)>0){f=0;do{P=c[J>>2]|0;do{if((gKa(d,c[P+(f*52|0)+16>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+12>>2]|0)+(c[P+(f*52|0)+4>>2]<<2)>>2]|0;if((c[P+(f*52|0)>>2]|0)==0){od(b|0,85752,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;break}else{od(b|0,85752,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=-Q,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[s>>2]|0))}if((c[t>>2]|0)>0){f=0;do{P=c[I>>2]|0;do{if((gKa(d,c[P+(f*52|0)+16>>2]|0)|0)==0){Q=a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+(c[P+(f*52|0)+4>>2]|0)|0]|0;if((c[P+(f*52|0)>>2]|0)==0){od(b|0,83848,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;break}else{od(b|0,83848,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=-Q,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[t>>2]|0))}f=c[u>>2]|0;if((f|0)>0){P=0;Q=f;while(1){f=c[H>>2]|0;if((gKa(d,c[f+(P*52|0)+16>>2]|0)|0)==0){W=c[(c[(c[c[g>>2]>>2]|0)+20>>2]|0)+(c[f+(P*52|0)+4>>2]<<2)>>2]|0;od(b|0,81088,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;X=c[u>>2]|0}else{X=Q}W=P+1|0;if((W|0)<(X|0)){P=W;Q=X}else{break}}}Q=c[v>>2]|0;if((Q|0)>0){P=0;W=Q;while(1){if((gKa(d,c[(c[F>>2]|0)+(P*112|0)+4>>2]|0)|0)==0){R=+h[(c[G>>2]|0)+(P<<3)>>3];od(b|0,88128,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;Y=c[v>>2]|0}else{Y=W}Q=P+1|0;if((Q|0)<(Y|0)){P=Q;W=Y}else{break}}}W=c[w>>2]|0;if((W|0)>0){P=0;Q=W;while(1){if((gKa(d,c[(c[D>>2]|0)+(P*60|0)+4>>2]|0)|0)==0){W=c[(c[E>>2]|0)+(P<<2)>>2]|0;od(b|0,85752,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;Z=c[w>>2]|0}else{Z=Q}W=P+1|0;if((W|0)<(Z|0)){P=W;Q=Z}else{break}}}Q=c[x>>2]|0;if((Q|0)>0){P=0;W=Q;while(1){if((gKa(d,c[(c[B>>2]|0)+(P*48|0)+4>>2]|0)|0)==0){Q=a[(c[C>>2]|0)+P|0]|0;od(b|0,83848,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;_=c[x>>2]|0}else{_=W}Q=P+1|0;if((Q|0)<(_|0)){P=Q;W=_}else{break}}}W=c[y>>2]|0;if((W|0)>0){P=0;Q=W;while(1){if((gKa(d,c[(c[z>>2]|0)+(P*52|0)+4>>2]|0)|0)==0){W=c[(c[A>>2]|0)+(P<<2)>>2]|0;od(b|0,81088,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;$=c[y>>2]|0}else{$=Q}W=P+1|0;if((W|0)<($|0)){P=W;Q=$}else{break}}}d=Xa(0,92928)|0;}while((d|0)!=0);k=Wa(10,b|0)|0;l=Ta(b|0)|0;i=e;return}function rja(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;m=i;i=i+56|0;n=m|0;o=n+24|0;c[o>>2]=k;a:do{switch(k|0){case 12:case 13:case 14:case 15:case 16:case 17:{c[o>>2]=3;break};case 18:{p=c[2142274]|0;do{if((p|0)!=0){if((gKa(p,100752)|0)!=0){break}c[o>>2]=4;break a}}while(0);hfa(23,0,97960,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;r=1;i=m;return r|0};case 5:{jfa(1,0,108664,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;r=1;i=m;return r|0};case 8:case 7:case 6:case 9:case 10:case 11:{jfa(1,0,110928,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;r=1;i=m;return r|0};case 4:{p=c[2142274]|0;if((p|0)!=0){if((gKa(p,106456)|0)==0){break a}}hfa(23,0,103152,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;r=1;i=m;return r|0};default:{}}}while(0);k=mja(b,n)|0;je[c[2179]&15]()|0;if((a[b+440|0]|0)!=0){Bja(b)|0;Yd[c[(c[b+540>>2]|0)+44>>2]&255](b)|0}do{if((k|0)==0){p=oja(b,d,e,f,g,j)|0;je[c[2179]&15]()|0;if((p|0)!=0){s=p;break}if((c[o>>2]|0)!=5){Wd[c[2005]&255](8e3,b);nia(b)}t=+h[b+248>>3];hfa(23,0,95512,(q=i,i=i+16|0,h[q>>3]=+h[b+240>>3],h[q+8>>3]=t,q)|0);i=q;p=he[c[c[b+540>>2]>>2]&127](b,n)|0;je[c[2179]&15]()|0;pja(b,n,l)|0;je[c[2179]&15]()|0;s=p}else{je[c[2179]&15]()|0;s=k}}while(0);nja(b,n)|0;r=s;i=m;return r|0}function sja(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a+204|0;e=a+488|0;f=a;g=0;while(1){if((g|0)>=(c[d>>2]|0)){h=5;break}if((Yd[c[(c[e>>2]|0)+(g*48|0)+40>>2]&255](f)|0)==0){g=g+1|0}else{h=4;break}}if((h|0)==4){lfa(c[a+536>>2]|0,172536,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}else if((h|0)==5){tja(a);i=b;return}}function tja(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+204|0;if((c[b>>2]|0)<=0){return}d=a+488|0;e=a+12|0;f=a+4|0;a=0;do{g=c[d>>2]|0;h=(c[c[g+(a*48|0)+12>>2]>>2]|0)-(c[c[e>>2]>>2]|0)|0;i=c[(c[c[f>>2]>>2]|0)+12>>2]|0;j=g+(a*48|0)|0;k=g+(a*48|0)+4|0;lKa(i+(h<<2)|0,0,ga(c[j>>2]<<2,c[k>>2]|0)|0)|0;l=g+(a*48|0)+8|0;if((c[l>>2]|0)>0){m=c[g+(a*48|0)+16>>2]|0;n=0;do{c[m+(n<<2)>>2]=n;n=n+1|0;}while((n|0)<(c[l>>2]|0))}l=c[j>>2]|0;if((l|0)>0){n=c[g+(a*48|0)+20>>2]|0;m=0;o=l;do{c[n+(m<<2)>>2]=o+~m;m=m+1|0;o=c[j>>2]|0;}while((m|0)<(o|0))}o=c[k>>2]|0;if((o|0)>0){m=0;j=o;do{c[i+(m+h+(ga(j,m)|0)<<2)>>2]=1;m=m+1|0;j=c[k>>2]|0;}while((m|0)<(j|0))}a=a+1|0;}while((a|0)<(c[b>>2]|0));return}function uja(a){a=a|0;var b=0,d=0,e=0;b=a+204|0;if((c[b>>2]|0)<=0){return}d=a+488|0;a=0;do{e=c[d>>2]|0;JJa(c[e+(a*48|0)+28>>2]|0);JJa(c[e+(a*48|0)+32>>2]|0);JJa(c[e+(a*48|0)+16>>2]|0);JJa(c[e+(a*48|0)+20>>2]|0);JJa(c[e+(a*48|0)+24>>2]|0);a=a+1|0;}while((a|0)<(c[b>>2]|0));return}function vja(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0;f=i;i=i+4096|0;g=f|0;j=b+204|0;if((c[j>>2]|0)<=0){k=0;i=f;return k|0}l=b+488|0;m=d<<24>>24==0;d=(e|0)==0;n=0;o=0;while(1){p=c[l>>2]|0;q=p+(o*48|0)|0;r=IJa(c[q>>2]<<2)|0;s=p+(o*48|0)+8|0;t=IJa(c[s>>2]<<2)|0;wja(b,o);u=p+(o*48|0)+20|0;v=c[u>>2]|0;w=c[q>>2]|0;kKa(r|0,v|0,w<<2)|0;x=p+(o*48|0)+16|0;y=c[x>>2]|0;z=c[s>>2]|0;kKa(t|0,y|0,z<<2)|0;A=p+(o*48|0)+24|0;if(!((Eha(c[A>>2]|0,z,w,y,v)|0)==0|m)){break}v=xja(r,c[u>>2]|0,c[q>>2]|0,c[s>>2]|0,c[p+(o*48|0)+4>>2]|0,c[p+(o*48|0)+12>>2]|0,c[p+(o*48|0)+28>>2]|0,c[p+(o*48|0)+32>>2]|0,b,e)|0;if(d){kKa(c[u>>2]|0,r|0,c[q>>2]<<2)|0;kKa(c[x>>2]|0,t|0,c[s>>2]<<2)|0}s=(v|0)==0?n:1;JJa(r);JJa(t);t=o+1|0;if((t|0)<(c[j>>2]|0)){n=s;o=t}else{k=s;B=16;break}}if((B|0)==16){i=f;return k|0}k=p+(o*48|0)+44|0;f=c[k>>2]|0;B=b+464|0;n=c[B>>2]|0;j=c[n+(f*44|0)>>2]|0;jfa(5,1,177928,(d=i,i=i+24|0,c[d>>2]=c[n+(f*44|0)+4>>2],c[d+8>>2]=j,c[d+16>>2]=f,d)|0);i=d;f=c[B>>2]|0;if((c[f+((c[k>>2]|0)*44|0)+4>>2]|0)!=0){j=g|0;g=0;n=f;do{a[j]=0;f=c[n+((c[k>>2]|0)*44|0)>>2]|0;if((f|0)!=0){e=0;m=f;do{f=(ga(m,g)|0)+e|0;C=+h[(c[A>>2]|0)+(f<<3)>>3];Pb(j|0,134056,(d=i,i=i+16|0,c[d>>2]=j,h[d+8>>3]=C,d)|0)|0;i=d;e=e+1|0;m=c[(c[B>>2]|0)+((c[k>>2]|0)*44|0)>>2]|0;}while(e>>>0<m>>>0)}jfa(5,0,105936,(d=i,i=i+8|0,c[d>>2]=j,d)|0);i=d;g=g+1|0;n=c[B>>2]|0;}while(g>>>0<(c[n+((c[k>>2]|0)*44|0)+4>>2]|0)>>>0)}if((c[q>>2]|0)<=0){D=c[3586]|0;Vd[D&511](5);E=b+536|0;F=c[E>>2]|0;G=b+4|0;H=c[G>>2]|0;I=c[H>>2]|0;J=I|0;K=+h[J>>3];lfa(F,80440,(d=i,i=i+8|0,h[d>>3]=K,d)|0);i=d;return 0}k=p+(o*48|0)+32|0;o=0;do{jfa(5,0,105936,(d=i,i=i+8|0,c[d>>2]=c[(c[(c[k>>2]|0)+(o<<2)>>2]|0)+4>>2],d)|0);i=d;o=o+1|0;}while((o|0)<(c[q>>2]|0));D=c[3586]|0;Vd[D&511](5);E=b+536|0;F=c[E>>2]|0;G=b+4|0;H=c[G>>2]|0;I=c[H>>2]|0;J=I|0;K=+h[J>>3];lfa(F,80440,(d=i,i=i+8|0,h[d>>3]=K,d)|0);i=d;return 0}function wja(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=a+488|0;e=c[d>>2]|0;f=c[e+(b*48|0)+44>>2]|0;g=a+464|0;i=c[g>>2]|0;j=c[e+(b*48|0)+24>>2]|0;lKa(j|0,0,ga(c[i+(f*44|0)+4>>2]<<3,c[i+(f*44|0)>>2]|0)|0)|0;i=c[g>>2]|0;if((c[i+(f*44|0)+24>>2]|0)==0){return}e=a;a=0;k=i;l=c[i+(f*44|0)>>2]|0;do{if((l|0)!=0){i=0;do{if(((c[(c[k+(f*44|0)+20>>2]|0)+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[k+(f*44|0)+28>>2]|0)+(i<<3)>>3]=1.0}i=i+1|0;}while(i>>>0<l>>>0)}Yd[c[(c[d>>2]|0)+(b*48|0)+36>>2]&255](e)|0;k=c[g>>2]|0;l=c[k+(f*44|0)>>2]|0;do{if((l|0)!=0){i=c[k+(f*44|0)+28>>2]|0;m=0;do{do{if(+h[i+(m<<3)>>3]==1.0){if((m|0)==0){n=0;o=k+(f*44|0)+8|0}else{p=k+(f*44|0)+8|0;n=c[(c[p>>2]|0)+(m-1<<2)>>2]|0;o=p}p=c[(c[o>>2]|0)+(m<<2)>>2]|0;if(!(n>>>0<p>>>0)){break}q=c[k+(f*44|0)+12>>2]|0;r=c[k+(f*44|0)+4>>2]|0;s=c[k+(f*44|0)+36>>2]|0;t=n;do{u=c[q+(t<<2)>>2]|0;v=(ga(r,m)|0)+u|0;h[j+(v<<3)>>3]=+h[s+(u<<3)>>3];t=t+1|0;}while(t>>>0<p>>>0)}}while(0);m=m+1|0;}while(m>>>0<l>>>0);if((l|0)==0){break}m=c[k+(f*44|0)+20>>2]|0;i=0;do{if(((c[m+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[k+(f*44|0)+28>>2]|0)+(i<<3)>>3]=0.0}i=i+1|0;}while(i>>>0<l>>>0)}}while(0);a=a+1|0;}while(a>>>0<(c[k+(f*44|0)+24>>2]|0)>>>0);return}function xja(a,b,d,e,f,g,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;n=i;o=KJa(d,4)|0;p=o;q=KJa(d,4)|0;r=q;if((d|0)>0){s=0;while(1){t=(s|0)<(e|0)?1:2;c[r+(c[b+(s<<2)>>2]<<2)>>2]=t;c[p+(c[a+(s<<2)>>2]<<2)>>2]=t;t=s+1|0;if((t|0)<(d|0)){s=t}else{u=0;break}}}else{u=0}while(1){if((u|0)>=(d|0)){v=0;w=8;break}if((c[r+(u<<2)>>2]|0)==(c[p+(u<<2)>>2]|0)){u=u+1|0}else{break}}if((w|0)==8){JJa(o);JJa(q);i=n;return v|0}if((m|0)==0){v=-1;JJa(o);JJa(q);i=n;return v|0}hfa(5,1,58832,(m=i,i=i+8|0,h[m>>3]=+h[c[c[l+4>>2]>>2]>>3],m)|0);i=m;yja(r,d,f,c[g>>2]|0,j,k,l);if((c[2136463]|0)==0){v=-1;JJa(o);JJa(q);i=n;return v|0}Vd[c[3586]&511](5);v=-1;JJa(o);JJa(q);i=n;return v|0}function yja(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;k=i;l=e-(c[c[j+12>>2]>>2]|0)|0;e=j+4|0;m=c[(c[c[e>>2]>>2]|0)+12>>2]|0;lKa(m+(l<<2)|0,0,ga(b<<2,d)|0)|0;if((b|0)<=0){i=k;return}n=j+8|0;j=0;o=0;while(1){if((c[a+(o<<2)>>2]|0)==2){p=c[c[n>>2]>>2]|0;q=c[g+(o<<2)>>2]|0;r=(c[q>>2]|0)-p|0;s=(c[c[f+(j<<2)>>2]>>2]|0)-p|0;hfa(5,0,46312,(p=i,i=i+8|0,c[p>>2]=c[q+4>>2],p)|0);i=p;c[m+(j+l+(ga(o,d)|0)<<2)>>2]=1;p=c[(c[c[e>>2]>>2]|0)+8>>2]|0;h[p+(s<<3)>>3]=+h[p+(r<<3)>>3];t=j+1|0}else{t=j}r=o+1|0;if((r|0)<(b|0)){j=t;o=r}else{break}}i=k;return}function zja(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0;d=i;e=zc(171560,177824)|0;f=(e|0)!=0;a[b+440|0]=f&1;if(f){g=0}else{i=d;return 0}a:while(1){while(1){f=Cb(e|0)|0;if((f|0)==10){break}else if((f|0)==(-1|0)){break a}}g=g+1|0}f=g-1|0;g=b+456|0;c[g>>2]=f;c[b+452>>2]=f;Ad(e|0);do{}while((Cb(e|0)|0)!=10);j=c[b+152>>2]|0;k=KJa(f,4)|0;f=b+444|0;c[f>>2]=k;l=c[g>>2]|0;m=(l|0)>0;b:do{if(m){n=0;o=k;while(1){c[o+(n<<2)>>2]=KJa(j,8)|0;p=n+1|0;if((p|0)>=(l|0)){break}n=p;o=c[f>>2]|0}o=KJa(l,8)|0;n=b+448|0;c[n>>2]=o;if(!m){q=n;break}p=(j|0)>0;r=0;s=o;while(1){o=Xc(e|0,134040,(t=i,i=i+8|0,c[t>>2]=s+(r<<3),t)|0)|0;i=t;if(p){u=0;while(1){v=Xc(e|0,134040,(t=i,i=i+8|0,c[t>>2]=(c[(c[f>>2]|0)+(r<<2)>>2]|0)+(u<<3),t)|0)|0;i=t;w=u+1|0;if((w|0)<(j|0)){u=w}else{x=v;break}}}else{x=o}if((x|0)<0){c[g>>2]=r;y=r}else{y=c[g>>2]|0}u=r+1|0;if((u|0)>=(y|0)){q=n;break b}r=u;s=c[n>>2]|0}}else{n=b+448|0;c[n>>2]=KJa(l,8)|0;q=n}}while(0);xc(105872,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0)|0;i=t;xc(7912,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0)|0;i=t;if((c[g>>2]|0)>0){l=(j|0)>0;y=0;do{xc(58792,(t=i,i=i+8|0,h[t>>3]=+h[(c[q>>2]|0)+(y<<3)>>3],t)|0)|0;i=t;if(l){x=0;while(1){m=x+1|0;z=+h[(c[(c[f>>2]|0)+(y<<2)>>2]|0)+(x<<3)>>3];xc(46296,(t=i,i=i+16|0,c[t>>2]=m,h[t+8>>3]=z,t)|0)|0;i=t;if((m|0)<(j|0)){x=m}else{break}}}y=y+1|0;}while((y|0)<(c[g>>2]|0))}Ec(7912)|0;Pa(e|0)|0;c[b+460>>2]=0;i=d;return 0}function Aja(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;if((a[b+440|0]|0)==0){return 0}JJa(c[b+448>>2]|0);d=b+452|0;e=b+444|0;b=c[e>>2]|0;if((c[d>>2]|0)>0){f=0;g=b;while(1){JJa(c[g+(f<<2)>>2]|0);h=f+1|0;i=c[e>>2]|0;if((h|0)<(c[d>>2]|0)){f=h;g=i}else{j=i;break}}}else{j=b}JJa(j);return 0}function Bja(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0.0,w=0.0;if((a[b+440|0]|0)==0){d=-1;return d|0}e=+h[c[c[b+4>>2]>>2]>>3];f=b+460|0;g=c[f>>2]|0;i=g+1|0;j=c[b+448>>2]|0;a:do{if(e>+h[j+(i<<3)>>3]){k=(c[b+456>>2]|0)-1|0;l=i;m=g;while(1){n=m+1|0;if((l|0)>=(k|0)){o=n;p=m;break a}c[f>>2]=n;q=m+2|0;if(e>+h[j+(q<<3)>>3]){l=q;m=n}else{r=n;s=4;break}}}else{r=g;s=4}}while(0);if((s|0)==4){o=r+1|0;p=r}t=+h[j+(p<<3)>>3];u=+h[j+(o<<3)>>3]-t;o=c[b+152>>2]|0;if((o|0)<=0){d=0;return d|0}j=c[b+444>>2]|0;r=c[j+(p<<2)>>2]|0;s=c[j+(p+1<<2)>>2]|0;v=t+u-e;w=e-t;p=c[b+432>>2]|0;b=0;while(1){h[p+(b<<3)>>3]=(v*+h[r+(b<<3)>>3]+w*+h[s+(b<<3)>>3])/u;j=b+1|0;if((j|0)<(o|0)){b=j}else{d=0;break}}return d|0}function Cja(a){a=a|0;var b=0,d=0.0,e=0,f=0,g=0,j=0,k=0,l=0,m=0;b=i;d=+Dja(a,1.0);if(!(d>1.0e-5)){e=0;i=b;return e|0}if((c[2136467]|0)==0){e=1;i=b;return e|0}hfa(9,1,170872,(f=i,i=i+8|0,h[f>>3]=d,f)|0);i=f;g=a+16|0;j=c[g>>2]|0;if((j|0)>0){k=a+48|0;a=0;l=j;while(1){d=+h[(c[k>>2]|0)+(a<<3)>>3];j=a+1|0;if(+V(+d)>1.0e-5){hfa(9,0,177800,(f=i,i=i+16|0,c[f>>2]=j,h[f+8>>3]=d,f)|0);i=f;m=c[g>>2]|0}else{m=l}if((j|0)<(m|0)){a=j;l=m}else{break}}}Vd[c[3586]&511](9);e=1;i=b;return e|0}function Dja(b,d){b=b|0;d=+d;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0.0,x=0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0,E=0,F=0.0,G=0.0,H=0,I=0.0,J=0;e=c[b+60>>2]|0;Sja(b);f=e+540|0;Yd[c[(c[f>>2]|0)+84>>2]&255](e)|0;Yd[c[(c[f>>2]|0)+36>>2]&255](e)|0;Yd[c[(c[f>>2]|0)+32>>2]&255](e)|0;g=b+48|0;he[c[(c[f>>2]|0)+68>>2]&127](e,c[g>>2]|0)|0;f=e+8|0;i=c[e+184>>2]|0;if((i|0)>0){j=c[b+52>>2]|0;k=(j|0)==0;l=c[g>>2]|0;g=0;m=0.0;while(1){if(k){n=1.0}else{n=+h[j+(g<<3)>>3]}o=+h[l+(g<<3)>>3]/n;p=m+o*o;q=g+1|0;if((q|0)<(i|0)){g=q;m=p}else{r=p;break}}}else{r=0.0}if(!(d<1.0)){s=r;return+s}m=r*d;g=c[e+116>>2]|0;if((g|0)>0){i=c[f>>2]|0;l=b+56|0;r=1.0-d;j=e+4|0;k=0;q=0;n=m;while(1){if((a[i+(k*112|0)+88|0]|0)==0){t=n;u=q}else{v=c[l>>2]|0;if((v|0)==0){w=1.0;x=q}else{w=+h[v+(q<<3)>>3];x=q+1|0}p=(+h[i+(k*112|0)+96>>3]- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(k<<3)>>3])/w;t=n+p*r*p;u=x}v=k+1|0;if((v|0)<(g|0)){k=v;q=u;n=t}else{y=u;z=t;break}}}else{y=0;z=m}u=c[e+136>>2]|0;if((u|0)>0){q=c[e+24>>2]|0;k=b+56|0;m=1.0-d;x=e+416|0;j=0;i=y;t=z;while(1){do{if((a[q+(j*112|0)+88|0]|0)==0){A=t;B=i}else{if((a[q+(j*112|0)+72|0]|0)!=0){A=t;B=i;break}l=c[k>>2]|0;if((l|0)==0){C=1.0;D=i}else{C=+h[l+(i<<3)>>3];D=i+1|0}n=(+h[q+(j*112|0)+96>>3]- +h[(c[x>>2]|0)+(j<<3)>>3])/C;A=t+n*m*n;B=D}}while(0);l=j+1|0;if((l|0)<(u|0)){j=l;i=B;t=A}else{E=B;F=A;break}}}else{E=y;F=z}y=c[e+120>>2]|0;B=g-y|0;if((B|0)>=(y|0)){s=F;return+s}g=c[f>>2]|0;f=b+56|0;z=1.0-d;b=e+416|0;e=B;B=E;d=F;while(1){do{if((a[g+(e*112|0)+88|0]|0)==0){G=d;H=B}else{if((a[g+(e*112|0)+72|0]|0)!=0){G=d;H=B;break}E=c[f>>2]|0;if((E|0)==0){I=1.0;J=B}else{I=+h[E+(B<<3)>>3];J=B+1|0}F=(+h[g+(e*112|0)+96>>3]- +h[(c[b>>2]|0)+(e<<3)>>3])/I;G=d+F*z*F;H=J}}while(0);E=e+1|0;if((E|0)<(y|0)){e=E;B=H;d=G}else{s=G;break}}return+s}function Eja(a,b){a=a|0;b=b|0;var d=0,e=0.0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;e=+Dja(b,1.0);if((c[2136467]|0)==0){i=d;return}f=b+16|0;g=c[f>>2]|0;if((g|0)>0){j=c[b+48>>2]|0;k=0;l=0.0;while(1){m=+h[j+(k<<3)>>3];n=l+m*m;o=k+1|0;if((o|0)<(g|0)){k=o;l=n}else{p=n;break}}}else{p=0.0}hfa(9,1,134016,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;g=b+52|0;if((c[g>>2]|0)==0){hfa(9,0,80416,(k=i,i=i+8|0,h[k>>3]=p,k)|0);i=k}else{hfa(9,0,105832,(k=i,i=i+16|0,h[k>>3]=p,h[k+8>>3]=e,k)|0);i=k}hfa(9,1,58768,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;j=b+4|0;o=c[j>>2]|0;if((o|0)>0){q=b+40|0;r=b+24|0;s=b+44|0;t=0;while(1){u=c[q>>2]|0;v=t+1|0;e=+h[(c[r>>2]|0)+(t<<3)>>3];w=c[(c[s>>2]|0)+(t<<2)>>2]|0;if((u|0)==0){hfa(9,0,39832,(k=i,i=i+24|0,c[k>>2]=v,h[k+8>>3]=e,c[k+16>>2]=w,k)|0);i=k}else{p=+h[u+(t<<3)>>3];hfa(9,0,46248,(k=i,i=i+32|0,c[k>>2]=v,h[k+8>>3]=e,c[k+16>>2]=w,h[k+24>>3]=p,k)|0);i=k}w=c[j>>2]|0;if((v|0)<(w|0)){t=v}else{x=v;y=w;break}}}else{x=0;y=o}o=b+8|0;if((x|0)<((c[o>>2]|0)+y|0)){y=b+40|0;t=b+24|0;s=b+44|0;r=x;while(1){q=c[y>>2]|0;w=r+1|0;p=+h[(c[t>>2]|0)+(r<<3)>>3];v=c[(c[s>>2]|0)+(r<<2)>>2]|0;if((q|0)==0){hfa(9,0,27576,(k=i,i=i+24|0,c[k>>2]=w,h[k+8>>3]=p,c[k+16>>2]=v,k)|0);i=k}else{e=+h[q+(r<<3)>>3];hfa(9,0,33384,(k=i,i=i+32|0,c[k>>2]=w,h[k+8>>3]=p,c[k+16>>2]=v,h[k+24>>3]=e,k)|0);i=k}if((w|0)<((c[o>>2]|0)+(c[j>>2]|0)|0)){r=w}else{z=w;break}}}else{z=x}x=b|0;if((z|0)<(c[x>>2]|0)){r=b+40|0;j=b+24|0;o=b+44|0;s=z;while(1){z=c[r>>2]|0;t=s+1|0;e=+h[(c[j>>2]|0)+(s<<3)>>3];y=c[(c[o>>2]|0)+(s<<2)>>2]|0;if((z|0)==0){hfa(9,0,178832,(k=i,i=i+24|0,c[k>>2]=t,h[k+8>>3]=e,c[k+16>>2]=y,k)|0);i=k}else{p=+h[z+(s<<3)>>3];hfa(9,0,6877944,(k=i,i=i+32|0,c[k>>2]=t,h[k+8>>3]=e,c[k+16>>2]=y,h[k+24>>3]=p,k)|0);i=k}if((t|0)<(c[x>>2]|0)){s=t}else{break}}}Vd[c[3586]&511](9);hfa(9,1,172376,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[f>>2]|0)>0){s=b+48|0;b=a+540|0;a=0;while(1){x=(c[g>>2]|0)==0;o=a+1|0;p=+h[(c[s>>2]|0)+(a<<3)>>3];j=Yd[c[(c[b>>2]|0)+64>>2]&255](a)|0;if(x){hfa(9,0,39832,(k=i,i=i+24|0,c[k>>2]=o,h[k+8>>3]=p,c[k+16>>2]=j,k)|0);i=k}else{e=+h[(c[g>>2]|0)+(a<<3)>>3];hfa(9,0,46248,(k=i,i=i+32|0,c[k>>2]=o,h[k+8>>3]=p,c[k+16>>2]=j,h[k+24>>3]=e,k)|0);i=k}if((o|0)<(c[f>>2]|0)){a=o}else{break}}}Vd[c[3586]&511](9);Vd[c[3586]&511](9);i=d;return}function Fja(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0;d=i;e=b+8|0;if((c[2136467]|0)!=0){oia(b,9)}if((c[2136482]|0)==0){i=d;return}hfa(24,1,166688,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+112|0;j=c[g>>2]|0;do{if((j|0)>0){hfa(24,1,162072,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){k=e|0;l=b+4|0;m=b+400|0;n=0;while(1){o=n+1|0;p=c[k>>2]|0;q=c[p+(n*112|0)+4>>2]|0;r=+h[p+(n*112|0)+96>>3];s=+h[p+(n*112|0)+80>>3];t=+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(n<<3)>>3];u=+h[(c[m>>2]|0)+(n<<3)>>3];hfa(24,0,158e3,(f=i,i=i+48|0,c[f>>2]=o,c[f+8>>2]=q,h[f+16>>3]=r,h[f+24>>3]=s,h[f+32>>3]=t,h[f+40>>3]=u,f)|0);i=f;if((o|0)<(c[g>>2]|0)){n=o}else{break}}}Vd[c[3586]&511](24);n=c[g>>2]|0;if((n|0)<=0){v=n;break}hfa(24,1,153952,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;n=c[g>>2]|0;if((n|0)<(n<<1|0)){m=e|0;l=b+4|0;k=b+400|0;o=n;while(1){n=o+1|0;q=c[(c[m>>2]|0)+(o*112|0)+4>>2]|0;u=+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(o<<3)>>3];t=+h[(c[k>>2]|0)+(o<<3)>>3];hfa(24,0,150496,(f=i,i=i+32|0,c[f>>2]=n,c[f+8>>2]=q,h[f+16>>3]=u,h[f+24>>3]=t,f)|0);i=f;if((n|0)<(c[g>>2]<<1|0)){o=n}else{break}}}Vd[c[3586]&511](24);v=c[g>>2]|0}else{v=j}}while(0);j=b+116|0;if((v<<1|0)<(c[j>>2]|0)){hfa(24,1,146080,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;v=c[g>>2]<<1;if((v|0)<(c[j>>2]|0)){g=e|0;e=b+4|0;o=b+400|0;k=v;while(1){v=k+1|0;l=c[g>>2]|0;m=c[l+(k*112|0)+4>>2]|0;t=+h[l+(k*112|0)+96>>3];u=+h[l+(k*112|0)+80>>3];s=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+(k<<3)>>3];r=+h[(c[o>>2]|0)+(k<<3)>>3];hfa(24,0,158e3,(f=i,i=i+48|0,c[f>>2]=v,c[f+8>>2]=m,h[f+16>>3]=t,h[f+24>>3]=u,h[f+32>>3]=s,h[f+40>>3]=r,f)|0);i=f;if((v|0)<(c[j>>2]|0)){k=v}else{break}}}Vd[c[3586]&511](24)}k=b+124|0;if((c[k>>2]|0)>0){hfa(24,1,142136,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[k>>2]|0)>0){j=b+12|0;o=b+4|0;e=b+404|0;g=0;while(1){v=g+1|0;m=c[j>>2]|0;l=c[m+(g*60|0)+4>>2]|0;n=c[m+(g*60|0)+52>>2]|0;m=c[(c[(c[c[o>>2]>>2]|0)+12>>2]|0)+(g<<2)>>2]|0;q=c[(c[e>>2]|0)+(g<<2)>>2]|0;hfa(24,0,138560,(f=i,i=i+40|0,c[f>>2]=v,c[f+8>>2]=l,c[f+16>>2]=n,c[f+24>>2]=m,c[f+32>>2]=q,f)|0);i=f;if((v|0)<(c[k>>2]|0)){g=v}else{break}}}Vd[c[3586]&511](24)}g=b+128|0;if((c[g>>2]|0)>0){hfa(24,1,134696,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){k=b+16|0;e=b+4|0;o=b+408|0;j=0;while(1){v=j+1|0;q=c[k>>2]|0;m=c[q+(j*48|0)+4>>2]|0;n=(a[q+(j*48|0)+42|0]|0)!=0?126936:123512;q=(a[(c[(c[c[e>>2]>>2]|0)+16>>2]|0)+j|0]|0)!=0?126936:123512;l=(a[(c[o>>2]|0)+j|0]|0)!=0?126936:123512;hfa(24,0,130544,(f=i,i=i+40|0,c[f>>2]=v,c[f+8>>2]=m,c[f+16>>2]=n,c[f+24>>2]=q,c[f+32>>2]=l,f)|0);i=f;if((v|0)<(c[g>>2]|0)){j=v}else{break}}}Vd[c[3586]&511](24)}j=b+132|0;if((c[j>>2]|0)>0){hfa(24,1,120896,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[j>>2]|0)>0){g=b+20|0;o=b+4|0;e=b+412|0;b=0;while(1){k=b+1|0;v=c[g>>2]|0;l=c[v+(b*52|0)+4>>2]|0;q=c[v+(b*52|0)+44>>2]|0;v=c[(c[(c[c[o>>2]>>2]|0)+20>>2]|0)+(b<<2)>>2]|0;n=c[(c[e>>2]|0)+(b<<2)>>2]|0;hfa(24,0,118240,(f=i,i=i+40|0,c[f>>2]=k,c[f+8>>2]=l,c[f+16>>2]=q,c[f+24>>2]=v,c[f+32>>2]=n,f)|0);i=f;if((k|0)<(c[j>>2]|0)){b=k}else{break}}}Vd[c[3586]&511](24)}Vd[c[3586]&511](24);i=d;return}function Gja(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;k=i;l=b+540|0;m=(c[(c[l>>2]|0)+72>>2]|0)!=0?3:2;hfa(9,0,115840,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;if((f|0)==0){lia(b);mia(b);o=6}else{if((a[f]|0)!=0){Hja(b,f,g)}lia(b);mia(b);if((a[f]|0)==0){o=6}}if((o|0)==6){Yd[c[(c[l>>2]|0)+84>>2]&255](b)|0;Yd[c[(c[l>>2]|0)+60>>2]&255](b)|0}do{if((d|0)==0){p=m}else{if((a[d]|0)==0){p=m;break}o=(gKa(d,34744)|0)==0|0;f=(gKa(d,34184)|0)==0;q=(gKa(d,33584)|0)==0;r=q?3:f?2:o;if((r|0)!=0){p=r;break}jfa(1,0,110896,(n=i,i=i+8|0,c[n>>2]=d,n)|0);i=n;jfa(1,0,108640,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;jfa(1,0,106440,(n=i,i=i+16|0,c[n>>2]=34744,c[n+8>>2]=36312,n)|0);i=n;jfa(1,0,106440,(n=i,i=i+16|0,c[n>>2]=34184,c[n+8>>2]=35672,n)|0);i=n;jfa(1,0,106440,(n=i,i=i+16|0,c[n>>2]=33584,c[n+8>>2]=35192,n)|0);i=n;lfa(c[b+536>>2]|0,103128,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}while(0);do{if((e|0)==0){s=3}else{if((a[e]|0)==0){s=3;break}else{t=0;u=1}do{d=(gKa(e,c[8533544+(u<<2)>>2]|0)|0)==0;t=d?u:t;u=u+1|0;}while((u|0)<7);if((t|0)!=0){s=t;break}jfa(1,0,100720,(n=i,i=i+8|0,c[n>>2]=e,n)|0);i=n;jfa(1,0,108640,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;d=1;do{m=c[8533608+(d<<2)>>2]|0;jfa(1,0,106440,(n=i,i=i+16|0,c[n>>2]=c[8533544+(d<<2)>>2],c[n+8>>2]=m,n)|0);i=n;d=d+1|0;}while((d|0)<7);lfa(c[b+536>>2]|0,103128,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}while(0);e=c[8545064+(p<<2)>>2]|0;hfa(9,0,97920,(n=i,i=i+16|0,c[n>>2]=c[8545048+(p<<2)>>2],c[n+8>>2]=e,n)|0);i=n;e=(p|0)==2;if(e){t=c[8533608+(s<<2)>>2]|0;hfa(9,0,95472,(n=i,i=i+16|0,c[n>>2]=c[8533544+(s<<2)>>2],c[n+8>>2]=t,n)|0);i=n}t=b+312|0;a[t]=1;u=b+200|0;if((c[u>>2]|0)>0){d=b+468|0;m=0;do{a[(c[d>>2]|0)+(m*80|0)+72|0]=1;m=m+1|0;}while((m|0)<(c[u>>2]|0))}u=b+196|0;if((c[u>>2]|0)>0){m=b+476|0;d=0;do{a[(c[m>>2]|0)+(d<<6)+56|0]=1;d=d+1|0;}while((d|0)<(c[u>>2]|0))}u=b+192|0;if((c[u>>2]|0)>0){d=b+484|0;m=0;do{a[(c[d>>2]|0)+(m*40|0)+36|0]=1;m=m+1|0;}while((m|0)<(c[u>>2]|0))}do{if((p|0)==1){v=0}else{if(e){v=Ija(b,s,j)|0;break}if((p|0)==3){Jja(b,j);v=0;break}else{lfa(c[b+536>>2]|0,92904,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}}while(0);do{if((Uia(b,1)|0)==0){if((Mia(b,1)|0)!=0){w=-3;break}j=(Cia(b,1)|0)==0;w=j?v:-4}else{w=-2}}while(0);Fja(b);hfa(9,0,90776,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;a[t]=0;Wha(b,+h[b+240>>3],+h[b+248>>3]);iia(b);nia(b);dia(b);Yd[c[(c[l>>2]|0)+52>>2]&255](b)|0;he[c[(c[l>>2]|0)+96>>2]&127](b,1)|0;jia(b);i=k;return w|0}function Hja(b,d,e){b=b|0;d=d|0;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0;f=i;i=i+56|0;g=f|0;j=f+48|0;hfa(9,0,32368,(k=i,i=i+16|0,c[k>>2]=d,h[k+8>>3]=e,k)|0);i=k;l=Tfa(d,g)|0;if((l|0)!=0){lfa(c[b+536>>2]|0,31912,(k=i,i=i+16|0,c[k>>2]=d,c[k+8>>2]=l,k)|0);i=k}hfa(9,0,31504,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;l=b+116|0;if((c[l>>2]|0)>0){d=b+8|0;m=0;do{n=Ufa(g,c[(c[d>>2]|0)+(m*112|0)+4>>2]|0)|0;o=c[d>>2]|0;do{if((n|0)==0){p=Mja(c[o+(m*112|0)+4>>2]|0)|0;q=Ufa(g,p)|0;JJa(p);p=c[d>>2]|0;if((q|0)!=0){r=q;s=p;t=7;break}q=c[p+(m*112|0)+4>>2]|0;if((hKa(q,30648,6)|0)==0){if((c[2136467]|0)==0){break}}else{p=hKa(q,30144,6)|0;if((c[2136467]|p|0)==0){break}}jfa(9,0,29488,(k=i,i=i+8|0,c[k>>2]=q,k)|0);i=k}else{r=n;s=o;t=7}}while(0);if((t|0)==7){t=0;_fa(s+(m*112|0)+96|0,g,r,e)|0;o=c[d>>2]|0;u=+h[o+(m*112|0)+96>>3];hfa(9,0,31152,(k=i,i=i+16|0,c[k>>2]=c[o+(m*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}m=m+1|0;}while((m|0)<(c[l>>2]|0))}hfa(9,0,28848,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+136|0;if((c[m>>2]|0)>0){d=b+24|0;r=0;do{s=Ufa(g,c[(c[d>>2]|0)+(r*112|0)+4>>2]|0)|0;o=c[d>>2]|0;do{if((s|0)==0){n=Mja(c[o+(r*112|0)+4>>2]|0)|0;q=Ufa(g,n)|0;JJa(n);n=c[d>>2]|0;if((q|0)!=0){v=q;w=n;t=17;break}jfa(9,0,28304,(k=i,i=i+8|0,c[k>>2]=c[n+(r*112|0)+4>>2],k)|0);i=k}else{v=s;w=o;t=17}}while(0);if((t|0)==17){t=0;_fa(w+(r*112|0)+96|0,g,v,e)|0;o=c[d>>2]|0;u=+h[o+(r*112|0)+96>>3];hfa(9,0,31152,(k=i,i=i+16|0,c[k>>2]=c[o+(r*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}r=r+1|0;}while((r|0)<(c[m>>2]|0))}hfa(9,0,27800,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+120|0;r=c[m>>2]|0;d=(c[l>>2]|0)-r|0;if((d|0)<(r|0)){r=b+24|0;l=d;do{d=Ufa(g,c[(c[r>>2]|0)+(l*112|0)+4>>2]|0)|0;v=c[r>>2]|0;do{if((d|0)==0){w=Mja(c[v+(l*112|0)+4>>2]|0)|0;o=Ufa(g,w)|0;JJa(w);w=c[r>>2]|0;if((o|0)!=0){x=o;y=w;t=24;break}jfa(9,0,28304,(k=i,i=i+8|0,c[k>>2]=c[w+(l*112|0)+4>>2],k)|0);i=k}else{x=d;y=v;t=24}}while(0);if((t|0)==24){t=0;_fa(y+(l*112|0)+96|0,g,x,e)|0;v=c[r>>2]|0;u=+h[v+(l*112|0)+96>>3];hfa(9,0,31152,(k=i,i=i+16|0,c[k>>2]=c[v+(l*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}l=l+1|0;}while((l|0)<(c[m>>2]|0))}hfa(9,0,26312,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+140|0;if((c[m>>2]|0)>0){l=b+28|0;r=0;do{x=Ufa(g,c[(c[l>>2]|0)+(r*60|0)+4>>2]|0)|0;do{if((x|0)==0){y=Mja(c[(c[l>>2]|0)+(r*60|0)+4>>2]|0)|0;v=Ufa(g,y)|0;JJa(y);if((v|0)!=0){z=v;t=31;break}jfa(9,0,25256,(k=i,i=i+8|0,c[k>>2]=c[(c[l>>2]|0)+(r*60|0)+4>>2],k)|0);i=k}else{z=x;t=31}}while(0);if((t|0)==31){t=0;_fa(j,g,z,e)|0;x=~~+h[j>>3];v=c[l>>2]|0;c[v+(r*60|0)+52>>2]=x;hfa(9,0,25824,(k=i,i=i+16|0,c[k>>2]=c[v+(r*60|0)+4>>2],c[k+8>>2]=x,k)|0);i=k}r=r+1|0;}while((r|0)<(c[m>>2]|0))}hfa(9,0,24560,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+144|0;if((c[m>>2]|0)<=0){Rfa(g);i=f;return}r=b+32|0;b=0;do{l=Ufa(g,c[(c[r>>2]|0)+(b*48|0)+4>>2]|0)|0;do{if((l|0)==0){z=Mja(c[(c[r>>2]|0)+(b*48|0)+4>>2]|0)|0;x=Ufa(g,z)|0;JJa(z);if((x|0)!=0){A=x;t=38;break}jfa(9,0,23104,(k=i,i=i+8|0,c[k>>2]=c[(c[r>>2]|0)+(b*48|0)+4>>2],k)|0);i=k}else{A=l;t=38}}while(0);if((t|0)==38){t=0;_fa(j,g,A,e)|0;a[(c[r>>2]|0)+(b*48|0)+42|0]=~~+h[j>>3];l=c[r>>2]|0;x=(a[l+(b*48|0)+42|0]|0)!=0?126936:123512;hfa(9,0,23632,(k=i,i=i+16|0,c[k>>2]=c[l+(b*48|0)+4>>2],c[k+8>>2]=x,k)|0);i=k}b=b+1|0;}while((b|0)<(c[m>>2]|0));Rfa(g);i=f;return}function Ija(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;Vha(a,+h[a+240>>3]);iia(a);nia(a);dia(a);pia(a);tja(a);eia(a);iia(a);d=Kja(a,b,c)|0;nia(a);dia(a);jia(a);nia(a);return d|0}function Jja(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0;e=i;i=i+4096|0;f=e|0;Vha(b,+h[b+240>>3]);iia(b);nia(b);vja(b,0,1)|0;g=b+540|0;j=c[g>>2]|0;if((c[j+76>>2]|0)!=0&(d|0)>1){k=b+8|0;l=b+116|0;m=KJa(c[l>>2]|0,8)|0;n=m;o=b+124|0;p=KJa(c[o>>2]|0,4)|0;q=p;r=b+128|0;s=KJa(c[r>>2]|0,1)|0;t=b+132|0;u=KJa(c[t>>2]|0,4)|0;v=u;w=b+536|0;kfa(c[w>>2]|0,(m|0)!=0|0,88112,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;kfa(c[w>>2]|0,(p|0)!=0|0,88112,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;kfa(c[w>>2]|0,(s|0)!=0|0,88112,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;kfa(c[w>>2]|0,(u|0)!=0|0,88112,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;w=c[l>>2]|0;if((w|0)>0){y=c[k>>2]|0;z=0;do{h[n+(z<<3)>>3]=+h[y+(z*112|0)+96>>3];z=z+1|0;}while((z|0)<(w|0))}w=c[o>>2]|0;if((w|0)>0){z=c[b+12>>2]|0;y=0;do{c[q+(y<<2)>>2]=c[z+(y*60|0)+52>>2];y=y+1|0;}while((y|0)<(w|0))}w=c[r>>2]|0;if((w|0)>0){y=c[b+16>>2]|0;z=0;do{a[s+z|0]=a[y+(z*48|0)+42|0]|0;z=z+1|0;}while((z|0)<(w|0))}w=c[t>>2]|0;if((w|0)>0){z=c[b+20>>2]|0;y=0;do{c[v+(y<<2)>>2]=c[z+(y*52|0)+44>>2];y=y+1|0;}while((y|0)<(w|0))}if((c[2136467]|0)==0){A=0}else{w=f|0;Pb(w|0,85736,(x=i,i=i+8|0,c[x>>2]=c[b+88>>2],x)|0)|0;i=x;f=zc(w|0,83840)|0;od(f|0,81080,(x=i,i=i+8|0,c[x>>2]=77800,x)|0)|0;i=x;if((c[l>>2]|0)>0){w=k|0;y=0;do{od(f|0,81080,(x=i,i=i+8|0,c[x>>2]=c[(c[w>>2]|0)+(y*112|0)+4>>2],x)|0)|0;i=x;y=y+1|0;}while((y|0)<(c[l>>2]|0))}Wa(10,f|0)|0;A=f}hfa(9,1,73680,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;a:do{if((d|0)>0){B=+(d-1|0);f=b+304|0;y=b+4|0;w=0;do{C=+(w|0)/B;h[f>>3]=C>1.0?1.0:C;Yd[c[(c[g>>2]|0)+80>>2]&255](b)|0;hfa(9,0,71608,(x=i,i=i+8|0,h[x>>3]=+h[f>>3],x)|0);i=x;if((c[2136467]|0)!=0){od(A|0,69688,(x=i,i=i+8|0,h[x>>3]=+h[f>>3],x)|0)|0;i=x;if((c[l>>2]|0)>0){z=0;do{od(A|0,69688,(x=i,i=i+8|0,h[x>>3]=+h[(c[(c[c[y>>2]>>2]|0)+8>>2]|0)+(z<<3)>>3],x)|0)|0;i=x;z=z+1|0;}while((z|0)<(c[l>>2]|0))}Wa(10,A|0)|0}if((Uia(b,0)|0)!=0){break a}if((Mia(b,0)|0)!=0){break a}if((Cia(b,0)|0)!=0){break a}qia(b);w=w+1|0;}while((w|0)<(d|0))}}while(0);Vd[c[3586]&511](9);if((c[2136467]|0)!=0){Pa(A|0)|0}A=c[l>>2]|0;if((A|0)>0){l=c[k>>2]|0;k=0;do{h[l+(k*112|0)+96>>3]=+h[n+(k<<3)>>3];k=k+1|0;}while((k|0)<(A|0))}if((c[o>>2]|0)>0){A=c[b+12>>2]|0;k=0;do{c[A+(k*60|0)+52>>2]=c[q+(k<<2)>>2];k=k+1|0;}while((k|0)<(c[o>>2]|0))}if((c[r>>2]|0)>0){o=b+16|0;k=0;do{a[(c[o>>2]|0)+(k*48|0)+42|0]=a[s+k|0]|0;k=k+1|0;}while((k|0)<(c[r>>2]|0))}r=c[t>>2]|0;if((r|0)>0){t=b+20|0;k=0;do{c[(c[t>>2]|0)+(k*52|0)+44>>2]=c[v+(k<<2)>>2];k=k+1|0;}while((k|0)<(r|0))}JJa(m);JJa(p);JJa(s);JJa(u)}else{h[b+304>>3]=1.0;Yd[c[j+80>>2]&255](b)|0}fia(b);if((vja(b,1,1)|0)!=1){i=e;return}Yd[c[(c[g>>2]|0)+80>>2]&255](b)|0;fia(b);if((vja(b,1,1)|0)!=1){i=e;return}jfa(1,0,67520,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;i=e;return}function Kja(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;f=i;g=Nja(b)|0;j=g|0;k=c[j>>2]|0;if((k|0)==0){hfa(9,0,65544,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;if((c[b+184>>2]|0)==0){he[c[(c[b+540>>2]|0)+68>>2]&127](b,c[g+48>>2]|0)|0}JJa(g);m=0;i=f;return m|0}n=b+184|0;o=c[n>>2]|0;if((o|0)==0){hfa(9,0,63448,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;he[c[(c[b+540>>2]|0)+68>>2]&127](b,c[g+48>>2]|0)|0;JJa(g);m=0;i=f;return m|0}do{if((c[g+16>>2]|0)<(k|0)){hfa(9,1,61384,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;p=IJa(c[j>>2]<<3)|0;q=p;r=g+40|0;s=c[r>>2]|0;c[r>>2]=0;t=+Dja(g,1.0);c[r>>2]=s;u=c[j>>2]|0;if((u|0)>0){v=g+24|0;w=0;x=c[v>>2]|0;while(1){y=x+(w<<3)|0;h[y>>3]=+h[y>>3]+1.0e-6;c[r>>2]=0;h[q+(w<<3)>>3]=+V(+(+Dja(g,1.0)-t))/1.0e-6;c[r>>2]=s;y=c[v>>2]|0;z=y+(w<<3)|0;h[z>>3]=+h[z>>3]+-1.0e-6;z=w+1|0;A=c[j>>2]|0;if((z|0)<(A|0)){w=z;x=y}else{B=A;break}}}else{B=u}x=c[n>>2]|0;if((x|0)>0){w=(B|0)>1;v=0;do{if(w){s=1;r=0;while(1){A=+h[q+(s<<3)>>3]>+h[q+(r<<3)>>3]?s:r;y=s+1|0;if((y|0)<(B|0)){s=y;r=A}else{C=A;break}}}else{C=0}h[q+(C<<3)>>3]=-1.0;v=v+1|0;}while((v|0)<(x|0))}hfa(9,1,59288,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;x=b+112|0;v=c[x>>2]|0;if((v|0)>0){w=b+8|0;u=g+44|0;r=g+24|0;s=0;A=0;y=v;while(1){v=(c[w>>2]|0)+(s*112|0)+72|0;if((a[v]|0)==0){if(+h[q+(A<<3)>>3]<0.0){D=y}else{a[v]=1;t=+h[(c[r>>2]|0)+(A<<3)>>3];hfa(9,0,56224,(l=i,i=i+16|0,c[l>>2]=c[(c[u>>2]|0)+(A<<2)>>2],h[l+8>>3]=t,l)|0);i=l;D=c[x>>2]|0}E=A+1|0;F=D}else{E=A;F=y}v=s+1|0;if((v|0)<(F|0)){s=v;A=E;y=F}else{G=E;break}}}else{G=0}y=b+136|0;if((c[y>>2]|0)>0){A=b+24|0;s=g+44|0;x=g+24|0;u=b+116|0;r=b+120|0;w=0;v=G;while(1){z=(c[A>>2]|0)+(w*112|0)+72|0;if((a[z]|0)==0){if(!(+h[q+(v<<3)>>3]<0.0)){a[z]=1;t=+h[(c[x>>2]|0)+(v<<3)>>3];hfa(9,0,56224,(l=i,i=i+16|0,c[l>>2]=c[(c[s>>2]|0)+(v<<2)>>2],h[l+8>>3]=t,l)|0);i=l}H=v+1|0}else{H=v}z=c[r>>2]|0;I=(c[u>>2]|0)-z|0;if((I|0)<(z|0)){J=I;K=H;L=z;while(1){z=(c[A>>2]|0)+(J*112|0)+72|0;if((a[z]|0)==0){if(+h[q+(K<<3)>>3]<0.0){M=L}else{a[z]=1;t=+h[(c[x>>2]|0)+(K<<3)>>3];hfa(9,0,56224,(l=i,i=i+16|0,c[l>>2]=c[(c[s>>2]|0)+(K<<2)>>2],h[l+8>>3]=t,l)|0);i=l;M=c[r>>2]|0}N=K+1|0;O=M}else{N=K;O=L}z=J+1|0;if((z|0)<(O|0)){J=z;K=N;L=O}else{P=z;Q=N;break}}}else{P=I;Q=H}L=P+1|0;if((L|0)<(c[y>>2]|0)){w=L;v=Q}else{break}}}if((c[2136467]|0)!=0){Vd[c[3586]&511](9);Vd[c[3586]&511](9)}JJa(p);Oja(g);v=Nja(b)|0;if((c[v>>2]|0)!=0){R=v;break}hfa(9,0,54184,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;JJa(v);m=0;i=f;return m|0}else{if((o|0)<=(k|0)){R=g;break}hfa(9,0,52136,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;R=g}}while(0);do{if((d|0)==5|(d|0)==3){hfa(9,0,50648,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;Lja(R,d,1,e);Eja(b,R);g=c[R>>2]|0;if((g|0)<=0){break}k=c[R+24>>2]|0;o=c[R+28>>2]|0;Q=0;do{h[o+(Q<<3)>>3]=+h[k+(Q<<3)>>3];Q=Q+1|0;}while((Q|0)<(g|0))}}while(0);if(+Dja(R,1.0)>1.0e-9){g=R+40|0;Q=c[g>>2]|0;if((Q|0)!=0){JJa(Q);c[g>>2]=0}g=R+52|0;Q=c[g>>2]|0;if((Q|0)!=0){JJa(Q);c[g>>2]=0}g=R+56|0;Q=c[g>>2]|0;if((Q|0)!=0){JJa(Q);c[g>>2]=0}Lja(R,d,0,e);Eja(b,R);+Dja(R,1.0)}else{hfa(9,0,49944,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l}hfa(9,1,49256,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;Eja(b,R);b=Cja(R)|0;if((c[2136467]|0)!=0){Vd[c[3586]&511](9)}Oja(R);m=b;i=f;return m|0}function Lja(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0;f=i;i=i+8|0;g=f|0;j=c[a+60>>2]|0;h[g>>3]=0.0;k=a|0;l=IJa(c[k>>2]<<3)|0;m=l;n=+Dja(a,1.0);o=c[k>>2]|0;if((o|0)>0){p=c[a+28>>2]|0;q=c[a+24>>2]|0;r=0;do{s=+h[p+(r<<3)>>3];h[q+(r<<3)>>3]=s;h[m+(r<<3)>>3]=s;r=r+1|0;}while((r|0)<(o|0))}if(!(n>1.0e-12)){t=1;Qja(a,m);JJa(l);u=t-1|0;hfa(9,0,45112,(v=i,i=i+8|0,c[v>>2]=u,v)|0);i=v;i=f;return}o=(d|0)==0;d=a+24|0;r=1;s=n;a:while(1){hfa(9,0,48600,(v=i,i=i+8|0,c[v>>2]=r,v)|0);i=v;if(!o){Pja(a)}switch(b|0){case 2:{w=Vja(a)|0;break};case 4:{w=Uja(a)|0;break};case 1:{w=Xja(a)|0;break};case 5:{w=Uja(a)|0;break};case 3:{w=Zja(a,g,e)|0;break};case 6:{w=Tja(j,a,0)|0;break};default:{x=15;break a}}nia(j);dia(j);jia(j);nia(j);n=+Dja(a,1.0);q=(w|0)>-1;if(q&n<s){p=c[k>>2]|0;if((p|0)>0){y=c[d>>2]|0;z=0;do{h[m+(z<<3)>>3]=+h[y+(z<<3)>>3];z=z+1|0;}while((z|0)<(p|0))}hfa(9,0,47304,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v;Eja(j,a);A=n}else{hfa(9,0,46584,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v;if(q&n==s){t=r;x=23;break}else{A=s}}p=r+1|0;if((p|0)<201&n>1.0e-12){r=p;s=A}else{t=p;x=23;break}}if((x|0)==15){lfa(c[j+536>>2]|0,47984,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v}else if((x|0)==23){Qja(a,m);JJa(l);u=t-1|0;hfa(9,0,45112,(v=i,i=i+8|0,c[v>>2]=u,v)|0);i=v;i=f;return}}function Mja(b){b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=iKa(b|0)|0;do{if((c|0)==0){d=0;e=IJa(1)|0}else{f=0;g=0;h=c;while(1){i=a[b+g|0]|0;if((i<<24>>24|0)==93){j=f-1|0}else if((i<<24>>24|0)==91){j=f+1|0}else{j=f}if((j|0)!=0&i<<24>>24==44){k=((a[b+(g+1)|0]|0)!=32)+h|0}else{k=h}i=g+1|0;if(i>>>0<c>>>0){f=j;g=i;h=k}else{break}}h=IJa(k+1|0)|0;if((k|0)==0){d=0;e=h;break}else{l=j;m=0;n=0}while(1){g=a[b+n|0]|0;if((g<<24>>24|0)==93){o=l-1|0}else if((g<<24>>24|0)==91){o=l+1|0}else{o=l}a[h+m|0]=g;do{if((o|0)!=0&g<<24>>24==44){if((a[b+(n+1)|0]|0)==32){p=m;break}f=m+1|0;a[h+f|0]=32;p=f}else{p=m}}while(0);g=p+1|0;if(g>>>0<k>>>0){l=o;m=g;n=n+1|0}else{d=k;e=h;break}}}}while(0);a[e+d|0]=0;if((fKa(e,22440,4)|0)!=0){return e|0}k=e+4|0;n=d;while(1){if(n>>>0>3>>>0){if((a[e+n|0]|0)!=46){n=n-1|0;continue}}if((n|0)==3){q=23;break}m=n-3|0;kKa(e|0,k|0,m)|0;o=e+m|0;C=678585700;a[o]=C;C=C>>8;a[o+1|0]=C;C=C>>8;a[o+2|0]=C;C=C>>8;a[o+3|0]=C;if((fKa(e,22440,4)|0)==0){n=d}else{q=23;break}}if((q|0)==23){return e|0}return 0}function Nja(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;d=i;e=IJa(64)|0;f=e;kfa(0,(e|0)!=0|0,165256,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=e;k=e+4|0;l=e+8|0;m=e+12|0;n=e+16|0;o=e+20|0;p=e+24|0;q=e+28|0;r=e+32|0;s=e+36|0;t=e+40|0;u=e+44|0;v=e+48|0;w=e+52|0;x=e+56|0;lKa(e|0,0,60)|0;c[e+60>>2]=b;e=b+8|0;y=b+112|0;z=c[y>>2]|0;if((z|0)>0){A=c[e>>2]|0;B=0;C=0;while(1){if((a[A+(B*112|0)+72|0]|0)==0){D=C+1|0;c[k>>2]=D;E=D}else{E=C}D=B+1|0;if((D|0)<(z|0)){B=D;C=E}else{F=E;break}}}else{F=0}E=b+136|0;C=c[E>>2]|0;if((C|0)>0){B=c[b+24>>2]|0;z=0;k=0;while(1){if((a[B+(z*112|0)+72|0]|0)==0){A=k+1|0;c[l>>2]=A;G=A}else{G=k}A=z+1|0;if((A|0)<(C|0)){z=A;k=G}else{H=G;break}}}else{H=0}G=b+116|0;k=b+120|0;z=c[k>>2]|0;if((z|0)>0){C=c[G>>2]|0;l=c[e>>2]|0;B=C-z|0;z=0;while(1){if((a[l+(B*112|0)+72|0]|0)==0){A=z+1|0;c[m>>2]=A;I=A}else{I=z}A=B+1|0;if((A|0)<(C|0)){B=A;z=I}else{J=I;break}}}else{J=0}I=H+F+J|0;c[j>>2]=I;if((I|0)==0){i=d;return f|0}j=KJa(I,8)|0;c[p>>2]=j;kfa(0,(j|0)!=0|0,165256,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=KJa(I,8)|0;c[q>>2]=j;kfa(0,(j|0)!=0|0,165256,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=KJa(I,8)|0;c[r>>2]=j;kfa(0,(j|0)!=0|0,165256,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=KJa(I,8)|0;c[s>>2]=j;kfa(0,(j|0)!=0|0,165256,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=KJa(I,8)|0;c[t>>2]=j;kfa(0,(j|0)!=0|0,165256,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=KJa(I,4)|0;z=j;c[u>>2]=z;kfa(0,(j|0)!=0|0,165256,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;hfa(9,0,177360,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;hfa(9,0,133672,(g=i,i=i+32|0,c[g>>2]=I,c[g+8>>2]=F,c[g+16>>2]=H,c[g+24>>2]=J,g)|0);i=g;J=c[y>>2]|0;if((J|0)>0){H=e|0;F=0;I=0;j=z;B=J;while(1){J=c[H>>2]|0;if((a[J+(F*112|0)+72|0]|0)==0){c[j+(I<<2)>>2]=c[J+(F*112|0)+4>>2];J=c[H>>2]|0;do{if((a[J+(F*112|0)+73|0]|0)==0){K=1.0;L=(c[t>>2]|0)+(I<<3)|0}else{M=+h[J+(F*112|0)+80>>3];N=+V(+M);C=(c[t>>2]|0)+(I<<3)|0;if(!(M==0.0)){K=N;L=C;break}K=1.0;L=C}}while(0);h[L>>3]=K;C=J+(F*112|0)+96|0;m=(c[p>>2]|0)+(I<<3)|0;h[m>>3]=+h[C>>3];l=(c[q>>2]|0)+(I<<3)|0;h[l>>3]=+h[C>>3];h[(c[r>>2]|0)+(I<<3)>>3]=+h[J+(F*112|0)+56>>3];h[(c[s>>2]|0)+(I<<3)>>3]=+h[J+(F*112|0)+64>>3];C=I+1|0;A=c[u>>2]|0;D=c[A+(I<<2)>>2]|0;N=+h[l>>3];M=+h[L>>3];O=+h[m>>3];hfa(9,0,105592,(g=i,i=i+40|0,c[g>>2]=C,c[g+8>>2]=D,h[g+16>>3]=N,h[g+24>>3]=M,h[g+32>>3]=O,g)|0);i=g;P=C;Q=A;R=c[y>>2]|0}else{P=I;Q=j;R=B}A=F+1|0;if((A|0)<(R|0)){F=A;I=P;j=Q;B=R}else{S=P;T=Q;break}}}else{S=0;T=z}z=c[E>>2]|0;if((z|0)>0){Q=b+24|0;P=0;R=S;B=T;j=z;while(1){z=c[Q>>2]|0;if((a[z+(P*112|0)+72|0]|0)==0){c[B+(R<<2)>>2]=c[z+(P*112|0)+4>>2];z=c[Q>>2]|0;K=+h[z+(P*112|0)+80>>3];O=+V(+K);I=(c[t>>2]|0)+(R<<3)|0;h[I>>3]=K==0.0?1.0:O;F=z+(P*112|0)+96|0;y=(c[p>>2]|0)+(R<<3)|0;h[y>>3]=+h[F>>3];L=(c[q>>2]|0)+(R<<3)|0;h[L>>3]=+h[F>>3];h[(c[r>>2]|0)+(R<<3)>>3]=+h[z+(P*112|0)+56>>3];h[(c[s>>2]|0)+(R<<3)>>3]=+h[z+(P*112|0)+64>>3];z=R+1|0;F=c[u>>2]|0;H=c[F+(R<<2)>>2]|0;O=+h[L>>3];K=+h[I>>3];M=+h[y>>3];hfa(9,0,80176,(g=i,i=i+40|0,c[g>>2]=z,c[g+8>>2]=H,h[g+16>>3]=O,h[g+24>>3]=K,h[g+32>>3]=M,g)|0);i=g;U=z;W=F;X=c[E>>2]|0}else{U=R;W=B;X=j}F=P+1|0;if((F|0)<(X|0)){P=F;R=U;B=W;j=X}else{Y=U;Z=W;break}}}else{Y=S;Z=T}T=c[k>>2]|0;if((T|0)>0){S=c[G>>2]|0;W=e|0;U=S-T|0;T=Y;Y=Z;Z=S;while(1){S=c[W>>2]|0;if((a[S+(U*112|0)+72|0]|0)==0){c[Y+(T<<2)>>2]=c[S+(U*112|0)+4>>2];S=c[W>>2]|0;do{if((a[S+(U*112|0)+73|0]|0)==0){_=1.0;$=(c[t>>2]|0)+(T<<3)|0}else{M=+h[S+(U*112|0)+80>>3];K=+V(+M);X=(c[t>>2]|0)+(T<<3)|0;if(!(M==0.0)){_=K;$=X;break}_=1.0;$=X}}while(0);h[$>>3]=_;J=S+(U*112|0)+96|0;X=(c[p>>2]|0)+(T<<3)|0;h[X>>3]=+h[J>>3];j=(c[q>>2]|0)+(T<<3)|0;h[j>>3]=+h[J>>3];h[(c[r>>2]|0)+(T<<3)>>3]=+h[S+(U*112|0)+56>>3];h[(c[s>>2]|0)+(T<<3)>>3]=+h[S+(U*112|0)+64>>3];J=T+1|0;B=c[u>>2]|0;R=c[B+(T<<2)>>2]|0;K=+h[j>>3];M=+h[$>>3];O=+h[X>>3];hfa(9,0,58576,(g=i,i=i+40|0,c[g>>2]=J,c[g+8>>2]=R,h[g+16>>3]=K,h[g+24>>3]=M,h[g+32>>3]=O,g)|0);i=g;aa=J;ba=B;ca=c[G>>2]|0}else{aa=T;ba=Y;ca=Z}B=U+1|0;if((B|0)<(ca|0)){U=B;T=aa;Y=ba;Z=ca}else{break}}}ca=c[b+184>>2]|0;c[n>>2]=ca;c[o>>2]=0;n=c[G>>2]|0;if((n|0)>0){G=c[e>>2]|0;Z=0;ba=0;while(1){if((a[G+(Z*112|0)+88|0]|0)==0){da=ba}else{Y=ba+1|0;c[o>>2]=Y;da=Y}Y=Z+1|0;if((Y|0)<(n|0)){Z=Y;ba=da}else{ea=da;break}}}else{ea=0}da=c[E>>2]|0;if((da|0)>0){E=c[b+24>>2]|0;ba=0;Z=ea;while(1){do{if((a[E+(ba*112|0)+88|0]|0)==0){fa=Z}else{if((a[E+(ba*112|0)+72|0]|0)!=0){fa=Z;break}G=Z+1|0;c[o>>2]=G;fa=G}}while(0);S=ba+1|0;if((S|0)<(da|0)){ba=S;Z=fa}else{ga=fa;break}}}else{ga=ea}ea=c[k>>2]|0;if((ea|0)>0){k=c[e>>2]|0;e=n-ea|0;ea=ga;while(1){do{if((a[k+(e*112|0)+88|0]|0)==0){ha=ea}else{if((a[k+(e*112|0)+72|0]|0)!=0){ha=ea;break}fa=ea+1|0;c[o>>2]=fa;ha=fa}}while(0);fa=e+1|0;if((fa|0)<(n|0)){e=fa;ea=ha}else{ia=ha;break}}}else{ia=ga}ga=c[b+176>>2]|0;ha=c[b+180>>2]|0;hfa(9,0,46168,(g=i,i=i+24|0,c[g>>2]=ca,c[g+8>>2]=ga,c[g+16>>2]=ha,g)|0);i=g;hfa(9,0,39792,(g=i,i=i+8|0,c[g>>2]=ia,g)|0);i=g;ha=KJa(ca,8)|0;c[v>>2]=ha;kfa(0,(ha|0)!=0|0,165256,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;ha=IJa(ca<<3)|0;v=ha;c[w>>2]=v;kfa(0,(ha|0)!=0|0,165256,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;ha=IJa(ia<<3)|0;w=ha;c[x>>2]=w;kfa(0,(ha|0)!=0|0,165256,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;if((ca|0)>0){g=0;do{h[v+(g<<3)>>3]=1.0;g=g+1|0;}while((g|0)<(ca|0))}if((ia|0)>0){ja=0}else{i=d;return f|0}do{h[w+(ja<<3)>>3]=1.0;ja=ja+1|0;}while((ja|0)<(ia|0));i=d;return f|0}function Oja(a){a=a|0;var b=0,d=0;b=c[a+24>>2]|0;if((b|0)!=0){JJa(b)}b=c[a+28>>2]|0;if((b|0)!=0){JJa(b)}b=c[a+32>>2]|0;if((b|0)!=0){JJa(b)}b=c[a+36>>2]|0;if((b|0)!=0){JJa(b)}b=c[a+40>>2]|0;if((b|0)!=0){JJa(b)}b=c[a+44>>2]|0;if((b|0)!=0){JJa(b)}b=c[a+48>>2]|0;if((b|0)!=0){JJa(b)}b=c[a+52>>2]|0;if((b|0)!=0){JJa(b)}b=c[a+56>>2]|0;if((b|0)==0){d=a;JJa(d);return}JJa(b);d=a;JJa(d);return}function Pja(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0.0,Y=0.0,Z=0,_=0,$=0;d=i;e=c[b+60>>2]|0;f=b+40|0;if((c[f>>2]|0)==0){i=d;return}g=b+52|0;j=c[g>>2]|0;if((j|0)==0){i=d;return}k=b+56|0;l=c[k>>2]|0;if((l|0)==0){i=d;return}m=b+16|0;n=c[m>>2]|0;o=KJa(n,8)|0;p=o;q=KJa(n,8)|0;r=q;s=b+20|0;t=c[s>>2]|0;u=KJa(t,8)|0;v=u;w=KJa(t,8)|0;x=w;y=KJa(n,8)|0;z=y;A=KJa(t,8)|0;B=A;if((n|0)>0){C=0;do{h[j+(C<<3)>>3]=1.0;C=C+1|0;}while((C|0)<(n|0))}if((t|0)>0){n=0;do{h[l+(n<<3)>>3]=1.0;n=n+1|0;}while((n|0)<(t|0))}+Dja(b,1.0);t=c[m>>2]|0;if((t|0)>0){kKa(o|0,c[b+48>>2]|0,(t|0)>1?t<<3:8)|0}n=e+8|0;l=e+116|0;C=c[l>>2]|0;if((C|0)>0){j=c[n>>2]|0;D=e+4|0;E=0;F=0;while(1){if((a[j+(F*112|0)+88|0]|0)==0){G=E}else{h[v+(E<<3)>>3]=+h[j+(F*112|0)+96>>3]- +h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+(F<<3)>>3];G=E+1|0}H=F+1|0;if((H|0)<(C|0)){E=G;F=H}else{I=G;break}}}else{I=0}G=e+136|0;F=c[G>>2]|0;if((F|0)>0){E=c[e+24>>2]|0;D=e+4|0;j=I;H=0;while(1){do{if((a[E+(H*112|0)+88|0]|0)==0){J=j}else{if((a[E+(H*112|0)+72|0]|0)!=0){J=j;break}h[v+(j<<3)>>3]=+h[E+(H*112|0)+96>>3]- +h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+(H<<3)>>3];J=j+1|0}}while(0);K=H+1|0;if((K|0)<(F|0)){j=J;H=K}else{L=J;break}}}else{L=I}I=e+120|0;J=c[I>>2]|0;if((J|0)>0){H=c[n>>2]|0;j=e+4|0;F=L;L=C-J|0;while(1){do{if((a[H+(L*112|0)+88|0]|0)==0){M=F}else{if((a[H+(L*112|0)+72|0]|0)!=0){M=F;break}h[v+(F<<3)>>3]=+h[H+(L*112|0)+96>>3]- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(L<<3)>>3];M=F+1|0}}while(0);J=L+1|0;if((J|0)<(C|0)){F=M;L=J}else{break}}}L=b|0;if((c[L>>2]|0)>0){M=b+24|0;F=n|0;n=e+4|0;C=e+24|0;e=b+48|0;j=0;H=c[M>>2]|0;while(1){J=H+(j<<3)|0;h[J>>3]=+h[J>>3]+1.0e-6;+Dja(b,1.0);J=c[m>>2]|0;D=(J|0)>0;if(D){kKa(q|0,c[e>>2]|0,(J|0)>1?J<<3:8)|0}E=c[l>>2]|0;if((E|0)>0){K=c[F>>2]|0;N=0;O=0;while(1){if((a[K+(O*112|0)+88|0]|0)==0){P=N}else{h[x+(N<<3)>>3]=+h[K+(O*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(O<<3)>>3];P=N+1|0}Q=O+1|0;if((Q|0)<(E|0)){N=P;O=Q}else{R=P;break}}}else{R=0}O=c[G>>2]|0;if((O|0)>0){N=c[C>>2]|0;K=R;Q=0;while(1){do{if((a[N+(Q*112|0)+88|0]|0)==0){S=K}else{if((a[N+(Q*112|0)+72|0]|0)!=0){S=K;break}h[x+(K<<3)>>3]=+h[N+(Q*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(Q<<3)>>3];S=K+1|0}}while(0);T=Q+1|0;if((T|0)<(O|0)){K=S;Q=T}else{U=S;break}}}else{U=R}Q=c[I>>2]|0;if((Q|0)>0){K=c[F>>2]|0;O=U;N=E-Q|0;while(1){do{if((a[K+(N*112|0)+88|0]|0)==0){W=O}else{if((a[K+(N*112|0)+72|0]|0)!=0){W=O;break}h[x+(O<<3)>>3]=+h[K+(N*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(N<<3)>>3];W=O+1|0}}while(0);Q=N+1|0;if((Q|0)<(E|0)){O=W;N=Q}else{break}}}if(D){X=+h[(c[f>>2]|0)+(j<<3)>>3];N=0;do{Y=+V(+(X*(+h[r+(N<<3)>>3]- +h[p+(N<<3)>>3])/1.0e-6));O=z+(N<<3)|0;if(Y>+h[O>>3]){h[O>>3]=Y}N=N+1|0;}while((N|0)<(J|0))}N=c[s>>2]|0;if((N|0)>0){X=+h[(c[f>>2]|0)+(j<<3)>>3];D=0;do{Y=+V(+(X*(+h[x+(D<<3)>>3]- +h[v+(D<<3)>>3])/1.0e-6));O=B+(D<<3)|0;if(Y>+h[O>>3]){h[O>>3]=Y}D=D+1|0;}while((D|0)<(N|0))}N=c[M>>2]|0;D=N+(j<<3)|0;h[D>>3]=+h[D>>3]+-1.0e-6;D=j+1|0;if((D|0)<(c[L>>2]|0)){j=D;H=N}else{Z=J;break}}}else{Z=t}if((Z|0)>0){t=0;H=Z;while(1){X=+h[z+(t<<3)>>3];Z=(c[g>>2]|0)+(t<<3)|0;if(X<1.0e-42){h[Z>>3]=1.0;j=t+1|0;hfa(9,0,33312,(L=i,i=i+8|0,c[L>>2]=j,L)|0);i=L;_=c[m>>2]|0;$=j}else{h[Z>>3]=X;_=H;$=t+1|0}if(($|0)<(_|0)){t=$;H=_}else{break}}}if((c[s>>2]|0)>0){_=0;do{X=+h[B+(_<<3)>>3];h[(c[k>>2]|0)+(_<<3)>>3]=X<1.0e-42?1.0:X;_=_+1|0;}while((_|0)<(c[s>>2]|0))}JJa(o);JJa(q);JJa(u);JJa(w);JJa(y);JJa(A);i=d;return}function Qja(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[a>>2]|0;if((d|0)<=0){return}e=c[a+24>>2]|0;a=0;do{h[e+(a<<3)>>3]=+h[b+(a<<3)>>3];a=a+1|0;}while((a|0)<(d|0));return}function Rja(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0;d=c[a>>2]|0;if((d|0)<=0){return}e=c[a+40>>2]|0;f=(e|0)==0;g=c[a+24>>2]|0;a=0;do{i=+h[b+(a<<3)>>3];if(f){j=i}else{j=i*+h[e+(a<<3)>>3]}h[g+(a<<3)>>3]=j;a=a+1|0;}while((a|0)<(d|0));return}function Sja(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=c[b+60>>2]|0;e=c[d+112>>2]|0;if((e|0)>0){f=b+24|0;g=c[d+8>>2]|0;i=0;j=0;while(1){if((a[g+(i*112|0)+72|0]|0)==0){h[(c[(c[c[d+4>>2]>>2]|0)+8>>2]|0)+(i<<3)>>3]=+h[(c[f>>2]|0)+(j<<3)>>3];k=j+1|0}else{k=j}l=i+1|0;if((l|0)<(e|0)){i=l;j=k}else{m=k;break}}}else{m=0}k=c[d+136>>2]|0;if((k|0)>0){j=b+24|0;i=c[d+24>>2]|0;e=0;f=m;while(1){if((a[i+(e*112|0)+72|0]|0)==0){h[(c[d+416>>2]|0)+(e<<3)>>3]=+h[(c[j>>2]|0)+(f<<3)>>3];n=f+1|0}else{n=f}g=e+1|0;if((g|0)<(k|0)){e=g;f=n}else{o=n;break}}}else{o=m}m=c[d+116>>2]|0;n=c[d+120>>2]|0;if((n|0)<=0){return}f=b+24|0;b=c[d+8>>2]|0;e=m-n|0;n=o;while(1){if((a[b+(e*112|0)+72|0]|0)==0){h[(c[d+400>>2]|0)+(e<<3)>>3]=+h[(c[f>>2]|0)+(n<<3)>>3];p=n+1|0}else{p=n}o=e+1|0;if((o|0)<(m|0)){e=o;n=p}else{break}}return}function Tja(a,b,d){a=a|0;b=b|0;d=d|0;lfa(c[a+536>>2]|0,164496,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function Uja(a){a=a|0;lfa(0,164352,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function Vja(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+40|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;j=b+32|0;c[d>>2]=(c[2136467]|0)!=0?1e3:0;k=a|0;l=c[k>>2]|0;c[e>>2]=l*1e3|0;h[f>>3]=1.0e-12;h[g>>3]=10.0;m=l<<1|1;c[j>>2]=m;n=KJa((ga(m+13|0,m+l|0)|0)+((ga(l*3|0,l+3|0)|0)/2|0)|0,8)|0;kfa(0,(n|0)!=0|0,164328,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;c[2138852]=c[a+60>>2];c[2138848]=c[a+48>>2];vha(k,j,c[a+24>>2]|0,g,f,d,e,n,4);JJa(n);c[2138852]=0;c[2138848]=0;n=Cja(a)|0;i=b;return n|0}function Wja(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+64|0;f=e|0;c[f>>2]=c[a>>2];c[f+4>>2]=-1;c[f+8>>2]=-1;c[f+16>>2]=0;c[f+20>>2]=0;c[f+24>>2]=b;lKa(f+28|0,0,20)|0;c[f+48>>2]=c[2138848];c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=c[2138852];h[d>>3]=+Dja(f,1.0);i=e;return}function Xja(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0;b=i;i=i+64|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;j=b+32|0;k=b+40|0;l=b+48|0;m=b+56|0;h[d>>3]=0.0;h[e>>3]=0.0;h[f>>3]=0.0;c[g>>2]=0;c[j>>2]=0;c[k>>2]=0;c[l>>2]=0;c[m>>2]=0;n=a|0;o=c[n>>2]<<3;p=IJa(o)|0;q=p;r=IJa(o)|0;o=r;kfa(0,(p|0)!=0|0,163936,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;kfa(0,(r|0)!=0|0,163936,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;r=c[n>>2]|0;if((r|0)>0){s=c[a+24>>2]|0;t=0;do{u=+h[s+(t<<3)>>3];if(u!=0.0){v=+V(+u)/1.0e3}else{v=1.0}h[q+(t<<3)>>3]=v;h[o+(t<<3)>>3]=0.0;t=t+1|0;}while((t|0)<(r|0))}t=r*1e3|0;c[m>>2]=t;if((c[2136467]|0)==0){w=-1}else{w=(t|0)/10|0}c[g>>2]=w;h[e>>3]=1.0e-12;c[j>>2]=r;c[k>>2]=0;h[f>>3]=1.0e-12;v=+Dja(a,1.0);h[d>>3]=v;if(v!=0.0){c[2138850]=c[a+60>>2];c[2138846]=c[a+48>>2];sha(c[a+24>>2]|0,q,n,d,m,g,e,j,k,f,o,6,l);c[2138850]=0;c[2138846]=0}else{hfa(9,0,177256,(p=i,i=i+8|0,h[p>>3]=v,p)|0);i=p}v=+Dja(a,1.0);h[d>>3]=v;hfa(9,0,133656,(p=i,i=i+8|0,h[p>>3]=v,p)|0);i=p;o=c[l>>2]|0;do{if((o|0)==3){jfa(9,0,58496,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-3;i=b;return x|0}else if((o|0)==2){jfa(9,0,80112,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-2;i=b;return x|0}else if((o|0)==1){if(!(+h[f>>3]<+h[d>>3])){break}jfa(9,0,105512,(p=i,i=i+8|0,c[p>>2]=c[m>>2],p)|0);i=p;x=-1;i=b;return x|0}else if((o|0)==4){jfa(9,0,46096,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-4;i=b;return x|0}}while(0);x=Cja(a)|0;i=b;return x|0}function Yja(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+64|0;f=e|0;c[f>>2]=c[a>>2];c[f+4>>2]=-1;c[f+8>>2]=-1;c[f+16>>2]=0;c[f+20>>2]=0;c[f+24>>2]=b;lKa(f+28|0,0,20)|0;c[f+48>>2]=c[2138846];c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=c[2138850];h[d>>3]=+Dja(f,1.0);i=e;return}function Zja(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0;e=i;i=i+8|0;f=e|0;g=ga(d*1e3|0,c[a>>2]|0)|0;c[f>>2]=0;hfa(9,1,163704,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[2136467]|0)==0){k=0}else{k=(g|0)/10|0}_ja(a,d,g,k,b,f);hfa(9,0,177240,(j=i,i=i+8|0,c[j>>2]=c[f>>2],j)|0);i=j;Vd[c[3586]&511](9);if(+h[b>>3]<1.0){l=-1;i=e;return l|0}b=Cja(a)|0;if((b|0)==0){l=0;i=e;return l|0}jfa(9,0,133608,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;l=b;i=e;return l|0}function _ja(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0.0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0;j=i;i=i+4096|0;k=a|0;l=c[k>>2]|0;m=l+1|0;n=l<<3;o=IJa(ga(n,m)|0)|0;p=o;q=IJa(m<<3)|0;r=q;s=IJa(n)|0;t=s;u=IJa(n)|0;v=u;w=IJa(n)|0;x=w;y=IJa(n)|0;n=y;z=+h[f>>3];if((c[2136467]|0)!=0&z<1.0){A=j|0;Pb(A|0,105496,(B=i,i=i+8|0,c[B>>2]=c[(c[a+60>>2]|0)+88>>2],B)|0)|0;i=B;C=zc(A|0,80104)|0;od(C|0,58488,(B=i,i=i+8|0,c[B>>2]=46080,B)|0)|0;i=B;od(C|0,58488,(B=i,i=i+8|0,c[B>>2]=39768,B)|0)|0;i=B;if((c[k>>2]|0)>0){A=a+44|0;D=0;do{od(C|0,58488,(B=i,i=i+8|0,c[B>>2]=c[(c[A>>2]|0)+(D<<2)>>2],B)|0)|0;i=B;D=D+1|0;}while((D|0)<(c[k>>2]|0))}Wa(10,C|0)|0;od(C|0,27552,(B=i,i=i+8|0,c[B>>2]=0,B)|0)|0;i=B;od(C|0,6877928,(B=i,i=i+8|0,h[B>>3]=z,B)|0)|0;i=B;if((c[k>>2]|0)>0){D=a+24|0;A=0;do{od(C|0,6877928,(B=i,i=i+8|0,h[B>>3]=+h[(c[D>>2]|0)+(A<<3)>>3],B)|0)|0;i=B;A=A+1|0;}while((A|0)<(c[k>>2]|0))}Wa(10,C|0)|0;E=C}else{E=0}kfa(0,(o|0)!=0|0,178816,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;kfa(0,(q|0)!=0|0,178816,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;kfa(0,(s|0)!=0|0,178816,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;kfa(0,(u|0)!=0|0,178816,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;kfa(0,(w|0)!=0|0,178816,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;kfa(0,(y|0)!=0|0,178816,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;C=c[a+40>>2]|0;A=(l|0)>0;do{if((C|0)==0){if(!A){F=0;break}D=(m|0)>0;G=a+24|0;H=0;while(1){if(D){I=(c[G>>2]|0)+(H<<3)|0;J=0;do{h[p+((ga(J,l)|0)+H<<3)>>3]=+h[I>>3];J=J+1|0;}while((J|0)<(m|0))}J=H+1|0;if((J|0)<(l|0)){H=J}else{K=14;break}}}else{if(!A){F=0;break}H=c[a+24>>2]|0;G=(m|0)>0;D=0;while(1){L=+h[H+(D<<3)>>3]/+h[C+(D<<3)>>3];if(G){J=0;do{h[p+((ga(J,l)|0)+D<<3)>>3]=L;J=J+1|0;}while((J|0)<(m|0))}J=D+1|0;if((J|0)<(l|0)){D=J}else{K=14;break}}}}while(0);do{if((K|0)==14){C=(l|0)>0;if(C){M=0}else{F=0;break}while(1){A=p+((ga(M,l)|0)+M<<3)|0;h[A>>3]=+h[A>>3]+1.0;A=M+1|0;if((A|0)<(l|0)){M=A}else{F=C;break}}}}while(0);M=(m|0)>0;C=a+16|0;L=+(m|0);N=+(l|0);A=(e|0)==0;D=a+48|0;O=1.0/+(b-1|0);b=(E|0)==0;G=a+24|0;H=l<<3;P=0.0;J=0;Q=z;a:while(1){I=Q>=1.0;R=Q<1.0;S=P;T=J;b:while(1){U=T;c:while(1){W=U+1|0;if(M){X=0;do{Rja(a,p+((ga(X,l)|0)<<3)|0);h[r+(X<<3)>>3]=+Dja(a,Q);X=X+1|0;}while((X|0)<(m|0))}if(F){X=1;Y=0;while(1){Z=+h[r+(X<<3)>>3]<+h[r+(Y<<3)>>3]?X:Y;_=X+1|0;if((_|0)<(m|0)){X=_;Y=Z}else{$=Z;break}}}else{$=0}aa=ga($,l)|0;ba=p+(aa<<3)|0;Rja(a,ba);+Dja(a,Q);Y=c[C>>2]|0;if((Y|0)>0){X=c[D>>2]|0;Z=0;z=0.0;do{ca=+V(+(+h[X+(Z<<3)>>3]));z=ca>z?ca:z;Z=Z+1|0;}while((Z|0)<(Y|0));da=z<1.0e-12}else{da=1}if(I&da|(W|0)>(d|0)){break a}do{if(M){Y=$;Z=$;X=0;while(1){ca=+h[r+(X<<3)>>3];_=ca>+h[r+(Y<<3)>>3];ea=_?X:Y;fa=_?Y:Z;ha=ca<=+h[r+(fa<<3)>>3]|(X|0)==(ea|0)?fa:X;fa=X+1|0;if((fa|0)<(m|0)){Y=ea;Z=ha;X=fa}else{break}}if(M){ia=0;ja=0.0}else{ka=0.0;la=ea;ma=ha;break}do{ja=ja+ +h[r+(ia<<3)>>3];ia=ia+1|0;}while((ia|0)<(m|0));ca=ja/L;if(M){na=0;oa=0.0}else{ka=0.0;la=ea;ma=ha;break}while(1){pa=+h[r+(na<<3)>>3]-ca;qa=oa+pa*pa;X=na+1|0;if((X|0)<(m|0)){na=X;oa=qa}else{ka=qa;la=ea;ma=ha;break}}}else{ka=0.0;la=$;ma=$}}while(0);z=ka/N;do{if(!A){if(((W|0)%(e|0)|0|0)!=0){break}ca=+h[r+($<<3)>>3];qa=+h[r+(la<<3)>>3];hfa(9,0,172336,(B=i,i=i+32|0,h[B>>3]=Q,c[B+8>>2]=W,h[B+16>>3]=ca,h[B+24>>3]=qa,B)|0);i=B}}while(0);if(z<1.0e-8&R){break b}if(F){lKa(y|0,0,H|0)|0}if(M){X=0;do{if(!((X|0)==(la|0)|F^1)){Z=ga(X,l)|0;Y=0;do{fa=n+(Y<<3)|0;h[fa>>3]=+h[p+(Y+Z<<3)>>3]+ +h[fa>>3];Y=Y+1|0;}while((Y|0)<(l|0))}X=X+1|0;}while((X|0)<(m|0))}do{if(F){X=0;do{Y=n+(X<<3)|0;h[Y>>3]=+h[Y>>3]/N;X=X+1|0;}while((X|0)<(l|0));if(!F){break}X=ga(la,l)|0;Y=0;do{z=+h[n+(Y<<3)>>3];h[t+(Y<<3)>>3]=z+(z- +h[p+(Y+X<<3)>>3]);Y=Y+1|0;}while((Y|0)<(l|0))}}while(0);Rja(a,t);ra=+Dja(a,Q);z=+h[r+($<<3)>>3];do{if(!(z>ra)){if(ra>+h[r+(ma<<3)>>3]){break}if(!F){U=W;continue c}kKa(o+(ga(H,la)|0)|0,s|0,H)|0;U=W;continue c}}while(0);if(ra>z){break}if(F){Y=0;do{qa=+h[n+(Y<<3)>>3];h[v+(Y<<3)>>3]=qa+(+h[t+(Y<<3)>>3]-qa)*2.0;Y=Y+1|0;}while((Y|0)<(l|0))}Rja(a,v);if(+Dja(a,Q)<ra){if(!F){U=W;continue}kKa(o+(ga(H,la)|0)|0,u|0,H)|0;U=W;continue}else{if(!F){U=W;continue}kKa(o+(ga(H,la)|0)|0,s|0,H)|0;U=W;continue}}if(+h[r+(ma<<3)>>3]>ra){K=90;break a}z=+h[r+(la<<3)>>3];if(ra<z){if(F){U=0;do{qa=+h[n+(U<<3)>>3];h[x+(U<<3)>>3]=qa+(+h[t+(U<<3)>>3]-qa)*.5;U=U+1|0;}while((U|0)<(l|0))}Rja(a,x);sa=+Dja(a,Q)}else{if(F){U=ga(la,l)|0;Y=0;do{qa=+h[n+(Y<<3)>>3];h[x+(Y<<3)>>3]=qa+(+h[p+(Y+U<<3)>>3]-qa)*.5;Y=Y+1|0;}while((Y|0)<(l|0))}Rja(a,x);sa=+Dja(a,Q)}if(sa<z){if(!F){S=sa;T=W;continue}kKa(o+(ga(H,la)|0)|0,w|0,H)|0;S=sa;T=W;continue}if(M){ta=0}else{S=sa;T=W;continue}while(1){if(F){Y=ga(ta,l)|0;U=0;do{X=p+(U+Y<<3)|0;h[X>>3]=(+h[X>>3]+ +h[p+(U+aa<<3)>>3])*.5;U=U+1|0;}while((U|0)<(l|0))}U=ta+1|0;if((U|0)<(m|0)){ta=U}else{S=sa;T=W;continue b}}}z=Q+O;qa=z>1.0?1.0:z;z=+h[r+($<<3)>>3];hfa(9,0,166640,(B=i,i=i+24|0,h[B>>3]=qa,c[B+8>>2]=W,h[B+16>>3]=z,B)|0);i=B;if(b){P=S;J=W;Q=qa;continue}od(E|0,27552,(B=i,i=i+8|0,c[B>>2]=W,B)|0)|0;i=B;od(E|0,6877928,(B=i,i=i+8|0,h[B>>3]=qa,B)|0)|0;i=B;if((c[k>>2]|0)>0){T=0;do{od(E|0,6877928,(B=i,i=i+8|0,h[B>>3]=+h[(c[G>>2]|0)+(T<<3)>>3],B)|0)|0;i=B;T=T+1|0;}while((T|0)<(c[k>>2]|0))}Wa(10,E|0)|0;P=S;J=W;Q=qa}if((K|0)==90){jfa(9,0,162056,(B=i,i=i+8|0,h[B>>3]=ra,B)|0);i=B;jfa(9,0,157984,(B=i,i=i+8|0,h[B>>3]=S,B)|0);i=B;lfa(0,153904,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B}Rja(a,ba);if((f|0)!=0){h[f>>3]=Q}if((g|0)!=0){c[g>>2]=W}if(b){JJa(u);JJa(s);JJa(w);JJa(y);JJa(q);JJa(o);i=j;return}od(E|0,27552,(B=i,i=i+8|0,c[B>>2]=W,B)|0)|0;i=B;od(E|0,6877928,(B=i,i=i+8|0,h[B>>3]=Q,B)|0)|0;i=B;if((c[k>>2]|0)>0){W=0;do{od(E|0,6877928,(B=i,i=i+8|0,h[B>>3]=+h[(c[G>>2]|0)+(W<<3)>>3],B)|0)|0;i=B;W=W+1|0;}while((W|0)<(c[k>>2]|0))}Wa(10,E|0)|0;Pa(E|0)|0;JJa(u);JJa(s);JJa(w);JJa(y);JJa(q);JJa(o);i=j;return}function $ja(a,b){a=a|0;b=b|0;return}function aka(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=i;f=c[b+12>>2]|0;yga(3);Bga(0);g=+tga(0);yga(0);j=d+4|0;od(f|0,162952,(k=i,i=i+8|0,h[k>>3]=+h[c[c[j>>2]>>2]>>3],k)|0)|0;i=k;if((c[b+8>>2]|0)!=0){od(f|0,162952,(k=i,i=i+8|0,h[k>>3]=g,k)|0)|0;i=k}b=d+116|0;l=c[b>>2]|0;if((l|0)>0){m=d+8|0;n=0;o=l;while(1){if((a[(c[m>>2]|0)+(n*112|0)+104|0]|0)==0){od(f|0,162952,(k=i,i=i+8|0,h[k>>3]=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(n<<3)>>3],k)|0)|0;i=k;p=c[b>>2]|0}else{p=o}l=n+1|0;if((l|0)<(p|0)){n=l;o=p}else{break}}}p=d+124|0;o=c[p>>2]|0;if((o|0)>0){n=d+12|0;b=0;m=o;while(1){if((a[(c[n>>2]|0)+(b*60|0)+56|0]|0)==0){od(f|0,176560,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+12>>2]|0)+(b<<2)>>2],k)|0)|0;i=k;q=c[p>>2]|0}else{q=m}o=b+1|0;if((o|0)<(q|0)){b=o;m=q}else{break}}}q=d+128|0;m=c[q>>2]|0;if((m|0)>0){b=d+16|0;p=0;n=m;while(1){if((a[(c[b>>2]|0)+(p*48|0)+44|0]|0)==0){od(f|0,176560,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+p|0]|0,k)|0)|0;i=k;r=c[q>>2]|0}else{r=n}m=p+1|0;if((m|0)<(r|0)){p=m;n=r}else{break}}}r=d+132|0;n=c[r>>2]|0;if((n|0)>0){p=d+20|0;q=0;b=n;while(1){if((a[(c[p>>2]|0)+(q*52|0)+48|0]|0)==0){od(f|0,133520,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+20>>2]|0)+(q<<2)>>2],k)|0)|0;i=k;s=c[r>>2]|0}else{s=b}n=q+1|0;if((n|0)<(s|0)){q=n;b=s}else{break}}}s=d+216|0;if((c[s>>2]|0)>0){b=d+40|0;q=0;do{r=c[b>>2]|0;do{if((a[r+(q*52|0)+48|0]|0)==0){p=a[r+(q*52|0)+8|0]|0;if((p<<24>>24|0)==2){t=c[c[j>>2]>>2]|0}else if((p<<24>>24|0)==1){break}else{t=(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(c[r+(q*52|0)+4>>2]<<3)|0}g=+h[t>>3];if((c[r+(q*52|0)>>2]|0)==0){od(f|0,162952,(k=i,i=i+8|0,h[k>>3]=g,k)|0)|0;i=k;break}else{od(f|0,162952,(k=i,i=i+8|0,h[k>>3]=-0.0-g,k)|0)|0;i=k;break}}}while(0);q=q+1|0;}while((q|0)<(c[s>>2]|0))}s=d+220|0;if((c[s>>2]|0)>0){q=d+44|0;t=0;do{b=c[q>>2]|0;do{if((a[b+(t*52|0)+48|0]|0)==0){if((a[b+(t*52|0)+8|0]|0)==1){break}r=c[(c[(c[c[j>>2]>>2]|0)+12>>2]|0)+(c[b+(t*52|0)+4>>2]<<2)>>2]|0;if((c[b+(t*52|0)>>2]|0)==0){od(f|0,176560,(k=i,i=i+8|0,c[k>>2]=r,k)|0)|0;i=k;break}else{od(f|0,176560,(k=i,i=i+8|0,c[k>>2]=-r,k)|0)|0;i=k;break}}}while(0);t=t+1|0;}while((t|0)<(c[s>>2]|0))}s=d+224|0;if((c[s>>2]|0)>0){t=d+48|0;q=0;do{b=c[t>>2]|0;do{if((a[b+(q*52|0)+48|0]|0)==0){if((a[b+(q*52|0)+8|0]|0)==1){break}r=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+(c[b+(q*52|0)+4>>2]|0)|0]|0;if((c[b+(q*52|0)>>2]|0)==0){od(f|0,176560,(k=i,i=i+8|0,c[k>>2]=r<<24>>24,k)|0)|0;i=k;break}else{od(f|0,176560,(k=i,i=i+8|0,c[k>>2]=r<<24>>24!=1,k)|0)|0;i=k;break}}}while(0);q=q+1|0;}while((q|0)<(c[s>>2]|0))}s=d+228|0;q=c[s>>2]|0;if((q|0)<=0){u=Wa(10,f|0)|0;Bga(3);i=e;return}t=d+52|0;d=0;b=q;while(1){q=c[t>>2]|0;do{if((a[q+(d*52|0)+48|0]|0)==0){if((a[q+(d*52|0)+8|0]|0)==1){v=b;break}od(f|0,133520,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+20>>2]|0)+(c[q+(d*52|0)+4>>2]<<2)>>2],k)|0)|0;i=k;v=c[s>>2]|0}else{v=b}}while(0);q=d+1|0;if((q|0)<(v|0)){d=q;b=v}else{break}}u=Wa(10,f|0)|0;Bga(3);i=e;return}function bka(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=i;f=b|0;g=zc(c[f>>2]|0,80096)|0;h=c[d+536>>2]|0;j=c[f>>2]|0;f=_c(c[(Zc()|0)>>2]|0)|0;kfa(h,(g|0)!=0|0,58432,(h=i,i=i+16|0,c[h>>2]=j,c[h+8>>2]=f,h)|0);i=h;od(g|0,133520,(h=i,i=i+8|0,c[h>>2]=46072,h)|0)|0;i=h;if((c[b+8>>2]|0)!=0){od(g|0,133520,(h=i,i=i+8|0,c[h>>2]=39752,h)|0)|0;i=h}f=d+116|0;j=c[f>>2]|0;if((j|0)>0){k=d+8|0;l=0;m=j;while(1){j=c[k>>2]|0;if((a[j+(l*112|0)+104|0]|0)==0){od(g|0,133520,(h=i,i=i+8|0,c[h>>2]=c[j+(l*112|0)+4>>2],h)|0)|0;i=h;n=c[f>>2]|0}else{n=m}j=l+1|0;if((j|0)<(n|0)){l=j;m=n}else{break}}}n=d+124|0;m=c[n>>2]|0;if((m|0)>0){l=d+12|0;f=0;k=m;while(1){m=c[l>>2]|0;if((a[m+(f*60|0)+56|0]|0)==0){od(g|0,133520,(h=i,i=i+8|0,c[h>>2]=c[m+(f*60|0)+4>>2],h)|0)|0;i=h;o=c[n>>2]|0}else{o=k}m=f+1|0;if((m|0)<(o|0)){f=m;k=o}else{break}}}o=d+128|0;k=c[o>>2]|0;if((k|0)>0){f=d+16|0;n=0;l=k;while(1){k=c[f>>2]|0;if((a[k+(n*48|0)+44|0]|0)==0){od(g|0,133520,(h=i,i=i+8|0,c[h>>2]=c[k+(n*48|0)+4>>2],h)|0)|0;i=h;p=c[o>>2]|0}else{p=l}k=n+1|0;if((k|0)<(p|0)){n=k;l=p}else{break}}}p=d+132|0;l=c[p>>2]|0;if((l|0)>0){n=d+20|0;o=0;f=l;while(1){l=c[n>>2]|0;if((a[l+(o*52|0)+48|0]|0)==0){od(g|0,133520,(h=i,i=i+8|0,c[h>>2]=c[l+(o*52|0)+4>>2],h)|0)|0;i=h;q=c[p>>2]|0}else{q=f}l=o+1|0;if((l|0)<(q|0)){o=l;f=q}else{break}}}q=d+216|0;f=c[q>>2]|0;if((f|0)>0){o=d+40|0;p=0;n=f;while(1){f=c[o>>2]|0;do{if((a[f+(p*52|0)+48|0]|0)==0){if((a[f+(p*52|0)+8|0]|0)==1){r=n;break}od(g|0,133520,(h=i,i=i+8|0,c[h>>2]=c[f+(p*52|0)+16>>2],h)|0)|0;i=h;r=c[q>>2]|0}else{r=n}}while(0);f=p+1|0;if((f|0)<(r|0)){p=f;n=r}else{break}}}r=d+220|0;n=c[r>>2]|0;if((n|0)>0){p=d+44|0;q=0;o=n;while(1){n=c[p>>2]|0;do{if((a[n+(q*52|0)+48|0]|0)==0){if((a[n+(q*52|0)+8|0]|0)==1){s=o;break}od(g|0,133520,(h=i,i=i+8|0,c[h>>2]=c[n+(q*52|0)+16>>2],h)|0)|0;i=h;s=c[r>>2]|0}else{s=o}}while(0);n=q+1|0;if((n|0)<(s|0)){q=n;o=s}else{break}}}s=d+224|0;o=c[s>>2]|0;if((o|0)>0){q=d+48|0;r=0;p=o;while(1){o=c[q>>2]|0;do{if((a[o+(r*52|0)+48|0]|0)==0){if((a[o+(r*52|0)+8|0]|0)==1){t=p;break}od(g|0,133520,(h=i,i=i+8|0,c[h>>2]=c[o+(r*52|0)+16>>2],h)|0)|0;i=h;t=c[s>>2]|0}else{t=p}}while(0);o=r+1|0;if((o|0)<(t|0)){r=o;p=t}else{break}}}t=d+228|0;p=c[t>>2]|0;if((p|0)<=0){u=Wa(10,g|0)|0;v=g;w=b+12|0;c[w>>2]=v;i=e;return}r=d+52|0;d=0;s=p;while(1){p=c[r>>2]|0;do{if((a[p+(d*52|0)+48|0]|0)==0){if((a[p+(d*52|0)+8|0]|0)==1){x=s;break}od(g|0,133520,(h=i,i=i+8|0,c[h>>2]=c[p+(d*52|0)+16>>2],h)|0)|0;i=h;x=c[t>>2]|0}else{x=s}}while(0);p=d+1|0;if((p|0)<(x|0)){d=p;s=x}else{break}}u=Wa(10,g|0)|0;v=g;w=b+12|0;c[w>>2]=v;i=e;return}function cka(a,b){a=a|0;b=b|0;b=c[a+12>>2]|0;yga(3);Pa(b|0)|0;Bga(3);return}function dka(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+72|0;e=d|0;f=d+8|0;g=d+16|0;j=d+24|0;k=d+40|0;l=d+56|0;m=c[a+12>>2]|0;c[g>>2]=0;n=m;UBa(j,n);o=m+184|0;p=k;c[p>>2]=c[o>>2];c[p+4>>2]=c[o+4>>2];c[p+8>>2]=c[o+8>>2];c[p+12>>2]=c[o+12>>2];VBa(n,k)|0;eka(b,g,e,f,+h[m+224>>3],+h[m+232>>3]);m=c[g>>2]|0;fka(a,b,162824,c[f>>2]|0,c[e>>2]|0,m,8);JJa(m);c[g>>2]=0;g=l;m=j;c[g>>2]=c[m>>2];c[g+4>>2]=c[m+4>>2];c[g+8>>2]=c[m+8>>2];c[g+12>>2]=c[m+12>>2];VBa(n,l)|0;i=d;return}function eka(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0;k=i;c[e>>2]=2;l=b+136|0;m=b+140|0;n=b+144|0;o=(c[l>>2]|0)+1+(c[m>>2]|0)+(c[n>>2]|0)|0;c[f>>2]=o;p=KJa(ga(c[e>>2]|0,o)|0,8)|0;c[d>>2]=p;kfa(c[b+536>>2]|0,(p|0)!=0|0,172296,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;p=c[d>>2]|0;h[p>>3]=g;d=c[f>>2]|0;h[p+(d<<3)>>3]=j;f=c[l>>2]|0;if((f|0)>0){l=c[b+416>>2]|0;o=0;do{e=l+(o<<3)|0;o=o+1|0;h[p+(o<<3)>>3]=+h[e>>3];h[p+(d+o<<3)>>3]=+h[e>>3];}while((o|0)<(f|0))}o=f+1|0;f=c[m>>2]|0;if((f|0)>0){m=c[b+420>>2]|0;l=0;do{j=+(c[m+(l<<2)>>2]|0);e=l+o|0;h[p+(e<<3)>>3]=j;h[p+(d+e<<3)>>3]=j;l=l+1|0;}while((l|0)<(f|0))}l=f+o|0;o=c[n>>2]|0;if((o|0)<=0){i=k;return}n=c[b+424>>2]|0;b=0;do{f=n+b|0;m=l+b|0;h[p+(m<<3)>>3]=+(a[f]|0);h[p+(d+m<<3)>>3]=+(a[f]|0);b=b+1|0;}while((b|0)<(o|0));i=k;return}function fka(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;j=i;k=c[a+12>>2]|0;pka(a,b,d,e,f,h);TBa(k,g,ga(ga(f,e)|0,h)|0)|0;if(oAa(k+(c[(c[k>>2]|0)-12>>2]|0)|0)|0){lfa(c[b+536>>2]|0,6877888,(b=i,i=i+8|0,c[b>>2]=c[a>>2],b)|0);i=b}else{i=j;return}}function gka(a){a=a|0;if((hla(a+4|0)|0)!=0){return}rAa(a+(c[(c[a>>2]|0)-12>>2]|0)|0,4);return}function hka(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+104|0;e=d|0;f=d+8|0;g=d+16|0;j=d+24|0;k=d+32|0;l=d+40|0;m=d+56|0;n=d+72|0;o=d+88|0;p=OJa(320)|0;lKa(p|0,0,320)|0;ika(p);q=a+12|0;c[q>>2]=p;r=(c[b+140>>2]|0)+(c[b+136>>2]|0)+(c[b+144>>2]|0)|0;c[e>>2]=0;c[j>>2]=0;c[k>>2]=0;yga(3);s=a+8|0;t=jka(c[s>>2]|0,c[q>>2]|0,b)|0;q=p+316|0;c[q>>2]=t;u=kka(a,b,t+r|0)|0;t=p+184|0;lka(l,-1,-1);v=l;c[t>>2]=c[v>>2];c[t+4>>2]=c[v+4>>2];c[t+8>>2]=c[v+8>>2];c[t+12>>2]=c[v+12>>2];v=p+200|0;lka(m,-1,-1);l=m;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];c[v+12>>2]=c[l+12>>2];c[p+216>>2]=0;l=p+224|0;h[l>>3]=+h[b+240>>3];m=p+232|0;h[m>>3]=+h[b+248>>3];w=a|0;mka(p,c[w>>2]|0,36);if(oAa(p+(c[(c[p>>2]|0)-12>>2]|0)|0)|0){lfa(c[b+536>>2]|0,176464,(x=i,i=i+8|0,c[x>>2]=c[w>>2],x)|0);i=x}fka(a,b,133368,4,11,8545712,1);nka((c[q>>2]|0)+r|0,u,e,f,g,0,0)|0;x=c[e>>2]|0;fka(a,b,105280,c[f>>2]|0,c[g>>2]|0,x,1);JJa(x);c[e>>2]=0;nka((c[q>>2]|0)+r|0,u,e,f,g,0,1)|0;x=c[e>>2]|0;fka(a,b,79856,c[f>>2]|0,c[g>>2]|0,x,1);JJa(x);c[e>>2]=0;oka(a,b,j,f,g,c[q>>2]|0,r);fka(a,b,58272,c[g>>2]|0,c[f>>2]|0,c[j>>2]|0,4);r=p;UBa(n,r);q=n;c[t>>2]=c[q>>2];c[t+4>>2]=c[q+4>>2];c[t+8>>2]=c[q+8>>2];c[t+12>>2]=c[q+12>>2];eka(b,k,f,g,+h[l>>3],+h[m>>3]);m=c[k>>2]|0;fka(a,b,162824,c[g>>2]|0,c[f>>2]|0,m,8);UBa(o,r);f=o;c[v>>2]=c[f>>2];c[v+4>>2]=c[f+4>>2];c[v+8>>2]=c[f+8>>2];c[v+12>>2]=c[f+12>>2];f=qka(p+240|0)|0;v=qka(p+264|0)|0;o=qka(p+288|0)|0;pka(a,b,46064,f+1+v+o+(c[p+312>>2]|0)+(c[s>>2]|0)|0,0,8);JJa(m);JJa(c[j>>2]|0);c[k>>2]=0;c[j>>2]=0;zBa(r)|0;JJa(u);Bga(3);i=d;return}function ika(a){a=a|0;rna(a);return}function jka(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=(b|0)==0?1:2;c[g>>2]=0;b=e+116|0;l=c[b>>2]|0;if((l|0)>0){m=e+8|0;n=d+240|0;o=0;p=k;q=l;while(1){if((a[(c[m>>2]|0)+(o*112|0)+104|0]|0)==0){c[(vma(n,g)|0)>>2]=p;r=p+1|0;s=c[g>>2]|0;t=c[b>>2]|0}else{r=p;s=o;t=q}l=s+1|0;c[g>>2]=l;if((l|0)<(t|0)){o=l;p=r;q=t}else{u=r;break}}}else{u=k}c[h>>2]=0;k=e+124|0;r=c[k>>2]|0;if((r|0)>0){t=e+12|0;q=d+264|0;p=0;o=u;g=r;while(1){if((a[(c[t>>2]|0)+(p*60|0)+56|0]|0)==0){c[(vma(q,h)|0)>>2]=o;v=o+1|0;w=c[h>>2]|0;x=c[k>>2]|0}else{v=o;w=p;x=g}r=w+1|0;c[h>>2]=r;if((r|0)<(x|0)){p=r;o=v;g=x}else{y=v;break}}}else{y=u}c[j>>2]=0;u=e+128|0;v=c[u>>2]|0;if((v|0)>0){x=e+16|0;g=d+288|0;o=0;p=y;h=v;while(1){if((a[(c[x>>2]|0)+(o*48|0)+44|0]|0)==0){c[(vma(g,j)|0)>>2]=p;z=p+1|0;A=c[j>>2]|0;B=c[u>>2]|0}else{z=p;A=o;B=h}v=A+1|0;c[j>>2]=v;if((v|0)<(B|0)){o=v;p=z;h=B}else{C=z;break}}}else{C=y}y=c[e+216>>2]|0;if((y|0)>0){z=c[e+40>>2]|0;B=C;h=0;while(1){p=((a[z+(h*52|0)+48|0]|0)==0)+B|0;o=h+1|0;if((o|0)<(y|0)){B=p;h=o}else{D=p;break}}}else{D=C}C=c[e+220>>2]|0;if((C|0)>0){h=c[e+44>>2]|0;B=D;y=0;while(1){z=((a[h+(y*52|0)+48|0]|0)==0)+B|0;p=y+1|0;if((p|0)<(C|0)){B=z;y=p}else{E=z;break}}}else{E=D}D=d+312|0;c[D>>2]=0;d=c[e+224>>2]|0;if((d|0)<=0){F=E;i=f;return F|0}y=c[e+48>>2]|0;e=E;E=0;B=0;while(1){if((a[y+(E*52|0)+48|0]|0)==0){if((c[y+(E*52|0)>>2]|0)==0){G=B}else{C=B+1|0;c[D>>2]=C;G=C}H=e+1|0;I=G}else{H=e;I=B}C=E+1|0;if((C|0)<(d|0)){e=H;E=C;B=I}else{F=H;break}}i=f;return F|0}function kka(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=c[b+12>>2]|0;l=IJa(e<<2)|0;e=l;c[e>>2]=1648;if((c[b+8>>2]|0)==0){m=1}else{c[l+4>>2]=18448;m=2}l=c[d+116>>2]|0;if((l|0)>0){b=c[d+8>>2]|0;n=m;o=0;while(1){if((a[b+(o*112|0)+104|0]|0)==0){c[e+(n<<2)>>2]=b+(o*112|0);p=n+1|0}else{p=n}q=o+1|0;if((q|0)<(l|0)){n=p;o=q}else{r=p;break}}}else{r=m}m=c[d+124>>2]|0;if((m|0)>0){p=c[d+12>>2]|0;o=r;n=0;while(1){if((a[p+(n*60|0)+56|0]|0)==0){c[e+(o<<2)>>2]=p+(n*60|0);s=o+1|0}else{s=o}l=n+1|0;if((l|0)<(m|0)){o=s;n=l}else{t=s;break}}}else{t=r}r=c[d+128>>2]|0;if((r|0)>0){s=c[d+16>>2]|0;n=t;o=0;while(1){if((a[s+(o*48|0)+44|0]|0)==0){c[e+(n<<2)>>2]=s+(o*48|0);u=n+1|0}else{u=n}m=o+1|0;if((m|0)<(r|0)){n=u;o=m}else{v=u;break}}}else{v=t}t=c[d+216>>2]|0;if((t|0)>0){u=c[d+40>>2]|0;o=v;n=0;while(1){if((a[u+(n*52|0)+48|0]|0)==0){c[e+(o<<2)>>2]=u+(n*52|0)+12;w=o+1|0}else{w=o}r=n+1|0;if((r|0)<(t|0)){o=w;n=r}else{x=w;break}}}else{x=v}v=c[d+220>>2]|0;if((v|0)>0){w=c[d+44>>2]|0;n=x;o=0;while(1){if((a[w+(o*52|0)+48|0]|0)==0){c[e+(n<<2)>>2]=w+(o*52|0)+12;y=n+1|0}else{y=n}t=o+1|0;if((t|0)<(v|0)){n=y;o=t}else{z=y;break}}}else{z=x}x=c[d+224>>2]|0;if((x|0)>0){y=c[d+48>>2]|0;o=z;n=0;while(1){if((a[y+(n*52|0)+48|0]|0)==0){c[e+(o<<2)>>2]=y+(n*52|0)+12;A=o+1|0}else{A=o}v=n+1|0;if((v|0)<(x|0)){o=A;n=v}else{B=A;break}}}else{B=z}c[g>>2]=0;z=d+136|0;if((c[z>>2]|0)>0){A=d+24|0;n=k+252|0;o=0;x=B;y=1;while(1){v=x+1|0;c[e+(x<<2)>>2]=(c[A>>2]|0)+(o*112|0);c[(vma(n,g)|0)>>2]=y;w=y+1|0;t=(c[g>>2]|0)+1|0;c[g>>2]=t;if((t|0)<(c[z>>2]|0)){o=t;x=v;y=w}else{C=v;D=w;break}}}else{C=B;D=1}c[h>>2]=0;B=d+140|0;if((c[B>>2]|0)>0){y=d+28|0;x=k+276|0;o=0;z=C;g=D;while(1){n=z+1|0;c[e+(z<<2)>>2]=(c[y>>2]|0)+(o*60|0);c[(vma(x,h)|0)>>2]=g;A=g+1|0;w=(c[h>>2]|0)+1|0;c[h>>2]=w;if((w|0)<(c[B>>2]|0)){o=w;z=n;g=A}else{E=n;F=A;break}}}else{E=C;F=D}c[j>>2]=0;D=d+144|0;if((c[D>>2]|0)<=0){i=f;return e|0}C=d+32|0;d=k+300|0;k=0;g=E;E=F;while(1){c[e+(g<<2)>>2]=(c[C>>2]|0)+(k*48|0);c[(vma(d,j)|0)>>2]=E;F=(c[j>>2]|0)+1|0;c[j>>2]=F;if((F|0)<(c[D>>2]|0)){k=F;g=g+1|0;E=E+1|0}else{break}}i=f;return e|0}function lka(a,b,c){a=a|0;b=b|0;c=c|0;gla(a,b,c);return}function mka(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=(fla(a+4|0,b,d|16)|0)==0;d=a+(c[(c[a>>2]|0)-12>>2]|0)|0;if(e){rAa(d,4);return}else{pAa(d,0);return}}function nka(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;c[f>>2]=a;c[e>>2]=0;k=(a|0)>0;do{if(k){l=0;m=0;while(1){n=c[b+(l<<2)>>2]|0;o=iKa(c[(h?n+8|0:n+4|0)>>2]|0)|0;if((o|0)>(m|0)){c[e>>2]=o;p=o}else{p=m}o=l+1|0;if((o|0)<(a|0)){l=o;m=p}else{break}}m=KJa((ga(c[f>>2]|0,p)|0)+1|0,1)|0;c[d>>2]=m;kfa(0,(m|0)!=0|0,27528,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;if(!k){break}m=0;l=c[d>>2]|0;o=c[e>>2]|0;while(1){n=b+(m<<2)|0;r=c[n>>2]|0;jKa(l|0,c[(h?r+8|0:r+4|0)>>2]|0,o+1|0)|0;if(g){r=c[n>>2]|0;uka(l,iKa(c[(h?r+8|0:r+4|0)>>2]|0)|0)}r=c[e>>2]|0;n=m+1|0;if((n|0)<(a|0)){m=n;l=l+r|0;o=r}else{s=r;break}}t=c[f>>2]|0;u=ga(t,s)|0;i=j;return u|0}else{o=KJa(1,1)|0;c[d>>2]=o;kfa(0,(o|0)!=0|0,27528,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}}while(0);s=c[e>>2]|0;t=c[f>>2]|0;u=ga(t,s)|0;i=j;return u|0}function oka(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;k=i;i=i+56|0;l=k|0;m=k+8|0;n=k+16|0;o=k+24|0;p=k+32|0;q=k+40|0;r=k+48|0;s=c[b+12>>2]|0;c[f>>2]=j+h;c[g>>2]=4;g=KJa(c[f>>2]<<2,4)|0;c[e>>2]=g;kfa(c[d+536>>2]|0,(g|0)!=0|0,178776,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=s+240|0;f=qka(g)|0;h=s+264|0;t=qka(h)|0;u=s+288|0;v=qka(u)|0;w=b+8|0;if((f+1+t+v|0)==(-(c[w>>2]|0)|0)){x=0;y=1}else{v=c[e>>2]|0;t=0;f=1;b=0;while(1){c[v+(t<<2)>>2]=2;c[v+((t|1)<<2)>>2]=f;c[v+((t|2)<<2)>>2]=0;z=t+4|0;c[v+((t|3)<<2)>>2]=-1;A=f+1|0;B=b+1|0;C=qka(g)|0;D=qka(h)|0;E=qka(u)|0;if(B>>>0<(C+1+D+E+(c[w>>2]|0)|0)>>>0){t=z;f=A;b=B}else{x=z;y=A;break}}}b=d+216|0;if((c[b>>2]|0)>0){f=d+40|0;t=s+252|0;w=x;v=0;while(1){A=c[f>>2]|0;do{if((a[A+(v*52|0)+48|0]|0)==0){z=a[A+(v*52|0)+8|0]|0;if((z<<24>>24|0)==0){vka(l,g,A+(v*52|0)+4|0);xka(m,g);if(!(wka(l,m)|0)){F=w;break}G=2;H=(c[(yka(l)|0)+4>>2]|0)+1|0}else if((z<<24>>24|0)==1){vka(l,t,A+(v*52|0)+4|0);xka(n,t);if(!(wka(l,n)|0)){F=w;break}G=1;H=(c[(yka(l)|0)+4>>2]|0)+1|0}else if((z<<24>>24|0)==2){G=2;H=1}else{F=w;break}z=c[e>>2]|0;c[z+(w<<2)>>2]=G;if((c[(c[f>>2]|0)+(v*52|0)>>2]|0)==0){c[z+(w+1<<2)>>2]=H}else{c[z+(w+1<<2)>>2]=-H}c[z+(w+2<<2)>>2]=0;c[z+(w+3<<2)>>2]=-1;F=w+4|0}else{F=w}}while(0);A=v+1|0;if((A|0)<(c[b>>2]|0)){w=F;v=A}else{I=F;break}}}else{I=x}x=d+220|0;if((c[x>>2]|0)>0){F=d+44|0;v=s+276|0;w=I;b=0;while(1){H=c[F>>2]|0;do{if((a[H+(b*52|0)+48|0]|0)==0){f=a[H+(b*52|0)+8|0]|0;if((f<<24>>24|0)==1){vka(l,v,H+(b*52|0)+4|0);xka(p,v);J=(wka(l,p)|0)&1}else if((f<<24>>24|0)==0){vka(l,h,H+(b*52|0)+4|0);xka(o,h);f=wka(l,o)|0;J=f?2:0}else{K=w;break}if((J|0)==0){K=w;break}f=c[e>>2]|0;c[f+(w<<2)>>2]=J;G=(c[(c[F>>2]|0)+(b*52|0)>>2]|0)==0;n=c[(yka(l)|0)+4>>2]|0;if(G){c[f+(w+1<<2)>>2]=n+1}else{c[f+(w+1<<2)>>2]=~n}c[f+(w+2<<2)>>2]=0;c[f+(w+3<<2)>>2]=-1;K=w+4|0}else{K=w}}while(0);H=b+1|0;if((H|0)<(c[x>>2]|0)){w=K;b=H}else{L=K;break}}}else{L=I}I=d+224|0;if((c[I>>2]|0)>0){K=d+48|0;d=s+300|0;s=L;b=y;y=0;while(1){w=c[K>>2]|0;do{if((a[w+(y*52|0)+48|0]|0)==0){if((c[w+(y*52|0)>>2]|0)==0){x=a[w+(y*52|0)+8|0]|0;if((x<<24>>24|0)==1){vka(l,d,w+(y*52|0)+4|0);xka(r,d);M=(wka(l,r)|0)&1}else if((x<<24>>24|0)==0){vka(l,u,w+(y*52|0)+4|0);xka(q,u);x=wka(l,q)|0;M=x?2:0}else{N=b;O=s;break}if((M|0)==0){N=b;O=s;break}P=M;Q=c[K>>2]|0}else{P=2;Q=w}x=c[e>>2]|0;c[x+(s<<2)>>2]=P;if((c[Q+(y*52|0)>>2]|0)==0){c[x+(s+1<<2)>>2]=(c[(yka(l)|0)+4>>2]|0)+1;R=b}else{c[x+(s+1<<2)>>2]=b;R=b+1|0}c[x+(s+2<<2)>>2]=0;c[x+(s+3<<2)>>2]=-1;N=R;O=s+4|0}else{N=b;O=s}}while(0);w=y+1|0;if((w|0)<(c[I>>2]|0)){s=O;b=N;y=w}else{S=O;break}}}else{S=L}if((j|0)==0){i=k;return}L=c[e>>2]|0;e=0;do{O=(e<<2)+S|0;c[L+(O<<2)>>2]=1;c[L+(O+1<<2)>>2]=e+2;c[L+(O+2<<2)>>2]=0;c[L+(O+3<<2)>>2]=0;e=e+1|0;}while(e>>>0<j>>>0);i=k;return}function pka(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;i=i+24|0;j=h|0;k=c[a+12>>2]|0;c[j>>2]=(g|0)==4?20:(g|0)==1?51:0;c[j+4>>2]=e;c[j+8>>2]=f;c[j+12>>2]=0;f=j+16|0;c[f>>2]=(iKa(d|0)|0)+1;e=k;TBa(e,j,20)|0;j=k;if(oAa(k+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){lfa(c[b+536>>2]|0,6877888,(l=i,i=i+8|0,c[l>>2]=c[a>>2],l)|0);i=l}TBa(e,d,c[f>>2]|0)|0;if(oAa(k+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){lfa(c[b+536>>2]|0,6877888,(l=i,i=i+8|0,c[l>>2]=c[a>>2],l)|0);i=l}else{i=h;return}}function qka(a){a=a|0;return c[(cla(a|0)|0)>>2]|0}function rka(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+16|0;e=d|0;f=a+12|0;g=c[f>>2]|0;h=g;yga(3);do{if(nAa(g+(c[(c[g>>2]|0)-12>>2]|0)|0)|0){j=g+200|0;k=e;c[k>>2]=c[j>>2];c[k+4>>2]=c[j+4>>2];c[k+8>>2]=c[j+8>>2];c[k+12>>2]=c[j+12>>2];VBa(g,e)|0;j=qka(g+240|0)|0;k=qka(g+264|0)|0;l=qka(g+288|0)|0;pka(a,b,46064,j+1+k+l+(c[g+312>>2]|0)+(c[a+8>>2]|0)|0,c[g+216>>2]|0,8);gka(g)}else{if((g|0)!=0){break}c[f>>2]=0;Bga(3);i=d;return}}while(0);ska(h);QJa(g);c[f>>2]=0;Bga(3);i=d;return}function ska(a){a=a|0;Ala(a);return}function tka(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=i;i=i+16|0;f=e|0;g=e+8|0;j=c[b+12>>2]|0;h[f>>3]=0.0;yga(3);Bga(0);h[g>>3]=+tga(0);yga(0);k=j;l=d+4|0;TBa(k,c[c[l>>2]>>2]|0,8)|0;if((c[b+8>>2]|0)!=0){TBa(k,g,8)|0}g=d+116|0;m=c[g>>2]|0;if((m|0)>0){n=d+8|0;o=0;p=m;while(1){if((a[(c[n>>2]|0)+(o*112|0)+104|0]|0)==0){TBa(k,(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(o<<3)|0,8)|0;q=c[g>>2]|0}else{q=p}m=o+1|0;if((m|0)<(q|0)){o=m;p=q}else{break}}}q=d+124|0;p=c[q>>2]|0;if((p|0)>0){o=d+12|0;g=f;n=0;m=p;while(1){if((a[(c[o>>2]|0)+(n*60|0)+56|0]|0)==0){h[f>>3]=+(c[(c[(c[c[l>>2]>>2]|0)+12>>2]|0)+(n<<2)>>2]|0);TBa(k,g,8)|0;r=c[q>>2]|0}else{r=m}p=n+1|0;if((p|0)<(r|0)){n=p;m=r}else{break}}}r=d+128|0;m=c[r>>2]|0;if((m|0)>0){n=d+16|0;q=f;g=0;o=m;while(1){if((a[(c[n>>2]|0)+(g*48|0)+44|0]|0)==0){h[f>>3]=+(a[(c[(c[c[l>>2]>>2]|0)+16>>2]|0)+g|0]|0);TBa(k,q,8)|0;s=c[r>>2]|0}else{s=o}m=g+1|0;if((m|0)<(s|0)){g=m;o=s}else{break}}}s=d+224|0;o=c[s>>2]|0;if((o|0)>0){g=d+48|0;r=f;q=0;n=o;while(1){o=c[g>>2]|0;do{if((a[o+(q*52|0)+48|0]|0)==0){if((c[o+(q*52|0)>>2]|0)==0){t=n;break}h[f>>3]=+((a[(c[(c[c[l>>2]>>2]|0)+16>>2]|0)+(c[o+(q*52|0)+4>>2]|0)|0]|0)!=1|0);TBa(k,r,8)|0;t=c[s>>2]|0}else{t=n}}while(0);o=q+1|0;if((o|0)<(t|0)){q=o;n=t}else{break}}}if(oAa(j+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){lfa(c[d+536>>2]|0,33264,(d=i,i=i+8|0,c[d>>2]=c[b>>2],d)|0);i=d}else{d=j+216|0;c[d>>2]=(c[d>>2]|0)+1;Bga(3);i=e;return}}function uka(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0;if(c>>>0<6>>>0){return}if((hKa(b,120856,4)|0)!=0){return}c=b;while(1){d=Tb(b|0,46)|0;if((d|0)==0){e=8;break}f=d-c|0;d=f+1|0;if(d>>>0>4>>>0){g=4;do{a[b+(g-4)|0]=a[b+g|0]|0;g=g+1|0;}while(g>>>0<d>>>0)}d=b+(f-3)|0;C=678585700;a[d]=C;C=C>>8;a[d+1|0]=C;C=C>>8;a[d+2|0]=C;C=C>>8;a[d+3|0]=C;if((hKa(b,120856,4)|0)!=0){e=8;break}}if((e|0)==8){return}}function vka(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;Qka(e,b|0,c);Gka(a,e);i=d;return}function wka(a,b){a=a|0;b=b|0;return Eka(a|0,b|0)|0}function xka(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;Hka(d,b|0);Gka(a,d);i=c;return}function yka(a){a=a|0;return zka(Aka(a|0)|0)|0}function zka(a){a=a|0;return Dka(a)|0}function Aka(a){a=a|0;return Bka((c[a>>2]|0)+16|0)|0}function Bka(a){a=a|0;return Cka(a)|0}function Cka(a){a=a|0;return a|0}function Dka(a){a=a|0;return a|0}function Eka(a,b){a=a|0;b=b|0;return(Fka(a,b)|0)^1|0}function Fka(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function Gka(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];Pka(a,b);i=d;return}function Hka(a,b){a=a|0;b=b|0;Ika(a,Jka(b)|0);return}function Ika(a,b){a=a|0;b=b|0;Oka(a,b);return}function Jka(a){a=a|0;return Kka(Lka(a+4|0)|0)|0}function Kka(a){a=a|0;return Nka(a)|0}function Lka(a){a=a|0;return Mka(a|0)|0}function Mka(a){a=a|0;return a|0}function Nka(a){a=a|0;return a|0}function Oka(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function Pka(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function Qka(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=Ska(b)|0;Rka(f,b,d,h,Jka(b)|0);Hka(g,b);do{if(Eka(f,g)|0){h=Tka(b)|0;if(Uka(h,d,Vka(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);Hka(a,b);i=e;return}function Rka(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;Zka(h);a:do{if((e|0)==0){j=f}else{k=Tka(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(_ka(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;Zka(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;Zka(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);Ika(a,j);i=g;return}function Ska(a){a=a|0;return c[(Jka(a)|0)>>2]|0}function Tka(a){a=a|0;return Xka(a+8|0)|0}function Uka(a,b,c){a=a|0;b=b|0;c=c|0;return Wka(0,b,c|0)|0}function Vka(a){a=a|0;return(c[a>>2]|0)+16|0}function Wka(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)<(c[d>>2]|0)|0}function Xka(a){a=a|0;return Yka(a|0)|0}function Yka(a){a=a|0;return a|0}function Zka(a){a=a|0;$ka(a,-1);return}function _ka(a,b,c){a=a|0;b=b|0;c=c|0;return Wka(0,b|0,c)|0}function $ka(a,b){a=a|0;b=b|0;ala(a,0);return}function ala(a,b){a=a|0;b=b|0;c[a>>2]=0;return}function bla(a){a=a|0;return c[a+4>>2]|0}function cla(a){a=a|0;return dla(a+8|0)|0}function dla(a){a=a|0;return ela(a|0)|0}function ela(a){a=a|0;return a|0}function fla(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=a+64|0;a:do{if((c[e>>2]|0)==0){switch(d&-3|0){case 56:{f=150488;break};case 25:case 9:{f=146072;break};case 8:{f=157976;break};case 17:case 1:{f=162048;break};case 20:case 52:{f=142128;break};case 21:case 5:{f=138552;break};case 12:{f=134688;break};case 28:{f=130536;break};case 60:{f=126928;break};case 29:case 13:{f=123504;break};case 16:case 48:{f=166632;break};case 24:{f=153896;break};default:{g=0;break a}}if((a|0)==0){g=0;break}h=zc(b|0,f|0)|0;c[e>>2]=h;if((h|0)==0){g=0;break}c[a+88>>2]=d;if((d&2|0)==0){g=a;break}if((wd(h|0,0,2)|0)==0){g=a;break}Pa(c[e>>2]|0)|0;c[e>>2]=0;g=0}else{g=0}}while(0);return g|0}function gla(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=a;c[e>>2]=0;c[e+4>>2]=0;e=a+8|0;c[e>>2]=b;c[e+4>>2]=d;return}function hla(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a+64|0;f=c[e>>2]|0;if((f|0)==0){g=0;i=b;return g|0}ila(d,f,196);f=Yd[c[(c[a>>2]|0)+24>>2]&255](a)|0;if((Pa(jla(d)|0)|0)==0){c[e>>2]=0;h=(f|0)==0?a:0}else{h=0}kla(d);g=h;i=b;return g|0}function ila(a,b,c){a=a|0;b=b|0;c=c|0;rla(a,b,c);return}function jla(a){a=a|0;var b=0;b=nla(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function kla(a){a=a|0;lla(a);return}function lla(a){a=a|0;mla(a,0);return}function mla(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=nla(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}Yd[c[(ola(d)|0)>>2]&255](e)|0;return}function nla(a){a=a|0;return qla(a|0)|0}function ola(a){a=a|0;return pla(a|0)|0}function pla(a){a=a|0;return a+4|0}function qla(a){a=a|0;return a|0}function rla(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;d=c[(tla(f)|0)>>2]|0;sla(a|0,d,c[(ula(g)|0)>>2]|0);i=e;return}function sla(a,b,c){a=a|0;b=b|0;c=c|0;vla(a,b,c);return}function tla(a){a=a|0;return a|0}function ula(a){a=a|0;return a|0}function vla(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;d=c[(xla(f)|0)>>2]|0;wla(a|0,d,c[(yla(g)|0)>>2]|0);i=e;return}function wla(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;c[a>>2]=c[(xla(f)|0)>>2];c[a+4>>2]=c[(yla(g)|0)>>2];i=e;return}function xla(a){a=a|0;return a|0}function yla(a){a=a|0;return a|0}function zla(a){a=a|0;var b=0;b=a+8|0;return(K=c[b+4>>2]|0,c[b>>2]|0)|0}function Ala(a){a=a|0;Bla(a+300|0);Bla(a+288|0);Bla(a+276|0);Bla(a+264|0);Bla(a+252|0);Bla(a+240|0);Cla(a|0);return}function Bla(a){a=a|0;mma(a);return}function Cla(a){a=a|0;Dla(a,8526344);vAa(a+104|0);return}function Dla(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];Hla(a+4|0);return}function Ela(a){a=a|0;Cla(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function Fla(a){a=a|0;Cla(a);QJa(a);return}function Gla(a){a=a|0;Fla(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function Hla(a){a=a|0;Ila(a);return}function Ila(b){b=b|0;var d=0;c[b>>2]=8525640;hla(b)|0;do{if((a[b+96|0]|0)!=0){d=c[b+32>>2]|0;if((d|0)==0){break}RJa(d)}}while(0);do{if((a[b+97|0]|0)!=0){d=c[b+56>>2]|0;if((d|0)==0){break}RJa(d)}}while(0);EAa(b|0);return}function Jla(a){a=a|0;Hla(a);QJa(a);return}function Kla(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;Yd[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=kma(d)|0;c[b+68>>2]=e;d=b+98|0;f=a[d]|0;g=lma(e)|0;a[d]=g&1;if((f&255|0)==(g&1|0)){return}g=b|0;OAa(g,0,0,0);TAa(g,0,0);g=b+96|0;f=(a[g]|0)!=0;if((a[d]|0)!=0){d=b+32|0;do{if(f){e=c[d>>2]|0;if((e|0)==0){break}RJa(e)}}while(0);e=b+97|0;a[g]=a[e]|0;h=b+60|0;c[b+52>>2]=c[h>>2];i=b+56|0;c[d>>2]=c[i>>2];c[h>>2]=0;c[i>>2]=0;a[e]=0;return}do{if(!f){e=b+32|0;i=c[e>>2]|0;if((i|0)==(b+44|0)){break}h=c[b+52>>2]|0;c[b+60>>2]=h;c[b+56>>2]=i;a[b+97|0]=0;c[e>>2]=PJa(h)|0;a[g]=1;return}}while(0);g=c[b+52>>2]|0;c[b+60>>2]=g;c[b+56>>2]=PJa(g)|0;a[b+97|0]=1;return}function Lla(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;f=i;i=i+16|0;g=f|0;h=f+8|0;c[g>>2]=e;e=b|0;OAa(e,0,0,0);TAa(e,0,0);j=b+96|0;do{if((a[j]|0)!=0){k=c[b+32>>2]|0;if((k|0)==0){break}RJa(k)}}while(0);k=b+97|0;do{if((a[k]|0)!=0){l=c[b+56>>2]|0;if((l|0)==0){break}RJa(l)}}while(0);l=c[g>>2]|0;m=b+52|0;c[m>>2]=l;do{if(l>>>0>8>>>0){n=a[b+98|0]|0;if(n<<24>>24==0|(d|0)==0){c[b+32>>2]=PJa(l)|0;a[j]=1;o=n;break}else{c[b+32>>2]=d;a[j]=0;o=n;break}}else{c[b+32>>2]=b+44;c[m>>2]=8;a[j]=0;o=a[b+98|0]|0}}while(0);if(!(o<<24>>24==0)){c[b+60>>2]=0;c[b+56>>2]=0;a[k]=0;i=f;return e|0}c[h>>2]=8;o=c[(hma(g,h)|0)>>2]|0;c[b+60>>2]=o;if((d|0)!=0&o>>>0>7>>>0){c[b+56>>2]=d;a[k]=0;i=f;return e|0}else{c[b+56>>2]=PJa(o)|0;a[k]=1;i=f;return e|0}return 0}function Mla(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=i;i=i+24|0;h=g|0;j=g+16|0;k=j;l=c[b+68>>2]|0;if((l|0)==0){m=Bd(4)|0;nJa(m);vc(m|0,8529704,182)}m=dma(l)|0;l=b+64|0;do{if((c[l>>2]|0)!=0){n=(m|0)>0;if(!(n|(d|0)==0&(e|0)==0)){break}if((Yd[c[(c[b>>2]|0)+24>>2]&255](b)|0)!=0){break}if(!(f>>>0<3>>>0)){lka(a,-1,-1);i=g;return}o=c[l>>2]|0;if(n){n=CKa(m,(m|0)<0|0?-1:0,d,e)|0;p=n}else{p=0}if((wd(o|0,p|0,f|0)|0)==0){o=Nb(c[l>>2]|0)|0;lka(h,o,(o|0)<0|0?-1:0);o=b+72|0;n=c[o+4>>2]|0;c[j>>2]=c[o>>2];c[j+4>>2]=n;gma(h,k);n=a;o=h;c[n>>2]=c[o>>2];c[n+4>>2]=c[o+4>>2];c[n+8>>2]=c[o+8>>2];c[n+12>>2]=c[o+12>>2];i=g;return}else{lka(a,-1,-1);i=g;return}}}while(0);lka(a,-1,-1);i=g;return}function Nla(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;e=i;i=i+8|0;f=d;d=i;i=i+16|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];f=e|0;g=f;h=b+64|0;do{if((c[h>>2]|0)!=0){if((Yd[c[(c[b>>2]|0)+24>>2]&255](b)|0)!=0){break}j=c[h>>2]|0;k=zla(d)|0;if((wd(j|0,k|0,0)|0)==0){fma(g,d);k=b+72|0;j=c[f+4>>2]|0;c[k>>2]=c[f>>2];c[k+4>>2]=j;j=a;k=d;c[j>>2]=c[k>>2];c[j+4>>2]=c[k+4>>2];c[j+8>>2]=c[k+8>>2];c[j+12>>2]=c[k+12>>2];i=e;return}else{lka(a,-1,-1);i=e;return}}}while(0);lka(a,-1,-1);i=e;return}function Ola(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;i=i+16|0;e=d|0;f=d+8|0;g=f;h=b+64|0;if((c[h>>2]|0)==0){j=0;i=d;return j|0}k=b+68|0;l=c[k>>2]|0;if((l|0)==0){m=Bd(4)|0;nJa(m);vc(m|0,8529704,182);return 0}m=b+92|0;n=c[m>>2]|0;do{if((n&16|0)==0){if((n&8|0)==0){break}o=b+80|0;p=c[o+4>>2]|0;c[f>>2]=c[o>>2];c[f+4>>2]=p;do{if((a[b+98|0]|0)==0){p=dma(l)|0;o=b+36|0;q=c[o>>2]|0;r=(c[b+40>>2]|0)-q|0;s=b|0;if((p|0)>0){t=MAa(s)|0;u=(ga(t-(LAa(s)|0)|0,p)|0)+r|0;v=0;break}p=LAa(s)|0;if((p|0)==(MAa(s)|0)){u=r;v=0;break}t=c[k>>2]|0;w=b+32|0;x=c[w>>2]|0;y=ema(t,g,x,q,p-(KAa(s)|0)|0)|0;u=r-y+(c[o>>2]|0)-(c[w>>2]|0)|0;v=1}else{w=b|0;o=MAa(w)|0;u=o-(LAa(w)|0)|0;v=0}}while(0);if((wd(c[h>>2]|0,-u|0,1)|0)!=0){j=-1;i=d;return j|0}if(v){w=b+72|0;o=c[f+4>>2]|0;c[w>>2]=c[f>>2];c[w+4>>2]=o}o=c[b+32>>2]|0;c[b+40>>2]=o;c[b+36>>2]=o;OAa(b|0,0,0,0);c[m>>2]=0}else{o=b|0;w=QAa(o)|0;do{if((w|0)!=(PAa(o)|0)){if((he[c[(c[b>>2]|0)+52>>2]&127](b,-1)|0)==-1){j=-1}else{break}i=d;return j|0}}while(0);o=b+72|0;w=b+32|0;y=b+52|0;while(1){r=c[w>>2]|0;s=cma(c[k>>2]|0,o,r,r+(c[y>>2]|0)|0,e)|0;r=c[w>>2]|0;p=(c[e>>2]|0)-r|0;if((Ya(r|0,1,p|0,c[h>>2]|0)|0)!=(p|0)){j=-1;z=23;break}if((s|0)==2){j=-1;z=23;break}else if((s|0)!=1){z=10;break}}if((z|0)==10){if((Ta(c[h>>2]|0)|0)==0){break}else{j=-1}i=d;return j|0}else if((z|0)==23){i=d;return j|0}}}while(0);j=0;i=d;return j|0}function Pla(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;i=i+48|0;e=d|0;f=d+8|0;g=d+16|0;h=d+24|0;j=d+32|0;k=d+40|0;l=b+64|0;if((c[l>>2]|0)==0){m=-1;i=d;return m|0}n=Zla(b)|0;o=b|0;if((LAa(o)|0)==0){p=e+1|0;OAa(o,e,p,p)}if(n){q=0}else{n=MAa(o)|0;c[f>>2]=(n-(KAa(o)|0)|0)/2|0;c[g>>2]=4;q=c[(_la(f,g)|0)>>2]|0}g=LAa(o)|0;do{if((g|0)==(MAa(o)|0)){oKa(KAa(o)|0,g+(-q|0)|0,q|0)|0;if((a[b+98|0]|0)!=0){f=MAa(o)|0;n=KAa(o)|0;p=kd(n+q|0,1,f-q-n|0,c[l>>2]|0)|0;if((p|0)==0){r=-1;break}n=KAa(o)|0;OAa(o,n,n+q|0,n+(p+q)|0);r=Xla(a[LAa(o)|0]|0)|0;break}p=b+32|0;n=b+36|0;f=c[n>>2]|0;s=b+40|0;oKa(c[p>>2]|0,f|0,(c[s>>2]|0)-f|0)|0;f=c[p>>2]|0;t=f+((c[s>>2]|0)-(c[n>>2]|0))|0;c[n>>2]=t;if((f|0)==(b+44|0)){u=8}else{u=c[b+52>>2]|0}v=f+u|0;c[s>>2]=v;f=b+60|0;c[h>>2]=(c[f>>2]|0)-q;c[j>>2]=v-t;v=c[(_la(h,j)|0)>>2]|0;w=b+72|0;x=w;y=b+80|0;z=c[x+4>>2]|0;c[y>>2]=c[x>>2];c[y+4>>2]=z;z=kd(t|0,1,v|0,c[l>>2]|0)|0;if((z|0)==0){r=-1;break}v=c[b+68>>2]|0;if((v|0)==0){t=Bd(4)|0;nJa(t);vc(t|0,8529704,182);return 0}t=(c[n>>2]|0)+z|0;c[s>>2]=t;z=c[p>>2]|0;y=KAa(o)|0;if(($la(v,w,z,t,n,y+q|0,y+(c[f>>2]|0)|0,k)|0)==3){f=c[p>>2]|0;OAa(o,f,f,c[s>>2]|0);r=Xla(a[LAa(o)|0]|0)|0;break}s=c[k>>2]|0;f=KAa(o)|0;p=f+q|0;if((s|0)==(p|0)){r=-1;break}OAa(o,f,p,s);r=Xla(a[LAa(o)|0]|0)|0}else{r=Xla(a[g]|0)|0}}while(0);if((KAa(o)|0)!=(e|0)){m=r;i=d;return m|0}OAa(o,0,0,0);m=r;i=d;return m|0}function Qla(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;if((c[b+64>>2]|0)==0){e=-1;return e|0}f=b|0;g=KAa(f)|0;h=LAa(f)|0;if(!(g>>>0<h>>>0)){e=-1;return e|0}if(Tla(d,-1)|0){NAa(f,-1);e=Wla(d)|0;return e|0}g=(c[b+88>>2]&16|0)==0;b=Ula(d)|0;do{if(g){if(Yla(b,a[h-1|0]|0)|0){break}else{e=-1}return e|0}}while(0);NAa(f,-1);a[LAa(f)|0]=b;e=d;return e|0}function Rla(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=i;i=i+24|0;f=e|0;g=e+8|0;h=e+16|0;j=b+64|0;if((c[j>>2]|0)==0){k=-1;i=e;return k|0}Sla(b);l=b|0;m=PAa(l)|0;n=RAa(l)|0;if(!(Tla(d,-1)|0)){if((QAa(l)|0)==0){TAa(l,f,f+1|0)}f=Ula(d)|0;a[QAa(l)|0]=f;SAa(l,1)}f=QAa(l)|0;o=PAa(l)|0;if((f|0)!=(o|0)){a:do{if((a[b+98|0]|0)==0){p=b+32|0;q=c[p>>2]|0;c[g>>2]=q;r=b+68|0;s=c[r>>2]|0;if((s|0)==0){t=Bd(4)|0;u=t;nJa(u);vc(t|0,8529704,182);return 0}v=b+72|0;w=b+52|0;x=s;s=q;while(1){q=PAa(l)|0;y=QAa(l)|0;z=Vla(x,v,q,y,h,s,s+(c[w>>2]|0)|0,g)|0;y=c[h>>2]|0;A=PAa(l)|0;if((y|0)==(A|0)){k=-1;B=22;break}if((z|0)==3){B=14;break}if(!(z>>>0<2>>>0)){k=-1;B=22;break}y=c[p>>2]|0;q=(c[g>>2]|0)-y|0;if((Ya(y|0,1,q|0,c[j>>2]|0)|0)!=(q|0)){k=-1;B=22;break}if((z|0)!=1){break a}z=c[h>>2]|0;TAa(l,z,QAa(l)|0);z=RAa(l)|0;SAa(l,z-(PAa(l)|0)|0);z=c[r>>2]|0;if((z|0)==0){B=11;break}x=z;s=c[p>>2]|0}if((B|0)==11){t=Bd(4)|0;u=t;nJa(u);vc(t|0,8529704,182);return 0}else if((B|0)==14){p=(QAa(l)|0)-A|0;if((Ya(A|0,1,p|0,c[j>>2]|0)|0)==(p|0)){break}else{k=-1}i=e;return k|0}else if((B|0)==22){i=e;return k|0}}else{p=f-o|0;if((Ya(o|0,1,p|0,c[j>>2]|0)|0)==(p|0)){break}else{k=-1}i=e;return k|0}}while(0);TAa(l,m,n)}k=Wla(d)|0;i=e;return k|0}function Sla(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+92|0;if((c[d>>2]&16|0)!=0){return}e=b|0;OAa(e,0,0,0);f=c[b+52>>2]|0;do{if(f>>>0>8>>>0){if((a[b+98|0]|0)==0){g=c[b+56>>2]|0;TAa(e,g,g+((c[b+60>>2]|0)-1)|0);break}else{g=c[b+32>>2]|0;TAa(e,g,g+(f-1)|0);break}}else{TAa(e,0,0)}}while(0);c[d>>2]=16;return}function Tla(a,b){a=a|0;b=b|0;return(a|0)==(b|0)|0}function Ula(a){a=a|0;return a&255|0}function Vla(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return ne[c[(c[a>>2]|0)+12>>2]&31](a,b,d,e,f,g,h,i)|0}function Wla(a){a=a|0;var b=0;b=Tla(a,-1)|0;return(b?0:a)|0}function Xla(a){a=a|0;return a&255|0}function Yla(a,b){a=a|0;b=b|0;return a<<24>>24==b<<24>>24|0}function Zla(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+92|0;if((c[d>>2]&8|0)!=0){e=0;return e|0}f=b|0;TAa(f,0,0);if((a[b+98|0]|0)==0){g=c[b+56>>2]|0;h=g+(c[b+60>>2]|0)|0;OAa(f,g,h,h)}else{h=c[b+32>>2]|0;g=h+(c[b+52>>2]|0)|0;OAa(f,h,g,g)}c[d>>2]=8;e=1;return e|0}function _la(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=ama(a,b,c|0)|0;i=c;return d|0}function $la(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return ne[c[(c[a>>2]|0)+16>>2]&31](a,b,d,e,f,g,h,i)|0}function ama(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=bma(0,c,b)|0;i=e;return(f?c:b)|0}function bma(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)>>>0<(c[d>>2]|0)>>>0|0}function cma(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;return Zd[c[(c[a>>2]|0)+20>>2]&127](a,b,d,e,f)|0}function dma(a){a=a|0;return Yd[c[(c[a>>2]|0)+24>>2]&255](a)|0}function ema(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;return Zd[c[(c[a>>2]|0)+32>>2]&127](a,b,d,e,f)|0}function fma(a,b){a=a|0;b=b|0;var d=0;d=b;b=a;a=c[d+4>>2]|0;c[b>>2]=c[d>>2];c[b+4>>2]=a;return}function gma(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+8|0;c[b>>2]=c[e>>2];c[b+4>>2]=c[e+4>>2];e=b;b=a;a=c[e+4>>2]|0;c[b>>2]=c[e>>2];c[b+4>>2]=a;i=d;return}function hma(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=ima(a,b,c|0)|0;i=c;return d|0}function ima(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=jma(0,b,c)|0;i=e;return(f?c:b)|0}function jma(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)<(c[d>>2]|0)|0}function kma(a){a=a|0;return nGa(a,8572256)|0}function lma(a){a=a|0;return Yd[c[(c[a>>2]|0)+28>>2]&255](a)|0}function mma(a){a=a|0;nma(a|0);return}function nma(a){a=a|0;oma(a);return}function oma(a){a=a|0;pma(a,Ska(a)|0);return}function pma(a,b){a=a|0;b=b|0;var d=0;d=i;i=i+8|0;Zka(d|0);if((b|0)==0){i=d;return}pma(a,c[b>>2]|0);pma(a,c[b+4>>2]|0);rma(qma(a)|0,b,1);i=d;return}function qma(a){a=a|0;return tma(a+4|0)|0}function rma(a,b,c){a=a|0;b=b|0;c=c|0;sma(0,b,0);return}function sma(a,b,c){a=a|0;b=b|0;c=c|0;QJa(b);return}function tma(a){a=a|0;return uma(a|0)|0}function uma(a){a=a|0;return a|0}function vma(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=wma(a,e,b)|0;k=c[j>>2]|0;Zka(d+8|0);if((k|0)!=0){l=k;m=l+20|0;i=d;return m|0}yma(h,a,b);zma(g,h);xma(f,g);Ama(h);h=c[e>>2]|0;Bma(a|0,h,j,Cma(f)|0);j=Dma(f)|0;Ama(f);l=j;m=l+20|0;i=d;return m|0}function wma(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=Ska(h)|0;Zka(e|0);if((a|0)==0){j=Jka(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(Wka(0,d,a)|0){m=l|0;j=c[m>>2]|0;Zka(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(Wka(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;Zka(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function xma(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];pna(a,b);i=d;return}function yma(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=qma(c|0)|0;c=_ma(k,1)|0;$ma(g,k);Zma(f,c,g);ana(0,Vma((bna(f)|0)+16|0)|0,d);d=cna(f)|0;a[d+4|0]=1;dna(0,Uma((bna(f)|0)+20|0)|0);a[d+5|0]=1;ena(j,f);zma(h,j);xma(b,h);Ama(j);Ama(f);i=e;return}function zma(a,b){a=a|0;b=b|0;Xma(a,b);return}function Ama(a){a=a|0;Qma(a);return}function Bma(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;Zka(f|0);c[e>>2]=0;Zka(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=Ima(a)|0;b=c[c[e>>2]>>2]|0;Zka(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(Jka(a)|0)>>2]|0;Jma(e,c[d>>2]|0);d=Kma(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function Cma(a){a=a|0;return c[(Gma(a|0)|0)>>2]|0}function Dma(a){a=a|0;var b=0;b=Ema(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function Ema(a){a=a|0;return Fma(a|0)|0}function Fma(a){a=a|0;return a|0}function Gma(a){a=a|0;return Hma(a|0)|0}function Hma(a){a=a|0;return a|0}function Ima(a){a=a|0;return a|0}function Jma(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=(d|0)==(b|0);a[d+12|0]=h&1;if(h){i=e;return}else{j=d}while(1){k=j+8|0;d=c[k>>2]|0;if((a[d+12|0]|0)!=0){l=17;break}h=Nma(d)|0;m=c[d+8>>2]|0;if(h){h=c[m+4>>2]|0;Zka(f);if((h|0)==0){l=7;break}d=h+12|0;if((a[d]|0)!=0){l=7;break}h=c[k>>2]|0;a[h+12|0]=1;n=c[h+8>>2]|0;a[n+12|0]=(n|0)==(b|0)|0;a[d]=1;o=n}else{n=c[m>>2]|0;Zka(g);if((n|0)==0){l=14;break}m=n+12|0;if((a[m]|0)!=0){l=14;break}n=c[k>>2]|0;a[n+12|0]=1;d=c[n+8>>2]|0;a[d+12|0]=(d|0)==(b|0)|0;a[m]=1;o=d}if((o|0)==(b|0)){l=17;break}else{j=o}}if((l|0)==7){if(Nma(j)|0){p=j}else{o=c[k>>2]|0;Oma(o);p=o}o=c[p+8>>2]|0;a[o+12|0]=1;p=c[o+8>>2]|0;a[p+12|0]=0;Pma(p);i=e;return}else if((l|0)==14){if(Nma(j)|0){p=c[k>>2]|0;Pma(p);q=p}else{q=j}j=c[q+8>>2]|0;a[j+12|0]=1;q=c[j+8>>2]|0;a[q+12|0]=0;Oma(q);i=e;return}else if((l|0)==17){i=e;return}}function Kma(a){a=a|0;return Lma(a+8|0)|0}function Lma(a){a=a|0;return Mma(a|0)|0}function Mma(a){a=a|0;return a|0}function Nma(a){a=a|0;return(c[c[a+8>>2]>>2]|0)==(a|0)|0}function Oma(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=a+4|0;e=c[d>>2]|0;f=e|0;g=c[f>>2]|0;c[d>>2]=g;Zka(b|0);if((g|0)!=0){c[(c[d>>2]|0)+8>>2]=a}d=a+8|0;c[e+8>>2]=c[d>>2];g=Nma(a)|0;h=c[d>>2]|0;if(g){c[h>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}else{c[h+4>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}}function Pma(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=a|0;e=c[d>>2]|0;f=e+4|0;g=c[f>>2]|0;c[d>>2]=g;Zka(b|0);if((g|0)!=0){c[(c[d>>2]|0)+8>>2]=a}d=a+8|0;c[e+8>>2]=c[d>>2];g=Nma(a)|0;h=c[d>>2]|0;if(g){c[h>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}else{c[h+4>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}}function Qma(a){a=a|0;Rma(a,0);return}function Rma(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=Ema(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}Tma(Sma(d)|0,e);return}function Sma(a){a=a|0;return Wma(a|0)|0}function Tma(a,b){a=a|0;b=b|0;if((b|0)==0){return}rma(c[a>>2]|0,b,1);return}function Uma(a){a=a|0;return a|0}function Vma(a){a=a|0;return a|0}function Wma(a){a=a|0;return a+4|0}function Xma(a,b){a=a|0;b=b|0;Yma(a,b);return}function Yma(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function Zma(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];hna(a,b,d);i=e;return}function _ma(a,b){a=a|0;b=b|0;return gna(0,b,0)|0}function $ma(a,b){a=a|0;b=b|0;fna(a,b);return}function ana(a,b,d){a=a|0;b=b|0;d=d|0;if((b|0)==0){return}c[b>>2]=c[d>>2];return}function bna(a){a=a|0;return c[(Gma(a|0)|0)>>2]|0}function cna(a){a=a|0;return Sma(a|0)|0}function dna(a,b){a=a|0;b=b|0;if((b|0)==0){return}c[b>>2]=0;return}function ena(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;Xma(f,b);xma(e,f);zma(d,e);xma(a,d);Ama(e);i=c;return}function fna(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function gna(a,b,c){a=a|0;b=b|0;c=c|0;return OJa(b*24|0)|0}function hna(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(jna(f)|0)>>2]|0;f=kna(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;ina(a|0,b,g);i=e;return}function ina(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];lna(a,b,d);i=e;return}function jna(a){a=a|0;return a|0}function kna(a){a=a|0;return a|0}function lna(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(nna(f)|0)>>2]|0;f=ona(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;mna(a|0,b,g);i=e;return}function mna(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(nna(f)|0)>>2];f=ona(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function nna(a){a=a|0;return a|0}function ona(a){a=a|0;return a|0}function pna(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=Dma(qna(b)|0)|0;g=ona(cna(qna(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;ina(a|0,f,e);i=d;return}function qna(a){a=a|0;return c[a>>2]|0}function rna(a){a=a|0;var b=0;b=i;i=i+48|0;sna(a|0);lka(a+184|0,0,0);lka(a+200|0,0,0);tna(a+240|0,b|0);tna(a+252|0,b+8|0);tna(a+264|0,b+16|0);tna(a+276|0,b+24|0);tna(a+288|0,b+32|0);tna(a+300|0,b+40|0);i=b;return}function sna(a){a=a|0;var b=0,d=0,e=0;b=a+104|0;AAa(b);d=a|0;c[d>>2]=8525356;e=b|0;c[e>>2]=8525376;b=a+4|0;HBa(a,8526348,b|0);c[d>>2]=8525356;c[e>>2]=8525376;Gna(b);return}function tna(a,b){a=a|0;b=b|0;una(a,0);return}function una(a,b){a=a|0;b=b|0;b=i;i=i+8|0;vna(a|0,b|0);i=b;return}function vna(a,b){a=a|0;b=b|0;wna(a,0);return}function wna(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;xna(a+4|0);yna(a+8|0,0,b|0);d=Jka(a)|0;c[(Ima(a)|0)>>2]=d;i=b;return}function xna(a){a=a|0;Cna(a);return}function yna(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;zna(b,c,d);i=e;return}function zna(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;Ana(b|0,c[(Bna(g)|0)>>2]|0,f+8|0);i=f;return}function Ana(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(Bna(g)|0)>>2];i=f;return}function Bna(a){a=a|0;return a|0}function Cna(a){a=a|0;Dna(a|0);return}function Dna(a){a=a|0;Ena(a|0);return}function Ena(a){a=a|0;Fna(a);return}function Fna(a){a=a|0;c[a>>2]=0;return}function Gna(a){a=a|0;Hna(a);return}function Hna(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;i=i+24|0;e=d+8|0;f=d+16|0;g=b|0;JAa(g);c[b>>2]=8525640;c[b+32>>2]=0;c[b+36>>2]=0;c[b+40>>2]=0;h=b+68|0;lKa(b+52|0,0,16)|0;Zka(d|0);lKa(h|0,0,31)|0;FAa(e,g);j=Ina(e)|0;lGa(e);if(j){FAa(f,g);c[h>>2]=kma(f)|0;lGa(f);a[b+98|0]=(lma(c[h>>2]|0)|0)&1}_d[c[(c[b>>2]|0)+12>>2]&127](b,0,4096)|0;i=d;return}function Ina(a){a=a|0;return mGa(a,8572256)|0}function Jna(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;e=c[a+12>>2]|0;yga(3);f=e+8|0;g=c[f>>2]|0;h=e+12|0;j=c[h>>2]|0;if((g|0)<(j|0)){Kna(a,b,c[e>>2]|0,f);Bga(3);i=d;return}k=~~(+(j|0)*1.4+ +(j-g|0)+2.0e3);c[h>>2]=k;g=e;j=e+16|0;e=LJa(c[g>>2]|0,ga(k<<3,c[j>>2]|0)|0)|0;k=e;c[g>>2]=k;if((e|0)==0){e=ga(c[j>>2]|0,c[h>>2]|0)|0;lfa(c[b+536>>2]|0,161128,(h=i,i=i+8|0,c[h>>2]=e,h)|0);i=h}Kna(a,b,k,f);Bga(3);i=d;return}function Kna(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=c[b+12>>2]|0;Bga(0);i=+tga(0);yga(0);j=c[c[d+4>>2]>>2]|0;k=j|0;l=+h[k>>3];m=g+4|0;g=c[m>>2]|0;n=g+1|0;c[m>>2]=n;h[e+(g<<3)>>3]=l;if((c[b+8>>2]|0)==0){o=n}else{b=g+2|0;c[m>>2]=b;h[e+(n<<3)>>3]=i;o=b}b=d+116|0;n=c[b>>2]|0;if((n|0)>0){g=c[d+8>>2]|0;p=0;q=o;r=n;while(1){if((a[g+(p*112|0)+104|0]|0)==0){i=+h[(c[j+8>>2]|0)+(p<<3)>>3];n=q+1|0;c[m>>2]=n;h[e+(q<<3)>>3]=i;s=n;t=c[b>>2]|0}else{s=q;t=r}n=p+1|0;if((n|0)<(t|0)){p=n;q=s;r=t}else{u=s;break}}}else{u=o}o=d+124|0;s=c[o>>2]|0;if((s|0)>0){t=c[d+12>>2]|0;r=0;q=u;p=s;while(1){if((a[t+(r*60|0)+56|0]|0)==0){i=+(c[(c[j+12>>2]|0)+(r<<2)>>2]|0);s=q+1|0;c[m>>2]=s;h[e+(q<<3)>>3]=i;v=s;w=c[o>>2]|0}else{v=q;w=p}s=r+1|0;if((s|0)<(w|0)){r=s;q=v;p=w}else{x=v;break}}}else{x=u}u=d+128|0;v=c[u>>2]|0;if((v|0)>0){w=c[d+16>>2]|0;p=0;q=x;r=v;while(1){if((a[w+(p*48|0)+44|0]|0)==0){i=+(a[(c[j+16>>2]|0)+p|0]|0);v=q+1|0;c[m>>2]=v;h[e+(q<<3)>>3]=i;y=v;z=c[u>>2]|0}else{y=q;z=r}v=p+1|0;if((v|0)<(z|0)){p=v;q=y;r=z}else{A=y;break}}}else{A=x}x=d+216|0;if((c[x>>2]|0)>0){y=d+416|0;z=c[d+40>>2]|0;r=0;q=A;while(1){do{if((a[z+(r*52|0)+48|0]|0)==0){p=a[z+(r*52|0)+8|0]|0;do{if(p<<24>>24==2){B=k}else{u=c[z+(r*52|0)+4>>2]|0;if(p<<24>>24==1){B=(c[y>>2]|0)+(u<<3)|0;break}else{B=(c[j+8>>2]|0)+(u<<3)|0;break}}}while(0);i=+h[B>>3];if((c[z+(r*52|0)>>2]|0)==0){p=q+1|0;c[m>>2]=p;h[e+(q<<3)>>3]=i;C=p;break}else{p=q+1|0;c[m>>2]=p;h[e+(q<<3)>>3]=-0.0-i;C=p;break}}else{C=q}}while(0);p=r+1|0;if((p|0)<(c[x>>2]|0)){r=p;q=C}else{D=C;break}}}else{D=A}A=d+220|0;if((c[A>>2]|0)>0){C=d+40|0;q=d+420|0;r=c[d+44>>2]|0;x=0;z=D;while(1){do{if((a[r+(x*52|0)+48|0]|0)==0){B=c[(c[((a[r+(x*52|0)+8|0]|0)==1?q:j+12|0)>>2]|0)+(c[(c[C>>2]|0)+(x*52|0)+4>>2]<<2)>>2]|0;if((c[r+(x*52|0)>>2]|0)==0){y=z+1|0;c[m>>2]=y;h[e+(z<<3)>>3]=+(B|0);E=y;break}else{y=z+1|0;c[m>>2]=y;h[e+(z<<3)>>3]=+(-B|0);E=y;break}}else{E=z}}while(0);y=x+1|0;if((y|0)<(c[A>>2]|0)){x=y;z=E}else{F=E;break}}}else{F=D}D=d+224|0;if((c[D>>2]|0)<=0){G=c[f>>2]|0;H=G+1|0;c[f>>2]=H;return}E=d+44|0;z=d+40|0;x=d+424|0;A=c[d+48>>2]|0;d=0;r=F;while(1){do{if((a[A+(d*52|0)+48|0]|0)==0){F=a[(c[((a[(c[E>>2]|0)+(d*52|0)+8|0]|0)==1?x:j+16|0)>>2]|0)+(c[(c[z>>2]|0)+(d*52|0)+4>>2]|0)|0]|0;if((c[A+(d*52|0)>>2]|0)==0){C=r+1|0;c[m>>2]=C;h[e+(r<<3)>>3]=+(F<<24>>24|0);I=C;break}else{C=r+1|0;c[m>>2]=C;h[e+(r<<3)>>3]=+(F<<24>>24!=1|0);I=C;break}}else{I=r}}while(0);C=d+1|0;if((C|0)<(c[D>>2]|0)){d=C;r=I}else{break}}G=c[f>>2]|0;H=G+1|0;c[f>>2]=H;return}function Lna(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;e=IJa(24)|0;yga(3);f=e;c[f>>2]=0;g=e+4|0;c[g>>2]=0;c[e+8>>2]=0;h=e+16|0;c[h>>2]=0;j=a+4|0;k=c[j>>2]|0;c[e+12>>2]=k;l=b+536|0;kfa(c[l>>2]|0,k>>>31^1,176328,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+8|0;b=c[a+8>>2]|0;c[e+20>>2]=Mna(b,m)|0;n=Mna(b,m)|0;c[h>>2]=n;h=c[j>>2]|0;j=IJa(ga(n<<3,h)|0)|0;c[f>>2]=j;if((j|0)==0){j=ga(n,h)|0;lfa(c[l>>2]|0,133136,(k=i,i=i+8|0,c[k>>2]=j,k)|0);i=k}else{c[g>>2]=0;c[a+12>>2]=e;Bga(3);i=d;return}}function Mna(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=(b|0)==0?1:2;b=c[d+108>>2]|0;if((b|0)>0){f=c[d>>2]|0;g=e;h=0;while(1){i=((a[f+(h*112|0)+104|0]|0)==0)+g|0;j=h+1|0;if((j|0)<(b|0)){g=i;h=j}else{k=i;break}}}else{k=e}e=c[d+116>>2]|0;if((e|0)>0){h=c[d+4>>2]|0;g=k;b=0;while(1){f=((a[h+(b*60|0)+56|0]|0)==0)+g|0;i=b+1|0;if((i|0)<(e|0)){g=f;b=i}else{l=f;break}}}else{l=k}k=c[d+120>>2]|0;if((k|0)>0){b=c[d+8>>2]|0;g=l;e=0;while(1){h=((a[b+(e*48|0)+44|0]|0)==0)+g|0;f=e+1|0;if((f|0)<(k|0)){g=h;e=f}else{m=h;break}}}else{m=l}l=c[d+208>>2]|0;if((l|0)>0){e=c[d+32>>2]|0;g=m;k=0;while(1){b=((a[e+(k*52|0)+48|0]|0)==0)+g|0;h=k+1|0;if((h|0)<(l|0)){g=b;k=h}else{n=b;break}}}else{n=m}m=c[d+212>>2]|0;if((m|0)>0){k=c[d+36>>2]|0;g=n;l=0;while(1){e=((a[k+(l*52|0)+48|0]|0)==0)+g|0;b=l+1|0;if((b|0)<(m|0)){g=e;l=b}else{o=e;break}}}else{o=n}n=c[d+216>>2]|0;if((n|0)<=0){p=o;return p|0}l=c[d+40>>2]|0;d=o;o=0;while(1){g=((a[l+(o*52|0)+48|0]|0)==0)+d|0;m=o+1|0;if((m|0)<(n|0)){d=g;o=m}else{p=g;break}}return p|0}function Nna(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;e=i;f=b+12|0;g=c[f>>2]|0;j=g;yga(3);k=b|0;l=zc(c[k>>2]|0,105256)|0;if((l|0)==0){Ona(j);m=c[d+536>>2]|0;n=c[k>>2]|0;o=_c(c[(Zc()|0)>>2]|0)|0;lfa(m,79744,(p=i,i=i+16|0,c[p>>2]=n,c[p+8>>2]=o,p)|0);i=p}Ya(58120,46,1,l|0)|0;o=g+20|0;od(l|0,45992,(p=i,i=i+8|0,c[p>>2]=c[o>>2],p)|0)|0;i=p;n=g+8|0;od(l|0,39672,(p=i,i=i+8|0,c[p>>2]=c[n>>2],p)|0)|0;i=p;Ya(33200,40,1,l|0)|0;Ya(27488,11,1,l|0)|0;Ya(6877840,14,1,l|0)|0;if((c[n>>2]|0)>0){m=g;q=0;do{r=ga(c[o>>2]|0,q)|0;s=+h[(c[m>>2]|0)+(r<<3)>>3];Pna(l,s,s);q=q+1|0;}while((q|0)<(c[n>>2]|0))}Wa(10,l|0)|0;if((c[b+8>>2]|0)==0){t=1}else{Ya(172248,18,1,l|0)|0;if((c[n>>2]|0)>0){b=g;q=0;do{m=ga(c[o>>2]|0,q)|0;r=c[b>>2]|0;Pna(l,+h[r+(m<<3)>>3],+h[r+(m+1<<3)>>3]);q=q+1|0;}while((q|0)<(c[n>>2]|0))}Wa(10,l|0)|0;t=2}q=d+116|0;b=c[q>>2]|0;if((b|0)>0){m=d+8|0;r=g;u=t;v=0;w=b;while(1){b=c[m>>2]|0;if((a[b+(v*112|0)+104|0]|0)==0){od(l|0,166568,(p=i,i=i+8|0,c[p>>2]=c[b+(v*112|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){b=0;do{x=ga(c[o>>2]|0,b)|0;y=c[r>>2]|0;Pna(l,+h[y+(x<<3)>>3],+h[y+(x+u<<3)>>3]);b=b+1|0;}while((b|0)<(c[n>>2]|0))}Wa(10,l|0)|0;z=u+1|0;A=c[q>>2]|0}else{z=u;A=w}b=v+1|0;if((b|0)<(A|0)){u=z;v=b;w=A}else{B=z;break}}}else{B=t}t=d+124|0;z=c[t>>2]|0;if((z|0)>0){A=d+12|0;w=g;v=B;u=0;q=z;while(1){z=c[A>>2]|0;if((a[z+(u*60|0)+56|0]|0)==0){od(l|0,166568,(p=i,i=i+8|0,c[p>>2]=c[z+(u*60|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){z=0;do{r=ga(c[o>>2]|0,z)|0;m=c[w>>2]|0;Pna(l,+h[m+(r<<3)>>3],+h[m+(r+v<<3)>>3]);z=z+1|0;}while((z|0)<(c[n>>2]|0))}Wa(10,l|0)|0;C=v+1|0;D=c[t>>2]|0}else{C=v;D=q}z=u+1|0;if((z|0)<(D|0)){v=C;u=z;q=D}else{E=C;break}}}else{E=B}B=d+128|0;C=c[B>>2]|0;if((C|0)>0){D=d+16|0;q=g;u=E;v=0;t=C;while(1){C=c[D>>2]|0;if((a[C+(v*48|0)+44|0]|0)==0){od(l|0,166568,(p=i,i=i+8|0,c[p>>2]=c[C+(v*48|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){C=0;do{w=ga(c[o>>2]|0,C)|0;A=c[q>>2]|0;Pna(l,+h[A+(w<<3)>>3],+h[A+(w+u<<3)>>3]);C=C+1|0;}while((C|0)<(c[n>>2]|0))}Wa(10,l|0)|0;F=u+1|0;G=c[B>>2]|0}else{F=u;G=t}C=v+1|0;if((C|0)<(G|0)){u=F;v=C;t=G}else{H=F;break}}}else{H=E}E=d+216|0;F=c[E>>2]|0;if((F|0)>0){G=d+40|0;t=g;v=H;u=0;B=F;while(1){F=c[G>>2]|0;if((a[F+(u*52|0)+48|0]|0)==0){od(l|0,166568,(p=i,i=i+8|0,c[p>>2]=c[F+(u*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){F=0;do{q=ga(c[o>>2]|0,F)|0;D=c[t>>2]|0;Pna(l,+h[D+(q<<3)>>3],+h[D+(q+v<<3)>>3]);F=F+1|0;}while((F|0)<(c[n>>2]|0))}Wa(10,l|0)|0;I=v+1|0;J=c[E>>2]|0}else{I=v;J=B}F=u+1|0;if((F|0)<(J|0)){v=I;u=F;B=J}else{K=I;break}}}else{K=H}H=d+220|0;I=c[H>>2]|0;if((I|0)>0){J=d+44|0;B=g;u=K;v=0;E=I;while(1){I=c[J>>2]|0;if((a[I+(v*52|0)+48|0]|0)==0){od(l|0,166568,(p=i,i=i+8|0,c[p>>2]=c[I+(v*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){I=0;do{t=ga(c[o>>2]|0,I)|0;G=c[B>>2]|0;Pna(l,+h[G+(t<<3)>>3],+h[G+(t+u<<3)>>3]);I=I+1|0;}while((I|0)<(c[n>>2]|0))}Wa(10,l|0)|0;L=u+1|0;M=c[H>>2]|0}else{L=u;M=E}I=v+1|0;if((I|0)<(M|0)){u=L;v=I;E=M}else{N=L;break}}}else{N=K}K=d+224|0;L=c[K>>2]|0;if((L|0)>0){M=d+48|0;E=g;g=N;N=0;v=L;while(1){L=c[M>>2]|0;if((a[L+(N*52|0)+48|0]|0)==0){od(l|0,166568,(p=i,i=i+8|0,c[p>>2]=c[L+(N*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){L=0;do{u=ga(c[o>>2]|0,L)|0;H=c[E>>2]|0;Pna(l,+h[H+(u<<3)>>3],+h[H+(u+g<<3)>>3]);L=L+1|0;}while((L|0)<(c[n>>2]|0))}Wa(10,l|0)|0;O=g+1|0;P=c[K>>2]|0}else{O=g;P=v}L=N+1|0;if((L|0)<(P|0)){g=O;N=L;v=P}else{break}}}Ona(j);if((Pa(l|0)|0)==0){JJa(c[f>>2]|0);c[f>>2]=0;Bga(3);i=e;return}else{lfa(c[d+536>>2]|0,161968,(p=i,i=i+8|0,c[p>>2]=c[k>>2],p)|0);i=p}}function Ona(a){a=a|0;var b=0;b=a|0;a=c[b>>2]|0;if((a|0)==0){return}JJa(a);c[b>>2]=0;return}function Pna(a,b,c){a=a|0;b=+b;c=+c;var d=0;d=i;od(a|0,157912,(a=i,i=i+16|0,h[a>>3]=b,h[a+8>>3]=c,a)|0)|0;i=a;i=d;return}function Qna(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+64|0;e=d|0;f=d+16|0;g=d+32|0;h=d+48|0;j=OJa(192)|0;lKa(j|0,0,192)|0;Rna(j);c[a+12>>2]=j;k=j;l=a|0;mka(k,c[l>>2]|0,36);if(oAa(j+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){lfa(c[b+536>>2]|0,160816,(a=i,i=i+8|0,c[a>>2]=c[l>>2],a)|0);i=a}a=j;TBa(a,16752,14)|0;UBa(e,a);l=zla(e)|0;e=j+184|0;c[e>>2]=l;TBa(a,8568584,4)|0;Sna(k,b+8|0);UBa(f,a);b=zla(f)|0;f=b;b=j+188|0;c[b>>2]=f;j=c[e>>2]|0;lka(g,j,(j|0)<0|0?-1:0);VBa(a,g)|0;Tna(k,-4-j+f|0);f=c[b>>2]|0;lka(h,f,(f|0)<0|0?-1:0);VBa(a,h)|0;Bga(3);i=d;return}function Rna(a){a=a|0;koa(a);return}function Sna(a,b){a=a|0;b=b|0;Vna(a,3);Wna(a,120808);Vna(a,0);Wna(a,118160);Vna(a,2);foa(a,b);goa(a,b);Wna(a,115768);Vna(a,0);return}function Tna(a,b){a=a|0;b=b|0;c[2138838]=id(b|0)|0;TBa(a,8555352,4)|0;return}function Una(b,d,e,f){b=b|0;d=+d;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+80|0;j=g|0;k=g+16|0;l=g+32|0;m=g+48|0;n=g+64|0;o=b;UBa(j,o);p=zla(j)|0;Tna(b,0);UBa(k,o);j=zla(k)|0;k=j;Vna(b,1);Wna(b,133096);j=e+128|0;q=e+132|0;r=e+136|0;s=e+140|0;Xna(b,(c[j>>2]|0)+1+(c[q>>2]|0)+(c[r>>2]|0)+(c[s>>2]|0)|0);Yna(b,d);if((c[j>>2]|0)>0){e=f+176|0;t=0;do{Yna(b,+h[(c[e>>2]|0)+(t<<3)>>3]);t=t+1|0;}while((t|0)<(c[j>>2]|0))}if((c[q>>2]|0)>0){j=f+180|0;t=0;do{Zna(b,c[(c[j>>2]|0)+(t<<2)>>2]|0);t=t+1|0;}while((t|0)<(c[q>>2]|0))}if((c[r>>2]|0)>0){q=f+184|0;t=0;do{_na(b,(a[(c[q>>2]|0)+t|0]|0)!=0);t=t+1|0;}while((t|0)<(c[r>>2]|0))}if((c[s>>2]|0)>0){r=f+188|0;f=0;do{Wna(b,c[(c[r>>2]|0)+(f<<2)>>2]|0);f=f+1|0;}while((f|0)<(c[s>>2]|0))}UBa(l,o);s=zla(l)|0;l=s;s=p;lka(m,s,(s|0)<0|0?-1:0);VBa(o,m)|0;Tna(b,l-k|0);lka(n,l,(l|0)<0|0?-1:0);VBa(o,n)|0;i=g;return}function Vna(b,d){b=b|0;d=d|0;a[8568536]=-33;c[2138840]=id(d|0)|0;d=b;TBa(d,8568536,1)|0;TBa(d,8555360,4)|0;return}function Wna(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;c[f>>2]=id(iKa(d|0)|0)|0;a[8568544]=-37;g=b;TBa(g,8568544,1)|0;TBa(g,f,4)|0;TBa(g,d,iKa(d|0)|0)|0;i=e;return}function Xna(b,d){b=b|0;d=d|0;a[8568552]=-35;c[2138842]=id(d|0)|0;d=b;TBa(d,8568552,1)|0;TBa(d,8555368,4)|0;return}function Yna(b,c){b=b|0;c=+c;var d=0;a[8568560]=-53;eoa(c);d=b;TBa(d,8568560,1)|0;TBa(d,8568440,8)|0;return}function Zna(b,d){b=b|0;d=d|0;a[8568568]=-46;c[2138844]=id(d|0)|0;d=b;TBa(d,8568568,1)|0;TBa(d,8555376,4)|0;return}function _na(b,c){b=b|0;c=c|0;a[8568576]=c?-61:-62;TBa(b,8568576,1)|0;return}function $na(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[a+12>>2]|0;a=b+8|0;e=b+240|0;Una(d,+h[e>>3],a,e);Una(d,+h[b+248>>3],a,e);return}function aoa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+80|0;f=e|0;g=e+16|0;j=e+32|0;k=e+48|0;l=e+64|0;m=c[b+12>>2]|0;b=m;n=m;UBa(f,n);m=zla(f)|0;Tna(b,0);UBa(g,n);f=zla(g)|0;g=f;Vna(b,1);Wna(b,105240);f=d+116|0;o=d+124|0;p=d+128|0;q=d+132|0;Xna(b,(c[f>>2]|0)+1+(c[o>>2]|0)+(c[p>>2]|0)+(c[q>>2]|0)|0);r=d+4|0;Yna(b,+h[c[c[r>>2]>>2]>>3]);if((c[f>>2]|0)>0){d=0;do{Yna(b,+h[(c[(c[c[r>>2]>>2]|0)+8>>2]|0)+(d<<3)>>3]);d=d+1|0;}while((d|0)<(c[f>>2]|0))}if((c[o>>2]|0)>0){f=0;do{Zna(b,c[(c[(c[c[r>>2]>>2]|0)+12>>2]|0)+(f<<2)>>2]|0);f=f+1|0;}while((f|0)<(c[o>>2]|0))}if((c[p>>2]|0)>0){o=0;do{_na(b,(a[(c[(c[c[r>>2]>>2]|0)+16>>2]|0)+o|0]|0)!=0);o=o+1|0;}while((o|0)<(c[p>>2]|0))}if((c[q>>2]|0)>0){p=0;do{Wna(b,c[(c[(c[c[r>>2]>>2]|0)+20>>2]|0)+(p<<2)>>2]|0);p=p+1|0;}while((p|0)<(c[q>>2]|0))}UBa(j,n);q=zla(j)|0;j=q;q=m;lka(k,q,(q|0)<0|0?-1:0);VBa(n,k)|0;Tna(b,j-g|0);lka(l,j,(j|0)<0|0?-1:0);VBa(n,l)|0;i=e;return}function boa(a,b){a=a|0;b=b|0;b=a+12|0;a=c[b>>2]|0;gka(a);yga(3);if((a|0)==0){c[b>>2]=0;Bga(3);return}coa(a);QJa(a);c[b>>2]=0;Bga(3);return}function coa(a){a=a|0;doa(a);return}function doa(a){a=a|0;Cla(a|0);return}function eoa(b){b=+b;var d=0,e=0,f=0,g=0,j=0;d=i;i=i+8|0;e=d|0;f=e;h[e>>3]=b;if((id(1)|0)==1){g=e;e=c[g+4>>2]|0;j=8568440;c[j>>2]=c[g>>2];c[j+4>>2]=e;i=d;return}h[k>>3]=b;e=0;j=c[k>>2]&255;while(1){a[8568440+(7-e)|0]=j;g=e+1|0;if((g|0)>=8){break}e=g;j=a[f+g|0]|0}i=d;return}function foa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+16|0;e=d|0;Wna(a,133096);Vna(a,4);Wna(a,113448);Vna(a,0);Wna(a,110848);f=b+128|0;g=b+132|0;h=b+136|0;j=b+140|0;Xna(a,(c[f>>2]|0)+1+(c[g>>2]|0)+(c[h>>2]|0)+(c[j>>2]|0)|0);Wna(a,108568);if((c[f>>2]|0)>0){k=b+16|0;l=0;do{Wna(a,c[(c[k>>2]|0)+(l*112|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[f>>2]|0))}if((c[g>>2]|0)>0){l=b+20|0;k=0;do{Wna(a,c[(c[l>>2]|0)+(k*60|0)+4>>2]|0);k=k+1|0;}while((k|0)<(c[g>>2]|0))}if((c[h>>2]|0)>0){k=b+24|0;l=0;do{Wna(a,c[(c[k>>2]|0)+(l*48|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[h>>2]|0))}if((c[j>>2]|0)>0){l=b+28|0;k=0;do{Wna(a,c[(c[l>>2]|0)+(k*52|0)+4>>2]|0);k=k+1|0;}while((k|0)<(c[j>>2]|0))}k=e;c[k>>2]=c[4168];c[k+4>>2]=c[4169];c[k+8>>2]=c[4170];hoa(a,b,e|0);Wna(a,106384);Vna(a,(c[f>>2]|0)+1+(c[g>>2]|0)+(c[h>>2]|0)+(c[j>>2]|0)|0);ioa(a,108568,103080);if((c[f>>2]|0)>0){e=b+16|0;k=0;do{l=c[e>>2]|0;ioa(a,c[l+(k*112|0)+4>>2]|0,c[l+(k*112|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[f>>2]|0))}if((c[g>>2]|0)>0){f=b+20|0;k=0;do{e=c[f>>2]|0;ioa(a,c[e+(k*60|0)+4>>2]|0,c[e+(k*60|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[g>>2]|0))}if((c[h>>2]|0)>0){g=b+24|0;k=0;do{f=c[g>>2]|0;ioa(a,c[f+(k*48|0)+4>>2]|0,c[f+(k*48|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[h>>2]|0))}if((c[j>>2]|0)<=0){i=d;return}h=b+28|0;b=0;do{k=c[h>>2]|0;ioa(a,c[k+(b*52|0)+4>>2]|0,c[k+(b*52|0)+8>>2]|0);b=b+1|0;}while((b|0)<(c[j>>2]|0));i=d;return}function goa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;d=i;i=i+16|0;e=d|0;f=b+108|0;g=c[f>>2]|0;h=b+116|0;j=c[h>>2]|0;k=b+120|0;l=c[k>>2]|0;m=b+124|0;n=c[m>>2]|0;Wna(a,105240);Vna(a,4);Wna(a,113448);Vna(a,0);Wna(a,110848);o=g+1+j+l+n|0;Xna(a,o);Wna(a,108568);if((c[f>>2]|0)>0){n=b|0;l=0;do{Wna(a,c[(c[n>>2]|0)+(l*112|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[f>>2]|0))}if((c[h>>2]|0)>0){l=b+4|0;n=0;do{Wna(a,c[(c[l>>2]|0)+(n*60|0)+4>>2]|0);n=n+1|0;}while((n|0)<(c[h>>2]|0))}if((c[k>>2]|0)>0){n=b+8|0;l=0;do{Wna(a,c[(c[n>>2]|0)+(l*48|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[k>>2]|0))}if((c[m>>2]|0)>0){l=b+12|0;n=0;do{Wna(a,c[(c[l>>2]|0)+(n*52|0)+4>>2]|0);n=n+1|0;}while((n|0)<(c[m>>2]|0))}n=e;c[n>>2]=c[4172];c[n+4>>2]=c[4173];c[n+8>>2]=c[4174];hoa(a,b,e|0);Wna(a,106384);Vna(a,o);ioa(a,108568,103080);if((c[f>>2]|0)>0){o=b|0;e=0;do{n=c[o>>2]|0;ioa(a,c[n+(e*112|0)+4>>2]|0,c[n+(e*112|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[f>>2]|0))}if((c[h>>2]|0)>0){f=b+4|0;e=0;do{o=c[f>>2]|0;ioa(a,c[o+(e*60|0)+4>>2]|0,c[o+(e*60|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[h>>2]|0))}if((c[k>>2]|0)>0){h=b+8|0;e=0;do{f=c[h>>2]|0;ioa(a,c[f+(e*48|0)+4>>2]|0,c[f+(e*48|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[k>>2]|0))}if((c[m>>2]|0)<=0){i=d;return}k=b+12|0;b=0;do{e=c[k>>2]|0;ioa(a,c[e+(b*52|0)+4>>2]|0,c[e+(b*52|0)+8>>2]|0);b=b+1|0;}while((b|0)<(c[m>>2]|0));i=d;return}function hoa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;Wna(b,97888);f=d+208|0;g=c[f>>2]|0;if((g|0)>0){h=c[d+32>>2]|0;i=0;j=0;while(1){k=(c[e+(a[h+(i*52|0)+8|0]<<2)>>2]|0)+j|0;l=i+1|0;if((l|0)<(g|0)){i=l;j=k}else{m=k;break}}}else{m=0}j=d+212|0;i=c[j>>2]|0;if((i|0)>0){g=c[d+36>>2]|0;h=0;k=m;while(1){l=(c[e+(a[g+(h*52|0)+8|0]<<2)>>2]|0)+k|0;n=h+1|0;if((n|0)<(i|0)){h=n;k=l}else{o=l;break}}}else{o=m}m=d+216|0;k=c[m>>2]|0;if((k|0)>0){h=c[d+40>>2]|0;i=0;g=o;while(1){l=(c[e+(a[h+(i*52|0)+8|0]<<2)>>2]|0)+g|0;n=i+1|0;if((n|0)<(k|0)){i=n;g=l}else{p=l;break}}}else{p=o}o=d+220|0;g=c[o>>2]|0;if((g|0)>0){i=c[d+44>>2]|0;k=0;h=p;while(1){l=(c[e+(a[i+(k*52|0)+8|0]<<2)>>2]|0)+h|0;n=k+1|0;if((n|0)<(g|0)){k=n;h=l}else{q=l;break}}}else{q=p}Vna(b,q);q=c[f>>2]|0;if((q|0)>0){p=d+32|0;h=d+16|0;k=d|0;g=0;i=0;l=q;while(1){q=c[p>>2]|0;n=a[q+(g*52|0)+8|0]|0;if((c[e+(n<<24>>24<<2)>>2]|0)==0){r=i;s=l}else{t=n<<24>>24==2?108568:i;if((n<<24>>24|0)==1){u=c[(c[h>>2]|0)+((c[q+(g*52|0)+4>>2]|0)*112|0)+4>>2]|0}else if((n<<24>>24|0)==0){u=c[(c[k>>2]|0)+((c[q+(g*52|0)+4>>2]|0)*112|0)+4>>2]|0}else{u=t}joa(b,c[q+(g*52|0)+16>>2]|0,u,(c[q+(g*52|0)>>2]|0)!=0);r=u;s=c[f>>2]|0}q=g+1|0;if((q|0)<(s|0)){g=q;i=r;l=s}else{v=r;break}}}else{v=0}r=c[j>>2]|0;if((r|0)>0){s=d+36|0;l=d+20|0;i=d+4|0;g=0;f=v;u=r;while(1){r=c[s>>2]|0;k=a[r+(g*52|0)+8|0]|0;if((c[e+(k<<24>>24<<2)>>2]|0)==0){w=f;x=u}else{h=k<<24>>24==2?108568:f;if((k<<24>>24|0)==1){y=c[(c[l>>2]|0)+((c[r+(g*52|0)+4>>2]|0)*60|0)+4>>2]|0}else if((k<<24>>24|0)==0){y=c[(c[i>>2]|0)+((c[r+(g*52|0)+4>>2]|0)*60|0)+4>>2]|0}else{y=h}joa(b,c[r+(g*52|0)+16>>2]|0,y,(c[r+(g*52|0)>>2]|0)!=0);w=y;x=c[j>>2]|0}r=g+1|0;if((r|0)<(x|0)){g=r;f=w;u=x}else{z=w;break}}}else{z=v}v=c[m>>2]|0;if((v|0)>0){w=d+40|0;x=d+24|0;u=d+8|0;f=0;g=z;j=v;while(1){v=c[w>>2]|0;y=a[v+(f*52|0)+8|0]|0;if((c[e+(y<<24>>24<<2)>>2]|0)==0){A=g;B=j}else{i=y<<24>>24==2?108568:g;if((y<<24>>24|0)==1){C=c[(c[x>>2]|0)+((c[v+(f*52|0)+4>>2]|0)*48|0)+4>>2]|0}else if((y<<24>>24|0)==0){C=c[(c[u>>2]|0)+((c[v+(f*52|0)+4>>2]|0)*48|0)+4>>2]|0}else{C=i}joa(b,c[v+(f*52|0)+16>>2]|0,C,(c[v+(f*52|0)>>2]|0)!=0);A=C;B=c[m>>2]|0}v=f+1|0;if((v|0)<(B|0)){f=v;g=A;j=B}else{D=A;break}}}else{D=z}z=c[o>>2]|0;if((z|0)<=0){return}A=d+44|0;B=d+28|0;j=d+12|0;d=0;g=D;D=z;while(1){z=c[A>>2]|0;f=a[z+(d*52|0)+8|0]|0;if((c[e+(f<<24>>24<<2)>>2]|0)==0){E=g;F=D}else{m=f<<24>>24==2?108568:g;if((f<<24>>24|0)==1){G=c[(c[B>>2]|0)+((c[z+(d*52|0)+4>>2]|0)*52|0)+4>>2]|0}else if((f<<24>>24|0)==0){G=c[(c[j>>2]|0)+((c[z+(d*52|0)+4>>2]|0)*52|0)+4>>2]|0}else{G=m}joa(b,c[z+(d*52|0)+16>>2]|0,G,(c[z+(d*52|0)>>2]|0)!=0);E=G;F=c[o>>2]|0}z=d+1|0;if((z|0)<(F|0)){d=z;g=E;D=F}else{break}}return}function ioa(a,b,c){a=a|0;b=b|0;c=c|0;Wna(a,b);Vna(a,1);Wna(a,100664);Wna(a,c);return}function joa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Wna(a,b);Vna(a,d?2:1);Wna(a,95440);Wna(a,c);if(!d){return}Wna(a,92880);Wna(a,90744);return}function koa(a){a=a|0;sna(a|0);return}



function vsa(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=Wsa(c|0)|0;c=Ysa(k,1)|0;Zsa(g,k);Xsa(f,c,g);_sa(0,gqa(($sa(f)|0)+16|0)|0,d);d=ata(f)|0;a[d+4|0]=1;bta(0,Nsa(($sa(f)|0)+28|0)|0);a[d+5|0]=1;cta(j,f);wsa(h,j);usa(b,h);xsa(j);xsa(f);i=e;return}function wsa(a,b){a=a|0;b=b|0;Usa(a,b);return}function xsa(a){a=a|0;Isa(a);return}function ysa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;Zka(f|0);c[e>>2]=0;Zka(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=osa(a)|0;b=c[c[e>>2]>>2]|0;Zka(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(Oqa(a)|0)>>2]|0;Jma(e,c[d>>2]|0);d=Fsa(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function zsa(a){a=a|0;return c[(Dsa(a|0)|0)>>2]|0}function Asa(a){a=a|0;var b=0;b=Bsa(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function Bsa(a){a=a|0;return Csa(a|0)|0}function Csa(a){a=a|0;return a|0}function Dsa(a){a=a|0;return Esa(a|0)|0}function Esa(a){a=a|0;return a|0}function Fsa(a){a=a|0;return Gsa(a+8|0)|0}function Gsa(a){a=a|0;return Hsa(a|0)|0}function Hsa(a){a=a|0;return a|0}function Isa(a){a=a|0;Jsa(a,0);return}function Jsa(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=Bsa(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}Lsa(Ksa(d)|0,e);return}function Ksa(a){a=a|0;return Tsa(a|0)|0}function Lsa(b,d){b=b|0;d=d|0;var e=0;if((a[b+5|0]|0)!=0){e=c[b>>2]|0;Msa(e,Nsa(d+28|0)|0)}if((a[b+4|0]|0)!=0){e=c[b>>2]|0;Osa(e,gqa(d+16|0)|0)}if((d|0)==0){return}Psa(c[b>>2]|0,d,1);return}function Msa(a,b){a=a|0;b=b|0;a=i;i=i+8|0;Ssa(a|0,0,b);i=a;return}function Nsa(a){a=a|0;return a|0}function Osa(a,b){a=a|0;b=b|0;a=i;i=i+8|0;Rsa(a|0,0,b);i=a;return}function Psa(a,b,c){a=a|0;b=b|0;c=c|0;Qsa(0,b,0);return}function Qsa(a,b,c){a=a|0;b=b|0;c=c|0;QJa(b);return}function Rsa(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;Dza(d);i=c;return}function Ssa(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;Dza(d);i=c;return}function Tsa(a){a=a|0;return a+4|0}function Usa(a,b){a=a|0;b=b|0;Vsa(a,b);return}function Vsa(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function Wsa(a){a=a|0;return nta(a+4|0)|0}function Xsa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];fta(a,b,d);i=e;return}function Ysa(a,b){a=a|0;b=b|0;return eta(0,b,0)|0}function Zsa(a,b){a=a|0;b=b|0;dta(a,b);return}function _sa(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}tza(b,c);return}function $sa(a){a=a|0;return c[(Dsa(a|0)|0)>>2]|0}function ata(a){a=a|0;return Ksa(a|0)|0}function bta(a,b){a=a|0;b=b|0;if((b|0)==0){return}rza(b);return}function cta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;Usa(f,b);usa(e,f);wsa(d,e);usa(a,d);xsa(e);i=c;return}function dta(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function eta(a,b,c){a=a|0;b=b|0;c=c|0;return OJa(b*40|0)|0}function fta(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(hta(f)|0)>>2]|0;f=ita(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;gta(a|0,b,g);i=e;return}function gta(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];jta(a,b,d);i=e;return}function hta(a){a=a|0;return a|0}function ita(a){a=a|0;return a|0}function jta(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(lta(f)|0)>>2]|0;f=mta(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;kta(a|0,b,g);i=e;return}function kta(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(lta(f)|0)>>2];f=mta(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function lta(a){a=a|0;return a|0}function mta(a){a=a|0;return a|0}function nta(a){a=a|0;return ota(a|0)|0}function ota(a){a=a|0;return a|0}function pta(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=Asa(qta(b)|0)|0;g=mta(ata(qta(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;gta(a|0,f,e);i=d;return}function qta(a){a=a|0;return c[a>>2]|0}function rta(a){a=a|0;sta(a|0);return}function sta(a){a=a|0;tta(a);return}function tta(a){a=a|0;uta(a,Vqa(a)|0);return}function uta(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;Zka(d|0);if((b|0)==0){i=d;return}uta(a,c[b>>2]|0);uta(a,c[b+4>>2]|0);e=Wsa(a)|0;vta(e,wta(b+16|0)|0);Psa(e,b,1);i=d;return}function vta(a,b){a=a|0;b=b|0;a=i;i=i+8|0;xta(a|0,0,b);i=a;return}function wta(a){a=a|0;return a|0}function xta(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;yta(d);i=c;return}function yta(a){a=a|0;zta(a);return}function zta(a){a=a|0;Ata(a|0);return}function Ata(a){a=a|0;Bta(a);return}function Bta(a){a=a|0;Dza(a+12|0);Dza(a|0);return}function Cta(a){a=a|0;Dta(a+180|0);Dta(a+168|0);Dta(a+156|0);Dta(a+144|0);Dta(a+132|0);Dta(a+120|0);Dta(a+108|0);Dta(a+96|0);Dta(a+84|0);Dta(a+72|0);Dta(a+60|0);Dta(a+48|0);Dta(a+36|0);Dta(a+24|0);Soa(a+12|0);Soa(a|0);return}function Dta(a){a=a|0;Eta(a);return}function Eta(a){a=a|0;Fta(a|0);return}function Fta(a){a=a|0;Gta(a);return}function Gta(a){a=a|0;Hta(a,isa(a)|0);return}function Hta(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;Zka(d|0);if((b|0)==0){i=d;return}Hta(a,c[b>>2]|0);Hta(a,c[b+4>>2]|0);e=Nra(a)|0;Ita(e,Jta(b+16|0)|0);Hra(e,b,1);i=d;return}function Ita(a,b){a=a|0;b=b|0;a=i;i=i+8|0;Kta(a|0,0,b);i=a;return}function Jta(a){a=a|0;return a|0}function Kta(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;Lta(d);i=c;return}function Lta(a){a=a|0;Mta(a);return}function Mta(a){a=a|0;Nta(a|0);return}function Nta(a){a=a|0;Ota(a);return}function Ota(a){a=a|0;Soa(a+4|0);return}function Pta(a){a=a|0;Qta(a|0);return}function Qta(a){a=a|0;Rta(a);return}function Rta(a){a=a|0;Sta(a,Fpa(a)|0);return}function Sta(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;Zka(d|0);if((b|0)==0){i=d;return}Sta(a,c[b>>2]|0);Sta(a,c[b+4>>2]|0);e=nqa(a)|0;Tta(e,spa(b+16|0)|0);hqa(e,b,1);i=d;return}function Tta(a,b){a=a|0;b=b|0;a=i;i=i+8|0;Uta(a|0,0,b);i=a;return}function Uta(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;Vta(d);i=c;return}function Vta(a){a=a|0;Wta(a);return}function Wta(a){a=a|0;Xta(a|0);return}function Xta(a){a=a|0;Yta(a);return}function Yta(a){a=a|0;Dza(a|0);return}function Zta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=i;i=i+16|0;d=c|0;e=c+8|0;_ta(a|0);aua(d,b);bua(e,b);$ta(a,d,e);i=c;return a|0}function _ta(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;uta(a,Vqa(a)|0);c[(Fsa(a)|0)>>2]=0;d=Oqa(a)|0;c[(osa(a)|0)>>2]=d;Zka(b|0);c[d>>2]=0;i=b;return}function $ta(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+32|0;f=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[f>>2];f=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[f>>2];f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;jua(f,a);if(!(kua(b,d)|0)){i=e;return}k=c[f>>2]|0;f=h|0;do{c[f>>2]=k;cua(g,h);lua(j,a,g,mua(b)|0);nua(b)|0;}while(kua(b,d)|0);i=e;return}function aua(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;hua(d,b|0);cua(a,d);i=c;return}function bua(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;dua(d,b|0);cua(a,d);i=c;return}function cua(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];gua(a,b);i=d;return}function dua(a,b){a=a|0;b=b|0;eua(a,Uoa(b)|0);return}function eua(a,b){a=a|0;b=b|0;fua(a,b);return}function fua(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function gua(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function hua(a,b){a=a|0;b=b|0;eua(a,c[(iua(b)|0)>>2]|0);return}function iua(a){a=a|0;return a|0}function jua(a,b){a=a|0;b=b|0;bua(a,b);return}function kua(a,b){a=a|0;b=b|0;return tva(a|0,b|0)|0}function lua(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+40|0;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+16|0;c[h>>2]=c[d>>2];vua(j,e);uua(g,b|0,h,j);Lqa(a,g);yta(j);i=f;return}function mua(a){a=a|0;return rua(a|0)|0}function nua(a){a=a|0;oua(a|0)|0;return a|0}function oua(a){a=a|0;var b=0;b=a|0;c[b>>2]=pua(c[b>>2]|0)|0;return a|0}function pua(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=a+4|0;e=c[d>>2]|0;Zka(b|0);if((e|0)==0){e=a;while(1){a=Nma(e)|0;f=c[e+8>>2]|0;if(a){g=f;break}else{e=f}}i=b;return g|0}else{g=qua(c[d>>2]|0)|0;i=b;return g|0}return 0}function qua(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a|0;f=c[e>>2]|0;Zka(d);if((f|0)==0){g=a;i=b;return g|0}else{h=e}while(1){e=c[h>>2]|0;a=e|0;f=c[a>>2]|0;Zka(d);if((f|0)==0){g=e;break}else{h=a}}i=b;return g|0}function rua(a){a=a|0;return sua((c[a>>2]|0)+16|0)|0}function sua(a){a=a|0;return tua(a)|0}function tua(a){a=a|0;return a|0}function uua(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+64|0;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+24|0;k=f+40|0;l=f+48|0;c[h>>2]=c[d>>2];d=zua(b,h,g,e)|0;h=c[d>>2]|0;Zka(f+16|0);if((h|0)!=0){m=h;Nqa(a,m);i=f;return}Bua(l,b,e);Cua(k,l);Aua(j,k);Dua(l);l=c[g>>2]|0;ysa(b,l,d,Eua(j)|0);d=Fua(j)|0;Dua(j);m=d;Nqa(a,m);i=f;return}function vua(a,b){a=a|0;b=b|0;wua(a,b);return}function wua(a,b){a=a|0;b=b|0;xua(a|0,b);return}function xua(a,b){a=a|0;b=b|0;yua(a,b);return}function yua(a,b){a=a|0;b=b|0;tza(a|0,b|0);tza(a+12|0,b+12|0);return}function zua(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=i;i=i+88|0;g=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+16|0;k=f+24|0;l=f+32|0;m=f+40|0;n=f+48|0;o=f+56|0;p=f+64|0;q=f+72|0;r=f+80|0;Mqa(h,a);hva(g,h);do{if(!(gva(b,g)|0)){h=Xqa(a)|0;s=jva(b)|0;if(iva(h,e,s)|0){break}t=iva(h,s,e)|0;s=c[b>>2]|0;if(!t){c[d>>2]=s;u=d;i=f;return u|0}c[o>>2]=s;nva(n,o,1,0);Mqa(q,a);hva(p,q);do{if(!(gva(n,p)|0)){if(iva(h,e,jva(n)|0)|0){break}u=mva(a,d,e)|0;i=f;return u|0}}while(0);h=s+4|0;t=c[h>>2]|0;Zka(r);if((t|0)==0){c[d>>2]=s;u=h;i=f;return u|0}else{h=c[n>>2]|0;c[d>>2]=h;u=h|0;i=f;return u|0}}}while(0);n=c[b>>2]|0;b=j|0;c[b>>2]=n;kva(l,a);hva(k,l);do{if(!(gva(j,k)|0)){l=Xqa(a)|0;if(iva(l,jva(lva(j)|0)|0,e)|0){break}u=mva(a,d,e)|0;i=f;return u|0}}while(0);e=n|0;a=c[e>>2]|0;Zka(m);if((a|0)==0){c[d>>2]=n;u=e;i=f;return u|0}else{e=c[b>>2]|0;c[d>>2]=e;u=e+4|0;i=f;return u|0}return 0}function Aua(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];eva(a,b);i=d;return}function Bua(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=Wsa(c)|0;c=Ysa(k,1)|0;Sua(g,k);Rua(f,c,g);Tua(0,wta((Uua(f)|0)+16|0)|0,d);a[(Vua(f)|0)+4|0]=1;Wua(j,f);Cua(h,j);Aua(b,h);Dua(j);Dua(f);i=e;return}function Cua(a,b){a=a|0;b=b|0;Pua(a,b);return}function Dua(a){a=a|0;Kua(a);return}function Eua(a){a=a|0;return c[(Iua(a|0)|0)>>2]|0}function Fua(a){a=a|0;var b=0;b=Gua(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function Gua(a){a=a|0;return Hua(a|0)|0}function Hua(a){a=a|0;return a|0}function Iua(a){a=a|0;return Jua(a|0)|0}function Jua(a){a=a|0;return a|0}function Kua(a){a=a|0;Lua(a,0);return}function Lua(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=Gua(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}Nua(Mua(d)|0,e);return}function Mua(a){a=a|0;return Oua(a|0)|0}function Nua(b,d){b=b|0;d=d|0;var e=0;if((a[b+4|0]|0)!=0){e=c[b>>2]|0;vta(e,wta(d+16|0)|0)}if((d|0)==0){return}Psa(c[b>>2]|0,d,1);return}function Oua(a){a=a|0;return a+4|0}function Pua(a,b){a=a|0;b=b|0;Qua(a,b);return}function Qua(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function Rua(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];_ua(a,b,d);i=e;return}function Sua(a,b){a=a|0;b=b|0;Zua(a,b);return}function Tua(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}Xua(b,c);return}function Uua(a){a=a|0;return c[(Iua(a|0)|0)>>2]|0}function Vua(a){a=a|0;return Mua(a|0)|0}function Wua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;Pua(f,b);Aua(e,f);Cua(d,e);Aua(a,d);Dua(e);i=c;return}function Xua(a,b){a=a|0;b=b|0;Yua(a,b);return}function Yua(a,b){a=a|0;b=b|0;xua(a|0,b|0);return}function Zua(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;return}function _ua(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(hta(f)|0)>>2]|0;f=ava(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;$ua(a|0,b,g);i=e;return}function $ua(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];bva(a,b,d);i=e;return}function ava(a){a=a|0;return a|0}function bva(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(lta(f)|0)>>2]|0;f=dva(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;cva(a|0,b,g);i=e;return}function cva(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(lta(f)|0)>>2];f=dva(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function dva(a){a=a|0;return a|0}function eva(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=Fua(fva(b)|0)|0;g=dva(Vua(fva(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;$ua(a|0,f,e);i=d;return}function fva(a){a=a|0;return c[a>>2]|0}function gva(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function hva(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];sva(a,b);i=d;return}function iva(a,b,c){a=a|0;b=b|0;c=c|0;return Zoa(0,b|0,c|0)|0}function jva(a){a=a|0;return(c[a>>2]|0)+16|0}function kva(a,b){a=a|0;b=b|0;Nqa(a,c[(osa(b)|0)>>2]|0);return}function lva(a){a=a|0;var b=0;b=a|0;c[b>>2]=qva(c[b>>2]|0)|0;return a|0}function mva(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=Vqa(a)|0;Zka(e|0);if((h|0)==0){j=Oqa(a)|0;c[b>>2]=j;k=j|0;i=e;return k|0}j=Xqa(a)|0;a=h;while(1){h=a+16|0;if(iva(j,d,h)|0){l=a|0;m=c[l>>2]|0;Zka(f);if((m|0)==0){n=5;break}else{o=l}}else{p=a|0;if(!(iva(j,h,d)|0)){n=10;break}q=a+4|0;h=c[q>>2]|0;Zka(g);if((h|0)==0){n=9;break}else{o=q}}a=c[o>>2]|0}if((n|0)==5){c[b>>2]=a;k=l;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==10){c[b>>2]=p;k=b;i=e;return k|0}return 0}function nva(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=i;f=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[f>>2];ova(b,d);c[a>>2]=c[b>>2];i=e;return}function ova(a,b){a=a|0;b=b|0;var c=0;c=i;i=i+8|0;pva(a,b,c|0);i=c;return}function pva(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;if(!((c|0)>-1)){f=c;do{lva(b)|0;f=f+1|0;}while((f|0)<0);i=e;return}if((c|0)>0){g=c}else{i=e;return}do{oua(b)|0;g=g-1|0;}while((g|0)>0);i=e;return}function qva(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=a|0;e=c[d>>2]|0;Zka(b|0);if((e|0)==0){e=a;while(1){a=Nma(e)|0;f=c[e+8>>2]|0;if(a){e=f}else{g=f;break}}i=b;return g|0}else{g=rva(c[d>>2]|0)|0;i=b;return g|0}return 0}function rva(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[e>>2]|0;Zka(d);if((f|0)==0){g=a;i=b;return g|0}else{h=e}while(1){e=c[h>>2]|0;a=e+4|0;f=c[a>>2]|0;Zka(d);if((f|0)==0){g=e;break}else{h=a}}i=b;return g|0}function sva(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function tva(a,b){a=a|0;b=b|0;return(gva(a,b)|0)^1|0}function uva(a){a=a|0;var b=0;b=i;i=i+128|0;Koa(a|0,b|0);Koa(a+12|0,b+8|0);vva(a+24|0,b+16|0);vva(a+36|0,b+24|0);vva(a+48|0,b+32|0);vva(a+60|0,b+40|0);vva(a+72|0,b+48|0);vva(a+84|0,b+56|0);vva(a+96|0,b+64|0);vva(a+108|0,b+72|0);vva(a+120|0,b+80|0);vva(a+132|0,b+88|0);vva(a+144|0,b+96|0);vva(a+156|0,b+104|0);vva(a+168|0,b+112|0);vva(a+180|0,b+120|0);i=b;return}function vva(a,b){a=a|0;b=b|0;wva(a,0);return}function wva(a,b){a=a|0;b=b|0;b=i;i=i+8|0;xva(a|0,b|0);i=b;return}function xva(a,b){a=a|0;b=b|0;yva(a,0);return}function yva(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;zva(a+4|0);Ava(a+8|0,0,b|0);d=vra(a)|0;c[(ura(a)|0)>>2]=d;i=b;return}function zva(a){a=a|0;Dva(a);return}function Ava(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;Bva(b,c,d);i=e;return}function Bva(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;Cva(b|0,c[(Bna(g)|0)>>2]|0,f+8|0);i=f;return}function Cva(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(Bna(g)|0)>>2];i=f;return}function Dva(a){a=a|0;Eva(a|0);return}function Eva(a){a=a|0;Ena(a|0);return}function Fva(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+80|0;a=b|0;d=b+16|0;e=b+32|0;f=b+48|0;g=b+64|0;h=c[2136628]|0;if((h|0)==0){j=0}else{k=OJa(12)|0;xza(k,h);j=k}if((c[2136669]|0)!=0){c[2136544]=1}if((j|0)==0){c[2136459]=1;c[2136460]=1;i=b;return}do{if(($za(j,154960,0)|0)==-1){tza(a,j);rza(d);k=c[4198]|0;h=(k|0)<28;while(1){l=$za(a,175624,0)|0;m=(l|0)!=-1;if(m){Zza(e,a,0,l);Eza(d,e)|0;Dza(e);Zza(f,a,l+1|0,-1);Eza(a,f)|0;Dza(f)}else{Eza(d,a)|0}if(h){n=k;o=1}else{break}while(1){xza(g,c[8544472+(n<<2)>>2]|0);l=Gva(d,g)|0;Dza(g);if(l){c[8545832+(n<<2)>>2]=1;p=0}else{p=o}l=n+1|0;if((l|0)<28){n=l;o=p}else{break}}if((p|0)!=0){break}if(!m){q=39;break}}if((q|0)==39){Dza(d);Dza(a);break}jfa(1,1,132712,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;if(h){r=k;do{s=c[8544584+(r<<2)>>2]|0;jfa(1,0,105032,(l=i,i=i+16|0,c[l>>2]=c[8544472+(r<<2)>>2],c[l+8>>2]=s,l)|0);i=l;r=r+1|0;}while((r|0)<28)}Vd[c[3586]&511](1);r=_za(j)|0;lfa(0,79480,(l=i,i=i+8|0,c[l>>2]=r,l)|0);i=l}else{r=1;do{c[8545832+(r<<2)>>2]=1;r=r+1|0;}while((r|0)<28)}}while(0);c[2136459]=1;c[2136460]=1;if((c[2136467]|0)!=0){c[2136482]=1}if((c[2136481]|0)==1){c[2136483]=1}if((c[2136476]|0)!=0){c[2136475]=1}if((c[2136478]|0)!=0){c[2136475]=1}if((c[2136466]|0)!=0){c[2136465]=1}if((c[2136477]|0)!=0){c[2136475]=1}if((c[2136464]|0)!=0){c[2136463]=1}Dza(j);QJa(j);i=b;return}function Gva(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=Bza(b)|0;if((d|0)!=(Bza(c)|0)){e=0;return e|0}f=Cza(b)|0;g=Cza(c)|0;if(uza(b)|0){e=($oa(f,g,d)|0)==0;return e|0}if((d|0)==0){e=1;return e|0}else{h=f;i=g;j=d}while(1){if((a[h]|0)!=(a[i]|0)){e=0;k=7;break}d=j-1|0;if((d|0)==0){e=1;k=7;break}else{h=h+1|0;i=i+1|0;j=d}}if((k|0)==7){return e|0}return 0}function Hva(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;b=i;a=c[2136630]|0;if((a|0)==0){d=1;i=b;return d|0}e=OJa(12)|0;f=e;xza(f,a);if((e|0)==0){d=1;i=b;return d|0}else{g=1}while(1){if((g|0)>=4){h=7;break}if(Iva(f,c[8533640+(g<<2)>>2]|0)|0){d=g;h=8;break}else{g=g+1|0}}if((h|0)==7){g=_za(f)|0;jfa(1,1,57664,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f;g=c[2133417]|0;jfa(1,0,105032,(f=i,i=i+16|0,c[f>>2]=c[2133411],c[f+8>>2]=g,f)|0);i=f;g=c[2133418]|0;jfa(1,0,105032,(f=i,i=i+16|0,c[f>>2]=c[2133412],c[f+8>>2]=g,f)|0);i=f;g=c[2133419]|0;jfa(1,0,105032,(f=i,i=i+16|0,c[f>>2]=c[2133413],c[f+8>>2]=g,f)|0);i=f;Vd[c[3586]&511](1);lfa(0,45856,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;return 0}else if((h|0)==8){i=b;return d|0}return 0}function Iva(a,b){a=a|0;b=b|0;return(bAa(a,b)|0)==0|0}function Jva(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;b=i;i=i+32|0;a=b|0;d=b+16|0;e=c[2136626]|0;if((e|0)==0){f=1;i=b;return f|0}g=OJa(12)|0;h=g;xza(h,e);if((g|0)==0){f=1;i=b;return f|0}xza(a,39488);g=Gva(h,a)|0;Dza(a);if(g){f=1;i=b;return f|0}xza(d,32768);g=Gva(h,d)|0;Dza(d);if(g){f=2;i=b;return f|0}else{f=_za(h)|0;jfa(1,1,27344,(h=i,i=i+8|0,c[h>>2]=f,h)|0);i=h;jfa(1,0,105032,(h=i,i=i+16|0,c[h>>2]=39488,c[h+8>>2]=6877664,h)|0);i=h;jfa(1,0,105032,(h=i,i=i+16|0,c[h>>2]=32768,c[h+8>>2]=178648,h)|0);i=h;Vd[c[3586]&511](1);lfa(0,45856,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h;return 0}return 0}function Kva(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;MBa(e,a);do{if(PBa(e)|0){h=hpa(b)|0;Yva(f,a);j=a;k=a;l=k+(c[(c[j>>2]|0)-12>>2]|0)|0;m=l;if(((bla(m)|0)&176|0)==32){n=b+h|0}else{n=b}$va(g,f,b,n,b+h|0,m,xAa(l)|0);if(!(Zva(g)|0)){break}rAa(k+(c[(c[j>>2]|0)-12>>2]|0)|0,5)}}while(0);NBa(e);i=d;return a|0}function Lva(a){a=a|0;SBa(a,yAa(a+(c[(c[a>>2]|0)-12>>2]|0)|0,10)|0)|0;zBa(a)|0;return a|0}function Mva(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=i;i=i+2128|0;g=f|0;h=f+32|0;j=f+48|0;k=f+64|0;l=f+80|0;xza(h,d);mAa(k,166432,h);ooa(j,k,161840);Dza(k);k=_za(j)|0;d=b+104|0;do{if((c[d>>2]|0)>0){m=b|0;n=c[m>>2]|0;if((gKa(c[n+4>>2]|0,157760)|0)!=0){break}a[n+104|0]=1;a[(c[m>>2]|0)+((c[d>>2]|0)*112|0)+104|0]=1}}while(0);if((gKa(k,153752)|0)==0){Dza(j);Dza(h);i=f;return}d=QIa(g,k,1)|0;if((d|0)!=0){m=l|0;lKa(m|0,0,2048)|0;bJa(d,g,m,2048)|0;QBa(Kva(Kva(Kva(Kva(Kva(8572832,149976)|0,k)|0,145904)|0,m)|0,141952)|0,142)|0;Dza(j);Dza(h);i=f;return}m=b+108|0;k=c[m>>2]|0;if((k|0)>0){d=b|0;l=0;n=k;while(1){k=c[d>>2]|0;if((a[k+(l*112|0)+104|0]|0)==0){o=(cJa(g,c[k+(l*112|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(l*112|0)+104|0]=o;p=c[m>>2]|0}else{p=n}o=l+1|0;if((o|0)<(p|0)){l=o;n=p}else{break}}}p=b+208|0;if((c[p>>2]|0)>0){n=b+32|0;l=b|0;m=(e|0)==0;d=b+16|0;o=0;do{k=c[n>>2]|0;q=a[k+(o*52|0)+8|0]|0;do{if((q<<24>>24|0)==0){r=(cJa(g,c[k+(o*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(o*52|0)+48|0]=r;r=c[n>>2]|0;if((a[r+(o*52|0)+48|0]|0)!=0){break}a[(c[l>>2]|0)+((c[r+(o*52|0)+4>>2]|0)*112|0)+104|0]=0}else if((q<<24>>24|0)==1){r=(cJa(g,c[k+(o*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(o*52|0)+48|0]=r;r=c[n>>2]|0;if((a[r+(o*52|0)+48|0]|0)!=0|m){break}a[(c[d>>2]|0)+((c[r+(o*52|0)+4>>2]|0)*112|0)+104|0]=0}}while(0);o=o+1|0;}while((o|0)<(c[p>>2]|0))}p=b+116|0;o=c[p>>2]|0;if((o|0)>0){d=b+4|0;m=0;n=o;while(1){o=c[d>>2]|0;if((a[o+(m*60|0)+56|0]|0)==0){l=(cJa(g,c[o+(m*60|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(m*60|0)+56|0]=l;s=c[p>>2]|0}else{s=n}l=m+1|0;if((l|0)<(s|0)){m=l;n=s}else{break}}}s=b+212|0;if((c[s>>2]|0)>0){n=b+36|0;m=b+4|0;p=(e|0)==0;d=b+20|0;l=0;do{o=c[n>>2]|0;k=a[o+(l*52|0)+8|0]|0;do{if((k<<24>>24|0)==0){q=(cJa(g,c[o+(l*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(l*52|0)+48|0]=q;q=c[n>>2]|0;if((a[q+(l*52|0)+48|0]|0)!=0){break}a[(c[m>>2]|0)+((c[q+(l*52|0)+4>>2]|0)*60|0)+56|0]=0}else if((k<<24>>24|0)==1){q=(cJa(g,c[o+(l*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(l*52|0)+48|0]=q;q=c[n>>2]|0;if((a[q+(l*52|0)+48|0]|0)!=0|p){break}a[(c[d>>2]|0)+((c[q+(l*52|0)+4>>2]|0)*60|0)+56|0]=0}}while(0);l=l+1|0;}while((l|0)<(c[s>>2]|0))}s=b+120|0;l=c[s>>2]|0;if((l|0)>0){d=b+8|0;p=0;n=l;while(1){l=c[d>>2]|0;if((a[l+(p*48|0)+44|0]|0)==0){m=(cJa(g,c[l+(p*48|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(p*48|0)+44|0]=m;t=c[s>>2]|0}else{t=n}m=p+1|0;if((m|0)<(t|0)){p=m;n=t}else{break}}}t=b+216|0;if((c[t>>2]|0)>0){n=b+40|0;p=b+8|0;s=(e|0)==0;d=b+24|0;m=0;do{l=c[n>>2]|0;o=a[l+(m*52|0)+8|0]|0;do{if((o<<24>>24|0)==0){k=(cJa(g,c[l+(m*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(m*52|0)+48|0]=k;k=c[n>>2]|0;if((a[k+(m*52|0)+48|0]|0)!=0){break}a[(c[p>>2]|0)+((c[k+(m*52|0)+4>>2]|0)*48|0)+44|0]=0}else if((o<<24>>24|0)==1){k=(cJa(g,c[l+(m*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(m*52|0)+48|0]=k;k=c[n>>2]|0;if((a[k+(m*52|0)+48|0]|0)!=0|s){break}a[(c[d>>2]|0)+((c[k+(m*52|0)+4>>2]|0)*48|0)+44|0]=0}}while(0);m=m+1|0;}while((m|0)<(c[t>>2]|0))}t=b+124|0;m=c[t>>2]|0;if((m|0)>0){d=b+12|0;s=0;n=m;while(1){m=c[d>>2]|0;if((a[m+(s*52|0)+48|0]|0)==0){p=(cJa(g,c[m+(s*52|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(s*52|0)+48|0]=p;u=c[t>>2]|0}else{u=n}p=s+1|0;if((p|0)<(u|0)){s=p;n=u}else{break}}}u=b+220|0;if((c[u>>2]|0)>0){n=b+44|0;s=b+12|0;t=(e|0)==0;e=b+28|0;b=0;do{d=c[n>>2]|0;p=a[d+(b*52|0)+8|0]|0;do{if((p<<24>>24|0)==0){m=(cJa(g,c[d+(b*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(b*52|0)+48|0]=m;m=c[n>>2]|0;if((a[m+(b*52|0)+48|0]|0)!=0){break}a[(c[s>>2]|0)+((c[m+(b*52|0)+4>>2]|0)*52|0)+48|0]=0}else if((p<<24>>24|0)==1){m=(cJa(g,c[d+(b*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(b*52|0)+48|0]=m;m=c[n>>2]|0;if((a[m+(b*52|0)+48|0]|0)!=0|t){break}a[(c[e>>2]|0)+((c[m+(b*52|0)+4>>2]|0)*52|0)+48|0]=0}}while(0);b=b+1|0;}while((b|0)<(c[u>>2]|0))}UIa(g);Dza(j);Dza(h);i=f;return}function Nva(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0,K=0,L=0;b=i;i=i+320|0;a=b|0;e=b+16|0;f=b+32|0;g=b+48|0;j=b+64|0;k=b+80|0;l=b+96|0;m=b+112|0;n=b+128|0;o=b+144|0;p=b+160|0;q=b+176|0;r=b+192|0;s=b+208|0;t=b+224|0;u=b+240|0;v=b+256|0;w=b+272|0;x=b+288|0;y=b+304|0;z=c[2136654]|0;A=c[2136624]|0;B=c[2138764]|0;if((c[2136483]|0)==0){if(!((c[2136642]|0)==0|(B|0)!=0)){C=3}}else{C=3}if((C|0)==3){c[2138764]=1}C=d+248|0;D=d+240|0;E=~~+wb(+((+h[C>>3]- +h[D>>3])/+h[d+264>>3]));c[d+256>>2]=E;hfa(23,0,138408,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F;E=c[2136611]|0;do{if((E|0)==0){G=0}else{if((gKa(E,134528)|0)==0){G=1;break}if((gKa(E,130416)|0)==0){G=0;break}if((gKa(E,126832)|0)==0){G=2;break}jfa(1,0,123312,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F;G=0}}while(0);if((xga(G)|0)!=0){jfa(1,0,120656,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F}if((c[2138764]|0)!=0){Xwa(d+56|0);Cga((c[d+64>>2]|0)+13+(c[d+68>>2]|0)+(c[d+72>>2]|0)|0);yga(0);yga(6);zga(3);zga(4);zga(1)}E=(z|0)!=0;if(E){if((A|0)==0){H=+h[D>>3]}else{H=+cKa(A)}h[C>>3]=H;hfa(1,0,118064,(F=i,i=i+8|0,h[F>>3]=H,F)|0);i=F}do{if((c[2136668]|0)!=0){C=OJa(12)|0;A=C;xza(A,c[2136638]|0);if((C|0)==0){break}C=_za(A)|0;c[d+280>>2]=C;hfa(23,0,115680,(F=i,i=i+8|0,c[F>>2]=C,F)|0);i=F}}while(0);C=c[2136637]|0;rza(a);if((C|0)==0){xza(g,c[d+88>>2]|0);xza(j,113392);Ova(f,g,j);ooa(e,f,c[d+284>>2]|0);Eza(a,e)|0;Dza(e);Dza(f);Dza(j);Dza(g)}else{Fza(a,C)|0}xza(k,8568968);xza(l,8568968);xza(m,8568968);xza(n,8568968);xza(o,8568968);xza(p,8568968);C=c[2136642]|0;if((c[2136646]|0)!=0){Fza(k,c[2136616]|0)|0}if((c[2136650]|0)!=0){Fza(l,c[2136620]|0)|0}if((c[2136645]|0)!=0){Fza(m,c[2136615]|0)|0}if((c[2136647]|0)==0){I=0.0}else{Fza(n,c[2136617]|0)|0;I=+cKa(_za(n)|0)}if((c[2136648]|0)==0){J=1}else{Fza(o,c[2136618]|0)|0;J=Sc(_za(o)|0)|0}if((c[2136663]|0)!=0){Fza(p,c[2136633]|0)|0}tza(q,a);tza(r,k);tza(s,l);tza(t,m);tza(u,p);g=Pva(d,q,r,s,t,I,J,u,C)|0;Dza(u);Dza(t);Dza(s);Dza(r);Dza(q);if((g|0)!=0|E^1){K=g}else{yga(5);g=mwa(d)|0;Bga(5);hfa(1,0,108464,(F=i,i=i+1|0,i=i+7&-8,c[F>>2]=0,F)|0);i=F;K=g}c[2138764]=B;if(!((K|0)==0&(B|0)!=0)){L=K;Dza(p);Dza(o);Dza(n);Dza(m);Dza(l);Dza(k);Dza(a);i=b;return L|0}K=d+88|0;xza(w,c[K>>2]|0);ooa(v,w,106304);Dza(w);xza(y,c[K>>2]|0);ooa(x,y,102976);Dza(y);Bga(0);y=c[2136629]|0;K=_za(v)|0;w=_za(x)|0;B=c[d+280>>2]|0;g=c[d+284>>2]|0;Lwa(d,K,w,(y|0)!=0?y:100584,B,g,_za(a)|0)|0;Dza(x);Dza(v);L=0;Dza(p);Dza(o);Dza(n);Dza(m);Dza(l);Dza(k);Dza(a);i=b;return L|0}function Ova(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=i;i=i+8|0;sza(a,d|0);e=Bza(b)|0;f=Bza(c)|0;cAa(a,Cza(b)|0,e,f+e|0);Wza(a,Cza(c)|0,f)|0;i=d;return}function Pva(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;l=i;i=i+48|0;m=l|0;n=l+16|0;o=l+32|0;if((Bza(j)|0)==0){p=0}else{p=_za(j)|0}tza(m,b);b=(Qva(a,m,k)|0)==0;Dza(m);if(!b){q=-1;i=l;return q|0}xza(n,8568968);b=a+280|0;m=Iva(n,c[b>>2]|0)|0;Dza(n);do{if(m){r=3}else{n=0;k=1;do{xza(o,c[8533352+(k<<2)>>2]|0);j=Iva(o,c[b>>2]|0)|0;Dza(o);n=j?k:n;k=k+1|0;}while((k|0)<20);if((n|0)!=0){r=n;break}jfa(1,0,80888,(s=i,i=i+8|0,c[s>>2]=c[b>>2],s)|0);i=s;jfa(1,0,132712,(s=i,i=i+1|0,i=i+7&-8,c[s>>2]=0,s)|0);i=s;k=1;do{j=c[8533432+(k<<2)>>2]|0;jfa(1,0,105032,(s=i,i=i+16|0,c[s>>2]=c[8533352+(k<<2)>>2],c[s+8>>2]=j,s)|0);i=s;k=k+1|0;}while((k|0)<20);lfa(c[a+536>>2]|0,45856,(s=i,i=i+1|0,i=i+7&-8,c[s>>2]=0,s)|0);i=s;return 0}}while(0);hfa(23,0,77728,(s=i,i=i+8|0,c[s>>2]=c[8533352+(r<<2)>>2],s)|0);i=s;s=_za(d)|0;d=_za(e)|0;e=rja(a,s,d,_za(f)|0,g,h,r,p)|0;Wd[c[2007]&255](8e3,a);q=e;i=l;return q|0}function Qva(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;f=c[a+256>>2]<<2;c[2e3]=Lc(_za(b)|0)|0;c[2001]=f;c[2002]=d;d=a+284|0;do{if((c[2136542]|0)==0){f=c[d>>2]|0;if((gKa(97848,f)|0)==0){g=0;break}if((gKa(95392,f)|0)==0){c[2004]=94;c[2005]=36;c[2007]=44;g=0;break}if((gKa(92840,f)|0)==0){c[2004]=104;c[2005]=192;c[2006]=96;c[2007]=16;g=1;break}if((gKa(90696,f)|0)==0){c[2004]=10;c[2005]=46;c[2006]=54;c[2007]=66;g=1;break}if((gKa(88024,f)|0)==0){c[2004]=144;c[2005]=152;c[2007]=130;g=0;break}f=Kva(8572832,85592)|0;QBa(Kva(f,c[d>>2]|0)|0,142)|0;h=1;i=e;return h|0}else{g=0}}while(0);Mva(a+8|0,c[a+288>>2]|0,g);Wd[c[2004]&255](8e3,a);a=c[2e3]|0;hfa(23,0,83656,(g=i,i=i+16|0,c[g>>2]=c[d>>2],c[g+8>>2]=a,g)|0);i=g;h=0;i=e;return h|0}function Rva(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+32|0;f=e|0;g=e+16|0;_ea();do{if((dxa(a,b)|0)==0){if((fxa(a,b)|0)!=0){break}do{if((c[2136655]|0)!=0){h=c[2136625]|0;if((gKa(h,67464)|0)==0){efa(1);break}if((gKa(h,65448)|0)==0){efa(0);break}else{jfa(1,0,63280,(j=i,i=i+8|0,c[j>>2]=h,j)|0);i=j;Ta(0)|0;sc(0);return 0}}}while(0);if((c[2136644]|0)==0){Fva(0,0);sia(d);if((d|0)==0){QBa(Kva(8572832,52024)|0,142)|0}c[d+300>>2]=Hva(0,0)|0;c[d+292>>2]=Jva(0,0)|0;loa(d+8|0,d+240|0);Aia(d)|0;Iia(d)|0;Ria(d)|0;do{if((c[d+116>>2]|0)==0){if((c[d+124>>2]|0)==0){break}if((c[d+128>>2]|0)==0){break}QBa(Kva(8572832,50576)|0,142)|0;k=1;i=e;return k|0}}while(0);c[2136542]=c[2136661];k=0;i=e;return k|0}xza(f,c[2136614]|0);h=1;while(1){if((h|0)>=30){l=40;break}m=8545328+(h<<2)|0;xza(g,c[m>>2]|0);n=Gva(f,g)|0;Dza(g);if(n){break}else{h=h+1|0}}if((l|0)==40){n=_za(f)|0;jfa(1,0,56136,(j=i,i=i+8|0,c[j>>2]=n,j)|0);i=j;jfa(1,0,54104,(j=i,i=i+8|0,c[j>>2]=c[b>>2],j)|0);i=j;Ta(0)|0;sc(0);return 0}n=c[8545208+(h<<2)>>2]|0;do{if((n|0)==1){o=c[8545456+(h<<2)>>2]|0;hfa(1,1,61312,(j=i,i=i+16|0,c[j>>2]=c[m>>2],c[j+8>>2]=o,j)|0);i=j}else{o=c[m>>2]|0;if((n|0)==2){p=c[8545456+(h<<2)>>2]|0;hfa(1,1,59136,(j=i,i=i+24|0,c[j>>2]=o,c[j+8>>2]=o,c[j+16>>2]=p,j)|0);i=j;break}else{jfa(1,1,69608,(j=i,i=i+8|0,c[j>>2]=o,j)|0);i=j;break}}}while(0);do{if((h|0)==6){hfa(1,0,105032,(j=i,i=i+16|0,c[j>>2]=28784,c[j+8>>2]=30528,j)|0);i=j;hfa(1,0,105032,(j=i,i=i+16|0,c[j>>2]=28296,c[j+8>>2]=30096,j)|0);i=j;hfa(1,0,105032,(j=i,i=i+16|0,c[j>>2]=27680,c[j+8>>2]=29384,j)|0);i=j}else if((h|0)==18){n=c[4198]|0;if((n|0)<28){q=n}else{break}do{n=c[8544584+(q<<2)>>2]|0;hfa(1,0,105032,(j=i,i=i+16|0,c[j>>2]=c[8544472+(q<<2)>>2],c[j+8>>2]=n,j)|0);i=j;q=q+1|0;}while((q|0)<28)}else if((h|0)==10){n=1;do{o=c[8533576+(n<<2)>>2]|0;hfa(1,0,105032,(j=i,i=i+16|0,c[j>>2]=c[8533512+(n<<2)>>2],c[j+8>>2]=o,j)|0);i=j;n=n+1|0;}while((n|0)<7)}else if((h|0)==28){n=1;do{o=c[8533432+(n<<2)>>2]|0;hfa(1,0,105032,(j=i,i=i+16|0,c[j>>2]=c[8533352+(n<<2)>>2],c[j+8>>2]=o,j)|0);i=j;n=n+1|0;}while((n|0)<20)}}while(0);Vd[c[3586]&511](1);Ta(0)|0;sc(0);return 0}}while(0);hfa(1,1,75792,(j=i,i=i+8|0,c[j>>2]=c[b>>2],j)|0);i=j;b=1;do{q=c[8545208+(b<<2)>>2]|0;do{if((q|0)==1){m=c[8545584+(b<<2)>>2]|0;hfa(1,0,73616,(j=i,i=i+16|0,c[j>>2]=c[8545328+(b<<2)>>2],c[j+8>>2]=m,j)|0);i=j}else{m=c[8545328+(b<<2)>>2]|0;if((q|0)==2){f=c[8545584+(b<<2)>>2]|0;hfa(1,0,71528,(j=i,i=i+24|0,c[j>>2]=m,c[j+8>>2]=m,c[j+16>>2]=f,j)|0);i=j;break}else{jfa(1,0,69608,(j=i,i=i+8|0,c[j>>2]=m,j)|0);i=j;break}}}while(0);b=b+1|0;}while((b|0)<30);Vd[c[3586]&511](1);Ta(0)|0;sc(0);return 0}function Sva(a){a=a|0;var b=0,d=0,e=0;a=i;b=c[2143320]|0;Ec(7896)|0;xc(49200,(d=i,i=i+8|0,c[d>>2]=c[b+88>>2],d)|0)|0;i=d;Ec(7976)|0;xc(47856,(d=i,i=i+8|0,h[d>>3]=+h[b+264>>3],d)|0)|0;i=d;e=b+4|0;xc(47272,(d=i,i=i+8|0,h[d>>3]=+h[c[(c[e>>2]|0)+4>>2]>>3],d)|0)|0;i=d;xc(46480,(d=i,i=i+8|0,h[d>>3]=+h[c[(c[e>>2]|0)+8>>2]>>3],d)|0)|0;i=d;b=c[e>>2]|0;xc(45064,(d=i,i=i+8|0,h[d>>3]=+h[c[b+4>>2]>>3]- +h[c[b+8>>2]>>3],d)|0)|0;i=d;xc(44520,(d=i,i=i+8|0,h[d>>3]=+h[c[c[e>>2]>>2]>>3],d)|0)|0;i=d;b=c[e>>2]|0;xc(43872,(d=i,i=i+8|0,h[d>>3]=+h[c[b>>2]>>3]- +h[c[b+4>>2]>>3],d)|0)|0;i=d;Ec(7872)|0;i=a;return}function Tva(a,b){a=a|0;b=+b;return}function Uva(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;i=i+160|0;f=1;g=0;h=i;i=i+168|0;c[h>>2]=0;while(1)switch(f|0){case 1:j=e|0;k=(c[d+536>>2]|0)+76|0;l=c[k>>2]|0;c[k>>2]=j;m=mKa(j|0,f,h)|0;f=6;break;case 6:if((m|0)==0){f=2;break}else{n=-1;f=4;break};case 2:j=ua(12,a|0,b|0,d|0)|0;if((x|0)!=0&(y|0)!=0){g=nKa(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;if((j|0)==0){f=3;break}else{o=1;f=5;break};case 3:c[2143320]=d;Da(74,10,236)|0;if((x|0)!=0&(y|0)!=0){g=nKa(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;j=ua(14,0,0,d|0)|0;if((x|0)!=0&(y|0)!=0){g=nKa(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(26,d|0)|0;if((x|0)!=0&(y|0)!=0){g=nKa(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(34,d|0)|0;if((x|0)!=0&(y|0)!=0){g=nKa(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(110,d|0)|0;if((x|0)!=0&(y|0)!=0){g=nKa(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;pa(c[(c[d+540>>2]|0)+8>>2]|0,d|0);if((x|0)!=0&(y|0)!=0){g=nKa(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;pa(28,d|0);if((x|0)!=0&(y|0)!=0){g=nKa(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(86,0)|0;if((x|0)!=0&(y|0)!=0){g=nKa(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;n=j;f=4;break;case 4:c[k>>2]=l;Ia(4);if((x|0)!=0&(y|0)!=0){g=nKa(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;o=n;f=5;break;case 5:i=e;return o|0;case-1:if((g|0)==1){m=y;f=6}x=y=0;break}return 0}function Vva(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+16|0;g=b;b=i;i=i+24|0;c[b>>2]=c[g>>2];c[b+4>>2]=c[g+4>>2];c[b+8>>2]=c[g+8>>2];c[b+12>>2]=c[g+12>>2];c[b+16>>2]=c[g+16>>2];c[b+20>>2]=c[g+20>>2];g=f|0;if((a|0)==0){h=sd(c[2138754]|0)|0}else{h=a}switch(c[h+84>>2]|0){case 2:{if((c[2136461]|0)==0){j=h+80|0;k=c[j>>2]|0;l=k|0;Ed(l|0,1)}a=g;c[a>>2]=e;c[a+4>>2]=0;a=c[u>>2]|0;Ya(39912,7,1,a|0)|0;Tc(a|0,d|0,g|0)|0;Wa(10,a|0)|0;Ta(0)|0;j=h+80|0;k=c[j>>2]|0;l=k|0;Ed(l|0,1);break};case 1:{l=g;c[l>>2]=e;c[l+4>>2]=0;l=c[u>>2]|0;Ya(39912,7,1,l|0)|0;Tc(l|0,d|0,g|0)|0;Wa(10,l|0)|0;Ta(0)|0;Ed(c[h+80>>2]|0,1);break};case 3:{if((c[2136475]|0)==0){i=f;return}l=g;c[l>>2]=e;c[l+4>>2]=0;l=c[u>>2]|0;Ya(39912,7,1,l|0)|0;Tc(l|0,d|0,g|0)|0;Wa(10,l|0)|0;Ta(0)|0;i=f;return};case 4:case 5:{i=f;return};default:{lfa(h,38856,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h}}}function Wva(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+16|0;f=a;a=i;i=i+24|0;c[a>>2]=c[f>>2];c[a+4>>2]=c[f+4>>2];c[a+8>>2]=c[f+8>>2];c[a+12>>2]=c[f+12>>2];c[a+16>>2]=c[f+16>>2];c[a+20>>2]=c[f+20>>2];f=e|0;a=f;c[a>>2]=d;c[a+4>>2]=0;a=c[u>>2]|0;Ya(40984,9,1,a|0)|0;Tc(a|0,b|0,f|0)|0;Wa(10,a|0)|0;Ta(0)|0;i=e;return}function Xva(a){a=a|0;var b=0,d=0;b=i;i=i+16|0;cwa(41640,b|0);c[2143314]=8568968;lKa(8573260,-1|0,16)|0;c[2143319]=1;if((a|0)==0){d=sd(c[2138754]|0)|0}else{d=a}Ed(c[d+76>>2]|0,1)}function Yva(a,b){a=a|0;b=b|0;_va(a,b);return}function Zva(a){a=a|0;return(c[a>>2]|0)==0|0}function _va(a,b){a=a|0;b=b|0;c[a>>2]=wAa(b+(c[(c[b>>2]|0)-12>>2]|0)|0)|0;return}function $va(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i;i=i+48|0;k=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[k>>2];k=j+8|0;l=j+16|0;m=j+32|0;n=j+40|0;o=b|0;b=c[o>>2]|0;Zka(j|0);if((b|0)==0){c[a>>2]=0;i=j;return}p=f;f=d;q=p-f|0;r=awa(g)|0;s=(r|0)>(q|0)?r-q|0:0;q=e;r=q-f|0;do{if((r|0)>0){if((IAa(b,d,r)|0)==(r|0)){break}Zka(k);c[o>>2]=0;c[a>>2]=0;i=j;return}}while(0);do{if((s|0)>0){yza(l,s,h);if((IAa(b,Cza(l)|0,s)|0)==(s|0)){Dza(l);break}Zka(m);c[o>>2]=0;c[a>>2]=0;Dza(l);i=j;return}}while(0);l=p-q|0;do{if((l|0)>0){if((IAa(b,e,l)|0)==(l|0)){break}Zka(n);c[o>>2]=0;c[a>>2]=0;i=j;return}}while(0);bwa(g,0)|0;c[a>>2]=b;i=j;return}function awa(a){a=a|0;return c[a+12>>2]|0}function bwa(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;a=c[d>>2]|0;c[d>>2]=b;return a|0}function cwa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;i=i+16|0;e=d|0;f=d+8|0;g=c[2143312]|0;if((g|0)==0){c[e>>2]=(iKa(a|0)|0)<<1|1;c[f>>2]=2048;h=c[(ipa(e,f)|0)>>2]|0;c[2136518]=h;f=IJa(h)|0;c[2143312]=f;j=f;k=h}else{j=g;k=c[2136518]|0}g=hd(j|0,k|0,a|0,b|0)|0;if(g>>>0<(c[2136518]|0)>>>0){i=d;return}JJa(c[2143312]|0);k=g<<1|1;c[2136518]=k;g=IJa(k)|0;c[2143312]=g;hd(g|0,k|0,a|0,b|0)|0;i=d;return}function dwa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;f=i;i=i+136|0;g=f|0;ewa(g,16);fwa(g+(c[(c[g>>2]|0)-12>>2]|0)|0,16)|0;if((d|0)>0){j=e-1|0;k=(j|0)>0;l=(e|0)>0;m=g;n=(e|0)==0;e=0;do{if(k){o=0;p=e;while(1){Kva(RBa(m,+h[b+(p<<3)>>3])|0,149144)|0;q=p+d|0;r=o+1|0;if((r|0)<(j|0)){o=r;p=q}else{s=q;break}}}else{s=e}if(l){RBa(m,+h[b+(s<<3)>>3])|0}e=e+1|0;if(!((e|0)==(d|0)|n)){Kva(m,174736)|0}}while((e|0)<(d|0))}gwa(a,g);hwa(g);i=f;return}function ewa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=a+56|0;AAa(d);e=a|0;c[e>>2]=8524932;f=d|0;c[f>>2]=8524952;d=a+4|0;HBa(a,8526332,d|0);c[e>>2]=8524932;c[f>>2]=8524952;twa(d,b|16);return}function fwa(a,b){a=a|0;b=b|0;var d=0;d=a+8|0;a=c[d>>2]|0;c[d>>2]=b;return a|0}function gwa(a,b){a=a|0;b=b|0;nwa(a,b+4|0);return}function hwa(a){a=a|0;xwa(a,8526328);vAa(a+56|0);return}function iwa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+120>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[2136472]|0)!=0){Ec(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];hfa(14,0,104512,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Yd[c[(c[e>>2]|0)+160>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];hfa(14,0,78840,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[2136472]|0)==0){i=d;return 0}hfa(14,0,57200,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];xc(45472,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}lc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function jwa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+124>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[2136472]|0)!=0){Ec(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];hfa(14,0,104512,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Yd[c[(c[e>>2]|0)+164>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];hfa(14,0,78840,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[2136472]|0)==0){i=d;return 0}hfa(14,0,57200,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];xc(45472,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}lc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function kwa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+128>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[2136472]|0)!=0){Ec(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];hfa(14,0,104512,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Yd[c[(c[e>>2]|0)+168>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];hfa(14,0,78840,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[2136472]|0)==0){i=d;return 0}hfa(14,0,57200,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];xc(45472,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}lc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function lwa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+132>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[2136472]|0)!=0){Ec(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];hfa(14,0,104512,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Yd[c[(c[e>>2]|0)+172>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];hfa(14,0,78840,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[2136472]|0)==0){i=d;return 0}hfa(14,0,57200,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];xc(45472,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}lc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function mwa(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;b=i;i=i+256|0;d=b|0;e=b+16|0;f=b+32|0;g=b+48|0;h=b+64|0;j=b+80|0;k=b+96|0;l=b+112|0;m=b+128|0;n=b+144|0;o=b+160|0;p=b+176|0;q=b+192|0;r=b+208|0;s=b+224|0;t=b+240|0;u=c[a+112>>2]|0;v=c[a+152>>2]|0;w=c[a+156>>2]|0;x=KJa(ga(u,u)|0,8)|0;y=x;z=KJa(ga(v,u)|0,8)|0;A=z;B=KJa(ga(w,u)|0,8)|0;C=B;D=KJa(ga(w,v)|0,8)|0;E=D;rza(d);rza(e);rza(f);rza(g);rza(h);rza(j);rza(k);F=a+536|0;kfa(c[F>>2]|0,(x|0)!=0|0,32616,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;kfa(c[F>>2]|0,(z|0)!=0|0,32616,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;kfa(c[F>>2]|0,(B|0)!=0|0,32616,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;kfa(c[F>>2]|0,(D|0)!=0|0,32616,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;H=a+540|0;I=a;if((Yd[c[(c[H>>2]|0)+140>>2]&255](I)|0)==0){J=c[F>>2]|0;iwa(a,y)|0;kfa(J,1,27064,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}dwa(l,y,u,u);Eza(d,l)|0;Dza(l);if((Yd[c[(c[H>>2]|0)+144>>2]&255](I)|0)==0){l=c[F>>2]|0;jwa(a,A)|0;kfa(l,1,6877568,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}dwa(m,A,u,v);Eza(e,m)|0;Dza(m);if((Yd[c[(c[H>>2]|0)+148>>2]&255](I)|0)==0){m=c[F>>2]|0;kwa(a,C)|0;kfa(m,1,178520,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}dwa(n,C,w,u);Eza(f,n)|0;Dza(n);if((Yd[c[(c[H>>2]|0)+152>>2]&255](I)|0)==0){I=c[F>>2]|0;lwa(a,E)|0;kfa(I,1,172096,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}dwa(o,E,w,v);Eza(g,o)|0;Dza(o);if((u|0)==0){Fza(h,166072)|0}else{dwa(p,c[(c[c[a+4>>2]>>2]|0)+8>>2]|0,1,u);Eza(h,p)|0;Dza(p)}if((v|0)==0){Fza(j,166072)|0}else{dwa(q,c[a+432>>2]|0,1,v);Eza(j,q)|0;Dza(q)}JJa(x);JJa(z);JJa(B);JJa(D);xza(t,c[a+84>>2]|0);mAa(s,161832,t);ooa(r,s,157752);Eza(k,r)|0;Dza(r);Dza(s);Dza(t);t=zc(_za(k)|0,153744)|0;s=c[F>>2]|0;F=_za(k)|0;kfa(s,(t|0)!=0|0,149952,(G=i,i=i+8|0,c[G>>2]=F,G)|0);i=G;F=je[c[(c[H>>2]|0)+176>>2]&15]()|0;s=_za(h)|0;r=_za(j)|0;a=_za(d)|0;D=_za(e)|0;B=_za(f)|0;z=_za(g)|0;od(t|0,F|0,(G=i,i=i+48|0,c[G>>2]=s,c[G+8>>2]=r,c[G+16>>2]=a,c[G+24>>2]=D,c[G+32>>2]=B,c[G+40>>2]=z,G)|0)|0;i=G;if((c[2136483]|0)==0){K=Ta(t|0)|0;L=Pa(t|0)|0;Dza(k);Dza(j);Dza(h);Dza(g);Dza(f);Dza(e);Dza(d);i=b;return 0}z=je[c[(c[H>>2]|0)+176>>2]&15]()|0;H=_za(h)|0;B=_za(j)|0;D=_za(d)|0;a=_za(e)|0;r=_za(f)|0;s=_za(g)|0;hfa(25,0,z,(G=i,i=i+48|0,c[G>>2]=H,c[G+8>>2]=B,c[G+16>>2]=D,c[G+24>>2]=a,c[G+32>>2]=r,c[G+40>>2]=s,G)|0);i=G;K=Ta(t|0)|0;L=Pa(t|0)|0;Dza(k);Dza(j);Dza(h);Dza(g);Dza(f);Dza(e);Dza(d);i=b;return 0}function nwa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;h=c[b+48>>2]|0;if((h&16|0)!=0){j=b+44|0;k=c[j>>2]|0;l=b|0;m=QAa(l)|0;if(k>>>0<m>>>0){c[j>>2]=m;n=m}else{n=k}owa(a,PAa(l)|0,n,e);i=d;return}if((h&8|0)==0){sza(a,g);i=d;return}else{g=b|0;b=KAa(g)|0;owa(a,b,MAa(g)|0,f);i=d;return}}function owa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;pwa(a,b,c,0);return}function pwa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;qwa(a,b,c);return}function qwa(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=i;i=i+1|0;i=i+7&-8;g=rwa(c,d)|0;if(g>>>0>4294967279>>>0){pza(0)}if(g>>>0<11>>>0){Jza(b,g);h=Iza(b)|0}else{j=Qza(g)|0;k=j+1|0;j=epa(wza(b)|0,k)|0;Sza(b,j);Rza(b,k);Hza(b,g);h=j}if((c|0)==(d|0)){l=h;a[f]=0;fpa(l,f);i=e;return}j=d+(-c|0)|0;g=h;b=c;while(1){fpa(g,b);c=b+1|0;if((c|0)==(d|0)){break}else{g=g+1|0;b=c}}l=h+j|0;a[f]=0;fpa(l,f);i=e;return}function rwa(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=swa(a,b,c|0)|0;i=c;return d|0}function swa(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;i=e;return c-b|0}function twa(a,b){a=a|0;b=b|0;Jwa(a,b);return}function uwa(a){a=a|0;hwa(a);QJa(a);return}function vwa(a){a=a|0;hwa(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function wwa(a){a=a|0;uwa(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function xwa(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];ywa(a+4|0);return}function ywa(a){a=a|0;zwa(a);return}function zwa(a){a=a|0;c[a>>2]=8525136;Dza(a+32|0);EAa(a|0);return}function Awa(a){a=a|0;ywa(a);QJa(a);return}function Bwa(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=b+44|0;i=c[h>>2]|0;j=b|0;k=QAa(j)|0;if(i>>>0<k>>>0){c[h>>2]=k;l=k}else{l=i}i=g&24;do{if((i|0)==0){lka(a,-1,-1);return}else if((i|0)==24){if((f|0)==2){m=11;break}else if((f|0)==0){n=0;o=0;break}else if((f|0)!=1){m=12;break}lka(a,-1,-1);return}else{if((f|0)==2){m=11;break}else if((f|0)==0){n=0;o=0;break}else if((f|0)!=1){m=12;break}if((g&8|0)==0){k=QAa(j)|0;h=k-(PAa(j)|0)|0;n=(h|0)<0|0?-1:0;o=h;break}else{h=LAa(j)|0;k=h-(KAa(j)|0)|0;n=(k|0)<0|0?-1:0;o=k;break}}}while(0);if((m|0)==11){f=l-(Cza(b+32|0)|0)|0;n=(f|0)<0|0?-1:0;o=f}else if((m|0)==12){lka(a,-1,-1);return}m=sKa(o,n,d,e)|0;e=K;d=0;do{if(!((e|0)<(d|0)|(e|0)==(d|0)&m>>>0<0>>>0)){n=l-(Cza(b+32|0)|0)|0;o=(n|0)<0|0?-1:0;if((o|0)<(e|0)|(o|0)==(e|0)&n>>>0<m>>>0){break}n=g&8;do{if(!((m|0)==0&(e|0)==0)){do{if((n|0)!=0){if((LAa(j)|0)!=0){break}lka(a,-1,-1);return}}while(0);if((g&16|0)==0){break}if((QAa(j)|0)!=0){break}lka(a,-1,-1);return}}while(0);if((n|0)!=0){o=KAa(j)|0;OAa(j,o,o+m|0,l)}if((g&16|0)!=0){o=PAa(j)|0;TAa(j,o,RAa(j)|0);SAa(j,m)}lka(a,m,e);return}}while(0);lka(a,-1,-1);return}function Cwa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=d;d=i;i=i+16|0;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];c[d+8>>2]=c[g+8>>2];c[d+12>>2]=c[g+12>>2];g=c[(c[b>>2]|0)+16>>2]|0;h=zla(d)|0;be[g&63](a,b,h,K,0,e);i=f;return}function Dwa(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=b+44|0;e=c[d>>2]|0;f=b|0;g=QAa(f)|0;if(e>>>0<g>>>0){c[d>>2]=g;h=g}else{h=e}if((c[b+48>>2]&8|0)==0){i=-1;return i|0}if((MAa(f)|0)>>>0<h>>>0){b=KAa(f)|0;OAa(f,b,LAa(f)|0,h)}h=LAa(f)|0;if(!(h>>>0<(MAa(f)|0)>>>0)){i=-1;return i|0}i=Xla(a[h]|0)|0;return i|0}function Ewa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=b+44|0;f=c[e>>2]|0;g=b|0;h=QAa(g)|0;if(f>>>0<h>>>0){c[e>>2]=h;i=h}else{i=f}f=KAa(g)|0;h=LAa(g)|0;if(!(f>>>0<h>>>0)){j=-1;return j|0}if(Tla(d,-1)|0){OAa(g,f,h-1|0,i);j=Wla(d)|0;return j|0}f=(c[b+48>>2]&16|0)==0;b=Ula(d)|0;do{if(f){if(Yla(b,a[h-1|0]|0)|0){break}else{j=-1}return j|0}}while(0);h=KAa(g)|0;OAa(g,h,(LAa(g)|0)-1|0,i);a[LAa(g)|0]=b;j=d;return j|0}function Fwa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=i;i=i+8|0;e=d|0;if(Tla(b,-1)|0){f=Wla(b)|0;i=d;return f|0}g=a|0;h=LAa(g)|0;j=h-(KAa(g)|0)|0;h=QAa(g)|0;if((h|0)==(RAa(g)|0)){k=a+48|0;if((c[k>>2]&16|0)==0){f=-1;i=d;return f|0}l=PAa(g)|0;m=a+44|0;n=(c[m>>2]|0)-l|0;o=a+32|0;Vza(o,0);Oza(o,Lza(o)|0);p=Cza(o)|0;TAa(g,p,p+(Bza(o)|0)|0);SAa(g,h-l|0);c[m>>2]=(PAa(g)|0)+n;q=m;r=k}else{q=a+44|0;r=a+48|0}c[e>>2]=(QAa(g)|0)+1;k=c[(Gwa(e,q)|0)>>2]|0;c[q>>2]=k;if((c[r>>2]&8|0)!=0){r=Cza(a+32|0)|0;OAa(g,r,r+j|0,k)}f=HAa(g,b&255)|0;i=d;return f|0}function Gwa(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=Hwa(a,b,c|0)|0;i=c;return d|0}function Hwa(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=Iwa(0,b,c)|0;i=e;return(f?c:b)|0}function Iwa(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)>>>0<(c[d>>2]|0)>>>0|0}function Jwa(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d|0;JAa(a|0);c[a>>2]=8525136;rza(a+32|0);c[a+44>>2]=0;c[a+48>>2]=b;rza(e);Kwa(a,e);Dza(e);i=d;return}function Kwa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=a+32|0;Eza(d,b)|0;b=a+44|0;c[b>>2]=0;e=a+48|0;f=c[e>>2]|0;if((f&8|0)==0){g=f}else{f=Cza(d)|0;h=f+(Bza(d)|0)|0;c[b>>2]=h;f=Cza(d)|0;OAa(a|0,f,f,h);g=c[e>>2]|0}if((g&16|0)==0){return}g=Bza(d)|0;c[b>>2]=(Cza(d)|0)+g;Oza(d,Lza(d)|0);b=a|0;a=Cza(d)|0;TAa(b,a,a+(Bza(d)|0)|0);if((c[e>>2]&3|0)==0){return}SAa(b,g);return}function Lwa(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0;g=i;i=i+8|0;f=g|0;k=zc(b|0,147760)|0;l=nc(174728,147760)|0;m=(l|0)!=0;n=Zc()|0;if(m){o=c[a+536>>2]|0;p=_c(c[n>>2]|0)|0;kfa(o,(k|0)!=0|0,104488,(q=i,i=i+16|0,c[q>>2]=b,c[q+8>>2]=p,q)|0);i=q;Ya(78784,17,1,l|0)|0;Ya(57184,10,1,l|0)|0;Ya(45448,18,1,l|0)|0;Mwa(l,e,39296,c[a+88>>2]|0,(c[a+72>>2]|0)+(c[a+64>>2]|0)|0,-1,999,8568936)}else{p=_c(c[n>>2]|0)|0;jfa(26,0,132104,(q=i,i=i+8|0,c[q>>2]=p,q)|0);i=q;p=c[a+536>>2]|0;o=_c(c[n>>2]|0)|0;kfa(p,(k|0)!=0|0,104488,(q=i,i=i+16|0,c[q>>2]=b,c[q+8>>2]=o,q)|0);i=q}Ya(26712,348,1,k|0)|0;if((Qd(f|0)|0)<0){o=_c(c[n>>2]|0)|0;jfa(26,0,6877456,(q=i,i=i+8|0,c[q>>2]=o,q)|0);i=q;Pa(k|0)|0;Db(l|0)|0;r=1;i=g;return r|0}if((tc(8546184,250,178240,cb(f|0)|0)|0)==0){jfa(26,0,171928,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;Pa(k|0)|0;r=1;i=g;return r|0}Ya(165968,13,1,k|0)|0;Ya(161816,12,1,k|0)|0;Nwa(k,2);Ya(157744,6,1,k|0)|0;Owa(k,c[a+84>>2]|0);Ya(153728,8,1,k|0)|0;Nwa(k,2);Ya(149936,8,1,k|0)|0;f=a+88|0;Owa(k,c[f>>2]|0);Ya(145888,10,1,k|0)|0;Nwa(k,2);Ya(141944,6,1,k|0)|0;Owa(k,8546184);Ya(138392,8,1,k|0)|0;Nwa(k,2);Ya(134456,8,1,k|0)|0;Owa(k,c[a+280>>2]|0);Ya(130400,10,1,k|0)|0;Nwa(k,2);Ya(126816,14,1,k|0)|0;Owa(k,c[a+284>>2]|0);Ya(123288,16,1,k|0)|0;Nwa(k,2);Ya(120600,16,1,k|0)|0;Owa(k,j);Ya(118016,18,1,k|0)|0;Nwa(k,2);o=Pwa(j)|0;od(k|0,115608,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;Nwa(k,2);s=+tga(7);od(k|0,113320,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;Nwa(k,2);s=+tga(6);od(k|0,110728,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;Nwa(k,2);s=+tga(1);od(k|0,108400,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;Nwa(k,2);s=+tga(4);od(k|0,106144,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;Nwa(k,2);s=+tga(3);od(k|0,102912,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;Nwa(k,2);s=+tga(5);od(k|0,100512,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;Nwa(k,2);s=+tga(0);od(k|0,97736,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;Nwa(k,2);s=+wga(2);od(k|0,95256,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;Nwa(k,2);o=rga(2)|0;od(k|0,92736,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;Nwa(k,2);s=+vga(2);od(k|0,90608,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;Ya(87944,13,1,k|0)|0;Ya(85496,16,1,k|0)|0;Nwa(k,2);s=+tga(8);od(k|0,83568,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;Nwa(k,2);o=oga(8)|0;od(k|0,80736,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;Ya(77640,17,1,k|0)|0;Ya(75696,22,1,k|0)|0;Qwa(k,a);Ya(73528,23,1,k|0)|0;Ya(71328,12,1,k|0)|0;o=a+116|0;if((c[o>>2]|0)>0){j=a+8|0;n=0;do{Rwa(k,(c[j>>2]|0)+(n*112|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+136|0;if((c[o>>2]|0)>0){n=a+24|0;j=0;do{Rwa(k,(c[n>>2]|0)+(j*112|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+124|0;if((c[o>>2]|0)>0){j=a+12|0;n=0;do{Rwa(k,(c[j>>2]|0)+(n*60|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+140|0;if((c[o>>2]|0)>0){n=a+28|0;j=0;do{Rwa(k,(c[n>>2]|0)+(j*60|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+128|0;if((c[o>>2]|0)>0){j=a+16|0;n=0;do{Rwa(k,(c[j>>2]|0)+(n*48|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+144|0;if((c[o>>2]|0)>0){n=a+32|0;j=0;do{Rwa(k,(c[n>>2]|0)+(j*48|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+132|0;if((c[o>>2]|0)>0){j=a+20|0;n=0;do{Rwa(k,(c[j>>2]|0)+(n*52|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+148|0;if((c[o>>2]|0)>0){n=a+36|0;j=0;do{Rwa(k,(c[n>>2]|0)+(j*52|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}Ya(69544,13,1,k|0)|0;Ya(67392,12,1,k|0)|0;Swa(k,l,e,c[f>>2]|0,a);Ya(65432,13,1,k|0)|0;Ya(63264,12,1,k|0)|0;Twa(k,c[a+68>>2]|0,a+56|0);Ya(61248,13,1,k|0)|0;Ya(59096,16,1,k|0)|0;Uwa(k,l,e,a);Ya(56112,17,1,k|0)|0;Ya(54088,14,1,k|0)|0;Pa(k|0)|0;if(!m){r=0;i=g;return r|0}m=c[a+508>>2]|0;a=((iKa(d|0)|0)<<1)+230|0;d=(m|0)!=0;if(d){t=(iKa(m|0)|0)<<1}else{t=0}k=IJa(a+t|0)|0;if((k|0)==0){jd(52016,50552,404,8522496);return 0}if((Db(l|0)|0)!=0){jfa(26,0,49896,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}if(d){d=c[f>>2]|0;Pb(k|0,48520,(q=i,i=i+32|0,c[q>>2]=49184,c[q+8>>2]=d,c[q+16>>2]=m,c[q+24>>2]=d,q)|0)|0;i=q;if((Jc(k|0)|0)!=0){u=42}}else{kKa(k|0,47824,25)|0;u=42}if((u|0)==42){jfa(1,0,47208,(q=i,i=i+8|0,c[q>>2]=k,q)|0);i=q}u=c[f>>2]|0;hfa(1,0,46336,(q=i,i=i+16|0,c[q>>2]=u,c[q+8>>2]=u,q)|0);i=q;JJa(k);r=0;i=g;return r|0}function Mwa(a,b,d,e,f,g,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0,u=0.0,v=0.0,w=0;l=i;if((a|0)==0){i=l;return}m=(g|0)>-1;if(m){n=g+9|0;o=pga(n)|0;p=qga(n)|0;if((o|0)==0){q=-.01}else{q=+(o>>>0>>>0)*.95}if((p|0)==0){r=.01}else{r=+(p>>>0>>>0)*1.05}s=+vga(n)*1.01+1.0e-30;t=o;u=r;v=q;w=p}else{s=0.0;t=0;u=0.0;v=0.0;w=0}Ya(78784,17,1,a|0)|0;Ya(184248,12,1,a|0)|0;Ya(183792,12,1,a|0)|0;Ya(181400,13,1,a|0)|0;od(a|0,180808,(p=i,i=i+24|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,p)|0)|0;i=p;Ya(180392,10,1,a|0)|0;Ya(179680,11,1,a|0)|0;Ya(178904,11,1,a|0)|0;Ya(177872,10,1,a|0)|0;if(m){od(a|0,177448,(p=i,i=i+8|0,h[p>>3]=s,p)|0)|0;i=p}else{Ya(176424,17,1,a|0)|0}o=g+3|0;od(a|0,185456,(p=i,i=i+48|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=o,c[p+32>>2]=o,c[p+40>>2]=4,p)|0)|0;i=p;Ya(175816,13,1,a|0)|0;if(m){Ya(183792,12,1,a|0)|0;if((t|0)==(w|0)){od(a|0,175320,(p=i,i=i+16|0,h[p>>3]=v,h[p+8>>3]=u,p)|0)|0;i=p}else{Ya(176424,17,1,a|0)|0}od(a|0,174760,(p=i,i=i+24|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,p)|0)|0;i=p;od(a|0,184728,(p=i,i=i+40|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=g+1,c[p+32>>2]=4,p)|0)|0;i=p;Ya(174160,10,1,a|0)|0;Ya(173496,10,1,a|0)|0;Ya(174160,10,1,a|0)|0;Ya(172904,11,1,a|0)|0;od(a|0,172416,(p=i,i=i+8|0,c[p>>2]=b,p)|0)|0;i=p;od(a|0,171592,(p=i,i=i+8|0,c[p>>2]=d,p)|0)|0;i=p;Ya(171040,33,1,a|0)|0;Ya(170504,32,1,a|0)|0;od(a|0,169944,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;Ya(177872,10,1,a|0)|0;od(a|0,177448,(p=i,i=i+8|0,h[p>>3]=s,p)|0)|0;i=p}else{Ya(173496,10,1,a|0)|0;Ya(174160,10,1,a|0)|0;Ya(172904,11,1,a|0)|0;od(a|0,172416,(p=i,i=i+8|0,c[p>>2]=b,p)|0)|0;i=p;od(a|0,171592,(p=i,i=i+8|0,c[p>>2]=d,p)|0)|0;i=p;Ya(171040,33,1,a|0)|0;Ya(170504,32,1,a|0)|0;od(a|0,169944,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;Ya(177872,10,1,a|0)|0;Ya(176424,17,1,a|0)|0}od(a|0,185456,(p=i,i=i+48|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=o,c[p+32>>2]=o,c[p+40>>2]=2,p)|0)|0;i=p;Ya(175816,13,1,a|0)|0;if(!m){i=l;return}if((t|0)==(w|0)){od(a|0,175320,(p=i,i=i+16|0,h[p>>3]=v,h[p+8>>3]=u,p)|0)|0;i=p}else{Ya(176424,17,1,a|0)|0}Ya(169248,32,1,a|0)|0;Ya(168656,29,1,a|0)|0;od(a|0,168168,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;od(a|0,184728,(p=i,i=i+40|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=g+1,c[p+32>>2]=2,p)|0)|0;i=p;i=l;return}function Nwa(a,b){a=a|0;b=b|0;var c=0;if((b|0)==0){return}else{c=b}do{c=c-1|0;Wa(32,a|0)|0;}while((c|0)!=0);return}function Owa(b,c){b=b|0;c=c|0;var d=0,e=0,f=0;d=a[c]|0;if(d<<24>>24==0){return}else{e=c;f=d}do{d=f<<24>>24;if((d|0)==39){Ya(6878008,6,1,b|0)|0}else if((d|0)==62){Ya(8522216,4,1,b|0)|0}else if((d|0)==60){Ya(21936,4,1,b|0)|0}else if((d|0)==34){Ya(186144,6,1,b|0)|0}else{Wa(d|0,b|0)|0}e=e+1|0;f=a[e]|0;}while(!(f<<24>>24==0));return}function Pwa(a){a=a|0;var b=0,c=0;b=zc(a|0,22432)|0;if((b|0)==0){c=-1;return c|0}wd(b|0,0,2)|0;a=Nb(b|0)|0;Pa(b|0)|0;c=a;return c|0}function Qwa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=i;i=i+112|0;e=d|0;f=d+32|0;g=d+56|0;h=d+88|0;j=c[b+88>>2]|0;k=IJa((iKa(j|0)|0)+15|0)|0;Pb(k|0,31128,(l=i,i=i+8|0,c[l>>2]=j,l)|0)|0;i=l;Nwa(a,2);Ya(30512,10,1,a|0)|0;Owa(a,k);Ya(30080,12,1,a|0)|0;Nwa(a,2);j=Pwa(k)|0;od(a|0,29352,(l=i,i=i+8|0,c[l>>2]=j,l)|0)|0;i=l;JJa(k);Nwa(a,2);Ya(28768,9,1,a|0)|0;Nwa(a,4);Ya(28272,22,1,a|0)|0;Nwa(a,4);Ya(27624,22,1,a|0)|0;Nwa(a,4);Ya(26192,26,1,a|0)|0;k=b+56|0;l=b+64|0;j=c[l>>2]|0;if((j|0)>0){m=e+4|0;n=0;while(1){Wwa(e,k,n);o=c[m>>2]|0;Nwa(a,4);Ya(25808,8,1,a|0)|0;Owa(a,o);Ya(25112,18,1,a|0)|0;o=n+1|0;p=c[l>>2]|0;if((o|0)<(p|0)){n=o}else{q=p;break}}}else{q=j}j=b+72|0;b=c[j>>2]|0;if((b|0)>0){n=f+8|0;m=0;do{$wa(f,k,m);e=c[n>>2]|0;Nwa(a,4);Ya(25808,8,1,a|0)|0;Owa(a,e);Ya(25112,18,1,a|0)|0;m=m+1|0;r=c[j>>2]|0;}while((m|0)<(r|0));s=c[l>>2]|0;t=r}else{s=q;t=b}if((s|0)>0){s=g+4|0;b=0;do{Wwa(g,k,b);q=c[s>>2]|0;Nwa(a,4);Ya(24544,8,1,a|0)|0;Owa(a,q);Ya(23608,21,1,a|0)|0;b=b+1|0;}while((b|0)<(c[l>>2]|0));u=c[j>>2]|0}else{u=t}if((u|0)<=0){Nwa(a,2);v=Ya(23088,10,1,a|0)|0;i=d;return}u=h+8|0;t=0;do{$wa(h,k,t);l=c[u>>2]|0;Nwa(a,4);Ya(24544,8,1,a|0)|0;Owa(a,l);Ya(23608,21,1,a|0)|0;t=t+1|0;}while((t|0)<(c[j>>2]|0));Nwa(a,2);v=Ya(23088,10,1,a|0)|0;i=d;return}function Rwa(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;Nwa(a,2);od(a|0,32320,(e=i,i=i+8|0,c[e>>2]=c[b>>2],e)|0)|0;i=e;Owa(a,c[b+4>>2]|0);Ya(31848,11,1,a|0)|0;Owa(a,c[b+8>>2]|0);Ya(40952,3,1,a|0)|0;Vwa(a,4,b+12|0);Nwa(a,2);Ya(31472,12,1,a|0)|0;i=d;return}function Swa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;g=i;i=i+32|0;j=g|0;k=f+64|0;if((c[k>>2]|0)<=0){i=g;return}l=f+56|0;m=j+4|0;n=f+72|0;f=j|0;o=j+8|0;p=0;do{Wwa(j,l,p);Mwa(b,d,c[m>>2]|0,e,(c[n>>2]|0)+(c[k>>2]|0)|0,p,c[f>>2]|0,37096);q=p+9|0;zga(q);Nwa(a,2);od(a|0,36144,(r=i,i=i+8|0,c[r>>2]=c[f>>2],r)|0)|0;i=r;Nwa(a,4);Ya(157744,6,1,a|0)|0;Owa(a,c[m>>2]|0);Ya(153728,8,1,a|0)|0;Nwa(a,4);s=rga(q)|0;od(a|0,43376,(r=i,i=i+8|0,c[r>>2]=s,r)|0)|0;i=r;Nwa(a,4);t=+wga(q);od(a|0,42688,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;Nwa(a,4);t=+vga(q);od(a|0,90608,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;Vwa(a,6,o);Nwa(a,2);Ya(35632,12,1,a|0)|0;p=p+1|0;}while((p|0)<(c[k>>2]|0));i=g;return}function Twa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0;e=i;i=i+120|0;f=e|0;g=e+24|0;j=e+48|0;k=e+72|0;l=e+96|0;if((b|0)<=0){i=e;return}m=f|0;n=g+8|0;o=j+12|0;p=d+8|0;q=d+16|0;r=k|0;s=l|0;t=0;do{Nwa(a,2);_wa(f,d,t);od(a|0,41608,(u=i,i=i+8|0,c[u>>2]=c[m>>2],u)|0)|0;i=u;_wa(g,d,t);Owa(a,c[n>>2]|0);Ya(40952,3,1,a|0)|0;Nwa(a,4);Ya(40496,7,1,a|0)|0;_wa(j,d,t);if((c[o>>2]|0)>0){v=0;do{Nwa(a,6);od(a|0,39880,(u=i,i=i+8|0,c[u>>2]=0,u)|0)|0;i=u;v=v+1|0;_wa(j,d,t);}while((v|0)<(c[o>>2]|0))}Nwa(a,4);Ya(38840,8,1,a|0)|0;Nwa(a,4);v=(c[p>>2]|0)+9+(c[q>>2]|0)|0;_wa(k,d,t);w=+tga(v+(c[r>>2]|0)|0);v=(c[p>>2]|0)+9+(c[q>>2]|0)|0;_wa(l,d,t);x=oga(v+(c[s>>2]|0)|0)|0;od(a|0,38304,(u=i,i=i+16|0,h[u>>3]=w,c[u+8>>2]=x,u)|0)|0;i=u;Nwa(a,2);Ya(37760,12,1,a|0)|0;t=t+1|0;}while((t|0)<(b|0));i=e;return}function Uwa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;f=i;i=i+24|0;g=f|0;j=e+56|0;k=e+64|0;l=c[k>>2]|0;m=e+72|0;if((c[m>>2]|0)<=0){i=f;return}n=g+8|0;o=e+88|0;e=g|0;p=l;q=l;do{$wa(g,j,p-q|0);Mwa(b,d,c[n>>2]|0,c[o>>2]|0,(c[m>>2]|0)+(c[k>>2]|0)|0,p,c[e>>2]|0,45056);l=p+9|0;zga(l);Nwa(a,2);Ya(44504,15,1,a|0)|0;Nwa(a,4);od(a|0,43848,(r=i,i=i+8|0,c[r>>2]=c[e>>2],r)|0)|0;i=r;Nwa(a,4);s=rga(l)|0;od(a|0,43376,(r=i,i=i+8|0,c[r>>2]=s,r)|0)|0;i=r;Nwa(a,4);t=+wga(l);od(a|0,42688,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;Nwa(a,4);t=+vga(l);od(a|0,90608,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;Nwa(a,2);Ya(42232,16,1,a|0)|0;p=p+1|0;q=c[k>>2]|0;}while((p|0)<((c[m>>2]|0)+q|0));i=f;return}function Vwa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;f=d;d=i;i=i+24|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];c[d+16>>2]=c[f+16>>2];c[d+20>>2]=c[f+20>>2];Nwa(a,b);Ya(35120,16,1,a|0)|0;Owa(a,c[d>>2]|0);b=c[d+8>>2]|0;f=c[d+12>>2]|0;g=c[d+16>>2]|0;h=(c[d+20>>2]|0)!=0?34152:33456;od(a|0,34592,(a=i,i=i+40|0,c[a>>2]=c[d+4>>2],c[a+8>>2]=b,c[a+16>>2]=f,c[a+24>>2]=g,c[a+32>>2]=h,a)|0)|0;i=a;i=e;return}function Wwa(a,b,d){a=a|0;b=b|0;d=d|0;if((c[b+24>>2]|0)==0){Xwa(b)}kKa(a|0,(c[b+20>>2]|0)+(d<<5)|0,32)|0;return}function Xwa(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+1040|0;d=b|0;e=b+16|0;c[d>>2]=a;f=d+4|0;c[f>>2]=1;g=d+8|0;c[g>>2]=0;h=d+12|0;c[h>>2]=0;j=a+4|0;do{if((c[j>>2]|0)==0){k=a|0;l=zc(c[k>>2]|0,143168)|0;if((l|0)!=0){m=l;break}l=_c(c[(Zc()|0)>>2]|0)|0;lfa(0,173592,(n=i,i=i+16|0,c[n>>2]=c[k>>2],c[n+8>>2]=l,n)|0);i=n}else{m=0}}while(0);l=daa(0)|0;if((l|0)==0){lfa(0,131480,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}k=a+8|0;c[a+20>>2]=KJa(c[k>>2]|0,32)|0;o=a+12|0;p=KJa((c[o>>2]|0)+1|0,20)|0;c[a+24>>2]=p;c[p>>2]=0;c[p+4>>2]=-1;c[p+8>>2]=103872;c[p+12>>2]=0;c[p+16>>2]=0;oaa(l,d);paa(l,14,32);d=c[j>>2]|0;do{if((d|0)==0){p=e|0;lKa(p|0,0,1024)|0;while(1){q=kd(p|0,1,1024,m|0)|0;r=q>>>0<1024>>>0;if((qaa(l,p,q,r&1)|0)==0){s=9;break}if(r){s=11;break}}if((s|0)==9){p=yaa(vaa(l)|0)|0;r=waa(l)|0;Pa(m|0)|0;kaa(l);q=c[a>>2]|0;lfa(0,78288,(n=i,i=i+32|0,c[n>>2]=56784,c[n+8>>2]=q,c[n+16>>2]=p,c[n+24>>2]=r,n)|0);i=n}else if((s|0)==11){Pa(m|0)|0;break}}else{if((qaa(l,d,iKa(d|0)|0,1)|0)!=0){break}r=yaa(vaa(l)|0)|0;p=waa(l)|0;kaa(l);q=c[j>>2]|0;lfa(0,45232,(n=i,i=i+32|0,c[n>>2]=56784,c[n+8>>2]=q,c[n+16>>2]=r,c[n+24>>2]=p,n)|0);i=n}}while(0);if((c[o>>2]|0)!=(c[f>>2]|0)){jd(39096,56784,295,8522576)}c[a+16>>2]=c[g>>2];if((c[k>>2]|0)==(c[h>>2]|0)){i=b;return}else{jd(32432,56784,297,8522576)}}function Ywa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=i;f=c[a>>2]|0;g=c[a+4>>2]|0;h=c[a+12>>2]|0;if((gKa(145880,b)|0)==0){if((gKa(c[d>>2]|0,141936)|0)==0){j=(c[d+8>>2]|0)==0|0}else{j=0}kfa(0,j,138336,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;j=c[2136444]|0;a=c[2138770]|0;do{if((j|0)==0|(a|0)==0){c[2138770]=32;l=IJa(1152)|0;c[2136444]=l;m=l;n=f+24|0}else{l=f+24|0;if(((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)+2|0)<(a|0)){m=j;n=l;break}c[2138770]=a<<1;o=LJa(j,a*72|0)|0;c[2136444]=o;m=o;n=l}}while(0);a=(c[n>>2]|0)+(g*20|0)+12|0;n=c[a>>2]|0;c[a>>2]=n+1;kKa(m+(n*36|0)|0,cxa(c[d+4>>2]|0)|0,36)|0;i=e;return}if((gKa(134448,b)|0)==0){n=c[d>>2]|0;if((n|0)==0){i=e;return}else{p=d;q=n}a:while(1){do{if((gKa(130392,q)|0)==0){c[2138856]=Lc(c[p+4>>2]|0)|0}else{if((gKa(126800,q)|0)==0){c[2138857]=Va(c[p+4>>2]|0,0,10)|0;break}if((gKa(123280,q)|0)==0){c[2138859]=Va(c[p+4>>2]|0,0,10)|0;break}if((gKa(120584,q)|0)==0){c[2138858]=Va(c[p+4>>2]|0,0,10)|0;break}if((gKa(118008,q)|0)==0){c[2138860]=Va(c[p+4>>2]|0,0,10)|0;break}if((gKa(115592,q)|0)!=0){r=23;break a}c[2138861]=(gKa(c[p+4>>2]|0,113312)|0)==0}}while(0);n=p+8|0;m=c[n>>2]|0;if((m|0)==0){r=45;break}else{p=n;q=m}}if((r|0)==23){lfa(0,110696,(k=i,i=i+8|0,c[k>>2]=c[f>>2],k)|0);i=k}else if((r|0)==45){i=e;return}}if((gKa(171912,b)|0)==0){r=c[f+12>>2]|0;if((g|0)>(r|0)){q=c[f>>2]|0;lfa(0,108336,(k=i,i=i+24|0,c[k>>2]=56784,c[k+8>>2]=q,c[k+16>>2]=r,k)|0);i=k}if((gKa(106136,c[d>>2]|0)|0)!=0){r=c[f>>2]|0;lfa(0,102856,(k=i,i=i+16|0,c[k>>2]=56784,c[k+8>>2]=r,k)|0);i=k}r=Va(c[d+4>>2]|0,0,10)|0;if((g|0)!=(r|0)){q=c[f>>2]|0;lfa(0,100448,(k=i,i=i+32|0,c[k>>2]=56784,c[k+8>>2]=q,c[k+16>>2]=r,c[k+24>>2]=g,k)|0);i=k}r=f+24|0;q=c[r>>2]|0;c[q+(g*20|0)>>2]=g;c[q+(g*20|0)+4>>2]=-1;c[q+(g*20|0)+8>>2]=97680;q=c[r>>2]|0;c[q+(g*20|0)+12>>2]=0;c[q+(g*20|0)+16>>2]=0;i=e;return}if((gKa(178128,b)|0)!=0){if((gKa(149920,b)|0)!=0){i=e;return}b=f+20|0;f=c[b>>2]|0;c[f+(h<<5)>>2]=h;c[f+(h<<5)+4>>2]=90600;f=Lc(c[d+4>>2]|0)|0;c[(c[b>>2]|0)+(h<<5)+4>>2]=f;c[(c[b>>2]|0)+(h<<5)+8>>2]=87920;i=e;return}c[2136449]=0;c[2136450]=0;h=c[d>>2]|0;do{if((h|0)==0){s=0}else{b=d;f=h;do{do{if((gKa(f,141936)|0)==0){c[2136449]=Lc(c[b+4>>2]|0)|0}else{if((gKa(f,95248)|0)!=0){break}c[2136450]=Lc(c[b+4>>2]|0)|0}}while(0);b=b+8|0;f=c[b>>2]|0;}while((f|0)!=0);if((c[2136449]|0)==0){s=0;break}s=(c[2136450]|0)!=0|0}}while(0);kfa(0,s,92696,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;c[2136448]=-1;c[2136451]=c[2138856];c[2136452]=c[2138857];c[2136453]=c[2138858];c[2136454]=c[2138859];c[2136455]=c[2138860];c[2136456]=c[2138861];i=e;return}function Zwa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;d=i;e=c[a>>2]|0;f=a+4|0;g=c[f>>2]|0;h=a+8|0;j=c[h>>2]|0;k=a+12|0;a=c[k>>2]|0;if((gKa(178128,b)|0)==0){bxa(8545792);i=d;return}if((gKa(171912,b)|0)==0){l=e+24|0;m=IJa((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)*36|0)|0;c[(c[l>>2]|0)+(g*20|0)+16>>2]=m;if((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)>0){m=0;do{n=IJa(36)|0;kKa(n|0,(c[2136444]|0)+(m*36|0)|0,36)|0;c[(c[(c[l>>2]|0)+(g*20|0)+16>>2]|0)+(m<<2)>>2]=n;m=m+1|0;}while((m|0)<(c[(c[l>>2]|0)+(g*20|0)+12>>2]|0))}c[f>>2]=g+1;i=d;return}if((gKa(165944,b)|0)==0){f=e+24|0;l=c[f>>2]|0;m=c[l+(g*20|0)+12>>2]|0;Rb(l+(g*20|0)+8|0,161776,(o=i,i=i+16|0,c[o>>2]=g,c[o+8>>2]=m,o)|0)|0;i=o;c[(c[f>>2]|0)+(g*20|0)+4>>2]=j;c[h>>2]=j+1;i=d;return}if((gKa(157728,b)|0)==0){f=e+24|0;e=c[f>>2]|0;m=c[e+(g*20|0)+12>>2]|0;Rb(e+(g*20|0)+8|0,153680,(o=i,i=i+16|0,c[o>>2]=g,c[o+8>>2]=m,o)|0)|0;i=o;c[(c[f>>2]|0)+(g*20|0)+4>>2]=j;c[h>>2]=j+1;i=d;return}if((gKa(149920,b)|0)!=0){i=d;return}c[k>>2]=a+1;i=d;return}function _wa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=b+24|0;f=c[e>>2]|0;if((f|0)==0){Xwa(b);g=c[e>>2]|0}else{g=f}f=a;a=g+(d*20|0)|0;c[f>>2]=c[a>>2];c[f+4>>2]=c[a+4>>2];c[f+8>>2]=c[a+8>>2];c[f+12>>2]=c[a+12>>2];c[f+16>>2]=c[a+16>>2];return}function $wa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;f=b+24|0;if((c[f>>2]|0)==0){Xwa(b)}g=c[b+16>>2]|0;if(g>>>0<d>>>0){lfa(0,26480,(h=i,i=i+16|0,c[h>>2]=d,c[h+8>>2]=g,h)|0);i=h}g=c[b+12>>2]|0;b=0;while(1){if((b|0)>=(g|0)){j=9;break}k=c[f>>2]|0;if((c[k+(b*20|0)+4>>2]|0)==(d|0)){j=8;break}else{b=b+1|0}}if((j|0)==8){f=a;a=k+(b*20|0)|0;c[f>>2]=c[a>>2];c[f+4>>2]=c[a+4>>2];c[f+8>>2]=c[a+8>>2];c[f+12>>2]=c[a+12>>2];c[f+16>>2]=c[a+16>>2];i=e;return}else if((j|0)==9){lfa(0,6877248,(h=i,i=i+8|0,c[h>>2]=d,h)|0);i=h}}function axa(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0;b=a+20|0;d=c[b>>2]|0;if((d|0)!=0){JJa(d);c[b>>2]=0}b=a+24|0;d=c[b>>2]|0;if((d|0)==0){return}e=a+12|0;if((c[e>>2]|0)>0){a=0;f=d;while(1){JJa(c[f+(a*20|0)+16>>2]|0);c[(c[b>>2]|0)+(a*20|0)+16>>2]=0;g=a+1|0;h=c[b>>2]|0;if((g|0)<(c[e>>2]|0)){a=g;f=h}else{i=h;break}}}else{i=d}JJa(i);c[b>>2]=0;return}function bxa(a){a=a|0;var b=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;b=i;e=a;a=i;i=i+36|0;i=i+7&-8;kKa(a,e,36)|0;e=IJa(72)|0;f=c[a+4>>2]|0;g=e;c[g>>2]=f;kKa(e+4|0,a|0,36)|0;a=e+40|0;h=a;c[e+48>>2]=0;c[e+60>>2]=f;c[e+64>>2]=iKa(f|0)|0;j=c[2136446]|0;do{if((j|0)==0){k=e;c[2136446]=k;c[e+44>>2]=0;l=IJa(44)|0;m=l;c[e+40>>2]=m;if((l|0)==0){Ob(-1|0)}lKa(l|0,0,44)|0;c[l+16>>2]=e+40;c[l+4>>2]=32;c[l+8>>2]=5;c[l+20>>2]=40;n=IJa(384)|0;c[l>>2]=n;if((n|0)==0){Ob(-1|0)}else{lKa(n|0,0,384)|0;c[l+40>>2]=-1609490463;o=k;p=m;q=f;break}}else{c[(c[(c[j+40>>2]|0)+16>>2]|0)+8>>2]=e;m=(c[2136446]|0)+40|0;k=c[m>>2]|0;c[e+44>>2]=(c[k+16>>2]|0)+(-(c[k+20>>2]|0)|0);c[(c[m>>2]|0)+16>>2]=h;m=c[2136446]|0;o=m;p=c[m+40>>2]|0;q=c[g>>2]|0}}while(0);g=o+40|0;o=p+12|0;c[o>>2]=(c[o>>2]|0)+1;o=a;c[o>>2]=p;p=e+68|0;c[p>>2]=-17973521;a=iKa(q|0)|0;if(a>>>0>11>>>0){j=q;f=a;m=-1640531527;k=-1640531527;l=-17973521;while(1){n=((d[j+5|0]|0)<<8|(d[j+4|0]|0)|(d[j+6|0]|0)<<16|(d[j+7|0]|0)<<24)+m|0;r=((d[j+9|0]|0)<<8|(d[j+8|0]|0)|(d[j+10|0]|0)<<16|(d[j+11|0]|0)<<24)+l|0;s=((d[j+1|0]|0)<<8|(d[j]|0)|(d[j+2|0]|0)<<16|(d[j+3|0]|0)<<24)+k-n-r^r>>>13;t=n-r-s^s<<8;n=r-s-t^t>>>13;r=s-t-n^n>>>12;s=t-n-r^r<<16;t=n-r-s^s>>>5;n=r-s-t^t>>>3;r=s-t-n^n<<10;s=t-n-r^r>>>15;c[p>>2]=s;t=j+12|0;u=f-12|0;if(u>>>0>11>>>0){j=t;f=u;m=r;k=n;l=s}else{v=t;w=u;x=r;y=n;z=s;break}}}else{v=q;w=a;x=-1640531527;y=-1640531527;z=-17973521}a=z+(iKa(q|0)|0)|0;c[p>>2]=a;switch(w|0){case 11:{w=((d[v+10|0]|0)<<24)+a|0;c[p>>2]=w;A=w;B=12;break};case 10:{A=a;B=12;break};case 9:{C=a;B=13;break};case 8:{D=a;B=14;break};case 7:{E=x;F=a;B=15;break};case 6:{G=x;H=a;B=16;break};case 5:{I=x;J=a;B=17;break};case 4:{K=x;L=a;B=18;break};case 3:{M=y;N=x;O=a;B=19;break};case 2:{P=y;Q=x;R=a;B=20;break};case 1:{S=y;T=x;U=a;B=21;break};default:{V=y;W=x;X=a}}if((B|0)==12){a=((d[v+9|0]|0)<<16)+A|0;c[p>>2]=a;C=a;B=13}if((B|0)==13){a=((d[v+8|0]|0)<<8)+C|0;c[p>>2]=a;D=a;B=14}if((B|0)==14){E=((d[v+7|0]|0)<<24)+x|0;F=D;B=15}if((B|0)==15){G=((d[v+6|0]|0)<<16)+E|0;H=F;B=16}if((B|0)==16){I=((d[v+5|0]|0)<<8)+G|0;J=H;B=17}if((B|0)==17){K=(d[v+4|0]|0)+I|0;L=J;B=18}if((B|0)==18){M=((d[v+3|0]|0)<<24)+y|0;N=K;O=L;B=19}if((B|0)==19){P=((d[v+2|0]|0)<<16)+M|0;Q=N;R=O;B=20}if((B|0)==20){S=((d[v+1|0]|0)<<8)+P|0;T=Q;U=R;B=21}if((B|0)==21){V=(d[v]|0)+S|0;W=T;X=U}U=V-W-X^X>>>13;V=W-X-U^U<<8;W=X-U-V^V>>>13;X=U-V-W^W>>>12;U=V-W-X^X<<16;V=W-X-U^U>>>5;W=X-U-V^V>>>3;X=U-V-W^W<<10;U=V-W-X^X>>>15;c[p>>2]=U;p=c[g>>2]|0;X=U&(c[p+4>>2]|0)-1;U=c[p>>2]|0;p=U+(X*12|0)+4|0;c[p>>2]=(c[p>>2]|0)+1;c[e+56>>2]=c[U+(X*12|0)>>2];c[e+52>>2]=0;e=c[c[g>>2]>>2]|0;g=c[e+(X*12|0)>>2]|0;if((g|0)==0){Y=e}else{c[g+12>>2]=h;Y=c[c[(c[2136446]|0)+40>>2]>>2]|0}c[Y+(X*12|0)>>2]=h;h=c[c[(c[2136446]|0)+40>>2]>>2]|0;if((c[h+(X*12|0)+4>>2]|0)>>>0<(((c[h+(X*12|0)+8>>2]|0)*10|0)+10|0)>>>0){i=b;return}X=c[o>>2]|0;if((c[X+36>>2]|0)==1){i=b;return}h=X+4|0;Y=IJa((c[h>>2]|0)*24|0)|0;g=Y;if((Y|0)==0){Ob(-1|0)}lKa(Y|0,0,(c[h>>2]|0)*24|0|0)|0;Y=c[X+12>>2]|0;e=c[h>>2]|0;c[X+24>>2]=(((e<<1)-1&Y|0)!=0)+(Y>>>(((c[X+8>>2]|0)+1|0)>>>0));c[X+28>>2]=0;Y=c[X>>2]|0;if((e|0)==0){Z=Y}else{e=0;h=Y;Y=X;while(1){X=c[h+(e*12|0)>>2]|0;if((X|0)==0){_=Y}else{U=X;X=Y;while(1){p=U+16|0;W=c[p>>2]|0;V=(c[X+4>>2]<<1)-1&c[U+28>>2];T=g+(V*12|0)+4|0;S=(c[T>>2]|0)+1|0;c[T>>2]=S;v=c[X+24>>2]|0;if(S>>>0>v>>>0){S=X+28|0;c[S>>2]=(c[S>>2]|0)+1;c[g+(V*12|0)+8>>2]=((c[T>>2]|0)>>>0)/(v>>>0)|0}c[U+12>>2]=0;v=g+(V*12|0)|0;c[p>>2]=c[v>>2];p=c[v>>2]|0;if((p|0)!=0){c[p+12>>2]=U}c[v>>2]=U;v=c[o>>2]|0;if((W|0)==0){_=v;break}else{U=W;X=v}}}X=e+1|0;U=c[_>>2]|0;if(X>>>0<(c[_+4>>2]|0)>>>0){e=X;h=U;Y=_}else{Z=U;break}}}JJa(Z);Z=c[o>>2]|0;_=Z+4|0;c[_>>2]=c[_>>2]<<1;_=Z+8|0;c[_>>2]=(c[_>>2]|0)+1;c[Z>>2]=g;g=c[o>>2]|0;o=g+32|0;if(!((c[g+28>>2]|0)>>>0>(c[g+12>>2]|0)>>>1>>>0)){c[o>>2]=0;i=b;return}Z=(c[o>>2]|0)+1|0;c[o>>2]=Z;if(!(Z>>>0>1>>>0)){i=b;return}c[g+36>>2]=1;i=b;return}function cxa(a){a=a|0;var b=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;b=i;e=c[2136446]|0;a:do{if((e|0)==0){f=24}else{g=iKa(a|0)|0;if(g>>>0>11>>>0){h=-17973521;j=-1640531527;k=-1640531527;l=g;m=a;while(1){n=((d[m+5|0]|0)<<8|(d[m+4|0]|0)|(d[m+6|0]|0)<<16|(d[m+7|0]|0)<<24)+k|0;o=((d[m+9|0]|0)<<8|(d[m+8|0]|0)|(d[m+10|0]|0)<<16|(d[m+11|0]|0)<<24)+h|0;p=((d[m+1|0]|0)<<8|(d[m]|0)|(d[m+2|0]|0)<<16|(d[m+3|0]|0)<<24)+j-n-o^o>>>13;q=n-o-p^p<<8;n=o-p-q^q>>>13;o=p-q-n^n>>>12;p=q-n-o^o<<16;q=n-o-p^p>>>5;n=o-p-q^q>>>3;o=p-q-n^n<<10;p=q-n-o^o>>>15;q=m+12|0;r=l-12|0;if(r>>>0>11>>>0){h=p;j=n;k=o;l=r;m=q}else{s=p;t=n;u=o;v=r;w=q;break}}}else{s=-17973521;t=-1640531527;u=-1640531527;v=g;w=a}m=(iKa(a|0)|0)+s|0;switch(v|0){case 10:{x=m;f=6;break};case 11:{x=((d[w+10|0]|0)<<24)+m|0;f=6;break};case 9:{y=m;f=7;break};case 8:{z=m;f=8;break};case 7:{A=u;B=m;f=9;break};case 6:{C=u;D=m;f=10;break};case 5:{E=u;F=m;f=11;break};case 4:{G=u;H=m;f=12;break};case 3:{I=u;J=t;K=m;f=13;break};case 2:{L=u;M=t;N=m;f=14;break};case 1:{O=u;P=t;Q=m;f=15;break};default:{R=u;S=t;T=m}}if((f|0)==6){y=((d[w+9|0]|0)<<16)+x|0;f=7}if((f|0)==7){z=((d[w+8|0]|0)<<8)+y|0;f=8}if((f|0)==8){A=((d[w+7|0]|0)<<24)+u|0;B=z;f=9}if((f|0)==9){C=((d[w+6|0]|0)<<16)+A|0;D=B;f=10}if((f|0)==10){E=((d[w+5|0]|0)<<8)+C|0;F=D;f=11}if((f|0)==11){G=(d[w+4|0]|0)+E|0;H=F;f=12}if((f|0)==12){I=G;J=((d[w+3|0]|0)<<24)+t|0;K=H;f=13}if((f|0)==13){L=I;M=((d[w+2|0]|0)<<16)+J|0;N=K;f=14}if((f|0)==14){O=L;P=((d[w+1|0]|0)<<8)+M|0;Q=N;f=15}if((f|0)==15){R=O;S=(d[w]|0)+P|0;T=Q}m=S-T-R^T>>>13;l=R-T-m^m<<8;k=T-m-l^l>>>13;j=m-l-k^k>>>12;m=l-k-j^j<<16;l=k-j-m^m>>>5;k=j-m-l^l>>>3;j=m-l-k^k<<10;m=c[e+40>>2]|0;h=c[(c[m>>2]|0)+(((l-k-j^j>>>15)&(c[m+4>>2]|0)-1)*12|0)>>2]|0;if((h|0)==0){f=24;break}j=h+(-(c[m+20>>2]|0)|0)|0;if((j|0)==0){f=24;break}h=iKa(a|0)|0;k=j;while(1){U=k;if((c[k+64>>2]|0)==(h|0)){if((fKa(c[k+60>>2]|0,a,h)|0)==0){break}}j=c[k+56>>2]|0;if((j|0)==0){f=24;break a}l=j+(-(c[m+20>>2]|0)|0)|0;if((l|0)==0){f=24;break a}else{k=l}}if((k|0)==0){f=24}else{V=U}}}while(0);do{if((f|0)==24){if((jb(a|0,85472)|0)==0){V=0;break}else{W=16800}i=b;return W|0}}while(0);kfa(0,(V|0)!=0|0,80680,(f=i,i=i+8|0,c[f>>2]=a,f)|0);i=f;W=V+4|0;i=b;return W|0}function dxa(a,b){a=a|0;b=b|0;var c=0;if((exa(140752,a,b)|0)!=0){c=1;return c|0}c=(exa(173464,a,b)|0)!=0|0;return c|0}function exa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if((d|0)>0){f=0}else{g=0;return g|0}while(1){h=c[e+(f<<2)>>2]|0;if((a[h]|0)==45){if((gKa(b,h+1|0)|0)==0){g=1;i=5;break}}h=f+1|0;if((h|0)<(d|0)){f=h}else{g=0;i=5;break}}if((i|0)==5){return g|0}return 0}function fxa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;kfa(0,(gKa(c[2136362]|0,131312)|0)==0|0,103776,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;kfa(0,(gKa(c[2136426]|0,131312)|0)==0|0,78160,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;kfa(0,(gKa(c[2136394]|0,131312)|0)==0|0,56688,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;lKa(8546560,0,120)|0;lKa(8546440,0,120)|0;if((a|0)>1){f=1}else{g=0;i=d;return g|0}a:while(1){h=b+(f<<2)|0;j=f+1|0;k=1;while(1){l=c[8545208+(k<<2)>>2]|0;if((l|0)==2){m=c[8545328+(k<<2)>>2]|0;if(!((exa(m,1,h)|0)==0|(j|0)>=(a|0))){n=9;break}o=c[8545328+(k<<2)>>2]|0;if((hxa(o,h)|0)!=0){n=13;break}}else if((l|0)==1){if((exa(c[8545328+(k<<2)>>2]|0,1,h)|0)!=0){n=5;break}}l=k+1|0;if((l|0)<30){k=l}else{n=17;break a}}if((n|0)==5){n=0;l=8546560+(k<<2)|0;if((c[l>>2]|0)!=0){n=6;break}c[l>>2]=1;p=f}else if((n|0)==9){n=0;l=8546560+(k<<2)|0;if((c[l>>2]|0)!=0){n=10;break}c[l>>2]=1;c[8546440+(k<<2)>>2]=gxa(m,h)|0;p=j}else if((n|0)==13){n=0;l=8546560+(k<<2)|0;if((c[l>>2]|0)!=0){n=14;break}c[l>>2]=1;c[8546440+(k<<2)>>2]=ixa(o,h)|0;p=f}l=p+1|0;if((l|0)<(a|0)){f=l}else{g=0;n=19;break}}if((n|0)==6){jfa(1,0,45168,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((n|0)==10){jfa(1,0,45168,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((n|0)==14){jfa(1,0,45168,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((n|0)==17){jfa(1,0,39064,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((n|0)==19){i=d;return g|0}return 0}function gxa(b,d){b=b|0;d=d|0;var e=0,f=0;e=c[d>>2]|0;if((a[e]|0)!=45){f=0;return f|0}if((gKa(b,e+1|0)|0)!=0){f=0;return f|0}f=c[d+4>>2]|0;return f|0}function hxa(a,b){a=a|0;b=b|0;return(ixa(a,b)|0)!=0|0}function ixa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=iKa(b|0)|0;f=c[d>>2]|0;if((a[f]|0)!=45){g=0;return g|0}if((hKa(b,f+1|0,e)|0)!=0){g=0;return g|0}if((a[f+(e+1)|0]|0)!=61){g=0;return g|0}g=f+(e+2)|0;return g|0}function jxa(){return}function kxa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;if((d|0)<=0){Ob(0);return 0}e=c[u>>2]|0;Ya(45224,5,1,e|0)|0;f=b;b=0;while(1){Wa(a[f]|0,e|0)|0;g=b+1|0;if((g|0)<(d|0)){f=f+1|0;b=g}else{break}}Ya(149896,20,1,e|0)|0;Ob(0);return 0}function lxa(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[u>>2]|0;od(d|0,153584,(e=i,i=i+8|0,c[e>>2]=a,e)|0)|0;i=e;if((b|0)==0){Ob(1)}else{Ta(d|0)|0;txa();Ta(d|0)|0;pb(6,0)|0;nd()}}function mxa(a,b){a=a|0;b=b|0;return+(+X(+(+h[a>>3]),+(+h[b>>3])))}function nxa(a,b){a=a|0;b=b|0;var d=0.0,e=0.0,f=0,g=0.0,i=0.0,j=0.0;d=+h[a>>3];a=c[b>>2]|0;if((a|0)==0){e=1.0;return+e}if((a|0)<0){f=-a|0;g=1.0/d;i=1.0}else{f=a;g=d;i=1.0}while(1){if((f&1|0)==0){j=i}else{j=i*g}a=f>>>1;if((a|0)==0){e=j;break}f=a;g=g*g;i=j}return+e}function oxa(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0.0;c=+h[a>>3];if(c<0.0){d=-0.0-c}else{d=c}if(!(+h[b>>3]<0.0)){e=d;return+e}e=-0.0-d;return+e}function pxa(a){a=a|0;var b=0.0,c=0.0,d=0.0,e=0;b=+g[a>>2];c=b;if(b<0.0){d=-0.0- +U(.5-c);e=~~d;return e|0}else{d=+U(c+.5);e=~~d;return e|0}return 0}function qxa(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=b+d|0;g=c+e|0;if((d|0)>(e|0)){a:do{if((e|0)>0){h=b;i=c;while(1){j=a[h]|0;k=a[i]|0;if(!(j<<24>>24==k<<24>>24)){break}l=h+1|0;m=i+1|0;if(m>>>0<g>>>0){h=l;i=m}else{n=l;break a}}o=(j&255)-(k&255)|0;return o|0}else{n=b}}while(0);while(1){if(!(n>>>0<f>>>0)){o=0;p=16;break}q=a[n]|0;if(q<<24>>24==32){n=n+1|0}else{break}}if((p|0)==16){return o|0}o=(q&255)-32|0;return o|0}else{b:do{if((d|0)>0){q=b;n=c;while(1){r=a[q]|0;s=a[n]|0;if(!(r<<24>>24==s<<24>>24)){break}k=q+1|0;j=n+1|0;if(k>>>0<f>>>0){q=k;n=j}else{t=j;break b}}o=(r&255)-(s&255)|0;return o|0}else{t=c}}while(0);while(1){if(!(t>>>0<g>>>0)){o=0;p=16;break}u=a[t]|0;if(u<<24>>24==32){t=t+1|0}else{break}}if((p|0)==16){return o|0}o=32-(u&255)|0;return o|0}return 0}function rxa(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=c;g=b+d|0;if((d|0)<=(e|0)){do{if(b>>>0>c>>>0){h=c+d|0;if(!(h>>>0>b>>>0)){break}if((d|0)>0){i=h;j=g}else{return}do{i=i-1|0;j=j-1|0;a[j]=a[i]|0;}while(j>>>0>b>>>0);return}}while(0);if((d|0)>0){k=c;l=b}else{return}while(1){j=l+1|0;a[l]=a[k]|0;if(j>>>0<g>>>0){k=k+1|0;l=j}else{break}}return}l=c+e|0;do{if(b>>>0>c>>>0&l>>>0>b>>>0){k=b+e|0;if((e|0)>0){j=(-f|0)-e|0;i=~f;h=~(c+(j>>>0>i>>>0?j:i));i=k;j=l;do{j=j-1|0;i=i-1|0;a[i]=a[j]|0;}while(j>>>0>c>>>0);m=b+h|0}else{m=k}n=m+e|0}else{if((e|0)<=0){n=b;break}j=c+1|0;i=(l>>>0>j>>>0?l:j)+(-f|0)|0;j=c;o=b;while(1){p=j+1|0;a[o]=a[j]|0;if(p>>>0<l>>>0){j=p;o=o+1|0}else{break}}n=b+i|0}}while(0);if(!(n>>>0<g>>>0)){return}lKa(n|0,32,b+(d-n)|0)|0;return}function sxa(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=c[b+4>>2]|0;if((d|0)>99){return 0}e=8555472+(d*48|0)|0;f=c[e>>2]|0;if((f|0)!=0){do{if((c[8555516+(d*48|0)>>2]|0)==1){g=10}else{h=c[b+8>>2]|0;if((h|0)!=0){i=a[h]|0;if((i|0)==68|(i|0)==100){g=10;break}}if((c[8555512+(d*48|0)>>2]|0)==1){uxa(b)|0}i=8555476+(d*48|0)|0;if((c[i>>2]|0)==0){break}Pa(c[e>>2]|0)|0;JJa(c[i>>2]|0)}}while(0);do{if((g|0)==10){Pa(f|0)|0;b=8555476+(d*48|0)|0;i=c[b>>2]|0;if((i|0)==0){break}Kd(i|0)|0;JJa(c[b>>2]|0)}}while(0);c[e>>2]=0}c[8555508+(d*48|0)>>2]=0;c[8555476+(d*48|0)>>2]=0;return 0}function txa(){var a=0;if((c[2138862]|0)!=0){return}c[2138862]=1;c[2138864]=0;a=0;do{c[2138863]=a;sxa(8555448)|0;a=a+1|0;}while((a|0)<100);return}function uxa(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=c[a+4>>2]|0;if((c[8555488+(b*48|0)>>2]|0)!=0){d=0;return d|0}e=8555472+(b*48|0)|0;f=c[e>>2]|0;g=Nb(f|0)|0;wd(f|0,0,2)|0;if((g|0)>=(Nb(f|0)|0)){d=0;return d|0}if((c[8555492+(b*48|0)>>2]|0)==0){d=0;return d|0}if((c[8555500+(b*48|0)>>2]&2|0)!=0){Ta(c[e>>2]|0)|0}b=fd(kb(c[e>>2]|0)|0,g|0)|0;wd(c[e>>2]|0,0,2)|0;if((b|0)==0){d=0;return d|0}if((c[a>>2]|0)==0){wxa(111,63224);d=111;return d|0}else{c[(Zc()|0)>>2]=111;d=111;return d|0}return 0}function vxa(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+80|0;d=b|0;do{if(($c(kb(a|0)|0,d|0)|0)<0){e=0}else{f=c[d+12>>2]&61440;if((f|0)==24576){e=1;break}else if((f|0)==16384|(f|0)==32768){e=(c[d+16>>2]|0)!=0|0;break}else if((f|0)==8192){e=(Oc(kb(a|0)|0)|0)==0|0;break}else{e=0;break}}}while(0);i=b;return e|0}function wxa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;do{if(a>>>0<100>>>0){lb(b|0);e=c[u>>2]|0}else{if((a+1|0)>>>0>132>>>0){f=c[u>>2]|0;od(f|0,105944,(g=i,i=i+16|0,c[g>>2]=b,c[g+8>>2]=a,g)|0)|0;i=g;e=f;break}f=c[u>>2]|0;if((a|0)==-1){od(f|0,102704,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g;e=f;break}else{h=c[8545080+(a-100<<2)>>2]|0;od(f|0,100320,(g=i,i=i+16|0,c[g>>2]=b,c[g+8>>2]=h,g)|0)|0;i=g;e=f;break}}}while(0);b=c[2141330]|0;do{if((b|0)==0){Ya(90312,29,1,e|0)|0}else{od(e|0,97536,(g=i,i=i+8|0,c[g>>2]=(b-8555472|0)/48|0,g)|0)|0;i=g;a=c[(c[2141330]|0)+4>>2]|0;if((a|0)==0){Ya(92592,10,1,e|0)|0;break}else{od(e|0,93696,(g=i,i=i+8|0,c[g>>2]=a,g)|0)|0;i=g;break}}}while(0);b=c[2141314]|0;if((b|0)!=0){od(e|0,86496,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g}b=(c[2141270]|0)!=0?77536:74400;a=(c[2141312]|0)!=0?73376:71144;f=(c[2141316]|0)!=0?69368:67224;od(e|0,85360,(g=i,i=i+32|0,c[g>>2]=(c[2141290]|0)!=0?83392:80552,c[g+8>>2]=b,c[g+16>>2]=a,c[g+24>>2]=f,g)|0)|0;i=g;lxa(65256,1);i=d;return}function xxa(){var a=0;c[2141300]=1;a=c[u>>2]|0;c[2138868]=a;c[2138873]=vxa(a)|0;c[2138874]=1;c[2138878]=1;a=c[q>>2]|0;c[2138928]=a;c[2138933]=vxa(a)|0;c[2138934]=1;c[2138938]=0;a=c[r>>2]|0;c[2138940]=a;c[2138945]=vxa(a)|0;c[2138946]=1;c[2138950]=1;return}function yxa(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;b=a+28|0;d=c[b>>2]|0;a:do{if((d&2|0)==0){e=a+4|0;f=c[e>>2]|0;do{if((f|0)!=0){if((c[a+16>>2]|0)==0){g=c[a+24>>2]|0}else{g=0}if((c[a+40>>2]|0)==3){h=a|0;i=tb(f|0,c[16840+(g<<2)>>2]|0,c[h>>2]|0)|0;c[h>>2]=i;c[2141348]=i;if((i|0)==0){break}c[b>>2]=2;break a}i=a|0;h=Nb(c[i>>2]|0)|0;j=tb(c[e>>2]|0,c[16840+((g|2)<<2)>>2]|0,c[i>>2]|0)|0;c[i>>2]=j;c[2141348]=j;if((j|0)==0){c[i>>2]=0;break}else{c[b>>2]=3;wd(c[i>>2]|0,h|0,0)|0;break a}}}while(0);c[(Zc()|0)>>2]=127;k=1;return k|0}else{if((d&1|0)==0){break}wd(c[a>>2]|0,0,1)|0}}while(0);c[a+40>>2]=1;k=0;return k|0}function zxa(a,b,d){a=a|0;b=b|0;d=d|0;if((a|0)==0){wxa(b,d)}d=c[2141326]|0;if((d|0)!=0){je[d&15]()|0}c[(Zc()|0)>>2]=b;return b|0}function Axa(a){a=a|0;c[2141294]=0;c[2141276]=0;c[2141296]=0;return((Bxa(a,0)|0)==0)<<31>>31|0}function Bxa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b;while(1){b=a[e]|0;f=e+1|0;if((b<<24>>24|0)==32){e=f}else if((b<<24>>24|0)==40){break}else{g=0;h=8;break}}if((h|0)==8){return g|0}h=c[2141296]|0;c[2141296]=h+1;if((h|0)==1){c[2141276]=d}if((Gxa(1,d,0,0)|0)<0){g=0;return g|0}d=Hxa(f)|0;if((d|0)==0){g=0;return g|0}else{i=d}while(1){if((a[i]|0)==32){i=i+1|0}else{g=i;break}}return g|0}function Cxa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;if((c[a>>2]|0)>0){f=b;g=0}else{h=0;i=e;return h|0}a:while(1){b=(f|0)==0;b:while(1){j=c[2141294]|0;k=8560272+(j<<4)|0;l=c[k>>2]|0;switch(Dxa(l)|0){case 8:{m=c[2141336]|0;n=8565352+(m<<2)|0;o=c[n>>2]|0;if((o|0)>=1){p=10;break b}c[2141336]=m-1;c[2141294]=j+1;continue b;break};case 9:{m=(Yd[c[2141324]&255](k)|0)==0;c[2141294]=(c[2141294]|0)+1;if(m){break b}else{continue b}break};case 6:{m=c[8560276+(j<<4)>>2]|0;q=(c[2141336]|0)+1|0;c[2141336]=q;c[8565352+(q<<2)>>2]=m;c[2141294]=j+1;continue b;break};case 1:{m=c[8560276+(j<<4)>>2]|0;q=(c[2141274]|0)+1|0;c[2141274]=q;c[8565112+(q<<2)>>2]=m;c[2141294]=j+1;continue b;break};case 3:{m=c[2141336]|0;q=8565352+(m<<2)|0;r=(c[q>>2]|0)-1|0;c[q>>2]=r;if((r|0)<1){c[2141336]=m-1;c[2141274]=(c[2141274]|0)-1;c[2141294]=j+1;continue b}else{m=c[2141274]|0;c[2141274]=m-1;c[2141294]=(c[8565112+(m<<2)>>2]|0)+1;continue b}break};case 2:{c[2141336]=0;c[2141274]=0;c[2141294]=c[8560276+(j<<4)>>2];if(b){p=24;break a}if((c[2138866]|0)==0){h=0;p=37;break a}m=je[c[2141320]&15]()|0;if((m|0)==0){continue b}else{h=m;p=37;break a}break};case 16:{if(b){p=28;break a}c[2141294]=j+1;continue b;break};case 33:{c[2141298]=1;c[2141294]=j+1;continue b;break};case 17:case 19:{c[2141334]=0;c[2141294]=j+1;continue b;break};case 18:{c[2141334]=1;c[2141294]=j+1;continue b;break};case 20:{c[2141272]=c[8560276+(j<<4)>>2];c[2141294]=j+1;continue b;break};case 21:{c[2141350]=0;c[2141294]=j+1;continue b;break};case 22:{c[2141350]=1;c[2141294]=j+1;continue b;break};default:{p=4;break a}}}if((p|0)==10){p=0;if(b){p=11;break}c[n>>2]=o-1;c[2138866]=1;j=_d[c[2141328]&127](k,f,d)|0;if((j|0)>0){p=13;break}if((j|0)<0){p=15;break}}j=g+1|0;if((j|0)<(c[a>>2]|0)){f=f+d|0;g=j}else{h=0;p=37;break}}if((p|0)==4){g=c[2141314]|0;od(c[u>>2]|0,171008,(d=i,i=i+16|0,c[d>>2]=l,c[d+8>>2]=g,d)|0)|0;i=d;if((c[c[2141318]>>2]|0)==0){wxa(100,177792);h=100;i=e;return h|0}else{c[(Zc()|0)>>2]=100;h=100;i=e;return h|0}}else if((p|0)==11){h=je[c[2141326]&15]()|0;i=e;return h|0}else if((p|0)==13){d=c[c[2141318]>>2]|0;h=zxa(d,c[(Zc()|0)>>2]|0,134008)|0;i=e;return h|0}else if((p|0)==15){if((c[(c[2141318]|0)+8>>2]|0)==0){wxa(-1,134008);h=-1;i=e;return h|0}else{c[(Zc()|0)>>2]=-1;h=-1;i=e;return h|0}}else if((p|0)==24){h=je[c[2141326]&15]()|0;i=e;return h|0}else if((p|0)==28){h=je[c[2141326]&15]()|0;i=e;return h|0}else if((p|0)==37){i=e;return h|0}return 0}function Dxa(a){a=a|0;var b=0;switch(a|0){case 4:case 5:case 11:case 12:case 15:case 13:case 14:{b=9;break};case 36:case 35:case 28:case 27:case 23:case 7:case 10:case 30:case 31:case 32:case 34:case 29:case 24:case 25:case 26:{b=8;break};default:{b=a}}return b|0}function Exa(){var a=0,b=0,d=0;a=i;i=i+8|0;b=a|0;c[b>>2]=1;d=Cxa(b,0,0)|0;i=a;return d|0}function Fxa(){c[2141332]=0;c[2141294]=0;c[2141274]=0;c[2141336]=0;c[2138866]=0;c[2141278]=0;c[2141338]=0;return}function Gxa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=c[2141294]|0;if((f|0)>299){Ya(80384,24,1,c[u>>2]|0)|0;lxa(c[2141314]|0,1);g=c[2141294]|0}else{g=f}c[8560272+(f<<4)>>2]=a;c[8560276+(f<<4)>>2]=b;c[8560280+(f<<4)>>2]=d;c[8560284+(f<<4)>>2]=e;c[2141294]=g+1;return g|0}function Hxa(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=a[b]|0;if(d<<24>>24==0){e=0;return e|0}else{f=b;g=d}a:while(1){d=f+1|0;if(g<<24>>24==32){f=d;g=a[d]|0;continue}d=Ixa(f)|0;if((d|0)==0){e=0;h=12;break}else{i=d}while(1){d=a[i]|0;if((d<<24>>24|0)==41){h=9;break a}else if((d<<24>>24|0)==44){h=7;break}else if((d<<24>>24|0)!=32){j=i;break}i=i+1|0}if((h|0)==7){h=0;j=i+1|0}d=a[j]|0;if(d<<24>>24==0){e=0;h=12;break}else{f=j;g=d}}if((h|0)==9){g=(c[2141296]|0)-1|0;c[2141296]=g;if((g|0)==0){Gxa(2,c[2141276]|0,0,0)|0;e=i+1|0;return e|0}else{Gxa(3,0,0,0)|0;e=i+1|0;return e|0}}else if((h|0)==12){return e|0}return 0}function Ixa(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;i=i+16|0;e=d|0;f=d+8|0;do{if((a[b]|0)==41){g=b}else{if((Jxa(b,e)|0)!=0){g=c[e>>2]|0;break}if((Kxa(b,e)|0)!=0){g=c[e>>2]|0;break}h=Lxa(b,f,1)|0;j=Gxa(6,c[f>>2]|0,0,0)|0;if((j|0)<0){g=0;break}g=Bxa(h,j)|0}}while(0);i=d;return g|0}function Jxa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=i;i=i+8|0;f=e|0;a:do{switch(a[b]|0){case 36:{Gxa(33,0,0,0)|0;g=b;h=30;break};case 66:case 98:{j=b+1|0;k=a[j]|0;if((k<<24>>24|0)==122|(k<<24>>24|0)==90){Gxa(22,0,0,0)|0;g=j;h=30;break a}else{Gxa(21,0,0,0)|0;g=j;h=30;break a}break};case 83:case 115:{j=b+1|0;k=a[j]|0;if((k<<24>>24|0)==115|(k<<24>>24|0)==83){l=19;m=j}else if((k<<24>>24|0)==112|(k<<24>>24|0)==80){l=18;m=j}else{l=17;m=b}Gxa(l,0,0,0)|0;g=m;h=30;break};case 58:{Gxa(16,0,0,0)|0;g=b;h=30;break};case 47:{Gxa(5,0,0,0)|0;g=b;h=30;break};case 45:{n=1;h=13;break};case 43:{n=0;h=13;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{o=0;p=b;h=14;break};case 2:case 34:case 39:{c[8560280+((Gxa(11,0,0,0)|0)<<4)>>2]=b;j=Mxa(b)|0;c[d>>2]=j;q=(j|0)!=0|0;i=e;return q|0};case 84:case 116:{j=b+1|0;k=a[j]|0;if((k<<24>>24|0)==114|(k<<24>>24|0)==82){r=14;s=j}else if((k<<24>>24|0)==108|(k<<24>>24|0)==76){r=13;s=j}else{r=15;s=b}j=Lxa(s+1|0,f,0)|0;if((j|0)==0){h=15;break a}Gxa(r,c[f>>2]|0,0,0)|0;g=j-1|0;h=30;break};case 88:case 120:{Gxa(4,1,0,0)|0;g=b;h=30;break};case 80:case 112:{Gxa(20,1,0,0)|0;g=b;h=30;break};default:{q=0;i=e;return q|0}}}while(0);if((h|0)==13){o=n;p=b+1|0;h=14}b:do{if((h|0)==14){b=Lxa(p,f,0)|0;if((b|0)==0){h=15;break}switch(a[b]|0){case 80:case 112:{n=c[f>>2]|0;if((o|0)==0){t=n}else{r=-n|0;c[f>>2]=r;t=r}Gxa(20,t,0,0)|0;g=b;h=30;break b;break};case 88:case 120:{Gxa(4,c[f>>2]|0,0,0)|0;g=b;h=30;break b;break};case 72:case 104:{r=c[f>>2]|0;c[8560280+((Gxa(12,r,0,0)|0)<<4)>>2]=b+1;g=b+r|0;h=30;break b;break};default:{q=0;i=e;return q|0}}}}while(0);if((h|0)==15){c[d>>2]=0;q=1;i=e;return q|0}else if((h|0)==30){c[d>>2]=g+1;q=1;i=e;return q|0}return 0}function Kxa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=Lxa(b,f,1)|0;Gxa(6,c[f>>2]|0,0,0)|0;f=k+1|0;a:do{switch(a[k]|0){case 71:case 103:{l=0;m=3;break};case 69:case 101:{l=1;m=3;break};case 90:case 122:{n=36;o=35;m=38;break};case 76:case 108:{p=Lxa(f,g,0)|0;if((p|0)==0){m=4;break a}q=c[g>>2]|0;if((q|0)==0){r=p;m=45;break a}Gxa(29,q,0,0)|0;r=p;m=45;break};case 65:case 97:{p=f;while(1){s=a[p]|0;if(s<<24>>24==32){p=p+1|0}else{break}}if(!((s-48&255)>>>0<10>>>0)){Gxa(30,0,0,0)|0;r=p;m=45;break a}q=Lxa(p,g,1)|0;t=c[g>>2]|0;if((t|0)==0){r=q;m=45;break a}Gxa(31,t,0,0)|0;r=q;m=45;break};case 70:case 102:{q=Lxa(f,g,0)|0;if((q|0)==0){m=4;break a}t=c[g>>2]|0;if((t|0)==0){r=q;m=45;break a}if((a[q]|0)==46){u=Lxa(q+1|0,h,0)|0;if((u|0)==0){m=4;break a}v=u;w=c[h>>2]|0}else{c[h>>2]=0;v=q;w=0}Gxa(23,t,w,0)|0;r=v;m=45;break};case 68:case 100:{t=Lxa(f,g,0)|0;if((t|0)==0){m=4;break a}q=c[g>>2]|0;if((q|0)==0){r=t;m=45;break a}if((a[t]|0)==46){u=Lxa(t+1|0,h,0)|0;if((u|0)==0){m=4;break a}x=u;y=c[h>>2]|0}else{c[h>>2]=0;x=t;y=0}Gxa(26,q,y,0)|0;r=x;m=45;break};case 73:case 105:{n=10;o=7;m=38;break};case 79:case 111:{n=34;o=32;m=38;break};default:{c[2141294]=(c[2141294]|0)-1;c[d>>2]=b;z=0;i=e;return z|0}}}while(0);do{if((m|0)==3){b=Lxa(f,g,0)|0;if((b|0)==0){m=4;break}x=c[g>>2]|0;if((x|0)==0){r=b;m=45;break}y=a[b]|0;if(y<<24>>24==46){v=Lxa(b+1|0,h,0)|0;if((v|0)==0){m=4;break}A=v;B=a[v]|0}else{c[h>>2]=0;A=b;B=y}if(!((B<<24>>24|0)==69|(B<<24>>24|0)==101)){Gxa((l|0)==1?24:27,x,c[h>>2]|0,0)|0;r=A;m=45;break}y=Lxa(A+1|0,j,0)|0;if((y|0)==0){m=4;break}Gxa((l|0)==1?25:28,x,c[h>>2]|0,c[j>>2]|0)|0;r=y;m=45}else if((m|0)==38){y=Lxa(f,g,0)|0;if((y|0)==0){m=4;break}x=c[g>>2]|0;if((x|0)==0){r=y;m=45;break}if((a[y]|0)!=46){Gxa(o,x,0,0)|0;r=y;m=45;break}b=Lxa(y+1|0,h,0)|0;if((b|0)==0){m=4;break}Gxa(n,x,c[h>>2]|0,0)|0;r=b;m=45}}while(0);if((m|0)==4){c[d>>2]=0;z=1;i=e;return z|0}else if((m|0)==45){c[d>>2]=r;z=1;i=e;return z|0}return 0}function Lxa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=0;g=0;h=b;while(1){b=a[h]|0;i=b<<24>>24;if(b<<24>>24==32){j=f;k=g}else{if((b-48&255)>>>0>9>>>0){break}j=f+1|0;k=(g*10|0)-48+i|0}f=j;g=k;h=h+1|0}if((f|0)!=0){l=h;m=g;c[d>>2]=m;return l|0}l=(e|0)==0?0:h;m=e;c[d>>2]=m;return l|0}function Mxa(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a[b]|0;e=b+1|0;f=a[e]|0;a:do{if(!(f<<24>>24==0)){g=b;h=e;i=f;while(1){if(i<<24>>24==d<<24>>24){j=g+2|0;if((a[j]|0)==d<<24>>24){k=j}else{l=j;break}}else{k=h}j=k+1|0;m=a[j]|0;if(m<<24>>24==0){break a}else{g=k;h=j;i=m}}return l|0}}while(0);if((c[c[2141318]>>2]|0)==0){wxa(100,105816);l=0;return l|0}else{c[(Zc()|0)>>2]=100;l=0;return l|0}return 0}function Nxa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;do{if((b|0)>0){g=b;h=0}else{if((b|0)<0){g=-b|0;h=1;break}c[e>>2]=0;c[d>>2]=1;a[8565230]=48;i=8565230;return i|0}}while(0);c[e>>2]=h;h=g;g=23;while(1){e=g-1|0;j=8565208+e|0;a[j]=((h>>>0)%(f>>>0)|0)+48;b=(h>>>0)/(f>>>0)|0;if((b|0)==0){break}else{h=b;g=e}}c[d>>2]=24-g;i=j;return i|0}function Oxa(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=c[2141310]|0;e=c[2141288]|0;if((d|0)>(e|0)){c[2141288]=d;f=d}else{f=e}e=f+1|0;if((e|0)<(c[4216]|0)){g=f}else{Pxa(e,f);g=c[2141288]|0}f=c[4218]|0;e=f+g|0;if((b|0)==0){h=e}else{a[e]=b;h=f+(g+1)|0}a[h]=0;_a(f|0,c[2141348]|0)|0;g=iKa(f|0)|0;b=f+g|0;if(b>>>0<h>>>0){i=f;j=g;k=b}else{return 0}while(1){b=j+1|0;g=i+b|0;Wa(a[k]|0,c[2141348]|0)|0;_a(g|0,c[2141348]|0)|0;f=iKa(g|0)|0;e=i+(b+f)|0;if(e>>>0<h>>>0){i=g;j=f;k=e}else{break}}return 0}function Pxa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=c[4218]|0;if((e|0)==8565408){c[4216]=1024;f=1024}else{f=c[4216]|0}if((f|0)>(b|0)){g=f}else{h=f;do{h=h<<1;}while((h|0)<=(b|0));c[4216]=h;g=h}h=IJa(g)|0;if((h|0)==0){wxa(113,165784);i=c[4218]|0}else{i=e}e=i+d|0;if((d|0)>0){d=h;g=i;while(1){b=g+1|0;a[d]=a[g]|0;if(b>>>0<e>>>0){d=d+1|0;g=b}else{break}}j=c[4218]|0}else{j=i}if((j|0)==8565408){c[4218]=h;return}JJa(j);c[4218]=h;return}function Qxa(b){b=b|0;var d=0,e=0,f=0;d=c[2141288]|0;e=c[4216]|0;if((d|0)<(e|0)){f=d}else{Pxa(d,e);f=c[2141288]|0}c[2141288]=f+1;a[(c[4218]|0)+f|0]=b;return}function Rxa(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=i;i=i+280|0;e=d|0;f=d+256|0;g=d+272|0;c[2141316]=1;h=b+4|0;j=c[h>>2]|0;if(j>>>0>99>>>0){if((c[b>>2]|0)==0){wxa(101,45296);k=101;i=d;return k|0}else{c[(Zc()|0)>>2]=101;k=101;i=d;return k|0}}if((c[2141300]|0)==0){xxa();l=c[h>>2]|0}else{l=j}j=8555472+(l*48|0)|0;c[2141330]=j;m=j|0;a:do{if((c[m>>2]|0)!=0){j=c[b+8>>2]|0;do{if((j|0)!=0){n=e|0;Wxa(j,c[b+12>>2]|0,n);o=Xxa(n,g)|0;if((o|0)==(c[8555480+(l*48|0)>>2]|0)){if((c[g>>2]|0)==(c[8555484+(l*48|0)>>2]|0)){break}}c[f+4>>2]=c[h>>2];c[f+8>>2]=0;c[f>>2]=c[b>>2];o=sxa(f)|0;if((o|0)==0){break a}else{k=o}i=d;return k|0}}while(0);j=c[b+32>>2]|0;if((j|0)==0){k=0;i=d;return k|0}o=a[j]|0;if(o<<24>>24==122){p=1}else{p=o<<24>>24==90|0}c[8555504+(l*48|0)>>2]=p;k=0;i=d;return k|0}}while(0);p=b+28|0;f=c[p>>2]|0;g=8555488+(l*48|0)|0;c[g>>2]=f;o=c[b+32>>2]|0;do{if((o|0)==0){q=0}else{j=a[o]|0;if(j<<24>>24==122){q=1;break}q=j<<24>>24==90|0}}while(0);c[8555504+(l*48|0)>>2]=q;q=c[b+24>>2]|0;do{if((q|0)==0){o=8555496+(l*48|0)|0;if((f|0)>0){c[o>>2]=0;r=0;break}else{c[o>>2]=1;r=1;break}}else{o=a[q]|0;if((o<<24>>24|0)==102|(o<<24>>24|0)==70){c[8555496+(l*48|0)>>2]=1;r=1;break}else{c[8555496+(l*48|0)>>2]=0;r=0;break}}}while(0);q=c[b+8>>2]|0;do{if((q|0)==0){Pb(e|0,39136,(f=i,i=i+8|0,c[f>>2]=c[h>>2],f)|0)|0;i=f}else{f=e|0;Wxa(q,c[b+12>>2]|0,f);if((a[f]|0)!=0){break}if((c[b>>2]|0)==0){Sxa(107,45296,b);k=107;i=d;return k|0}else{c[(Zc()|0)>>2]=107;k=107;i=d;return k|0}}}while(0);q=8555516+(l*48|0)|0;c[q>>2]=0;c[8555508+(l*48|0)>>2]=0;h=8555512+(l*48|0)|0;c[h>>2]=0;c[m>>2]=0;f=8555500+(l*48|0)|0;c[f>>2]=3;o=c[b+16>>2]|0;b:do{if((o|0)!=0){c:do{switch(a[o]|0){case 111:case 79:{if((Mb(e|0,0)|0)==0){break b}j=(c[b>>2]|0)==0;n=Zc()|0;s=c[n>>2]|0;if(j){Sxa(s,45296,b);k=c[n>>2]|0;i=d;return k|0}else{c[n>>2]=s;k=s;i=d;return k|0}break};case 115:case 83:{c[q>>2]=1;s=zb()|0;c[m>>2]=s;if((s|0)!=0){c[8555476+(l*48|0)>>2]=0;c[8555484+(l*48|0)>>2]=-1;c[8555480+(l*48|0)>>2]=-1;c[8555492+(l*48|0)>>2]=1;k=0;i=d;return k|0}s=(c[b>>2]|0)==0;n=Zc()|0;j=c[n>>2]|0;if(s){Sxa(j,45296,b);k=c[n>>2]|0;i=d;return k|0}else{c[n>>2]=j;k=j;i=d;return k|0}break};case 110:case 78:{if((Mb(e|0,0)|0)!=0){break c}if((c[b>>2]|0)==0){Sxa(128,45296,b);k=128;i=d;return k|0}else{c[(Zc()|0)>>2]=128;k=128;i=d;return k|0}break};case 114:case 82:{break};default:{break b}}}while(0);j=zc(e|0,c[4210]|0)|0;if((j|0)==0){break}Pa(j|0)|0}}while(0);q=e|0;e=IJa((iKa(q|0)|0)+1|0)|0;c[8555476+(l*48|0)>>2]=e;if((e|0)==0){if((c[b>>2]|0)==0){Sxa(113,32472,b);k=113;i=d;return k|0}else{c[(Zc()|0)>>2]=113;k=113;i=d;return k|0}}rKa(e|0,q|0)|0;e=b+20|0;if((c[e>>2]|0)==0){t=r}else{t=(c[g>>2]|0)==0?r:0}r=zc(q|0,c[16840+((t|2)<<2)>>2]|0)|0;do{if((r|0)==0){g=zc(q|0,c[16856+(t<<2)>>2]|0)|0;if((g|0)!=0){c[f>>2]=1;u=g;break}g=zc(q|0,c[16840+(t<<2)>>2]|0)|0;if((g|0)!=0){c[h>>2]=1;c[f>>2]=2;u=g;break}g=(c[b>>2]|0)==0;o=Zc()|0;j=c[o>>2]|0;if(g){wxa(j,45296);k=c[o>>2]|0;i=d;return k|0}else{c[o>>2]=j;k=j;i=d;return k|0}}else{u=r}}while(0);c[m>>2]=u;r=8555492+(l*48|0)|0;c[r>>2]=vxa(u)|0;u=Xxa(q,8555484+(l*48|0)|0)|0;c[8555480+(l*48|0)>>2]=u;if((u|0)==-1){if((c[b>>2]|0)==0){Sxa(108,45296,b);k=108;i=d;return k|0}else{c[(Zc()|0)>>2]=108;k=108;i=d;return k|0}}if((c[r>>2]|0)==0){k=0;i=d;return k|0}if((c[p>>2]|0)!=0){Ad(c[m>>2]|0);k=0;i=d;return k|0}p=c[e>>2]|0;if((p|0)==0){k=0;i=d;return k|0}e=a[p]|0;if(!((e<<24>>24|0)==97|(e<<24>>24|0)==65)){k=0;i=d;return k|0}if((wd(c[m>>2]|0,0,2)|0)==0){k=0;i=d;return k|0}if((c[b>>2]|0)==0){Sxa(129,45296,b);k=129;i=d;return k|0}else{c[(Zc()|0)>>2]=129;k=129;i=d;return k|0}return 0}function Sxa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=d+8|0;f=c[e>>2]|0;if((f|0)==0){wxa(a,b);return}g=d+12|0;d=c[g>>2]|0;if((d|0)<(c[4216]|0)){h=f;i=d}else{Pxa(d,0);h=c[e>>2]|0;i=c[g>>2]|0}g=c[4218]|0;c[(c[2141330]|0)+4>>2]=g;Wxa(h,i,g);wxa(a,b);return}function Txa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+56|0;f=e+16|0;g=e|0;Pb(g|0,39136,(h=i,i=i+8|0,c[h>>2]=d,h)|0)|0;i=h;c[f>>2]=1;c[f+4>>2]=d;c[f+8>>2]=g;c[f+12>>2]=iKa(g|0)|0;c[f+16>>2]=0;c[f+20>>2]=(a|0)==3?26560:6877240;c[f+24>>2]=(b|0)==5?178120:171768;c[f+28>>2]=(a|0)==4;c[f+32>>2]=0;a=Rxa(f)|0;i=e;return a|0}function Uxa(a){a=a|0;var b=0,d=0,e=0;b=c[a+4>>2]|0;d=8555472+(b*48|0)|0;c[2141330]=d;if(b>>>0>99>>>0){if((c[a>>2]|0)==0){wxa(101,129736);e=101;return e|0}else{c[(Zc()|0)>>2]=101;e=101;return e|0}}do{if((c[d>>2]|0)==0){if((Txa(3,5,b)|0)==0){break}if((c[a>>2]|0)==0){wxa(114,171552);e=114;return e|0}else{c[(Zc()|0)>>2]=114;e=114;return e|0}}}while(0);if((c[8555496+(b*48|0)>>2]|0)!=0){e=0;return e|0}if((c[a>>2]|0)==0){wxa(102,171552);e=102;return e|0}else{c[(Zc()|0)>>2]=102;e=102;return e|0}return 0}function Vxa(){var a=0;a=Exa()|0;c[2141314]=0;return a|0}function Wxa(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=d+c|0;f=b+c|0;while(1){if(!(f>>>0>b>>>0)){g=3;break}h=f-1|0;i=e-1|0;if((a[h]|0)==32){e=i;f=h}else{break}}if((g|0)==3){a[d]=0;return}a[e]=0;e=i;i=h;while(1){a[e]=a[i]|0;if(i>>>0>b>>>0){e=e-1|0;i=i-1|0}else{break}}return}function Xxa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+80|0;e=d|0;if((Dd(a|0,e|0)|0)<0){f=-1;i=d;return f|0}c[b>>2]=c[e>>2];f=c[e+72>>2]|0;i=d;return f|0}function Yxa(b,d,e,f,j){b=b|0;d=d|0;e=e|0;f=f|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;k=i;i=i+56|0;l=k|0;m=(f|0)<1?2:f;n=c[2141272]|0;if((n|0)==0){o=3}else{if((n|0)<(e+2|0)&(n|0)>(-e|0)){o=3}}a:do{if((o|0)==3){p=(((n|0)<1)<<31>>31)+e|0;if((j|0)==4){q=+g[b>>2]}else{q=+h[b>>3]}do{if(q<0.0){r=-0.0-q;s=1;t=1}else{u=c[2141334]|0;if(q!=0.0){r=q;s=u;t=0;break}r=0.0;s=u;t=0}}while(0);u=d-4-m-p-s|0;if((u|0)<0){break}v=((n|0)<0?n:0)+p|0;w=(v|0)>40;x=w?40:v;y=w?v-40|0:0;v=l|0;Pb(v|0,122776,(w=i,i=i+16|0,c[w>>2]=x,h[w+8>>3]=r,w)|0)|0;i=w;z=a[v]|0;if(!((z-48|0)>>>0<10>>>0)){if((z|0)==110|(z|0)==78){A=0}else{A=s}z=d-(iKa(v|0)|0)-A|0;if((z|0)<0){break}if((z|0)>0){B=z;do{B=B-1|0;Vd[c[2141292]&511](32);}while((B|0)>0)}if((A|0)!=0){Vd[c[2141292]&511]((t|0)!=0?45:43)}B=a[v]|0;if(B<<24>>24==0){i=k;return 0}else{D=v;E=B}do{Vd[c[2141292]&511](E<<24>>24);D=D+1|0;E=a[D]|0;}while(!(E<<24>>24==0));i=k;return 0}B=l+(x+3)|0;if(r!=0.0){p=(Sc(B|0)|0)+1|0;Pb(B|0,170432,(w=i,i=i+8|0,c[w>>2]=p-(c[2141272]|0),w)|0)|0;i=w}else{p=B;C=3158059;a[p]=C;C=C>>8;a[p+1|0]=C;C=C>>8;a[p+2|0]=C;C=C>>8;a[p+3|0]=C}p=l+(x+4)|0;B=(m|0)<2;if(B){if((a[p]|0)!=48){break}}z=l+(x+6)|0;F=(a[z]|0)==0;b:do{if(F){G=2}else{if((f|0)==0){H=l+(x+2)|0;while(1){I=H+1|0;J=a[I]|0;a[H]=J;if(J<<24>>24==0){G=2;break b}else{H=I}}}H=(f|0)<0;if(H|F){G=H?m:2;break}else{K=z;L=2}while(1){if((L|0)>=(m|0)){break a}H=L+1|0;I=K+1|0;if((a[I]|0)==0){G=H;break}else{K=I;L=H}}}}while(0);if((u|0)>0){z=u;do{z=z-1|0;Vd[c[2141292]&511](32);}while((z|0)>0)}if((s|0)!=0){Vd[c[2141292]&511]((t|0)!=0?45:43)}z=c[2141272]|0;do{if((z|0)<1){Vd[c[2141292]&511](46);u=c[2141292]|0;if((z|0)<0){F=z;w=u;while(1){Vd[w&511](48);H=F+1|0;I=c[2141292]|0;if((H|0)<0){F=H;w=I}else{M=I;break}}}else{M=u}Vd[M&511](a[v]|0);N=l+2|0}else{if((z|0)<=1){N=v;break}Vd[c[2141292]&511](a[v]|0);w=l+2|0;F=z-1|0;I=c[2141292]|0;if((F|0)>0){H=z+1|0;J=w;O=F;F=I;while(1){Vd[F&511](a[J]|0);P=O-1|0;Q=c[2141292]|0;if((P|0)>0){J=J+1|0;O=P;F=Q}else{break}}R=l+H|0;S=Q}else{R=w;S=I}Vd[S&511](46);N=R}}while(0);if((y|0)==0){T=N}else{z=l+(x+2)|0;if(N>>>0<z>>>0){v=N;while(1){F=v+1|0;Vd[c[2141292]&511](a[v]|0);if(F>>>0<z>>>0){v=F}else{U=F;break}}}else{U=N}v=y;while(1){Vd[c[2141292]&511](48);z=v-1|0;if((z|0)>0){v=z}else{T=U;break}}}if(T>>>0<p>>>0){v=T;while(1){y=v+1|0;Vd[c[2141292]&511](a[v]|0);if(y>>>0<p>>>0){v=y}else{V=y;break}}}else{V=T}if(B){Vd[c[2141292]&511](a[V+1|0]|0);i=k;return 0}v=G+1|0;if((v|0)<=(m|0)){p=v;do{Vd[c[2141292]&511](48);p=p+1|0;}while((p|0)<=(m|0))}p=a[V]|0;if(p<<24>>24==0){i=k;return 0}else{W=V;X=p}do{W=W+1|0;Vd[c[2141292]&511](X<<24>>24);X=a[W]|0;}while(!(X<<24>>24==0));i=k;return 0}}while(0);if((d|0)>0){Y=d}else{i=k;return 0}do{Y=Y-1|0;Vd[c[2141292]&511](42);}while((Y|0)>0);i=k;return 0}function Zxa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0;j=i;i=i+656|0;k=j|0;if((f|0)==4){l=+g[b>>2]}else{l=+h[b>>3]}b=(e|0)<344;f=b?e:344;m=b?0:e-344|0;do{if(l<0.0){n=-0.0-l;o=1}else{if(l!=0.0){n=l;o=0;break}n=0.0;o=0}}while(0);e=c[2141272]|0;if((e|0)==0){p=n}else{if((e|0)>0){l=n;b=e;while(1){q=l*10.0;r=b-1|0;if((r|0)>0){l=q;b=r}else{p=q;break}}}else{l=n;b=e;while(1){n=l*.1;e=b+1|0;if((e|0)<0){l=n;b=e}else{p=n;break}}}}b=k|0;e=Pb(b|0,102240,(r=i,i=i+16|0,c[r>>2]=f,h[r+8>>3]=p,r)|0)|0;i=r;r=e+m|0;if((a[b]|0)!=48|(f|0)==0){s=b;t=r}else{s=k+1|0;t=r-1|0}a:do{if((o|0)==1){r=s;while(1){k=a[r]|0;if(!(k<<24>>24==48)){b=k<<24>>24;if((b|0)==0){u=0;break a}else if((b|0)!=46){break}}r=r+1|0}u=1}else{u=o}}while(0);o=(u|0)==0;r=((c[2141334]|u|0)!=0)+t|0;if((r|0)>(d|0)){if((d|0)>0){v=d}else{i=j;return 0}do{v=v-1|0;Vd[c[2141292]&511](42);}while((v|0)>0);i=j;return 0}v=d-r|0;if((v|0)>0){r=v;do{r=r-1|0;Vd[c[2141292]&511](32);}while((r|0)>0)}do{if(o){if((c[2141334]|0)==0){break}Vd[c[2141292]&511](43)}else{Vd[c[2141292]&511](45)}}while(0);o=a[s]|0;if(!(o<<24>>24==0)){r=s;s=o;do{r=r+1|0;Vd[c[2141292]&511](s<<24>>24);s=a[r]|0;}while(!(s<<24>>24==0))}if((m|0)>0){w=m}else{i=j;return 0}do{w=w-1|0;Vd[c[2141292]&511](48);}while((w|0)>0);i=j;return 0}function _xa(d,e,f){d=d|0;e=e|0;f=f|0;var g=0;if((f|0)==4){g=c[d>>2]|0}else if((f|0)==1){g=a[d]|0}else{g=b[d>>1]|0}d=e-1|0;if((d|0)>0){e=0;do{Vd[c[2141292]&511](32);e=e+1|0;}while((e|0)<(d|0))}d=c[2141292]|0;if((g|0)==0){Vd[d&511](70);return 0}else{Vd[d&511](84);return 0}return 0}function $xa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;if((c[2141332]|0)==0){f=3}else{g=aya()|0;if((g|0)==0){f=3}else{h=g}}a:do{if((f|0)==3){g=c[a>>2]|0;switch(g|0){case 31:{eya(b,c[a+4>>2]|0,d);h=0;break a;break};case 7:{break};case 32:{bya(b,c[a+4>>2]|0,d,8);h=0;break a;break};case 30:{dya(b,d);h=0;break a;break};case 34:{cya(b,c[a+4>>2]|0,c[a+8>>2]|0,d,8);h=0;break a;break};case 10:{cya(b,c[a+4>>2]|0,c[a+8>>2]|0,d,10);h=0;break a;break};case 29:{_xa(b,c[a+4>>2]|0,d)|0;h=0;break a;break};case 26:case 24:case 25:{h=Yxa(b,c[a+4>>2]|0,c[a+8>>2]|0,c[a+12>>2]|0,d)|0;break a;break};case 27:case 28:{h=fya(b,c[a+4>>2]|0,c[a+8>>2]|0,c[a+12>>2]|0,d)|0;break a;break};case 23:{h=Zxa(b,c[a+4>>2]|0,c[a+8>>2]|0,d)|0;break a;break};case 35:{gya(b,c[a+4>>2]|0,0,d);h=0;break a;break};case 36:{gya(b,c[a+4>>2]|0,c[a+8>>2]|0,d);h=0;break a;break};default:{od(c[u>>2]|0,121848,(j=i,i=i+8|0,c[j>>2]=g,j)|0)|0;i=j;lxa(c[2141314]|0,1)}}bya(b,c[a+4>>2]|0,d,10);h=0}}while(0);i=e;return h|0}function aya(){var a=0,b=0,d=0,e=0,f=0,g=0,h=0,i=0;a=c[2141332]|0;c[2141332]=0;if((c[2141316]|0)!=0){if((a|0)>0){b=c[2141310]|0;d=c[2141288]|0;if((b|0)<=(d|0)){e=a;while(1){Vd[c[2141292]&511](32);f=e-1|0;if((f|0)>0){e=f}else{g=0;break}}return g|0}e=d+a|0;if((b|0)>(e|0)){c[2141288]=e;g=0;return g|0}e=a-b+d|0;c[2141288]=b;if((e|0)>0){h=e}else{g=0;return g|0}while(1){Vd[c[2141292]&511](32);e=h-1|0;if((e|0)>0){h=e}else{g=0;break}}return g|0}if((a|0)>=0){g=0;return g|0}h=c[2141288]|0;e=h+a|0;if((e|0)>=0){if((c[2141310]|0)<(h|0)){c[2141310]=h}c[2141288]=e;g=0;return g|0}if((c[c[2141318]>>2]|0)==0){wxa(110,129416);g=110;return g|0}else{c[(Zc()|0)>>2]=110;g=110;return g|0}}if((a|0)<0){e=c[2141288]|0;if((c[2141310]|0)<(e|0)){c[2141310]=e}h=e+a|0;c[2141288]=h;c[2141308]=(c[2141308]|0)+a;if((h|0)>=0){g=0;return g|0}if((c[c[2141318]>>2]|0)==0){wxa(110,129416);g=110;return g|0}else{c[(Zc()|0)>>2]=110;g=110;return g|0}}if((a|0)<=0){g=0;return g|0}h=c[2141288]|0;e=h+a|0;if((e|0)>=(c[(c[2141268]|0)+16>>2]|0)){if((c[c[2141318]>>2]|0)==0){wxa(110,102024);g=110;return g|0}else{c[(Zc()|0)>>2]=110;g=110;return g|0}}b=c[2141310]|0;if((b|0)<=(h|0)){d=a;while(1){Vd[c[2141292]&511](32);f=d-1|0;if((f|0)>0){d=f}else{g=0;break}}return g|0}if((b|0)>(e|0)){c[2141308]=(c[2141308]|0)+a;c[2141288]=e;g=0;return g|0}e=b-h|0;h=a-e|0;c[2141308]=(c[2141308]|0)+e;c[2141288]=b;if((h|0)>0){i=h}else{g=0;return g|0}while(1){Vd[c[2141292]&511](32);h=i-1|0;if((h|0)>0){i=h}else{g=0;break}}return g|0}function bya(d,e,f,g){d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+16|0;j=h|0;k=h+8|0;if((f|0)==1){l=a[d]|0}else if((f|0)==4){l=c[d>>2]|0}else{l=b[d>>1]|0}d=Nxa(l,j,k,g)|0;g=c[k>>2]|0;l=(((c[2141334]|g|0)!=0)<<31>>31)+(e-(c[j>>2]|0))|0;if((l|0)<0){if((e|0)>0){m=0}else{i=h;return}do{Vd[c[2141292]&511](42);m=m+1|0;}while((m|0)<(e|0));i=h;return}if((l|0)>0){e=0;do{Vd[c[2141292]&511](32);e=e+1|0;}while((e|0)<(l|0));n=c[k>>2]|0}else{n=g}do{if((n|0)==0){if((c[2141334]|0)==0){break}Vd[c[2141292]&511](43)}else{Vd[c[2141292]&511](45)}}while(0);if((c[j>>2]|0)>0){o=0;p=d}else{i=h;return}while(1){Vd[c[2141292]&511](a[p]|0);d=o+1|0;if((d|0)<(c[j>>2]|0)){o=d;p=p+1|0}else{break}}i=h;return}function cya(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;j=i;i=i+16|0;k=j|0;l=j+8|0;if((g|0)==4){m=c[d>>2]|0}else if((g|0)==1){m=a[d]|0}else{m=b[d>>1]|0}d=Nxa(m,k,l,h)|0;h=c[l>>2]|0;g=(c[2141334]|h|0)!=0|0;n=c[k>>2]|0;do{if((g+n|0)<=(e|0)){if((g+f|0)>(e|0)){break}if((m|f|0)==0){if((e|0)>0){o=0}else{i=j;return}do{Vd[c[2141292]&511](32);o=o+1|0;}while((o|0)<(e|0));i=j;return}p=e-((n|0)<(f|0)?f:n)-g|0;if((p|0)>0){q=0;do{Vd[c[2141292]&511](32);q=q+1|0;}while((q|0)<(p|0));r=c[l>>2]|0}else{r=h}do{if((r|0)==0){if((c[2141334]|0)==0){break}Vd[c[2141292]&511](43)}else{Vd[c[2141292]&511](45)}}while(0);p=c[k>>2]|0;if((f-p|0)>0){q=0;while(1){Vd[c[2141292]&511](48);s=q+1|0;t=c[k>>2]|0;if((s|0)<(f-t|0)){q=s}else{u=t;break}}}else{u=p}if((u|0)>0){v=0;w=d}else{i=j;return}while(1){Vd[c[2141292]&511](a[w]|0);q=v+1|0;if((q|0)<(c[k>>2]|0)){v=q;w=w+1|0}else{break}}i=j;return}}while(0);if((e|0)>0){x=0}else{i=j;return}do{Vd[c[2141292]&511](42);x=x+1|0;}while((x|0)<(e|0));i=j;return}function dya(b,d){b=b|0;d=d|0;var e=0,f=0;if((d|0)>0){e=b;f=d}else{return}while(1){d=f-1|0;Vd[c[2141292]&511](a[e]|0);if((d|0)>0){e=e+1|0;f=d}else{break}}return}function eya(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if((d|0)>(e|0)){f=d;while(1){g=f-1|0;Vd[c[2141292]&511](32);if((g|0)>(e|0)){f=g}else{h=e;break}}}else{h=d}if((h|0)>0){i=h;j=b}else{return}while(1){b=i-1|0;Vd[c[2141292]&511](a[j]|0);if((b|0)>0){i=b;j=j+1|0}else{break}}return}function fya(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var i=0.0,j=0.0,k=0,l=0,m=0,n=0;if((f|0)==4){i=+g[a>>2]}else{i=+h[a>>3]}if(i<0.0){j=-0.0-i}else{j=i}a:do{if(j<.1){if(!(j!=0.0)){k=1;break}l=Yxa(a,b,d,e,f)|0;return l|0}else{if((d|0)>=0){i=1.0;m=0;while(1){if(j<i){k=m;break a}n=m+1|0;if((n|0)>(d|0)){break}else{i=i*10.0;m=n}}}l=Yxa(a,b,d,e,f)|0;return l|0}}while(0);m=c[2141272]|0;c[2141272]=0;n=(e|0)==0?4:e+2|0;e=Zxa(a,b-n|0,d-k|0,f)|0;if((n|0)>0){f=0;do{Vd[c[2141292]&511](32);f=f+1|0;}while((f|0)<(n|0))}c[2141272]=m;l=e;return l|0}function gya(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=b;i=h+(g-1)|0;while(1){if((i|0)==(h|0)){j=3;break}g=a[i]|0;if(g<<24>>24==0){i=i-1|0}else{k=i;l=0;m=g;break}}if((j|0)==3){k=h;l=1;m=a[h]|0}j=((m&255)>>>0>15>>>0)+(k-b<<1|1)|0;if((j|0)>(e|0)){if((e|0)>0){n=0}else{return}do{Vd[c[2141292]&511](42);n=n+1|0;}while((n|0)<(e|0));return}n=f-j|0;b=(n|0)>0;m=b?f:j;j=e-1|0;if((j|0)>=(m|0)){e=j;do{Vd[c[2141292]&511](32);e=e-1|0;}while((e|0)>=(m|0))}if(b){b=n;do{b=b-1|0;Vd[c[2141292]&511](48);}while((b|0)>0)}b=a[k]|0;do{if((b&240|0)==0){Vd[c[2141292]&511](a[344+(b&15)|0]|0);if(l){return}else{o=k-1|0;break}}else{o=k}}while(0);while(1){Vd[c[2141292]&511](a[344+((d[o]|0)>>>4)|0]|0);Vd[c[2141292]&511](a[344+(a[o]&15)|0]|0);if((o|0)==(h|0)){break}o=o-1|0}return}function hya(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;d=c[a>>2]|0;switch(d|0){case 5:{break};case 14:case 4:{c[2141332]=(c[2141332]|0)+(c[a+4>>2]|0);e=1;i=b;return e|0};case 15:{c[2141332]=(c[a+4>>2]|0)-1-(c[2141288]|0);e=1;i=b;return e|0};case 13:{f=(c[2141332]|0)-(c[a+4>>2]|0)|0;c[2141332]=f;g=-(c[2141288]|0)|0;if((f|0)>=(g|0)){e=1;i=b;return e|0}c[2141332]=g;e=1;i=b;return e|0};case 11:{e=iya(c[a+8>>2]|0)|0;i=b;return e|0};case 12:{e=jya(c[a+4>>2]|0,c[a+8>>2]|0)|0;i=b;return e|0};default:{od(c[u>>2]|0,170184,(a=i,i=i+8|0,c[a>>2]=d,a)|0)|0;i=a;lxa(c[2141314]|0,1)}}e=je[c[2141322]&15]()|0;i=b;return e|0}function iya(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;do{if((c[2141332]|0)!=0){d=aya()|0;if((d|0)==0){break}else{e=d}return e|0}}while(0);d=a[b]|0;f=b+1|0;g=a[f]|0;if(g<<24>>24==0){e=1;return e|0}else{h=b;i=f;j=g}while(1){if(j<<24>>24==d<<24>>24){g=h+2|0;if(!((a[g]|0)==d<<24>>24)){e=1;k=9;break}Vd[c[2141292]&511](d<<24>>24);l=g}else{Vd[c[2141292]&511](j<<24>>24);l=i}g=l+1|0;f=a[g]|0;if(f<<24>>24==0){e=1;k=9;break}else{h=l;i=g;j=f}}if((k|0)==9){return e|0}return 0}function jya(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;do{if((c[2141332]|0)!=0){e=aya()|0;if((e|0)==0){break}else{f=e}return f|0}}while(0);if((b|0)==0){f=1;return f|0}else{g=b;h=d}while(1){d=g-1|0;Vd[c[2141292]&511](a[h]|0);if((d|0)==0){f=1;break}else{g=d;h=h+1|0}}return f|0}function kya(){var a=0;a=Oxa(10)|0;c[2141332]=0;c[2141288]=0;c[2141310]=0;return(a|0)==0|0}function lya(a){a=a|0;var b=0,d=0,e=0;if((c[2141300]|0)==0){xxa()}c[2141290]=0;c[2141270]=1;c[2141312]=1;c[2141316]=1;b=Uxa(a)|0;if((b|0)!=0){d=b;return d|0}c[2141318]=a;c[2141288]=0;c[2141332]=0;c[2141310]=0;c[2141298]=0;c[2141272]=0;b=c[a+12>>2]|0;c[2141314]=b;c[2141348]=c[c[2141330]>>2];if((Axa(b)|0)<0){if((c[a>>2]|0)==0){wxa(100,119352);d=100;return d|0}else{c[(Zc()|0)>>2]=100;d=100;return d|0}}c[2141292]=262;c[2141328]=32;c[2141324]=186;c[2141326]=2;c[2141320]=4;c[2141322]=6;Fxa();c[2141334]=0;b=c[2141330]|0;c[2141350]=c[b+32>>2];if((c[b+40>>2]|0)==1){d=0;return d|0}if((yxa(b)|0)==0){d=0;return d|0}b=(c[a>>2]|0)==0;a=Zc()|0;e=c[a>>2]|0;if(b){wxa(e,169552);d=c[a>>2]|0;return d|0}else{c[a>>2]=e;d=e;return d|0}return 0}function mya(){var a=0;if((c[2141298]|0)==0){a=Oxa(10)|0}else{Oxa(0)|0;Ta(c[2141348]|0)|0;a=0}c[2141332]=0;c[2141288]=0;c[2141310]=0;return a|0}function nya(){var a=0,b=0;if((c[2138866]|0)==0){a=0}else{b=Oxa(10)|0;c[2138866]=0;a=b}c[2141332]=0;c[2141288]=0;c[2141310]=0;return a|0}function oya(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;i=i+32|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;h=c[q>>2]|0;Kya(8571928,h,8572056);c[2143230]=8525596;c[2143232]=8525616;c[2143231]=0;BAa(8572928,8571928);c[2143250]=0;c[2143251]=-1;j=c[r>>2]|0;c[2142958]=8525280;jGa(8571836);lKa(8571840,0,24)|0;c[2142958]=8525816;c[2142966]=j;kGa(g,8571836);k=nGa(g,8572256)|0;l=k;lGa(g);c[2142967]=l;c[2142968]=8572064;a[8571876]=(Yd[c[(c[k>>2]|0)+28>>2]&255](l)|0)&1;c[2143164]=8525500;c[2143165]=8525520;BAa(8572660,8571832);c[2143183]=0;c[2143184]=-1;l=c[u>>2]|0;c[2142970]=8525280;jGa(8571884);lKa(8571888,0,24)|0;c[2142970]=8525816;c[2142978]=l;kGa(f,8571884);k=nGa(f,8572256)|0;g=k;lGa(f);c[2142979]=g;c[2142980]=8572072;a[8571924]=(Yd[c[(c[k>>2]|0)+28>>2]&255](g)|0)&1;c[2143208]=8525500;c[2143209]=8525520;BAa(8572836,8571880);c[2143227]=0;c[2143228]=-1;g=c[(c[(c[2143208]|0)-12>>2]|0)+8572856>>2]|0;c[2143186]=8525500;c[2143187]=8525520;BAa(8572748,g);c[2143205]=0;c[2143206]=-1;c[(c[(c[2143230]|0)-12>>2]|0)+8572992>>2]=8572656;g=(c[(c[2143208]|0)-12>>2]|0)+8572836|0;c[g>>2]=c[g>>2]|8192;c[(c[(c[2143208]|0)-12>>2]|0)+8572904>>2]=8572656;wya(8571776,h,8572080);c[2143142]=8525548;c[2143144]=8525568;c[2143143]=0;BAa(8572576,8571776);c[2143162]=0;c[2143163]=-1;c[2142920]=8525208;jGa(8571684);lKa(8571688,0,24)|0;c[2142920]=8525744;c[2142928]=j;kGa(e,8571684);j=nGa(e,8572248)|0;h=j;lGa(e);c[2142929]=h;c[2142930]=8572088;a[8571724]=(Yd[c[(c[j>>2]|0)+28>>2]&255](h)|0)&1;c[2143072]=8525452;c[2143073]=8525472;BAa(8572292,8571680);c[2143091]=0;c[2143092]=-1;c[2142932]=8525208;jGa(8571732);lKa(8571736,0,24)|0;c[2142932]=8525744;c[2142940]=l;kGa(d,8571732);l=nGa(d,8572248)|0;h=l;lGa(d);c[2142941]=h;c[2142942]=8572096;a[8571772]=(Yd[c[(c[l>>2]|0)+28>>2]&255](h)|0)&1;c[2143116]=8525452;c[2143117]=8525472;BAa(8572468,8571728);c[2143135]=0;c[2143136]=-1;h=c[(c[(c[2143116]|0)-12>>2]|0)+8572488>>2]|0;c[2143094]=8525452;c[2143095]=8525472;BAa(8572380,h);c[2143113]=0;c[2143114]=-1;c[(c[(c[2143142]|0)-12>>2]|0)+8572640>>2]=8572288;h=(c[(c[2143116]|0)-12>>2]|0)+8572468|0;c[h>>2]=c[h>>2]|8192;c[(c[(c[2143116]|0)-12>>2]|0)+8572536>>2]=8572288;i=b;return}function pya(a){a=a|0;zBa(8572656)|0;zBa(8572744)|0;GBa(8572288)|0;GBa(8572376)|0;return}function qya(a){a=a|0;c[a>>2]=8525208;lGa(a+4|0);return}function rya(a){a=a|0;c[a>>2]=8525208;lGa(a+4|0);QJa(a);return}function sya(b,d){b=b|0;d=d|0;var e=0;Yd[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=nGa(d,8572248)|0;d=e;c[b+36>>2]=d;a[b+44|0]=(Yd[c[(c[e>>2]|0)+28>>2]&255](d)|0)&1;return}function tya(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a+36|0;g=a+40|0;h=d|0;j=d+8|0;k=d;d=a+32|0;while(1){a=c[f>>2]|0;l=Zd[c[(c[a>>2]|0)+20>>2]&127](a,c[g>>2]|0,h,j,e)|0;a=(c[e>>2]|0)-k|0;if((Ya(h|0,1,a|0,c[d>>2]|0)|0)!=(a|0)){m=-1;n=5;break}if((l|0)==2){m=-1;n=5;break}else if((l|0)!=1){n=4;break}}if((n|0)==4){m=((Ta(c[d>>2]|0)|0)!=0)<<31>>31;i=b;return m|0}else if((n|0)==5){i=b;return m|0}return 0}function uya(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if((a[b+44|0]|0)!=0){f=Ya(d|0,4,e|0,c[b+32>>2]|0)|0;return f|0}g=b;if((e|0)>0){h=d;i=0}else{f=0;return f|0}while(1){if((he[c[(c[g>>2]|0)+52>>2]&127](b,c[h>>2]|0)|0)==-1){f=i;j=6;break}d=i+1|0;if((d|0)<(e|0)){h=h+4|0;i=d}else{f=d;j=6;break}}if((j|0)==6){return f|0}return 0}function vya(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=(d|0)==-1;a:do{if(!k){c[g>>2]=d;if((a[b+44|0]|0)!=0){if((Ya(g|0,4,1,c[b+32>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}m=f|0;c[h>>2]=m;n=g+4|0;o=b+36|0;p=b+40|0;q=f+8|0;r=f;s=b+32|0;t=g;while(1){u=c[o>>2]|0;v=ne[c[(c[u>>2]|0)+12>>2]&31](u,c[p>>2]|0,t,n,j,m,q,h)|0;if((c[j>>2]|0)==(t|0)){l=-1;w=12;break}if((v|0)==3){w=7;break}u=(v|0)==1;if(!(v>>>0<2>>>0)){l=-1;w=12;break}v=(c[h>>2]|0)-r|0;if((Ya(m|0,1,v|0,c[s>>2]|0)|0)!=(v|0)){l=-1;w=12;break}if(u){t=u?c[j>>2]|0:t}else{break a}}if((w|0)==7){if((Ya(t|0,1,1,c[s>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}else if((w|0)==12){i=e;return l|0}}}while(0);l=k?0:d;i=e;return l|0}function wya(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+8|0;g=f|0;h=b|0;c[h>>2]=8525208;j=b+4|0;jGa(j);lKa(b+8|0,0,24)|0;c[h>>2]=8526144;c[b+32>>2]=d;c[b+40>>2]=e;c[b+48>>2]=-1;a[b+52|0]=0;kGa(g,j);j=nGa(g,8572248)|0;e=j;d=b+36|0;c[d>>2]=e;h=b+44|0;c[h>>2]=Yd[c[(c[j>>2]|0)+24>>2]&255](e)|0;e=c[d>>2]|0;a[b+53|0]=(Yd[c[(c[e>>2]|0)+28>>2]&255](e)|0)&1;if((c[h>>2]|0)<=8){lGa(g);i=f;return}vFa(26272);lGa(g);i=f;return}function xya(a){a=a|0;c[a>>2]=8525208;lGa(a+4|0);return}function yya(a){a=a|0;c[a>>2]=8525208;lGa(a+4|0);QJa(a);return}function zya(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=nGa(d,8572248)|0;d=e;f=b+36|0;c[f>>2]=d;g=b+44|0;c[g>>2]=Yd[c[(c[e>>2]|0)+24>>2]&255](d)|0;d=c[f>>2]|0;a[b+53|0]=(Yd[c[(c[d>>2]|0)+28>>2]&255](d)|0)&1;if((c[g>>2]|0)<=8){return}vFa(26272);return}function Aya(a){a=a|0;return Dya(a,0)|0}function Bya(a){a=a|0;return Dya(a,1)|0}function Cya(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;l=(a[k]|0)!=0;if((d|0)==-1){if(l){m=-1;i=e;return m|0}n=c[b+48>>2]|0;a[k]=(n|0)!=-1|0;m=n;i=e;return m|0}n=b+48|0;a:do{if(l){c[h>>2]=c[n>>2];o=c[b+36>>2]|0;p=f|0;q=ne[c[(c[o>>2]|0)+12>>2]&31](o,c[b+40>>2]|0,h,h+4|0,j,p,f+8|0,g)|0;if((q|0)==3){a[p]=c[n>>2];c[g>>2]=f+1}else if((q|0)==2|(q|0)==1){m=-1;i=e;return m|0}q=b+32|0;while(1){o=c[g>>2]|0;if(!(o>>>0>p>>>0)){break a}r=o-1|0;c[g>>2]=r;if((ed(a[r]|0,c[q>>2]|0)|0)==-1){m=-1;break}}i=e;return m|0}}while(0);c[n>>2]=d;a[k]=1;m=d;i=e;return m|0}function Dya(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;if((a[k]|0)!=0){l=b+48|0;m=c[l>>2]|0;if(!d){n=m;i=e;return n|0}c[l>>2]=-1;a[k]=0;n=m;i=e;return n|0}m=c[b+44>>2]|0;k=(m|0)>1?m:1;a:do{if((k|0)>0){m=b+32|0;l=0;while(1){o=Cb(c[m>>2]|0)|0;if((o|0)==-1){n=-1;break}a[f+l|0]=o;l=l+1|0;if((l|0)>=(k|0)){break a}}i=e;return n|0}}while(0);b:do{if((a[b+53|0]|0)==0){l=b+40|0;m=b+36|0;o=f|0;p=g+4|0;q=b+32|0;r=k;while(1){s=c[l>>2]|0;t=s;u=c[t>>2]|0;v=c[t+4>>2]|0;t=c[m>>2]|0;w=f+r|0;x=ne[c[(c[t>>2]|0)+16>>2]&31](t,s,o,w,h,g,p,j)|0;if((x|0)==3){y=14;break}else if((x|0)==2){n=-1;y=22;break}else if((x|0)!=1){z=r;break b}x=c[l>>2]|0;c[x>>2]=u;c[x+4>>2]=v;if((r|0)==8){n=-1;y=22;break}v=Cb(c[q>>2]|0)|0;if((v|0)==-1){n=-1;y=22;break}a[w]=v;r=r+1|0}if((y|0)==14){c[g>>2]=a[o]|0;z=r;break}else if((y|0)==22){i=e;return n|0}}else{c[g>>2]=a[f|0]|0;z=k}}while(0);if(d){d=c[g>>2]|0;c[b+48>>2]=d;n=d;i=e;return n|0}d=b+32|0;b=z;while(1){if((b|0)<=0){break}z=b-1|0;if((ed(a[f+z|0]|0,c[d>>2]|0)|0)==-1){n=-1;y=22;break}else{b=z}}if((y|0)==22){i=e;return n|0}n=c[g>>2]|0;i=e;return n|0}function Eya(a){a=a|0;c[a>>2]=8525280;lGa(a+4|0);return}function Fya(a){a=a|0;c[a>>2]=8525280;lGa(a+4|0);QJa(a);return}function Gya(b,d){b=b|0;d=d|0;var e=0;Yd[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=nGa(d,8572256)|0;d=e;c[b+36>>2]=d;a[b+44|0]=(Yd[c[(c[e>>2]|0)+28>>2]&255](d)|0)&1;return}function Hya(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a+36|0;g=a+40|0;h=d|0;j=d+8|0;k=d;d=a+32|0;while(1){a=c[f>>2]|0;l=Zd[c[(c[a>>2]|0)+20>>2]&127](a,c[g>>2]|0,h,j,e)|0;a=(c[e>>2]|0)-k|0;if((Ya(h|0,1,a|0,c[d>>2]|0)|0)!=(a|0)){m=-1;n=5;break}if((l|0)==2){m=-1;n=5;break}else if((l|0)!=1){n=4;break}}if((n|0)==4){m=((Ta(c[d>>2]|0)|0)!=0)<<31>>31;i=b;return m|0}else if((n|0)==5){i=b;return m|0}return 0}function Iya(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;if((a[b+44|0]|0)!=0){g=Ya(e|0,1,f|0,c[b+32>>2]|0)|0;return g|0}h=b;if((f|0)>0){i=e;j=0}else{g=0;return g|0}while(1){if((he[c[(c[h>>2]|0)+52>>2]&127](b,d[i]|0)|0)==-1){g=j;k=6;break}e=j+1|0;if((e|0)<(f|0)){i=i+1|0;j=e}else{g=e;k=6;break}}if((k|0)==6){return g|0}return 0}function Jya(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=(d|0)==-1;a:do{if(!k){a[g]=d;if((a[b+44|0]|0)!=0){if((Ya(g|0,1,1,c[b+32>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}m=f|0;c[h>>2]=m;n=g+1|0;o=b+36|0;p=b+40|0;q=f+8|0;r=f;s=b+32|0;t=g;while(1){u=c[o>>2]|0;v=ne[c[(c[u>>2]|0)+12>>2]&31](u,c[p>>2]|0,t,n,j,m,q,h)|0;if((c[j>>2]|0)==(t|0)){l=-1;w=12;break}if((v|0)==3){w=7;break}u=(v|0)==1;if(!(v>>>0<2>>>0)){l=-1;w=12;break}v=(c[h>>2]|0)-r|0;if((Ya(m|0,1,v|0,c[s>>2]|0)|0)!=(v|0)){l=-1;w=12;break}if(u){t=u?c[j>>2]|0:t}else{break a}}if((w|0)==7){if((Ya(t|0,1,1,c[s>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}else if((w|0)==12){i=e;return l|0}}}while(0);l=k?0:d;i=e;return l|0}function Kya(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+8|0;g=f|0;h=b|0;c[h>>2]=8525280;j=b+4|0;jGa(j);lKa(b+8|0,0,24)|0;c[h>>2]=8526216;c[b+32>>2]=d;c[b+40>>2]=e;c[b+48>>2]=-1;a[b+52|0]=0;kGa(g,j);j=nGa(g,8572256)|0;e=j;d=b+36|0;c[d>>2]=e;h=b+44|0;c[h>>2]=Yd[c[(c[j>>2]|0)+24>>2]&255](e)|0;e=c[d>>2]|0;a[b+53|0]=(Yd[c[(c[e>>2]|0)+28>>2]&255](e)|0)&1;if((c[h>>2]|0)<=8){lGa(g);i=f;return}vFa(26272);lGa(g);i=f;return}function Lya(a){a=a|0;c[a>>2]=8525280;lGa(a+4|0);return}function Mya(a){a=a|0;c[a>>2]=8525280;lGa(a+4|0);QJa(a);return}function Nya(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=nGa(d,8572256)|0;d=e;f=b+36|0;c[f>>2]=d;g=b+44|0;c[g>>2]=Yd[c[(c[e>>2]|0)+24>>2]&255](d)|0;d=c[f>>2]|0;a[b+53|0]=(Yd[c[(c[d>>2]|0)+28>>2]&255](d)|0)&1;if((c[g>>2]|0)<=8){return}vFa(26272);return}function Oya(a){a=a|0;return Rya(a,0)|0}function Pya(a){a=a|0;return Rya(a,1)|0}function Qya(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;l=(a[k]|0)!=0;if((d|0)==-1){if(l){m=-1;i=e;return m|0}n=c[b+48>>2]|0;a[k]=(n|0)!=-1|0;m=n;i=e;return m|0}n=b+48|0;a:do{if(l){a[h]=c[n>>2];o=c[b+36>>2]|0;p=f|0;q=ne[c[(c[o>>2]|0)+12>>2]&31](o,c[b+40>>2]|0,h,h+1|0,j,p,f+8|0,g)|0;if((q|0)==3){a[p]=c[n>>2];c[g>>2]=f+1}else if((q|0)==2|(q|0)==1){m=-1;i=e;return m|0}q=b+32|0;while(1){o=c[g>>2]|0;if(!(o>>>0>p>>>0)){break a}r=o-1|0;c[g>>2]=r;if((ed(a[r]|0,c[q>>2]|0)|0)==-1){m=-1;break}}i=e;return m|0}}while(0);c[n>>2]=d;a[k]=1;m=d;i=e;return m|0}function Rya(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;f=i;i=i+32|0;g=f|0;h=f+8|0;j=f+16|0;k=f+24|0;l=b+52|0;if((a[l]|0)!=0){m=b+48|0;n=c[m>>2]|0;if(!e){o=n;i=f;return o|0}c[m>>2]=-1;a[l]=0;o=n;i=f;return o|0}n=c[b+44>>2]|0;l=(n|0)>1?n:1;a:do{if((l|0)>0){n=b+32|0;m=0;while(1){p=Cb(c[n>>2]|0)|0;if((p|0)==-1){o=-1;break}a[g+m|0]=p;m=m+1|0;if((m|0)>=(l|0)){break a}}i=f;return o|0}}while(0);b:do{if((a[b+53|0]|0)==0){m=b+40|0;n=b+36|0;p=g|0;q=h+1|0;r=b+32|0;s=l;while(1){t=c[m>>2]|0;u=t;v=c[u>>2]|0;w=c[u+4>>2]|0;u=c[n>>2]|0;x=g+s|0;y=ne[c[(c[u>>2]|0)+16>>2]&31](u,t,p,x,j,h,q,k)|0;if((y|0)==3){z=14;break}else if((y|0)==2){o=-1;z=23;break}else if((y|0)!=1){A=s;break b}y=c[m>>2]|0;c[y>>2]=v;c[y+4>>2]=w;if((s|0)==8){o=-1;z=23;break}w=Cb(c[r>>2]|0)|0;if((w|0)==-1){o=-1;z=23;break}a[x]=w;s=s+1|0}if((z|0)==14){a[h]=a[p]|0;A=s;break}else if((z|0)==23){i=f;return o|0}}else{a[h]=a[g|0]|0;A=l}}while(0);do{if(e){l=a[h]|0;c[b+48>>2]=l&255;B=l}else{l=b+32|0;k=A;while(1){if((k|0)<=0){z=21;break}j=k-1|0;if((ed(d[g+j|0]|0,c[l>>2]|0)|0)==-1){o=-1;z=23;break}else{k=j}}if((z|0)==21){B=a[h]|0;break}else if((z|0)==23){i=f;return o|0}}}while(0);o=B&255;i=f;return o|0}function Sya(){oya(0);Fb(190,8573008,s|0)|0;return}function Tya(a){a=a|0;return}function Uya(a){a=a|0;var b=0;b=a+4|0;I=c[b>>2]|0,c[b>>2]=I+1,I;return}function Vya(a){a=a|0;var b=0,d=0;b=a+4|0;if(((I=c[b>>2]|0,c[b>>2]=I+ -1,I)|0)!=0){d=0;return d|0}Vd[c[(c[a>>2]|0)+8>>2]&511](a);d=1;return d|0}function Wya(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a>>2]=8523440;d=a+4|0;if((d|0)==0){return}a=iKa(b|0)|0;e=PJa(a+13|0)|0;c[e+4>>2]=a;c[e>>2]=a;f=e+12|0;c[d>>2]=f;c[e+8>>2]=0;kKa(f|0,b|0,a+1|0)|0;return}function Xya(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=8523440;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}RJa(e)}}while(0);QJa(a);return}function Yya(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=8523440;b=a+4|0;d=(c[b>>2]|0)-4|0;if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)>=0){e=a|0;return}d=(c[b>>2]|0)-12|0;if((d|0)==0){e=a|0;return}RJa(d);e=a|0;return}function Zya(a){a=a|0;return c[a+4>>2]|0}function _ya(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;c[b>>2]=8523344;e=b+4|0;if((e|0)==0){return}if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=iKa(f|0)|0;b=PJa(d+13|0)|0;c[b+4>>2]=d;c[b>>2]=d;g=b+12|0;c[e>>2]=g;c[b+8>>2]=0;kKa(g|0,f|0,d+1|0)|0;return}function $ya(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a>>2]=8523344;d=a+4|0;if((d|0)==0){return}a=iKa(b|0)|0;e=PJa(a+13|0)|0;c[e+4>>2]=a;c[e>>2]=a;f=e+12|0;c[d>>2]=f;c[e+8>>2]=0;kKa(f|0,b|0,a+1|0)|0;return}function aza(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=8523344;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}RJa(e)}}while(0);QJa(a);return}function bza(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=8523344;b=a+4|0;d=(c[b>>2]|0)-4|0;if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)>=0){e=a|0;return}d=(c[b>>2]|0)-12|0;if((d|0)==0){e=a|0;return}RJa(d);e=a|0;return}function cza(a){a=a|0;return c[a+4>>2]|0}function dza(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=8523440;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}RJa(e)}}while(0);QJa(a);return}function eza(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=8523440;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}RJa(e)}}while(0);QJa(a);return}function fza(a){a=a|0;return}function gza(a,b,d){a=a|0;b=b|0;d=d|0;c[a>>2]=d;c[a+4>>2]=b;return}function hza(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;le[c[(c[a>>2]|0)+12>>2]&15](f,a,b);if((c[f+4>>2]|0)!=(c[d+4>>2]|0)){g=0;i=e;return g|0}g=(c[f>>2]|0)==(c[d>>2]|0);i=e;return g|0}function iza(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;if((c[b+4>>2]|0)!=(a|0)){e=0;return e|0}e=(c[b>>2]|0)==(d|0);return e|0}function jza(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;d=_c(e|0)|0;e=iKa(d|0)|0;if(e>>>0>4294967279>>>0){pza(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;kKa(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=OJa(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;kKa(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function kza(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;f=i;i=i+16|0;g=f|0;h=d|0;j=c[h>>2]|0;k=e;do{if((j|0)!=0){l=a[k]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[e+4>>2]|0}if((m|0)==0){n=j}else{Wza(e,117344,2)|0;n=c[h>>2]|0}l=c[d+4>>2]|0;le[c[(c[l>>2]|0)+24>>2]&15](g,l,n);l=g;o=a[l]|0;if((o&1)==0){p=(o&255)>>>1;q=g+1|0}else{p=c[g+4>>2]|0;q=c[g+8>>2]|0}Wza(e,q,p)|0;if((a[l]&1)==0){break}QJa(c[g+8>>2]|0)}}while(0);g=b;c[g>>2]=c[k>>2];c[g+4>>2]=c[k+4>>2];c[g+8>>2]=c[k+8>>2];lKa(k|0,0,12)|0;i=f;return}function lza(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+32|0;g=d;d=i;i=i+8|0;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];g=f|0;h=f+16|0;j=iKa(e|0)|0;if(j>>>0>4294967279>>>0){pza(0)}if(j>>>0<11>>>0){a[h]=j<<1;k=h+1|0}else{l=j+16&-16;m=OJa(l)|0;c[h+8>>2]=m;c[h>>2]=l|1;c[h+4>>2]=j;k=m}kKa(k|0,e|0,j)|0;a[k+j|0]=0;kza(g,d,h);_ya(b|0,g);if(!((a[g]&1)==0)){QJa(c[g+8>>2]|0)}if(!((a[h]&1)==0)){QJa(c[h+8>>2]|0)}c[b>>2]=8525712;h=d;d=b+8|0;b=c[h+4>>2]|0;c[d>>2]=c[h>>2];c[d+4>>2]=b;i=f;return}function mza(a){a=a|0;bza(a|0);QJa(a);return}function nza(a){a=a|0;bza(a|0);return}function oza(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e;if((c[a>>2]|0)==1){do{rb(8572008,8571984)|0;}while((c[a>>2]|0)==1)}if((c[a>>2]|0)!=0){f;return}c[a>>2]=1;g;Vd[d&511](b);h;c[a>>2]=-1;i;Qc(8572008)|0;return}



function pe(a){a=a|0;var b=0;b=i;i=i+a|0;i=i+7&-8;return b|0}function qe(){return i|0}function re(a){a=a|0;i=a}function se(a,b){a=a|0;b=b|0;if((x|0)==0){x=a;y=b}}function te(b){b=b|0;a[k]=a[b];a[k+1|0]=a[b+1|0];a[k+2|0]=a[b+2|0];a[k+3|0]=a[b+3|0]}function ue(b){b=b|0;a[k]=a[b];a[k+1|0]=a[b+1|0];a[k+2|0]=a[b+2|0];a[k+3|0]=a[b+3|0];a[k+4|0]=a[b+4|0];a[k+5|0]=a[b+5|0];a[k+6|0]=a[b+6|0];a[k+7|0]=a[b+7|0]}function ve(a){a=a|0;K=a}function we(a){a=a|0;L=a}function xe(a){a=a|0;M=a}function ye(a){a=a|0;N=a}function ze(a){a=a|0;O=a}function Ae(a){a=a|0;P=a}function Be(a){a=a|0;Q=a}function Ce(a){a=a|0;R=a}function De(a){a=a|0;S=a}function Ee(a){a=a|0;T=a}function Fe(){c[2132418]=p+8;c[2132420]=p+8;c[2132422]=t+8;c[2132426]=t+8;c[2132430]=t+8;c[2132434]=t+8;c[2132438]=t+8;c[2132442]=t+8;c[2132446]=p+8;c[2132480]=t+8;c[2132484]=t+8;c[2132548]=t+8;c[2132552]=t+8;c[2132572]=p+8;c[2132574]=t+8;c[2132610]=t+8;c[2132614]=t+8;c[2132650]=t+8;c[2132654]=t+8;c[2132674]=p+8;c[2132676]=p+8;c[2132678]=t+8;c[2132682]=t+8;c[2132686]=t+8;c[2132690]=t+8;c[2132694]=t+8;c[2132698]=p+8;c[2132700]=p+8;c[2132702]=p+8;c[2132704]=t+8;c[2132708]=t+8;c[2132712]=p+8;c[2132714]=p+8;c[2132716]=p+8;c[2132718]=p+8;c[2132744]=t+8;c[2132748]=t+8;c[2132752]=p+8;c[2132754]=t+8;c[2132758]=t+8;c[2132762]=t+8;c[2132766]=p+8;c[2132768]=p+8;c[2132770]=p+8;c[2132772]=p+8;c[2132806]=p+8;c[2132808]=p+8;c[2132810]=p+8;c[2132812]=t+8;c[2132816]=t+8;c[2132820]=t+8;c[2132824]=t+8;c[2132828]=t+8;c[2132832]=t+8}function Ge(a){a=a|0;var b=0;b=a+540|0;Yd[c[(c[b>>2]|0)+40>>2]&255](a)|0;Yd[c[(c[b>>2]|0)+28>>2]&255](a)|0;Yd[c[(c[b>>2]|0)+32>>2]&255](a)|0;Yd[c[(c[b>>2]|0)+48>>2]&255](a)|0;Yd[c[(c[b>>2]|0)+52>>2]&255](a)|0;iia(a);return}function He(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;c[e>>2]=0;j=a+240|0;k=b|0;h[k>>3]=+h[j>>3];if((c[2138764]|0)==0){l=0}else{m=c[a+88>>2]|0;n=iKa(m|0)|0;o=IJa(n+11|0)|0;jKa(o|0,m|0,n|0)|0;kKa(o+n|0,8522408,11)|0;n=zc(o|0,8522400)|0;if((n|0)==0){m=_c(c[(Zc()|0)>>2]|0)|0;jfa(23,0,139104,(p=i,i=i+16|0,c[p>>2]=o,c[p+8>>2]=m,p)|0);i=p;Pa(0)|0;q=0}else{q=n}JJa(o);l=q}q=a+248|0;o=a+536|0;n=a|0;m=a+4|0;s=b+36|0;t=b+16|0;u=a+256|0;v=b+8|0;w=b+24|0;x=b+32|0;y=a+540|0;z=b+48|0;A=c[r>>2]|0;B=e;C=f;D=a+64|0;E=a+72|0;F=g;G=0;H=l;while(1){if(!(+h[k>>3]<+h[q>>3])){I=0;J=H;break}je[c[2179]&15]()|0;c[(c[o>>2]|0)+84>>2]=1;if((c[2138764]|0)!=0){if(((c[E>>2]|0)+(c[D>>2]|0)|0)>0){l=0;do{zga(l+9|0);l=l+1|0;}while((l|0)<((c[E>>2]|0)+(c[D>>2]|0)|0))}zga(2);yga(2)}nga(c[n>>2]|0,1,c[m>>2]|0);if((c[s>>2]|0)==1){hfa(23,0,109104,(p=i,i=i+8|0,h[p>>3]=+h[k>>3]- +h[t>>3],p)|0);i=p;K=G}else{K=G+1|0}L=+h[j>>3];h[v>>3]=L+ +(K>>>0>>>0)*(+h[q>>3]-L)/+(c[u>>2]|0)- +h[k>>3];Xha(a,b);L=+h[k>>3];M=+h[v>>3];hfa(23,1,84144,(p=i,i=i+24|0,h[p>>3]=L,h[p+8>>3]=L+M,h[p+16>>3]=M,p)|0);i=p;M=+h[j>>3];Tva(61720,(+h[k>>3]-M)/(+h[q>>3]-M));N=jja(a,b)|0;if((c[w>>2]|0)==5){I=0;J=H;break}Ge(a);jia(a);if((c[2136481]|0)!=0){Vd[c[3586]&511](23)}if((c[2138764]|0)!=0){yga(4)}l=Zha(a,c[x>>2]|0,k,b)|0;if((l|0)>0){c[(c[o>>2]|0)+84>>2]=4;M=+h[k>>3];hfa(7,1,47344,(p=i,i=i+16|0,c[p>>2]=(l|0)==1?40560:34216,h[p+8>>3]=M,p)|0);i=p;if((c[2136662]|0)==0){Wd[c[2005]&255](8e3,a)}$ha(a,c[x>>2]|0,k,b);if((c[2136465]|0)!=0){Vd[c[3586]&511](7)}c[(c[o>>2]|0)+84>>2]=1;c[s>>2]=1;nia(a)}else{h[t>>3]=+h[k>>3];c[s>>2]=0}if((c[2138764]|0)!=0){Bga(4)}if((vja(a,1,1)|0)!=0){c[s>>2]=1;nia(a)}Yd[c[(c[y>>2]|0)+88>>2]&255](a)|0;iia(a);ria(a);jia(a);do{if((H|0)==0){O=0}else{yga(7);Bga(2);l=(Ya(B|0,4,1,H|0)|0)==1;c[e>>2]=(c[e>>2]|0)+1;do{if(l){P=(Ya(c[c[m>>2]>>2]|0,8,1,H|0)|0)==1;h[f>>3]=+tga(2);if(!P){Q=0;break}Q=(Ya(C|0,8,1,H|0)|0)==1|0}else{h[f>>3]=+tga(2);Q=0}}while(0);l=c[D>>2]|0;P=c[E>>2]|0;if((P+l|0)>0){R=0;S=Q;while(1){c[g>>2]=oga(R+9|0)|0;if((S|0)==0){T=0}else{T=(Ya(F|0,4,1,H|0)|0)==1|0}U=R+1|0;V=c[D>>2]|0;W=c[E>>2]|0;if((U|0)<(W+V|0)){R=U;S=T}else{X=T;Y=V;Z=W;break}}}else{X=Q;Y=l;Z=P}if((Z+Y|0)>0){S=0;R=X;while(1){h[f>>3]=+tga(S+9|0);if((R|0)==0){_=0}else{_=(Ya(C|0,8,1,H|0)|0)==1|0}W=S+1|0;if((W|0)<((c[E>>2]|0)+(c[D>>2]|0)|0)){S=W;R=_}else{$=_;break}}}else{$=X}Bga(7);if(($|0)!=0){O=H;break}R=_c(c[(Zc()|0)>>2]|0)|0;jfa(23,0,28376,(p=i,i=i+8|0,c[p>>2]=R,p)|0);i=p;Pa(H|0)|0;O=0}}while(0);if((c[2136662]|0)==0){aa=47}else{R=c[s>>2]|0;if((R|0)==0){aa=47}else{ba=R}}if((aa|0)==47){aa=0;Wd[c[2005]&255](8e3,a);ba=c[s>>2]|0}do{if((ba|0)==1){if((c[w>>2]|0)!=3){break}R=c[z>>2]|0;S=c[R+8>>2]|0;P=c[R+4>>2]|0;c[P>>2]=(c[P>>2]|0)+(c[S>>2]|0);R=P+4|0;c[R>>2]=(c[R>>2]|0)+(c[S+4>>2]|0);R=P+8|0;c[R>>2]=(c[R>>2]|0)+(c[S+8>>2]|0);R=P+12|0;c[R>>2]=(c[R>>2]|0)+(c[S+12>>2]|0);R=P+16|0;c[R>>2]=(c[R>>2]|0)+(c[S+16>>2]|0)}}while(0);if((c[2136516]|0)!=0){$ea(A,8573256);Wa(10,A|0)|0;S=c[2143312]|0;hfa(1,0,8522344,(p=i,i=i+16|0,h[p>>3]=+h[c[c[m>>2]>>2]>>3],c[p+8>>2]=S,p)|0);i=p;h[q>>3]=+h[k>>3]}if((N|0)!=0){aa=57;break}if((Uia(a,0)|0)!=0){aa=58;break}if((Mia(a,0)|0)!=0){aa=58;break}if((Cia(a,0)|0)==0){G=K;H=O}else{aa=58;break}}do{if((aa|0)==57){hfa(1,0,179784,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=N-1|0;J=O}else if((aa|0)==58){if((Uia(a,0)|0)!=0){hfa(1,0,173064,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=-2;J=O;break}if((Mia(a,0)|0)!=0){hfa(1,0,167392,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=-3;J=O;break}H=(Cia(a,0)|0)==0;M=+h[k>>3];if(H){hfa(1,0,158744,(p=i,i=i+8|0,h[p>>3]=M,p)|0);i=p;I=-1;J=O;break}else{hfa(1,0,162616,(p=i,i=i+8|0,h[p>>3]=M,p)|0);i=p;I=-3;J=O;break}}}while(0);if((J|0)==0){i=d;return I|0}Pa(J|0)|0;i=d;return I|0}function Ie(a){a=a|0;return 0}function Je(a){a=a|0;return 0}function Ke(a){a=a|0;return 0}function Le(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+2|0]|0;e=b+416|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+2|0]|0;i=b+416|0;j=via(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3376>>3],a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=j;d=g;e=i;break}else{i=b+416|0;g=via(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3376>>3],a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=g;d=g;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+2|0]|0;i=b+416|0;g=wia(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3376>>3])|0;a[(c[b+352>>2]|0)+2|0]=g;d=f;e=i;break}else{i=b+416|0;f=wia(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3376>>3])|0;a[(c[b+352>>2]|0)+2|0]=f;d=f;e=i;break}}}}while(0);i=c[e>>2]|0;k=+h[i+3368>>3];if(!(d<<24>>24==0)){l=0.0;m=k+l;n=b+4|0;o=c[n>>2]|0;p=c[o>>2]|0;q=p+8|0;r=c[q>>2]|0;s=r+6288|0;h[s>>3]=m;return}l=+h[i+3384>>3];m=k+l;n=b+4|0;o=c[n>>2]|0;p=c[o>>2]|0;q=p+8|0;r=c[q>>2]|0;s=r+6288|0;h[s>>3]=m;return}function Me(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;go(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6288>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6272>>3]=+h[d>>3];i=b;return}function Ne(a){a=a|0;var b=0,d=0,e=0,f=0,g=0.0,i=0;b=a+4|0;d=a+416|0;if((wia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+6288>>3],+h[(c[d>>2]|0)+2800>>3])|0)<<24>>24==0){a=c[(c[c[b>>2]>>2]|0)+8>>2]|0;e=a+6288|0;f=a;g=+h[e>>3];i=f+6248|0;h[i>>3]=g;return}else{e=(c[d>>2]|0)+2800|0;f=c[(c[c[b>>2]>>2]|0)+8>>2]|0;g=+h[e>>3];i=f+6248|0;h[i>>3]=g;return}}function Oe(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+1|0]|0;e=b+416|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+1|0]|0;i=b+416|0;j=via(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3400>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=j;d=g;e=i;break}else{i=b+416|0;g=via(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3400>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=g;d=g;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+1|0]|0;i=b+416|0;g=wia(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3400>>3])|0;a[(c[b+352>>2]|0)+1|0]=g;d=f;e=i;break}else{i=b+416|0;f=wia(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3400>>3])|0;a[(c[b+352>>2]|0)+1|0]=f;d=f;e=i;break}}}}while(0);i=c[e>>2]|0;k=+h[i+3392>>3];if(!(d<<24>>24==0)){l=0.0;m=k+l;n=b+4|0;o=c[n>>2]|0;p=c[o>>2]|0;q=p+8|0;r=c[q>>2]|0;s=r+6208|0;h[s>>3]=m;return}l=+h[i+3408>>3];m=k+l;n=b+4|0;o=c[n>>2]|0;p=c[o>>2]|0;q=p+8|0;r=c[q>>2]|0;s=r+6208|0;h[s>>3]=m;return}function Pe(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;go(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6208>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6192>>3]=+h[d>>3];i=b;return}function Qe(a){a=a|0;var b=0,d=0,e=0,f=0,g=0.0,i=0;b=a+4|0;d=a+416|0;if((wia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+6208>>3],+h[(c[d>>2]|0)+2912>>3])|0)<<24>>24==0){a=c[(c[c[b>>2]>>2]|0)+8>>2]|0;e=a+6208|0;f=a;g=+h[e>>3];i=f+6168|0;h[i>>3]=g;return}else{e=(c[d>>2]|0)+2912|0;f=c[(c[c[b>>2]>>2]|0)+8>>2]|0;g=+h[e>>3];i=f+6168|0;h[i>>3]=g;return}}function Re(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0;do{if((a[b+314|0]|0)==0){d=a[c[b+356>>2]|0]|0;e=b+416|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[c[b+356>>2]|0]|0;i=b+416|0;j=via(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3424>>3],a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=j;d=g;e=i;break}else{i=b+416|0;g=via(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3424>>3],a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=g;d=g;e=i;break}}else{if(f){f=a[c[b+356>>2]|0]|0;i=b+416|0;g=wia(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3424>>3])|0;a[c[b+352>>2]|0]=g;d=f;e=i;break}else{i=b+416|0;f=wia(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3424>>3])|0;a[c[b+352>>2]|0]=f;d=f;e=i;break}}}}while(0);i=c[e>>2]|0;k=+h[i+3416>>3];if(!(d<<24>>24==0)){l=0.0;m=k+l;n=b+4|0;o=c[n>>2]|0;p=c[o>>2]|0;q=p+8|0;r=c[q>>2]|0;s=r+6120|0;h[s>>3]=m;return}l=+h[i+3432>>3];m=k+l;n=b+4|0;o=c[n>>2]|0;p=c[o>>2]|0;q=p+8|0;r=c[q>>2]|0;s=r+6120|0;h[s>>3]=m;return}function Se(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;go(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6120>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6104>>3]=+h[d>>3];i=b;return}function Te(a){a=a|0;var b=0,d=0,e=0,f=0,g=0.0,i=0;b=a+4|0;d=a+416|0;if((wia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+6120>>3],+h[(c[d>>2]|0)+3248>>3])|0)<<24>>24==0){a=c[(c[c[b>>2]>>2]|0)+8>>2]|0;e=a+6120|0;f=a;g=+h[e>>3];i=f+6080|0;h[i>>3]=g;return}else{e=(c[d>>2]|0)+3248|0;f=c[(c[c[b>>2]>>2]|0)+8>>2]|0;g=+h[e>>3];i=f+6080|0;h[i>>3]=g;return}}function Ue(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+168>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3120>>3]=+h[d>>3];i=b;return}function Ve(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+160>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3128>>3]=+h[d>>3];i=b;return}function We(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+152>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2872>>3]=+h[d>>3];i=b;return}function Xe(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+144>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2880>>3]=+h[d>>3];i=b;return}function Ye(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+136>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2600>>3]=+h[d>>3];i=b;return}function Ze(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+128>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2608>>3]=+h[d>>3];i=b;return}function _e(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+120>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2344>>3]=+h[d>>3];i=b;return}function $e(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+112>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2352>>3]=+h[d>>3];i=b;return}function af(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+104>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2080>>3]=+h[d>>3];i=b;return}function bf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+96>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2088>>3]=+h[d>>3];i=b;return}function cf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+88>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1816>>3]=+h[d>>3];i=b;return}function df(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+80>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1824>>3]=+h[d>>3];i=b;return}function ef(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+72>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1536>>3]=+h[d>>3];i=b;return}function ff(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+64>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1544>>3]=+h[d>>3];i=b;return}function gf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+56>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1272>>3]=+h[d>>3];i=b;return}function hf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+48>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1280>>3]=+h[d>>3];i=b;return}function jf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+40>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1016>>3]=+h[d>>3];i=b;return}function kf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+32>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1024>>3]=+h[d>>3];i=b;return}function lf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+24>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+760>>3]=+h[d>>3];i=b;return}function mf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+16>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+768>>3]=+h[d>>3];i=b;return}function nf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+8>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+504>>3]=+h[d>>3];i=b;return}function of(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531632,+h[c[(c[c[e>>2]>>2]|0)+8>>2]>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+512>>3]=+h[d>>3];i=b;return}function pf(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+1600>>3]=(+h[b+1392>>3]*(+h[d+72>>3]- +h[b+1384>>3])+1.0)*8.0e3;return}function qf(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+1608>>3]=(+h[b+1416>>3]*(+h[d+64>>3]- +h[b+1408>>3])+1.0)*8.0e3;return}function rf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[c[(c[c[e>>2]>>2]|0)+8>>2]>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+408>>3]=+h[d>>3];i=b;return}function sf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+8>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+464>>3]=+h[d>>3];i=b;return}function tf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+16>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+672>>3]=+h[d>>3];i=b;return}function uf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+24>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+720>>3]=+h[d>>3];i=b;return}function vf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+32>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+928>>3]=+h[d>>3];i=b;return}function wf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+40>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+976>>3]=+h[d>>3];i=b;return}function xf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+48>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1184>>3]=+h[d>>3];i=b;return}function yf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+56>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1232>>3]=+h[d>>3];i=b;return}function zf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+64>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1440>>3]=+h[d>>3];i=b;return}function Af(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+72>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1488>>3]=+h[d>>3];i=b;return}function Bf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+80>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1720>>3]=+h[d>>3];i=b;return}function Cf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+88>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1768>>3]=+h[d>>3];i=b;return}function Df(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+96>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1976>>3]=+h[d>>3];i=b;return}function Ef(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+104>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2032>>3]=+h[d>>3];i=b;return}function Ff(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+112>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2248>>3]=+h[d>>3];i=b;return}function Gf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+120>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2296>>3]=+h[d>>3];i=b;return}function Hf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+128>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2504>>3]=+h[d>>3];i=b;return}function If(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+136>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2560>>3]=+h[d>>3];i=b;return}function Jf(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+144>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2768>>3]=+h[d>>3];i=b;return}function Kf(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+1884>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+1240>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+1240|0;h[c[f+1888>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+1240>>3]);d=c[e>>2]|0;h[c[d+1892>>2]>>3]=i;g=c[b>>2]|0;h[(c[d+1884>>2]|0)+8>>3]=+h[(c[(c[g>>2]|0)+8>>2]|0)+2568>>3];f=(c[(c[g+4>>2]|0)+8>>2]|0)+2568|0;h[(c[d+1888>>2]|0)+8>>3]=+h[f>>3];i=+Via(a,+h[f>>3],+h[(c[(c[g+8>>2]|0)+8>>2]|0)+2568>>3]);g=c[e>>2]|0;h[(c[g+1892>>2]|0)+8>>3]=i;f=c[b>>2]|0;h[(c[g+1884>>2]|0)+16>>3]=+h[(c[(c[f>>2]|0)+8>>2]|0)+472>>3];d=(c[(c[f+4>>2]|0)+8>>2]|0)+472|0;h[(c[g+1888>>2]|0)+16>>3]=+h[d>>3];i=+Via(a,+h[d>>3],+h[(c[(c[f+8>>2]|0)+8>>2]|0)+472>>3]);f=c[e>>2]|0;h[(c[f+1892>>2]|0)+16>>3]=i;d=c[b>>2]|0;h[(c[f+1884>>2]|0)+24>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+2048>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+2048|0;h[(c[f+1888>>2]|0)+24>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+2048>>3]);d=c[e>>2]|0;h[(c[d+1892>>2]|0)+24>>3]=i;g=c[b>>2]|0;h[(c[d+1884>>2]|0)+32>>3]=+h[(c[(c[g>>2]|0)+8>>2]|0)+984>>3];f=(c[(c[g+4>>2]|0)+8>>2]|0)+984|0;h[(c[d+1888>>2]|0)+32>>3]=+h[f>>3];i=+Via(a,+h[f>>3],+h[(c[(c[g+8>>2]|0)+8>>2]|0)+984>>3]);g=c[e>>2]|0;h[(c[g+1892>>2]|0)+32>>3]=i;f=c[b>>2]|0;h[(c[g+1884>>2]|0)+40>>3]=+h[(c[(c[f>>2]|0)+8>>2]|0)+728>>3];d=(c[(c[f+4>>2]|0)+8>>2]|0)+728|0;h[(c[g+1888>>2]|0)+40>>3]=+h[d>>3];i=+Via(a,+h[d>>3],+h[(c[(c[f+8>>2]|0)+8>>2]|0)+728>>3]);f=c[e>>2]|0;h[(c[f+1892>>2]|0)+40>>3]=i;d=c[b>>2]|0;h[(c[f+1884>>2]|0)+48>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+2776>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+2776|0;h[(c[f+1888>>2]|0)+48>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+2776>>3]);d=c[e>>2]|0;h[(c[d+1892>>2]|0)+48>>3]=i;g=c[b>>2]|0;h[(c[d+1884>>2]|0)+56>>3]=+h[(c[(c[g>>2]|0)+8>>2]|0)+1776>>3];f=(c[(c[g+4>>2]|0)+8>>2]|0)+1776|0;h[(c[d+1888>>2]|0)+56>>3]=+h[f>>3];i=+Via(a,+h[f>>3],+h[(c[(c[g+8>>2]|0)+8>>2]|0)+1776>>3]);g=c[e>>2]|0;h[(c[g+1892>>2]|0)+56>>3]=i;f=c[b>>2]|0;h[(c[g+1884>>2]|0)+64>>3]=+h[(c[(c[f>>2]|0)+8>>2]|0)+2512>>3];d=(c[(c[f+4>>2]|0)+8>>2]|0)+2512|0;h[(c[g+1888>>2]|0)+64>>3]=+h[d>>3];i=+Via(a,+h[d>>3],+h[(c[(c[f+8>>2]|0)+8>>2]|0)+2512>>3]);f=c[e>>2]|0;h[(c[f+1892>>2]|0)+64>>3]=i;d=c[b>>2]|0;h[(c[f+1884>>2]|0)+72>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+2304>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+2304|0;h[(c[f+1888>>2]|0)+72>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+2304>>3]);d=c[e>>2]|0;h[(c[d+1892>>2]|0)+72>>3]=i;g=c[b>>2]|0;h[(c[d+1884>>2]|0)+80>>3]=+h[(c[(c[g>>2]|0)+8>>2]|0)+416>>3];f=(c[(c[g+4>>2]|0)+8>>2]|0)+416|0;h[(c[d+1888>>2]|0)+80>>3]=+h[f>>3];i=+Via(a,+h[f>>3],+h[(c[(c[g+8>>2]|0)+8>>2]|0)+416>>3]);h[(c[(c[e>>2]|0)+1892>>2]|0)+80>>3]=i;Tia(a,23)|0;g=c[(c[e>>2]|0)+1884>>2]|0;e=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[e+1240>>3]=+h[g>>3];h[e+2568>>3]=+h[g+8>>3];h[e+472>>3]=+h[g+16>>3];h[e+2048>>3]=+h[g+24>>3];h[e+984>>3]=+h[g+32>>3];h[e+728>>3]=+h[g+40>>3];h[e+2776>>3]=+h[g+48>>3];h[e+1776>>3]=+h[g+56>>3];h[e+2512>>3]=+h[g+64>>3];h[e+2304>>3]=+h[g+72>>3];h[e+416>>3]=+h[g+80>>3];Tr(a);Ur(a);Vr(a);Wr(a);Xr(a);Yr(a);Zr(a);_r(a);$r(a);as(a);bs(a);cs(a);ds(a);es(a);fs(a);gs(a);hs(a);is(a);js(a);ks(a);ls(a);ms(a);ns(a);os(a);ps(a);qs(a);rs(a);ss(a);ts(a);us(a);vs(a);ws(a);xs(a);ys(a);zs(a);As(a);Bs(a);Cs(a);Ds(a);Es(a);return}function Lf(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+800>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+752>>3]=+h[(a?d+768|0:d+760|0)>>3];return}function Mf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+744>>3]=+h[b+800>>3]*+h[b+5736>>3];return}function Nf(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+800>>3];h[b+784>>3]=d*+h[(d<0.0?b+672|0:b+720|0)>>3];return}function Of(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+1056>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+1008>>3]=+h[(a?d+1024|0:d+1016|0)>>3];return}function Pf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1e3>>3]=+h[b+1056>>3]*+h[b+5680>>3];return}function Qf(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+1056>>3];h[b+1040>>3]=d*+h[(d<0.0?b+928|0:b+976|0)>>3];return}function Rf(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+2120>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+2072>>3]=+h[(a?d+2088|0:d+2080|0)>>3];return}function Sf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2064>>3]=+h[b+2120>>3]*+h[b+5456>>3];return}function Tf(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+2120>>3];h[b+2104>>3]=d*+h[(d<0.0?b+1976|0:b+2032|0)>>3];return}function Uf(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+536|0;Dn(d,c[f>>2]|0);g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;Jn(e,c[f>>2]|0,+h[a+2504>>3],243.15,373.15,+h[a+2304>>3],8532272,d|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6336>>3]=+h[e>>3];i=b;return}function Vf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2256>>3]=+h[b+2304>>3]*1.0e-5;return}function Wf(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+536|0;Dn(d,c[f>>2]|0);g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;Jn(e,c[f>>2]|0,+h[a+2296>>3],243.15,373.15,+h[a+2512>>3],8532272,d|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6344>>3]=+h[e>>3];i=b;return}function Xf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2464>>3]=+h[b+2512>>3]*1.0e-5;return}function Yf(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+2640>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+2592>>3]=+h[(a?d+2608|0:d+2600|0)>>3];return}function Zf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2584>>3]=+h[b+2640>>3]*+h[b+5344>>3];return}function _f(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+2640>>3];h[b+2624>>3]=d*+h[(d<0.0?b+2504|0:b+2560|0)>>3];return}function $f(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+2640>>3];h[b+2632>>3]=d*+h[(d<0.0?b+2296|0:b+2504|0)>>3];return}function ag(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2672>>3]=+h[b+2624>>3]- +h[b+2632>>3];return}function bg(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+2640>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+2336>>3]=+h[(a?d+2352|0:d+2344|0)>>3];return}function cg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2328>>3]=+h[b+2640>>3]*+h[b+5400>>3];return}function dg(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+2640>>3];h[b+2368>>3]=d*+h[(d<0.0?b+2248|0:b+2296|0)>>3];return}function eg(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+2640>>3];h[b+2360>>3]=d*+h[(d<0.0?b+2296|0:b+2504|0)>>3];return}function fg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2400>>3]=+h[b+2360>>3]- +h[b+2368>>3];return}function gg(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0;b=i;i=i+32|0;d=b|0;e=b+16|0;f=b+24|0;g=a+536|0;Ln(d,c[g>>2]|0);j=a+4|0;k=c[(c[c[j>>2]>>2]|0)+8>>2]|0;fo(e,c[g>>2]|0,+h[k+2504>>3],243.15,373.15,+h[k+2304>>3],8532272,d|0,1.0e-13);d=c[(c[c[j>>2]>>2]|0)+8>>2]|0;_n(f,c[g>>2]|0,-0.0- +h[d+2640>>3],+h[d+6216>>3],+h[e>>3],+h[(c[a+416>>2]|0)+2816>>3]);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6176>>3]=+h[f>>3];i=b;return}function hg(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0,p=0,q=0.0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;j=b+536|0;k=b+4|0;Mn(e,c[j>>2]|0,8531632,+h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+6224>>3]+ -273.15);l=+h[e>>3];Mn(f,c[j>>2]|0,8531632,+h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+6216>>3]+ -273.15);_n(g,c[j>>2]|0,+h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+2640>>3],l,+h[f>>3],+h[(c[b+416>>2]|0)+2816>>3]);l=+h[g>>3];g=c[c[k>>2]>>2]|0;f=c[g+8>>2]|0;m=+h[f+2640>>3];if(l!=0.0){n=m/l;o=f;p=o+6152|0;h[p>>3]=n;i=d;return}if(m==0.0){n=m;o=f;p=o+6152|0;h[p>>3]=n;i=d;return}q=m/+nfa(c[j>>2]|0,l,142672,8544112,+h[g>>3],(a[b+319|0]|0)!=0|0);n=q;o=c[(c[c[k>>2]>>2]|0)+8>>2]|0;p=o+6152|0;h[p>>3]=n;i=d;return}function ig(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0;b=i;i=i+32|0;d=b|0;e=b+16|0;f=b+24|0;g=a+536|0;Ln(d,c[g>>2]|0);j=a+4|0;k=c[(c[c[j>>2]>>2]|0)+8>>2]|0;fo(e,c[g>>2]|0,+h[k+2296>>3],243.15,373.15,+h[k+2512>>3],8532272,d|0,1.0e-13);d=c[(c[c[j>>2]>>2]|0)+8>>2]|0;_n(f,c[g>>2]|0,+h[d+2640>>3],+h[d+6224>>3],+h[e>>3],+h[(c[a+416>>2]|0)+2816>>3]);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6184>>3]=+h[f>>3];i=b;return}function jg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1400>>3]=+h[b+2040>>3]*1.0e-5;return}function kg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+936>>3]=+h[b+2040>>3]*1.0e-5;return}function lg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+680>>3]=+h[b+2040>>3]*1.0e-5;return}function mg(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+2640>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[l+2120>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[l+1056>>3]),+1.0e-15);p=+Yb(+(-0.0- +h[l+800>>3]),+1.0e-15);q=m+(n+(o+p));r=m*+h[l+2248>>3]+(n*+h[l+2032>>3]+(o*+h[l+976>>3]+p*+h[l+720>>3]));do{if(q!=0.0){s=r/q;t=l}else{if(r==0.0){s=r;t=l;break}p=r/+nfa(j,q,138976,8544096,+h[k>>3],(a[b+319|0]|0)!=0|0);s=p;t=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,s,243.15,373.15,+h[t+2040>>3],8532272,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6048>>3]=+h[f>>3];i=d;return}function ng(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1992>>3]=+h[b+2040>>3]*1.0e-5;return}function og(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2208>>3]=+h[b+2040>>3]*1.0e-5;return}function pg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1144>>3]=+h[b+1984>>3]*1.0e-5;return}function qg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+888>>3]=+h[b+1984>>3]*1.0e-5;return}function rg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+632>>3]=+h[b+1984>>3]*1.0e-5;return}function sg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+424>>3]=+h[b+1984>>3]*1.0e-5;return}function tg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1936>>3]=+h[b+1984>>3]*1.0e-5;return}function ug(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+368>>3]=+h[b+416>>3]*1.0e-5;return}function vg(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+536|0;Dn(d,c[f>>2]|0);g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;Jn(e,c[f>>2]|0,+h[a+6568>>3],243.15,373.15,+h[a+416>>3],8532272,d|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+5984>>3]=+h[e>>3];i=b;return}function wg(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+32|0;d=b|0;e=b+16|0;f=b+24|0;g=a+536|0;Ln(d,c[g>>2]|0);j=a+4|0;fo(e,c[g>>2]|0,+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+408>>3],243.15,373.15,1.0e5,8532272,d|0,1.0e-13);d=c[(c[c[j>>2]>>2]|0)+8>>2]|0;_n(f,c[g>>2]|0,-0.0- +h[d+544>>3],+h[d+6536>>3],+h[e>>3],+h[(c[a+416>>2]|0)+3152>>3]);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6088>>3]=+h[f>>3];i=b;return}function xg(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0,p=0,q=0.0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;j=b+536|0;k=b+4|0;Mn(e,c[j>>2]|0,8531632,+h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+6128>>3]+ -273.15);l=+h[e>>3];Mn(f,c[j>>2]|0,8531632,+h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+6536>>3]+ -273.15);_n(g,c[j>>2]|0,+h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+544>>3],l,+h[f>>3],+h[(c[b+416>>2]|0)+3152>>3]);l=+h[g>>3];g=c[c[k>>2]>>2]|0;f=c[g+8>>2]|0;m=+h[f+544>>3];if(l!=0.0){n=m/l;o=f;p=o+6064|0;h[p>>3]=n;i=d;return}if(m==0.0){n=m;o=f;p=o+6064|0;h[p>>3]=n;i=d;return}q=m/+nfa(c[j>>2]|0,l,135352,8544088,+h[g>>3],(a[b+319|0]|0)!=0|0);n=q;o=c[(c[c[k>>2]>>2]|0)+8>>2]|0;p=o+6064|0;h[p>>3]=n;i=d;return}function yg(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0;b=i;i=i+32|0;d=b|0;e=b+16|0;f=b+24|0;g=a+536|0;Ln(d,c[g>>2]|0);j=a+4|0;k=c[(c[c[j>>2]>>2]|0)+8>>2]|0;fo(e,c[g>>2]|0,+h[k+6568>>3],243.15,373.15,+h[k+416>>3],8532272,d|0,1.0e-13);d=c[(c[c[j>>2]>>2]|0)+8>>2]|0;_n(f,c[g>>2]|0,+h[d+544>>3],+h[d+6128>>3],+h[e>>3],+h[(c[a+416>>2]|0)+3152>>3]);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6096>>3]=+h[f>>3];i=b;return}function zg(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+2120>>3]),+1.0e-15);n=+Yb(+(+h[l+1056>>3]),+1.0e-15);o=+Yb(+(+h[l+800>>3]),+1.0e-15);p=+Yb(+(-0.0- +h[l+544>>3]),+1.0e-15);q=m+(n+(o+p));r=m*+h[l+1976>>3]+(n*+h[l+928>>3]+(o*+h[l+672>>3]+p*+h[l+464>>3]));do{if(q!=0.0){s=r/q;t=l}else{if(r==0.0){s=r;t=l;break}p=r/+nfa(j,q,131184,8544080,+h[k>>3],(a[b+319|0]|0)!=0|0);s=p;t=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,s,243.15,373.15,+h[t+1984>>3],8532272,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6032>>3]=+h[f>>3];i=d;return}function Ag(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+544>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+496>>3]=+h[(a?d+512|0:d+504|0)>>3];return}function Bg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+488>>3]=+h[b+544>>3]*+h[b+5792>>3];return}function Cg(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+544>>3];h[b+528>>3]=d*+h[(d<0.0?b+408|0:b+464|0)>>3];return}function Dg(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+544>>3];h[b+536>>3]=d*+h[(d<0.0?b+6568|0:b+408|0)>>3];return}function Eg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+576>>3]=+h[b+528>>3]- +h[b+536>>3];return}function Fg(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+1312>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+1264>>3]=+h[(a?d+1280|0:d+1272|0)>>3];return}function Gg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1256>>3]=+h[b+1312>>3]*+h[b+5624>>3];return}function Hg(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+1312>>3];h[b+1296>>3]=d*+h[(d<0.0?b+1184|0:b+1232|0)>>3];return}function Ig(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2120>>3];if(!(g<0.0)){i=g*+h[f+1976>>3];j=f;k=j+2112|0;h[k>>3]=i;return}l=+Yb(+(+h[f+1312>>3]),+1.0e-15);m=+Yb(+(+h[f+1056>>3]),+1.0e-15);n=+Yb(+(+h[f+800>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[f+544>>3]),+1.0e-15);p=l+(m+(n+o));q=l*+h[f+1184>>3]+(m*+h[f+928>>3]+(n*+h[f+672>>3]+o*+h[f+464>>3]));do{if(p!=0.0){r=q/p;s=f;t=g}else{if(q==0.0){r=q;s=f;t=g;break}o=q/+nfa(c[b+536>>2]|0,p,127664,8544072,+h[e>>3],(a[b+319|0]|0)!=0|0);u=c[(c[c[d>>2]>>2]|0)+8>>2]|0;r=o;s=u;t=+h[u+2120>>3]}}while(0);i=r*t;j=s;k=j+2112|0;h[k>>3]=i;return}function Jg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2152>>3]=+h[b+2104>>3]- +h[b+2112>>3];return}function Kg(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+1312>>3]),+1.0e-15);n=+Yb(+(+h[l+1056>>3]),+1.0e-15);o=+Yb(+(+h[l+800>>3]),+1.0e-15);p=+Yb(+(-0.0- +h[l+544>>3]),+1.0e-15);q=m+(n+(o+p));r=m*+h[l+1184>>3]+(n*+h[l+928>>3]+(o*+h[l+672>>3]+p*+h[l+464>>3]));do{if(q!=0.0){s=r/q;t=l}else{if(r==0.0){s=r;t=l;break}p=r/+nfa(j,q,127664,8544064,+h[k>>3],(a[b+319|0]|0)!=0|0);s=p;t=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,s,243.15,373.15,+h[t+1984>>3],8532272,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6312>>3]=+h[f>>3];i=d;return}function Lg(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1312>>3];if(!(g<0.0)){i=g*+h[f+1184>>3];j=f;k=j+1304|0;h[k>>3]=i;return}l=+Yb(+(+h[f+2120>>3]),+1.0e-15);m=+Yb(+(+h[f+1056>>3]),+1.0e-15);n=+Yb(+(+h[f+800>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[f+544>>3]),+1.0e-15);p=l+(m+(n+o));q=l*+h[f+1976>>3]+(m*+h[f+928>>3]+(n*+h[f+672>>3]+o*+h[f+464>>3]));do{if(p!=0.0){r=q/p;s=f;t=g}else{if(q==0.0){r=q;s=f;t=g;break}o=q/+nfa(c[b+536>>2]|0,p,131184,8544056,+h[e>>3],(a[b+319|0]|0)!=0|0);u=c[(c[c[d>>2]>>2]|0)+8>>2]|0;r=o;s=u;t=+h[u+1312>>3]}}while(0);i=r*t;j=s;k=j+1304|0;h[k>>3]=i;return}function Mg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1344>>3]=+h[b+1296>>3]- +h[b+1304>>3];return}function Ng(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1056>>3];if(!(g<0.0)){i=g*+h[f+928>>3];j=f;k=j+1048|0;h[k>>3]=i;return}l=+Yb(+(+h[f+2120>>3]),+1.0e-15);m=+Yb(+(+h[f+1312>>3]),+1.0e-15);n=+Yb(+(+h[f+800>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[f+544>>3]),+1.0e-15);p=l+(m+(n+o));q=l*+h[f+1976>>3]+(m*+h[f+1184>>3]+(n*+h[f+672>>3]+o*+h[f+464>>3]));do{if(p!=0.0){r=q/p;s=f;t=g}else{if(q==0.0){r=q;s=f;t=g;break}o=q/+nfa(c[b+536>>2]|0,p,124048,8544048,+h[e>>3],(a[b+319|0]|0)!=0|0);u=c[(c[c[d>>2]>>2]|0)+8>>2]|0;r=o;s=u;t=+h[u+1056>>3]}}while(0);i=r*t;j=s;k=j+1048|0;h[k>>3]=i;return}function Og(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1088>>3]=+h[b+1040>>3]- +h[b+1048>>3];return}function Pg(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+800>>3];if(!(g<0.0)){i=g*+h[f+672>>3];j=f;k=j+792|0;h[k>>3]=i;return}l=+Yb(+(+h[f+2120>>3]),+1.0e-15);m=+Yb(+(+h[f+1312>>3]),+1.0e-15);n=+Yb(+(+h[f+1056>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[f+544>>3]),+1.0e-15);p=l+(m+(n+o));q=l*+h[f+1976>>3]+(m*+h[f+1184>>3]+(n*+h[f+928>>3]+o*+h[f+464>>3]));do{if(p!=0.0){r=q/p;s=f;t=g}else{if(q==0.0){r=q;s=f;t=g;break}o=q/+nfa(c[b+536>>2]|0,p,121296,8544040,+h[e>>3],(a[b+319|0]|0)!=0|0);u=c[(c[c[d>>2]>>2]|0)+8>>2]|0;r=o;s=u;t=+h[u+800>>3]}}while(0);i=r*t;j=s;k=j+792|0;h[k>>3]=i;return}function Qg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+832>>3]=+h[b+784>>3]- +h[b+792>>3];return}function Rg(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+2120>>3]),+1.0e-15);n=+Yb(+(+h[l+1312>>3]),+1.0e-15);o=+Yb(+(+h[l+800>>3]),+1.0e-15);p=+Yb(+(-0.0- +h[l+544>>3]),+1.0e-15);q=m+(n+(o+p));r=m*+h[l+1976>>3]+(n*+h[l+1184>>3]+(o*+h[l+672>>3]+p*+h[l+464>>3]));do{if(q!=0.0){s=r/q;t=l}else{if(r==0.0){s=r;t=l;break}p=r/+nfa(j,q,124048,8544032,+h[k>>3],(a[b+319|0]|0)!=0|0);s=p;t=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,s,243.15,373.15,+h[t+1984>>3],8532272,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6016>>3]=+h[f>>3];i=d;return}function Sg(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+2120>>3]),+1.0e-15);n=+Yb(+(+h[l+1312>>3]),+1.0e-15);o=+Yb(+(+h[l+1056>>3]),+1.0e-15);p=+Yb(+(-0.0- +h[l+544>>3]),+1.0e-15);q=m+(n+(o+p));r=m*+h[l+1976>>3]+(n*+h[l+1184>>3]+(o*+h[l+928>>3]+p*+h[l+464>>3]));do{if(q!=0.0){s=r/q;t=l}else{if(r==0.0){s=r;t=l;break}p=r/+nfa(j,q,121296,8544024,+h[k>>3],(a[b+319|0]|0)!=0|0);s=p;t=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,s,243.15,373.15,+h[t+1984>>3],8532272,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6e3>>3]=+h[f>>3];i=d;return}function Tg(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+2120>>3]),+1.0e-15);n=+Yb(+(+h[l+1312>>3]),+1.0e-15);o=+Yb(+(+h[l+1056>>3]),+1.0e-15);p=+Yb(+(+h[l+800>>3]),+1.0e-15);q=m+(n+(o+p));r=m*+h[l+1976>>3]+(n*+h[l+1184>>3]+(o*+h[l+928>>3]+p*+h[l+672>>3]));do{if(q!=0.0){s=r/q;t=l}else{if(r==0.0){s=r;t=l;break}p=r/+nfa(j,q,118744,8544016,+h[k>>3],(a[b+319|0]|0)!=0|0);s=p;t=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,s,243.15,373.15,+h[t+1984>>3],8532272,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+5992>>3]=+h[f>>3];i=d;return}function Ug(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+544>>3];if(g<0.0){i=g*+h[f+464>>3];j=f;k=j+520|0;h[k>>3]=i;return}l=+Yb(+(+h[f+2120>>3]),+1.0e-15);m=+Yb(+(+h[f+1312>>3]),+1.0e-15);n=+Yb(+(+h[f+1056>>3]),+1.0e-15);o=+Yb(+(+h[f+800>>3]),+1.0e-15);p=l+(m+(n+o));q=l*+h[f+1976>>3]+(m*+h[f+1184>>3]+(n*+h[f+928>>3]+o*+h[f+672>>3]));do{if(p!=0.0){r=q/p;s=f;t=g}else{if(q==0.0){r=q;s=f;t=g;break}o=q/+nfa(c[b+536>>2]|0,p,118744,8544008,+h[e>>3],(a[b+319|0]|0)!=0|0);u=c[(c[c[d>>2]>>2]|0)+8>>2]|0;r=o;s=u;t=+h[u+544>>3]}}while(0);i=r*t;j=s;k=j+520|0;h[k>>3]=i;return}function Vg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+568>>3]=+h[b+520>>3]- +h[b+528>>3];return}function Wg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1680>>3]=+h[b+1496>>3]*1.0e-5;return}function Xg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1448>>3]=+h[b+1496>>3]*1.0e-5;return}function Yg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1192>>3]=+h[b+1496>>3]*1.0e-5;return}function Zg(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(-0.0- +h[l+1576>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[l+1312>>3]),+1.0e-15);o=m+n;p=m*+h[l+1488>>3]+n*+h[l+1232>>3];do{if(o!=0.0){q=p/o;r=l}else{if(p==0.0){q=p;r=l;break}n=p/+nfa(j,o,116312,8544e3,+h[k>>3],(a[b+319|0]|0)!=0|0);q=n;r=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,q,243.15,373.15,+h[r+1496>>3],8532272,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6136>>3]=+h[f>>3];i=d;return}function _g(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2640>>3];if(!(g<0.0)){i=g*+h[f+2248>>3];j=f;k=j+2376|0;h[k>>3]=i;return}l=+Yb(+(-0.0- +h[f+2120>>3]),+1.0e-15);m=+Yb(+(+h[f+1576>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[f+1056>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[f+800>>3]),+1.0e-15);p=l+(m+(n+o));q=l*+h[f+2032>>3]+(m*+h[f+1440>>3]+(n*+h[f+976>>3]+o*+h[f+720>>3]));do{if(p!=0.0){r=q/p;s=f;t=g}else{if(q==0.0){r=q;s=f;t=g;break}o=q/+nfa(c[b+536>>2]|0,p,113960,8543992,+h[e>>3],(a[b+319|0]|0)!=0|0);u=c[(c[c[d>>2]>>2]|0)+8>>2]|0;r=o;s=u;t=+h[u+2640>>3]}}while(0);i=r*t;j=s;k=j+2376|0;h[k>>3]=i;return}function $g(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2408>>3]=+h[b+2368>>3]- +h[b+2376>>3];return}function ah(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(-0.0- +h[l+2120>>3]),+1.0e-15);n=+Yb(+(+h[l+1576>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[l+1056>>3]),+1.0e-15);p=+Yb(+(-0.0- +h[l+800>>3]),+1.0e-15);q=m+(n+(o+p));r=m*+h[l+2032>>3]+(n*+h[l+1440>>3]+(o*+h[l+976>>3]+p*+h[l+720>>3]));do{if(q!=0.0){s=r/q;t=l}else{if(r==0.0){s=r;t=l;break}p=r/+nfa(j,q,113960,8543984,+h[k>>3],(a[b+319|0]|0)!=0|0);s=p;t=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,s,243.15,373.15,+h[t+2040>>3],8532272,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6328>>3]=+h[f>>3];i=d;return}function bh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2120>>3];if(g<0.0){i=g*+h[f+2032>>3];j=f;k=j+2096|0;h[k>>3]=i;return}l=+Yb(+(+h[f+2640>>3]),+1.0e-15);m=+Yb(+(+h[f+1576>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[f+1056>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[f+800>>3]),+1.0e-15);p=l+(m+(n+o));q=l*+h[f+2248>>3]+(m*+h[f+1440>>3]+(n*+h[f+976>>3]+o*+h[f+720>>3]));do{if(p!=0.0){r=q/p;s=f;t=g}else{if(q==0.0){r=q;s=f;t=g;break}o=q/+nfa(c[b+536>>2]|0,p,111464,8543976,+h[e>>3],(a[b+319|0]|0)!=0|0);u=c[(c[c[d>>2]>>2]|0)+8>>2]|0;r=o;s=u;t=+h[u+2120>>3]}}while(0);i=r*t;j=s;k=j+2096|0;h[k>>3]=i;return}function ch(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2144>>3]=+h[b+2096>>3]- +h[b+2104>>3];return}function dh(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+2640>>3]),+1.0e-15);n=+Yb(+(+h[l+1576>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[l+1056>>3]),+1.0e-15);p=+Yb(+(-0.0- +h[l+800>>3]),+1.0e-15);q=m+(n+(o+p));r=m*+h[l+2248>>3]+(n*+h[l+1440>>3]+(o*+h[l+976>>3]+p*+h[l+720>>3]));do{if(q!=0.0){s=r/q;t=l}else{if(r==0.0){s=r;t=l;break}p=r/+nfa(j,q,111464,8543968,+h[k>>3],(a[b+319|0]|0)!=0|0);s=p;t=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,s,243.15,373.15,+h[t+2040>>3],8532272,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6320>>3]=+h[f>>3];i=d;return}function eh(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+1576>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+1528>>3]=+h[(a?d+1544|0:d+1536|0)>>3];return}function fh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1520>>3]=+h[b+1576>>3]*+h[b+5568>>3];return}function gh(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+1576>>3];h[b+1560>>3]=d*+h[(d<0.0?b+1440|0:b+1488|0)>>3];return}function hh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1576>>3];if(!(g<0.0)){i=g*+h[f+1440>>3];j=f;k=j+1568|0;h[k>>3]=i;return}l=+Yb(+(+h[f+2640>>3]),+1.0e-15);m=+Yb(+(-0.0- +h[f+2120>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[f+1056>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[f+800>>3]),+1.0e-15);p=l+(m+(n+o));q=l*+h[f+2248>>3]+(m*+h[f+2032>>3]+(n*+h[f+976>>3]+o*+h[f+720>>3]));do{if(p!=0.0){r=q/p;s=f;t=g}else{if(q==0.0){r=q;s=f;t=g;break}o=q/+nfa(c[b+536>>2]|0,p,138976,8543960,+h[e>>3],(a[b+319|0]|0)!=0|0);u=c[(c[c[d>>2]>>2]|0)+8>>2]|0;r=o;s=u;t=+h[u+1576>>3]}}while(0);i=r*t;j=s;k=j+1568|0;h[k>>3]=i;return}function ih(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1624>>3]=+h[b+1560>>3]- +h[b+1568>>3];return}function jh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1056>>3];if(g<0.0){i=g*+h[f+976>>3];j=f;k=j+1032|0;h[k>>3]=i;return}l=+Yb(+(+h[f+2640>>3]),+1.0e-15);m=+Yb(+(-0.0- +h[f+2120>>3]),+1.0e-15);n=+Yb(+(+h[f+1576>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[f+800>>3]),+1.0e-15);p=l+(m+(n+o));q=l*+h[f+2248>>3]+(m*+h[f+2032>>3]+(n*+h[f+1440>>3]+o*+h[f+720>>3]));do{if(p!=0.0){r=q/p;s=f;t=g}else{if(q==0.0){r=q;s=f;t=g;break}o=q/+nfa(c[b+536>>2]|0,p,108976,8543952,+h[e>>3],(a[b+319|0]|0)!=0|0);u=c[(c[c[d>>2]>>2]|0)+8>>2]|0;r=o;s=u;t=+h[u+1056>>3]}}while(0);i=r*t;j=s;k=j+1032|0;h[k>>3]=i;return}function kh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1080>>3]=+h[b+1032>>3]- +h[b+1040>>3];return}function lh(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+2640>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[l+2120>>3]),+1.0e-15);o=+Yb(+(+h[l+1576>>3]),+1.0e-15);p=+Yb(+(-0.0- +h[l+800>>3]),+1.0e-15);q=m+(n+(o+p));r=m*+h[l+2248>>3]+(n*+h[l+2032>>3]+(o*+h[l+1440>>3]+p*+h[l+720>>3]));do{if(q!=0.0){s=r/q;t=l}else{if(r==0.0){s=r;t=l;break}p=r/+nfa(j,q,108976,8543944,+h[k>>3],(a[b+319|0]|0)!=0|0);s=p;t=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,s,243.15,373.15,+h[t+2040>>3],8532272,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6024>>3]=+h[f>>3];i=d;return}function mh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+800>>3];if(g<0.0){i=g*+h[f+720>>3];j=f;k=j+776|0;h[k>>3]=i;return}l=+Yb(+(+h[f+2640>>3]),+1.0e-15);m=+Yb(+(-0.0- +h[f+2120>>3]),+1.0e-15);n=+Yb(+(+h[f+1576>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[f+1056>>3]),+1.0e-15);p=l+(m+(n+o));q=l*+h[f+2248>>3]+(m*+h[f+2032>>3]+(n*+h[f+1440>>3]+o*+h[f+976>>3]));do{if(p!=0.0){r=q/p;s=f;t=g}else{if(q==0.0){r=q;s=f;t=g;break}o=q/+nfa(c[b+536>>2]|0,p,106936,8543936,+h[e>>3],(a[b+319|0]|0)!=0|0);u=c[(c[c[d>>2]>>2]|0)+8>>2]|0;r=o;s=u;t=+h[u+800>>3]}}while(0);i=r*t;j=s;k=j+776|0;h[k>>3]=i;return}function nh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+824>>3]=+h[b+776>>3]- +h[b+784>>3];return}function oh(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+2640>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[l+2120>>3]),+1.0e-15);o=+Yb(+(+h[l+1576>>3]),+1.0e-15);p=+Yb(+(-0.0- +h[l+1056>>3]),+1.0e-15);q=m+(n+(o+p));r=m*+h[l+2248>>3]+(n*+h[l+2032>>3]+(o*+h[l+1440>>3]+p*+h[l+976>>3]));do{if(q!=0.0){s=r/q;t=l}else{if(r==0.0){s=r;t=l;break}p=r/+nfa(j,q,106936,8543928,+h[k>>3],(a[b+319|0]|0)!=0|0);s=p;t=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,s,243.15,373.15,+h[t+2040>>3],8532272,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6008>>3]=+h[f>>3];i=d;return}function ph(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1728>>3]=+h[b+1776>>3]*1.0e-5;return}function qh(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+2912>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+2864>>3]=+h[(a?d+2880|0:d+2872|0)>>3];return}function rh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2856>>3]=+h[b+2912>>3]*+h[b+5288>>3];return}function sh(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+2912>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+1808>>3]=+h[(a?d+1824|0:d+1816|0)>>3];return}function th(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1800>>3]=+h[b+2912>>3]*+h[b+5512>>3];return}function uh(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+2912>>3];h[b+1840>>3]=d*+h[(d<0.0?b+1720|0:b+1768|0)>>3];return}function vh(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+2912>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[l+1312>>3]),+1.0e-15);o=m+n;p=m*+h[l+1720>>3]+n*+h[l+1232>>3];do{if(o!=0.0){q=p/o;r=l}else{if(p==0.0){q=p;r=l;break}n=p/+nfa(j,o,103704,8543920,+h[k>>3],(a[b+319|0]|0)!=0|0);q=n;r=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,q,243.15,373.15,+h[r+1496>>3],8532272,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6056>>3]=+h[f>>3];i=d;return}function wh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2912>>3];if(!(g<0.0)){i=g*+h[f+1720>>3];j=f;k=j+1848|0;h[k>>3]=i;return}l=+Yb(+(-0.0- +h[f+1576>>3]),+1.0e-15);m=+Yb(+(-0.0- +h[f+1312>>3]),+1.0e-15);n=l+m;o=l*+h[f+1488>>3]+m*+h[f+1232>>3];do{if(n!=0.0){p=o/n;q=f;r=g}else{if(o==0.0){p=o;q=f;r=g;break}m=o/+nfa(c[b+536>>2]|0,n,116312,8543912,+h[e>>3],(a[b+319|0]|0)!=0|0);s=c[(c[c[d>>2]>>2]|0)+8>>2]|0;p=m;q=s;r=+h[s+2912>>3]}}while(0);i=p*r;j=q;k=j+1848|0;h[k>>3]=i;return}function xh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1880>>3]=+h[b+1840>>3]- +h[b+1848>>3];return}function yh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1576>>3];if(g<0.0){i=g*+h[f+1488>>3];j=f;k=j+1552|0;h[k>>3]=i;return}l=+Yb(+(+h[f+2912>>3]),+1.0e-15);m=+Yb(+(-0.0- +h[f+1312>>3]),+1.0e-15);n=l+m;o=l*+h[f+1720>>3]+m*+h[f+1232>>3];do{if(n!=0.0){p=o/n;q=f;r=g}else{if(o==0.0){p=o;q=f;r=g;break}m=o/+nfa(c[b+536>>2]|0,n,103704,8543904,+h[e>>3],(a[b+319|0]|0)!=0|0);s=c[(c[c[d>>2]>>2]|0)+8>>2]|0;p=m;q=s;r=+h[s+1576>>3]}}while(0);i=p*r;j=q;k=j+1552|0;h[k>>3]=i;return}function zh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1616>>3]=+h[b+1552>>3]- +h[b+1560>>3];return}function Ah(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1312>>3];if(g<0.0){i=g*+h[f+1232>>3];j=f;k=j+1288|0;h[k>>3]=i;return}l=+Yb(+(+h[f+2912>>3]),+1.0e-15);m=+Yb(+(-0.0- +h[f+1576>>3]),+1.0e-15);n=l+m;o=l*+h[f+1720>>3]+m*+h[f+1488>>3];do{if(n!=0.0){p=o/n;q=f;r=g}else{if(o==0.0){p=o;q=f;r=g;break}m=o/+nfa(c[b+536>>2]|0,n,101040,8543896,+h[e>>3],(a[b+319|0]|0)!=0|0);s=c[(c[c[d>>2]>>2]|0)+8>>2]|0;p=m;q=s;r=+h[s+1312>>3]}}while(0);i=p*r;j=q;k=j+1288|0;h[k>>3]=i;return}function Bh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1336>>3]=+h[b+1288>>3]- +h[b+1296>>3];return}function Ch(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+2912>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[l+1576>>3]),+1.0e-15);o=m+n;p=m*+h[l+1720>>3]+n*+h[l+1488>>3];do{if(o!=0.0){q=p/o;r=l}else{if(p==0.0){q=p;r=l;break}n=p/+nfa(j,o,101040,8543888,+h[k>>3],(a[b+319|0]|0)!=0|0);q=n;r=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,q,243.15,373.15,+h[r+1496>>3],8532272,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6040>>3]=+h[f>>3];i=d;return}function Dh(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3160>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+3112>>3]=+h[(a?d+3128|0:d+3120|0)>>3];return}function Eh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3104>>3]=+h[b+3160>>3]*+h[b+5232>>3];return}function Fh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2520>>3]=+h[b+2832>>3]*1.0e-5;return}function Gh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2784>>3]=+h[b+2832>>3]*1.0e-5;return}function Hh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3e3>>3]=+h[b+2832>>3]*1.0e-5;return}function Ih(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0,p=0,q=0.0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;j=b+536|0;k=b+4|0;Mn(e,c[j>>2]|0,8531632,+h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+6304>>3]+ -273.15);l=+h[e>>3];Mn(f,c[j>>2]|0,8531632,+h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+6296>>3]+ -273.15);_n(g,c[j>>2]|0,+h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+2912>>3],l,+h[f>>3],+h[(c[b+416>>2]|0)+2704>>3]);l=+h[g>>3];g=c[c[k>>2]>>2]|0;f=c[g+8>>2]|0;m=+h[f+2912>>3];if(l!=0.0){n=m/l;o=f;p=o+6232|0;h[p>>3]=n;i=d;return}if(m==0.0){n=m;o=f;p=o+6232|0;h[p>>3]=n;i=d;return}q=m/+nfa(c[j>>2]|0,l,98592,8543880,+h[g>>3],(a[b+319|0]|0)!=0|0);n=q;o=c[(c[c[k>>2]>>2]|0)+8>>2]|0;p=o+6232|0;h[p>>3]=n;i=d;return}function Jh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0;b=i;i=i+32|0;d=b|0;e=b+16|0;f=b+24|0;g=a+536|0;Ln(d,c[g>>2]|0);j=a+4|0;k=c[(c[c[j>>2]>>2]|0)+8>>2]|0;fo(e,c[g>>2]|0,+h[k+1768>>3],243.15,373.15,+h[k+2776>>3],8532272,d|0,1.0e-13);d=c[(c[c[j>>2]>>2]|0)+8>>2]|0;_n(f,c[g>>2]|0,+h[d+2912>>3],+h[d+6304>>3],+h[e>>3],+h[(c[a+416>>2]|0)+2704>>3]);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6264>>3]=+h[f>>3];i=b;return}function Kh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+536|0;Dn(d,c[f>>2]|0);g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;Jn(e,c[f>>2]|0,+h[a+1768>>3],243.15,373.15,+h[a+2776>>3],8532272,d|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6360>>3]=+h[e>>3];i=b;return}function Lh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2728>>3]=+h[b+2776>>3]*1.0e-5;return}function Mh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0;b=i;i=i+32|0;d=b|0;e=b+16|0;f=b+24|0;g=a+536|0;Ln(d,c[g>>2]|0);j=a+4|0;k=c[(c[c[j>>2]>>2]|0)+8>>2]|0;fo(e,c[g>>2]|0,+h[k+2768>>3],243.15,373.15,+h[k+1776>>3],8532272,d|0,1.0e-13);d=c[(c[c[j>>2]>>2]|0)+8>>2]|0;_n(f,c[g>>2]|0,-0.0- +h[d+2912>>3],+h[d+6296>>3],+h[e>>3],+h[(c[a+416>>2]|0)+2704>>3]);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6256>>3]=+h[f>>3];i=b;return}function Nh(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+2912>>3];h[b+2904>>3]=d*+h[(d<0.0?b+1768|0:b+2768|0)>>3];return}function Oh(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+2912>>3];h[b+1832>>3]=d*+h[(d<0.0?b+1768|0:b+2768|0)>>3];return}function Ph(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1872>>3]=+h[b+1832>>3]- +h[b+1840>>3];return}function Qh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+536|0;Dn(d,c[f>>2]|0);g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;Jn(e,c[f>>2]|0,+h[a+2768>>3],243.15,373.15,+h[a+1776>>3],8532272,d|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6144>>3]=+h[e>>3];i=b;return}function Rh(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+152>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2824>>3]=+h[d>>3];i=b;return}function Sh(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+2912>>3];h[b+2896>>3]=d*+h[(d<0.0?b+2768|0:b+2824|0)>>3];return}function Th(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2944>>3]=+h[b+2896>>3]- +h[b+2904>>3];return}function Uh(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(-0.0- +h[l+2912>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[l+2640>>3]),+1.0e-15);o=m+n;p=m*+h[l+2824>>3]+n*+h[l+2560>>3];do{if(o!=0.0){q=p/o;r=l}else{if(p==0.0){q=p;r=l;break}n=p/+nfa(j,o,95880,8543872,+h[k>>3],(a[b+319|0]|0)!=0|0);q=n;r=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,q,243.15,373.15,+h[r+2832>>3],8532272,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6376>>3]=+h[f>>3];i=d;return}function Vh(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+160>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3040>>3]=+h[d>>3];i=b;return}function Wh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+3160>>3];if(!(g<0.0)){i=g*+h[f+3040>>3];j=f;k=j+3152|0;h[k>>3]=i;return}l=+Yb(+(-0.0- +h[f+2912>>3]),+1.0e-15);m=+Yb(+(-0.0- +h[f+2640>>3]),+1.0e-15);n=l+m;o=l*+h[f+2824>>3]+m*+h[f+2560>>3];do{if(n!=0.0){p=o/n;q=f;r=g}else{if(o==0.0){p=o;q=f;r=g;break}m=o/+nfa(c[b+536>>2]|0,n,95880,8543864,+h[e>>3],(a[b+319|0]|0)!=0|0);s=c[(c[c[d>>2]>>2]|0)+8>>2]|0;p=m;q=s;r=+h[s+3160>>3]}}while(0);i=p*r;j=q;k=j+3152|0;h[k>>3]=i;return}function Xh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2912>>3];if(g<0.0){i=g*+h[f+2824>>3];j=f;k=j+2888|0;h[k>>3]=i;return}l=+Yb(+(+h[f+3160>>3]),+1.0e-15);m=+Yb(+(-0.0- +h[f+2640>>3]),+1.0e-15);n=l+m;o=l*+h[f+3040>>3]+m*+h[f+2560>>3];do{if(n!=0.0){p=o/n;q=f;r=g}else{if(o==0.0){p=o;q=f;r=g;break}m=o/+nfa(c[b+536>>2]|0,n,93128,8543856,+h[e>>3],(a[b+319|0]|0)!=0|0);s=c[(c[c[d>>2]>>2]|0)+8>>2]|0;p=m;q=s;r=+h[s+2912>>3]}}while(0);i=p*r;j=q;k=j+2888|0;h[k>>3]=i;return}function Yh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2936>>3]=+h[b+2888>>3]- +h[b+2896>>3];return}function Zh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2640>>3];if(g<0.0){i=g*+h[f+2560>>3];j=f;k=j+2616|0;h[k>>3]=i;return}l=+Yb(+(+h[f+3160>>3]),+1.0e-15);m=+Yb(+(-0.0- +h[f+2912>>3]),+1.0e-15);n=l+m;o=l*+h[f+3040>>3]+m*+h[f+2824>>3];do{if(n!=0.0){p=o/n;q=f;r=g}else{if(o==0.0){p=o;q=f;r=g;break}m=o/+nfa(c[b+536>>2]|0,n,91120,8543848,+h[e>>3],(a[b+319|0]|0)!=0|0);s=c[(c[c[d>>2]>>2]|0)+8>>2]|0;p=m;q=s;r=+h[s+2640>>3]}}while(0);i=p*r;j=q;k=j+2616|0;h[k>>3]=i;return}function _h(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2664>>3]=+h[b+2616>>3]- +h[b+2624>>3];return}function $h(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+3160>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[l+2640>>3]),+1.0e-15);o=m+n;p=m*+h[l+3040>>3]+n*+h[l+2560>>3];do{if(o!=0.0){q=p/o;r=l}else{if(p==0.0){q=p;r=l;break}n=p/+nfa(j,o,93128,8543840,+h[k>>3],(a[b+319|0]|0)!=0|0);q=n;r=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,q,243.15,373.15,+h[r+2832>>3],8532272,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6368>>3]=+h[f>>3];i=d;return}function ai(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+3160>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[l+2912>>3]),+1.0e-15);o=m+n;p=m*+h[l+3040>>3]+n*+h[l+2824>>3];do{if(o!=0.0){q=p/o;r=l}else{if(p==0.0){q=p;r=l;break}n=p/+nfa(j,o,91120,8543832,+h[k>>3],(a[b+319|0]|0)!=0|0);q=n;r=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,q,243.15,373.15,+h[r+2832>>3],8532272,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6352>>3]=+h[f>>3];i=d;return}function bi(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+168>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3080>>3]=+h[d>>3];i=b;return}function ci(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+3160>>3];h[b+3144>>3]=d*+h[(d<0.0?b+3040|0:b+3080|0)>>3];return}function di(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3192>>3]=+h[b+3144>>3]- +h[b+3152>>3];return}function ei(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+3160>>3];h[b+3136>>3]=d*+h[(d<0.0?b+3080|0:b+6576|0)>>3];return}function fi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3184>>3]=+h[b+3136>>3]- +h[b+3144>>3];return}function gi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+376>>3]=+h[b>>3]+ -273.15;return}function hi(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+376>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+400>>3]=+h[d>>3];i=b;return}function ii(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+408>>3];i=+h[f+400>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+392|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,88608,8543824,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+392|0;h[n>>3]=m;return}function ji(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+592>>3]=+h[b+5784>>3]*+h[b+400>>3];return}function ki(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+608>>3]=+h[b+592>>3]*+h[b+392>>3];return}function li(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+1488>>3]*+h[g+400>>3]*+h[d+4336>>3];j=+h[g+544>>3];if(i!=0.0){k=j/i;l=g;m=l+360|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+360|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,86024,8543816,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+360|0;h[m>>3]=k;return}function mi(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+560>>3]=+h[b+360>>3]*+h[d+1488>>3]*+h[d+4336>>3]*(+h[b+416>>3]*.5+(+h[b+1984>>3]*-.5+ +h[b+472>>3]*.5));return}function ni(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3736>>3]=+h[b+576>>3]+ +h[b+560>>3];return}function oi(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+376>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+384>>3]=+h[d>>3];i=b;return}function pi(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+1964>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+176>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+176|0;h[c[f+1968>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+176>>3]);h[c[(c[e>>2]|0)+1972>>2]>>3]=i;Tia(a,24)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+176>>3]=+h[c[(c[e>>2]|0)+1964>>2]>>3];Hs(a);Is(a);Js(a);Ks(a);Ls(a);return}function qi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+432>>3]=+h[b+8>>3]+ -273.15;return}function ri(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+432>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+456>>3]=+h[d>>3];i=b;return}function si(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+464>>3];i=+h[f+456>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+448|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,84120,8543792,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+448|0;h[n>>3]=m;return}function ti(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+584>>3]=+h[b+5776>>3]*+h[b+456>>3];return}function ui(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+600>>3]=+h[b+584>>3]*+h[b+448>>3];return}function vi(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+1480>>3]*+h[g+456>>3]*+h[d+4336>>3];j=+h[g+544>>3];if(i!=0.0){k=j/i;l=g;m=l+352|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+352|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,81744,8543784,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+352|0;h[m>>3]=k;return}function wi(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+552>>3]=+h[b+352>>3]*+h[d+1480>>3]*+h[d+4336>>3]*(+h[b+416>>3]*.5+(+h[b+1984>>3]*-.5+ +h[b+472>>3]*.5));return}function xi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3728>>3]=+h[b+568>>3]+ +h[b+552>>3];return}function yi(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+432>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+440>>3]=+h[d>>3];i=b;return}function zi(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+2044>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+3920>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+3920|0;h[c[f+2048>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+3920>>3]);h[c[(c[e>>2]|0)+2052>>2]>>3]=i;Tia(a,25)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3920>>3]=+h[c[(c[e>>2]|0)+2044>>2]>>3];Os(a);Ps(a);Qs(a);Rs(a);Ss(a);return}function Ai(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+640>>3]=+h[b+16>>3]+ -273.15;return}function Bi(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+640>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+664>>3]=+h[d>>3];i=b;return}function Ci(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+672>>3];i=+h[f+664>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+656|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,78128,8543760,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+656|0;h[n>>3]=m;return}function Di(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+848>>3]=+h[b+5728>>3]*+h[b+664>>3];return}function Ei(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+864>>3]=+h[b+848>>3]*+h[b+656>>3];return}function Fi(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+1304>>3]*+h[g+664>>3]*+h[d+4112>>3];j=+h[g+800>>3];if(i!=0.0){k=j/i;l=g;m=l+624|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+624|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,76224,8543752,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+624|0;h[m>>3]=k;return}function Gi(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+816>>3]=+h[b+624>>3]*+h[d+1304>>3]*+h[d+4112>>3]*(+h[b+1984>>3]*.5+(+h[b+2040>>3]*-.5+ +h[b+728>>3]*.5));return}function Hi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3704>>3]=+h[b+832>>3]+ +h[b+816>>3];return}function Ii(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+640>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+648>>3]=+h[d>>3];i=b;return}function Ji(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+2124>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+3912>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+3912|0;h[c[f+2128>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+3912>>3]);h[c[(c[e>>2]|0)+2132>>2]>>3]=i;Tia(a,26)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3912>>3]=+h[c[(c[e>>2]|0)+2124>>2]>>3];Vs(a);Ws(a);Xs(a);Ys(a);Zs(a);return}function Ki(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+688>>3]=+h[b+24>>3]+ -273.15;return}function Li(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+688>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+712>>3]=+h[d>>3];i=b;return}function Mi(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+720>>3];i=+h[f+712>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+704|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,74064,8543736,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+704|0;h[n>>3]=m;return}function Ni(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+840>>3]=+h[b+5720>>3]*+h[b+712>>3];return}function Oi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+856>>3]=+h[b+840>>3]*+h[b+704>>3];return}function Pi(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+1296>>3]*+h[g+712>>3]*+h[d+4112>>3];j=+h[g+800>>3];if(i!=0.0){k=j/i;l=g;m=l+616|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+616|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,71920,8543728,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+616|0;h[m>>3]=k;return}function Qi(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+808>>3]=+h[b+616>>3]*+h[d+1296>>3]*+h[d+4112>>3]*(+h[b+1984>>3]*.5+(+h[b+2040>>3]*-.5+ +h[b+728>>3]*.5));return}function Ri(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3696>>3]=+h[b+824>>3]+ +h[b+808>>3];return}function Si(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+688>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+696>>3]=+h[d>>3];i=b;return}function Ti(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+2204>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+3904>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+3904|0;h[c[f+2208>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+3904>>3]);h[c[(c[e>>2]|0)+2212>>2]>>3]=i;Tia(a,27)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3904>>3]=+h[c[(c[e>>2]|0)+2204>>2]>>3];at(a);bt(a);ct(a);dt(a);et(a);return}function Ui(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+896>>3]=+h[b+32>>3]+ -273.15;return}function Vi(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+896>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+920>>3]=+h[d>>3];i=b;return}function Wi(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+928>>3];i=+h[f+920>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+912|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,69928,8543712,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+912|0;h[n>>3]=m;return}function Xi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1104>>3]=+h[b+5672>>3]*+h[b+920>>3];return}function Yi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1120>>3]=+h[b+1104>>3]*+h[b+912>>3];return}function Zi(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+1168>>3]*+h[g+920>>3]*+h[d+3888>>3];j=+h[g+1056>>3];if(i!=0.0){k=j/i;l=g;m=l+880|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+880|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,67904,8543704,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+880|0;h[m>>3]=k;return}function _i(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1072>>3]=+h[b+880>>3]*+h[d+1168>>3]*+h[d+3888>>3]*(+h[b+1984>>3]*.5+(+h[b+2040>>3]*-.5+ +h[b+984>>3]*.5));return}function $i(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3672>>3]=+h[b+1088>>3]+ +h[b+1072>>3];return}function aj(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+896>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+904>>3]=+h[d>>3];i=b;return}function bj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+2284>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+3896>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+3896|0;h[c[f+2288>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+3896>>3]);h[c[(c[e>>2]|0)+2292>>2]>>3]=i;Tia(a,28)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3896>>3]=+h[c[(c[e>>2]|0)+2284>>2]>>3];ht(a);it(a);jt(a);kt(a);lt(a);return}function cj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+944>>3]=+h[b+40>>3]+ -273.15;return}function dj(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+944>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+968>>3]=+h[d>>3];i=b;return}function ej(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+976>>3];i=+h[f+968>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+960|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,65968,8543688,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+960|0;h[n>>3]=m;return}function fj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1096>>3]=+h[b+5664>>3]*+h[b+968>>3];return}function gj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1112>>3]=+h[b+1096>>3]*+h[b+960>>3];return}function hj(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+1160>>3]*+h[g+968>>3]*+h[d+3888>>3];j=+h[g+1056>>3];if(i!=0.0){k=j/i;l=g;m=l+872|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+872|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,63840,8543680,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+872|0;h[m>>3]=k;return}function ij(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1064>>3]=+h[b+872>>3]*+h[d+1160>>3]*+h[d+3888>>3]*(+h[b+1984>>3]*.5+(+h[b+2040>>3]*-.5+ +h[b+984>>3]*.5));return}function jj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3664>>3]=+h[b+1080>>3]+ +h[b+1064>>3];return}function kj(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+944>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+952>>3]=+h[d>>3];i=b;return}function lj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+2364>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+216>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+216|0;h[c[f+2368>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+216>>3]);h[c[(c[e>>2]|0)+2372>>2]>>3]=i;Tia(a,29)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+216>>3]=+h[c[(c[e>>2]|0)+2364>>2]>>3];ot(a);pt(a);qt(a);rt(a);st(a);return}function mj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1152>>3]=+h[b+48>>3]+ -273.15;return}function nj(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1152>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1176>>3]=+h[d>>3];i=b;return}function oj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1184>>3];i=+h[f+1176>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+1168|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,61696,8543664,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+1168|0;h[n>>3]=m;return}function pj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1360>>3]=+h[b+5616>>3]*+h[b+1176>>3];return}function qj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1376>>3]=+h[b+1360>>3]*+h[b+1168>>3];return}function rj(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+1032>>3]*+h[g+1176>>3]*+h[d+3664>>3];j=+h[g+1312>>3];if(i!=0.0){k=j/i;l=g;m=l+1136|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+1136|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,59688,8543656,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+1136|0;h[m>>3]=k;return}function sj(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1328>>3]=+h[b+1136>>3]*+h[d+1032>>3]*+h[d+3664>>3]*(+h[b+1984>>3]*.5+(+h[b+1496>>3]*-.5+ +h[b+1240>>3]*.5));return}function tj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3640>>3]=+h[b+1344>>3]+ +h[b+1328>>3];return}function uj(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1152>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1160>>3]=+h[d>>3];i=b;return}function vj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+2444>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+3880>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+3880|0;h[c[f+2448>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+3880>>3]);h[c[(c[e>>2]|0)+2452>>2]>>3]=i;Tia(a,30)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3880>>3]=+h[c[(c[e>>2]|0)+2444>>2]>>3];vt(a);wt(a);xt(a);yt(a);zt(a);return}function wj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1200>>3]=+h[b+56>>3]+ -273.15;return}function xj(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1200>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1224>>3]=+h[d>>3];i=b;return}function yj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1232>>3];i=+h[f+1224>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+1216|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,56520,8543640,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+1216|0;h[n>>3]=m;return}function zj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1352>>3]=+h[b+5608>>3]*+h[b+1224>>3];return}function Aj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1368>>3]=+h[b+1352>>3]*+h[b+1216>>3];return}function Bj(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+1024>>3]*+h[g+1224>>3]*+h[d+3664>>3];j=+h[g+1312>>3];if(i!=0.0){k=j/i;l=g;m=l+1128|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+1128|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,54488,8543632,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+1128|0;h[m>>3]=k;return}function Cj(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1320>>3]=+h[b+1128>>3]*+h[d+1024>>3]*+h[d+3664>>3]*(+h[b+1984>>3]*.5+(+h[b+1496>>3]*-.5+ +h[b+1240>>3]*.5));return}function Dj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3632>>3]=+h[b+1336>>3]+ +h[b+1320>>3];return}function Ej(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1200>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1208>>3]=+h[d>>3];i=b;return}function Fj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+2524>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+232>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+232|0;h[c[f+2528>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+232>>3]);h[c[(c[e>>2]|0)+2532>>2]>>3]=i;Tia(a,31)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+232>>3]=+h[c[(c[e>>2]|0)+2524>>2]>>3];Ct(a);Dt(a);Et(a);Ft(a);Gt(a);return}function Gj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1408>>3]=+h[b+64>>3]+ -273.15;return}function Hj(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1408>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1432>>3]=+h[d>>3];i=b;return}function Ij(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1440>>3];i=+h[f+1432>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+1424|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,52392,8543616,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+1424|0;h[n>>3]=m;return}function Jj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1640>>3]=+h[b+5560>>3]*+h[b+1432>>3];return}function Kj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1656>>3]=+h[b+1640>>3]*+h[b+1424>>3];return}function Lj(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+896>>3]*+h[g+1432>>3]*+h[d+3440>>3];j=+h[g+1576>>3];if(i!=0.0){k=j/i;l=g;m=l+1392|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+1392|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,50672,8543608,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+1392|0;h[m>>3]=k;return}function Mj(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1592>>3]=+h[b+1392>>3]*+h[d+896>>3]*+h[d+3440>>3]*(+h[b+2040>>3]*.5+(+h[b+1496>>3]*-.5+ +h[b+1504>>3]*.5));return}function Nj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3608>>3]=+h[b+1624>>3]+(+h[b+1592>>3]+ +h[b+1608>>3]);return}function Oj(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1408>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1416>>3]=+h[d>>3];i=b;return}function Pj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+2604>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+3864>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+3864|0;h[c[f+2608>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+3864>>3]);h[c[(c[e>>2]|0)+2612>>2]>>3]=i;Tia(a,32)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3864>>3]=+h[c[(c[e>>2]|0)+2604>>2]>>3];Jt(a);Kt(a);Lt(a);Mt(a);Nt(a);return}function Qj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1456>>3]=+h[b+72>>3]+ -273.15;return}function Rj(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1456>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1480>>3]=+h[d>>3];i=b;return}function Sj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1488>>3];i=+h[f+1480>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+1472|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,49968,8543584,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+1472|0;h[n>>3]=m;return}function Tj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1632>>3]=+h[b+5552>>3]*+h[b+1480>>3];return}function Uj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1648>>3]=+h[b+1632>>3]*+h[b+1472>>3];return}function Vj(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+888>>3]*+h[g+1480>>3]*+h[d+3440>>3];j=+h[g+1576>>3];if(i!=0.0){k=j/i;l=g;m=l+1384|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+1384|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,49344,8543576,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+1384|0;h[m>>3]=k;return}function Wj(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1584>>3]=+h[b+1384>>3]*+h[d+888>>3]*+h[d+3440>>3]*(+h[b+2040>>3]*.5+(+h[b+1496>>3]*-.5+ +h[b+1504>>3]*.5));return}function Xj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3600>>3]=+h[b+1616>>3]+(+h[b+1584>>3]+ +h[b+1600>>3]);return}function Yj(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1456>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1464>>3]=+h[d>>3];i=b;return}function Zj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+2684>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+3856>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+3856|0;h[c[f+2688>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+3856>>3]);h[c[(c[e>>2]|0)+2692>>2]>>3]=i;Tia(a,33)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3856>>3]=+h[c[(c[e>>2]|0)+2684>>2]>>3];Qt(a);Rt(a);St(a);Tt(a);Ut(a);return}function _j(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1688>>3]=+h[b+80>>3]+ -273.15;return}function $j(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1688>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1712>>3]=+h[d>>3];i=b;return}function ak(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1720>>3];i=+h[f+1712>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+1704|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,48704,8543552,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+1704|0;h[n>>3]=m;return}function bk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1896>>3]=+h[b+5504>>3]*+h[b+1712>>3];return}function ck(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1912>>3]=+h[b+1896>>3]*+h[b+1704>>3];return}function dk(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+752>>3]*+h[g+1712>>3]*+h[d+2928>>3];j=+h[g+2912>>3];if(i!=0.0){k=j/i;l=g;m=l+1672|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+1672|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,48008,8543544,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+1672|0;h[m>>3]=k;return}function ek(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1864>>3]=+h[b+1672>>3]*+h[d+752>>3]*+h[d+2928>>3]*(+h[b+1496>>3]*.5+(+h[b+1776>>3]*-.5+ +h[b+1784>>3]*.5));return}function fk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3576>>3]=+h[b+1880>>3]+ +h[b+1864>>3];return}function gk(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1688>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1696>>3]=+h[d>>3];i=b;return}function hk(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+2764>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+256>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+256|0;h[c[f+2768>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+256>>3]);h[c[(c[e>>2]|0)+2772>>2]>>3]=i;Tia(a,34)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+256>>3]=+h[c[(c[e>>2]|0)+2764>>2]>>3];Xt(a);Yt(a);Zt(a);_t(a);$t(a);return}function ik(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1736>>3]=+h[b+88>>3]+ -273.15;return}function jk(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1736>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1760>>3]=+h[d>>3];i=b;return}function kk(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1768>>3];i=+h[f+1760>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+1752|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,47320,8543528,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+1752|0;h[n>>3]=m;return}function lk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1888>>3]=+h[b+5496>>3]*+h[b+1760>>3];return}function mk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1904>>3]=+h[b+1888>>3]*+h[b+1752>>3];return}function nk(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+2928>>3]*+h[g+1760>>3]*+h[d+744>>3];j=+h[g+2912>>3];if(i!=0.0){k=j/i;l=g;m=l+1664|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+1664|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,46656,8543520,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+1664|0;h[m>>3]=k;return}function ok(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1856>>3]=+h[b+1664>>3]*+h[d+744>>3]*+h[d+2928>>3]*(+h[b+1496>>3]*.5+(+h[b+1776>>3]*-.5+ +h[b+1784>>3]*.5));return}function pk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3568>>3]=+h[b+1872>>3]+ +h[b+1856>>3];return}function qk(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1736>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1744>>3]=+h[d>>3];i=b;return}function rk(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+2844>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+3840>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+3840|0;h[c[f+2848>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+3840>>3]);h[c[(c[e>>2]|0)+2852>>2]>>3]=i;Tia(a,35)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3840>>3]=+h[c[(c[e>>2]|0)+2844>>2]>>3];cu(a);du(a);eu(a);fu(a);gu(a);return}function sk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1944>>3]=+h[b+96>>3]+ -273.15;return}function tk(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1944>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1968>>3]=+h[d>>3];i=b;return}function uk(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1976>>3];i=+h[f+1968>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+1960|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,45136,8543504,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+1960|0;h[n>>3]=m;return}function vk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2168>>3]=+h[b+5448>>3]*+h[b+1968>>3];return}function wk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2184>>3]=+h[b+2168>>3]*+h[b+1960>>3];return}function xk(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+616>>3]*+h[g+1968>>3]*+h[d+2480>>3];j=+h[g+2120>>3];if(i!=0.0){k=j/i;l=g;m=l+1928|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+1928|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,44592,8543488,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+1928|0;h[m>>3]=k;return}function yk(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+2136>>3]=+h[b+1928>>3]*+h[d+616>>3]*+h[d+2480>>3]*(+h[b+1984>>3]*.5+(+h[b+2040>>3]*-.5+ +h[b+2048>>3]*.5));return}function zk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3544>>3]=+h[b+2152>>3]+ +h[b+2136>>3];return}function Ak(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1944>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1952>>3]=+h[d>>3];i=b;return}function Bk(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+2924>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+3832>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+3832|0;h[c[f+2928>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+3832>>3]);h[c[(c[e>>2]|0)+2932>>2]>>3]=i;Tia(a,36)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3832>>3]=+h[c[(c[e>>2]|0)+2924>>2]>>3];ju(a);ku(a);lu(a);mu(a);nu(a);return}function Ck(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2e3>>3]=+h[b+104>>3]+ -273.15;return}function Dk(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2e3>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2024>>3]=+h[d>>3];i=b;return}function Ek(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2032>>3];i=+h[f+2024>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+2016|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,43968,8543472,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+2016|0;h[n>>3]=m;return}function Fk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2160>>3]=+h[b+5440>>3]*+h[b+2024>>3];return}function Gk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2176>>3]=+h[b+2160>>3]*+h[b+2016>>3];return}function Hk(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+608>>3]*+h[g+2024>>3]*+h[d+2480>>3];j=+h[g+2120>>3];if(i!=0.0){k=j/i;l=g;m=l+1920|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+1920|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,43440,8543464,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+1920|0;h[m>>3]=k;return}function Ik(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+2128>>3]=+h[b+1920>>3]*+h[d+608>>3]*+h[d+2480>>3]*(+h[b+1984>>3]*.5+(+h[b+2040>>3]*-.5+ +h[b+2048>>3]*.5));return}function Jk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3536>>3]=+h[b+2144>>3]+ +h[b+2128>>3];return}function Kk(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2e3>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2008>>3]=+h[d>>3];i=b;return}function Lk(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+3004>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+3824>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+3824|0;h[c[f+3008>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+3824>>3]);h[c[(c[e>>2]|0)+3012>>2]>>3]=i;Tia(a,37)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3824>>3]=+h[c[(c[e>>2]|0)+3004>>2]>>3];qu(a);ru(a);su(a);tu(a);uu(a);return}function Mk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2216>>3]=+h[b+112>>3]+ -273.15;return}function Nk(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2216>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2240>>3]=+h[d>>3];i=b;return}function Ok(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2248>>3];i=+h[f+2240>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+2232|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,42848,8543448,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+2232|0;h[n>>3]=m;return}function Pk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2424>>3]=+h[b+5392>>3]*+h[b+2240>>3];return}function Qk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2440>>3]=+h[b+2424>>3]*+h[b+2232>>3];return}function Rk(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+480>>3]*+h[g+2240>>3]*+h[d+2256>>3];j=+h[g+2640>>3];if(i!=0.0){k=j/i;l=g;m=l+2200|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+2200|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,42376,8543440,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+2200|0;h[m>>3]=k;return}function Sk(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+2392>>3]=+h[b+2200>>3]*+h[d+480>>3]*+h[d+2256>>3]*(+h[b+2040>>3]*.5+(+h[b+2304>>3]*-.5+ +h[b+2312>>3]*.5));return}function Tk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3512>>3]=+h[b+2408>>3]+ +h[b+2392>>3];return}function Uk(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2216>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2224>>3]=+h[d>>3];i=b;return}function Vk(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+3084>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+3816>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+3816|0;h[c[f+3088>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+3816>>3]);h[c[(c[e>>2]|0)+3092>>2]>>3]=i;Tia(a,38)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3816>>3]=+h[c[(c[e>>2]|0)+3084>>2]>>3];xu(a);yu(a);zu(a);Au(a);Bu(a);return}function Wk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2264>>3]=+h[b+120>>3]+ -273.15;return}function Xk(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2264>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2288>>3]=+h[d>>3];i=b;return}function Yk(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2296>>3];i=+h[f+2288>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+2280|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,41872,8543424,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+2280|0;h[n>>3]=m;return}function Zk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2416>>3]=+h[b+5384>>3]*+h[b+2288>>3];return}function _k(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2432>>3]=+h[b+2416>>3]*+h[b+2280>>3];return}function $k(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+2256>>3]*+h[g+2288>>3]*+h[d+472>>3];j=+h[g+2640>>3];if(i!=0.0){k=j/i;l=g;m=l+2192|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+2192|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,41176,8543416,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+2192|0;h[m>>3]=k;return}function al(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+2384>>3]=+h[b+2192>>3]*+h[d+472>>3]*+h[d+2256>>3]*(+h[b+2040>>3]*.5+(+h[b+2304>>3]*-.5+ +h[b+2312>>3]*.5));return}function bl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3504>>3]=+h[b+2400>>3]+ +h[b+2384>>3];return}function cl(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2264>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2272>>3]=+h[d>>3];i=b;return}function dl(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+3164>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+296>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+296|0;h[c[f+3168>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+296>>3]);h[c[(c[e>>2]|0)+3172>>2]>>3]=i;Tia(a,39)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+296>>3]=+h[c[(c[e>>2]|0)+3164>>2]>>3];Eu(a);Fu(a);Gu(a);Hu(a);Iu(a);return}function el(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2472>>3]=+h[b+128>>3]+ -273.15;return}function fl(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2472>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2496>>3]=+h[d>>3];i=b;return}function gl(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2504>>3];i=+h[f+2496>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+2488|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,40536,8543400,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+2488|0;h[n>>3]=m;return}function hl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2688>>3]=+h[b+5336>>3]*+h[b+2496>>3];return}function il(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2704>>3]=+h[b+2688>>3]*+h[b+2488>>3];return}function jl(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+344>>3]*+h[g+2496>>3]*+h[d+2032>>3];j=+h[g+2640>>3];if(i!=0.0){k=j/i;l=g;m=l+2456|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+2456|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,40024,8543392,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+2456|0;h[m>>3]=k;return}function kl(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+2656>>3]=+h[b+2456>>3]*+h[d+344>>3]*+h[d+2032>>3]*(+h[b+2512>>3]*.5+(+h[b+2832>>3]*-.5+ +h[b+2568>>3]*.5));return}function ll(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3480>>3]=+h[b+2672>>3]+ +h[b+2656>>3];return}function ml(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2472>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2480>>3]=+h[d>>3];i=b;return}function nl(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+3244>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+3800>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+3800|0;h[c[f+3248>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+3800>>3]);h[c[(c[e>>2]|0)+3252>>2]>>3]=i;Tia(a,40)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3800>>3]=+h[c[(c[e>>2]|0)+3244>>2]>>3];Lu(a);Mu(a);Nu(a);Ou(a);Pu(a);return}function ol(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2528>>3]=+h[b+136>>3]+ -273.15;return}function pl(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2528>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2552>>3]=+h[d>>3];i=b;return}function ql(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2560>>3];i=+h[f+2552>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+2544|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,39024,8543376,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+2544|0;h[n>>3]=m;return}function rl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2680>>3]=+h[b+5328>>3]*+h[b+2552>>3];return}function sl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2696>>3]=+h[b+2680>>3]*+h[b+2544>>3];return}function tl(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+336>>3]*+h[g+2552>>3]*+h[d+2032>>3];j=+h[g+2640>>3];if(i!=0.0){k=j/i;l=g;m=l+2448|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+2448|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,38376,8543368,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+2448|0;h[m>>3]=k;return}function ul(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+2648>>3]=+h[b+2448>>3]*+h[d+336>>3]*+h[d+2032>>3]*(+h[b+2512>>3]*.5+(+h[b+2832>>3]*-.5+ +h[b+2568>>3]*.5));return}function vl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3472>>3]=+h[b+2664>>3]+ +h[b+2648>>3];return}function wl(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2528>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2536>>3]=+h[d>>3];i=b;return}function xl(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+3324>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+312>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+312|0;h[c[f+3328>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+312>>3]);h[c[(c[e>>2]|0)+3332>>2]>>3]=i;Tia(a,41)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+312>>3]=+h[c[(c[e>>2]|0)+3324>>2]>>3];Su(a);Tu(a);Uu(a);Vu(a);Wu(a);return}function yl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2736>>3]=+h[b+144>>3]+ -273.15;return}function zl(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2736>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2760>>3]=+h[d>>3];i=b;return}function Al(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2768>>3];i=+h[f+2760>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+2752|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,37832,8543352,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+2752|0;h[n>>3]=m;return}function Bl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2960>>3]=+h[b+5280>>3]*+h[b+2760>>3];return}function Cl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2976>>3]=+h[b+2960>>3]*+h[b+2752>>3];return}function Dl(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+208>>3]*+h[g+2760>>3]*+h[d+1808>>3];j=+h[g+2912>>3];if(i!=0.0){k=j/i;l=g;m=l+2720|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+2720|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,37144,8543344,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+2720|0;h[m>>3]=k;return}function El(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+2928>>3]=+h[b+2720>>3]*+h[d+208>>3]*+h[d+1808>>3]*(+h[b+2776>>3]*.5+(+h[b+2832>>3]*-.5+ +h[b+2840>>3]*.5));return}function Fl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3448>>3]=+h[b+2944>>3]+ +h[b+2928>>3];return}function Gl(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2736>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2744>>3]=+h[d>>3];i=b;return}function Hl(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+3404>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+3784>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+3784|0;h[c[f+3408>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+3784>>3]);h[c[(c[e>>2]|0)+3412>>2]>>3]=i;Tia(a,42)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3784>>3]=+h[c[(c[e>>2]|0)+3404>>2]>>3];Zu(a);_u(a);$u(a);av(a);bv(a);return}function Il(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2792>>3]=+h[b+152>>3]+ -273.15;return}function Jl(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2792>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2816>>3]=+h[d>>3];i=b;return}function Kl(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2824>>3];i=+h[f+2816>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+2808|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,36392,8543320,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+2808|0;h[n>>3]=m;return}function Ll(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2952>>3]=+h[b+5272>>3]*+h[b+2816>>3];return}function Ml(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2968>>3]=+h[b+2952>>3]*+h[b+2808>>3];return}function Nl(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+200>>3]*+h[g+2816>>3]*+h[d+1808>>3];j=+h[g+2912>>3];if(i!=0.0){k=j/i;l=g;m=l+2712|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+2712|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,35776,8543312,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+2712|0;h[m>>3]=k;return}function Ol(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+2920>>3]=+h[b+2712>>3]*+h[d+200>>3]*+h[d+1808>>3]*(+h[b+2776>>3]*.5+(+h[b+2832>>3]*-.5+ +h[b+2840>>3]*.5));return}function Pl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3440>>3]=+h[b+2936>>3]+ +h[b+2920>>3];return}function Ql(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2792>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2800>>3]=+h[d>>3];i=b;return}function Rl(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+3484>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+328>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+328|0;h[c[f+3488>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+328>>3]);h[c[(c[e>>2]|0)+3492>>2]>>3]=i;Tia(a,43)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+328>>3]=+h[c[(c[e>>2]|0)+3484>>2]>>3];ev(a);fv(a);gv(a);hv(a);iv(a);return}function Sl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3008>>3]=+h[b+160>>3]+ -273.15;return}function Tl(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3008>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3032>>3]=+h[d>>3];i=b;return}function Ul(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+3040>>3];i=+h[f+3032>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+3024|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,35328,8543296,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+3024|0;h[n>>3]=m;return}function Vl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3208>>3]=+h[b+5224>>3]*+h[b+3032>>3];return}function Wl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3224>>3]=+h[b+3208>>3]*+h[b+3024>>3];return}function Xl(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+72>>3]*+h[g+3032>>3]*+h[d+1584>>3];j=+h[g+3160>>3];if(i!=0.0){k=j/i;l=g;m=l+2992|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+2992|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,34752,8543288,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+2992|0;h[m>>3]=k;return}function Yl(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+3176>>3]=+h[b+2992>>3]*+h[d+72>>3]*+h[d+1584>>3]*((+h[b+2832>>3]+ +h[b+3088>>3])*.5+-25.0e4);return}function Zl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3416>>3]=+h[b+3192>>3]+ +h[b+3176>>3];return}function _l(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3008>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3016>>3]=+h[d>>3];i=b;return}function $l(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+3564>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+3768>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+3768|0;h[c[f+3568>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+3768>>3]);h[c[(c[e>>2]|0)+3572>>2]>>3]=i;Tia(a,44)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3768>>3]=+h[c[(c[e>>2]|0)+3564>>2]>>3];lv(a);mv(a);nv(a);ov(a);pv(a);return}function am(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3048>>3]=+h[b+168>>3]+ -273.15;return}function bm(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531632,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3048>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3072>>3]=+h[d>>3];i=b;return}function cm(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+3080>>3];i=+h[f+3072>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+3064|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,34192,8543272,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+3064|0;h[n>>3]=m;return}function dm(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3200>>3]=+h[b+5216>>3]*+h[b+3072>>3];return}function em(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3216>>3]=+h[b+3200>>3]*+h[b+3064>>3];return}function fm(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+64>>3]*+h[g+3072>>3]*+h[d+1584>>3];j=+h[g+3160>>3];if(i!=0.0){k=j/i;l=g;m=l+2984|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+2984|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,33656,8543264,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+2984|0;h[m>>3]=k;return}function gm(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+3168>>3]=+h[b+2984>>3]*+h[d+64>>3]*+h[d+1584>>3]*((+h[b+2832>>3]+ +h[b+3088>>3])*.5+-25.0e4);return}function hm(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3408>>3]=+h[b+3184>>3]+ +h[b+3168>>3];return}function im(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532464,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3048>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3056>>3]=+h[d>>3];i=b;return}function jm(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+3644>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+3760>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+3760|0;h[c[f+3648>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+3760>>3]);h[c[(c[e>>2]|0)+3652>>2]>>3]=i;Tia(a,45)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3760>>3]=+h[c[(c[e>>2]|0)+3644>>2]>>3];sv(a);tv(a);uv(a);vv(a);wv(a);return}function km(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+32|0;d=b|0;e=b+16|0;Iga(d,1,32408,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;ega(e,1,1.0,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;Vn(c[a+536>>2]|0,32408,d,1,1,e,31952);i=b;return}function lm(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+32|0;d=b|0;e=b+16|0;Iga(d,1,32408,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;ega(e,1,1.0,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;Vn(c[a+536>>2]|0,32408,d,1,1,e,31952);i=b;return}function mm(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+168>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+168>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+168>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function nm(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+160>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+160>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+160>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function om(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2832>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2832>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+160>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function pm(a){a=a|0;var b=0,d=0;b=i;d=c[a+416>>2]|0;if(!((zia(+h[d+1592>>3],+h[d+1616>>3])|0)<<24>>24==0)){i=b;return}oe[c[2166]&127](c[a+536>>2]|0,8543232,23664,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;i=b;return}function qm(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+152>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+152>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+152>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function rm(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2832>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2832>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+152>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function sm(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+144>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+144>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+144>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function tm(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2776>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2776>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+144>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function um(a){a=a|0;var b=0,d=0;b=i;d=c[a+416>>2]|0;if(!((zia(+h[d+1816>>3],+h[d+1840>>3])|0)<<24>>24==0)){i=b;return}oe[c[2166]&127](c[a+536>>2]|0,8543232,23664,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;i=b;return}function vm(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+136>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+136>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+136>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function wm(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2832>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2832>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+136>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function xm(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+128>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+128>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+128>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function ym(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2512>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2512>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+128>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function zm(a){a=a|0;var b=0,d=0;b=i;d=c[a+416>>2]|0;if(!((zia(+h[d+2040>>3],+h[d+2064>>3])|0)<<24>>24==0)){i=b;return}oe[c[2166]&127](c[a+536>>2]|0,8543232,23664,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;i=b;return}function Am(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+120>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+120>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+120>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function Bm(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2304>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2304>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+120>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function Cm(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+112>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+112>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+112>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function Dm(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2040>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2040>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+112>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function Em(a){a=a|0;var b=0,d=0;b=i;d=c[a+416>>2]|0;if(!((zia(+h[d+2264>>3],+h[d+2288>>3])|0)<<24>>24==0)){i=b;return}oe[c[2166]&127](c[a+536>>2]|0,8543232,23664,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;i=b;return}function Fm(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+104>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+104>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+104>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function Gm(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2040>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2040>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+104>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function Hm(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+96>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+96>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+96>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function Im(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1984>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1984>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+96>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function Jm(a){a=a|0;var b=0,d=0;b=i;d=c[a+416>>2]|0;if(!((zia(+h[d+2488>>3],+h[d+2512>>3])|0)<<24>>24==0)){i=b;return}oe[c[2166]&127](c[a+536>>2]|0,8543232,23664,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;i=b;return}function Km(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+88>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+88>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+88>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function Lm(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1776>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1776>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+88>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function Mm(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+80>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+80>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+80>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function Nm(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1496>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1496>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+80>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function Om(a){a=a|0;var b=0,d=0;b=i;d=c[a+416>>2]|0;if(!((zia(+h[d+2936>>3],+h[d+2960>>3])|0)<<24>>24==0)){i=b;return}oe[c[2166]&127](c[a+536>>2]|0,8543232,23664,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;i=b;return}function Pm(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+72>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+72>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+72>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function Qm(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1496>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1496>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+72>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function Rm(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+64>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+64>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+64>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function Sm(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2040>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2040>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+64>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function Tm(a){a=a|0;var b=0,d=0;b=i;d=c[a+416>>2]|0;if(!((zia(+h[d+3448>>3],+h[d+3472>>3])|0)<<24>>24==0)){i=b;return}oe[c[2166]&127](c[a+536>>2]|0,8543232,23664,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;i=b;return}function Um(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+56>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+56>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+56>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function Vm(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1496>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1496>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+56>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function Wm(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+48>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+48>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+48>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function Xm(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1984>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1984>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+48>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function Ym(a){a=a|0;var b=0,d=0;b=i;d=c[a+416>>2]|0;if(!((zia(+h[d+3672>>3],+h[d+3696>>3])|0)<<24>>24==0)){i=b;return}oe[c[2166]&127](c[a+536>>2]|0,8543232,23664,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;i=b;return}function Zm(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+40>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+40>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+40>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}



function b6(b){b=b|0;var d=0,e=0;d=i;if(a[8536648]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2376>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2376>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(40088,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2376>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536648]=1;i=d;return}function c6(b){b=b|0;var d=0,e=0;d=i;if(a[8536640]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2344>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2344>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(39152,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2344>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536640]=1;i=d;return}function d6(b){b=b|0;var d=0,e=0;d=i;if(a[8536632]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2352>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2352>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(38440,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2352>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536632]=1;i=d;return}function e6(b){b=b|0;var d=0,e=0;d=i;if(a[8536624]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2336>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2336>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(37856,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2336>>3],34376)|0)|0;le[c[2164]&15](8535136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536624]=1;i=d;return}function f6(b){b=b|0;var d=0,e=0;d=i;if(a[8536616]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2304>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2304>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(37208,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2304>>3],34376)|0)|0;le[c[2164]&15](8535072,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536616]=1;i=d;return}function g6(b){b=b|0;var d=0,e=0;d=i;if(a[8536608]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2296>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2296>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(36424,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2296>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536608]=1;i=d;return}function h6(b){b=b|0;var d=0,e=0;d=i;if(a[8536600]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2288>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2288>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(35840,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2288>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536600]=1;i=d;return}function i6(b){b=b|0;var d=0,e=0;d=i;if(a[8536592]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+120>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+120>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(35352,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+120>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536592]=1;i=d;return}function j6(b){b=b|0;var d=0,e=0;d=i;if(a[8536584]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2280>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2280>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(34816,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2280>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536584]=1;i=d;return}function k6(b){b=b|0;var d=0,e=0;d=i;if(a[8536576]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2248>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2248>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(34224,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2248>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536576]=1;i=d;return}function l6(b){b=b|0;var d=0,e=0;d=i;if(a[8536568]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2240>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2240>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(33720,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2240>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536568]=1;i=d;return}function m6(b){b=b|0;var d=0,e=0;d=i;if(a[8536560]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+112>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+112>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(32488,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+112>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536560]=1;i=d;return}function n6(b){b=b|0;var d=0,e=0;d=i;if(a[8536552]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2232>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2232>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(31968,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2232>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536552]=1;i=d;return}function o6(b){b=b|0;var d=0,e=0;d=i;if(a[8536544]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6320>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(31552,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6320>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536544]=1;i=d;return}function p6(b){b=b|0;var d=0,e=0;d=i;if(a[8536536]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6312>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(31208,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6312>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536536]=1;i=d;return}function q6(b){b=b|0;var d=0,e=0;d=i;if(a[8536528]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2160>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(30696,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2160>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536528]=1;i=d;return}function r6(b){b=b|0;var d=0,e=0;d=i;if(a[8536520]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2168>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(30240,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2168>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536520]=1;i=d;return}function s6(b){b=b|0;var d=0,e=0;d=i;if(a[8536512]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2120>>3],-1.0e+60)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2120>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(29688,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2120>>3],34376)|0)|0;le[c[2164]&15](8535264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536512]=1;i=d;return}function t6(b){b=b|0;var d=0,e=0;d=i;if(a[8536504]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2096>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2096>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(28952,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2096>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536504]=1;i=d;return}function u6(b){b=b|0;var d=0,e=0;d=i;if(a[8536496]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2104>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2104>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(28456,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2104>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536496]=1;i=d;return}function v6(b){b=b|0;var d=0,e=0;d=i;if(a[8536488]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2112>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2112>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(27888,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2112>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536488]=1;i=d;return}function w6(b){b=b|0;var d=0,e=0;d=i;if(a[8536480]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2080>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2080>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(26568,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2080>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536480]=1;i=d;return}function x6(b){b=b|0;var d=0,e=0;d=i;if(a[8536472]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2088>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2088>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(25864,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2088>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536472]=1;i=d;return}function y6(b){b=b|0;var d=0,e=0;d=i;if(a[8536464]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2072>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2072>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(25384,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2072>>3],34376)|0)|0;le[c[2164]&15](8535136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536464]=1;i=d;return}function z6(b){b=b|0;var d=0,e=0;d=i;if(a[8536456]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2040>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2040>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(24704,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2040>>3],34376)|0)|0;le[c[2164]&15](8535072,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536456]=1;i=d;return}function A6(b){b=b|0;var d=0,e=0;d=i;if(a[8536448]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2032>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2032>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(23736,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2032>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536448]=1;i=d;return}function B6(b){b=b|0;var d=0,e=0;d=i;if(a[8536440]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2024>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2024>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(23304,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2024>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536440]=1;i=d;return}function C6(b){b=b|0;var d=0,e=0;d=i;if(a[8536432]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+104>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+104>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(22752,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+104>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536432]=1;i=d;return}function D6(b){b=b|0;var d=0,e=0;d=i;if(a[8536424]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2016>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2016>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(22088,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2016>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536424]=1;i=d;return}function E6(b){b=b|0;var d=0,e=0;d=i;if(a[8536416]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1984>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1984>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(21624,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1984>>3],34376)|0)|0;le[c[2164]&15](8535072,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536416]=1;i=d;return}function F6(b){b=b|0;var d=0,e=0;d=i;if(a[8536408]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1976>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1976>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(8521904,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1976>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536408]=1;i=d;return}function G6(b){b=b|0;var d=0,e=0;d=i;if(a[8536400]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1968>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1968>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(6877320,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1968>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536400]=1;i=d;return}function H6(b){b=b|0;var d=0,e=0;d=i;if(a[8536392]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+96>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+96>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(185728,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+96>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536392]=1;i=d;return}function I6(b){b=b|0;var d=0,e=0;d=i;if(a[8536384]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1960>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1960>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(185088,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1960>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536384]=1;i=d;return}function J6(b){b=b|0;var d=0,e=0;d=i;if(a[8536376]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6304>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(184432,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6304>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536376]=1;i=d;return}function K6(b){b=b|0;var d=0,e=0;d=i;if(a[8536368]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6296>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(183888,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6296>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536368]=1;i=d;return}function L6(b){b=b|0;var d=0,e=0;d=i;if(a[8536360]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6288>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6288>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(181624,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6288>>3],34376)|0)|0;le[c[2164]&15](8536088,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536360]=1;i=d;return}function M6(b){b=b|0;var d=0,e=0;d=i;if(a[8536352]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6280>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(180560,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6280>>3],34376)|0)|0;le[c[2164]&15](8536056,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536352]=1;i=d;return}function N6(b){b=b|0;var d=0,e=0;d=i;if(a[8536344]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6264>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6264>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(179856,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6264>>3],34376)|0)|0;le[c[2164]&15](8536024,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536344]=1;i=d;return}function O6(b){b=b|0;var d=0,e=0;d=i;if(a[8536336]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6256>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6256>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(179216,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6256>>3],34376)|0)|0;le[c[2164]&15](8535992,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536336]=1;i=d;return}function P6(b){b=b|0;var d=0,e=0;d=i;if(a[8536328]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6224>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(178144,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6224>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536328]=1;i=d;return}function Q6(b){b=b|0;var d=0,e=0;d=i;if(a[8536320]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6216>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(177568,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6216>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536320]=1;i=d;return}function R6(b){b=b|0;var d=0,e=0;d=i;if(a[8536312]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6208>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6208>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(176568,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6208>>3],34376)|0)|0;le[c[2164]&15](8536088,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536312]=1;i=d;return}function S6(b){b=b|0;var d=0,e=0;d=i;if(a[8536304]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6200>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(175976,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6200>>3],34376)|0)|0;le[c[2164]&15](8536056,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536304]=1;i=d;return}function T6(b){b=b|0;var d=0,e=0;d=i;if(a[8536296]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6184>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6184>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(175504,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6184>>3],34376)|0)|0;le[c[2164]&15](8536024,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536296]=1;i=d;return}function U6(b){b=b|0;var d=0,e=0;d=i;if(a[8536280]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6176>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6176>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(175e3,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6176>>3],34376)|0)|0;le[c[2164]&15](8535992,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536280]=1;i=d;return}function V6(b){b=b|0;var d=0,e=0;d=i;if(a[8536272]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6144>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(174504,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6144>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536272]=1;i=d;return}function W6(b){b=b|0;var d=0,e=0;d=i;if(a[8536264]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6136>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(173752,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6136>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536264]=1;i=d;return}function X6(b){b=b|0;var d=0,e=0;d=i;if(a[8536256]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1888>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(173152,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1888>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536256]=1;i=d;return}function Y6(b){b=b|0;var d=0,e=0;d=i;if(a[8536248]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1896>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(172696,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1896>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536248]=1;i=d;return}function Z6(b){b=b|0;var d=0,e=0;d=i;if(a[8536240]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1832>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1832>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(171776,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1832>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536240]=1;i=d;return}function _6(b){b=b|0;var d=0,e=0;d=i;if(a[8536232]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1840>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1840>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(171192,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1840>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536232]=1;i=d;return}function $6(b){b=b|0;var d=0,e=0;d=i;if(a[8536224]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1848>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1848>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(170608,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1848>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536224]=1;i=d;return}function a7(b){b=b|0;var d=0,e=0;d=i;if(a[8536216]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1816>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1816>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(170040,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1816>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536216]=1;i=d;return}function b7(b){b=b|0;var d=0,e=0;d=i;if(a[8536208]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1824>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1824>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(169408,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1824>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536208]=1;i=d;return}function c7(b){b=b|0;var d=0,e=0;d=i;if(a[8536200]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1808>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1808>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(168840,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1808>>3],34376)|0)|0;le[c[2164]&15](8535136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536200]=1;i=d;return}function d7(b){b=b|0;var d=0,e=0;d=i;if(a[8536192]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1776>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1776>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(168416,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1776>>3],34376)|0)|0;le[c[2164]&15](8535072,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536192]=1;i=d;return}function e7(b){b=b|0;var d=0,e=0;d=i;if(a[8536184]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1768>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1768>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(167872,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1768>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536184]=1;i=d;return}function f7(b){b=b|0;var d=0,e=0;d=i;if(a[8536176]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1760>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1760>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(167480,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1760>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536176]=1;i=d;return}function g7(b){b=b|0;var d=0,e=0;d=i;if(a[8536168]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+88>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+88>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(166952,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+88>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536168]=1;i=d;return}function h7(b){b=b|0;var d=0,e=0;d=i;if(a[8536160]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1752>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1752>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(165800,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1752>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536160]=1;i=d;return}function i7(b){b=b|0;var d=0,e=0;d=i;if(a[8536152]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1720>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1720>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(165336,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1720>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536152]=1;i=d;return}function j7(b){b=b|0;var d=0,e=0;d=i;if(a[8536144]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1712>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1712>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(164952,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1712>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536144]=1;i=d;return}function k7(b){b=b|0;var d=0,e=0;d=i;if(a[8536136]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+80>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+80>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(164592,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+80>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536136]=1;i=d;return}function l7(b){b=b|0;var d=0,e=0;d=i;if(a[8536128]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1704>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1704>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(164080,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1704>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536128]=1;i=d;return}function m7(b){b=b|0;var d=0,e=0;d=i;if(a[8536112]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6128>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(163800,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6128>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536112]=1;i=d;return}function n7(b){b=b|0;var d=0,e=0;d=i;if(a[8536080]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6120>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6120>>3],1.0)|0)<<24>>24==0)){i=d;return}b=Ofa(163480,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6120>>3],34376)|0)|0;le[c[2164]&15](8536088,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536080]=1;i=d;return}function o7(b){b=b|0;var d=0,e=0;d=i;if(a[8536048]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6112>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(163072,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6112>>3],34376)|0)|0;le[c[2164]&15](8536056,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536048]=1;i=d;return}function p7(b){b=b|0;var d=0,e=0;d=i;if(a[8536016]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6096>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6096>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(162704,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6096>>3],34376)|0)|0;le[c[2164]&15](8536024,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8536016]=1;i=d;return}function q7(b){b=b|0;var d=0,e=0;d=i;if(a[8535984]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6088>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6088>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(162384,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6088>>3],34376)|0)|0;le[c[2164]&15](8535992,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535984]=1;i=d;return}function r7(b){b=b|0;var d=0,e=0;d=i;if(a[8535976]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6056>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(161688,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6056>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535976]=1;i=d;return}function s7(b){b=b|0;var d=0,e=0;d=i;if(a[8535968]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6048>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(161296,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6048>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535968]=1;i=d;return}function t7(b){b=b|0;var d=0,e=0;d=i;if(a[8535960]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1632>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(161032,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1632>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535960]=1;i=d;return}function u7(b){b=b|0;var d=0,e=0;d=i;if(a[8535952]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1640>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(160736,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1640>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535952]=1;i=d;return}function v7(b){b=b|0;var d=0,e=0;d=i;if(a[8535944]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1576>>3],-1.0e+60)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1576>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(160376,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1576>>3],34376)|0)|0;le[c[2164]&15](8535264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535944]=1;i=d;return}function w7(b){b=b|0;var d=0,e=0;d=i;if(a[8535936]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1552>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1552>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(160064,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1552>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535936]=1;i=d;return}function x7(b){b=b|0;var d=0,e=0;d=i;if(a[8535928]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1560>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1560>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(159760,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1560>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535928]=1;i=d;return}function y7(b){b=b|0;var d=0,e=0;d=i;if(a[8535920]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1568>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1568>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(159328,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1568>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535920]=1;i=d;return}function z7(b){b=b|0;var d=0,e=0;d=i;if(a[8535912]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1536>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1536>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(158896,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1536>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535912]=1;i=d;return}function A7(b){b=b|0;var d=0,e=0;d=i;if(a[8535904]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1544>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1544>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(158376,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1544>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535904]=1;i=d;return}function B7(b){b=b|0;var d=0,e=0;d=i;if(a[8535896]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1528>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1528>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(157568,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1528>>3],34376)|0)|0;le[c[2164]&15](8535136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535896]=1;i=d;return}function C7(b){b=b|0;var d=0,e=0;d=i;if(a[8535888]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1496>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1496>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(157192,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1496>>3],34376)|0)|0;le[c[2164]&15](8535072,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535888]=1;i=d;return}function D7(b){b=b|0;var d=0,e=0;d=i;if(a[8535880]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1488>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1488>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(156784,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1488>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535880]=1;i=d;return}function E7(b){b=b|0;var d=0,e=0;d=i;if(a[8535872]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1480>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1480>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(156456,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1480>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535872]=1;i=d;return}function F7(b){b=b|0;var d=0,e=0;d=i;if(a[8535864]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+72>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+72>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(156072,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+72>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535864]=1;i=d;return}function G7(b){b=b|0;var d=0,e=0;d=i;if(a[8535856]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1472>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1472>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(155640,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1472>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535856]=1;i=d;return}function H7(b){b=b|0;var d=0,e=0;d=i;if(a[8535848]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1440>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1440>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(155128,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1440>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535848]=1;i=d;return}function I7(b){b=b|0;var d=0,e=0;d=i;if(a[8535840]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1432>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1432>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(154816,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1432>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535840]=1;i=d;return}function J7(b){b=b|0;var d=0,e=0;d=i;if(a[8535832]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+64>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+64>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(154456,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+64>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535832]=1;i=d;return}function K7(b){b=b|0;var d=0,e=0;d=i;if(a[8535824]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1424>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1424>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(154184,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1424>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535824]=1;i=d;return}function L7(b){b=b|0;var d=0,e=0;d=i;if(a[8535816]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6040>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(153592,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6040>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535816]=1;i=d;return}function M7(b){b=b|0;var d=0,e=0;d=i;if(a[8535808]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6032>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(153400,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6032>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535808]=1;i=d;return}function N7(b){b=b|0;var d=0,e=0;d=i;if(a[8535800]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1352>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(153216,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1352>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535800]=1;i=d;return}function O7(b){b=b|0;var d=0,e=0;d=i;if(a[8535792]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1360>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(152944,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1360>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535792]=1;i=d;return}function P7(b){b=b|0;var d=0,e=0;d=i;if(a[8535784]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1312>>3],-1.0e+60)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1312>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(152536,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1312>>3],34376)|0)|0;le[c[2164]&15](8535264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535784]=1;i=d;return}function Q7(b){b=b|0;var d=0,e=0;d=i;if(a[8535776]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1288>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1288>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(152224,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1288>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535776]=1;i=d;return}function R7(b){b=b|0;var d=0,e=0;d=i;if(a[8535768]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1296>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1296>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(151912,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1296>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535768]=1;i=d;return}function S7(b){b=b|0;var d=0,e=0;d=i;if(a[8535760]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1304>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1304>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(151520,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1304>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535760]=1;i=d;return}function T7(b){b=b|0;var d=0,e=0;d=i;if(a[8535752]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1272>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1272>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(151160,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1272>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535752]=1;i=d;return}function U7(b){b=b|0;var d=0,e=0;d=i;if(a[8535744]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1280>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1280>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(150784,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1280>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535744]=1;i=d;return}function V7(b){b=b|0;var d=0,e=0;d=i;if(a[8535736]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1264>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1264>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(149736,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1264>>3],34376)|0)|0;le[c[2164]&15](8535136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535736]=1;i=d;return}function W7(b){b=b|0;var d=0,e=0;d=i;if(a[8535728]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1232>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1232>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(149408,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1232>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535728]=1;i=d;return}function X7(b){b=b|0;var d=0,e=0;d=i;if(a[8535720]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1224>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1224>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(148992,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1224>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535720]=1;i=d;return}function Y7(b){b=b|0;var d=0,e=0;d=i;if(a[8535712]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+56>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+56>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(148704,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+56>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535712]=1;i=d;return}function Z7(b){b=b|0;var d=0,e=0;d=i;if(a[8535704]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1216>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1216>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(148296,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1216>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535704]=1;i=d;return}function _7(b){b=b|0;var d=0,e=0;d=i;if(a[8535696]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1184>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1184>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(147904,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1184>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535696]=1;i=d;return}function $7(b){b=b|0;var d=0,e=0;d=i;if(a[8535688]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1176>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1176>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(147576,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1176>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535688]=1;i=d;return}function a8(b){b=b|0;var d=0,e=0;d=i;if(a[8535680]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+48>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+48>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(147184,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+48>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535680]=1;i=d;return}function b8(b){b=b|0;var d=0,e=0;d=i;if(a[8535672]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1168>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1168>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(146776,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1168>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535672]=1;i=d;return}function c8(b){b=b|0;var d=0,e=0;d=i;if(a[8535664]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6024>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(146464,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6024>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535664]=1;i=d;return}function d8(b){b=b|0;var d=0,e=0;d=i;if(a[8535656]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6016>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(145784,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6016>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535656]=1;i=d;return}function e8(b){b=b|0;var d=0,e=0;d=i;if(a[8535648]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1096>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(145544,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1096>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535648]=1;i=d;return}function f8(b){b=b|0;var d=0,e=0;d=i;if(a[8535640]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1104>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(145320,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1104>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535640]=1;i=d;return}function g8(b){b=b|0;var d=0,e=0;d=i;if(a[8535632]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1056>>3],-1.0e+60)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1056>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(144912,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1056>>3],34376)|0)|0;le[c[2164]&15](8535264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535632]=1;i=d;return}function h8(b){b=b|0;var d=0,e=0;d=i;if(a[8535624]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1032>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1032>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(144600,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1032>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535624]=1;i=d;return}function i8(b){b=b|0;var d=0,e=0;d=i;if(a[8535616]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1040>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1040>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(144216,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1040>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535616]=1;i=d;return}function j8(b){b=b|0;var d=0,e=0;d=i;if(a[8535608]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1048>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1048>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(143792,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1048>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535608]=1;i=d;return}function k8(b){b=b|0;var d=0,e=0;d=i;if(a[8535600]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1016>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1016>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(143288,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1016>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535600]=1;i=d;return}function l8(b){b=b|0;var d=0,e=0;d=i;if(a[8535592]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1024>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1024>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(143016,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1024>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535592]=1;i=d;return}function m8(b){b=b|0;var d=0,e=0;d=i;if(a[8535584]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1008>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1008>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(142336,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1008>>3],34376)|0)|0;le[c[2164]&15](8535136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535584]=1;i=d;return}function n8(b){b=b|0;var d=0,e=0;d=i;if(a[8535576]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+976>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+976>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(141784,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+976>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535576]=1;i=d;return}function o8(b){b=b|0;var d=0,e=0;d=i;if(a[8535568]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+968>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+968>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(141504,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+968>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535568]=1;i=d;return}function p8(b){b=b|0;var d=0,e=0;d=i;if(a[8535560]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+40>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+40>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(141272,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+40>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535560]=1;i=d;return}function q8(b){b=b|0;var d=0,e=0;d=i;if(a[8535552]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+960>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+960>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(140976,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+960>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535552]=1;i=d;return}function r8(b){b=b|0;var d=0,e=0;d=i;if(a[8535544]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+928>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+928>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(140568,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+928>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535544]=1;i=d;return}function s8(b){b=b|0;var d=0,e=0;d=i;if(a[8535536]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+920>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+920>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(140304,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+920>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535536]=1;i=d;return}function t8(b){b=b|0;var d=0,e=0;d=i;if(a[8535528]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+32>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+32>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(139896,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+32>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535528]=1;i=d;return}function u8(b){b=b|0;var d=0,e=0;d=i;if(a[8535520]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+912>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+912>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(139384,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+912>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535520]=1;i=d;return}function v8(b){b=b|0;var d=0,e=0;d=i;if(a[8535512]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6008>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(139168,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6008>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535512]=1;i=d;return}function w8(b){b=b|0;var d=0,e=0;d=i;if(a[8535504]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6e3>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(138800,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6e3>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535504]=1;i=d;return}function x8(b){b=b|0;var d=0,e=0;d=i;if(a[8535496]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+840>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(138256,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+840>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535496]=1;i=d;return}function y8(b){b=b|0;var d=0,e=0;d=i;if(a[8535488]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+848>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(138088,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+848>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535488]=1;i=d;return}function z8(b){b=b|0;var d=0,e=0;d=i;if(a[8535480]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+800>>3],-1.0e+60)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+800>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(137848,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+800>>3],34376)|0)|0;le[c[2164]&15](8535264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535480]=1;i=d;return}function A8(b){b=b|0;var d=0,e=0;d=i;if(a[8535472]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+776>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+776>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(137488,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+776>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535472]=1;i=d;return}function B8(b){b=b|0;var d=0,e=0;d=i;if(a[8535464]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+784>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+784>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(137104,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+784>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535464]=1;i=d;return}function C8(b){b=b|0;var d=0,e=0;d=i;if(a[8535456]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+792>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+792>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(136720,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+792>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535456]=1;i=d;return}function D8(b){b=b|0;var d=0,e=0;d=i;if(a[8535448]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+760>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+760>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(136416,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+760>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535448]=1;i=d;return}function E8(b){b=b|0;var d=0,e=0;d=i;if(a[8535440]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+768>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+768>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(136120,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+768>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535440]=1;i=d;return}function F8(b){b=b|0;var d=0,e=0;d=i;if(a[8535432]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+752>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+752>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(135752,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+752>>3],34376)|0)|0;le[c[2164]&15](8535136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535432]=1;i=d;return}function G8(b){b=b|0;var d=0,e=0;d=i;if(a[8535424]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+720>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+720>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(135104,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+720>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535424]=1;i=d;return}function H8(b){b=b|0;var d=0,e=0;d=i;if(a[8535416]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+712>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+712>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(134768,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+712>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535416]=1;i=d;return}function I8(b){b=b|0;var d=0,e=0;d=i;if(a[8535408]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+24>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+24>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(134064,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+24>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535408]=1;i=d;return}function J8(b){b=b|0;var d=0,e=0;d=i;if(a[8535400]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+704>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+704>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(133760,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+704>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535400]=1;i=d;return}function K8(b){b=b|0;var d=0,e=0;d=i;if(a[8535392]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+672>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+672>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(133216,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+672>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535392]=1;i=d;return}function L8(b){b=b|0;var d=0,e=0;d=i;if(a[8535384]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+664>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+664>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(132832,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+664>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535384]=1;i=d;return}function M8(b){b=b|0;var d=0,e=0;d=i;if(a[8535376]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+16>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+16>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(132440,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+16>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535376]=1;i=d;return}function N8(b){b=b|0;var d=0,e=0;d=i;if(a[8535368]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+656>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+656>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(132192,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+656>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535368]=1;i=d;return}function O8(b){b=b|0;var d=0,e=0;d=i;if(a[8535360]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5992>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(131800,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5992>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535360]=1;i=d;return}function P8(b){b=b|0;var d=0,e=0;d=i;if(a[8535328]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5984>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(131384,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+5984>>3],34376)|0)|0;le[c[2164]&15](8535336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535328]=1;i=d;return}function Q8(b){b=b|0;var d=0,e=0;d=i;if(a[8535320]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+584>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(130952,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+584>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535320]=1;i=d;return}function R8(b){b=b|0;var d=0,e=0;d=i;if(a[8535288]|0){i=d;return}e=b+4|0;if(!((zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+592>>3],0.0)|0)<<24>>24==0)){i=d;return}b=Ofa(130632,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+592>>3],34376)|0)|0;le[c[2164]&15](8535296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535288]=1;i=d;return}function S8(b){b=b|0;var d=0,e=0;d=i;if(a[8535256]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+544>>3],-1.0e+60)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+544>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(130072,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+544>>3],34376)|0)|0;le[c[2164]&15](8535264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535256]=1;i=d;return}function T8(b){b=b|0;var d=0,e=0;d=i;if(a[8535248]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+520>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+520>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(129744,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+520>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535248]=1;i=d;return}function U8(b){b=b|0;var d=0,e=0;d=i;if(a[8535240]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+528>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+528>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(129488,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+528>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535240]=1;i=d;return}function V8(b){b=b|0;var d=0,e=0;d=i;if(a[8535208]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+536>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+536>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(129168,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+536>>3],34376)|0)|0;le[c[2164]&15](8535216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535208]=1;i=d;return}function W8(b){b=b|0;var d=0,e=0;d=i;if(a[8535192]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+504>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+504>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(128856,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+504>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535192]=1;i=d;return}function X8(b){b=b|0;var d=0,e=0;d=i;if(a[8535160]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+512>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+512>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(128576,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+512>>3],34376)|0)|0;le[c[2164]&15](8535168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535160]=1;i=d;return}function Y8(b){b=b|0;var d=0,e=0;d=i;if(a[8535128]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+496>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+496>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(128256,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+496>>3],34376)|0)|0;le[c[2164]&15](8535136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535128]=1;i=d;return}function Z8(b){b=b|0;var d=0,e=0;d=i;if(a[8535120]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+464>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+464>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(127848,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+464>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535120]=1;i=d;return}function _8(b){b=b|0;var d=0,e=0;d=i;if(a[8535112]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+456>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+456>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(127416,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+456>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535112]=1;i=d;return}function $8(b){b=b|0;var d=0,e=0;d=i;if(a[8535104]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+8>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+8>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(127088,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+8>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535104]=1;i=d;return}function a9(b){b=b|0;var d=0,e=0;d=i;if(a[8535096]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+448>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+448>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(126400,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+448>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535096]=1;i=d;return}function b9(b){b=b|0;var d=0,e=0;d=i;if(a[8535064]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+416>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+416>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(126072,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+416>>3],34376)|0)|0;le[c[2164]&15](8535072,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535064]=1;i=d;return}function c9(b){b=b|0;var d=0,e=0;d=i;if(a[8535032]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+408>>3],-1.0e10)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+408>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=Ofa(125744,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+408>>3],34376)|0)|0;le[c[2164]&15](8535040,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535032]=1;i=d;return}function d9(b){b=b|0;var d=0,e=0;d=i;if(a[8535e3]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+400>>3],0.0)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+400>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=Ofa(125408,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+400>>3],34376)|0)|0;le[c[2164]&15](8535008,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8535e3]=1;i=d;return}function e9(b){b=b|0;var d=0,e=0;d=i;if(a[8534968]|0){i=d;return}e=b+4|0;b=zia(+h[c[(c[c[e>>2]>>2]|0)+8>>2]>>3],1.0)|0;if(!(b<<24>>24==0|(xia(+h[c[(c[c[e>>2]>>2]|0)+8>>2]>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=Ofa(125088,Ifa(+h[c[(c[c[e>>2]>>2]|0)+8>>2]>>3],34376)|0)|0;le[c[2164]&15](8534976,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8534968]=1;i=d;return}function f9(b){b=b|0;var d=0,e=0;d=i;if(a[8534936]|0){i=d;return}e=b+4|0;b=zia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+392>>3],-1.0e8)|0;if(!(b<<24>>24==0|(xia(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+392>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=Ofa(124752,Ifa(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+392>>3],34376)|0)|0;le[c[2164]&15](8534944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[8534936]=1;i=d;return}function g9(a){a=a|0;S4(a);T4(a);U4(a);V4(a);W4(a);X4(a);Y4(a);Z4(a);_4(a);$4(a);a5(a);b5(a);c5(a);d5(a);e5(a);f5(a);g5(a);h5(a);i5(a);j5(a);k5(a);l5(a);m5(a);n5(a);o5(a);p5(a);q5(a);r5(a);s5(a);t5(a);u5(a);v5(a);w5(a);x5(a);y5(a);z5(a);A5(a);B5(a);C5(a);D5(a);E5(a);F5(a);G5(a);H5(a);I5(a);J5(a);K5(a);L5(a);M5(a);N5(a);O5(a);P5(a);Q5(a);R5(a);S5(a);T5(a);U5(a);V5(a);W5(a);X5(a);Y5(a);Z5(a);_5(a);$5(a);a6(a);b6(a);c6(a);d6(a);e6(a);f6(a);g6(a);h6(a);i6(a);j6(a);k6(a);l6(a);m6(a);n6(a);o6(a);p6(a);q6(a);r6(a);s6(a);t6(a);u6(a);v6(a);w6(a);x6(a);y6(a);z6(a);A6(a);B6(a);C6(a);D6(a);E6(a);F6(a);G6(a);H6(a);I6(a);J6(a);K6(a);L6(a);M6(a);N6(a);O6(a);P6(a);Q6(a);R6(a);S6(a);T6(a);U6(a);V6(a);W6(a);X6(a);Y6(a);Z6(a);_6(a);$6(a);a7(a);b7(a);c7(a);d7(a);e7(a);f7(a);g7(a);h7(a);i7(a);j7(a);k7(a);l7(a);m7(a);n7(a);o7(a);p7(a);q7(a);r7(a);s7(a);t7(a);u7(a);v7(a);w7(a);x7(a);y7(a);z7(a);A7(a);B7(a);C7(a);D7(a);E7(a);F7(a);G7(a);H7(a);I7(a);J7(a);K7(a);L7(a);M7(a);N7(a);O7(a);P7(a);Q7(a);R7(a);S7(a);T7(a);U7(a);V7(a);W7(a);X7(a);Y7(a);Z7(a);_7(a);$7(a);a8(a);b8(a);c8(a);d8(a);e8(a);f8(a);g8(a);h8(a);i8(a);j8(a);k8(a);l8(a);m8(a);n8(a);o8(a);p8(a);q8(a);r8(a);s8(a);t8(a);u8(a);v8(a);w8(a);x8(a);y8(a);z8(a);A8(a);B8(a);C8(a);D8(a);E8(a);F8(a);G8(a);H8(a);I8(a);J8(a);K8(a);L8(a);M8(a);N8(a);O8(a);P8(a);Q8(a);R8(a);S8(a);T8(a);U8(a);V8(a);W8(a);X8(a);Y8(a);Z8(a);_8(a);$8(a);a9(a);b9(a);c9(a);d9(a);e9(a);f9(a);return 0}function h9(a){a=a|0;return 1}function i9(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0;b=a+464|0;a=c[b>>2]|0;c[a+44>>2]=22;c[a+48>>2]=22;c[a+72>>2]=KJa(22,8)|0;a=KJa(22,8)|0;c[(c[b>>2]|0)+80>>2]=a;a=KJa(0,8)|0;c[(c[b>>2]|0)+76>>2]=a;a=IJa(88)|0;c[(c[b>>2]|0)+52>>2]=a;a=IJa(1936)|0;c[(c[b>>2]|0)+56>>2]=a;a=IJa(88)|0;c[(c[b>>2]|0)+64>>2]=a;a=c[b>>2]|0;c[a+68>>2]=22;c[a+84>>2]=0;a=c[b>>2]|0;d=c[a+52>>2]|0;c[d+84>>2]=22;c[d+80>>2]=22;c[d+76>>2]=22;c[d+72>>2]=22;c[d+68>>2]=22;c[d+64>>2]=22;c[d+60>>2]=22;c[d+56>>2]=22;c[d+52>>2]=22;c[d+48>>2]=22;c[d+44>>2]=22;c[d+40>>2]=22;c[d+36>>2]=22;c[d+32>>2]=22;c[d+28>>2]=22;c[d+24>>2]=22;c[d+20>>2]=22;c[d+16>>2]=22;c[d+12>>2]=22;c[d+8>>2]=22;c[d+4>>2]=22;c[d>>2]=22;e=1;f=22;g=22;while(1){h=g+f|0;c[d+(e<<2)>>2]=h;i=e+1|0;if((i|0)>=22){break}e=i;f=h;g=c[d+(i<<2)>>2]|0}j9(d,c[a+56>>2]|0);a=c[b>>2]|0;k9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;l9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;m9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;n9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;o9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;p9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;q9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;r9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;s9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;t9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;u9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;v9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;w9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;x9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;y9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;z9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;A9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;B9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;C9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;D9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;E9(c[a+52>>2]|0,c[a+56>>2]|0);a=c[(c[b>>2]|0)+64>>2]|0;c[a+84>>2]=1;c[a+80>>2]=2;c[a+76>>2]=3;c[a+72>>2]=4;c[a+68>>2]=5;c[a+64>>2]=6;c[a+60>>2]=7;c[a+56>>2]=8;c[a+52>>2]=9;c[a+48>>2]=10;c[a+44>>2]=11;c[a+40>>2]=12;c[a+36>>2]=13;c[a+32>>2]=14;c[a+28>>2]=15;c[a+24>>2]=16;c[a+20>>2]=17;c[a+16>>2]=18;c[a+12>>2]=19;c[a+8>>2]=20;c[a+4>>2]=21;c[a>>2]=22;return 0}function j9(a,b){a=a|0;b=b|0;var d=0;d=a+84|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function k9(a,b){a=a|0;b=b|0;var d=0;d=a+80|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function l9(a,b){a=a|0;b=b|0;var d=0;d=a+76|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function m9(a,b){a=a|0;b=b|0;var d=0;d=a+72|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function n9(a,b){a=a|0;b=b|0;var d=0;d=a+68|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function o9(a,b){a=a|0;b=b|0;var d=0;d=a+64|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function p9(a,b){a=a|0;b=b|0;var d=0;d=a+60|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function q9(a,b){a=a|0;b=b|0;var d=0;d=a+56|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function r9(a,b){a=a|0;b=b|0;var d=0;d=a+52|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function s9(a,b){a=a|0;b=b|0;var d=0;d=a+48|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function t9(a,b){a=a|0;b=b|0;var d=0;d=a+44|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function u9(a,b){a=a|0;b=b|0;var d=0;d=a+40|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function v9(a,b){a=a|0;b=b|0;var d=0;d=a+36|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function w9(a,b){a=a|0;b=b|0;var d=0;d=a+32|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function x9(a,b){a=a|0;b=b|0;var d=0;d=a+28|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function y9(a,b){a=a|0;b=b|0;var d=0;d=a+24|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function z9(a,b){a=a|0;b=b|0;var d=0;d=a+20|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function A9(a,b){a=a|0;b=b|0;var d=0;d=a+16|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function B9(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function C9(a,b){a=a|0;b=b|0;var d=0;d=a+8|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function D9(a,b){a=a|0;b=b|0;var d=0;d=a+4|0;c[b+((c[d>>2]|0)-22<<2)>>2]=0;c[b+((c[d>>2]|0)-21<<2)>>2]=1;c[b+((c[d>>2]|0)-20<<2)>>2]=2;c[b+((c[d>>2]|0)-19<<2)>>2]=3;c[b+((c[d>>2]|0)-18<<2)>>2]=4;c[b+((c[d>>2]|0)-17<<2)>>2]=5;c[b+((c[d>>2]|0)-16<<2)>>2]=6;c[b+((c[d>>2]|0)-15<<2)>>2]=7;c[b+((c[d>>2]|0)-14<<2)>>2]=8;c[b+((c[d>>2]|0)-13<<2)>>2]=9;c[b+((c[d>>2]|0)-12<<2)>>2]=10;c[b+((c[d>>2]|0)-11<<2)>>2]=11;c[b+((c[d>>2]|0)-10<<2)>>2]=12;c[b+((c[d>>2]|0)-9<<2)>>2]=13;c[b+((c[d>>2]|0)-8<<2)>>2]=14;c[b+((c[d>>2]|0)-7<<2)>>2]=15;c[b+((c[d>>2]|0)-6<<2)>>2]=16;c[b+((c[d>>2]|0)-5<<2)>>2]=17;c[b+((c[d>>2]|0)-4<<2)>>2]=18;c[b+((c[d>>2]|0)-3<<2)>>2]=19;c[b+((c[d>>2]|0)-2<<2)>>2]=20;c[b+((c[d>>2]|0)-1<<2)>>2]=21;return}function E9(a,b){a=a|0;b=b|0;c[b+((c[a>>2]|0)-22<<2)>>2]=0;c[b+((c[a>>2]|0)-21<<2)>>2]=1;c[b+((c[a>>2]|0)-20<<2)>>2]=2;c[b+((c[a>>2]|0)-19<<2)>>2]=3;c[b+((c[a>>2]|0)-18<<2)>>2]=4;c[b+((c[a>>2]|0)-17<<2)>>2]=5;c[b+((c[a>>2]|0)-16<<2)>>2]=6;c[b+((c[a>>2]|0)-15<<2)>>2]=7;c[b+((c[a>>2]|0)-14<<2)>>2]=8;c[b+((c[a>>2]|0)-13<<2)>>2]=9;c[b+((c[a>>2]|0)-12<<2)>>2]=10;c[b+((c[a>>2]|0)-11<<2)>>2]=11;c[b+((c[a>>2]|0)-10<<2)>>2]=12;c[b+((c[a>>2]|0)-9<<2)>>2]=13;c[b+((c[a>>2]|0)-8<<2)>>2]=14;c[b+((c[a>>2]|0)-7<<2)>>2]=15;c[b+((c[a>>2]|0)-6<<2)>>2]=16;c[b+((c[a>>2]|0)-5<<2)>>2]=17;c[b+((c[a>>2]|0)-4<<2)>>2]=18;c[b+((c[a>>2]|0)-3<<2)>>2]=19;c[b+((c[a>>2]|0)-2<<2)>>2]=20;c[b+((c[a>>2]|0)-1<<2)>>2]=21;return}function F9(a){a=a|0;return 1}function G9(a){a=a|0;return 1}function H9(a){a=a|0;return 1}function I9(a){a=a|0;return 0}function J9(a){a=a|0;return 0}function K9(a){a=a|0;return 0}function L9(a){a=a|0;return 0}function M9(a){a=a|0;return 0}function N9(a,b){a=a|0;b=b|0;return-1|0}function O9(a,b){a=a|0;b=b|0;return-1|0}function P9(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return-1|0}function Q9(){return 182272}function R9(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0;e=c[a>>2]|0;if((e|0)<1){f=0;return f|0}a=c[d>>2]|0;if((a|0)<1){f=0;return f|0}if((e|0)==1){f=1;return f|0}g=+h[b>>3];d=g<0.0;if((a|0)==1){if(d){i=-0.0-g}else{i=g}if((e|0)<2){f=1;return f|0}else{j=1;k=2;l=i}while(1){i=+h[b+(k-1<<3)>>3];m=i<0.0;if(m){n=-0.0-i}else{n=i}o=n<=l;if(o|m^1){p=o?l:i;q=o?j:k}else{p=-0.0-i;q=k}o=k+1|0;if((o|0)>(e|0)){f=q;break}else{j=q;k=o;l=p}}return f|0}if(d){r=-0.0-g}else{r=g}if((e|0)<2){f=1;return f|0}d=1;k=2;q=a+1|0;g=r;while(1){r=+h[b+(q-1<<3)>>3];j=r<0.0;if(j){s=-0.0-r}else{s=r}o=s<=g;if(o|j^1){t=o?g:r;u=o?d:k}else{t=-0.0-r;u=k}o=k+1|0;if((o|0)>(e|0)){f=u;break}else{d=u;k=o;q=a+q|0;g=t}}return f|0}function S9(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0;f=c[a>>2]|0;if((f|0)<1){return 0}g=c[e>>2]|0;if((g|0)<1){return 0}if((g|0)!=1){e=ga(g,f)|0;if((e|0)>0){i=1}else{return 0}do{j=d+(i-1<<3)|0;h[j>>3]=+h[b>>3]*+h[j>>3];i=i+g|0;}while((i|0)<=(e|0));return 0}e=(f|0)%5|0;do{if((e|0)==0){k=f}else{if((e|0)<1){l=f}else{i=1;do{g=d+(i-1<<3)|0;h[g>>3]=+h[b>>3]*+h[g>>3];i=i+1|0;}while((i|0)<=(e|0));l=c[a>>2]|0}if((l|0)>=5){k=l;break}return 0}}while(0);l=e+1|0;if((l|0)>(k|0)){return 0}else{m=l}do{l=d+(m-1<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m+1<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m+2<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m+3<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];m=m+5|0;}while((m|0)<=(k|0));return 0}function T9(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0;g=c[a>>2]|0;if((g|0)<1){return 0}i=c[d>>2]|0;do{if((i|0)==1){j=c[f>>2]|0;if((j|0)!=1){k=1;l=j;break}j=(g|0)%3|0;do{if((j|0)==0){m=g}else{if((j|0)<1){n=g}else{o=1;do{p=o-1|0;q=b+(p<<3)|0;r=+h[q>>3];s=e+(p<<3)|0;h[q>>3]=+h[s>>3];h[s>>3]=r;o=o+1|0;}while((o|0)<=(j|0));n=c[a>>2]|0}if((n|0)>=3){m=n;break}return 0}}while(0);o=j+1|0;if((o|0)>(m|0)){return 0}else{t=o}do{o=t-1|0;s=b+(o<<3)|0;r=+h[s>>3];q=e+(o<<3)|0;h[s>>3]=+h[q>>3];h[q>>3]=r;q=b+(t<<3)|0;r=+h[q>>3];s=e+(t<<3)|0;h[q>>3]=+h[s>>3];h[s>>3]=r;s=t+1|0;q=b+(s<<3)|0;r=+h[q>>3];o=e+(s<<3)|0;h[q>>3]=+h[o>>3];h[o>>3]=r;t=t+3|0;}while((t|0)<=(m|0));return 0}else{if((i|0)<0){u=(ga(1-g|0,i)|0)+1|0}else{u=1}k=u;l=c[f>>2]|0}}while(0);if((l|0)<0){v=1;w=k;x=(ga(1-g|0,l)|0)+1|0}else{v=1;w=k;x=1}while(1){k=b+(w-1<<3)|0;r=+h[k>>3];l=e+(x-1<<3)|0;h[k>>3]=+h[l>>3];h[l>>3]=r;l=v+1|0;if((l|0)>(g|0)){break}else{v=l;w=(c[d>>2]|0)+w|0;x=(c[f>>2]|0)+x|0}}return 0}function U9(a,b,d,e,f,g,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;m=i;i=i+8|0;n=m|0;o=c[l>>2]|0;l=~o;c[n>>2]=0;p=c[a>>2]|0;do{if((p|0)<0){c[n>>2]=1}else{q=c[b>>2]|0;if((q|0)<0){c[n>>2]=2;break}r=c[f>>2]|0;if((r|0)==0){c[n>>2]=5;break}s=c[j>>2]|0;if((s|0)==0){c[n>>2]=7;break}if((o|0)<(((p|0)>1?p:1)|0)){c[n>>2]=9;break}if((p|0)==0|(q|0)==0){i=m;return 0}if(+h[d>>3]==0.0){i=m;return 0}if((s|0)>0){t=1}else{t=1-(ga(s,q-1|0)|0)|0}if((r|0)==1){if((q|0)<1){i=m;return 0}else{u=1;v=t;w=s}while(1){x=+h[g+(v-1<<3)>>3];do{if(x!=0.0){y=x*+h[d>>3];z=c[a>>2]|0;if((z|0)<1){A=w;break}B=(ga(u,o)|0)+l|0;C=1;do{D=k+(B+C<<3)|0;h[D>>3]=+h[D>>3]+y*+h[e+(C-1<<3)>>3];C=C+1|0;}while((C|0)<=(z|0));A=c[j>>2]|0}else{A=w}}while(0);z=u+1|0;if((z|0)>(q|0)){break}else{u=z;v=A+v|0;w=A}}i=m;return 0}if((r|0)>0){E=1}else{E=1-(ga(p-1|0,r)|0)|0}if((q|0)<1){i=m;return 0}else{F=1;G=t;H=s}while(1){x=+h[g+(G-1<<3)>>3];do{if(x!=0.0){y=x*+h[d>>3];z=c[a>>2]|0;if((z|0)<1){I=H;break}C=(ga(F,o)|0)+l|0;B=1;D=E;while(1){J=k+(C+B<<3)|0;h[J>>3]=+h[J>>3]+y*+h[e+(D-1<<3)>>3];J=B+1|0;if((J|0)>(z|0)){break}else{B=J;D=(c[f>>2]|0)+D|0}}I=c[j>>2]|0}else{I=H}}while(0);D=F+1|0;if((D|0)>(q|0)){break}else{F=D;G=I+G|0;H=I}}i=m;return 0}}while(0);Fc(157408,n|0)|0;i=m;return 0}function V9(a,b,d,e,f,g,j,k,l,m,n,o,p){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0.0,U=0.0,V=0,W=0.0,X=0,Y=0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0,da=0;q=i;i=i+8|0;r=q|0;s=c[k>>2]|0;t=~s;u=c[m>>2]|0;v=~u;w=c[p>>2]|0;x=~w;y=rha(a,152832,0,0)|0;z=rha(b,152832,0,0)|0;A=(y|0)!=0;y=c[(A?d:f)>>2]|0;B=(z|0)!=0;z=c[(B?f:e)>>2]|0;c[r>>2]=0;do{if(A){C=5}else{if((rha(a,175280,0,0)|0)!=0){C=5;break}if((rha(a,132408,0,0)|0)!=0){C=5;break}c[r>>2]=1}}while(0);a:do{if((C|0)==5){do{if(!B){if((rha(b,175280,0,0)|0)!=0){break}if((rha(b,132408,0,0)|0)!=0){break}c[r>>2]=2;break a}}while(0);a=c[d>>2]|0;if((a|0)<0){c[r>>2]=3;break}D=c[e>>2]|0;if((D|0)<0){c[r>>2]=4;break}E=c[f>>2]|0;if((E|0)<0){c[r>>2]=5;break}if((c[k>>2]|0)<(((y|0)>1?y:1)|0)){c[r>>2]=8;break}if((c[m>>2]|0)<(((z|0)>1?z:1)|0)){c[r>>2]=10;break}if((c[p>>2]|0)<(((a|0)>1?a:1)|0)){c[r>>2]=13;break}if((c[r>>2]|0)!=0){break}if((a|0)==0|(D|0)==0){i=q;return 0}F=+h[g>>3]==0.0;do{if(F|(E|0)==0){if(+h[n>>3]==1.0){i=q;return 0}if(!F){break}G=(D|0)<1;if(+h[n>>3]==0.0){if(G){i=q;return 0}else{H=2;I=0;J=a}while(1){if((J|0)>=1){lKa(o+((ga(w,I)|0)<<3)|0,0,J<<3|0)|0}if((H|0)>(D|0)){break}H=H+1|0;I=I+1|0;J=c[d>>2]|0}i=q;return 0}if(G){i=q;return 0}else{K=1;L=a}while(1){if((L|0)>=1){M=(ga(K,w)|0)+x|0;N=1;do{O=o+(M+N<<3)|0;h[O>>3]=+h[n>>3]*+h[O>>3];N=N+1|0;}while((N|0)<=(L|0))}N=K+1|0;if((N|0)>(D|0)){break}K=N;L=c[d>>2]|0}i=q;return 0}}while(0);F=(D|0)<1;if(B){if(!A){if(F){i=q;return 0}else{P=1;Q=a}while(1){if((Q|0)>=1){E=(ga(P,w)|0)+x|0;G=(ga(P,u)|0)+v|0;N=1;do{M=c[f>>2]|0;if((M|0)<1){R=0.0}else{O=(ga(N,s)|0)+t|0;S=1;T=0.0;while(1){U=T+ +h[j+(O+S<<3)>>3]*+h[l+(G+S<<3)>>3];V=S+1|0;if((V|0)>(M|0)){R=U;break}else{S=V;T=U}}}T=+h[n>>3];U=R*+h[g>>3];S=o+(E+N<<3)|0;if(T==0.0){W=U}else{W=U+T*+h[S>>3]}h[S>>3]=W;N=N+1|0;}while((N|0)<=(Q|0))}N=P+1|0;if((N|0)>(D|0)){break}P=N;Q=c[d>>2]|0}i=q;return 0}if(F){i=q;return 0}else{X=1;Y=0}while(1){N=o+((ga(w,Y)|0)<<3)|0;T=+h[n>>3];b:do{if(T==0.0){E=c[d>>2]|0;if((E|0)<1){break}lKa(N|0,0,E<<3|0)|0}else{if(!(T!=1.0)){break}E=c[d>>2]|0;if((E|0)<1){break}G=(ga(X,w)|0)+x|0;S=1;U=T;while(1){M=o+(G+S<<3)|0;h[M>>3]=U*+h[M>>3];M=S+1|0;if((M|0)>(E|0)){break b}S=M;U=+h[n>>3]}}}while(0);N=c[f>>2]|0;if((N|0)>=1){S=(ga(X,u)|0)+v|0;E=(ga(X,w)|0)+x|0;G=1;do{T=+h[l+(S+G<<3)>>3];do{if(T!=0.0){U=T*+h[g>>3];M=c[d>>2]|0;if((M|0)<1){break}O=(ga(G,s)|0)+t|0;V=1;do{Z=o+(E+V<<3)|0;h[Z>>3]=+h[Z>>3]+U*+h[j+(O+V<<3)>>3];V=V+1|0;}while((V|0)<=(M|0))}}while(0);G=G+1|0;}while((G|0)<=(N|0))}N=X+1|0;if((N|0)>(D|0)){break}X=N;Y=Y+1|0}i=q;return 0}else{if(!A){if(F){i=q;return 0}else{_=1;$=a}while(1){if(($|0)>=1){N=(ga(_,w)|0)+x|0;G=_+v|0;E=1;do{S=c[f>>2]|0;if((S|0)<1){aa=0.0}else{M=(ga(E,s)|0)+t|0;V=1;T=0.0;while(1){U=T+ +h[j+(M+V<<3)>>3]*+h[l+(G+(ga(V,u)|0)<<3)>>3];O=V+1|0;if((O|0)>(S|0)){aa=U;break}else{V=O;T=U}}}T=+h[n>>3];U=aa*+h[g>>3];V=o+(N+E<<3)|0;if(T==0.0){ba=U}else{ba=U+T*+h[V>>3]}h[V>>3]=ba;E=E+1|0;}while((E|0)<=($|0))}E=_+1|0;if((E|0)>(D|0)){break}_=E;$=c[d>>2]|0}i=q;return 0}if(F){i=q;return 0}else{ca=1;da=0}while(1){a=o+((ga(w,da)|0)<<3)|0;T=+h[n>>3];c:do{if(T==0.0){E=c[d>>2]|0;if((E|0)<1){break}lKa(a|0,0,E<<3|0)|0}else{if(!(T!=1.0)){break}E=c[d>>2]|0;if((E|0)<1){break}N=(ga(ca,w)|0)+x|0;G=1;U=T;while(1){V=o+(N+G<<3)|0;h[V>>3]=U*+h[V>>3];V=G+1|0;if((V|0)>(E|0)){break c}G=V;U=+h[n>>3]}}}while(0);a=c[f>>2]|0;if((a|0)>=1){G=ca+v|0;E=(ga(ca,w)|0)+x|0;N=1;do{T=+h[l+(G+(ga(N,u)|0)<<3)>>3];do{if(T!=0.0){U=T*+h[g>>3];V=c[d>>2]|0;if((V|0)<1){break}S=(ga(N,s)|0)+t|0;M=1;do{O=o+(E+M<<3)|0;h[O>>3]=+h[O>>3]+U*+h[j+(S+M<<3)>>3];M=M+1|0;}while((M|0)<=(V|0))}}while(0);N=N+1|0;}while((N|0)<=(a|0))}a=ca+1|0;if((a|0)>(D|0)){break}ca=a;da=da+1|0}i=q;return 0}}}while(0);Fc(104856,r|0)|0;i=q;return 0}function W9(a,b,d,e,f,g,j,k,l,m,n){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0.0,O=0,P=0,Q=0.0,R=0,S=0.0,T=0.0,U=0,V=0.0,W=0,X=0.0,Y=0,Z=0,_=0;o=i;i=i+8|0;p=o|0;q=c[l>>2]|0;r=~q;s=c[n>>2]|0;t=~s;u=(rha(a,141408,0,0)|0)!=0;v=c[(u?f:g)>>2]|0;w=rha(e,173472,0,0)|0;x=rha(b,131328,0,0)|0;c[p>>2]=0;do{if(u){y=4}else{if((rha(a,103768,0,0)|0)!=0){y=4;break}c[p>>2]=1}}while(0);a:do{if((y|0)==4){do{if((x|0)==0){if((rha(b,141408,0,0)|0)!=0){break}c[p>>2]=2;break a}}while(0);do{if((rha(d,173472,0,0)|0)==0){if((rha(d,78152,0,0)|0)!=0){break}if((rha(d,56544,0,0)|0)!=0){break}c[p>>2]=3;break a}}while(0);do{if((rha(e,131328,0,0)|0)==0){if((rha(e,173472,0,0)|0)!=0){break}c[p>>2]=4;break a}}while(0);a=c[f>>2]|0;if((a|0)<0){c[p>>2]=5;break}z=c[g>>2]|0;if((z|0)<0){c[p>>2]=6;break}if((c[l>>2]|0)<(((v|0)>1?v:1)|0)){c[p>>2]=9;break}if((c[n>>2]|0)<(((a|0)>1?a:1)|0)){c[p>>2]=11;break}if((c[p>>2]|0)!=0){break}if((a|0)==0|(z|0)==0){i=o;return 0}if(+h[j>>3]==0.0){if((z|0)<1){i=o;return 0}else{A=2;B=0;C=a}while(1){if((C|0)>=1){lKa(m+((ga(s,B)|0)<<3)|0,0,C<<3|0)|0}if((A|0)>(z|0)){break}A=A+1|0;B=B+1|0;C=c[f>>2]|0}i=o;return 0}z=(rha(d,173472,0,0)|0)!=0;a=(x|0)!=0;D=c[g>>2]|0;if(u){E=(D|0)<1;if(!z){if(a){if(E){i=o;return 0}F=(w|0)==0;G=1;do{H=c[f>>2]|0;if((H|0)>=1){I=(ga(G,s)|0)+t|0;J=1;do{K=m+(I+J<<3)|0;L=+h[j>>3]*+h[K>>3];M=J-1|0;if((M|0)<1){N=L}else{O=(ga(J,q)|0)+r|0;P=1;Q=L;while(1){L=Q- +h[k+(O+P<<3)>>3]*+h[m+(I+P<<3)>>3];R=P+1|0;if((R|0)>(M|0)){N=L;break}else{P=R;Q=L}}}if(F){S=N}else{S=N/+h[k+(J+r+(ga(J,q)|0)<<3)>>3]}h[K>>3]=S;J=J+1|0;}while((J|0)<=(H|0))}G=G+1|0;}while((G|0)<=(D|0));i=o;return 0}if(E){i=o;return 0}G=(w|0)==0;F=1;do{H=c[f>>2]|0;b:do{if((H|0)>0){J=(ga(F,s)|0)+t|0;I=H;P=H;while(1){M=m+(J+I<<3)|0;Q=+h[j>>3]*+h[M>>3];O=I+1|0;if((O|0)>(P|0)){T=Q}else{R=(ga(I,q)|0)+r|0;L=Q;U=O;while(1){Q=L- +h[k+(R+U<<3)>>3]*+h[m+(J+U<<3)>>3];O=U+1|0;if((O|0)>(P|0)){T=Q;break}else{L=Q;U=O}}}if(G){V=T}else{V=T/+h[k+(I+r+(ga(I,q)|0)<<3)>>3]}h[M>>3]=V;U=I-1|0;if((U|0)<=0){break b}I=U;P=c[f>>2]|0}}}while(0);F=F+1|0;}while((F|0)<=(D|0));i=o;return 0}if(a){if(E){i=o;return 0}F=(w|0)==0;G=1;do{L=+h[j>>3];c:do{if(L!=1.0){H=c[f>>2]|0;if((H|0)<1){break}P=(ga(G,s)|0)+t|0;I=1;Q=L;while(1){J=m+(P+I<<3)|0;h[J>>3]=Q*+h[J>>3];J=I+1|0;if((J|0)>(H|0)){y=43;break c}I=J;Q=+h[j>>3]}}else{y=43}}while(0);d:do{if((y|0)==43){y=0;I=c[f>>2]|0;if((I|0)<=0){break}H=(ga(G,s)|0)+t|0;if(F){P=I;while(1){J=m+(H+P<<3)|0;L=+h[J>>3];K=P-1|0;e:do{if(L!=0.0){if((K|0)<1){break d}U=(ga(P,q)|0)+r|0;R=1;Q=L;while(1){O=m+(H+R<<3)|0;h[O>>3]=+h[O>>3]-Q*+h[k+(U+R<<3)>>3];O=R+1|0;if((O|0)>(K|0)){break e}R=O;Q=+h[J>>3]}}}while(0);if((K|0)>0){P=K}else{break d}}}else{W=I}while(1){P=m+(H+W<<3)|0;L=+h[P>>3];f:do{if(L!=0.0){Q=L/+h[k+(W+r+(ga(W,q)|0)<<3)>>3];h[P>>3]=Q;J=W-1|0;if((J|0)<1){break d}M=(ga(W,q)|0)+r|0;R=1;X=Q;while(1){U=m+(H+R<<3)|0;h[U>>3]=+h[U>>3]-X*+h[k+(M+R<<3)>>3];U=R+1|0;if((U|0)>(J|0)){Y=J;break f}R=U;X=+h[P>>3]}}else{Y=W-1|0}}while(0);if((Y|0)>0){W=Y}else{break}}}}while(0);G=G+1|0;}while((G|0)<=(D|0));i=o;return 0}if(E){i=o;return 0}G=(w|0)==0;F=1;do{L=+h[j>>3];g:do{if(L!=1.0){H=c[f>>2]|0;if((H|0)<1){break}I=(ga(F,s)|0)+t|0;P=1;X=L;while(1){K=m+(I+P<<3)|0;h[K>>3]=X*+h[K>>3];K=P+1|0;if((K|0)>(H|0)){y=64;break g}P=K;X=+h[j>>3]}}else{y=64}}while(0);do{if((y|0)==64){y=0;P=c[f>>2]|0;if((P|0)<1){break}H=(ga(F,s)|0)+t|0;if(G){I=1;while(1){K=m+(H+I<<3)|0;L=+h[K>>3];h:do{if(L!=0.0){R=c[f>>2]|0;J=I+1|0;if((J|0)>(R|0)){Z=J;break}M=(ga(I,q)|0)+r|0;U=J;X=L;while(1){O=m+(H+U<<3)|0;h[O>>3]=+h[O>>3]-X*+h[k+(M+U<<3)>>3];O=U+1|0;if((O|0)>(R|0)){Z=J;break h}U=O;X=+h[K>>3]}}else{Z=I+1|0}}while(0);if((Z|0)>(P|0)){break}else{I=Z}}}else{I=1;while(1){K=m+(H+I<<3)|0;L=+h[K>>3];i:do{if(L!=0.0){X=L/+h[k+(I+r+(ga(I,q)|0)<<3)>>3];h[K>>3]=X;U=c[f>>2]|0;J=I+1|0;if((J|0)>(U|0)){_=J;break}R=(ga(I,q)|0)+r|0;M=J;Q=X;while(1){O=m+(H+M<<3)|0;h[O>>3]=+h[O>>3]-Q*+h[k+(R+M<<3)>>3];O=M+1|0;if((O|0)>(U|0)){_=J;break i}M=O;Q=+h[K>>3]}}else{_=I+1|0}}while(0);if((_|0)>(P|0)){break}else{I=_}}}}}while(0);F=F+1|0;}while((F|0)<=(D|0));i=o;return 0}if(!z){if(a){if((D|0)<=0){i=o;return 0}F=(w|0)==0;G=D;while(1){do{if(!F){L=1.0/+h[k+(G+r+(ga(G,q)|0)<<3)>>3];E=c[f>>2]|0;if((E|0)<1){break}I=(ga(G,s)|0)+t|0;P=1;do{H=m+(I+P<<3)|0;h[H>>3]=L*+h[H>>3];P=P+1|0;}while((P|0)<=(E|0))}}while(0);E=G-1|0;if((E|0)>=1){P=(ga(G,q)|0)+r|0;I=(ga(G,s)|0)+t|0;H=1;do{L=+h[k+(P+H<<3)>>3];do{if(L!=0.0){K=c[f>>2]|0;if((K|0)<1){break}M=(ga(H,s)|0)+t|0;J=1;do{U=m+(M+J<<3)|0;h[U>>3]=+h[U>>3]-L*+h[m+(I+J<<3)>>3];J=J+1|0;}while((J|0)<=(K|0))}}while(0);H=H+1|0;}while((H|0)<=(E|0))}L=+h[j>>3];j:do{if(L!=1.0){H=c[f>>2]|0;if((H|0)<1){break}I=(ga(G,s)|0)+t|0;P=1;Q=L;while(1){K=m+(I+P<<3)|0;h[K>>3]=Q*+h[K>>3];K=P+1|0;if((K|0)>(H|0)){break j}P=K;Q=+h[j>>3]}}}while(0);if((E|0)>0){G=E}else{break}}i=o;return 0}else{if((D|0)<1){i=o;return 0}G=(w|0)==0;F=1;while(1){do{if(!G){L=1.0/+h[k+(F+r+(ga(F,q)|0)<<3)>>3];z=c[f>>2]|0;if((z|0)<1){break}P=(ga(F,s)|0)+t|0;H=1;do{I=m+(P+H<<3)|0;h[I>>3]=L*+h[I>>3];H=H+1|0;}while((H|0)<=(z|0))}}while(0);E=c[g>>2]|0;z=F+1|0;if((z|0)<=(E|0)){H=(ga(F,q)|0)+r|0;P=(ga(F,s)|0)+t|0;I=z;do{L=+h[k+(H+I<<3)>>3];do{if(L!=0.0){K=c[f>>2]|0;if((K|0)<1){break}J=(ga(I,s)|0)+t|0;M=1;do{U=m+(J+M<<3)|0;h[U>>3]=+h[U>>3]-L*+h[m+(P+M<<3)>>3];M=M+1|0;}while((M|0)<=(K|0))}}while(0);I=I+1|0;}while((I|0)<=(E|0))}L=+h[j>>3];k:do{if(L!=1.0){E=c[f>>2]|0;if((E|0)<1){break}I=(ga(F,s)|0)+t|0;P=1;Q=L;while(1){H=m+(I+P<<3)|0;h[H>>3]=Q*+h[H>>3];H=P+1|0;if((H|0)>(E|0)){break k}P=H;Q=+h[j>>3]}}}while(0);if((z|0)>(D|0)){break}else{F=z}}i=o;return 0}}if(a){if((D|0)<1){i=o;return 0}F=(w|0)==0;G=1;do{L=+h[j>>3];l:do{if(L!=1.0){P=c[f>>2]|0;if((P|0)<1){break}E=(ga(G,s)|0)+t|0;I=1;Q=L;while(1){H=m+(E+I<<3)|0;h[H>>3]=Q*+h[H>>3];H=I+1|0;if((H|0)>(P|0)){break l}I=H;Q=+h[j>>3]}}}while(0);z=G-1|0;if((z|0)>=1){I=(ga(G,q)|0)+r|0;P=(ga(G,s)|0)+t|0;E=1;do{H=k+(I+E<<3)|0;L=+h[H>>3];m:do{if(L!=0.0){K=c[f>>2]|0;if((K|0)<1){break}M=(ga(E,s)|0)+t|0;J=1;Q=L;while(1){U=m+(P+J<<3)|0;h[U>>3]=+h[U>>3]-Q*+h[m+(M+J<<3)>>3];U=J+1|0;if((U|0)>(K|0)){break m}J=U;Q=+h[H>>3]}}}while(0);E=E+1|0;}while((E|0)<=(z|0))}do{if(!F){L=1.0/+h[k+(G+r+(ga(G,q)|0)<<3)>>3];z=c[f>>2]|0;if((z|0)<1){break}E=(ga(G,s)|0)+t|0;P=1;do{I=m+(E+P<<3)|0;h[I>>3]=L*+h[I>>3];P=P+1|0;}while((P|0)<=(z|0))}}while(0);G=G+1|0;}while((G|0)<=(D|0));i=o;return 0}else{if((D|0)<=0){i=o;return 0}G=(w|0)==0;F=D;do{L=+h[j>>3];n:do{if(L!=1.0){a=c[f>>2]|0;if((a|0)<1){break}z=(ga(F,s)|0)+t|0;P=1;Q=L;while(1){E=m+(z+P<<3)|0;h[E>>3]=Q*+h[E>>3];E=P+1|0;if((E|0)>(a|0)){break n}P=E;Q=+h[j>>3]}}}while(0);P=c[g>>2]|0;a=F+1|0;if((a|0)<=(P|0)){z=(ga(F,q)|0)+r|0;E=(ga(F,s)|0)+t|0;I=a;do{a=k+(z+I<<3)|0;L=+h[a>>3];o:do{if(L!=0.0){H=c[f>>2]|0;if((H|0)<1){break}J=(ga(I,s)|0)+t|0;K=1;Q=L;while(1){M=m+(E+K<<3)|0;h[M>>3]=+h[M>>3]-Q*+h[m+(J+K<<3)>>3];M=K+1|0;if((M|0)>(H|0)){break o}K=M;Q=+h[a>>3]}}}while(0);I=I+1|0;}while((I|0)<=(P|0))}do{if(!G){L=1.0/+h[k+(F+r+(ga(F,q)|0)<<3)>>3];P=c[f>>2]|0;if((P|0)<1){break}I=(ga(F,s)|0)+t|0;E=1;do{z=m+(I+E<<3)|0;h[z>>3]=L*+h[z>>3];E=E+1|0;}while((E|0)<=(P|0))}}while(0);F=F-1|0;}while((F|0)>0);i=o;return 0}}}while(0);Fc(45160,p|0)|0;i=o;return 0}function X9(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0;k=i;i=i+8|0;l=k|0;c[j>>2]=0;m=c[a>>2]|0;do{if((m|0)<0){c[j>>2]=-1;n=-1}else{if((c[b>>2]|0)<0){c[j>>2]=-2;n=-2;break}o=(m|0)>1?m:1;if((c[e>>2]|0)<(o|0)){c[j>>2]=-4;n=-4;break}if((c[h>>2]|0)<(o|0)){c[j>>2]=-7;n=-7;break}Z9(a,a,d,e,f,j)|0;if((c[j>>2]|0)!=0){i=k;return 0}_9(165952,a,b,d,e,f,g,h,j)|0;i=k;return 0}}while(0);c[l>>2]=-n;Fc(104256,l|0)|0;i=k;return 0}function Y9(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0,H=0.0,I=0;j=i;i=i+32|0;k=j|0;l=j+8|0;m=j+16|0;n=j+24|0;o=c[e>>2]|0;p=~o;c[g>>2]=0;q=c[a>>2]|0;do{if((q|0)<0){c[g>>2]=-1;r=-1}else{s=c[b>>2]|0;if((s|0)<0){c[g>>2]=-2;r=-2;break}if((c[e>>2]|0)<(((q|0)>1?q:1)|0)){c[g>>2]=-4;r=-4;break}if((q|0)==0|(s|0)==0){i=j;return 0}t=+_ga(165600,0);s=c[a>>2]|0;u=c[b>>2]|0;v=(s|0)>(u|0)?u:s;c[k>>2]=v;if((v|0)<1){i=j;return 0}else{w=1;x=s}while(1){c[l>>2]=1-w+x;s=w-1|0;v=ga(w,o)|0;u=w+p|0;y=u+v|0;z=d+(y<<3)|0;A=s+(R9(l,z,19488)|0)|0;c[f+(s<<2)>>2]=A;B=v+p|0;a:do{if(+h[d+(B+A<<3)>>3]!=0.0){if((A|0)!=(w|0)){T9(b,d+(s<<3)|0,e,d+(A-1<<3)|0,e)|0}C=c[a>>2]|0;if((w|0)>=(C|0)){break}D=+h[z>>3];h[n>>3]=D;if(D<0.0){E=-0.0-D}else{E=D}F=C-w|0;c[l>>2]=F;if(!(E<t)){h[n>>3]=1.0/D;S9(l,n,d+(w-o+v<<3)|0,19488)|0;break}if((F|0)<1){break}else{G=1;H=D}while(1){C=d+(y+G<<3)|0;h[C>>3]=+h[C>>3]/H;C=G+1|0;if((C|0)>(F|0)){break a}G=C;H=+h[z>>3]}}else{if((c[g>>2]|0)!=0){break}c[g>>2]=w}}while(0);z=c[a>>2]|0;y=c[b>>2]|0;if((w|0)<(((z|0)>(y|0)?y:z)|0)){c[l>>2]=z-w;c[m>>2]=y-w;y=w+1|0;z=ga(y,o)|0;U9(l,m,18800,d+(B+y<<3)|0,19488,d+(u+z<<3)|0,e,d+(y+p+z<<3)|0,e)|0;I=y}else{I=w+1|0}if((I|0)>(c[k>>2]|0)){break}w=I;x=c[a>>2]|0}i=j;return 0}}while(0);c[k>>2]=-r;Fc(102472,k|0)|0;i=j;return 0}function Z9(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=i;i=i+48|0;j=h|0;k=h+8|0;l=h+16|0;m=h+24|0;n=h+32|0;o=h+40|0;p=c[e>>2]|0;q=~p;c[g>>2]=0;r=c[a>>2]|0;do{if((r|0)<0){c[g>>2]=-1;s=-1}else{t=c[b>>2]|0;if((t|0)<0){c[g>>2]=-2;s=-2;break}if((c[e>>2]|0)<(((r|0)>1?r:1)|0)){c[g>>2]=-4;s=-4;break}if((r|0)==0|(t|0)==0){i=h;return 0}t=aaa(19480,102464,165592,a,b,18792,18792)|0;do{if((t|0)>=2){u=c[a>>2]|0;v=c[b>>2]|0;w=(u|0)>(v|0)?v:u;if((t|0)>=(w|0)){break}c[j>>2]=w;c[m>>2]=1;if((w|0)>0){x=1;y=u;z=v}else{i=h;return 0}while(1){v=((y|0)>(z|0)?z:y)-x+1|0;c[n>>2]=(v|0)<=(t|0)?v:t;c[k>>2]=y+1-x;Y9(k,n,d+(x+q+(ga(x,p)|0)<<3)|0,e,f+(x-1<<2)|0,o)|0;do{if((c[g>>2]|0)==0){v=c[o>>2]|0;if((v|0)<=0){break}c[g>>2]=v-1+(c[m>>2]|0)}}while(0);v=c[a>>2]|0;c[l>>2]=v;u=c[m>>2]|0;w=u-1|0;A=w+(c[n>>2]|0)|0;B=(v|0)<=(A|0)?v:A;c[k>>2]=B;if((u|0)<=(B|0)){v=u;do{u=f+(v-1<<2)|0;c[u>>2]=(c[u>>2]|0)+w;v=v+1|0;}while((v|0)<=(B|0))}c[k>>2]=w;c[l>>2]=A;$9(k,d,e,m,l,f,19480)|0;B=c[m>>2]|0;v=c[n>>2]|0;u=v+B|0;C=c[b>>2]|0;do{if((u|0)>(C|0)){D=B}else{c[k>>2]=1-B-v+C;c[l>>2]=u-1;$9(k,d+((ga(u,p)|0)-p<<3)|0,e,m,l,f,19480)|0;E=c[m>>2]|0;F=c[n>>2]|0;c[k>>2]=(c[b>>2]|0)+1-E-F;G=E+q|0;W9(126392,100272,75480,53840,n,k,18848,d+(G+(ga(E,p)|0)<<3)|0,e,d+(G+(ga(F+E|0,p)|0)<<3)|0,e)|0;E=c[m>>2]|0;F=c[n>>2]|0;G=F+E|0;H=c[a>>2]|0;if((G|0)>(H|0)){D=E;break}c[k>>2]=1-E-F+H;c[l>>2]=(c[b>>2]|0)+1-E-F;F=ga(G,p)|0;V9(75480,75480,k,l,n,18832,d+((ga(E,p)|0)+q+G<<3)|0,e,d+(E+q+F<<3)|0,e,18848,d+(G+q+F<<3)|0,e)|0;D=c[m>>2]|0}}while(0);u=D+t|0;c[m>>2]=u;if((u|0)>(c[j>>2]|0)){break}x=u;y=c[a>>2]|0;z=c[b>>2]|0}i=h;return 0}}while(0);Y9(a,b,d,e,f,g)|0;i=h;return 0}}while(0);c[j>>2]=-s;Fc(102464,j|0)|0;i=h;return 0}function _9(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0;l=i;i=i+8|0;m=l|0;c[k>>2]=0;n=(rha(a,101784,0,0)|0)!=0;do{if(n){o=5}else{if((rha(a,165584,0,0)|0)!=0){o=5;break}if((rha(a,126384,0,0)|0)!=0){o=5;break}c[k>>2]=-1;p=-1}}while(0);do{if((o|0)==5){a=c[b>>2]|0;if((a|0)<0){c[k>>2]=-2;p=-2;break}q=c[d>>2]|0;if((q|0)<0){c[k>>2]=-3;p=-3;break}r=(a|0)>1?a:1;if((c[f>>2]|0)<(r|0)){c[k>>2]=-5;p=-5;break}if((c[j>>2]|0)<(r|0)){c[k>>2]=-8;p=-8;break}r=c[k>>2]|0;if((r|0)!=0){p=r;break}if((a|0)==0|(q|0)==0){i=l;return 0}if(n){$9(d,h,j,19472,b,g,19472)|0;W9(75472,53832,44488,38280,b,d,18864,e,f,h,j)|0;W9(75472,31824,44488,25776,b,d,18864,e,f,h,j)|0;i=l;return 0}else{W9(75472,31824,185432,25776,b,d,18864,e,f,h,j)|0;W9(75472,53832,185432,38280,b,d,18864,e,f,h,j)|0;$9(d,h,j,19472,b,g,18784)|0;i=l;return 0}}}while(0);c[m>>2]=-p;Fc(100264,m|0)|0;i=l;return 0}function $9(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0;j=c[d>>2]|0;d=~j;k=c[i>>2]|0;do{if((k|0)>0){l=c[e>>2]|0;m=1;n=l;o=f;p=l}else{if((k|0)<0){l=c[f>>2]|0;m=-1;n=(ga(1-l|0,k)|0)+1|0;o=e;p=l;break}else{return 0}}}while(0);e=c[o>>2]|0;o=c[a>>2]|0;f=((o|0)/32|0)<<5;if((f|0)<1){q=o;r=k}else{o=(m|0)<0;l=o?(p|0)>=(e|0):(p|0)<=(e|0);s=1;t=k;while(1){if(l){k=s+31|0;if(o){u=p;v=n;w=t;while(1){x=c[g+(v-1<<2)>>2]|0;if((x|0)==(u|0)){y=w}else{z=u+d|0;A=x+d|0;x=s;do{B=ga(x,j)|0;C=b+(z+B<<3)|0;D=+h[C>>3];E=b+(A+B<<3)|0;h[C>>3]=+h[E>>3];h[E>>3]=D;x=x+1|0;}while((x|0)<=(k|0));y=c[i>>2]|0}x=u+m|0;if((x|0)<(e|0)){F=y;break}else{u=x;v=y+v|0;w=y}}}else{w=p;v=n;u=t;while(1){x=c[g+(v-1<<2)>>2]|0;if((x|0)==(w|0)){G=u}else{A=w+d|0;z=x+d|0;x=s;do{E=ga(x,j)|0;C=b+(A+E<<3)|0;D=+h[C>>3];B=b+(z+E<<3)|0;h[C>>3]=+h[B>>3];h[B>>3]=D;x=x+1|0;}while((x|0)<=(k|0));G=c[i>>2]|0}x=w+m|0;if((x|0)>(e|0)){F=G;break}else{w=x;v=G+v|0;u=G}}}}else{F=t}u=s+32|0;if((u|0)>(f|0)){break}else{s=u;t=F}}q=c[a>>2]|0;r=F}if((f|0)==(q|0)){return 0}q=f|1;f=(m|0)<0;if(!(f?(p|0)>=(e|0):(p|0)<=(e|0))){return 0}if(f){f=p;F=n;t=r;while(1){s=c[g+(F-1<<2)>>2]|0;do{if((s|0)==(f|0)){H=t}else{G=c[a>>2]|0;if((q|0)>(G|0)){H=t;break}y=f+d|0;o=s+d|0;l=q;do{u=ga(l,j)|0;v=b+(y+u<<3)|0;D=+h[v>>3];w=b+(o+u<<3)|0;h[v>>3]=+h[w>>3];h[w>>3]=D;l=l+1|0;}while((l|0)<=(G|0));H=c[i>>2]|0}}while(0);s=f+m|0;if((s|0)<(e|0)){break}else{f=s;F=H+F|0;t=H}}return 0}else{H=p;p=n;n=r;while(1){r=c[g+(p-1<<2)>>2]|0;do{if((r|0)==(H|0)){I=n}else{t=c[a>>2]|0;if((q|0)>(t|0)){I=n;break}F=H+d|0;f=r+d|0;s=q;do{G=ga(s,j)|0;l=b+(F+G<<3)|0;D=+h[l>>3];o=b+(f+G<<3)|0;h[l>>3]=+h[o>>3];h[o>>3]=D;s=s+1|0;}while((s|0)<=(t|0));I=c[i>>2]|0}}while(0);r=H+m|0;if((r|0)>(e|0)){break}else{H=r;p=I+p|0;n=I}}return 0}return 0}function aaa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+32|0;l=k|0;m=k+8|0;n=k+16|0;o=k+24|0;p=iKa(d|0)|0;a:do{switch(c[b>>2]|0){case 1:case 2:case 3:{q=o|0;rxa(q,d,1,p);r=a[q]|0;do{if((r-97&255)>>>0<26>>>0){s=r-32&255;a[q]=s;t=o+1|0;u=a[t]|0;if((u-97&255)>>>0<26>>>0){a[t]=u-32}u=o+2|0;t=a[u]|0;if((t-97&255)>>>0<26>>>0){a[u]=t-32}t=o+3|0;u=a[t]|0;if((u-97&255)>>>0<26>>>0){a[t]=u-32}u=o+4|0;t=a[u]|0;if((t-97&255)>>>0<26>>>0){a[u]=t-32}t=o+5|0;u=a[t]|0;if(!((u-97&255)>>>0<26>>>0)){v=s;break}a[t]=u-32;v=s}else{v=r}}while(0);r=v<<24>>24==83;q=v<<24>>24==68;s=r|q;if(!((v<<24>>24|0)==90|(v<<24>>24|0)==83|(v<<24>>24|0)==68|(v<<24>>24|0)==67)){w=1;break a}u=l|0;rxa(u,o+1|0,1,2);t=m|0;rxa(t,o+3|0,1,3);x=n|0;rxa(x,m+1|0,1,2);y=c[b>>2]|0;if((y|0)==2){if((qxa(u,172328,1,2)|0)==0){if((qxa(t,134048,1,3)|0)==0){w=2;break a}if((qxa(t,105928,1,3)|0)==0){w=2;break a}if((qxa(t,80544,1,3)|0)==0){w=2;break a}if((qxa(t,58864,1,3)|0)==0){w=2;break a}if((qxa(t,46328,1,3)|0)==0){w=2;break a}if((qxa(t,39872,1,3)|0)==0){w=2;break a}qxa(t,33448,1,3)|0;w=2;break a}if((qxa(u,6878e3,1,2)|0)==0){z=(qxa(t,177920,1,3)|0)==0;if(z|(r|q)^1){w=z?8:2;break a}qxa(t,178896,1,3)|0;w=2;break a}do{if((v<<24>>24|0)==90|(v<<24>>24|0)==67){if((qxa(u,166736,1,2)|0)==0){qxa(t,178896,1,3)|0;w=2;break a}else{if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=94;break}else{w=2;break a}}}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=94}else{w=2;break a}}while(0);do{if((A|0)==94){if((qxa(u,162096,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=2;break a}}z=a[t]|0;if((z<<24>>24|0)==77){if((qxa(x,158056,1,2)|0)==0){w=2;break a}if((qxa(x,153976,1,2)|0)==0){w=2;break a}if((qxa(x,150528,1,2)|0)==0){w=2;break a}if((qxa(x,146104,1,2)|0)==0){w=2;break a}if((qxa(x,142160,1,2)|0)==0){w=2;break a}if((qxa(x,138608,1,2)|0)==0){w=2;break a}qxa(x,134720,1,2)|0;w=2;break a}else if((z<<24>>24|0)==71){if((qxa(x,158056,1,2)|0)==0){w=2;break a}if((qxa(x,153976,1,2)|0)==0){w=2;break a}if((qxa(x,150528,1,2)|0)==0){w=2;break a}if((qxa(x,146104,1,2)|0)==0){w=2;break a}if((qxa(x,142160,1,2)|0)==0){w=2;break a}if((qxa(x,138608,1,2)|0)==0){w=2;break a}qxa(x,134720,1,2)|0;w=2;break a}else{w=2;break a}}}while(0);if((qxa(u,130592,1,2)|0)!=0){w=2;break a}z=a[t]|0;if((z<<24>>24|0)==71){if((qxa(x,158056,1,2)|0)==0){w=2;break a}if((qxa(x,153976,1,2)|0)==0){w=2;break a}if((qxa(x,150528,1,2)|0)==0){w=2;break a}if((qxa(x,146104,1,2)|0)==0){w=2;break a}if((qxa(x,142160,1,2)|0)==0){w=2;break a}if((qxa(x,138608,1,2)|0)==0){w=2;break a}qxa(x,134720,1,2)|0;w=2;break a}else if((z<<24>>24|0)==77){if((qxa(x,158056,1,2)|0)==0){w=2;break a}if((qxa(x,153976,1,2)|0)==0){w=2;break a}if((qxa(x,150528,1,2)|0)==0){w=2;break a}if((qxa(x,146104,1,2)|0)==0){w=2;break a}if((qxa(x,142160,1,2)|0)==0){w=2;break a}if((qxa(x,138608,1,2)|0)==0){w=2;break a}qxa(x,134720,1,2)|0;w=2;break a}else{w=2;break a}}else if((y|0)==3){if((qxa(u,172328,1,2)|0)==0){if((qxa(t,134048,1,3)|0)==0){w=128;break a}if((qxa(t,105928,1,3)|0)==0){w=128;break a}if((qxa(t,80544,1,3)|0)==0){w=128;break a}if((qxa(t,58864,1,3)|0)==0){w=128;break a}if((qxa(t,46328,1,3)|0)==0){w=128;break a}z=(qxa(t,39872,1,3)|0)==0;w=z?128:0;break a}if((qxa(u,6878e3,1,2)|0)==0){if(!((v<<24>>24|0)==83|(v<<24>>24|0)==68)){w=0;break a}z=(qxa(t,178896,1,3)|0)==0;w=z?32:0;break a}do{if((v<<24>>24|0)==90|(v<<24>>24|0)==67){if((qxa(u,166736,1,2)|0)==0){z=(qxa(t,178896,1,3)|0)==0;w=z?32:0;break a}else{if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=141;break}else{w=0;break a}}}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=141}else{w=0;break a}}while(0);do{if((A|0)==141){if((qxa(u,162096,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=0;break a}}if((a[t]|0)!=71){w=0;break a}do{if((qxa(x,158056,1,2)|0)!=0){if((qxa(x,153976,1,2)|0)==0){break}if((qxa(x,150528,1,2)|0)==0){break}if((qxa(x,146104,1,2)|0)==0){break}if((qxa(x,142160,1,2)|0)==0){break}if((qxa(x,138608,1,2)|0)==0){break}if((qxa(x,134720,1,2)|0)!=0){w=0;break a}}}while(0);w=128;break a}}while(0);if((qxa(u,130592,1,2)|0)!=0){w=0;break a}if((a[t]|0)!=71){w=0;break a}do{if((qxa(x,158056,1,2)|0)!=0){if((qxa(x,153976,1,2)|0)==0){break}if((qxa(x,150528,1,2)|0)==0){break}if((qxa(x,146104,1,2)|0)==0){break}if((qxa(x,142160,1,2)|0)==0){break}if((qxa(x,138608,1,2)|0)==0){break}if((qxa(x,134720,1,2)|0)!=0){w=0;break a}}}while(0);w=128;break a}else{if((qxa(u,172328,1,2)|0)==0){if((qxa(t,177920,1,3)|0)==0){w=64;break a}if((qxa(t,134048,1,3)|0)==0){w=32;break a}if((qxa(t,105928,1,3)|0)==0){w=32;break a}if((qxa(t,80544,1,3)|0)==0){w=32;break a}if((qxa(t,58864,1,3)|0)==0){w=32;break a}if((qxa(t,46328,1,3)|0)==0){w=32;break a}if((qxa(t,39872,1,3)|0)==0){w=32;break a}y=(qxa(t,33448,1,3)|0)==0;w=y?64:1;break a}if((qxa(u,27616,1,2)|0)==0){y=(qxa(t,177920,1,3)|0)==0;w=y?64:1;break a}if((qxa(u,6878e3,1,2)|0)==0){y=(qxa(t,177920,1,3)|0)==0;if(y|s^1){w=y?64:1;break a}y=(qxa(t,178896,1,3)|0)==0;if(y){w=y?32:1;break a}y=(qxa(t,172408,1,3)|0)==0;w=y?64:1;break a}do{if((v<<24>>24|0)==90|(v<<24>>24|0)==67){if((qxa(u,166736,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){A=48;break}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=29;break}else{break}}if((qxa(t,177920,1,3)|0)==0){w=64;break a}if((qxa(t,178896,1,3)|0)==0){w=32;break a}y=(qxa(t,172408,1,3)|0)==0;w=y?64:1;break a}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=29}}while(0);do{if((A|0)==29){if((qxa(u,162096,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){A=48;break}else{break}}s=a[t]|0;if((s<<24>>24|0)==77){do{if((qxa(x,158056,1,2)|0)!=0){if((qxa(x,153976,1,2)|0)==0){break}if((qxa(x,150528,1,2)|0)==0){break}if((qxa(x,146104,1,2)|0)==0){break}if((qxa(x,142160,1,2)|0)==0){break}if((qxa(x,138608,1,2)|0)==0){break}if((qxa(x,134720,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else if((s<<24>>24|0)==71){do{if((qxa(x,158056,1,2)|0)!=0){if((qxa(x,153976,1,2)|0)==0){break}if((qxa(x,150528,1,2)|0)==0){break}if((qxa(x,146104,1,2)|0)==0){break}if((qxa(x,142160,1,2)|0)==0){break}if((qxa(x,138608,1,2)|0)==0){break}if((qxa(x,134720,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else{w=1;break a}}}while(0);do{if((A|0)==48){if((qxa(u,130592,1,2)|0)!=0){break}s=a[t]|0;if((s<<24>>24|0)==71){do{if((qxa(x,158056,1,2)|0)!=0){if((qxa(x,153976,1,2)|0)==0){break}if((qxa(x,150528,1,2)|0)==0){break}if((qxa(x,146104,1,2)|0)==0){break}if((qxa(x,142160,1,2)|0)==0){break}if((qxa(x,138608,1,2)|0)==0){break}if((qxa(x,134720,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else if((s<<24>>24|0)==77){do{if((qxa(x,158056,1,2)|0)!=0){if((qxa(x,153976,1,2)|0)==0){break}if((qxa(x,150528,1,2)|0)==0){break}if((qxa(x,146104,1,2)|0)==0){break}if((qxa(x,142160,1,2)|0)==0){break}if((qxa(x,138608,1,2)|0)==0){break}if((qxa(x,134720,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else{w=1;break a}}}while(0);if((qxa(u,126944,1,2)|0)==0){if((qxa(t,177920,1,3)|0)!=0){w=1;break a}w=(c[j>>2]|0)<65?1:32;break a}if((qxa(u,123520,1,2)|0)==0){if((qxa(t,177920,1,3)|0)!=0){w=1;break a}w=(c[g>>2]|0)<65?1:32;break a}if((qxa(u,138608,1,2)|0)==0){x=(qxa(t,33448,1,3)|0)==0;w=x?64:1;break a}if((qxa(u,120920,1,2)|0)==0){x=(qxa(t,118288,1,3)|0)==0;w=x?64:1;break a}if(!((v<<24>>24|0)==83|(v<<24>>24|0)==68)){w=1;break a}if((qxa(u,115872,1,2)|0)!=0){w=1;break a}qxa(t,113472,1,3)|0;i=k;return 1}break};case 4:{w=6;break};case 5:{w=2;break};case 6:{x=c[f>>2]|0;s=c[g>>2]|0;w=~~(+(((x|0)>(s|0)?s:x)|0)*1.600000023841858);break};case 7:{w=1;break};case 8:{w=50;break};case 9:{w=25;break};case 10:{w=baa(19520,18856,18840)|0;break};case 11:{w=baa(8568528,18856,18840)|0;break};case 12:case 13:case 14:case 15:case 16:{w=caa(b,d,e,f,g,h,j)|0;break};default:{w=-1}}}while(0);i=k;return w|0}function baa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0.0,f=0.0,h=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0;e=+g[d>>2];f=+g[b>>2];if(!(e/f>e)){h=0;return h|0}i=(-0.0-e)/f;if(!(i<f)){h=0;return h|0}j=e/(e+i);if(j!=f){h=0;return h|0}i=e/j;if(!(i<f)){h=0;return h|0}k=f+j;if(k!=f){h=0;return h|0}l=e/k;if(!(l>e)){h=0;return h|0}k=i*l;if(!(k<f)){h=0;return h|0}i=l*l;if(!(i>e)){h=0;return h|0}if((c[a>>2]|0)==0){h=1;return h|0}e=i+k;l=i/i;m=f*i;f=j*k;a=!(e!=e)&!(Rd=0.0,Rd!=Rd);e=i/k;b=a|!(e!=e)&!(Rd=0.0,Rd!=Rd);a=b|!(l!=l)&!(Rd=0.0,Rd!=Rd);b=a|!(m!=m)&!(Rd=0.0,Rd!=Rd);if(b|!(f!=f)&!(Rd=0.0,Rd!=Rd)){h=0;return h|0}m=f*0.0;h=(m!=m|(Rd=0.0,Rd!=Rd))&1;return h|0}function caa(a,b,d,e,f,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0;j=i;i=i+8|0;e=j|0;d=c[a>>2]|0;if((d|0)==15|(d|0)==13|(d|0)==16){b=(c[h>>2]|0)-(c[f>>2]|0)+1|0;if((b|0)>149){g[e>>2]=+ea(+(b|0))/.6931471805599453;f=(b|0)/(pxa(e)|0)|0;k=(f|0)>10?f:10;l=c[a>>2]|0}else{k=(b|0)>59?10:(b|0)>29?4:2;l=d}a=(b|0)>5999?256:(b|0)>2999?128:(b|0)>589?64:k;k=a-((a|0)%2|0)|0;m=(k|0)>2?k:2;n=b;o=l}else{m=0;n=0;o=d}a:do{switch(o|0){case 14:{p=14;break};case 12:{p=75;break};case 13:{if((n|0)<501){p=m;break a}p=(m*3|0|0)/2|0;break};case 15:{p=m;break};case 16:{d=(m|0)>13;i=j;return(d?2:d&1)|0};default:{p=-1}}}while(0);i=j;return p|0}function daa(a){a=a|0;var b=0,c=0;b=i;c=eaa(a,0,0)|0;i=b;return c|0}function eaa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;e=faa(a,b,c,0)|0;i=d;return e|0}function faa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=b;b=d;d=e;e=f;if((b|0)!=0){j=Yd[c[b>>2]&255](500)|0;if((j|0)!=0){f=j+12|0;c[f>>2]=c[b>>2];c[f+4>>2]=c[b+4>>2];c[f+8>>2]=c[b+8>>2]}}else{j=IJa(500)|0;if((j|0)!=0){b=j+12|0;c[b>>2]=30;c[b+4>>2]=98;c[b+8>>2]=106}}if((j|0)==0){k=j;l=k;i=g;return l|0}c[j+8>>2]=0;c[j+32>>2]=0;c[j+380>>2]=16;c[j+392>>2]=Yd[c[j+12>>2]&255](c[j+380>>2]<<4)|0;if((c[j+392>>2]|0)==0){Vd[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}c[j+44>>2]=Yd[c[j+12>>2]&255](1024)|0;if((c[j+44>>2]|0)==0){Vd[c[j+20>>2]&511](c[j+392>>2]|0);Vd[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}c[j+48>>2]=(c[j+44>>2]|0)+1024;do{if((e|0)!=0){c[j+356>>2]=e}else{c[j+356>>2]=qba(j+12|0)|0;if((c[j+356>>2]|0)!=0){break}Vd[c[j+20>>2]&511](c[j+44>>2]|0);Vd[c[j+20>>2]&511](c[j+392>>2]|0);Vd[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}}while(0);c[j+376>>2]=0;c[j+368>>2]=0;c[j+304>>2]=0;c[j+468>>2]=0;c[j+464>>2]=0;c[j+124>>2]=0;c[j+248>>2]=0;a[j+472|0]=33;a[j+236|0]=0;a[j+237|0]=0;c[j+396>>2]=0;c[j+400>>2]=0;a[j+404|0]=0;rba(j+416|0,j+12|0);rba(j+440|0,j+12|0);haa(j,h);do{if((h|0)!=0){if((c[j+232>>2]|0)!=0){break}kaa(j);k=0;l=k;i=g;return l|0}}while(0);if((d|0)!=0){a[j+236|0]=1;c[j+228>>2]=Lba()|0;a[j+472|0]=a[d]|0}else{c[j+228>>2]=Cba()|0}k=j;l=k;i=g;return l|0}function gaa(a){a=a|0;var b=0,d=0,e=0;b=i;d=a;if((c[d+4>>2]|0)!=0){a=c[d>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;c[a>>2]=c[d+4>>2];c[d+4>>2]=a;a=e}}else{c[d+4>>2]=c[d>>2]}c[d>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;c[d+8>>2]=0;i=b;return}function haa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;f=b;b=d;c[f+280>>2]=82;Uda(f+256|0);if((b|0)!=0){g=iaa(f+416|0,b)|0}else{g=0}c[f+232>>2]=g;c[f+360>>2]=0;Dba(f+148|0,f+144|0,0)|0;c[f>>2]=0;c[f+4>>2]=0;c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=0;c[f+64>>2]=0;c[f+68>>2]=0;c[f+72>>2]=0;c[f+76>>2]=0;c[f+80>>2]=0;c[f+84>>2]=0;c[f+88>>2]=0;c[f+92>>2]=0;c[f+96>>2]=0;c[f+100>>2]=0;c[f+104>>2]=0;c[f+108>>2]=0;c[f+112>>2]=0;c[f+116>>2]=f;c[f+120>>2]=0;c[f+128>>2]=0;c[f+132>>2]=0;c[f+136>>2]=0;c[f+140>>2]=0;c[f+24>>2]=c[f+8>>2];c[f+28>>2]=c[f+8>>2];c[f+36>>2]=0;c[f+40>>2]=0;c[f+344>>2]=0;c[f+348>>2]=0;c[f+316>>2]=0;c[f+320>>2]=0;c[f+324>>2]=0;c[f+328>>2]=0;c[f+332>>2]=0;c[f+336>>2]=0;c[f+340>>2]=0;a[f+352|0]=0;a[f+353|0]=0;lKa(f+408|0,0,8)|0;c[f+284>>2]=0;c[f+288>>2]=0;c[f+292>>2]=0;c[f+296>>2]=0;c[f+300>>2]=0;a[f+308|0]=1;c[f+312>>2]=0;c[f+364>>2]=0;c[f+372>>2]=0;c[f+384>>2]=0;c[f+240>>2]=0;c[f+252>>2]=0;c[f+244>>2]=0;c[f+476>>2]=0;c[f+480>>2]=0;a[f+488|0]=0;a[f+489|0]=0;c[f+492>>2]=0;c[f+496>>2]=0;i=e;return}function iaa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=b;b=d;a:while(1){do{if((c[f+12>>2]|0)==(c[f+8>>2]|0)){if((zaa(f)|0)<<24>>24!=0){g=5;break}if(!0){g=6;break a}}else{g=5}}while(0);if((g|0)==5){g=0;d=a[b]|0;h=f+12|0;j=c[h>>2]|0;c[h>>2]=j+1;a[j]=d;if(!1){g=6;break}}d=b;b=d+1|0;if((a[d]|0)==0){g=9;break}}if((g|0)==6){k=0;l=k;i=e;return l|0}else if((g|0)==9){b=c[f+16>>2]|0;c[f+16>>2]=c[f+12>>2];k=b;l=k;i=e;return l|0}return 0}function jaa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=i;f=b;b=d;d=c[f+356>>2]|0;g=b;a:while(1){if((a[b]|0)==0){h=59;break}do{if((a[g]|0)==12){h=5}else{if((a[g]|0)==0){h=5;break}if((a[g]|0)==61){if(((c[f+428>>2]|0)-(c[f+432>>2]|0)|0)==0){j=d+152|0}else{do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((zaa(f+416|0)|0)<<24>>24!=0){h=21;break}if(!0){h=22;break a}}else{h=21}}while(0);if((h|0)==21){h=0;k=f+428|0;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=0;if(!1){h=22;break a}}j=Caa(f,d+60|0,c[f+432>>2]|0,8)|0;if((j|0)==0){h=24;break a}if((c[j>>2]|0)==(c[f+432>>2]|0)){c[j>>2]=iaa(d+80|0,c[j>>2]|0)|0;if((c[j>>2]|0)==0){h=27;break a}}c[f+428>>2]=c[f+432>>2]}b=g+1|0;while(1){if((a[b]|0)!=12){m=(a[b]|0)!=0}else{m=0}if(!m){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((zaa(f+416|0)|0)<<24>>24!=0){h=37;break}if(!0){h=38;break a}}else{h=37}}while(0);if((h|0)==37){h=0;l=a[b]|0;k=f+428|0;n=c[k>>2]|0;c[k>>2]=n+1;a[n]=l;if(!1){h=38;break a}}b=b+1|0}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((zaa(f+416|0)|0)<<24>>24!=0){h=44;break}if(!0){h=45;break a}}else{h=44}}while(0);if((h|0)==44){h=0;l=f+428|0;n=c[l>>2]|0;c[l>>2]=n+1;a[n]=0;if(!1){h=45;break a}}if((Gaa(f,j,0,c[f+432>>2]|0,f+372|0)|0)!=0){h=47;break a}c[f+428>>2]=c[f+432>>2];if((a[b]|0)!=0){b=b+1|0}g=b}else{do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((zaa(f+416|0)|0)<<24>>24!=0){h=54;break}if(!0){h=55;break a}}else{h=54}}while(0);if((h|0)==54){h=0;n=a[g]|0;l=f+428|0;k=c[l>>2]|0;c[l>>2]=k+1;a[k]=n;if(!1){h=55;break a}}g=g+1|0}}}while(0);if((h|0)==5){h=0;do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((zaa(f+416|0)|0)<<24>>24!=0){h=8;break}if(!0){h=9;break a}}else{h=8}}while(0);if((h|0)==8){h=0;n=f+428|0;k=c[n>>2]|0;c[n>>2]=k+1;a[k]=0;if(!1){h=9;break}}k=Caa(f,d|0,c[f+432>>2]|0,0)|0;if((k|0)!=0){a[k+32|0]=1}if((a[g]|0)!=0){g=g+1|0}b=g;c[f+428>>2]=c[f+432>>2]}}if((h|0)==9){o=0;p=o;i=e;return p|0}else if((h|0)==22){o=0;p=o;i=e;return p|0}else if((h|0)==24){o=0;p=o;i=e;return p|0}else if((h|0)==27){o=0;p=o;i=e;return p|0}else if((h|0)==38){o=0;p=o;i=e;return p|0}else if((h|0)==45){o=0;p=o;i=e;return p|0}else if((h|0)==47){o=0;p=o;i=e;return p|0}else if((h|0)==55){o=0;p=o;i=e;return p|0}else if((h|0)==59){o=1;p=o;i=e;return p|0}return 0}function kaa(b){b=b|0;var d=0,e=0,f=0;d=i;e=b;if((e|0)==0){i=d;return}b=c[e+364>>2]|0;while(1){if((b|0)==0){if((c[e+368>>2]|0)==0){break}b=c[e+368>>2]|0;c[e+368>>2]=0}f=b;b=c[b>>2]|0;Vd[c[e+20>>2]&511](c[f+36>>2]|0);laa(c[f+44>>2]|0,e);Vd[c[e+20>>2]&511](f)}b=c[e+300>>2]|0;while(1){if((b|0)==0){if((c[e+304>>2]|0)==0){break}b=c[e+304>>2]|0;c[e+304>>2]=0}f=b;b=c[b+8>>2]|0;Vd[c[e+20>>2]&511](f)}laa(c[e+376>>2]|0,e);laa(c[e+372>>2]|0,e);maa(e+416|0);maa(e+440|0);do{if((a[e+488|0]|0)==0){if((c[e+356>>2]|0)==0){break}naa(c[e+356>>2]|0,((c[e+476>>2]|0)!=0^1)&1,e+12|0)}}while(0);Vd[c[e+20>>2]&511](c[e+392>>2]|0);Vd[c[e+20>>2]&511](c[e+464>>2]|0);Vd[c[e+20>>2]&511](c[e+8>>2]|0);Vd[c[e+20>>2]&511](c[e+44>>2]|0);Vd[c[e+20>>2]&511](c[e+396>>2]|0);Vd[c[e+20>>2]&511](c[e+240>>2]|0);if((c[e+252>>2]|0)!=0){Vd[c[e+252>>2]&511](c[e+244>>2]|0)}Vd[c[e+20>>2]&511](e);i=d;return}function laa(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=a;a=b;while(1){b=e;if((b|0)==0){break}e=c[b+4>>2]|0;Vd[c[a+20>>2]&511](c[b+16>>2]|0);Vd[c[a+20>>2]&511](b)}i=d;return}function maa(a){a=a|0;var b=0,d=0,e=0;b=i;d=a;a=c[d>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;Vd[c[(c[d+20>>2]|0)+8>>2]&511](a);a=e}a=c[d+4>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;Vd[c[(c[d+20>>2]|0)+8>>2]&511](a);a=e}i=b;return}function naa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;e=i;i=i+8|0;f=e|0;g=a;a=b;b=d;Aaa(f,g+20|0);while(1){d=Baa(f)|0;if((d|0)==0){break}if((c[d+16>>2]|0)!=0){Vd[c[b+8>>2]&511](c[d+20>>2]|0)}}Faa(g|0);Faa(g+132|0);Faa(g+20|0);Faa(g+40|0);Faa(g+60|0);maa(g+80|0);maa(g+104|0);if(!(a<<24>>24!=0)){h=b;j=h+8|0;k=c[j>>2]|0;l=g;m=l;Vd[k&511](m);i=e;return}Vd[c[b+8>>2]&511](c[g+184>>2]|0);Vd[c[b+8>>2]&511](c[g+164>>2]|0);h=b;j=h+8|0;k=c[j>>2]|0;l=g;m=l;Vd[k&511](m);i=e;return}function oaa(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=a;a=b;if((c[e+4>>2]|0)==(c[e>>2]|0)){b=a;c[e>>2]=b;c[e+4>>2]=b;i=d;return}else{c[e>>2]=a;i=d;return}}function paa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=a;c[e+52>>2]=b;c[e+56>>2]=d;i=i;return}function qaa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=d;d=e;e=f;f=c[h+480>>2]|0;if((f|0)==3){c[h+284>>2]=33;j=0;k=j;i=g;return k|0}else if((f|0)==0){do{if((c[h+476>>2]|0)==0){if((raa(h)|0)<<24>>24!=0){break}c[h+284>>2]=1;j=0;k=j;i=g;return k|0}}while(0)}else if((f|0)==2){c[h+284>>2]=36;j=0;k=j;i=g;return k|0}c[h+480>>2]=1;if((d|0)!=0){f=taa(h,d)|0;if((f|0)==0){j=0;k=j;i=g;return k|0}else{kKa(f|0,b|0,d)|0;j=uaa(h,d,e)|0;k=j;i=g;return k|0}}a[h+484|0]=e;if((e|0)==0){j=1;k=j;i=g;return k|0}c[h+296>>2]=c[h+24>>2];c[h+40>>2]=c[h+28>>2];c[h+284>>2]=ke[c[h+280>>2]&127](h,c[h+24>>2]|0,c[h+40>>2]|0,h+24|0)|0;if((c[h+284>>2]|0)!=0){c[h+292>>2]=c[h+288>>2];c[h+280>>2]=2;j=0;k=j;i=g;return k|0}e=c[h+480>>2]|0;if((e|0)==3){oe[c[(c[h+144>>2]|0)+52>>2]&127](c[h+144>>2]|0,c[h+296>>2]|0,c[h+24>>2]|0,h+408|0);c[h+296>>2]=c[h+24>>2];j=2;k=j;i=g;return k|0}else if((e|0)==0|(e|0)==1){c[h+480>>2]=2}j=1;k=j;i=g;return k|0}function raa(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;if((c[e+496>>2]|0)==0){c[e+496>>2]=oba()|0}if((a[e+236|0]|0)!=0){f=jaa(e,16704)|0;g=f;i=d;return g|0}else{f=1;g=f;i=d;return g|0}return 0}function saa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;i=i;return c[a+284>>2]|0}function taa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;e=a;a=b;b=c[e+480>>2]|0;if((b|0)==3){c[e+284>>2]=33;f=0;g=f;i=d;return g|0}else if((b|0)==2){c[e+284>>2]=36;f=0;g=f;i=d;return g|0}else{if((a|0)>((c[e+32>>2]|0)-(c[e+28>>2]|0)|0)){b=a+((c[e+28>>2]|0)-(c[e+24>>2]|0))|0;a=(c[e+24>>2]|0)-(c[e+8>>2]|0)|0;if((a|0)>1024){a=1024}b=b+a|0;if((b|0)<=((c[e+32>>2]|0)-(c[e+8>>2]|0)|0)){if((a|0)<((c[e+24>>2]|0)-(c[e+8>>2]|0)|0)){h=(c[e+24>>2]|0)-(c[e+8>>2]|0)-a|0;oKa(c[e+8>>2]|0,(c[e+8>>2]|0)+h|0,(c[e+28>>2]|0)-(c[e+24>>2]|0)+a|0)|0;a=e+28|0;c[a>>2]=(c[a>>2]|0)+(-h|0);a=e+24|0;c[a>>2]=(c[a>>2]|0)+(-h|0)}}else{h=(c[e+32>>2]|0)-(c[e+24>>2]|0)|0;if((h|0)==0){h=1024}do{h=h<<1;}while((h|0)<(b|0));b=Yd[c[e+12>>2]&255](h)|0;if((b|0)==0){c[e+284>>2]=1;f=0;g=f;i=d;return g|0}c[e+32>>2]=b+h;if((c[e+24>>2]|0)!=0){h=(c[e+24>>2]|0)-(c[e+8>>2]|0)|0;if((h|0)>1024){h=1024}kKa(b|0,(c[e+24>>2]|0)+(-h|0)|0,(c[e+28>>2]|0)-(c[e+24>>2]|0)+h|0)|0;Vd[c[e+20>>2]&511](c[e+8>>2]|0);c[e+8>>2]=b;c[e+28>>2]=(c[e+8>>2]|0)+((c[e+28>>2]|0)-(c[e+24>>2]|0))+h;c[e+24>>2]=(c[e+8>>2]|0)+h}else{c[e+28>>2]=b+((c[e+28>>2]|0)-(c[e+24>>2]|0));h=b;c[e+8>>2]=h;c[e+24>>2]=h}}c[e+292>>2]=0;c[e+288>>2]=0;c[e+296>>2]=0}f=c[e+28>>2]|0;g=f;i=d;return g|0}return 0}function uaa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;g=b;b=d;d=e;e=1;h=c[g+480>>2]|0;if((h|0)==2){c[g+284>>2]=36;j=0;k=j;i=f;return k|0}else if((h|0)==3){c[g+284>>2]=33;j=0;k=j;i=f;return k|0}else if((h|0)==0){do{if((c[g+476>>2]|0)==0){if((raa(g)|0)<<24>>24!=0){break}c[g+284>>2]=1;j=0;k=j;i=f;return k|0}}while(0)}c[g+480>>2]=1;h=c[g+24>>2]|0;c[g+296>>2]=h;l=g+28|0;c[l>>2]=(c[l>>2]|0)+b;c[g+40>>2]=c[g+28>>2];l=g+36|0;c[l>>2]=(c[l>>2]|0)+b;a[g+484|0]=d;c[g+284>>2]=ke[c[g+280>>2]&127](g,h,c[g+40>>2]|0,g+24|0)|0;if((c[g+284>>2]|0)!=0){c[g+292>>2]=c[g+288>>2];c[g+280>>2]=2;j=0;k=j;i=f;return k|0}h=c[g+480>>2]|0;do{if((h|0)==3){e=2}else if((h|0)==0|(h|0)==1){if((d|0)==0){m=16;break}c[g+480>>2]=2;j=e;k=j;i=f;return k|0}else{m=16}}while(0);oe[c[(c[g+144>>2]|0)+52>>2]&127](c[g+144>>2]|0,c[g+296>>2]|0,c[g+24>>2]|0,g+408|0);c[g+296>>2]=c[g+24>>2];j=e;k=j;i=f;return k|0}function vaa(a){a=a|0;i=i;return c[a+284>>2]|0}function waa(a){a=a|0;var b=0,d=0;b=i;d=a;do{if((c[d+288>>2]|0)!=0){if(!((c[d+288>>2]|0)>>>0>=(c[d+296>>2]|0)>>>0)){break}oe[c[(c[d+144>>2]|0)+52>>2]&127](c[d+144>>2]|0,c[d+296>>2]|0,c[d+288>>2]|0,d+408|0);c[d+296>>2]=c[d+288>>2]}}while(0);i=b;return(c[d+408>>2]|0)+1|0}function xaa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+16|0;h=g|0;j=g+8|0;k=b;b=d;c[h>>2]=e;e=f;if((a[b+72|0]|0)!=0){le[c[k+80>>2]&15](c[k+4>>2]|0,c[h>>2]|0,e-(c[h>>2]|0)|0);i=g;return}if((b|0)==(c[k+144>>2]|0)){l=k+288|0;m=k+292|0}else{l=c[k+300>>2]|0;m=(c[k+300>>2]|0)+4|0}do{c[j>>2]=c[k+44>>2];Ud[c[b+60>>2]&31](b,h,e,j,c[k+48>>2]|0);c[m>>2]=c[h>>2];le[c[k+80>>2]&15](c[k+4>>2]|0,c[k+44>>2]|0,(c[j>>2]|0)-(c[k+44>>2]|0)|0);c[l>>2]=c[h>>2];}while((c[h>>2]|0)!=(e|0));i=g;return}function yaa(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;do{if(d>>>0>0>>>0){if(!(d>>>0<41>>>0)){break}e=c[8533184+(d<<2)>>2]|0;f=e;i=b;return f|0}}while(0);e=0;f=e;i=b;return f|0}



function Gs(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;e=i;i=i+64|0;f=e|0;g=e+8|0;j=e+16|0;k=e+24|0;l=e+32|0;m=e+40|0;n=e+48|0;o=e+56|0;p=a;q=a+4|0;r=c[(c[c[q>>2]>>2]|0)+8>>2]|0;h[r+1240>>3]=+h[b>>3];h[r+2568>>3]=+h[b+8>>3];h[r+472>>3]=+h[b+16>>3];h[r+2048>>3]=+h[b+24>>3];h[r+984>>3]=+h[b+32>>3];h[r+728>>3]=+h[b+40>>3];h[r+2776>>3]=+h[b+48>>3];h[r+1776>>3]=+h[b+56>>3];h[r+2512>>3]=+h[b+64>>3];h[r+2304>>3]=+h[b+72>>3];h[r+416>>3]=+h[b+80>>3];Tr(p);Ur(p);Vr(p);Wr(p);Xr(p);Yr(p);Zr(p);_r(p);$r(p);as(p);bs(p);cs(p);ds(p);es(p);fs(p);gs(p);hs(p);is(p);js(p);ks(p);ls(p);ms(p);ns(p);os(p);ps(p);qs(p);rs(p);ss(p);ts(p);us(p);vs(p);ws(p);xs(p);ys(p);zs(p);As(p);Bs(p);Cs(p);Ds(p);Es(p);p=c[(c[c[q>>2]>>2]|0)+8>>2]|0;b=a+416|0;r=c[b>>2]|0;h[d>>3]=+h[p+992>>3]+(+h[r+1160>>3]+ +h[r+1168>>3])*(+h[p+1984>>3]- +h[p+2040>>3])*+h[r+3992>>3]*-.5;s=a+536|0;t=+h[r+2448>>3];xn(f,c[s>>2]|0,+h[p+2312>>3],+h[p+2344>>3],+h[p+2352>>3],t,t,+h[p+5400>>3],+h[p+5168>>3],+h[p+5048>>3]*+h[r+2416>>3],(+h[r+504>>3]+ +h[r+512>>3])*.5,+h[r+2408>>3],+h[r+2384>>3]);r=c[b>>2]|0;p=c[(c[c[q>>2]>>2]|0)+8>>2]|0;h[d+8>>3]=+h[p+2640>>3]- +h[f>>3]*+h[r+2360>>3];t=+h[r+2224>>3];xn(g,c[s>>2]|0,+h[p+2568>>3],+h[p+2600>>3],+h[p+2608>>3],t,t,+h[p+5344>>3],+h[p+5176>>3],+h[p+5040>>3]*+h[r+2192>>3],(+h[r+368>>3]+ +h[r+376>>3])*.5,+h[r+2184>>3],+h[r+2160>>3]);r=c[b>>2]|0;p=c[(c[c[q>>2]>>2]|0)+8>>2]|0;h[d+16>>3]=+h[p+2640>>3]- +h[g>>3]*+h[r+2136>>3];t=+h[r+2e3>>3];xn(j,c[s>>2]|0,+h[p+2840>>3],+h[p+2872>>3],+h[p+2880>>3],t,t,+h[p+5288>>3],+h[p+5184>>3],+h[p+5032>>3]*+h[r+1968>>3],(+h[r+232>>3]+ +h[r+240>>3])*.5,+h[r+1960>>3],+h[r+1936>>3]);r=c[b>>2]|0;p=c[(c[c[q>>2]>>2]|0)+8>>2]|0;g=p+2912|0;h[d+24>>3]=+h[g>>3]- +h[j>>3]*+h[r+1912>>3];h[d+32>>3]=+h[p+1576>>3]+(+h[p+1312>>3]- +h[g>>3]);h[d+40>>3]=+h[p+2056>>3]+(+h[r+608>>3]+ +h[r+616>>3])*(+h[p+1984>>3]- +h[p+2040>>3])*+h[r+2584>>3]*-.5;t=+h[r+3632>>3];xn(k,c[s>>2]|0,+h[p+1504>>3],+h[p+1536>>3],+h[p+1544>>3],t,t,+h[p+5568>>3],+h[p+5144>>3],+h[p+5072>>3]*+h[r+3600>>3],(+h[r+920>>3]+ +h[r+928>>3])*.5,+h[r+3592>>3],+h[r+3568>>3]);r=c[b>>2]|0;p=c[(c[c[q>>2]>>2]|0)+8>>2]|0;h[d+48>>3]=+h[p+1576>>3]- +h[k>>3]*+h[r+3544>>3];t=+h[r+3856>>3];xn(l,c[s>>2]|0,+h[p+1240>>3],+h[p+1272>>3],+h[p+1280>>3],t,t,+h[p+5624>>3],+h[p+5136>>3],+h[p+5080>>3]*+h[r+3824>>3],(+h[r+1056>>3]+ +h[r+1064>>3])*.5,+h[r+3816>>3],+h[r+3792>>3]);r=c[b>>2]|0;p=c[(c[c[q>>2]>>2]|0)+8>>2]|0;h[d+56>>3]=+h[p+1312>>3]- +h[l>>3]*+h[r+3768>>3];t=+h[r+4528>>3];xn(m,c[s>>2]|0,+h[p+472>>3],+h[p+504>>3],+h[p+512>>3],t,t,+h[p+5792>>3],+h[p+5112>>3],+h[p+5104>>3]*+h[r+4496>>3],(+h[r+1512>>3]+ +h[r+1520>>3])*.5,+h[r+4488>>3],+h[r+4464>>3]);r=c[b>>2]|0;p=c[(c[c[q>>2]>>2]|0)+8>>2]|0;h[d+64>>3]=+h[p+544>>3]- +h[m>>3]*+h[r+4440>>3];t=+h[r+1776>>3];xn(n,c[s>>2]|0,+h[p+3088>>3],+h[p+3120>>3],+h[p+3128>>3],t,t,+h[p+5232>>3],+h[p+5192>>3],+h[p+5024>>3]*+h[r+1744>>3],(+h[r+96>>3]+ +h[r+104>>3])*.5,+h[r+1736>>3],+h[r+1712>>3]);r=c[b>>2]|0;p=c[(c[c[q>>2]>>2]|0)+8>>2]|0;h[d+72>>3]=+h[p+3160>>3]- +h[n>>3]*+h[r+1688>>3];t=+h[r+3120>>3];xn(o,c[s>>2]|0,+h[p+1784>>3],+h[p+1816>>3],+h[p+1824>>3],t,t,+h[p+5512>>3],+h[p+5152>>3],+h[p+5064>>3]*+h[r+3088>>3],(+h[r+776>>3]+ +h[r+784>>3])*.5,+h[r+3080>>3],+h[r+3056>>3]);h[d+80>>3]=+h[(c[(c[c[q>>2]>>2]|0)+8>>2]|0)+2912>>3]- +h[o>>3]*+h[(c[b>>2]|0)+3032>>3];i=e;return}function Hs(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f>>3],+h[f+176>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4272>>3]=+h[d>>3];i=b;return}function Is(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3928>>3]=+h[b+176>>3];return}function Js(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+376>>3],+h[g+3928>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4280>>3]=+h[e>>3];i=b;return}function Ks(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+400>>3];i=+h[f+4272>>3];j=g*g;g=+h[f+4280>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,106272,8543808,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3400>>3]=i+k*101300.0;return}function Ls(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3752>>3]=+h[b+5784>>3]*+h[b+4280>>3];return}function Ms(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+2544>>3];h[c[b+8>>2]>>3]=+h[d+2520>>3];h[c[b+12>>2]>>3]=+h[d+2528>>3];return}function Ns(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+176>>3]=+h[b>>3];Hs(e);Is(e);Js(e);Ks(e);Ls(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3736>>3]+(+h[e+392>>3]*(-0.0- +h[e+3752>>3])+ +h[e+3400>>3]*(-0.0- +h[e+592>>3]));return}function Os(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+184>>3]=+h[b+3920>>3];return}function Ps(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+8>>3],+h[f+184>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4256>>3]=+h[d>>3];i=b;return}function Qs(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+432>>3],+h[g+3920>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4264>>3]=+h[e>>3];i=b;return}function Rs(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+456>>3];i=+h[f+4256>>3];j=g*g;g=+h[f+4264>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,92760,8543768,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3392>>3]=i+k*101300.0;return}function Ss(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3744>>3]=+h[b+5776>>3]*+h[b+4264>>3];return}function Ts(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+54960>>3];h[c[b+8>>2]>>3]=+h[d+54936>>3];h[c[b+12>>2]>>3]=+h[d+54944>>3];return}function Us(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3920>>3]=+h[b>>3];Os(e);Ps(e);Qs(e);Rs(e);Ss(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3728>>3]+(+h[e+448>>3]*(-0.0- +h[e+3744>>3])+ +h[e+3392>>3]*(-0.0- +h[e+584>>3]));return}function Vs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+192>>3]=+h[b+3912>>3];return}function Ws(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+16>>3],+h[f+192>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4240>>3]=+h[d>>3];i=b;return}function Xs(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+640>>3],+h[g+3912>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4248>>3]=+h[e>>3];i=b;return}function Ys(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3720>>3]=+h[b+5728>>3]*+h[b+4248>>3];return}function Zs(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+664>>3];i=+h[f+4240>>3];j=g*g;g=+h[f+4248>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,90640,8543744,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3384>>3]=i+k*101300.0;return}function _s(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+54848>>3];h[c[b+8>>2]>>3]=+h[d+54824>>3];h[c[b+12>>2]>>3]=+h[d+54832>>3];return}function $s(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3912>>3]=+h[b>>3];Vs(e);Ws(e);Xs(e);Ys(e);Zs(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3704>>3]+(+h[e+656>>3]*(-0.0- +h[e+3720>>3])+ +h[e+3384>>3]*(-0.0- +h[e+848>>3]));return}function at(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+200>>3]=+h[b+3904>>3];return}function bt(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+24>>3],+h[f+200>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4224>>3]=+h[d>>3];i=b;return}function ct(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+688>>3],+h[g+3904>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4232>>3]=+h[e>>3];i=b;return}function dt(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3712>>3]=+h[b+5720>>3]*+h[b+4232>>3];return}function et(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+712>>3];i=+h[f+4224>>3];j=g*g;g=+h[f+4232>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,102944,8543720,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3376>>3]=i+k*101300.0;return}function ft(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+54736>>3];h[c[b+8>>2]>>3]=+h[d+54712>>3];h[c[b+12>>2]>>3]=+h[d+54720>>3];return}function gt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3904>>3]=+h[b>>3];at(e);bt(e);ct(e);dt(e);et(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3696>>3]+(+h[e+704>>3]*(-0.0- +h[e+3712>>3])+ +h[e+3376>>3]*(-0.0- +h[e+840>>3]));return}function ht(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+208>>3]=+h[b+3896>>3];return}function it(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+32>>3],+h[f+208>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4208>>3]=+h[d>>3];i=b;return}function jt(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+896>>3],+h[g+3896>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4216>>3]=+h[e>>3];i=b;return}function kt(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3688>>3]=+h[b+5672>>3]*+h[b+4216>>3];return}function lt(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+920>>3];i=+h[f+4208>>3];j=g*g;g=+h[f+4216>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,87960,8543696,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3368>>3]=i+k*101300.0;return}function mt(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+54624>>3];h[c[b+8>>2]>>3]=+h[d+54600>>3];h[c[b+12>>2]>>3]=+h[d+54608>>3];return}function nt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3896>>3]=+h[b>>3];ht(e);it(e);jt(e);kt(e);lt(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3672>>3]+(+h[e+912>>3]*(-0.0- +h[e+3688>>3])+ +h[e+3368>>3]*(-0.0- +h[e+1104>>3]));return}function ot(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+40>>3],+h[f+216>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4192>>3]=+h[d>>3];i=b;return}function pt(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3888>>3]=+h[b+216>>3];return}function qt(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+944>>3],+h[g+3888>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4200>>3]=+h[e>>3];i=b;return}function rt(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+968>>3];i=+h[f+4192>>3];j=g*g;g=+h[f+4200>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,100552,8543672,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3360>>3]=i+k*101300.0;return}function st(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3680>>3]=+h[b+5664>>3]*+h[b+4200>>3];return}function tt(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+3104>>3];h[c[b+8>>2]>>3]=+h[d+3080>>3];h[c[b+12>>2]>>3]=+h[d+3088>>3];return}function ut(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+216>>3]=+h[b>>3];ot(e);pt(e);qt(e);rt(e);st(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3664>>3]+(+h[e+960>>3]*(-0.0- +h[e+3680>>3])+ +h[e+3360>>3]*(-0.0- +h[e+1096>>3]));return}function vt(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+224>>3]=+h[b+3880>>3];return}function wt(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+48>>3],+h[f+224>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4176>>3]=+h[d>>3];i=b;return}function xt(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+1152>>3],+h[g+3880>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4184>>3]=+h[e>>3];i=b;return}function yt(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3656>>3]=+h[b+5616>>3]*+h[b+4184>>3];return}function zt(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1176>>3];i=+h[f+4176>>3];j=g*g;g=+h[f+4184>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,83592,8543648,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3352>>3]=i+k*101300.0;return}function At(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+54400>>3];h[c[b+8>>2]>>3]=+h[d+54376>>3];h[c[b+12>>2]>>3]=+h[d+54384>>3];return}function Bt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3880>>3]=+h[b>>3];vt(e);wt(e);xt(e);yt(e);zt(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3640>>3]+(+h[e+1168>>3]*(-0.0- +h[e+3656>>3])+ +h[e+3352>>3]*(-0.0- +h[e+1360>>3]));return}function Ct(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+56>>3],+h[f+232>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4160>>3]=+h[d>>3];i=b;return}function Dt(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3872>>3]=+h[b+232>>3];return}function Et(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+1200>>3],+h[g+3872>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4168>>3]=+h[e>>3];i=b;return}function Ft(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1224>>3];i=+h[f+4160>>3];j=g*g;g=+h[f+4168>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,77664,8543624,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3344>>3]=i+k*101300.0;return}function Gt(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3648>>3]=+h[b+5608>>3]*+h[b+4168>>3];return}function Ht(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+3328>>3];h[c[b+8>>2]>>3]=+h[d+3304>>3];h[c[b+12>>2]>>3]=+h[d+3312>>3];return}function It(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+232>>3]=+h[b>>3];Ct(e);Dt(e);Et(e);Ft(e);Gt(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3632>>3]+(+h[e+1216>>3]*(-0.0- +h[e+3648>>3])+ +h[e+3344>>3]*(-0.0- +h[e+1352>>3]));return}function Jt(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+240>>3]=+h[b+3864>>3];return}function Kt(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+64>>3],+h[f+240>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4144>>3]=+h[d>>3];i=b;return}function Lt(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+1408>>3],+h[g+3864>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4152>>3]=+h[e>>3];i=b;return}function Mt(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3624>>3]=+h[b+5560>>3]*+h[b+4152>>3];return}function Nt(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1432>>3];i=+h[f+4144>>3];j=g*g;g=+h[f+4152>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,80776,8543600,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3336>>3]=i+k*101300.0;return}function Ot(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+54176>>3];h[c[b+8>>2]>>3]=+h[d+54152>>3];h[c[b+12>>2]>>3]=+h[d+54160>>3];return}function Pt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3864>>3]=+h[b>>3];Jt(e);Kt(e);Lt(e);Mt(e);Nt(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3608>>3]+(+h[e+1424>>3]*(-0.0- +h[e+3624>>3])+ +h[e+3336>>3]*(-0.0- +h[e+1640>>3]));return}function Qt(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+248>>3]=+h[b+3856>>3];return}function Rt(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+72>>3],+h[f+248>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4128>>3]=+h[d>>3];i=b;return}function St(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+1456>>3],+h[g+3856>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4136>>3]=+h[e>>3];i=b;return}function Tt(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1480>>3];i=+h[f+4128>>3];j=g*g;g=+h[f+4136>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,75720,8543560,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3328>>3]=i+k*101300.0;return}function Ut(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3616>>3]=+h[b+5552>>3]*+h[b+4136>>3];return}function Vt(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+54064>>3];h[c[b+8>>2]>>3]=+h[d+54040>>3];h[c[b+12>>2]>>3]=+h[d+54048>>3];return}function Wt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3856>>3]=+h[b>>3];Qt(e);Rt(e);St(e);Tt(e);Ut(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3600>>3]+(+h[e+1472>>3]*(-0.0- +h[e+3616>>3])+ +h[e+3328>>3]*(-0.0- +h[e+1632>>3]));return}function Xt(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+80>>3],+h[f+256>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4112>>3]=+h[d>>3];i=b;return}function Yt(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3848>>3]=+h[b+256>>3];return}function Zt(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+1688>>3],+h[g+3848>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4120>>3]=+h[e>>3];i=b;return}function _t(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1712>>3];i=+h[f+4112>>3];j=g*g;g=+h[f+4120>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,71296,8543536,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3320>>3]=i+k*101300.0;return}function $t(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3592>>3]=+h[b+5504>>3]*+h[b+4120>>3];return}function au(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+3664>>3];h[c[b+8>>2]>>3]=+h[d+3640>>3];h[c[b+12>>2]>>3]=+h[d+3648>>3];return}function bu(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+256>>3]=+h[b>>3];Xt(e);Yt(e);Zt(e);_t(e);$t(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3576>>3]+(+h[e+1704>>3]*(-0.0- +h[e+3592>>3])+ +h[e+3320>>3]*(-0.0- +h[e+1896>>3]));return}function cu(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+264>>3]=+h[b+3840>>3];return}function du(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+88>>3],+h[f+264>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4096>>3]=+h[d>>3];i=b;return}function eu(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+1736>>3],+h[g+3840>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4104>>3]=+h[e>>3];i=b;return}function fu(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1760>>3];i=+h[f+4096>>3];j=g*g;g=+h[f+4104>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,69512,8543512,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3312>>3]=i+k*101300.0;return}function gu(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3584>>3]=+h[b+5496>>3]*+h[b+4104>>3];return}function hu(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+53840>>3];h[c[b+8>>2]>>3]=+h[d+53816>>3];h[c[b+12>>2]>>3]=+h[d+53824>>3];return}function iu(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3840>>3]=+h[b>>3];cu(e);du(e);eu(e);fu(e);gu(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3568>>3]+(+h[e+1752>>3]*(-0.0- +h[e+3584>>3])+ +h[e+3312>>3]*(-0.0- +h[e+1888>>3]));return}function ju(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+272>>3]=+h[b+3832>>3];return}function ku(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+96>>3],+h[f+272>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4080>>3]=+h[d>>3];i=b;return}function lu(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+1944>>3],+h[g+3832>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4088>>3]=+h[e>>3];i=b;return}function mu(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1968>>3];i=+h[f+4080>>3];j=g*g;g=+h[f+4088>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,85520,8543480,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3304>>3]=i+k*101300.0;return}function nu(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3560>>3]=+h[b+5448>>3]*+h[b+4088>>3];return}function ou(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+53728>>3];h[c[b+8>>2]>>3]=+h[d+53704>>3];h[c[b+12>>2]>>3]=+h[d+53712>>3];return}function pu(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3832>>3]=+h[b>>3];ju(e);ku(e);lu(e);mu(e);nu(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3544>>3]+(+h[e+1960>>3]*(-0.0- +h[e+3560>>3])+ +h[e+3304>>3]*(-0.0- +h[e+2168>>3]));return}function qu(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+280>>3]=+h[b+3824>>3];return}function ru(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+104>>3],+h[f+280>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4064>>3]=+h[d>>3];i=b;return}function su(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+2e3>>3],+h[g+3824>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4072>>3]=+h[e>>3];i=b;return}function tu(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3552>>3]=+h[b+5440>>3]*+h[b+4072>>3];return}function uu(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2024>>3];i=+h[f+4064>>3];j=g*g;g=+h[f+4072>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,97768,8543456,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3296>>3]=i+k*101300.0;return}function vu(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+53616>>3];h[c[b+8>>2]>>3]=+h[d+53592>>3];h[c[b+12>>2]>>3]=+h[d+53600>>3];return}function wu(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3824>>3]=+h[b>>3];qu(e);ru(e);su(e);tu(e);uu(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3536>>3]+(+h[e+2016>>3]*(-0.0- +h[e+3552>>3])+ +h[e+3296>>3]*(-0.0- +h[e+2160>>3]));return}function xu(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+288>>3]=+h[b+3816>>3];return}function yu(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+112>>3],+h[f+288>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4048>>3]=+h[d>>3];i=b;return}function zu(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+2216>>3],+h[g+3816>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4056>>3]=+h[e>>3];i=b;return}function Au(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2240>>3];i=+h[f+4048>>3];j=g*g;g=+h[f+4056>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,95296,8543432,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3288>>3]=i+k*101300.0;return}function Bu(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3528>>3]=+h[b+5392>>3]*+h[b+4056>>3];return}function Cu(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+53504>>3];h[c[b+8>>2]>>3]=+h[d+53480>>3];h[c[b+12>>2]>>3]=+h[d+53488>>3];return}function Du(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3816>>3]=+h[b>>3];xu(e);yu(e);zu(e);Au(e);Bu(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3512>>3]+(+h[e+2232>>3]*(-0.0- +h[e+3528>>3])+ +h[e+3288>>3]*(-0.0- +h[e+2424>>3]));return}function Eu(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+120>>3],+h[f+296>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4032>>3]=+h[d>>3];i=b;return}function Fu(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3808>>3]=+h[b+296>>3];return}function Gu(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+2264>>3],+h[g+3808>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4040>>3]=+h[e>>3];i=b;return}function Hu(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2288>>3];i=+h[f+4032>>3];j=g*g;g=+h[f+4040>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,108432,8543408,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3280>>3]=i+k*101300.0;return}function Iu(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3520>>3]=+h[b+5384>>3]*+h[b+4040>>3];return}function Ju(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+4224>>3];h[c[b+8>>2]>>3]=+h[d+4200>>3];h[c[b+12>>2]>>3]=+h[d+4208>>3];return}function Ku(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+296>>3]=+h[b>>3];Eu(e);Fu(e);Gu(e);Hu(e);Iu(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3504>>3]+(+h[e+2280>>3]*(-0.0- +h[e+3520>>3])+ +h[e+3280>>3]*(-0.0- +h[e+2416>>3]));return}function Lu(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+304>>3]=+h[b+3800>>3];return}function Mu(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+128>>3],+h[f+304>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4016>>3]=+h[d>>3];i=b;return}function Nu(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+2472>>3],+h[g+3800>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4024>>3]=+h[e>>3];i=b;return}function Ou(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3496>>3]=+h[b+5336>>3]*+h[b+4024>>3];return}function Pu(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2496>>3];i=+h[f+4016>>3];j=g*g;g=+h[f+4024>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,110760,8543384,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3272>>3]=i+k*101300.0;return}function Qu(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+53280>>3];h[c[b+8>>2]>>3]=+h[d+53256>>3];h[c[b+12>>2]>>3]=+h[d+53264>>3];return}function Ru(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3800>>3]=+h[b>>3];Lu(e);Mu(e);Nu(e);Ou(e);Pu(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3480>>3]+(+h[e+2488>>3]*(-0.0- +h[e+3496>>3])+ +h[e+3272>>3]*(-0.0- +h[e+2688>>3]));return}function Su(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+136>>3],+h[f+312>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4e3>>3]=+h[d>>3];i=b;return}function Tu(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3792>>3]=+h[b+312>>3];return}function Uu(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+2528>>3],+h[g+3792>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4008>>3]=+h[e>>3];i=b;return}function Vu(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2552>>3];i=+h[f+4e3>>3];j=g*g;g=+h[f+4008>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,67360,8543360,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3264>>3]=i+k*101300.0;return}function Wu(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3488>>3]=+h[b+5328>>3]*+h[b+4008>>3];return}function Xu(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+4448>>3];h[c[b+8>>2]>>3]=+h[d+4424>>3];h[c[b+12>>2]>>3]=+h[d+4432>>3];return}function Yu(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+312>>3]=+h[b>>3];Su(e);Tu(e);Uu(e);Vu(e);Wu(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3472>>3]+(+h[e+2544>>3]*(-0.0- +h[e+3488>>3])+ +h[e+3264>>3]*(-0.0- +h[e+2680>>3]));return}function Zu(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+320>>3]=+h[b+3784>>3];return}function _u(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+144>>3],+h[f+320>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3984>>3]=+h[d>>3];i=b;return}function $u(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+2736>>3],+h[g+3784>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3992>>3]=+h[e>>3];i=b;return}function av(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2760>>3];i=+h[f+3984>>3];j=g*g;g=+h[f+3992>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,73552,8543328,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3256>>3]=i+k*101300.0;return}function bv(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3464>>3]=+h[b+5280>>3]*+h[b+3992>>3];return}function cv(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+53056>>3];h[c[b+8>>2]>>3]=+h[d+53032>>3];h[c[b+12>>2]>>3]=+h[d+53040>>3];return}function dv(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3784>>3]=+h[b>>3];Zu(e);_u(e);$u(e);av(e);bv(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3448>>3]+(+h[e+2752>>3]*(-0.0- +h[e+3464>>3])+ +h[e+3256>>3]*(-0.0- +h[e+2960>>3]));return}function ev(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+152>>3],+h[f+328>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3968>>3]=+h[d>>3];i=b;return}function fv(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3776>>3]=+h[b+328>>3];return}function gv(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+2792>>3],+h[g+3776>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3976>>3]=+h[e>>3];i=b;return}function hv(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2816>>3];i=+h[f+3968>>3];j=g*g;g=+h[f+3976>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,65400,8543304,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3248>>3]=i+k*101300.0;return}function iv(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3456>>3]=+h[b+5272>>3]*+h[b+3976>>3];return}function jv(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+4672>>3];h[c[b+8>>2]>>3]=+h[d+4648>>3];h[c[b+12>>2]>>3]=+h[d+4656>>3];return}function kv(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+328>>3]=+h[b>>3];ev(e);fv(e);gv(e);hv(e);iv(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3440>>3]+(+h[e+2808>>3]*(-0.0- +h[e+3456>>3])+ +h[e+3248>>3]*(-0.0- +h[e+2952>>3]));return}function lv(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+336>>3]=+h[b+3768>>3];return}function mv(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+160>>3],+h[f+336>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3952>>3]=+h[d>>3];i=b;return}function nv(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+3008>>3],+h[g+3768>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3960>>3]=+h[e>>3];i=b;return}function ov(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3432>>3]=+h[b+5224>>3]*+h[b+3960>>3];return}function pv(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+3032>>3];i=+h[f+3952>>3];j=g*g;g=+h[f+3960>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,63232,8543280,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3240>>3]=i+k*101300.0;return}function qv(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+52832>>3];h[c[b+8>>2]>>3]=+h[d+52808>>3];h[c[b+12>>2]>>3]=+h[d+52816>>3];return}function rv(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3768>>3]=+h[b>>3];lv(e);mv(e);nv(e);ov(e);pv(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3416>>3]+(+h[e+3024>>3]*(-0.0- +h[e+3432>>3])+ +h[e+3240>>3]*(-0.0- +h[e+3208>>3]));return}function sv(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+344>>3]=+h[b+3760>>3];return}function tv(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+168>>3],+h[f+344>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3936>>3]=+h[d>>3];i=b;return}function uv(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+3048>>3],+h[g+3760>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3944>>3]=+h[e>>3];i=b;return}function vv(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3424>>3]=+h[b+5216>>3]*+h[b+3944>>3];return}function wv(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+3072>>3];i=+h[f+3936>>3];j=g*g;g=+h[f+3944>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,61216,8543256,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3232>>3]=i+k*101300.0;return}function xv(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+52720>>3];h[c[b+8>>2]>>3]=+h[d+52696>>3];h[c[b+12>>2]>>3]=+h[d+52704>>3];return}function yv(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3760>>3]=+h[b>>3];sv(e);tv(e);uv(e);vv(e);wv(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3408>>3]+(+h[e+3064>>3]*(-0.0- +h[e+3424>>3])+ +h[e+3232>>3]*(-0.0- +h[e+3200>>3]));return}function zv(a){a=a|0;c[a+4>>2]=534;c[a>>2]=9;c[a+56>>2]=0;c[a+32>>2]=42;c[a+20>>2]=0;c[a+24>>2]=0;c[a+28>>2]=-1;c[a+36>>2]=188;c[a+84>>2]=567;c[a+80>>2]=1;c[a+136>>2]=0;c[a+112>>2]=58;c[a+100>>2]=0;c[a+104>>2]=0;c[a+108>>2]=-1;c[a+116>>2]=196;c[a+164>>2]=590;c[a+160>>2]=1;c[a+216>>2]=0;c[a+192>>2]=26;c[a+180>>2]=0;c[a+184>>2]=0;c[a+188>>2]=-1;c[a+196>>2]=30;c[a+244>>2]=623;c[a+240>>2]=1;c[a+296>>2]=0;c[a+272>>2]=44;c[a+260>>2]=0;c[a+264>>2]=0;c[a+268>>2]=-1;c[a+276>>2]=166;c[a+324>>2]=644;c[a+320>>2]=1;c[a+376>>2]=0;c[a+352>>2]=6;c[a+340>>2]=0;c[a+344>>2]=0;c[a+348>>2]=-1;c[a+356>>2]=106;c[a+404>>2]=655;c[a+400>>2]=1;c[a+456>>2]=0;c[a+432>>2]=22;c[a+420>>2]=0;c[a+424>>2]=0;c[a+428>>2]=-1;c[a+436>>2]=136;c[a+484>>2]=673;c[a+480>>2]=1;c[a+536>>2]=0;c[a+512>>2]=108;c[a+500>>2]=0;c[a+504>>2]=0;c[a+508>>2]=-1;c[a+516>>2]=38;c[a+564>>2]=684;c[a+560>>2]=1;c[a+616>>2]=0;c[a+592>>2]=78;c[a+580>>2]=0;c[a+584>>2]=0;c[a+588>>2]=-1;c[a+596>>2]=126;c[a+644>>2]=694;c[a+640>>2]=1;c[a+696>>2]=0;c[a+672>>2]=116;c[a+660>>2]=0;c[a+664>>2]=0;c[a+668>>2]=-1;c[a+676>>2]=202;c[a+724>>2]=707;c[a+720>>2]=1;c[a+776>>2]=0;c[a+752>>2]=76;c[a+740>>2]=0;c[a+744>>2]=0;c[a+748>>2]=-1;c[a+756>>2]=4;c[a+804>>2]=717;c[a+800>>2]=1;c[a+856>>2]=0;c[a+832>>2]=36;c[a+820>>2]=0;c[a+824>>2]=0;c[a+828>>2]=-1;c[a+836>>2]=84;c[a+884>>2]=729;c[a+880>>2]=1;c[a+936>>2]=0;c[a+912>>2]=18;c[a+900>>2]=0;c[a+904>>2]=0;c[a+908>>2]=-1;c[a+916>>2]=128;c[a+964>>2]=744;c[a+960>>2]=1;c[a+1016>>2]=0;c[a+992>>2]=54;c[a+980>>2]=0;c[a+984>>2]=0;c[a+988>>2]=-1;c[a+996>>2]=198;c[a+1044>>2]=754;c[a+1040>>2]=1;c[a+1096>>2]=0;c[a+1072>>2]=24;c[a+1060>>2]=0;c[a+1064>>2]=0;c[a+1068>>2]=-1;c[a+1076>>2]=124;c[a+1124>>2]=770;c[a+1120>>2]=1;c[a+1176>>2]=0;c[a+1152>>2]=102;c[a+1140>>2]=0;c[a+1144>>2]=0;c[a+1148>>2]=-1;c[a+1156>>2]=40;c[a+1204>>2]=780;c[a+1200>>2]=1;c[a+1256>>2]=0;c[a+1232>>2]=14;c[a+1220>>2]=0;c[a+1224>>2]=0;c[a+1228>>2]=-1;c[a+1236>>2]=76;c[a+1284>>2]=808;c[a+1280>>2]=1;c[a+1336>>2]=0;c[a+1312>>2]=38;c[a+1300>>2]=0;c[a+1304>>2]=0;c[a+1308>>2]=-1;c[a+1316>>2]=162;c[a+1364>>2]=822;c[a+1360>>2]=1;c[a+1416>>2]=0;c[a+1392>>2]=114;c[a+1380>>2]=0;c[a+1384>>2]=0;c[a+1388>>2]=-1;c[a+1396>>2]=74;c[a+1444>>2]=831;c[a+1440>>2]=1;c[a+1496>>2]=0;c[a+1472>>2]=52;c[a+1460>>2]=0;c[a+1464>>2]=0;c[a+1468>>2]=-1;c[a+1476>>2]=122;c[a+1524>>2]=845;c[a+1520>>2]=1;c[a+1576>>2]=0;c[a+1552>>2]=124;c[a+1540>>2]=0;c[a+1544>>2]=0;c[a+1548>>2]=-1;c[a+1556>>2]=56;c[a+1604>>2]=855;c[a+1600>>2]=1;c[a+1656>>2]=0;c[a+1632>>2]=80;c[a+1620>>2]=0;c[a+1624>>2]=0;c[a+1628>>2]=-1;c[a+1636>>2]=204;c[a+1684>>2]=870;c[a+1680>>2]=1;c[a+1736>>2]=0;c[a+1712>>2]=32;c[a+1700>>2]=0;c[a+1704>>2]=0;c[a+1708>>2]=-1;c[a+1716>>2]=160;c[a+1764>>2]=880;c[a+1760>>2]=1;c[a+1816>>2]=0;c[a+1792>>2]=68;c[a+1780>>2]=0;c[a+1784>>2]=0;c[a+1788>>2]=-1;c[a+1796>>2]=102;c[a+1844>>2]=1272;c[a+1840>>2]=11;c[a+1896>>2]=0;c[a+1872>>2]=16;c[a+1860>>2]=0;c[a+1864>>2]=0;c[a+1868>>2]=-1;c[a+1876>>2]=210;c[a+1924>>2]=1419;c[a+1920>>2]=1;c[a+1976>>2]=0;c[a+1952>>2]=112;c[a+1940>>2]=0;c[a+1944>>2]=0;c[a+1948>>2]=-1;c[a+1956>>2]=60;c[a+2004>>2]=1435;c[a+2e3>>2]=1;c[a+2056>>2]=0;c[a+2032>>2]=50;c[a+2020>>2]=0;c[a+2024>>2]=0;c[a+2028>>2]=-1;c[a+2036>>2]=180;c[a+2084>>2]=1451;c[a+2080>>2]=1;c[a+2136>>2]=0;c[a+2112>>2]=98;c[a+2100>>2]=0;c[a+2104>>2]=0;c[a+2108>>2]=-1;c[a+2116>>2]=28;c[a+2164>>2]=1467;c[a+2160>>2]=1;c[a+2216>>2]=0;c[a+2192>>2]=70;c[a+2180>>2]=0;c[a+2184>>2]=0;c[a+2188>>2]=-1;c[a+2196>>2]=190;c[a+2244>>2]=1483;c[a+2240>>2]=1;c[a+2296>>2]=0;c[a+2272>>2]=118;c[a+2260>>2]=0;c[a+2264>>2]=0;c[a+2268>>2]=-1;c[a+2276>>2]=164;c[a+2324>>2]=1499;c[a+2320>>2]=1;c[a+2376>>2]=0;c[a+2352>>2]=4;c[a+2340>>2]=0;c[a+2344>>2]=0;c[a+2348>>2]=-1;c[a+2356>>2]=182;c[a+2404>>2]=1515;c[a+2400>>2]=1;c[a+2456>>2]=0;c[a+2432>>2]=90;c[a+2420>>2]=0;c[a+2424>>2]=0;c[a+2428>>2]=-1;c[a+2436>>2]=26;c[a+2484>>2]=1531;c[a+2480>>2]=1;c[a+2536>>2]=0;c[a+2512>>2]=20;c[a+2500>>2]=0;c[a+2504>>2]=0;c[a+2508>>2]=-1;c[a+2516>>2]=112;c[a+2564>>2]=1547;c[a+2560>>2]=1;c[a+2616>>2]=0;c[a+2592>>2]=72;c[a+2580>>2]=0;c[a+2584>>2]=0;c[a+2588>>2]=-1;c[a+2596>>2]=176;c[a+2644>>2]=1563;c[a+2640>>2]=1;c[a+2696>>2]=0;c[a+2672>>2]=2;c[a+2660>>2]=0;c[a+2664>>2]=0;c[a+2668>>2]=-1;c[a+2676>>2]=92;c[a+2724>>2]=1579;c[a+2720>>2]=1;c[a+2776>>2]=0;c[a+2752>>2]=34;c[a+2740>>2]=0;c[a+2744>>2]=0;c[a+2748>>2]=-1;c[a+2756>>2]=156;c[a+2804>>2]=1595;c[a+2800>>2]=1;c[a+2856>>2]=0;c[a+2832>>2]=94;c[a+2820>>2]=0;c[a+2824>>2]=0;c[a+2828>>2]=-1;c[a+2836>>2]=82;c[a+2884>>2]=1611;c[a+2880>>2]=1;c[a+2936>>2]=0;c[a+2912>>2]=56;c[a+2900>>2]=0;c[a+2904>>2]=0;c[a+2908>>2]=-1;c[a+2916>>2]=132;c[a+2964>>2]=1627;c[a+2960>>2]=1;c[a+3016>>2]=0;c[a+2992>>2]=28;c[a+2980>>2]=0;c[a+2984>>2]=0;c[a+2988>>2]=-1;c[a+2996>>2]=134;c[a+3044>>2]=1643;c[a+3040>>2]=1;c[a+3096>>2]=0;c[a+3072>>2]=86;c[a+3060>>2]=0;c[a+3064>>2]=0;c[a+3068>>2]=-1;c[a+3076>>2]=14;c[a+3124>>2]=1659;c[a+3120>>2]=1;c[a+3176>>2]=0;c[a+3152>>2]=48;c[a+3140>>2]=0;c[a+3144>>2]=0;c[a+3148>>2]=-1;c[a+3156>>2]=174;c[a+3204>>2]=1675;c[a+3200>>2]=1;c[a+3256>>2]=0;c[a+3232>>2]=110;c[a+3220>>2]=0;c[a+3224>>2]=0;c[a+3228>>2]=-1;c[a+3236>>2]=50;c[a+3284>>2]=1691;c[a+3280>>2]=1;c[a+3336>>2]=0;c[a+3312>>2]=100;c[a+3300>>2]=0;c[a+3304>>2]=0;c[a+3308>>2]=-1;c[a+3316>>2]=98;c[a+3364>>2]=1707;c[a+3360>>2]=1;c[a+3416>>2]=0;c[a+3392>>2]=12;c[a+3380>>2]=0;c[a+3384>>2]=0;c[a+3388>>2]=-1;c[a+3396>>2]=108;c[a+3444>>2]=1723;c[a+3440>>2]=1;c[a+3496>>2]=0;c[a+3472>>2]=82;c[a+3460>>2]=0;c[a+3464>>2]=0;c[a+3468>>2]=-1;c[a+3476>>2]=12;c[a+3524>>2]=1739;c[a+3520>>2]=1;c[a+3576>>2]=0;c[a+3552>>2]=122;c[a+3540>>2]=0;c[a+3544>>2]=0;c[a+3548>>2]=-1;c[a+3556>>2]=8;c[a+3604>>2]=1755;c[a+3600>>2]=1;c[a+3656>>2]=0;c[a+3632>>2]=30;c[a+3620>>2]=0;c[a+3624>>2]=0;c[a+3628>>2]=-1;c[a+3636>>2]=146;return}function Av(a){a=a|0;return}function Bv(a,b){a=a|0;b=b|0;return}function Cv(a){a=a|0;return}function Dv(a,b){a=a|0;b=b|0;c[b>>2]=c[8533712+(a<<2)>>2];return c[8533728+(a<<2)>>2]|0}function Ev(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;e=b+4|0;f=b+416|0;g=b+360|0;b=(via(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+3424>>3],a[c[g>>2]|0]|0)|0)<<24>>24!=0;h[d>>3]=b?1.0:-1.0;b=(via(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+3400>>3],a[(c[g>>2]|0)+1|0]|0)|0)<<24>>24!=0;h[d+8>>3]=b?1.0:-1.0;b=(via(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+3376>>3],a[(c[g>>2]|0)+2|0]|0)|0)<<24>>24!=0;h[d+16>>3]=b?1.0:-1.0;return 0}function Fv(a){a=a|0;return c[8533728+(a<<2)>>2]|0}function Gv(b,d){b=b|0;d=d|0;var e=0,f=0.0,g=0,i=0.0,j=0,k=0;e=b+4|0;f=+h[c[c[e>>2]>>2]>>3];g=b+416|0;i=+h[(c[g>>2]|0)+3424>>3];if((d|0)==0){d=b+352|0;a[c[d>>2]|0]=f<i|0;a[(c[d>>2]|0)+1|0]=+h[c[c[e>>2]>>2]>>3]<+h[(c[g>>2]|0)+3400>>3]|0;a[(c[d>>2]|0)+2|0]=+h[c[c[e>>2]>>2]>>3]<+h[(c[g>>2]|0)+3376>>3]|0;return 0}else{d=b+360|0;j=via(f,i,a[c[d>>2]|0]|0)|0;k=b+352|0;a[c[k>>2]|0]=j;j=via(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+3400>>3],a[(c[d>>2]|0)+1|0]|0)|0;a[(c[k>>2]|0)+1|0]=j;j=via(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+3376>>3],a[(c[d>>2]|0)+2|0]|0)|0;a[(c[k>>2]|0)+2|0]=j;return 0}return 0}function Hv(a){a=a|0;var b=0;a=i;hfa(8,1,95728,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;if((c[2136466]|0)==0){i=a;return 0}Vd[c[3586]&511](8);i=a;return 0}function Iv(a){a=a|0;return c[8533744+(a<<2)>>2]|0}function Jv(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0.0;d=i;hfa(21,1,72920,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=a+416|0;g=c[f>>2]|0;j=a+4|0;a=c[(c[c[j>>2]>>2]|0)+8>>2]|0;k=+h[g+1760>>3]+(+h[a+5024>>3]*+h[g+1768>>3]*(-0.0- +h[g+1744>>3])- +h[a+6432>>3]);h[b>>3]=k;a=Iv(0)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=1,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;a=c[f>>2]|0;k=+h[a+1736>>3]+ +h[a+1728>>3]*(-0.0- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6432>>3]);h[b+8>>3]=k;a=Iv(1)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=2,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+168>>3]+ -293.15;h[b+16>>3]=k;a=Iv(2)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=3,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+160>>3]+ -293.15;h[b+24>>3]=k;a=Iv(3)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=4,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;a=c[f>>2]|0;g=c[(c[c[j>>2]>>2]|0)+8>>2]|0;k=+h[a+1984>>3]+(+h[g+5032>>3]*+h[a+1992>>3]*(-0.0- +h[a+1968>>3])- +h[g+6440>>3]);h[b+32>>3]=k;g=Iv(4)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=5,c[e+8>>2]=g,h[e+16>>3]=k,e)|0);i=e;g=c[f>>2]|0;k=+h[g+1960>>3]+ +h[g+1952>>3]*(-0.0- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6440>>3]);h[b+40>>3]=k;g=Iv(5)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=6,c[e+8>>2]=g,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+152>>3]+ -293.15;h[b+48>>3]=k;g=Iv(6)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=7,c[e+8>>2]=g,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+144>>3]+ -293.15;h[b+56>>3]=k;g=Iv(7)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=8,c[e+8>>2]=g,h[e+16>>3]=k,e)|0);i=e;g=c[f>>2]|0;a=c[(c[c[j>>2]>>2]|0)+8>>2]|0;k=+h[g+2208>>3]+(+h[a+5040>>3]*+h[g+2216>>3]*(-0.0- +h[g+2192>>3])- +h[a+6448>>3]);h[b+64>>3]=k;a=Iv(8)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=9,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;a=c[f>>2]|0;k=+h[a+2184>>3]+ +h[a+2176>>3]*(-0.0- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6448>>3]);h[b+72>>3]=k;a=Iv(9)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=10,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+136>>3]+ -293.15;h[b+80>>3]=k;a=Iv(10)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=11,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+128>>3]+ -293.15;h[b+88>>3]=k;a=Iv(11)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=12,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;a=c[f>>2]|0;g=c[(c[c[j>>2]>>2]|0)+8>>2]|0;k=+h[a+2432>>3]+(+h[g+5048>>3]*+h[a+2440>>3]*(-0.0- +h[a+2416>>3])- +h[g+6456>>3]);h[b+96>>3]=k;g=Iv(12)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=13,c[e+8>>2]=g,h[e+16>>3]=k,e)|0);i=e;g=c[f>>2]|0;k=+h[g+2408>>3]+ +h[g+2400>>3]*(-0.0- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6456>>3]);h[b+104>>3]=k;g=Iv(13)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=14,c[e+8>>2]=g,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+120>>3]+ -293.15;h[b+112>>3]=k;g=Iv(14)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=15,c[e+8>>2]=g,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+112>>3]+ -293.15;h[b+120>>3]=k;g=Iv(15)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=16,c[e+8>>2]=g,h[e+16>>3]=k,e)|0);i=e;g=c[f>>2]|0;a=c[(c[c[j>>2]>>2]|0)+8>>2]|0;k=+h[g+2656>>3]+(+h[a+5056>>3]*+h[g+2664>>3]*(-0.0- +h[g+2640>>3])- +h[a+6464>>3]);h[b+128>>3]=k;a=Iv(16)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=17,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;a=c[f>>2]|0;k=+h[a+2632>>3]+ +h[a+2624>>3]*(-0.0- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6464>>3]);h[b+136>>3]=k;a=Iv(17)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=18,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+104>>3]+ -293.15;h[b+144>>3]=k;a=Iv(18)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=19,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+96>>3]+ -293.15;h[b+152>>3]=k;a=Iv(19)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=20,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;a=c[f>>2]|0;g=c[(c[c[j>>2]>>2]|0)+8>>2]|0;k=+h[a+3104>>3]+(+h[g+5064>>3]*+h[a+3112>>3]*(-0.0- +h[a+3088>>3])- +h[g+6472>>3]);h[b+160>>3]=k;g=Iv(20)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=21,c[e+8>>2]=g,h[e+16>>3]=k,e)|0);i=e;g=c[f>>2]|0;k=+h[g+3080>>3]+ +h[g+3072>>3]*(-0.0- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6472>>3]);h[b+168>>3]=k;g=Iv(21)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=22,c[e+8>>2]=g,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+88>>3]+ -293.15;h[b+176>>3]=k;g=Iv(22)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=23,c[e+8>>2]=g,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+80>>3]+ -293.15;h[b+184>>3]=k;g=Iv(23)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=24,c[e+8>>2]=g,h[e+16>>3]=k,e)|0);i=e;g=c[f>>2]|0;a=c[(c[c[j>>2]>>2]|0)+8>>2]|0;k=+h[g+3616>>3]+(+h[a+5072>>3]*+h[g+3624>>3]*(-0.0- +h[g+3600>>3])- +h[a+6480>>3]);h[b+192>>3]=k;a=Iv(24)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=25,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;a=c[f>>2]|0;k=+h[a+3592>>3]+ +h[a+3584>>3]*(-0.0- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6480>>3]);h[b+200>>3]=k;a=Iv(25)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=26,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+72>>3]+ -293.15;h[b+208>>3]=k;a=Iv(26)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=27,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+64>>3]+ -293.15;h[b+216>>3]=k;a=Iv(27)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=28,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;a=c[f>>2]|0;g=c[(c[c[j>>2]>>2]|0)+8>>2]|0;k=+h[a+3840>>3]+(+h[g+5080>>3]*+h[a+3848>>3]*(-0.0- +h[a+3824>>3])- +h[g+6488>>3]);h[b+224>>3]=k;g=Iv(28)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=29,c[e+8>>2]=g,h[e+16>>3]=k,e)|0);i=e;g=c[f>>2]|0;k=+h[g+3816>>3]+ +h[g+3808>>3]*(-0.0- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6488>>3]);h[b+232>>3]=k;g=Iv(29)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=30,c[e+8>>2]=g,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+56>>3]+ -293.15;h[b+240>>3]=k;g=Iv(30)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=31,c[e+8>>2]=g,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+48>>3]+ -293.15;h[b+248>>3]=k;g=Iv(31)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=32,c[e+8>>2]=g,h[e+16>>3]=k,e)|0);i=e;g=c[f>>2]|0;a=c[(c[c[j>>2]>>2]|0)+8>>2]|0;k=+h[g+4064>>3]+(+h[a+5088>>3]*+h[g+4072>>3]*(-0.0- +h[g+4048>>3])- +h[a+6496>>3]);h[b+256>>3]=k;a=Iv(32)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=33,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;a=c[f>>2]|0;k=+h[a+4040>>3]+ +h[a+4032>>3]*(-0.0- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6496>>3]);h[b+264>>3]=k;a=Iv(33)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=34,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+40>>3]+ -293.15;h[b+272>>3]=k;a=Iv(34)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=35,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+32>>3]+ -293.15;h[b+280>>3]=k;a=Iv(35)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=36,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;a=c[f>>2]|0;g=c[(c[c[j>>2]>>2]|0)+8>>2]|0;k=+h[a+4288>>3]+(+h[g+5096>>3]*+h[a+4296>>3]*(-0.0- +h[a+4272>>3])- +h[g+6504>>3]);h[b+288>>3]=k;g=Iv(36)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=37,c[e+8>>2]=g,h[e+16>>3]=k,e)|0);i=e;g=c[f>>2]|0;k=+h[g+4264>>3]+ +h[g+4256>>3]*(-0.0- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6504>>3]);h[b+296>>3]=k;g=Iv(37)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=38,c[e+8>>2]=g,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+24>>3]+ -293.15;h[b+304>>3]=k;g=Iv(38)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=39,c[e+8>>2]=g,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+16>>3]+ -293.15;h[b+312>>3]=k;g=Iv(39)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=40,c[e+8>>2]=g,h[e+16>>3]=k,e)|0);i=e;g=c[f>>2]|0;a=c[(c[c[j>>2]>>2]|0)+8>>2]|0;k=+h[g+4512>>3]+(+h[a+5104>>3]*+h[g+4520>>3]*(-0.0- +h[g+4496>>3])- +h[a+6512>>3]);h[b+320>>3]=k;a=Iv(40)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=41,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;a=c[f>>2]|0;k=+h[a+4488>>3]+ +h[a+4480>>3]*(-0.0- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6512>>3]);h[b+328>>3]=k;a=Iv(41)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=42,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;k=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+8>>3]+ -293.15;h[b+336>>3]=k;a=Iv(42)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=43,c[e+8>>2]=a,h[e+16>>3]=k,e)|0);i=e;k=+h[c[(c[c[j>>2]>>2]|0)+8>>2]>>3]+ -293.15;h[b+344>>3]=k;b=Iv(43)|0;hfa(21,0,70704,(e=i,i=i+24|0,c[e>>2]=44,c[e+8>>2]=b,h[e+16>>3]=k,e)|0);i=e;if((c[2136479]|0)==0){i=d;return 0}Vd[c[3586]&511](21);i=d;return 0}function Kv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4552>>3]=+h[b+3296>>3];return}function Lv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4544>>3]=+h[b+4336>>3];return}function Mv(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+316|0]=a[d+301|0]|0;return}function Nv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1520>>3]=+h[b+4360>>3];return}function Ov(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1512>>3]=+h[b+4360>>3];return}function Pv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1472>>3]=+h[b+4344>>3]*.5;return}function Qv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1464>>3]=+h[b+4344>>3]*.5;return}function Rv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4496>>3]=+h[b+3304>>3];return}function Sv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4480>>3]=+h[b+3328>>3];return}function Tv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4440>>3]=+h[b+4336>>3];return}function Uv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4416>>3]=+h[b+4352>>3]*3.141592653589793;return}function Vv(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+4352>>3];h[b+4408>>3]=d*d*.7853981633974483;return}function Wv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1480>>3]=+h[b+4408>>3];return}function Xv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1488>>3]=+h[b+4408>>3];return}function Yv(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4416>>3];g=+h[e+4408>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,68960,8543496,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+1496>>3]=i*4.0;return}function Zv(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4416>>3];g=+h[e+4408>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,68960,8543336,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+1504>>3]=i*4.0;return}function _v(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1336>>3]=+h[b+4136>>3];return}function $v(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1328>>3]=+h[b+4136>>3];return}function aw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1288>>3]=+h[b+4120>>3]*.5;return}function bw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1280>>3]=+h[b+4120>>3]*.5;return}function cw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4272>>3]=+h[b+3304>>3];return}function dw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4256>>3]=+h[b+3328>>3];return}function ew(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4216>>3]=+h[b+4112>>3];return}function fw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4192>>3]=+h[b+4128>>3]*3.141592653589793;return}function gw(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+4128>>3];h[b+4184>>3]=d*d*.7853981633974483;return}function hw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1296>>3]=+h[b+4184>>3];return}function iw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1304>>3]=+h[b+4184>>3];return}function jw(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4192>>3];g=+h[e+4184>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,66800,8536936,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+1312>>3]=i*4.0;return}function kw(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4192>>3];g=+h[e+4184>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,66800,8536120,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+1320>>3]=i*4.0;return}function lw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1200>>3]=+h[b+3912>>3];return}function mw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1192>>3]=+h[b+3912>>3];return}function nw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1152>>3]=+h[b+3896>>3]*.5;return}function ow(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1144>>3]=+h[b+3896>>3]*.5;return}function pw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4048>>3]=+h[b+3304>>3];return}function qw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4032>>3]=+h[b+3328>>3];return}function rw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3992>>3]=+h[b+3888>>3];return}function sw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3968>>3]=+h[b+3904>>3]*3.141592653589793;return}function tw(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+3904>>3];h[b+3960>>3]=d*d*.7853981633974483;return}function uw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1160>>3]=+h[b+3960>>3];return}function vw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1168>>3]=+h[b+3960>>3];return}function ww(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3968>>3];g=+h[e+3960>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,64824,8534840,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+1176>>3]=i*4.0;return}function xw(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3968>>3];g=+h[e+3960>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,64824,8534832,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+1184>>3]=i*4.0;return}function yw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1064>>3]=+h[b+3688>>3];return}function zw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1056>>3]=+h[b+3688>>3];return}function Aw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1016>>3]=+h[b+3672>>3]*.5;return}function Bw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1008>>3]=+h[b+3672>>3]*.5;return}function Cw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3824>>3]=+h[b+3304>>3];return}function Dw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3808>>3]=+h[b+3328>>3];return}function Ew(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3768>>3]=+h[b+3664>>3];return}function Fw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3744>>3]=+h[b+3680>>3]*3.141592653589793;return}function Gw(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+3680>>3];h[b+3736>>3]=d*d*.7853981633974483;return}function Hw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1024>>3]=+h[b+3736>>3];return}function Iw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1032>>3]=+h[b+3736>>3];return}function Jw(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3744>>3];g=+h[e+3736>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,62664,8534592,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+1040>>3]=i*4.0;return}function Kw(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3744>>3];g=+h[e+3736>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,62664,8534568,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+1048>>3]=i*4.0;return}function Lw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+928>>3]=+h[b+3464>>3];return}function Mw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+920>>3]=+h[b+3464>>3];return}function Nw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+880>>3]=+h[b+3448>>3]*.5;return}function Ow(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+872>>3]=+h[b+3448>>3]*.5;return}function Pw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3600>>3]=+h[b+3304>>3];return}function Qw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3584>>3]=+h[b+3328>>3];return}function Rw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3544>>3]=+h[b+3440>>3];return}function Sw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3520>>3]=+h[b+3456>>3]*3.141592653589793;return}function Tw(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+3456>>3];h[b+3512>>3]=d*d*.7853981633974483;return}function Uw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+888>>3]=+h[b+3512>>3];return}function Vw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+896>>3]=+h[b+3512>>3];return}function Ww(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3520>>3];g=+h[e+3512>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,60656,8534336,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+904>>3]=i*4.0;return}function Xw(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3520>>3];g=+h[e+3512>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,60656,8534312,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+912>>3]=i*4.0;return}function Yw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3248>>3]=+h[b+3208>>3];return}function Zw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3152>>3]=+h[b+3328>>3]*+h[b+3184>>3];return}function _w(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0.0,k=0,l=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3176>>3];g=+h[e+3184>>3];i=+h[e+3152>>3];do{if(g!=0.0){j=i/g;k=e}else{if(i==0.0){j=i;k=e;break}l=i/+nfa(c[b+536>>2]|0,g,57720,8534224,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);j=l;k=c[d>>2]|0}}while(0);h[k+3216>>3]=f*j;return}function $w(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+784>>3]=+h[b+2952>>3];return}function ax(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+776>>3]=+h[b+2952>>3];return}function bx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+736>>3]=+h[b+2936>>3]*.5;return}function cx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+728>>3]=+h[b+2936>>3]*.5;return}function dx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3088>>3]=+h[b+3304>>3];return}function ex(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3072>>3]=+h[b+3328>>3];return}function fx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3032>>3]=+h[b+2928>>3];return}function gx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3008>>3]=+h[b+2944>>3]*3.141592653589793;return}function hx(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+2944>>3];h[b+3e3>>3]=d*d*.7853981633974483;return}function ix(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+744>>3]=+h[b+3e3>>3];return}function jx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+752>>3]=+h[b+3e3>>3];return}function kx(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3008>>3];g=+h[e+3e3>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,55448,8534008,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+760>>3]=i*4.0;return}function lx(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3008>>3];g=+h[e+3e3>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,55448,8533984,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+768>>3]=i*4.0;return}function mx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2912>>3]=+h[b+2872>>3];return}function nx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2816>>3]=+h[b+3328>>3]*+h[b+2848>>3];return}function ox(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0.0,k=0,l=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+2840>>3];g=+h[e+2848>>3];i=+h[e+2816>>3];do{if(g!=0.0){j=i/g;k=e}else{if(i==0.0){j=i;k=e;break}l=i/+nfa(c[b+536>>2]|0,g,53376,8533928,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);j=l;k=c[d>>2]|0}}while(0);h[k+2880>>3]=f*j;return}function px(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2800>>3]=+h[b+2760>>3];return}function qx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2704>>3]=+h[b+3328>>3]*+h[b+2736>>3];return}function rx(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0.0,k=0,l=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+2728>>3];g=+h[e+2736>>3];i=+h[e+2704>>3];do{if(g!=0.0){j=i/g;k=e}else{if(i==0.0){j=i;k=e;break}l=i/+nfa(c[b+536>>2]|0,g,51368,8533920,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);j=l;k=c[d>>2]|0}}while(0);h[k+2768>>3]=f*j;return}function sx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+648>>3]=+h[b+2504>>3];return}function tx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+640>>3]=+h[b+2504>>3];return}function ux(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+600>>3]=+h[b+2488>>3]*.5;return}function vx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+592>>3]=+h[b+2488>>3]*.5;return}function wx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2640>>3]=+h[b+3304>>3];return}function xx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2624>>3]=+h[b+3328>>3];return}function yx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2584>>3]=+h[b+2480>>3];return}function zx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2560>>3]=+h[b+2496>>3]*3.141592653589793;return}function Ax(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+2496>>3];h[b+2552>>3]=d*d*.7853981633974483;return}function Bx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+608>>3]=+h[b+2552>>3];return}function Cx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+616>>3]=+h[b+2552>>3];return}function Dx(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+2560>>3];g=+h[e+2552>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,50408,8544248,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+624>>3]=i*4.0;return}function Ex(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+2560>>3];g=+h[e+2552>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,50408,8544240,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+632>>3]=i*4.0;return}function Fx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+512>>3]=+h[b+2280>>3];return}function Gx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+504>>3]=+h[b+2280>>3];return}function Hx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+464>>3]=+h[b+2264>>3]*.5;return}function Ix(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+456>>3]=+h[b+2264>>3]*.5;return}function Jx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2416>>3]=+h[b+3304>>3];return}function Kx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2400>>3]=+h[b+3328>>3];return}function Lx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2360>>3]=+h[b+2256>>3];return}function Mx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2336>>3]=+h[b+2272>>3]*3.141592653589793;return}function Nx(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+2272>>3];h[b+2328>>3]=d*d*.7853981633974483;return}function Ox(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+472>>3]=+h[b+2328>>3];return}function Px(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+480>>3]=+h[b+2328>>3];return}function Qx(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+2336>>3];g=+h[e+2328>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,49864,8544232,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+488>>3]=i*4.0;return}function Rx(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+2336>>3];g=+h[e+2328>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,49864,8544224,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+496>>3]=i*4.0;return}function Sx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+376>>3]=+h[b+2056>>3];return}function Tx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+368>>3]=+h[b+2056>>3];return}function Ux(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+328>>3]=+h[b+2040>>3]*.5;return}function Vx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+320>>3]=+h[b+2040>>3]*.5;return}function Wx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2192>>3]=+h[b+3304>>3];return}function Xx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2176>>3]=+h[b+3328>>3];return}function Yx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2136>>3]=+h[b+2032>>3];return}function Zx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2112>>3]=+h[b+2048>>3]*3.141592653589793;return}function _x(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+2048>>3];h[b+2104>>3]=d*d*.7853981633974483;return}function $x(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+336>>3]=+h[b+2104>>3];return}function ay(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+344>>3]=+h[b+2104>>3];return}function by(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+2112>>3];g=+h[e+2104>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,49136,8544120,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+352>>3]=i*4.0;return}function cy(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+2112>>3];g=+h[e+2104>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,49136,8544104,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+360>>3]=i*4.0;return}function dy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+240>>3]=+h[b+1832>>3];return}function ey(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+232>>3]=+h[b+1832>>3];return}function fy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+192>>3]=+h[b+1816>>3]*.5;return}function gy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+184>>3]=+h[b+1816>>3]*.5;return}function hy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1968>>3]=+h[b+3304>>3];return}function iy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1952>>3]=+h[b+3328>>3];return}function jy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1912>>3]=+h[b+1808>>3];return}function ky(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1888>>3]=+h[b+1824>>3]*3.141592653589793;return}function ly(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+1824>>3];h[b+1880>>3]=d*d*.7853981633974483;return}function my(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+200>>3]=+h[b+1880>>3];return}function ny(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+208>>3]=+h[b+1880>>3];return}function oy(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+1888>>3];g=+h[e+1880>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,48456,8543800,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+216>>3]=i*4.0;return}function py(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+1888>>3];g=+h[e+1880>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,48456,8543776,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+224>>3]=i*4.0;return}function qy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+104>>3]=+h[b+1608>>3];return}function ry(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+96>>3]=+h[b+1608>>3];return}function sy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+56>>3]=+h[b+1592>>3]*.5;return}function ty(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+48>>3]=+h[b+1592>>3]*.5;return}function uy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1744>>3]=+h[b+3304>>3];return}function vy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1728>>3]=+h[b+3328>>3];return}function wy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1688>>3]=+h[b+1584>>3];return}function xy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1664>>3]=+h[b+1600>>3]*3.141592653589793;return}function yy(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+1600>>3];h[b+1656>>3]=d*d*.7853981633974483;return}function zy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+64>>3]=+h[b+1656>>3];return}function Ay(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+72>>3]=+h[b+1656>>3];return}function By(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+1664>>3];g=+h[e+1656>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,47784,8543592,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+80>>3]=i*4.0;return}function Cy(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+1664>>3];g=+h[e+1656>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+nfa(c[b+536>>2]|0,f,47784,8543568,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+88>>3]=i*4.0;return}function Dy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5792>>3]=+h[b+1464>>3]+ +h[b+1472>>3];return}function Ey(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5784>>3]=+h[b+1488>>3]*+h[b+1472>>3]*+h[b+4336>>3];return}function Fy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5776>>3]=+h[b+1480>>3]*+h[b+1464>>3]*+h[b+4336>>3];return}function Gy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5736>>3]=+h[b+1280>>3]+ +h[b+1288>>3];return}function Hy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5728>>3]=+h[b+1304>>3]*+h[b+1288>>3]*+h[b+4112>>3];return}function Iy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5720>>3]=+h[b+1296>>3]*+h[b+1280>>3]*+h[b+4112>>3];return}function Jy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5680>>3]=+h[b+1144>>3]+ +h[b+1152>>3];return}function Ky(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5672>>3]=+h[b+1168>>3]*+h[b+1152>>3]*+h[b+3888>>3];return}function Ly(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5664>>3]=+h[b+1160>>3]*+h[b+1144>>3]*+h[b+3888>>3];return}function My(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5624>>3]=+h[b+1008>>3]+ +h[b+1016>>3];return}function Ny(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5616>>3]=+h[b+1032>>3]*+h[b+1016>>3]*+h[b+3664>>3];return}function Oy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5608>>3]=+h[b+1024>>3]*+h[b+1008>>3]*+h[b+3664>>3];return}function Py(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5568>>3]=+h[b+872>>3]+ +h[b+880>>3];return}function Qy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5560>>3]=+h[b+896>>3]*+h[b+880>>3]*+h[b+3440>>3];return}function Ry(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5552>>3]=+h[b+888>>3]*+h[b+872>>3]*+h[b+3440>>3];return}function Sy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5512>>3]=+h[b+728>>3]+ +h[b+736>>3];return}function Ty(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5504>>3]=+h[b+752>>3]*+h[b+736>>3]*+h[b+2928>>3];return}function Uy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5496>>3]=+h[b+744>>3]*+h[b+728>>3]*+h[b+2928>>3];return}function Vy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5456>>3]=+h[b+592>>3]+ +h[b+600>>3];return}function Wy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5448>>3]=+h[b+616>>3]*+h[b+600>>3]*+h[b+2480>>3];return}function Xy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5440>>3]=+h[b+608>>3]*+h[b+592>>3]*+h[b+2480>>3];return}function Yy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5400>>3]=+h[b+456>>3]+ +h[b+464>>3];return}function Zy(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5392>>3]=+h[b+480>>3]*+h[b+464>>3]*+h[b+2256>>3];return}function _y(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5384>>3]=+h[b+472>>3]*+h[b+456>>3]*+h[b+2256>>3];return}function $y(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5344>>3]=+h[b+320>>3]+ +h[b+328>>3];return}function az(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5336>>3]=+h[b+344>>3]*+h[b+328>>3]*+h[b+2032>>3];return}function bz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5328>>3]=+h[b+336>>3]*+h[b+320>>3]*+h[b+2032>>3];return}function cz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5288>>3]=+h[b+184>>3]+ +h[b+192>>3];return}function dz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5280>>3]=+h[b+208>>3]*+h[b+192>>3]*+h[b+1808>>3];return}function ez(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5272>>3]=+h[b+200>>3]*+h[b+184>>3]*+h[b+1808>>3];return}function fz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5232>>3]=+h[b+48>>3]+ +h[b+56>>3];return}function gz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5224>>3]=+h[b+72>>3]*+h[b+56>>3]*+h[b+1584>>3];return}function hz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5216>>3]=+h[b+64>>3]*+h[b+48>>3]*+h[b+1584>>3];return}function iz(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;Un(d,c[a+536>>2]|0,300.0);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6576>>3]=+h[d>>3];i=b;return}function jz(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;Un(d,c[a+536>>2]|0,300.0);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6568>>3]=+h[d>>3];i=b;return}function kz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5192>>3]=(+h[b+80>>3]+ +h[b+88>>3])*.5;return}function lz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5184>>3]=(+h[b+216>>3]+ +h[b+224>>3])*.5;return}function mz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5176>>3]=(+h[b+352>>3]+ +h[b+360>>3])*.5;return}function nz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5168>>3]=(+h[b+488>>3]+ +h[b+496>>3])*.5;return}function oz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5160>>3]=(+h[b+624>>3]+ +h[b+632>>3])*.5;return}function pz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5152>>3]=(+h[b+760>>3]+ +h[b+768>>3])*.5;return}function qz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5144>>3]=(+h[b+904>>3]+ +h[b+912>>3])*.5;return}function rz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5136>>3]=(+h[b+1040>>3]+ +h[b+1048>>3])*.5;return}function sz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5128>>3]=(+h[b+1176>>3]+ +h[b+1184>>3])*.5;return}function tz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5120>>3]=(+h[b+1312>>3]+ +h[b+1320>>3])*.5;return}function uz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5112>>3]=(+h[b+1496>>3]+ +h[b+1504>>3])*.5;return}function vz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5104>>3]=0.0;return}function wz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5096>>3]=0.0;return}function xz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5088>>3]=0.0;return}function yz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5080>>3]=0.0;return}function zz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5072>>3]=0.0;return}function Az(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5064>>3]=0.0;return}function Bz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5056>>3]=0.0;return}function Cz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5048>>3]=0.0;return}function Dz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5040>>3]=0.0;return}function Ez(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5032>>3]=0.0;return}function Fz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5024>>3]=0.0;return}function Gz(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+536|0;Dn(d,c[f>>2]|0);g=a+4|0;Jn(e,c[f>>2]|0,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6576>>3],243.15,373.15,5.0e5,8532256,d|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6560>>3]=+h[e>>3];i=b;return}function Hz(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;Rn(d,c[a+536>>2]|0,8531616,26.85000000000002);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6552>>3]=+h[d>>3];i=b;return}function Iz(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+536|0;Ln(d,c[f>>2]|0);g=a+4|0;fo(e,c[f>>2]|0,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6568>>3],243.15,373.15,1.0e5,8532256,d|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6536>>3]=+h[e>>3];i=b;return}function Jz(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;Rn(d,c[a+536>>2]|0,8531616,26.85000000000002);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6528>>3]=+h[d>>3];i=b;return}function Kz(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+4440>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,47152,8543024,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+4440>>3]}q=1.0/n;n=+h[o+4520>>3];l=+h[o+4528>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5792>>3];t=+h[r+5112>>3];u=(+h[o+1512>>3]+ +h[o+1520>>3])*.5;v=+h[o+4480>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,47152,8543024,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+4464>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6512>>3]=+h[e>>3];i=d;return}function Lz(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+4216>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,45880,8542992,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+4216>>3]}q=1.0/n;n=+h[o+4296>>3];l=+h[o+4304>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5736>>3];t=+h[r+5120>>3];u=(+h[o+1328>>3]+ +h[o+1336>>3])*.5;v=+h[o+4256>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,45880,8542992,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+4240>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6504>>3]=+h[e>>3];i=d;return}function Mz(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+3992>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,45e3,8542976,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+3992>>3]}q=1.0/n;n=+h[o+4072>>3];l=+h[o+4080>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5680>>3];t=+h[r+5128>>3];u=(+h[o+1192>>3]+ +h[o+1200>>3])*.5;v=+h[o+4032>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,45e3,8542976,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+4016>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6496>>3]=+h[e>>3];i=d;return}function Nz(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+3768>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,44432,8542968,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+3768>>3]}q=1.0/n;n=+h[o+3848>>3];l=+h[o+3856>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5624>>3];t=+h[r+5136>>3];u=(+h[o+1056>>3]+ +h[o+1064>>3])*.5;v=+h[o+3808>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,44432,8542968,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+3792>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6488>>3]=+h[e>>3];i=d;return}function Oz(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+3544>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,43776,8542960,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+3544>>3]}q=1.0/n;n=+h[o+3624>>3];l=+h[o+3632>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5568>>3];t=+h[r+5144>>3];u=(+h[o+920>>3]+ +h[o+928>>3])*.5;v=+h[o+3584>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,43776,8542960,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+3568>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6480>>3]=+h[e>>3];i=d;return}function Pz(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+3032>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,43248,8542952,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+3032>>3]}q=1.0/n;n=+h[o+3112>>3];l=+h[o+3120>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5512>>3];t=+h[r+5152>>3];u=(+h[o+776>>3]+ +h[o+784>>3])*.5;v=+h[o+3072>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,43248,8542952,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+3056>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6472>>3]=+h[e>>3];i=d;return}function Qz(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+2584>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,42608,8542944,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+2584>>3]}q=1.0/n;n=+h[o+2664>>3];l=+h[o+2672>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5456>>3];t=+h[r+5160>>3];u=(+h[o+640>>3]+ +h[o+648>>3])*.5;v=+h[o+2624>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,42608,8542944,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+2608>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6464>>3]=+h[e>>3];i=d;return}function Rz(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+2360>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,42136,8542920,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+2360>>3]}q=1.0/n;n=+h[o+2440>>3];l=+h[o+2448>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5400>>3];t=+h[r+5168>>3];u=(+h[o+504>>3]+ +h[o+512>>3])*.5;v=+h[o+2400>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,42136,8542920,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+2384>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6456>>3]=+h[e>>3];i=d;return}function Sz(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+2136>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,41536,8542904,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+2136>>3]}q=1.0/n;n=+h[o+2216>>3];l=+h[o+2224>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5344>>3];t=+h[r+5176>>3];u=(+h[o+368>>3]+ +h[o+376>>3])*.5;v=+h[o+2176>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,41536,8542904,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+2160>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6448>>3]=+h[e>>3];i=d;return}function Tz(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+1912>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,40848,8542896,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+1912>>3]}q=1.0/n;n=+h[o+1992>>3];l=+h[o+2e3>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5288>>3];t=+h[r+5184>>3];u=(+h[o+232>>3]+ +h[o+240>>3])*.5;v=+h[o+1952>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,40848,8542896,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+1936>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6440>>3]=+h[e>>3];i=d;return}function Uz(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+1688>>3];m=b+4|0;if(l!=0.0){n=l;o=k;p=l}else{q=+nfa(g,l,40448,8542864,+h[c[c[m>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);k=c[j>>2]|0;n=q;o=k;p=+h[k+1688>>3]}q=1.0/n;n=+h[o+1768>>3];l=+h[o+1776>>3];k=c[c[m>>2]>>2]|0;r=c[k+8>>2]|0;s=+h[r+5232>>3];t=+h[r+5192>>3];u=(+h[o+96>>3]+ +h[o+104>>3])*.5;v=+h[o+1728>>3];do{if(p!=0.0){w=v/p;x=o}else{if(v==0.0){w=v;x=o;break}y=v/+nfa(c[f>>2]|0,p,40448,8542864,+h[k>>3],(a[b+319|0]|0)!=0|0);w=y;x=c[j>>2]|0}}while(0);Bn(e,g,q,n,n,l,l,s,t,u,w,+h[x+1712>>3]);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6432>>3]=+h[e>>3];i=d;return}function Vz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5016>>3]=+h[b+1472>>3]*+h[b+4416>>3];return}function Wz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5008>>3]=+h[b+1464>>3]*+h[b+4416>>3];return}function Xz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4952>>3]=+h[b+1288>>3]*+h[b+4192>>3];return}function Yz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4944>>3]=+h[b+1280>>3]*+h[b+4192>>3];return}function Zz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4888>>3]=+h[b+1152>>3]*+h[b+3968>>3];return}function _z(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4880>>3]=+h[b+1144>>3]*+h[b+3968>>3];return}function $z(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4824>>3]=+h[b+1016>>3]*+h[b+3744>>3];return}function aA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4816>>3]=+h[b+1008>>3]*+h[b+3744>>3];return}function bA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4760>>3]=+h[b+880>>3]*+h[b+3520>>3];return}function cA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4752>>3]=+h[b+872>>3]*+h[b+3520>>3];return}function dA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4696>>3]=+h[b+736>>3]*+h[b+3008>>3];return}function eA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4688>>3]=+h[b+728>>3]*+h[b+3008>>3];return}function fA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4632>>3]=+h[b+600>>3]*+h[b+2560>>3];return}function gA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4624>>3]=+h[b+592>>3]*+h[b+2560>>3];return}function hA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4568>>3]=+h[b+464>>3]*+h[b+2336>>3];return}function iA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4560>>3]=+h[b+456>>3]*+h[b+2336>>3];return}function jA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4504>>3]=+h[b+328>>3]*+h[b+2112>>3];return}function kA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4496>>3]=+h[b+320>>3]*+h[b+2112>>3];return}function lA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4440>>3]=+h[b+192>>3]*+h[b+1888>>3];return}function mA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4432>>3]=+h[b+184>>3]*+h[b+1888>>3];return}function nA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4376>>3]=+h[b+56>>3]*+h[b+1664>>3];return}function oA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4368>>3]=+h[b+48>>3]*+h[b+1664>>3];return}function pA(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+6568>>3];i=+h[f+6552>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+6392|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,39496,8541608,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+6392|0;h[n>>3]=m;return}function qA(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+6576>>3];i=+h[f+6528>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+6384|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,38808,8541520,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+6384|0;h[n>>3]=m;return}function rA(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0;do{if((a[b+314|0]|0)==0){d=a[c[b+356>>2]|0]|0;e=b+416|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[c[b+356>>2]|0]|0;i=b+416|0;j=via(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3424>>3],a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=j;d=g;e=i;break}else{i=b+416|0;g=via(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3424>>3],a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=g;d=g;e=i;break}}else{if(f){f=a[c[b+356>>2]|0]|0;i=b+416|0;g=wia(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3424>>3])|0;a[c[b+352>>2]|0]=g;d=f;e=i;break}else{i=b+416|0;f=wia(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3424>>3])|0;a[c[b+352>>2]|0]=f;d=f;e=i;break}}}}while(0);i=c[e>>2]|0;k=+h[i+3416>>3];if(!(d<<24>>24==0)){l=0.0;m=k+l;n=b+4|0;o=c[n>>2]|0;p=c[o>>2]|0;q=p+8|0;r=c[q>>2]|0;s=r+6120|0;h[s>>3]=m;return}l=+h[i+3432>>3];m=k+l;n=b+4|0;o=c[n>>2]|0;p=c[o>>2]|0;q=p+8|0;r=c[q>>2]|0;s=r+6120|0;h[s>>3]=m;return}function sA(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+1|0]|0;e=b+416|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+1|0]|0;i=b+416|0;j=via(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3400>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=j;d=g;e=i;break}else{i=b+416|0;g=via(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3400>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=g;d=g;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+1|0]|0;i=b+416|0;g=wia(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3400>>3])|0;a[(c[b+352>>2]|0)+1|0]=g;d=f;e=i;break}else{i=b+416|0;f=wia(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3400>>3])|0;a[(c[b+352>>2]|0)+1|0]=f;d=f;e=i;break}}}}while(0);i=c[e>>2]|0;k=+h[i+3392>>3];if(!(d<<24>>24==0)){l=0.0;m=k+l;n=b+4|0;o=c[n>>2]|0;p=c[o>>2]|0;q=p+8|0;r=c[q>>2]|0;s=r+6208|0;h[s>>3]=m;return}l=+h[i+3408>>3];m=k+l;n=b+4|0;o=c[n>>2]|0;p=c[o>>2]|0;q=p+8|0;r=c[q>>2]|0;s=r+6208|0;h[s>>3]=m;return}function tA(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+2|0]|0;e=b+416|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+2|0]|0;i=b+416|0;j=via(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3376>>3],a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=j;d=g;e=i;break}else{i=b+416|0;g=via(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3376>>3],a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=g;d=g;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+2|0]|0;i=b+416|0;g=wia(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3376>>3])|0;a[(c[b+352>>2]|0)+2|0]=g;d=f;e=i;break}else{i=b+416|0;f=wia(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+3376>>3])|0;a[(c[b+352>>2]|0)+2|0]=f;d=f;e=i;break}}}}while(0);i=c[e>>2]|0;k=+h[i+3368>>3];if(!(d<<24>>24==0)){l=0.0;m=k+l;n=b+4|0;o=c[n>>2]|0;p=c[o>>2]|0;q=p+8|0;r=c[q>>2]|0;s=r+6288|0;h[s>>3]=m;return}l=+h[i+3384>>3];m=k+l;n=b+4|0;o=c[n>>2]|0;p=c[o>>2]|0;q=p+8|0;r=c[q>>2]|0;s=r+6288|0;h[s>>3]=m;return}function uA(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;go(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6120>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6104>>3]=+h[d>>3];i=b;return}function vA(a){a=a|0;var b=0,d=0,e=0,f=0,g=0.0,i=0;b=a+4|0;d=a+416|0;if((wia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+6120>>3],+h[(c[d>>2]|0)+3248>>3])|0)<<24>>24==0){a=c[(c[c[b>>2]>>2]|0)+8>>2]|0;e=a+6120|0;f=a;g=+h[e>>3];i=f+6080|0;h[i>>3]=g;return}else{e=(c[d>>2]|0)+3248|0;f=c[(c[c[b>>2]>>2]|0)+8>>2]|0;g=+h[e>>3];i=f+6080|0;h[i>>3]=g;return}}function wA(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;go(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6208>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6192>>3]=+h[d>>3];i=b;return}function xA(a){a=a|0;var b=0,d=0,e=0,f=0,g=0.0,i=0;b=a+4|0;d=a+416|0;if((wia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+6208>>3],+h[(c[d>>2]|0)+2912>>3])|0)<<24>>24==0){a=c[(c[c[b>>2]>>2]|0)+8>>2]|0;e=a+6208|0;f=a;g=+h[e>>3];i=f+6168|0;h[i>>3]=g;return}else{e=(c[d>>2]|0)+2912|0;f=c[(c[c[b>>2]>>2]|0)+8>>2]|0;g=+h[e>>3];i=f+6168|0;h[i>>3]=g;return}}function yA(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;go(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6288>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+6272>>3]=+h[d>>3];i=b;return}function zA(a){a=a|0;var b=0,d=0,e=0,f=0,g=0.0,i=0;b=a+4|0;d=a+416|0;if((wia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+6288>>3],+h[(c[d>>2]|0)+2800>>3])|0)<<24>>24==0){a=c[(c[c[b>>2]>>2]|0)+8>>2]|0;e=a+6288|0;f=a;g=+h[e>>3];i=f+6248|0;h[i>>3]=g;return}else{e=(c[d>>2]|0)+2800|0;f=c[(c[c[b>>2]>>2]|0)+8>>2]|0;g=+h[e>>3];i=f+6248|0;h[i>>3]=g;return}}function AA(a){a=a|0;h[c[(c[c[a+4>>2]>>2]|0)+8>>2]>>3]=293.15;return}function BA(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[c[(c[c[e>>2]>>2]|0)+8>>2]>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+512>>3]=+h[d>>3];i=b;return}function CA(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[c[(c[c[e>>2]>>2]|0)+8>>2]>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+408>>3]=+h[d>>3];i=b;return}function DA(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+376>>3]=+h[b>>3]+ -273.15;return}function EA(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+376>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+384>>3]=+h[d>>3];i=b;return}function FA(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+376>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+400>>3]=+h[d>>3];i=b;return}function GA(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+592>>3]=+h[b+5784>>3]*+h[b+400>>3];return}function HA(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+408>>3];i=+h[f+400>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+392|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,38256,8539672,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+392|0;h[n>>3]=m;return}function IA(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+608>>3]=+h[b+592>>3]*+h[b+392>>3];return}function JA(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+8>>3]=293.15;return}function KA(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+8>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+504>>3]=+h[d>>3];i=b;return}function LA(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+8>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+464>>3]=+h[d>>3];i=b;return}function MA(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+432>>3]=+h[b+8>>3]+ -273.15;return}function NA(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+432>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+440>>3]=+h[d>>3];i=b;return}function OA(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+432>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+456>>3]=+h[d>>3];i=b;return}function PA(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+584>>3]=+h[b+5776>>3]*+h[b+456>>3];return}function QA(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+464>>3];i=+h[f+456>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+448|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,37712,8538104,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+448|0;h[n>>3]=m;return}function RA(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+600>>3]=+h[b+584>>3]*+h[b+448>>3];return}function SA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4488>>3]=+h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6512>>3]*+h[b+4480>>3];return}function TA(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[d+4512>>3]=+h[b+6512>>3]+ +h[d+4496>>3]*+h[b+5104>>3]*+h[d+4520>>3];return}function UA(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+16>>3]=293.15;return}function VA(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+16>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+768>>3]=+h[d>>3];i=b;return}function WA(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+16>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+672>>3]=+h[d>>3];i=b;return}function XA(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+640>>3]=+h[b+16>>3]+ -273.15;return}function YA(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+640>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+648>>3]=+h[d>>3];i=b;return}function ZA(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+640>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+664>>3]=+h[d>>3];i=b;return}function _A(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+848>>3]=+h[b+5728>>3]*+h[b+664>>3];return}function $A(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+672>>3];i=+h[f+664>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+656|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,37e3,8537024,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+656|0;h[n>>3]=m;return}function aB(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+864>>3]=+h[b+848>>3]*+h[b+656>>3];return}function bB(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+24>>3]=293.15;return}function cB(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+24>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+760>>3]=+h[d>>3];i=b;return}function dB(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+24>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+720>>3]=+h[d>>3];i=b;return}function eB(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+688>>3]=+h[b+24>>3]+ -273.15;return}function fB(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+688>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+696>>3]=+h[d>>3];i=b;return}function gB(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+688>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+712>>3]=+h[d>>3];i=b;return}function hB(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+840>>3]=+h[b+5720>>3]*+h[b+712>>3];return}function iB(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+720>>3];i=+h[f+712>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+704|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,36088,8536288,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+704|0;h[n>>3]=m;return}function jB(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+856>>3]=+h[b+840>>3]*+h[b+704>>3];return}function kB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4264>>3]=+h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6504>>3]*+h[b+4256>>3];return}function lB(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[d+4288>>3]=+h[b+6504>>3]+ +h[d+4272>>3]*+h[b+5096>>3]*+h[d+4296>>3];return}function mB(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+32>>3]=293.15;return}function nB(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+32>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1024>>3]=+h[d>>3];i=b;return}function oB(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+32>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+928>>3]=+h[d>>3];i=b;return}function pB(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+896>>3]=+h[b+32>>3]+ -273.15;return}function qB(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+896>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+904>>3]=+h[d>>3];i=b;return}function rB(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+896>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+920>>3]=+h[d>>3];i=b;return}function sB(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1104>>3]=+h[b+5672>>3]*+h[b+920>>3];return}function tB(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+928>>3];i=+h[f+920>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+912|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,35592,8535200,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+912|0;h[n>>3]=m;return}function uB(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1120>>3]=+h[b+1104>>3]*+h[b+912>>3];return}function vB(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+40>>3]=293.15;return}function wB(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+40>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1016>>3]=+h[d>>3];i=b;return}function xB(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+40>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+976>>3]=+h[d>>3];i=b;return}function yB(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+944>>3]=+h[b+40>>3]+ -273.15;return}function zB(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+944>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+952>>3]=+h[d>>3];i=b;return}function AB(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+944>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+968>>3]=+h[d>>3];i=b;return}function BB(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1096>>3]=+h[b+5664>>3]*+h[b+968>>3];return}function CB(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+976>>3];i=+h[f+968>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+960|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,35080,8534928,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+960|0;h[n>>3]=m;return}function DB(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1112>>3]=+h[b+1096>>3]*+h[b+960>>3];return}function EB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4040>>3]=+h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6496>>3]*+h[b+4032>>3];return}function FB(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[d+4064>>3]=+h[b+6496>>3]+ +h[d+4048>>3]*+h[b+5088>>3]*+h[d+4072>>3];return}function GB(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+48>>3]=293.15;return}function HB(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+48>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1280>>3]=+h[d>>3];i=b;return}function IB(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+48>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1184>>3]=+h[d>>3];i=b;return}function JB(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1152>>3]=+h[b+48>>3]+ -273.15;return}function KB(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1152>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1160>>3]=+h[d>>3];i=b;return}function LB(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1152>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1176>>3]=+h[d>>3];i=b;return}function MB(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1360>>3]=+h[b+5616>>3]*+h[b+1176>>3];return}function NB(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1184>>3];i=+h[f+1176>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+1168|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,34552,8534920,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+1168|0;h[n>>3]=m;return}function OB(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1376>>3]=+h[b+1360>>3]*+h[b+1168>>3];return}function PB(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+56>>3]=293.15;return}function QB(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+56>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1272>>3]=+h[d>>3];i=b;return}function RB(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+56>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1232>>3]=+h[d>>3];i=b;return}function SB(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1200>>3]=+h[b+56>>3]+ -273.15;return}function TB(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1200>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1208>>3]=+h[d>>3];i=b;return}function UB(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1200>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1224>>3]=+h[d>>3];i=b;return}function VB(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1352>>3]=+h[b+5608>>3]*+h[b+1224>>3];return}function WB(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1232>>3];i=+h[f+1224>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+1216|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,34112,8534912,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+1216|0;h[n>>3]=m;return}function XB(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1368>>3]=+h[b+1352>>3]*+h[b+1216>>3];return}function YB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3816>>3]=+h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6488>>3]*+h[b+3808>>3];return}function ZB(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[d+3840>>3]=+h[b+6488>>3]+ +h[d+3824>>3]*+h[b+5080>>3]*+h[d+3848>>3];return}function _B(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+64>>3]=293.15;return}function $B(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+64>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1544>>3]=+h[d>>3];i=b;return}function aC(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+1608>>3]=(+h[b+1416>>3]*(+h[d+64>>3]- +h[b+1408>>3])+1.0)*8.0e3;return}function bC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+64>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1440>>3]=+h[d>>3];i=b;return}function cC(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1408>>3]=+h[b+64>>3]+ -273.15;return}function dC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1408>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1416>>3]=+h[d>>3];i=b;return}function eC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1408>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1432>>3]=+h[d>>3];i=b;return}function fC(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1640>>3]=+h[b+5560>>3]*+h[b+1432>>3];return}function gC(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1440>>3];i=+h[f+1432>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+1424|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,32744,8534904,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+1424|0;h[n>>3]=m;return}function hC(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1656>>3]=+h[b+1640>>3]*+h[b+1424>>3];return}function iC(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+72>>3]=293.15;return}function jC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+72>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1536>>3]=+h[d>>3];i=b;return}function kC(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+1600>>3]=(+h[b+1392>>3]*(+h[d+72>>3]- +h[b+1384>>3])+1.0)*8.0e3;return}function lC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+72>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1488>>3]=+h[d>>3];i=b;return}function mC(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1456>>3]=+h[b+72>>3]+ -273.15;return}function nC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1456>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1464>>3]=+h[d>>3];i=b;return}function oC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1456>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1480>>3]=+h[d>>3];i=b;return}function pC(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1632>>3]=+h[b+5552>>3]*+h[b+1480>>3];return}function qC(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1488>>3];i=+h[f+1480>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+1472|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,32288,8534896,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+1472|0;h[n>>3]=m;return}function rC(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1648>>3]=+h[b+1632>>3]*+h[b+1472>>3];return}function sC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3592>>3]=+h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6480>>3]*+h[b+3584>>3];return}function tC(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[d+3616>>3]=+h[b+6480>>3]+ +h[d+3600>>3]*+h[b+5072>>3]*+h[d+3624>>3];return}function uC(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+80>>3]=293.15;return}function vC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+80>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1824>>3]=+h[d>>3];i=b;return}function wC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+80>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1720>>3]=+h[d>>3];i=b;return}function xC(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1688>>3]=+h[b+80>>3]+ -273.15;return}function yC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1688>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1696>>3]=+h[d>>3];i=b;return}function zC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1688>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1712>>3]=+h[d>>3];i=b;return}function AC(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1896>>3]=+h[b+5504>>3]*+h[b+1712>>3];return}function BC(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1720>>3];i=+h[f+1712>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+1704|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,31800,8534888,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+1704|0;h[n>>3]=m;return}function CC(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1912>>3]=+h[b+1896>>3]*+h[b+1704>>3];return}function DC(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+88>>3]=293.15;return}function EC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+88>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1816>>3]=+h[d>>3];i=b;return}function FC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+88>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1768>>3]=+h[d>>3];i=b;return}function GC(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1736>>3]=+h[b+88>>3]+ -273.15;return}function HC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1736>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1744>>3]=+h[d>>3];i=b;return}function IC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1736>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1760>>3]=+h[d>>3];i=b;return}function JC(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1888>>3]=+h[b+5496>>3]*+h[b+1760>>3];return}function KC(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1768>>3];i=+h[f+1760>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+1752|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,31432,8534880,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+1752|0;h[n>>3]=m;return}function LC(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1904>>3]=+h[b+1888>>3]*+h[b+1752>>3];return}function MC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3080>>3]=+h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6472>>3]*+h[b+3072>>3];return}function NC(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[d+3104>>3]=+h[b+6472>>3]+ +h[d+3088>>3]*+h[b+5064>>3]*+h[d+3112>>3];return}function OC(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+96>>3]=293.15;return}function PC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+96>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2088>>3]=+h[d>>3];i=b;return}function QC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+96>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1976>>3]=+h[d>>3];i=b;return}function RC(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1944>>3]=+h[b+96>>3]+ -273.15;return}function SC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1944>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1952>>3]=+h[d>>3];i=b;return}function TC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1944>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1968>>3]=+h[d>>3];i=b;return}function UC(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2168>>3]=+h[b+5448>>3]*+h[b+1968>>3];return}function VC(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1976>>3];i=+h[f+1968>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+1960|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,30912,8534872,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+1960|0;h[n>>3]=m;return}function WC(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2184>>3]=+h[b+2168>>3]*+h[b+1960>>3];return}function XC(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+104>>3]=293.15;return}function YC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+104>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2080>>3]=+h[d>>3];i=b;return}function ZC(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+104>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2032>>3]=+h[d>>3];i=b;return}function _C(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2e3>>3]=+h[b+104>>3]+ -273.15;return}function $C(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2e3>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2008>>3]=+h[d>>3];i=b;return}function aD(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2e3>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2024>>3]=+h[d>>3];i=b;return}function bD(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2160>>3]=+h[b+5440>>3]*+h[b+2024>>3];return}function cD(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2032>>3];i=+h[f+2024>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+2016|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,30448,8534864,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+2016|0;h[n>>3]=m;return}function dD(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2176>>3]=+h[b+2160>>3]*+h[b+2016>>3];return}function eD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2632>>3]=+h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6464>>3]*+h[b+2624>>3];return}function fD(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[d+2656>>3]=+h[b+6464>>3]+ +h[d+2640>>3]*+h[b+5056>>3]*+h[d+2664>>3];return}function gD(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+112>>3]=293.15;return}function hD(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+112>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2352>>3]=+h[d>>3];i=b;return}function iD(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+112>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2248>>3]=+h[d>>3];i=b;return}function jD(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2216>>3]=+h[b+112>>3]+ -273.15;return}function kD(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2216>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2224>>3]=+h[d>>3];i=b;return}function lD(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2216>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2240>>3]=+h[d>>3];i=b;return}function mD(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2424>>3]=+h[b+5392>>3]*+h[b+2240>>3];return}function nD(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2248>>3];i=+h[f+2240>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+2232|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,30048,8534856,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+2232|0;h[n>>3]=m;return}function oD(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2440>>3]=+h[b+2424>>3]*+h[b+2232>>3];return}function pD(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+120>>3]=293.15;return}function qD(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+120>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2344>>3]=+h[d>>3];i=b;return}function rD(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+120>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2296>>3]=+h[d>>3];i=b;return}function sD(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2264>>3]=+h[b+120>>3]+ -273.15;return}function tD(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2264>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2272>>3]=+h[d>>3];i=b;return}function uD(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2264>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2288>>3]=+h[d>>3];i=b;return}function vD(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2416>>3]=+h[b+5384>>3]*+h[b+2288>>3];return}function wD(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2296>>3];i=+h[f+2288>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+2280|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,29320,8534848,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+2280|0;h[n>>3]=m;return}function xD(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2432>>3]=+h[b+2416>>3]*+h[b+2280>>3];return}function yD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2408>>3]=+h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6456>>3]*+h[b+2400>>3];return}function zD(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[d+2432>>3]=+h[b+6456>>3]+ +h[d+2416>>3]*+h[b+5048>>3]*+h[d+2440>>3];return}function AD(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+128>>3]=293.15;return}function BD(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+128>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2608>>3]=+h[d>>3];i=b;return}



function pza(a){a=a|0;a=Bd(8)|0;Wya(a,170992);c[a>>2]=8523408;vc(a|0,8529752,48)}function qza(a){a=a|0;a=Bd(8)|0;Wya(a,170992);c[a>>2]=8523376;vc(a|0,8529736,8)}function rza(a){a=a|0;lKa(a|0,0,12)|0;return}function sza(a,b){a=a|0;b=b|0;lKa(a|0,0,12)|0;return}function tza(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=d;if((a[e]&1)==0){f=b;c[f>>2]=c[e>>2];c[f+4>>2]=c[e+4>>2];c[f+8>>2]=c[e+8>>2];return}e=c[d+8>>2]|0;f=c[d+4>>2]|0;if(f>>>0>4294967279>>>0){pza(0)}if(f>>>0<11>>>0){a[b]=f<<1;g=b+1|0}else{d=f+16&-16;h=OJa(d)|0;c[b+8>>2]=h;c[b>>2]=d|1;c[b+4>>2]=f;g=h}kKa(g|0,e|0,f)|0;a[g+f|0]=0;return}function uza(b){b=b|0;return(a[b]&1)!=0|0}function vza(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if(e>>>0>4294967279>>>0){pza(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;kKa(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=OJa(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;kKa(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function wza(a){a=a|0;return a|0}function xza(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=iKa(d|0)|0;if(e>>>0>4294967279>>>0){pza(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;kKa(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=OJa(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;kKa(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function yza(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if(d>>>0>4294967279>>>0){pza(0)}if(d>>>0<11>>>0){a[b]=d<<1;f=b+1|0}else{g=d+16&-16;h=OJa(g)|0;c[b+8>>2]=h;c[b>>2]=g|1;c[b+4>>2]=d;f=h}lKa(f|0,e|0,d|0)|0;a[f+d|0]=0;return}function zza(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if(d>>>0>4294967279>>>0){pza(0)}if(d>>>0<11>>>0){a[b]=d<<1;f=b+1|0}else{g=d+16&-16;h=OJa(g)|0;c[b+8>>2]=h;c[b>>2]=g|1;c[b+4>>2]=d;f=h}lKa(f|0,e|0,d|0)|0;a[f+d|0]=0;return}function Aza(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;g=a[d]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[d+4>>2]|0}if(i>>>0<e>>>0){qza(0)}if(h){j=d+1|0}else{j=c[d+8>>2]|0}d=j+e|0;j=i-e|0;e=j>>>0<f>>>0?j:f;if(e>>>0>4294967279>>>0){pza(0)}if(e>>>0<11>>>0){a[b]=e<<1;k=b+1|0;kKa(k|0,d|0,e)|0;l=k+e|0;a[l]=0;return}else{f=e+16&-16;j=OJa(f)|0;c[b+8>>2]=j;c[b>>2]=f|1;c[b+4>>2]=e;k=j;kKa(k|0,d|0,e)|0;l=k+e|0;a[l]=0;return}}function Bza(b){b=b|0;var d=0,e=0;d=a[b]|0;if((d&1)==0){e=(d&255)>>>1;return e|0}else{e=c[b+4>>2]|0;return e|0}return 0}function Cza(b){b=b|0;var d=0;if((a[b]&1)==0){d=b+1|0;return d|0}else{d=c[b+8>>2]|0;return d|0}return 0}function Dza(b){b=b|0;if((a[b]&1)==0){return}QJa(c[b+8>>2]|0);return}function Eza(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((b|0)==(d|0)){return b|0}e=a[d]|0;if((e&1)==0){f=(e&255)>>>1;g=d+1|0}else{f=c[d+4>>2]|0;g=c[d+8>>2]|0}d=b;e=a[d]|0;if((e&1)==0){h=10;i=e}else{e=c[b>>2]|0;h=(e&-2)-1|0;i=e&255}e=(i&1)==0;if(h>>>0<f>>>0){if(e){j=(i&255)>>>1}else{j=c[b+4>>2]|0}Xza(b,h,f-h|0,j,0,j,f,g);return b|0}if(e){k=b+1|0}else{k=c[b+8>>2]|0}oKa(k|0,g|0,f|0)|0;a[k+f|0]=0;if((a[d]&1)==0){a[d]=f<<1;return b|0}else{c[b+4>>2]=f;return b|0}return 0}function Fza(a,b){a=a|0;b=b|0;return Gza(a,b)|0}function Gza(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=iKa(d|0)|0;f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}g=(i&1)==0;if(h>>>0<e>>>0){if(g){j=(i&255)>>>1}else{j=c[b+4>>2]|0}Xza(b,h,e-h|0,j,0,j,e,d);return b|0}if(g){k=b+1|0}else{k=c[b+8>>2]|0}oKa(k|0,d|0,e|0)|0;a[k+e|0]=0;if((a[f]&1)==0){a[f]=e<<1;return b|0}else{c[b+4>>2]=e;return b|0}return 0}function Hza(a,b){a=a|0;b=b|0;c[a+4>>2]=b;return}function Iza(a){a=a|0;return a+1|0}function Jza(b,c){b=b|0;c=c|0;a[b]=c<<1;return}function Kza(b){b=b|0;var d=0,e=0;d=a[b]|0;if((d&1)==0){e=(d&255)>>>1;return e|0}else{e=c[b+4>>2]|0;return e|0}return 0}function Lza(b){b=b|0;var d=0;if((a[b]&1)==0){d=10;return d|0}d=(c[b>>2]&-2)-1|0;return d|0}function Mza(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b;g=a[f]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[b+4>>2]|0}if(i>>>0<d>>>0){Nza(b,d-i|0,e)|0;return}if(h){a[b+1+d|0]=0;a[f]=d<<1;return}else{a[(c[b+8>>2]|0)+d|0]=0;c[b+4>>2]=d;return}}function Nza(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;if((d|0)==0){return b|0}f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}if((i&1)==0){j=(i&255)>>>1}else{j=c[b+4>>2]|0}if((h-j|0)>>>0<d>>>0){Yza(b,h,d-h+j|0,j,j,0,0);k=a[f]|0}else{k=i}if((k&1)==0){l=b+1|0}else{l=c[b+8>>2]|0}lKa(l+j|0,e|0,d|0)|0;e=j+d|0;if((a[f]&1)==0){a[f]=e<<1}else{c[b+4>>2]=e}a[l+e|0]=0;return b|0}function Oza(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=b;f=a[e]|0;g=(f&1)==0;if(g){h=(f&255)>>>1}else{h=c[b+4>>2]|0}if(h>>>0<d>>>0){Nza(b,d-h|0,0)|0;return}if(g){a[b+1+d|0]=0;a[e]=d<<1;return}else{a[(c[b+8>>2]|0)+d|0]=0;c[b+4>>2]=d;return}}function Pza(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(d>>>0>4294967279>>>0){pza(0)}e=b;f=a[e]|0;if((f&1)==0){g=10;h=f}else{f=c[b>>2]|0;g=(f&-2)-1|0;h=f&255}if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}f=i>>>0>d>>>0?i:d;if(f>>>0<11>>>0){j=10}else{j=(f+16&-16)-1|0}if((j|0)==(g|0)){return}do{if((j|0)==10){k=b+1|0;l=c[b+8>>2]|0;m=1;n=0}else{f=j+1|0;if(j>>>0>g>>>0){o=OJa(f)|0}else{o=OJa(f)|0}if((h&1)==0){k=o;l=b+1|0;m=0;n=1;break}else{k=o;l=c[b+8>>2]|0;m=1;n=1;break}}}while(0);if((h&1)==0){p=(h&255)>>>1}else{p=c[b+4>>2]|0}kKa(k|0,l|0,p+1|0)|0;if(m){QJa(l)}if(n){c[b>>2]=j+1|1;c[b+4>>2]=i;c[b+8>>2]=k;return}else{a[e]=i<<1;return}}function Qza(a){a=a|0;var b=0;if(a>>>0<11>>>0){b=10;return b|0}b=(a+16&-16)-1|0;return b|0}function Rza(a,b){a=a|0;b=b|0;c[a>>2]=b|1;return}function Sza(a,b){a=a|0;b=b|0;c[a+8>>2]=b;return}function Tza(b){b=b|0;var d=0;d=b;if((a[d]&1)==0){a[b+1|0]=0;a[d]=0;return}else{a[c[b+8>>2]|0]=0;c[b+4>>2]=0;return}}function Uza(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=a[d]|0;if((e&1)==0){f=(e&255)>>>1;g=d+1|0}else{f=c[d+4>>2]|0;g=c[d+8>>2]|0}return Wza(b,g,f)|0}function Vza(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b;f=a[e]|0;g=(f&1)!=0;if(g){h=c[b+4>>2]|0;i=(c[b>>2]&-2)-1|0}else{h=(f&255)>>>1;i=10}if((h|0)==(i|0)){Yza(b,i,1,i,i,0,0);if((a[e]&1)==0){j=7}else{j=8}}else{if(g){j=8}else{j=7}}if((j|0)==7){a[e]=(h<<1)+2;k=b+1|0;l=h+1|0;m=k+h|0;a[m]=d;n=k+l|0;a[n]=0;return}else if((j|0)==8){j=c[b+8>>2]|0;e=h+1|0;c[b+4>>2]=e;k=j;l=e;m=k+h|0;a[m]=d;n=k+l|0;a[n]=0;return}}function Wza(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}if((i&1)==0){j=(i&255)>>>1}else{j=c[b+4>>2]|0}if((h-j|0)>>>0<e>>>0){Xza(b,h,e-h+j|0,j,j,0,e,d);return b|0}if((e|0)==0){return b|0}if((i&1)==0){k=b+1|0}else{k=c[b+8>>2]|0}kKa(k+j|0,d|0,e)|0;d=j+e|0;if((a[f]&1)==0){a[f]=d<<1}else{c[b+4>>2]=d}a[k+d|0]=0;return b|0}function Xza(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((-18-d|0)>>>0<e>>>0){pza(0)}if((a[b]&1)==0){k=b+1|0}else{k=c[b+8>>2]|0}do{if(d>>>0<2147483623>>>0){l=e+d|0;m=d<<1;n=l>>>0<m>>>0?m:l;if(n>>>0<11>>>0){o=11;break}o=n+16&-16}else{o=-17}}while(0);e=OJa(o)|0;if((g|0)!=0){kKa(e|0,k|0,g)|0}if((i|0)!=0){kKa(e+g|0,j|0,i)|0}j=f-h|0;if((j|0)!=(g|0)){kKa(e+(i+g)|0,k+(h+g)|0,j-g|0)|0}if((d|0)==10){p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+s|0;a[u]=0;return}QJa(k);p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+s|0;a[u]=0;return}function Yza(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((-17-d|0)>>>0<e>>>0){pza(0)}if((a[b]&1)==0){j=b+1|0}else{j=c[b+8>>2]|0}do{if(d>>>0<2147483623>>>0){k=e+d|0;l=d<<1;m=k>>>0<l>>>0?l:k;if(m>>>0<11>>>0){n=11;break}n=m+16&-16}else{n=-17}}while(0);e=OJa(n)|0;if((g|0)!=0){kKa(e|0,j|0,g)|0}m=f-h|0;if((m|0)!=(g|0)){kKa(e+(i+g)|0,j+(h+g)|0,m-g|0)|0}if((d|0)==10){o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}QJa(j);o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}function Zza(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Aza(a,b,c,d,0);return}function _za(b){b=b|0;var d=0;if((a[b]&1)==0){d=b+1|0;return d|0}else{d=c[b+8>>2]|0;return d|0}return 0}function $za(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=iKa(d|0)|0;g=a[b]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[b+4>>2]|0}if(i>>>0<e>>>0|(i-e|0)>>>0<f>>>0){j=-1;return j|0}if((f|0)==0){j=e;return j|0}if(h){k=b+1|0}else{k=c[b+8>>2]|0}b=k+e|0;h=k+i|0;g=d+f|0;if((h-b|0)<(f|0)){j=-1;return j|0}l=i+(1-f)|0;f=k+l|0;if((l|0)==(e|0)){j=-1;return j|0}e=a[d]|0;l=b;a:while(1){if((a[l]|0)==e<<24>>24){b=d;i=l;do{b=b+1|0;if((b|0)==(g|0)){break a}i=i+1|0;}while((a[i]|0)==(a[b]|0))}b=l+1|0;if((b|0)==(f|0)){j=-1;m=18;break}else{l=b}}if((m|0)==18){return j|0}if((l|0)==(h|0)){j=-1;return j|0}j=l-k|0;return j|0}function aAa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=a[b]|0;f=(e&1)==0;if(f){g=(e&255)>>>1}else{g=c[b+4>>2]|0}e=a[d]|0;h=(e&1)==0;if(h){i=(e&255)>>>1}else{i=c[d+4>>2]|0}if(f){j=b+1|0}else{j=c[b+8>>2]|0}if(h){k=d+1|0}else{k=c[d+8>>2]|0}d=i>>>0<g>>>0;h=fKa(j,k,d?i:g)|0;if((h|0)==0){return(g>>>0<i>>>0?-1:d&1)|0}else{return h|0}return 0}function bAa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=iKa(d|0)|0;f=a[b]|0;g=(f&1)==0;if(g){h=(f&255)>>>1}else{h=c[b+4>>2]|0}if((e|0)==-1){qza(0);return 0}if(g){i=b+1|0}else{i=c[b+8>>2]|0}b=h>>>0>e>>>0;g=fKa(i,d,b?e:h)|0;if((g|0)==0){return(h>>>0<e>>>0?-1:b&1)|0}else{return g|0}return 0}function cAa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if(f>>>0>4294967279>>>0){pza(0)}if(f>>>0<11>>>0){a[b]=e<<1;g=b+1|0;kKa(g|0,d|0,e)|0;h=g+e|0;a[h]=0;return}else{i=f+16&-16;f=OJa(i)|0;c[b+8>>2]=f;c[b>>2]=i|1;c[b+4>>2]=e;g=f;kKa(g|0,d|0,e)|0;h=g+e|0;a[h]=0;return}}function dAa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if(e>>>0>1073741807>>>0){pza(0)}if(e>>>0<2>>>0){a[b]=e<<1;f=b+4|0;g=jJa(f,d,e)|0;h=f+(e<<2)|0;c[h>>2]=0;return}else{i=e+4&-4;j=OJa(i<<2)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=e;f=j;g=jJa(f,d,e)|0;h=f+(e<<2)|0;c[h>>2]=0;return}}function eAa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if(d>>>0>1073741807>>>0){pza(0)}if(d>>>0<2>>>0){a[b]=d<<1;f=b+4|0;g=lJa(f,e,d)|0;h=f+(d<<2)|0;c[h>>2]=0;return}else{i=d+4&-4;j=OJa(i<<2)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=d;f=j;g=lJa(f,e,d)|0;h=f+(d<<2)|0;c[h>>2]=0;return}}function fAa(b){b=b|0;if((a[b]&1)==0){return}QJa(c[b+8>>2]|0);return}function gAa(a,b){a=a|0;b=b|0;return hAa(a,b,iJa(b)|0)|0}function hAa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=b;g=a[f]|0;if((g&1)==0){h=1;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}g=(i&1)==0;if(h>>>0<e>>>0){if(g){j=(i&255)>>>1}else{j=c[b+4>>2]|0}kAa(b,h,e-h|0,j,0,j,e,d);return b|0}if(g){k=b+4|0}else{k=c[b+8>>2]|0}kJa(k,d,e)|0;c[k+(e<<2)>>2]=0;if((a[f]&1)==0){a[f]=e<<1;return b|0}else{c[b+4>>2]=e;return b|0}return 0}function iAa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(d>>>0>1073741807>>>0){pza(0)}e=b;f=a[e]|0;if((f&1)==0){g=1;h=f}else{f=c[b>>2]|0;g=(f&-2)-1|0;h=f&255}if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}f=i>>>0>d>>>0?i:d;if(f>>>0<2>>>0){j=1}else{j=(f+4&-4)-1|0}if((j|0)==(g|0)){return}do{if((j|0)==1){k=b+4|0;l=c[b+8>>2]|0;m=1;n=0}else{f=(j<<2)+4|0;if(j>>>0>g>>>0){o=OJa(f)|0}else{o=OJa(f)|0}f=o;if((h&1)==0){k=f;l=b+4|0;m=0;n=1;break}else{k=f;l=c[b+8>>2]|0;m=1;n=1;break}}}while(0);if((h&1)==0){p=(h&255)>>>1}else{p=c[b+4>>2]|0}jJa(k,l,p+1|0)|0;if(m){QJa(l)}if(n){c[b>>2]=j+1|1;c[b+4>>2]=i;c[b+8>>2]=k;return}else{a[e]=i<<1;return}}function jAa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b;f=a[e]|0;g=(f&1)!=0;if(g){h=c[b+4>>2]|0;i=(c[b>>2]&-2)-1|0}else{h=(f&255)>>>1;i=1}if((h|0)==(i|0)){lAa(b,i,1,i,i,0,0);if((a[e]&1)==0){j=7}else{j=8}}else{if(g){j=8}else{j=7}}if((j|0)==7){a[e]=(h<<1)+2;k=b+4|0;l=h+1|0;m=k+(h<<2)|0;c[m>>2]=d;n=k+(l<<2)|0;c[n>>2]=0;return}else if((j|0)==8){j=c[b+8>>2]|0;e=h+1|0;c[b+4>>2]=e;k=j;l=e;m=k+(h<<2)|0;c[m>>2]=d;n=k+(l<<2)|0;c[n>>2]=0;return}}function kAa(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((1073741806-d|0)>>>0<e>>>0){pza(0)}if((a[b]&1)==0){k=b+4|0}else{k=c[b+8>>2]|0}do{if(d>>>0<536870887>>>0){l=e+d|0;m=d<<1;n=l>>>0<m>>>0?m:l;if(n>>>0<2>>>0){o=2;break}o=n+4&-4}else{o=1073741807}}while(0);e=OJa(o<<2)|0;if((g|0)!=0){jJa(e,k,g)|0}if((i|0)!=0){jJa(e+(g<<2)|0,j,i)|0}j=f-h|0;if((j|0)!=(g|0)){jJa(e+(i+g<<2)|0,k+(h+g<<2)|0,j-g|0)|0}if((d|0)==1){p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+(s<<2)|0;c[u>>2]=0;return}QJa(k);p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+(s<<2)|0;c[u>>2]=0;return}function lAa(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((1073741807-d|0)>>>0<e>>>0){pza(0)}if((a[b]&1)==0){j=b+4|0}else{j=c[b+8>>2]|0}do{if(d>>>0<536870887>>>0){k=e+d|0;l=d<<1;m=k>>>0<l>>>0?l:k;if(m>>>0<2>>>0){n=2;break}n=m+4&-4}else{n=1073741807}}while(0);e=OJa(n<<2)|0;if((g|0)!=0){jJa(e,j,g)|0}m=f-h|0;if((m|0)!=(g|0)){jJa(e+(i+g<<2)|0,j+(h+g<<2)|0,m-g|0)|0}if((d|0)==1){o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}QJa(j);o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}function mAa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=b;lKa(f|0,0,12)|0;g=iKa(d|0)|0;h=e;i=a[h]|0;if((i&1)==0){j=(i&255)>>>1}else{j=c[e+4>>2]|0}i=j+g|0;if(i>>>0>4294967279>>>0){pza(0)}if(i>>>0<11>>>0){a[f]=g<<1;k=b+1|0}else{f=i+16&-16;i=OJa(f)|0;c[b+8>>2]=i;c[b>>2]=f|1;c[b+4>>2]=g;k=i}kKa(k|0,d|0,g)|0;a[k+g|0]=0;if((a[h]&1)==0){l=e+1|0}else{l=c[e+8>>2]|0}Wza(b,l,j)|0;return}function nAa(a){a=a|0;return(c[a+16>>2]&5|0)==0|0}function oAa(a){a=a|0;return(c[a+16>>2]&5|0)!=0|0}function pAa(a,b){a=a|0;b=b|0;qAa(a|0,b);return}function qAa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;g=(c[b+24>>2]|0)==0;if(g){c[b+16>>2]=d|1}else{c[b+16>>2]=d}if(((g&1|d)&c[b+20>>2]|0)==0){i=e;return}e=Bd(16)|0;do{if((a[8573128]|0)==0){if((ac(8573128)|0)==0){break}c[2142784]=8524976;Fb(172,8571136,s|0)|0}}while(0);b=uKa(8571136,0,32)|0;c[f>>2]=b&0|1;c[f+4>>2]=K|0;lza(e,f,131648);c[e>>2]=8524112;vc(e|0,8530296,42)}function rAa(a,b){a=a|0;b=b|0;qAa(a|0,c[a+16>>2]|b);return}function sAa(a){a=a|0;var b=0,d=0,e=0,f=0;c[a>>2]=8524088;b=c[a+40>>2]|0;d=a+32|0;e=a+36|0;if((b|0)!=0){f=b;do{f=f-1|0;le[c[(c[d>>2]|0)+(f<<2)>>2]&15](0,a,c[(c[e>>2]|0)+(f<<2)>>2]|0);}while((f|0)!=0)}lGa(a+28|0);JJa(c[d>>2]|0);JJa(c[e>>2]|0);JJa(c[a+48>>2]|0);JJa(c[a+60>>2]|0);return}function tAa(a){a=a|0;sAa(a|0);QJa(a);return}function uAa(a){a=a|0;sAa(a|0);return}function vAa(a){a=a|0;sAa(a|0);return}function wAa(a){a=a|0;return c[a+24>>2]|0}function xAa(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=b|0;e=a+76|0;f=c[e>>2]|0;if(!((f|0)==-1)){g=f&255;i=b;return g|0}kGa(d,a+28|0);a=nGa(d,8572560)|0;f=he[c[(c[a>>2]|0)+28>>2]&127](a,32)|0;lGa(d);c[e>>2]=f<<24>>24;g=f;i=b;return g|0}function yAa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+8|0;e=d|0;kGa(e,a+28|0);a=nGa(e,8572560)|0;f=he[c[(c[a>>2]|0)+28>>2]&127](a,b)|0;lGa(e);i=d;return f|0}function zAa(a,b){a=a|0;b=b|0;kGa(a,b+28|0);return}function AAa(a){a=a|0;c[a>>2]=8523632;return}function BAa(a,b){a=a|0;b=b|0;c[a+24>>2]=b;c[a+16>>2]=(b|0)==0;c[a+20>>2]=0;c[a+4>>2]=4098;c[a+12>>2]=0;c[a+8>>2]=6;b=a+28|0;lKa(a+32|0,0,40)|0;if((b|0)==0){return}jGa(b);return}function CAa(a){a=a|0;c[a>>2]=8525280;lGa(a+4|0);QJa(a);return}function DAa(a){a=a|0;c[a>>2]=8525280;lGa(a+4|0);return}function EAa(a){a=a|0;c[a>>2]=8525280;lGa(a+4|0);return}function FAa(a,b){a=a|0;b=b|0;kGa(a,b+4|0);return}function GAa(a){a=a|0;var b=0,e=0,f=0;b=a+12|0;e=c[b>>2]|0;if((e|0)==(c[a+16>>2]|0)){f=Yd[c[(c[a>>2]|0)+40>>2]&255](a)|0;return f|0}else{c[b>>2]=e+1;f=d[e]|0;return f|0}return 0}function HAa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=b+24|0;f=c[e>>2]|0;if((f|0)==(c[b+28>>2]|0)){g=he[c[(c[b>>2]|0)+52>>2]&127](b,d&255)|0;return g|0}else{c[e>>2]=f+1;a[f]=d;g=d&255;return g|0}return 0}function IAa(a,b,d){a=a|0;b=b|0;d=d|0;return _d[c[(c[a>>2]|0)+48>>2]&127](a,b,d)|0}function JAa(a){a=a|0;c[a>>2]=8525280;jGa(a+4|0);lKa(a+8|0,0,24)|0;return}function KAa(a){a=a|0;return c[a+8>>2]|0}function LAa(a){a=a|0;return c[a+12>>2]|0}function MAa(a){a=a|0;return c[a+16>>2]|0}function NAa(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;c[d>>2]=(c[d>>2]|0)+b;return}function OAa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;c[a+8>>2]=b;c[a+12>>2]=d;c[a+16>>2]=e;return}function PAa(a){a=a|0;return c[a+20>>2]|0}function QAa(a){a=a|0;return c[a+24>>2]|0}function RAa(a){a=a|0;return c[a+28>>2]|0}function SAa(a,b){a=a|0;b=b|0;var d=0;d=a+24|0;c[d>>2]=(c[d>>2]|0)+b;return}function TAa(a,b,d){a=a|0;b=b|0;d=d|0;c[a+24>>2]=b;c[a+20>>2]=b;c[a+28>>2]=d;return}function UAa(a,b){a=a|0;b=b|0;return}function VAa(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function WAa(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;g=a;c[g>>2]=0;c[g+4>>2]=0;g=a+8|0;c[g>>2]=-1;c[g+4>>2]=-1;return}function XAa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;e=i;b=d;d=i;i=i+16|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;i=e;return}function YAa(a){a=a|0;return 0}function ZAa(a){a=a|0;return 0}function _Aa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=b;if((e|0)<=0){g=0;return g|0}h=b+12|0;i=b+16|0;j=d;d=0;while(1){k=c[h>>2]|0;if(k>>>0<(c[i>>2]|0)>>>0){c[h>>2]=k+1;l=a[k]|0}else{k=Yd[c[(c[f>>2]|0)+40>>2]&255](b)|0;if((k|0)==-1){g=d;m=8;break}l=k&255}a[j]=l;k=d+1|0;if((k|0)<(e|0)){j=j+1|0;d=k}else{g=k;m=8;break}}if((m|0)==8){return g|0}return 0}function $Aa(a){a=a|0;return-1|0}function aBa(a){a=a|0;var b=0,e=0;if((Yd[c[(c[a>>2]|0)+36>>2]&255](a)|0)==-1){b=-1;return b|0}e=a+12|0;a=c[e>>2]|0;c[e>>2]=a+1;b=d[a]|0;return b|0}function bBa(a,b){a=a|0;b=b|0;return-1|0}function cBa(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=b;if((f|0)<=0){h=0;return h|0}i=b+24|0;j=b+28|0;k=0;l=e;while(1){e=c[i>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){m=a[l]|0;c[i>>2]=e+1;a[e]=m}else{if((he[c[(c[g>>2]|0)+52>>2]&127](b,d[l]|0)|0)==-1){h=k;n=7;break}}m=k+1|0;if((m|0)<(f|0)){k=m;l=l+1|0}else{h=m;n=7;break}}if((n|0)==7){return h|0}return 0}function dBa(a,b){a=a|0;b=b|0;return-1|0}function eBa(a){a=a|0;c[a>>2]=8525208;lGa(a+4|0);QJa(a);return}function fBa(a){a=a|0;c[a>>2]=8525208;lGa(a+4|0);return}function gBa(a,b){a=a|0;b=b|0;return}function hBa(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function iBa(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;g=a;c[g>>2]=0;c[g+4>>2]=0;g=a+8|0;c[g>>2]=-1;c[g+4>>2]=-1;return}function jBa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;e=i;b=d;d=i;i=i+16|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;i=e;return}function kBa(a){a=a|0;return 0}function lBa(a){a=a|0;return 0}function mBa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a;if((d|0)<=0){f=0;return f|0}g=a+12|0;h=a+16|0;i=b;b=0;while(1){j=c[g>>2]|0;if(j>>>0<(c[h>>2]|0)>>>0){c[g>>2]=j+4;k=c[j>>2]|0}else{j=Yd[c[(c[e>>2]|0)+40>>2]&255](a)|0;if((j|0)==-1){f=b;l=7;break}else{k=j}}c[i>>2]=k;j=b+1|0;if((j|0)<(d|0)){i=i+4|0;b=j}else{f=j;l=7;break}}if((l|0)==7){return f|0}return 0}function nBa(a){a=a|0;return-1|0}function oBa(a){a=a|0;var b=0,d=0;if((Yd[c[(c[a>>2]|0)+36>>2]&255](a)|0)==-1){b=-1;return b|0}d=a+12|0;a=c[d>>2]|0;c[d>>2]=a+4;b=c[a>>2]|0;return b|0}function pBa(a,b){a=a|0;b=b|0;return-1|0}function qBa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a;if((d|0)<=0){f=0;return f|0}g=a+24|0;h=a+28|0;i=0;j=b;while(1){b=c[g>>2]|0;if(b>>>0<(c[h>>2]|0)>>>0){k=c[j>>2]|0;c[g>>2]=b+4;c[b>>2]=k}else{if((he[c[(c[e>>2]|0)+52>>2]&127](a,c[j>>2]|0)|0)==-1){f=i;l=8;break}}k=i+1|0;if((k|0)>=(d|0)){f=k;l=8;break}i=k;j=j+4|0}if((l|0)==8){return f|0}return 0}function rBa(a,b){a=a|0;b=b|0;return-1|0}function sBa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=c[b>>2]|0;c[a>>2]=e;f=a;c[f+(c[e-12>>2]|0)>>2]=c[b+4>>2];c[a+4>>2]=0;b=c[(c[a>>2]|0)-12>>2]|0;c[f+(b+24)>>2]=d;c[f+(b+16)>>2]=(d|0)==0;c[f+(b+20)>>2]=0;c[f+(b+4)>>2]=4098;c[f+(b+12)>>2]=0;c[f+(b+8)>>2]=6;d=f+(b+28)|0;lKa(f+(b+32)|0,0,40)|0;if((d|0)==0){g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}jGa(d);g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}function tBa(a){a=a|0;sAa(a+8|0);QJa(a);return}function uBa(a){a=a|0;sAa(a+8|0);return}function vBa(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;sAa(b+(d+8)|0);QJa(b+d|0);return}function wBa(a){a=a|0;sAa(a+((c[(c[a>>2]|0)-12>>2]|0)+8)|0);return}function xBa(a,b,c){a=a|0;b=b|0;c=c|0;yBa(a,b,c);return}function yBa(d,e,f){d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+8|0;h=g|0;j=d|0;a[j]=0;d=e;k=c[(c[d>>2]|0)-12>>2]|0;l=e;e=c[l+(k+16)>>2]|0;if((e|0)!=0){qAa(l+k|0,e|4);i=g;return}e=c[l+(k+72)>>2]|0;if((e|0)!=0){zBa(e)|0}do{if(!f){e=c[(c[d>>2]|0)-12>>2]|0;if((c[l+(e+4)>>2]&4096|0)==0){break}kGa(h,l+(e+28)|0);e=nGa(h,8572560)|0;lGa(h);k=e+8|0;e=c[l+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;while(1){if((e|0)==0){break}if((c[e+12>>2]|0)==(c[e+16>>2]|0)){m=(Yd[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1;n=m?0:e;if((n|0)==0){break}else{o=n}}else{o=e}p=o+12|0;n=c[p>>2]|0;q=o+16|0;if((n|0)==(c[q>>2]|0)){r=(Yd[c[(c[o>>2]|0)+36>>2]&255](o)|0)&255}else{r=a[n]|0}if(r<<24>>24<0){s=20;break}if((b[(c[k>>2]|0)+(r<<24>>24<<1)>>1]&8192)==0){s=20;break}n=c[p>>2]|0;if((n|0)==(c[q>>2]|0)){Yd[c[(c[o>>2]|0)+40>>2]&255](o)|0;e=o;continue}else{c[p>>2]=n+1;e=o;continue}}if((s|0)==20){if((c[p>>2]|0)==(c[q>>2]|0)){e=(Yd[c[(c[o>>2]|0)+36>>2]&255](o)|0)==-1;t=e?0:o}else{t=o}if((t|0)!=0){break}}e=c[(c[d>>2]|0)-12>>2]|0;qAa(l+e|0,c[l+(e+16)>>2]|6)}}while(0);a[j]=(c[l+((c[(c[d>>2]|0)-12>>2]|0)+16)>>2]|0)==0|0;i=g;return}function zBa(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+8|0;e=d|0;f=b;g=c[(c[f>>2]|0)-12>>2]|0;h=b;if((c[h+(g+24)>>2]|0)==0){i=d;return b|0}j=e|0;a[j]=0;c[e+4>>2]=b;do{if((c[h+(g+16)>>2]|0)==0){k=c[h+(g+72)>>2]|0;if((k|0)==0){l=g}else{zBa(k)|0;l=c[(c[f>>2]|0)-12>>2]|0}a[j]=1;k=c[h+(l+24)>>2]|0;if(!((Yd[c[(c[k>>2]|0)+24>>2]&255](k)|0)==-1)){break}k=c[(c[f>>2]|0)-12>>2]|0;qAa(h+k|0,c[h+(k+16)>>2]|1)}}while(0);OBa(e);i=d;return b|0}function ABa(b){b=b|0;return(a[b|0]|0)!=0|0}function BBa(a){a=a|0;var b=0;b=a+16|0;c[b>>2]=c[b>>2]|1;if((c[a+20>>2]&1|0)==0){return}else{sb()}}function CBa(a){a=a|0;sAa(a+8|0);QJa(a);return}function DBa(a){a=a|0;sAa(a+8|0);return}function EBa(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;sAa(b+(d+8)|0);QJa(b+d|0);return}function FBa(a){a=a|0;sAa(a+((c[(c[a>>2]|0)-12>>2]|0)+8)|0);return}function GBa(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+8|0;e=d|0;f=b;g=c[(c[f>>2]|0)-12>>2]|0;h=b;if((c[h+(g+24)>>2]|0)==0){i=d;return b|0}j=e|0;a[j]=0;c[e+4>>2]=b;do{if((c[h+(g+16)>>2]|0)==0){k=c[h+(g+72)>>2]|0;if((k|0)==0){l=g}else{GBa(k)|0;l=c[(c[f>>2]|0)-12>>2]|0}a[j]=1;k=c[h+(l+24)>>2]|0;if(!((Yd[c[(c[k>>2]|0)+24>>2]&255](k)|0)==-1)){break}k=c[(c[f>>2]|0)-12>>2]|0;qAa(h+k|0,c[h+(k+16)>>2]|1)}}while(0);_Ba(e);i=d;return b|0}function HBa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=c[b>>2]|0;c[a>>2]=e;f=a;c[f+(c[e-12>>2]|0)>>2]=c[b+4>>2];b=c[(c[a>>2]|0)-12>>2]|0;c[f+(b+24)>>2]=d;c[f+(b+16)>>2]=(d|0)==0;c[f+(b+20)>>2]=0;c[f+(b+4)>>2]=4098;c[f+(b+12)>>2]=0;c[f+(b+8)>>2]=6;d=f+(b+28)|0;lKa(f+(b+32)|0,0,40)|0;if((d|0)==0){g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}jGa(d);g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}function IBa(a){a=a|0;sAa(a+4|0);QJa(a);return}function JBa(a){a=a|0;sAa(a+4|0);return}function KBa(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;sAa(b+(d+4)|0);QJa(b+d|0);return}function LBa(a){a=a|0;sAa(a+((c[(c[a>>2]|0)-12>>2]|0)+4)|0);return}function MBa(b,d){b=b|0;d=d|0;var e=0,f=0;e=b|0;a[e]=0;c[b+4>>2]=d;b=c[(c[d>>2]|0)-12>>2]|0;f=d;if((c[f+(b+16)>>2]|0)!=0){return}d=c[f+(b+72)>>2]|0;if((d|0)!=0){zBa(d)|0}a[e]=1;return}function NBa(a){a=a|0;OBa(a);return}function OBa(a){a=a|0;var b=0,d=0,e=0;b=a+4|0;a=c[b>>2]|0;d=c[(c[a>>2]|0)-12>>2]|0;e=a;if((c[e+(d+24)>>2]|0)==0){return}if((c[e+(d+16)>>2]|0)!=0){return}if((c[e+(d+4)>>2]&8192|0)==0){return}if(ic()|0){return}d=c[b>>2]|0;e=c[d+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;if(!((Yd[c[(c[e>>2]|0)+24>>2]&255](e)|0)==-1)){return}e=c[b>>2]|0;b=c[(c[e>>2]|0)-12>>2]|0;d=e;qAa(d+b|0,c[d+(b+16)>>2]|1);return}function PBa(b){b=b|0;return(a[b|0]|0)!=0|0}function QBa(a,b){a=a|0;b=b|0;return Yd[b&255](a)|0}function RBa(b,d){b=b|0;d=+d;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=i;i=i+40|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=e+32|0;l=h|0;a[l]=0;c[h+4>>2]=b;m=b;n=c[(c[m>>2]|0)-12>>2]|0;o=b;do{if((c[o+(n+16)>>2]|0)==0){p=c[o+(n+72)>>2]|0;if((p|0)==0){q=n}else{zBa(p)|0;q=c[(c[m>>2]|0)-12>>2]|0}a[l]=1;kGa(j,o+(q+28)|0);p=nGa(j,8572208)|0;lGa(j);r=c[(c[m>>2]|0)-12>>2]|0;s=c[o+(r+24)>>2]|0;t=o+(r+76)|0;u=c[t>>2]|0;if((u|0)==-1){kGa(g,o+(r+28)|0);v=nGa(g,8572560)|0;w=he[c[(c[v>>2]|0)+28>>2]&127](v,32)|0;lGa(g);c[t>>2]=w<<24>>24;x=w}else{x=u&255}u=c[(c[p>>2]|0)+32>>2]|0;c[f>>2]=s;$d[u&15](k,p,f,o+r|0,x,d);if((c[k>>2]|0)!=0){break}r=c[(c[m>>2]|0)-12>>2]|0;qAa(o+r|0,c[o+(r+16)>>2]|5)}}while(0);OBa(h);i=e;return b|0}function SBa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=i;i=i+8|0;f=e|0;g=f|0;a[g]=0;c[f+4>>2]=b;h=b;j=c[h>>2]|0;k=c[j-12>>2]|0;l=b;do{if((c[l+(k+16)>>2]|0)==0){m=c[l+(k+72)>>2]|0;if((m|0)==0){n=j;o=k}else{zBa(m)|0;m=c[h>>2]|0;n=m;o=c[m-12>>2]|0}a[g]=1;m=c[l+(o+24)>>2]|0;p=m;if((m|0)==0){q=n}else{r=m+24|0;s=c[r>>2]|0;if((s|0)!=(c[m+28>>2]|0)){c[r>>2]=s+1;a[s]=d;break}if(!((he[c[(c[m>>2]|0)+52>>2]&127](p,d&255)|0)==-1)){break}q=c[h>>2]|0}p=c[q-12>>2]|0;qAa(l+p|0,c[l+(p+16)>>2]|1)}}while(0);OBa(f);i=e;return b|0}function TBa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+8|0;g=f|0;h=g|0;a[h]=0;c[g+4>>2]=b;j=b;k=c[(c[j>>2]|0)-12>>2]|0;l=b;do{if((c[l+(k+16)>>2]|0)==0){m=c[l+(k+72)>>2]|0;if((m|0)!=0){zBa(m)|0}a[h]=1;if((e|0)==0){break}m=c[l+((c[(c[j>>2]|0)-12>>2]|0)+24)>>2]|0;if((_d[c[(c[m>>2]|0)+48>>2]&127](m,d,e)|0)==(e|0)){break}m=c[(c[j>>2]|0)-12>>2]|0;qAa(l+m|0,c[l+(m+16)>>2]|1)}}while(0);OBa(g);i=f;return b|0}function UBa(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[(c[b>>2]|0)-12>>2]|0;e=b;if((c[e+(d+16)>>2]&5|0)==0){b=c[e+(d+24)>>2]|0;be[c[(c[b>>2]|0)+16>>2]&63](a,b,0,0,1,16);return}else{b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;return}}function VBa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;i=i+40|0;f=d;d=i;i=i+16|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];f=e|0;g=e+16|0;h=e+24|0;j=g|0;a[j]=0;c[g+4>>2]=b;k=b;l=c[(c[k>>2]|0)-12>>2]|0;m=b;if((c[m+(l+16)>>2]|0)!=0){OBa(g);i=e;return b|0}n=c[m+(l+72)>>2]|0;if((n|0)==0){o=l}else{zBa(n)|0;o=c[(c[k>>2]|0)-12>>2]|0}a[j]=1;j=c[m+(o+24)>>2]|0;o=d;d=f;n=c[(c[j>>2]|0)+20>>2]|0;c[d>>2]=c[o>>2];c[d+4>>2]=c[o+4>>2];c[d+8>>2]=c[o+8>>2];c[d+12>>2]=c[o+12>>2];oe[n&127](h,j,f,16);f=h+8|0;if(!((c[f>>2]|0)==(-1|0)&(c[f+4>>2]|0)==(-1|0))){OBa(g);i=e;return b|0}f=c[(c[k>>2]|0)-12>>2]|0;qAa(m+f|0,c[m+(f+16)>>2]|4);OBa(g);i=e;return b|0}function WBa(a){a=a|0;sAa(a+4|0);QJa(a);return}function XBa(a){a=a|0;sAa(a+4|0);return}function YBa(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;sAa(b+(d+4)|0);QJa(b+d|0);return}function ZBa(a){a=a|0;sAa(a+((c[(c[a>>2]|0)-12>>2]|0)+4)|0);return}function _Ba(a){a=a|0;var b=0,d=0,e=0;b=a+4|0;a=c[b>>2]|0;d=c[(c[a>>2]|0)-12>>2]|0;e=a;if((c[e+(d+24)>>2]|0)==0){return}if((c[e+(d+16)>>2]|0)!=0){return}if((c[e+(d+4)>>2]&8192|0)==0){return}if(ic()|0){return}d=c[b>>2]|0;e=c[d+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;if(!((Yd[c[(c[e>>2]|0)+24>>2]&255](e)|0)==-1)){return}e=c[b>>2]|0;b=c[(c[e>>2]|0)-12>>2]|0;d=e;qAa(d+b|0,c[d+(b+16)>>2]|1);return}function $Ba(a){a=a|0;return 143936}function aCa(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)==1){vza(a,173840,35);return}else{jza(a,b|0,c);return}}function bCa(a){a=a|0;fza(a|0);return}function cCa(a){a=a|0;nza(a|0);QJa(a);return}function dCa(a){a=a|0;nza(a|0);return}function eCa(a){a=a|0;sAa(a);QJa(a);return}function fCa(a){a=a|0;fza(a|0);QJa(a);return}function gCa(a){a=a|0;Tya(a|0);QJa(a);return}function hCa(a){a=a|0;Tya(a|0);return}function iCa(a){a=a|0;Tya(a|0);return}function jCa(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;a:do{if((e|0)==(f|0)){g=c}else{b=c;h=e;while(1){if((b|0)==(d|0)){i=-1;j=7;break}k=a[b]|0;l=a[h]|0;if(k<<24>>24<l<<24>>24){i=-1;j=7;break}if(l<<24>>24<k<<24>>24){i=1;j=7;break}k=b+1|0;l=h+1|0;if((l|0)==(f|0)){g=k;break a}else{b=k;h=l}}if((j|0)==7){return i|0}}}while(0);i=(g|0)!=(d|0)|0;return i|0}function kCa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=e;g=f-d|0;if(g>>>0>4294967279>>>0){pza(b)}if(g>>>0<11>>>0){a[b]=g<<1;h=b+1|0}else{i=g+16&-16;j=OJa(i)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=g;h=j}if((e|0)==(f|0)){k=h;a[k]=0;return}else{l=h;m=e}while(1){a[l]=a[m]|0;e=m+1|0;if((e|0)==(f|0)){break}else{l=l+1|0;m=e}}k=h+(f+(-d|0))|0;a[k]=0;return}function lCa(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;if((c|0)==(d|0)){e=0;return e|0}else{f=c;g=0}while(1){c=(a[f]|0)+(g<<4)|0;b=c&-268435456;h=(b>>>24|b)^c;c=f+1|0;if((c|0)==(d|0)){e=h;break}else{f=c;g=h}}return e|0}function mCa(a){a=a|0;Tya(a|0);QJa(a);return}function nCa(a){a=a|0;Tya(a|0);return}function oCa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;a:do{if((e|0)==(f|0)){g=b}else{a=b;h=e;while(1){if((a|0)==(d|0)){i=-1;j=7;break}k=c[a>>2]|0;l=c[h>>2]|0;if((k|0)<(l|0)){i=-1;j=7;break}if((l|0)<(k|0)){i=1;j=7;break}k=a+4|0;l=h+4|0;if((l|0)==(f|0)){g=k;break a}else{a=k;h=l}}if((j|0)==7){return i|0}}}while(0);i=(g|0)!=(d|0)|0;return i|0}function pCa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;d=e;g=f-d|0;h=g>>2;if(h>>>0>1073741807>>>0){pza(b)}if(h>>>0<2>>>0){a[b]=g>>>1;i=b+4|0}else{g=h+4&-4;j=OJa(g<<2)|0;c[b+8>>2]=j;c[b>>2]=g|1;c[b+4>>2]=h;i=j}if((e|0)==(f|0)){k=i;c[k>>2]=0;return}j=f-4+(-d|0)|0;d=i;h=e;while(1){c[d>>2]=c[h>>2];e=h+4|0;if((e|0)==(f|0)){break}else{d=d+4|0;h=e}}k=i+((j>>>2)+1<<2)|0;c[k>>2]=0;return}function qCa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;if((b|0)==(d|0)){e=0;return e|0}else{f=b;g=0}while(1){b=(c[f>>2]|0)+(g<<4)|0;a=b&-268435456;h=(a>>>24|a)^b;b=f+4|0;if((b|0)==(d|0)){e=h;break}else{f=b;g=h}}return e|0}function rCa(a){a=a|0;Tya(a|0);QJa(a);return}function sCa(a){a=a|0;Tya(a|0);return}function tCa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+112|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+16|0;n=k+32|0;o=k+40|0;p=k+48|0;q=k+56|0;r=k+64|0;s=k+72|0;t=k+80|0;u=k+104|0;if((c[g+4>>2]&1|0)==0){c[n>>2]=-1;v=c[(c[d>>2]|0)+16>>2]|0;w=e|0;c[p>>2]=c[w>>2];c[q>>2]=c[f>>2];ee[v&127](o,d,p,q,g,h,n);q=c[o>>2]|0;c[w>>2]=q;w=c[n>>2]|0;if((w|0)==1){a[j]=1}else if((w|0)==0){a[j]=0}else{a[j]=1;c[h>>2]=4}c[b>>2]=q;i=k;return}zAa(r,g);q=r|0;r=c[q>>2]|0;if(!((c[2143140]|0)==-1)){c[m>>2]=8572560;c[m+4>>2]=18;c[m+8>>2]=0;oza(8572560,m,128)}m=(c[2143141]|0)-1|0;w=c[r+8>>2]|0;do{if((c[r+12>>2]|0)-w>>2>>>0>m>>>0){n=c[w+(m<<2)>>2]|0;if((n|0)==0){break}o=n;Vya(c[q>>2]|0)|0;zAa(s,g);n=s|0;p=c[n>>2]|0;if(!((c[2143044]|0)==-1)){c[l>>2]=8572176;c[l+4>>2]=18;c[l+8>>2]=0;oza(8572176,l,128)}d=(c[2143045]|0)-1|0;v=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-v>>2>>>0>d>>>0){x=c[v+(d<<2)>>2]|0;if((x|0)==0){break}y=x;Vya(c[n>>2]|0)|0;z=t|0;A=x;Wd[c[(c[A>>2]|0)+24>>2]&255](z,y);Wd[c[(c[A>>2]|0)+28>>2]&255](t+12|0,y);c[u>>2]=c[f>>2];a[j]=(uCa(e,u,z,t+24|0,o,h,1)|0)==(z|0)|0;c[b>>2]=c[e>>2];Dza(t+12|0);Dza(t|0);i=k;return}}while(0);o=Bd(4)|0;nJa(o);vc(o|0,8529704,182)}}while(0);k=Bd(4)|0;nJa(k);vc(k|0,8529704,182)}function uCa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;k=i;i=i+104|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=(f-e|0)/12|0;m=k|0;do{if(l>>>0>100>>>0){n=IJa(l)|0;if((n|0)!=0){o=n;p=n;break}VJa();o=0;p=0}else{o=m;p=0}}while(0);m=(e|0)==(f|0);if(m){q=l;r=0}else{n=l;l=0;s=o;t=e;while(1){u=a[t]|0;if((u&1)==0){v=(u&255)>>>1}else{v=c[t+4>>2]|0}if((v|0)==0){a[s]=2;w=l+1|0;x=n-1|0}else{a[s]=1;w=l;x=n}u=t+12|0;if((u|0)==(f|0)){q=x;r=w;break}else{n=x;l=w;s=s+1|0;t=u}}}t=b|0;b=d|0;d=g;s=0;w=r;r=q;a:while(1){q=c[t>>2]|0;do{if((q|0)==0){y=0}else{if((c[q+12>>2]|0)!=(c[q+16>>2]|0)){y=q;break}if((Yd[c[(c[q>>2]|0)+36>>2]&255](q)|0)==-1){c[t>>2]=0;y=0;break}else{y=c[t>>2]|0;break}}}while(0);q=(y|0)==0;l=c[b>>2]|0;do{if((l|0)==0){z=0}else{if((c[l+12>>2]|0)!=(c[l+16>>2]|0)){z=l;break}if(!((Yd[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1)){z=l;break}c[b>>2]=0;z=0}}while(0);A=(z|0)==0;B=c[t>>2]|0;if(!((q^A)&(r|0)!=0)){break}l=c[B+12>>2]|0;if((l|0)==(c[B+16>>2]|0)){C=(Yd[c[(c[B>>2]|0)+36>>2]&255](B)|0)&255}else{C=a[l]|0}if(j){D=C}else{D=he[c[(c[d>>2]|0)+12>>2]&127](g,C)|0}l=s+1|0;if(m){s=l;w=w;r=r;continue}b:do{if(j){x=r;n=w;v=o;u=0;E=e;while(1){do{if((a[v]|0)==1){F=a[E]|0;G=(F&1)==0;if(G){H=E+1|0}else{H=c[E+8>>2]|0}if(!(D<<24>>24==(a[H+s|0]|0))){a[v]=0;I=u;J=n;K=x-1|0;break}if(G){L=(F&255)>>>1}else{L=c[E+4>>2]|0}if((L|0)!=(l|0)){I=1;J=n;K=x;break}a[v]=2;I=1;J=n+1|0;K=x-1|0}else{I=u;J=n;K=x}}while(0);F=E+12|0;if((F|0)==(f|0)){M=K;N=J;O=I;break b}x=K;n=J;v=v+1|0;u=I;E=F}}else{E=r;u=w;v=o;n=0;x=e;while(1){do{if((a[v]|0)==1){F=x;if((a[F]&1)==0){P=x+1|0}else{P=c[x+8>>2]|0}if(!(D<<24>>24==(he[c[(c[d>>2]|0)+12>>2]&127](g,a[P+s|0]|0)|0)<<24>>24)){a[v]=0;Q=n;R=u;S=E-1|0;break}G=a[F]|0;if((G&1)==0){T=(G&255)>>>1}else{T=c[x+4>>2]|0}if((T|0)!=(l|0)){Q=1;R=u;S=E;break}a[v]=2;Q=1;R=u+1|0;S=E-1|0}else{Q=n;R=u;S=E}}while(0);G=x+12|0;if((G|0)==(f|0)){M=S;N=R;O=Q;break b}E=S;u=R;v=v+1|0;n=Q;x=G}}}while(0);if(!O){s=l;w=N;r=M;continue}q=c[t>>2]|0;x=q+12|0;n=c[x>>2]|0;if((n|0)==(c[q+16>>2]|0)){Yd[c[(c[q>>2]|0)+40>>2]&255](q)|0}else{c[x>>2]=n+1}if((M+N|0)>>>0<2>>>0){s=l;w=N;r=M;continue}else{U=N;V=o;W=e}while(1){do{if((a[V]|0)==2){n=a[W]|0;if((n&1)==0){X=(n&255)>>>1}else{X=c[W+4>>2]|0}if((X|0)==(l|0)){Y=U;break}a[V]=0;Y=U-1|0}else{Y=U}}while(0);n=W+12|0;if((n|0)==(f|0)){s=l;w=Y;r=M;continue a}else{U=Y;V=V+1|0;W=n}}}do{if((B|0)==0){Z=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){Z=B;break}if((Yd[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1){c[t>>2]=0;Z=0;break}else{Z=c[t>>2]|0;break}}}while(0);t=(Z|0)==0;do{if(A){_=91}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){if(t){break}else{_=93;break}}if((Yd[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1){c[b>>2]=0;_=91;break}else{if(t){break}else{_=93;break}}}}while(0);if((_|0)==91){if(t){_=93}}if((_|0)==93){c[h>>2]=c[h>>2]|2}c:do{if(m){_=98}else{t=o;b=e;while(1){if((a[t]|0)==2){$=b;break c}z=b+12|0;if((z|0)==(f|0)){_=98;break c}t=t+1|0;b=z}}}while(0);if((_|0)==98){c[h>>2]=c[h>>2]|4;$=f}if((p|0)==0){i=k;return $|0}JJa(p);i=k;return $|0}function vCa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];wCa(a,0,j,k,f,g,h);i=b;return}function wCa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;mDa(m,g,s,l);g=n;lKa(g|0,0,12)|0;Mza(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Yd[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Yd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}Mza(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}Mza(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(Yd[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((OCa(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){Yd[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=iIa(F,c[o>>2]|0,h,t)|0;zFa(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((Yd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;Dza(n);Dza(m);i=d;return}if((Yd[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;Dza(n);Dza(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;Dza(n);Dza(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;Dza(n);Dza(m);i=d;return}function xCa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];yCa(a,0,j,k,f,g,h);i=b;return}function yCa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;mDa(m,g,s,l);g=n;lKa(g|0,0,12)|0;Mza(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Yd[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Yd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;L=(C&255)>>>1}else{C=c[y>>2]|0;J=C;L=C}Mza(n,J<<1,0);if((a[g]&1)==0){M=10}else{M=(c[f>>2]&-2)-1|0}Mza(n,M,0);if((a[g]&1)==0){N=v}else{N=c[w>>2]|0}c[o>>2]=N+L;O=N}else{O=l}C=A+12|0;H=c[C>>2]|0;P=A+16|0;if((H|0)==(c[P>>2]|0)){Q=(Yd[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{Q=a[H]|0}if((OCa(Q,t,O,o,r,z,m,k,q,s)|0)!=0){F=O;G=E;break}H=c[C>>2]|0;if((H|0)==(c[P>>2]|0)){Yd[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=O;u=A;continue}else{c[C>>2]=H+1;l=O;u=A;continue}}u=a[m]|0;if((u&1)==0){R=(u&255)>>>1}else{R=c[m+4>>2]|0}do{if((R|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}O=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=O}}while(0);r=hIa(F,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;zFa(m,k,c[q>>2]|0,h);do{if((A|0)==0){S=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){S=A;break}if(!((Yd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){S=A;break}c[x>>2]=0;S=0}}while(0);x=(S|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}T=b|0;c[T>>2]=S;Dza(n);Dza(m);i=d;return}if((Yd[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}T=b|0;c[T>>2]=S;Dza(n);Dza(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}T=b|0;c[T>>2]=S;Dza(n);Dza(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;T=b|0;c[T>>2]=S;Dza(n);Dza(m);i=d;return}function zCa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];ACa(a,0,j,k,f,g,h);i=b;return}function ACa(d,e,f,g,h,j,k){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;e=i;i=i+256|0;l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[l>>2];l=e|0;m=e+32|0;n=e+40|0;o=e+56|0;p=e+72|0;q=e+80|0;r=e+240|0;s=e+248|0;t=c[h+4>>2]&74;if((t|0)==8){u=16}else if((t|0)==0){u=0}else if((t|0)==64){u=8}else{u=10}t=l|0;mDa(n,h,t,m);h=o;lKa(h|0,0,12)|0;Mza(o,10,0);if((a[h]&1)==0){l=o+1|0;v=l;w=l;x=o+8|0}else{l=o+8|0;v=c[l>>2]|0;w=o+1|0;x=l}c[p>>2]=v;l=q|0;c[r>>2]=l;c[s>>2]=0;y=f|0;f=g|0;g=o|0;z=o+4|0;A=a[m]|0;m=v;v=c[y>>2]|0;a:while(1){do{if((v|0)==0){B=0}else{if((c[v+12>>2]|0)!=(c[v+16>>2]|0)){B=v;break}if(!((Yd[c[(c[v>>2]|0)+36>>2]&255](v)|0)==-1)){B=v;break}c[y>>2]=0;B=0}}while(0);C=(B|0)==0;D=c[f>>2]|0;do{if((D|0)==0){E=21}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){if(C){F=D;break}else{G=m;H=D;break a}}if((Yd[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1){c[f>>2]=0;E=21;break}else{if(C){F=D;break}else{G=m;H=D;break a}}}}while(0);if((E|0)==21){E=0;if(C){G=m;H=0;break}else{F=0}}D=a[h]|0;I=(D&1)==0;if(I){J=(D&255)>>>1}else{J=c[z>>2]|0}if(((c[p>>2]|0)-m|0)==(J|0)){if(I){K=(D&255)>>>1;L=(D&255)>>>1}else{D=c[z>>2]|0;K=D;L=D}Mza(o,K<<1,0);if((a[h]&1)==0){M=10}else{M=(c[g>>2]&-2)-1|0}Mza(o,M,0);if((a[h]&1)==0){N=w}else{N=c[x>>2]|0}c[p>>2]=N+L;O=N}else{O=m}D=B+12|0;I=c[D>>2]|0;P=B+16|0;if((I|0)==(c[P>>2]|0)){Q=(Yd[c[(c[B>>2]|0)+36>>2]&255](B)|0)&255}else{Q=a[I]|0}if((OCa(Q,u,O,p,s,A,n,l,r,t)|0)!=0){G=O;H=F;break}I=c[D>>2]|0;if((I|0)==(c[P>>2]|0)){Yd[c[(c[B>>2]|0)+40>>2]&255](B)|0;m=O;v=B;continue}else{c[D>>2]=I+1;m=O;v=B;continue}}v=a[n]|0;if((v&1)==0){R=(v&255)>>>1}else{R=c[n+4>>2]|0}do{if((R|0)!=0){v=c[r>>2]|0;if((v-q|0)>=160){break}O=c[s>>2]|0;c[r>>2]=v+4;c[v>>2]=O}}while(0);b[k>>1]=gIa(G,c[p>>2]|0,j,u)|0;zFa(n,l,c[r>>2]|0,j);do{if((B|0)==0){S=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){S=B;break}if(!((Yd[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){S=B;break}c[y>>2]=0;S=0}}while(0);y=(S|0)==0;do{if((H|0)==0){E=66}else{if((c[H+12>>2]|0)!=(c[H+16>>2]|0)){if(!y){break}T=d|0;c[T>>2]=S;Dza(o);Dza(n);i=e;return}if((Yd[c[(c[H>>2]|0)+36>>2]&255](H)|0)==-1){c[f>>2]=0;E=66;break}if(!(y^(H|0)==0)){break}T=d|0;c[T>>2]=S;Dza(o);Dza(n);i=e;return}}while(0);do{if((E|0)==66){if(y){break}T=d|0;c[T>>2]=S;Dza(o);Dza(n);i=e;return}}while(0);c[j>>2]=c[j>>2]|2;T=d|0;c[T>>2]=S;Dza(o);Dza(n);i=e;return}function BCa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];CCa(a,0,j,k,f,g,h);i=b;return}function CCa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;mDa(m,g,s,l);g=n;lKa(g|0,0,12)|0;Mza(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Yd[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Yd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}Mza(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}Mza(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(Yd[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((OCa(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){Yd[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=fIa(F,c[o>>2]|0,h,t)|0;zFa(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((Yd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;Dza(n);Dza(m);i=d;return}if((Yd[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;Dza(n);Dza(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;Dza(n);Dza(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;Dza(n);Dza(m);i=d;return}function DCa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];ECa(a,0,j,k,f,g,h);i=b;return}function ECa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;mDa(m,g,s,l);g=n;lKa(g|0,0,12)|0;Mza(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Yd[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Yd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}Mza(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}Mza(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(Yd[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((OCa(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){Yd[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=eIa(F,c[o>>2]|0,h,t)|0;zFa(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((Yd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;Dza(n);Dza(m);i=d;return}if((Yd[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;Dza(n);Dza(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;Dza(n);Dza(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;Dza(n);Dza(m);i=d;return}function FCa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];GCa(a,0,j,k,f,g,h);i=b;return}function GCa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;mDa(m,g,s,l);g=n;lKa(g|0,0,12)|0;Mza(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Yd[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Yd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;L=(C&255)>>>1}else{C=c[y>>2]|0;J=C;L=C}Mza(n,J<<1,0);if((a[g]&1)==0){M=10}else{M=(c[f>>2]&-2)-1|0}Mza(n,M,0);if((a[g]&1)==0){N=v}else{N=c[w>>2]|0}c[o>>2]=N+L;O=N}else{O=l}C=A+12|0;H=c[C>>2]|0;P=A+16|0;if((H|0)==(c[P>>2]|0)){Q=(Yd[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{Q=a[H]|0}if((OCa(Q,t,O,o,r,z,m,k,q,s)|0)!=0){F=O;G=E;break}H=c[C>>2]|0;if((H|0)==(c[P>>2]|0)){Yd[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=O;u=A;continue}else{c[C>>2]=H+1;l=O;u=A;continue}}u=a[m]|0;if((u&1)==0){R=(u&255)>>>1}else{R=c[m+4>>2]|0}do{if((R|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}O=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=O}}while(0);r=dIa(F,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;zFa(m,k,c[q>>2]|0,h);do{if((A|0)==0){S=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){S=A;break}if(!((Yd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){S=A;break}c[x>>2]=0;S=0}}while(0);x=(S|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}T=b|0;c[T>>2]=S;Dza(n);Dza(m);i=d;return}if((Yd[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}T=b|0;c[T>>2]=S;Dza(n);Dza(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}T=b|0;c[T>>2]=S;Dza(n);Dza(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;T=b|0;c[T>>2]=S;Dza(n);Dza(m);i=d;return}function HCa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];ICa(a,0,j,k,f,g,h);i=b;return}function ICa(b,d,e,f,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;nDa(n,h,v,l,m);h=o;lKa(h|0,0,12)|0;Mza(o,10,0);if((a[h]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((Yd[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((Yd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[h]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}Mza(o,M<<1,0);if((a[h]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}Mza(o,O,0);if((a[h]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(Yd[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((oDa(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){Yd[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);g[k>>2]=+cIa(I,c[p>>2]|0,j);zFa(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((Yd[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;Dza(o);Dza(n);i=d;return}if((Yd[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;Dza(o);Dza(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;Dza(o);Dza(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;Dza(o);Dza(n);i=d;return}function JCa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];KCa(a,0,j,k,f,g,h);i=b;return}function KCa(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;nDa(n,g,v,l,m);g=o;lKa(g|0,0,12)|0;Mza(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((Yd[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((Yd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[g]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}Mza(o,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}Mza(o,O,0);if((a[g]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(Yd[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((oDa(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){Yd[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);h[k>>3]=+bIa(I,c[p>>2]|0,j);zFa(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((Yd[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;Dza(o);Dza(n);i=d;return}if((Yd[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;Dza(o);Dza(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;Dza(o);Dza(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;Dza(o);Dza(n);i=d;return}function LCa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];MCa(a,0,j,k,f,g,h);i=b;return}function MCa(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;nDa(n,g,v,l,m);g=o;lKa(g|0,0,12)|0;Mza(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((Yd[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((Yd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[g]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}Mza(o,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}Mza(o,O,0);if((a[g]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(Yd[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((oDa(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){Yd[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);h[k>>3]=+aIa(I,c[p>>2]|0,j);zFa(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((Yd[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;Dza(o);Dza(n);i=d;return}if((Yd[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;Dza(o);Dza(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;Dza(o);Dza(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;Dza(o);Dza(n);i=d;return}function NCa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+272|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+48|0;n=d+64|0;o=d+72|0;p=d+88|0;q=d+96|0;r=d+256|0;s=d+264|0;lKa(m|0,0,12)|0;zAa(n,g);g=n|0;n=c[g>>2]|0;if(!((c[2143140]|0)==-1)){c[k>>2]=8572560;c[k+4>>2]=18;c[k+8>>2]=0;oza(8572560,k,128)}k=(c[2143141]|0)-1|0;t=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-t>>2>>>0>k>>>0){u=c[t+(k<<2)>>2]|0;if((u|0)==0){break}v=l|0;ke[c[(c[u>>2]|0)+32>>2]&127](u,8531464,8531490,v)|0;Vya(c[g>>2]|0)|0;u=o;lKa(u|0,0,12)|0;Mza(o,10,0);if((a[u]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;A=e|0;B=f|0;C=o|0;D=o+4|0;E=x;F=c[A>>2]|0;a:while(1){do{if((F|0)==0){G=0}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){G=F;break}if(!((Yd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1)){G=F;break}c[A>>2]=0;G=0}}while(0);H=(G|0)==0;I=c[B>>2]|0;do{if((I|0)==0){J=25}else{if((c[I+12>>2]|0)!=(c[I+16>>2]|0)){if(H){break}else{K=E;break a}}if((Yd[c[(c[I>>2]|0)+36>>2]&255](I)|0)==-1){c[B>>2]=0;J=25;break}else{if(H){break}else{K=E;break a}}}}while(0);if((J|0)==25){J=0;if(H){K=E;break}}I=a[u]|0;L=(I&1)==0;if(L){M=(I&255)>>>1}else{M=c[D>>2]|0}if(((c[p>>2]|0)-E|0)==(M|0)){if(L){N=(I&255)>>>1;O=(I&255)>>>1}else{I=c[D>>2]|0;N=I;O=I}Mza(o,N<<1,0);if((a[u]&1)==0){P=10}else{P=(c[C>>2]&-2)-1|0}Mza(o,P,0);if((a[u]&1)==0){Q=y}else{Q=c[z>>2]|0}c[p>>2]=Q+O;R=Q}else{R=E}I=G+12|0;L=c[I>>2]|0;S=G+16|0;if((L|0)==(c[S>>2]|0)){T=(Yd[c[(c[G>>2]|0)+36>>2]&255](G)|0)&255}else{T=a[L]|0}if((OCa(T,16,R,p,s,0,m,w,r,v)|0)!=0){K=R;break}L=c[I>>2]|0;if((L|0)==(c[S>>2]|0)){Yd[c[(c[G>>2]|0)+40>>2]&255](G)|0;E=R;F=G;continue}else{c[I>>2]=L+1;E=R;F=G;continue}}a[K+3|0]=0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);F=PCa(K,c[2142782]|0,98416,(E=i,i=i+8|0,c[E>>2]=j,E)|0)|0;i=E;if((F|0)!=1){c[h>>2]=4}F=c[A>>2]|0;do{if((F|0)==0){U=0}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){U=F;break}if(!((Yd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1)){U=F;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;F=c[B>>2]|0;do{if((F|0)==0){J=73}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;Dza(o);Dza(m);i=d;return}if((Yd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[B>>2]=0;J=73;break}if(!(A^(F|0)==0)){break}V=b|0;c[V>>2]=U;Dza(o);Dza(m);i=d;return}}while(0);do{if((J|0)==73){if(A){break}V=b|0;c[V>>2]=U;Dza(o);Dza(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;V=b|0;c[V>>2]=U;Dza(o);Dza(m);i=d;return}}while(0);d=Bd(4)|0;nJa(d);vc(d|0,8529704,182)}function OCa(b,d,e,f,g,h,i,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=c[f>>2]|0;n=(m|0)==(e|0);do{if(n){o=(a[l+24|0]|0)==b<<24>>24;if(!o){if(!((a[l+25|0]|0)==b<<24>>24)){break}}c[f>>2]=e+1;a[e]=o?43:45;c[g>>2]=0;p=0;return p|0}}while(0);o=a[i]|0;if((o&1)==0){q=(o&255)>>>1}else{q=c[i+4>>2]|0}if((q|0)!=0&b<<24>>24==h<<24>>24){h=c[k>>2]|0;if((h-j|0)>=160){p=0;return p|0}j=c[g>>2]|0;c[k>>2]=h+4;c[h>>2]=j;c[g>>2]=0;p=0;return p|0}j=l+26|0;h=l;while(1){if((h|0)==(j|0)){r=j;break}if((a[h]|0)==b<<24>>24){r=h;break}else{h=h+1|0}}h=r-l|0;if((h|0)>23){p=-1;return p|0}do{if((d|0)==8|(d|0)==10){if((h|0)<(d|0)){break}else{p=-1}return p|0}else if((d|0)==16){if((h|0)<22){break}if(n){p=-1;return p|0}if((m-e|0)>=3){p=-1;return p|0}if((a[m-1|0]|0)!=48){p=-1;return p|0}c[g>>2]=0;l=a[8531464+h|0]|0;c[f>>2]=m+1;a[m]=l;p=0;return p|0}}while(0);e=a[8531464+h|0]|0;c[f>>2]=m+1;a[m]=e;c[g>>2]=(c[g>>2]|0)+1;p=0;return p|0}function PCa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+16|0;g=f|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=gd(b|0)|0;b=Ab(a|0,d|0,g|0)|0;if((h|0)==0){i=f;return b|0}gd(h|0)|0;i=f;return b|0}function QCa(a){a=a|0;Tya(a|0);QJa(a);return}function RCa(a){a=a|0;Tya(a|0);return}function SCa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+112|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+16|0;n=k+32|0;o=k+40|0;p=k+48|0;q=k+56|0;r=k+64|0;s=k+72|0;t=k+80|0;u=k+104|0;if((c[g+4>>2]&1|0)==0){c[n>>2]=-1;v=c[(c[d>>2]|0)+16>>2]|0;w=e|0;c[p>>2]=c[w>>2];c[q>>2]=c[f>>2];ee[v&127](o,d,p,q,g,h,n);q=c[o>>2]|0;c[w>>2]=q;w=c[n>>2]|0;if((w|0)==0){a[j]=0}else if((w|0)==1){a[j]=1}else{a[j]=1;c[h>>2]=4}c[b>>2]=q;i=k;return}zAa(r,g);q=r|0;r=c[q>>2]|0;if(!((c[2143138]|0)==-1)){c[m>>2]=8572552;c[m+4>>2]=18;c[m+8>>2]=0;oza(8572552,m,128)}m=(c[2143139]|0)-1|0;w=c[r+8>>2]|0;do{if((c[r+12>>2]|0)-w>>2>>>0>m>>>0){n=c[w+(m<<2)>>2]|0;if((n|0)==0){break}o=n;Vya(c[q>>2]|0)|0;zAa(s,g);n=s|0;p=c[n>>2]|0;if(!((c[2143042]|0)==-1)){c[l>>2]=8572168;c[l+4>>2]=18;c[l+8>>2]=0;oza(8572168,l,128)}d=(c[2143043]|0)-1|0;v=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-v>>2>>>0>d>>>0){x=c[v+(d<<2)>>2]|0;if((x|0)==0){break}y=x;Vya(c[n>>2]|0)|0;z=t|0;A=x;Wd[c[(c[A>>2]|0)+24>>2]&255](z,y);Wd[c[(c[A>>2]|0)+28>>2]&255](t+12|0,y);c[u>>2]=c[f>>2];a[j]=(TCa(e,u,z,t+24|0,o,h,1)|0)==(z|0)|0;c[b>>2]=c[e>>2];fAa(t+12|0);fAa(t|0);i=k;return}}while(0);o=Bd(4)|0;nJa(o);vc(o|0,8529704,182)}}while(0);k=Bd(4)|0;nJa(k);vc(k|0,8529704,182)}function TCa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;k=i;i=i+104|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=(f-e|0)/12|0;m=k|0;do{if(l>>>0>100>>>0){n=IJa(l)|0;if((n|0)!=0){o=n;p=n;break}VJa();o=0;p=0}else{o=m;p=0}}while(0);m=(e|0)==(f|0);if(m){q=l;r=0}else{n=l;l=0;s=o;t=e;while(1){u=a[t]|0;if((u&1)==0){v=(u&255)>>>1}else{v=c[t+4>>2]|0}if((v|0)==0){a[s]=2;w=l+1|0;x=n-1|0}else{a[s]=1;w=l;x=n}u=t+12|0;if((u|0)==(f|0)){q=x;r=w;break}else{n=x;l=w;s=s+1|0;t=u}}}t=b|0;b=d|0;d=g;s=0;w=r;r=q;a:while(1){q=c[t>>2]|0;do{if((q|0)==0){y=1}else{l=c[q+12>>2]|0;if((l|0)==(c[q+16>>2]|0)){z=Yd[c[(c[q>>2]|0)+36>>2]&255](q)|0}else{z=c[l>>2]|0}if((z|0)==-1){c[t>>2]=0;y=1;break}else{y=(c[t>>2]|0)==0;break}}}while(0);q=c[b>>2]|0;do{if((q|0)==0){A=1;B=0}else{l=c[q+12>>2]|0;if((l|0)==(c[q+16>>2]|0)){C=Yd[c[(c[q>>2]|0)+36>>2]&255](q)|0}else{C=c[l>>2]|0}if(!((C|0)==-1)){A=0;B=q;break}c[b>>2]=0;A=1;B=0}}while(0);D=c[t>>2]|0;if(!((y^A)&(r|0)!=0)){break}q=c[D+12>>2]|0;if((q|0)==(c[D+16>>2]|0)){E=Yd[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{E=c[q>>2]|0}if(j){F=E}else{F=he[c[(c[d>>2]|0)+28>>2]&127](g,E)|0}q=s+1|0;if(m){s=q;w=w;r=r;continue}b:do{if(j){l=r;x=w;n=o;v=0;u=e;while(1){do{if((a[n]|0)==1){G=a[u]|0;H=(G&1)==0;if(H){I=u+4|0}else{I=c[u+8>>2]|0}if((F|0)!=(c[I+(s<<2)>>2]|0)){a[n]=0;J=v;K=x;L=l-1|0;break}if(H){M=(G&255)>>>1}else{M=c[u+4>>2]|0}if((M|0)!=(q|0)){J=1;K=x;L=l;break}a[n]=2;J=1;K=x+1|0;L=l-1|0}else{J=v;K=x;L=l}}while(0);G=u+12|0;if((G|0)==(f|0)){N=L;O=K;P=J;break b}l=L;x=K;n=n+1|0;v=J;u=G}}else{u=r;v=w;n=o;x=0;l=e;while(1){do{if((a[n]|0)==1){G=l;if((a[G]&1)==0){Q=l+4|0}else{Q=c[l+8>>2]|0}if((F|0)!=(he[c[(c[d>>2]|0)+28>>2]&127](g,c[Q+(s<<2)>>2]|0)|0)){a[n]=0;R=x;S=v;T=u-1|0;break}H=a[G]|0;if((H&1)==0){U=(H&255)>>>1}else{U=c[l+4>>2]|0}if((U|0)!=(q|0)){R=1;S=v;T=u;break}a[n]=2;R=1;S=v+1|0;T=u-1|0}else{R=x;S=v;T=u}}while(0);H=l+12|0;if((H|0)==(f|0)){N=T;O=S;P=R;break b}u=T;v=S;n=n+1|0;x=R;l=H}}}while(0);if(!P){s=q;w=O;r=N;continue}l=c[t>>2]|0;x=l+12|0;n=c[x>>2]|0;if((n|0)==(c[l+16>>2]|0)){Yd[c[(c[l>>2]|0)+40>>2]&255](l)|0}else{c[x>>2]=n+4}if((N+O|0)>>>0<2>>>0){s=q;w=O;r=N;continue}else{V=O;W=o;X=e}while(1){do{if((a[W]|0)==2){n=a[X]|0;if((n&1)==0){Y=(n&255)>>>1}else{Y=c[X+4>>2]|0}if((Y|0)==(q|0)){Z=V;break}a[W]=0;Z=V-1|0}else{Z=V}}while(0);n=X+12|0;if((n|0)==(f|0)){s=q;w=Z;r=N;continue a}else{V=Z;W=W+1|0;X=n}}}do{if((D|0)==0){_=1}else{X=c[D+12>>2]|0;if((X|0)==(c[D+16>>2]|0)){$=Yd[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{$=c[X>>2]|0}if(($|0)==-1){c[t>>2]=0;_=1;break}else{_=(c[t>>2]|0)==0;break}}}while(0);do{if((B|0)==0){aa=93}else{t=c[B+12>>2]|0;if((t|0)==(c[B+16>>2]|0)){ba=Yd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{ba=c[t>>2]|0}if((ba|0)==-1){c[b>>2]=0;aa=93;break}else{if(_){break}else{aa=95;break}}}}while(0);if((aa|0)==93){if(_){aa=95}}if((aa|0)==95){c[h>>2]=c[h>>2]|2}c:do{if(m){aa=100}else{_=o;b=e;while(1){if((a[_]|0)==2){ca=b;break c}ba=b+12|0;if((ba|0)==(f|0)){aa=100;break c}_=_+1|0;b=ba}}}while(0);if((aa|0)==100){c[h>>2]=c[h>>2]|4;ca=f}if((p|0)==0){i=k;return ca|0}JJa(p);i=k;return ca|0}function UCa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];VCa(a,0,j,k,f,g,h);i=b;return}function VCa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==64){t=8}else if((s|0)==0){t=0}else{t=10}s=k|0;pDa(m,g,s,l);g=n;lKa(g|0,0,12)|0;Mza(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Yd[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Yd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}Mza(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}Mza(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=Yd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((lDa(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){Yd[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=iIa(I,c[o>>2]|0,h,t)|0;zFa(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=Yd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=Yd[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;Dza(n);Dza(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;Dza(n);Dza(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;Dza(n);Dza(m);i=d;return}function WCa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];XCa(a,0,j,k,f,g,h);i=b;return}function XCa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;pDa(m,g,s,l);g=n;lKa(g|0,0,12)|0;Mza(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Yd[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Yd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){L=(C&255)>>>1}else{L=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(L|0)){if(F){M=(C&255)>>>1;N=(C&255)>>>1}else{C=c[y>>2]|0;M=C;N=C}Mza(n,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}Mza(n,O,0);if((a[g]&1)==0){P=v}else{P=c[w>>2]|0}c[o>>2]=P+N;Q=P}else{Q=l}C=B+12|0;F=c[C>>2]|0;R=B+16|0;if((F|0)==(c[R>>2]|0)){S=Yd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{S=c[F>>2]|0}if((lDa(S,t,Q,o,r,z,m,k,q,s)|0)!=0){I=Q;J=H;break}F=c[C>>2]|0;if((F|0)==(c[R>>2]|0)){Yd[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=Q;u=B;continue}else{c[C>>2]=F+4;l=Q;u=B;continue}}u=a[m]|0;if((u&1)==0){T=(u&255)>>>1}else{T=c[m+4>>2]|0}do{if((T|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}Q=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=Q}}while(0);r=hIa(I,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;zFa(m,k,c[q>>2]|0,h);do{if((B|0)==0){U=1;V=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){W=Yd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{W=c[q>>2]|0}if(!((W|0)==-1)){U=0;V=B;break}c[x>>2]=0;U=1;V=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){X=Yd[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{X=c[x>>2]|0}if((X|0)==-1){c[e>>2]=0;E=67;break}if(!U){break}Y=b|0;c[Y>>2]=V;Dza(n);Dza(m);i=d;return}}while(0);do{if((E|0)==67){if(U){break}Y=b|0;c[Y>>2]=V;Dza(n);Dza(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;Y=b|0;c[Y>>2]=V;Dza(n);Dza(m);i=d;return}function YCa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];ZCa(a,0,j,k,f,g,h);i=b;return}function ZCa(d,e,f,g,h,j,k){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;e=i;i=i+328|0;l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[l>>2];l=e|0;m=e+104|0;n=e+112|0;o=e+128|0;p=e+144|0;q=e+152|0;r=e+312|0;s=e+320|0;t=c[h+4>>2]&74;if((t|0)==8){u=16}else if((t|0)==0){u=0}else if((t|0)==64){u=8}else{u=10}t=l|0;pDa(n,h,t,m);h=o;lKa(h|0,0,12)|0;Mza(o,10,0);if((a[h]&1)==0){l=o+1|0;v=l;w=l;x=o+8|0}else{l=o+8|0;v=c[l>>2]|0;w=o+1|0;x=l}c[p>>2]=v;l=q|0;c[r>>2]=l;c[s>>2]=0;y=f|0;f=g|0;g=o|0;z=o+4|0;A=c[m>>2]|0;m=v;v=c[y>>2]|0;a:while(1){do{if((v|0)==0){B=1;C=0}else{D=c[v+12>>2]|0;if((D|0)==(c[v+16>>2]|0)){E=Yd[c[(c[v>>2]|0)+36>>2]&255](v)|0}else{E=c[D>>2]|0}if(!((E|0)==-1)){B=0;C=v;break}c[y>>2]=0;B=1;C=0}}while(0);D=c[f>>2]|0;do{if((D|0)==0){F=22}else{G=c[D+12>>2]|0;if((G|0)==(c[D+16>>2]|0)){H=Yd[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{H=c[G>>2]|0}if((H|0)==-1){c[f>>2]=0;F=22;break}else{if(B){I=D;break}else{J=m;K=D;break a}}}}while(0);if((F|0)==22){F=0;if(B){J=m;K=0;break}else{I=0}}D=a[h]|0;G=(D&1)==0;if(G){L=(D&255)>>>1}else{L=c[z>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(G){M=(D&255)>>>1;N=(D&255)>>>1}else{D=c[z>>2]|0;M=D;N=D}Mza(o,M<<1,0);if((a[h]&1)==0){O=10}else{O=(c[g>>2]&-2)-1|0}Mza(o,O,0);if((a[h]&1)==0){P=w}else{P=c[x>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}D=C+12|0;G=c[D>>2]|0;R=C+16|0;if((G|0)==(c[R>>2]|0)){S=Yd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{S=c[G>>2]|0}if((lDa(S,u,Q,p,s,A,n,l,r,t)|0)!=0){J=Q;K=I;break}G=c[D>>2]|0;if((G|0)==(c[R>>2]|0)){Yd[c[(c[C>>2]|0)+40>>2]&255](C)|0;m=Q;v=C;continue}else{c[D>>2]=G+4;m=Q;v=C;continue}}v=a[n]|0;if((v&1)==0){T=(v&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){v=c[r>>2]|0;if((v-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=v+4;c[v>>2]=Q}}while(0);b[k>>1]=gIa(J,c[p>>2]|0,j,u)|0;zFa(n,l,c[r>>2]|0,j);do{if((C|0)==0){U=1;V=0}else{r=c[C+12>>2]|0;if((r|0)==(c[C+16>>2]|0)){W=Yd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{W=c[r>>2]|0}if(!((W|0)==-1)){U=0;V=C;break}c[y>>2]=0;U=1;V=0}}while(0);do{if((K|0)==0){F=67}else{y=c[K+12>>2]|0;if((y|0)==(c[K+16>>2]|0)){X=Yd[c[(c[K>>2]|0)+36>>2]&255](K)|0}else{X=c[y>>2]|0}if((X|0)==-1){c[f>>2]=0;F=67;break}if(!U){break}Y=d|0;c[Y>>2]=V;Dza(o);Dza(n);i=e;return}}while(0);do{if((F|0)==67){if(U){break}Y=d|0;c[Y>>2]=V;Dza(o);Dza(n);i=e;return}}while(0);c[j>>2]=c[j>>2]|2;Y=d|0;c[Y>>2]=V;Dza(o);Dza(n);i=e;return}function _Ca(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];$Ca(a,0,j,k,f,g,h);i=b;return}function $Ca(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;pDa(m,g,s,l);g=n;lKa(g|0,0,12)|0;Mza(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Yd[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Yd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}Mza(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}Mza(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=Yd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((lDa(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){Yd[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=fIa(I,c[o>>2]|0,h,t)|0;zFa(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=Yd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=Yd[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;Dza(n);Dza(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;Dza(n);Dza(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;Dza(n);Dza(m);i=d;return}function aDa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];bDa(a,0,j,k,f,g,h);i=b;return}function bDa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==0){t=0}else if((s|0)==64){t=8}else if((s|0)==8){t=16}else{t=10}s=k|0;pDa(m,g,s,l);g=n;lKa(g|0,0,12)|0;Mza(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Yd[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Yd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}Mza(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}Mza(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=Yd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((lDa(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){Yd[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=eIa(I,c[o>>2]|0,h,t)|0;zFa(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=Yd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=Yd[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;Dza(n);Dza(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;Dza(n);Dza(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;Dza(n);Dza(m);i=d;return}function cDa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];dDa(a,0,j,k,f,g,h);i=b;return}function dDa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;pDa(m,g,s,l);g=n;lKa(g|0,0,12)|0;Mza(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Yd[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Yd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){L=(C&255)>>>1}else{L=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(L|0)){if(F){M=(C&255)>>>1;N=(C&255)>>>1}else{C=c[y>>2]|0;M=C;N=C}Mza(n,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}Mza(n,O,0);if((a[g]&1)==0){P=v}else{P=c[w>>2]|0}c[o>>2]=P+N;Q=P}else{Q=l}C=B+12|0;F=c[C>>2]|0;R=B+16|0;if((F|0)==(c[R>>2]|0)){S=Yd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{S=c[F>>2]|0}if((lDa(S,t,Q,o,r,z,m,k,q,s)|0)!=0){I=Q;J=H;break}F=c[C>>2]|0;if((F|0)==(c[R>>2]|0)){Yd[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=Q;u=B;continue}else{c[C>>2]=F+4;l=Q;u=B;continue}}u=a[m]|0;if((u&1)==0){T=(u&255)>>>1}else{T=c[m+4>>2]|0}do{if((T|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}Q=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=Q}}while(0);r=dIa(I,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;zFa(m,k,c[q>>2]|0,h);do{if((B|0)==0){U=1;V=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){W=Yd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{W=c[q>>2]|0}if(!((W|0)==-1)){U=0;V=B;break}c[x>>2]=0;U=1;V=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){X=Yd[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{X=c[x>>2]|0}if((X|0)==-1){c[e>>2]=0;E=67;break}if(!U){break}Y=b|0;c[Y>>2]=V;Dza(n);Dza(m);i=d;return}}while(0);do{if((E|0)==67){if(U){break}Y=b|0;c[Y>>2]=V;Dza(n);Dza(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;Y=b|0;c[Y>>2]=V;Dza(n);Dza(m);i=d;return}function eDa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];fDa(a,0,j,k,f,g,h);i=b;return}function fDa(b,d,e,f,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;qDa(n,h,v,l,m);h=o;lKa(h|0,0,12)|0;Mza(o,10,0);if((a[h]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=Yd[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Yd[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[h]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}Mza(o,O<<1,0);if((a[h]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}Mza(o,Q,0);if((a[h]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=Yd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((rDa(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){Yd[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);g[k>>2]=+cIa(L,c[p>>2]|0,j);zFa(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=Yd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=Yd[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;Dza(o);Dza(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;Dza(o);Dza(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;Dza(o);Dza(n);i=d;return}function gDa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];hDa(a,0,j,k,f,g,h);i=b;return}function hDa(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;qDa(n,g,v,l,m);g=o;lKa(g|0,0,12)|0;Mza(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=Yd[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Yd[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[g]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}Mza(o,O<<1,0);if((a[g]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}Mza(o,Q,0);if((a[g]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=Yd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((rDa(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){Yd[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);h[k>>3]=+bIa(L,c[p>>2]|0,j);zFa(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=Yd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=Yd[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;Dza(o);Dza(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;Dza(o);Dza(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;Dza(o);Dza(n);i=d;return}function iDa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];jDa(a,0,j,k,f,g,h);i=b;return}function jDa(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;qDa(n,g,v,l,m);g=o;lKa(g|0,0,12)|0;Mza(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=Yd[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Yd[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[g]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}Mza(o,O<<1,0);if((a[g]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}Mza(o,Q,0);if((a[g]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=Yd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((rDa(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){Yd[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);h[k>>3]=+aIa(L,c[p>>2]|0,j);zFa(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=Yd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=Yd[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;Dza(o);Dza(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;Dza(o);Dza(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;Dza(o);Dza(n);i=d;return}function kDa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+344|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+120|0;n=d+136|0;o=d+144|0;p=d+160|0;q=d+168|0;r=d+328|0;s=d+336|0;lKa(m|0,0,12)|0;zAa(n,g);g=n|0;n=c[g>>2]|0;if(!((c[2143138]|0)==-1)){c[k>>2]=8572552;c[k+4>>2]=18;c[k+8>>2]=0;oza(8572552,k,128)}k=(c[2143139]|0)-1|0;t=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-t>>2>>>0>k>>>0){u=c[t+(k<<2)>>2]|0;if((u|0)==0){break}v=l|0;ke[c[(c[u>>2]|0)+48>>2]&127](u,8531464,8531490,v)|0;Vya(c[g>>2]|0)|0;u=o;lKa(u|0,0,12)|0;Mza(o,10,0);if((a[u]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;A=e|0;B=f|0;C=o|0;D=o+4|0;E=x;F=c[A>>2]|0;a:while(1){do{if((F|0)==0){G=1;H=0}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Yd[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if(!((J|0)==-1)){G=0;H=F;break}c[A>>2]=0;G=1;H=0}}while(0);I=c[B>>2]|0;do{if((I|0)==0){K=26}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){M=Yd[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{M=c[L>>2]|0}if((M|0)==-1){c[B>>2]=0;K=26;break}else{if(G){break}else{N=E;break a}}}}while(0);if((K|0)==26){K=0;if(G){N=E;break}}I=a[u]|0;L=(I&1)==0;if(L){O=(I&255)>>>1}else{O=c[D>>2]|0}if(((c[p>>2]|0)-E|0)==(O|0)){if(L){P=(I&255)>>>1;Q=(I&255)>>>1}else{I=c[D>>2]|0;P=I;Q=I}Mza(o,P<<1,0);if((a[u]&1)==0){R=10}else{R=(c[C>>2]&-2)-1|0}Mza(o,R,0);if((a[u]&1)==0){S=y}else{S=c[z>>2]|0}c[p>>2]=S+Q;T=S}else{T=E}I=H+12|0;L=c[I>>2]|0;U=H+16|0;if((L|0)==(c[U>>2]|0)){V=Yd[c[(c[H>>2]|0)+36>>2]&255](H)|0}else{V=c[L>>2]|0}if((lDa(V,16,T,p,s,0,m,w,r,v)|0)!=0){N=T;break}L=c[I>>2]|0;if((L|0)==(c[U>>2]|0)){Yd[c[(c[H>>2]|0)+40>>2]&255](H)|0;E=T;F=H;continue}else{c[I>>2]=L+4;E=T;F=H;continue}}a[N+3|0]=0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);F=PCa(N,c[2142782]|0,98416,(E=i,i=i+8|0,c[E>>2]=j,E)|0)|0;i=E;if((F|0)!=1){c[h>>2]=4}F=c[A>>2]|0;do{if((F|0)==0){W=1;X=0}else{E=c[F+12>>2]|0;if((E|0)==(c[F+16>>2]|0)){Y=Yd[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{Y=c[E>>2]|0}if(!((Y|0)==-1)){W=0;X=F;break}c[A>>2]=0;W=1;X=0}}while(0);A=c[B>>2]|0;do{if((A|0)==0){K=74}else{F=c[A+12>>2]|0;if((F|0)==(c[A+16>>2]|0)){Z=Yd[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{Z=c[F>>2]|0}if((Z|0)==-1){c[B>>2]=0;K=74;break}if(!W){break}_=b|0;c[_>>2]=X;Dza(o);Dza(m);i=d;return}}while(0);do{if((K|0)==74){if(W){break}_=b|0;c[_>>2]=X;Dza(o);Dza(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;_=b|0;c[_>>2]=X;Dza(o);Dza(m);i=d;return}}while(0);d=Bd(4)|0;nJa(d);vc(d|0,8529704,182)}function lDa(b,d,e,f,g,h,i,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=c[f>>2]|0;n=(m|0)==(e|0);do{if(n){o=(c[l+96>>2]|0)==(b|0);if(!o){if((c[l+100>>2]|0)!=(b|0)){break}}c[f>>2]=e+1;a[e]=o?43:45;c[g>>2]=0;p=0;return p|0}}while(0);o=a[i]|0;if((o&1)==0){q=(o&255)>>>1}else{q=c[i+4>>2]|0}if((q|0)!=0&(b|0)==(h|0)){h=c[k>>2]|0;if((h-j|0)>=160){p=0;return p|0}j=c[g>>2]|0;c[k>>2]=h+4;c[h>>2]=j;c[g>>2]=0;p=0;return p|0}j=l+104|0;h=l;while(1){if((h|0)==(j|0)){r=j;break}if((c[h>>2]|0)==(b|0)){r=h;break}else{h=h+4|0}}h=r-l|0;l=h>>2;if((h|0)>92){p=-1;return p|0}do{if((d|0)==8|(d|0)==10){if((l|0)<(d|0)){break}else{p=-1}return p|0}else if((d|0)==16){if((h|0)<88){break}if(n){p=-1;return p|0}if((m-e|0)>=3){p=-1;return p|0}if((a[m-1|0]|0)!=48){p=-1;return p|0}c[g>>2]=0;r=a[8531464+l|0]|0;c[f>>2]=m+1;a[m]=r;p=0;return p|0}}while(0);e=a[8531464+l|0]|0;c[f>>2]=m+1;a[m]=e;c[g>>2]=(c[g>>2]|0)+1;p=0;return p|0}function mDa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=i;i=i+40|0;h=g|0;j=g+16|0;k=g+32|0;zAa(k,d);d=k|0;k=c[d>>2]|0;if(!((c[2143140]|0)==-1)){c[j>>2]=8572560;c[j+4>>2]=18;c[j+8>>2]=0;oza(8572560,j,128)}j=(c[2143141]|0)-1|0;l=c[k+8>>2]|0;do{if((c[k+12>>2]|0)-l>>2>>>0>j>>>0){m=c[l+(j<<2)>>2]|0;if((m|0)==0){break}ke[c[(c[m>>2]|0)+32>>2]&127](m,8531464,8531490,e)|0;m=c[d>>2]|0;if(!((c[2143044]|0)==-1)){c[h>>2]=8572176;c[h+4>>2]=18;c[h+8>>2]=0;oza(8572176,h,128)}n=(c[2143045]|0)-1|0;o=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-o>>2>>>0>n>>>0){p=c[o+(n<<2)>>2]|0;if((p|0)==0){break}q=p;a[f]=Yd[c[(c[p>>2]|0)+16>>2]&255](q)|0;Wd[c[(c[p>>2]|0)+20>>2]&255](b,q);Vya(c[d>>2]|0)|0;i=g;return}}while(0);n=Bd(4)|0;nJa(n);vc(n|0,8529704,182)}}while(0);g=Bd(4)|0;nJa(g);vc(g|0,8529704,182)}function nDa(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;i=i+40|0;j=h|0;k=h+16|0;l=h+32|0;zAa(l,d);d=l|0;l=c[d>>2]|0;if(!((c[2143140]|0)==-1)){c[k>>2]=8572560;c[k+4>>2]=18;c[k+8>>2]=0;oza(8572560,k,128)}k=(c[2143141]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}ke[c[(c[n>>2]|0)+32>>2]&127](n,8531464,8531496,e)|0;n=c[d>>2]|0;if(!((c[2143044]|0)==-1)){c[j>>2]=8572176;c[j+4>>2]=18;c[j+8>>2]=0;oza(8572176,j,128)}o=(c[2143045]|0)-1|0;p=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-p>>2>>>0>o>>>0){q=c[p+(o<<2)>>2]|0;if((q|0)==0){break}r=q;s=q;a[f]=Yd[c[(c[s>>2]|0)+12>>2]&255](r)|0;a[g]=Yd[c[(c[s>>2]|0)+16>>2]&255](r)|0;Wd[c[(c[q>>2]|0)+20>>2]&255](b,r);Vya(c[d>>2]|0)|0;i=h;return}}while(0);o=Bd(4)|0;nJa(o);vc(o|0,8529704,182)}}while(0);h=Bd(4)|0;nJa(h);vc(h|0,8529704,182)}function oDa(b,d,e,f,g,h,i,j,k,l,m,n){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0;if(b<<24>>24==h<<24>>24){if((a[d]|0)==0){o=-1;return o|0}a[d]=0;h=c[g>>2]|0;c[g>>2]=h+1;a[h]=46;h=a[j]|0;if((h&1)==0){p=(h&255)>>>1}else{p=c[j+4>>2]|0}if((p|0)==0){o=0;return o|0}p=c[l>>2]|0;if((p-k|0)>=160){o=0;return o|0}h=c[m>>2]|0;c[l>>2]=p+4;c[p>>2]=h;o=0;return o|0}do{if(b<<24>>24==i<<24>>24){h=a[j]|0;if((h&1)==0){q=(h&255)>>>1}else{q=c[j+4>>2]|0}if((q|0)==0){break}if((a[d]|0)==0){o=-1;return o|0}h=c[l>>2]|0;if((h-k|0)>=160){o=0;return o|0}p=c[m>>2]|0;c[l>>2]=h+4;c[h>>2]=p;c[m>>2]=0;o=0;return o|0}}while(0);q=n+32|0;i=n;while(1){if((i|0)==(q|0)){r=q;break}if((a[i]|0)==b<<24>>24){r=i;break}else{i=i+1|0}}i=r-n|0;if((i|0)>31){o=-1;return o|0}n=a[8531464+i|0]|0;if((i|0)==25|(i|0)==24){r=c[g>>2]|0;do{if((r|0)!=(f|0)){if((a[r-1|0]&95|0)==(a[e]&127|0)){break}else{o=-1}return o|0}}while(0);c[g>>2]=r+1;a[r]=n;o=0;return o|0}else if((i|0)==22|(i|0)==23){a[e]=80;r=c[g>>2]|0;c[g>>2]=r+1;a[r]=n;o=0;return o|0}else{r=a[e]|0;do{if((n&95|0)==(r<<24>>24|0)){a[e]=r|-128;if((a[d]|0)==0){break}a[d]=0;f=a[j]|0;if((f&1)==0){s=(f&255)>>>1}else{s=c[j+4>>2]|0}if((s|0)==0){break}f=c[l>>2]|0;if((f-k|0)>=160){break}b=c[m>>2]|0;c[l>>2]=f+4;c[f>>2]=b}}while(0);l=c[g>>2]|0;c[g>>2]=l+1;a[l]=n;if((i|0)>21){o=0;return o|0}c[m>>2]=(c[m>>2]|0)+1;o=0;return o|0}return 0}function pDa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=i;i=i+40|0;g=f|0;h=f+16|0;j=f+32|0;zAa(j,b);b=j|0;j=c[b>>2]|0;if(!((c[2143138]|0)==-1)){c[h>>2]=8572552;c[h+4>>2]=18;c[h+8>>2]=0;oza(8572552,h,128)}h=(c[2143139]|0)-1|0;k=c[j+8>>2]|0;do{if((c[j+12>>2]|0)-k>>2>>>0>h>>>0){l=c[k+(h<<2)>>2]|0;if((l|0)==0){break}ke[c[(c[l>>2]|0)+48>>2]&127](l,8531464,8531490,d)|0;l=c[b>>2]|0;if(!((c[2143042]|0)==-1)){c[g>>2]=8572168;c[g+4>>2]=18;c[g+8>>2]=0;oza(8572168,g,128)}m=(c[2143043]|0)-1|0;n=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-n>>2>>>0>m>>>0){o=c[n+(m<<2)>>2]|0;if((o|0)==0){break}p=o;c[e>>2]=Yd[c[(c[o>>2]|0)+16>>2]&255](p)|0;Wd[c[(c[o>>2]|0)+20>>2]&255](a,p);Vya(c[b>>2]|0)|0;i=f;return}}while(0);m=Bd(4)|0;nJa(m);vc(m|0,8529704,182)}}while(0);f=Bd(4)|0;nJa(f);vc(f|0,8529704,182)}function qDa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=i;i=i+40|0;h=g|0;j=g+16|0;k=g+32|0;zAa(k,b);b=k|0;k=c[b>>2]|0;if(!((c[2143138]|0)==-1)){c[j>>2]=8572552;c[j+4>>2]=18;c[j+8>>2]=0;oza(8572552,j,128)}j=(c[2143139]|0)-1|0;l=c[k+8>>2]|0;do{if((c[k+12>>2]|0)-l>>2>>>0>j>>>0){m=c[l+(j<<2)>>2]|0;if((m|0)==0){break}ke[c[(c[m>>2]|0)+48>>2]&127](m,8531464,8531496,d)|0;m=c[b>>2]|0;if(!((c[2143042]|0)==-1)){c[h>>2]=8572168;c[h+4>>2]=18;c[h+8>>2]=0;oza(8572168,h,128)}n=(c[2143043]|0)-1|0;o=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-o>>2>>>0>n>>>0){p=c[o+(n<<2)>>2]|0;if((p|0)==0){break}q=p;r=p;c[e>>2]=Yd[c[(c[r>>2]|0)+12>>2]&255](q)|0;c[f>>2]=Yd[c[(c[r>>2]|0)+16>>2]&255](q)|0;Wd[c[(c[p>>2]|0)+20>>2]&255](a,q);Vya(c[b>>2]|0)|0;i=g;return}}while(0);n=Bd(4)|0;nJa(n);vc(n|0,8529704,182)}}while(0);g=Bd(4)|0;nJa(g);vc(g|0,8529704,182)}function rDa(b,d,e,f,g,h,i,j,k,l,m,n){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0;if((b|0)==(h|0)){if((a[d]|0)==0){o=-1;return o|0}a[d]=0;h=c[g>>2]|0;c[g>>2]=h+1;a[h]=46;h=a[j]|0;if((h&1)==0){p=(h&255)>>>1}else{p=c[j+4>>2]|0}if((p|0)==0){o=0;return o|0}p=c[l>>2]|0;if((p-k|0)>=160){o=0;return o|0}h=c[m>>2]|0;c[l>>2]=p+4;c[p>>2]=h;o=0;return o|0}do{if((b|0)==(i|0)){h=a[j]|0;if((h&1)==0){q=(h&255)>>>1}else{q=c[j+4>>2]|0}if((q|0)==0){break}if((a[d]|0)==0){o=-1;return o|0}h=c[l>>2]|0;if((h-k|0)>=160){o=0;return o|0}p=c[m>>2]|0;c[l>>2]=h+4;c[h>>2]=p;c[m>>2]=0;o=0;return o|0}}while(0);q=n+128|0;i=n;while(1){if((i|0)==(q|0)){r=q;break}if((c[i>>2]|0)==(b|0)){r=i;break}else{i=i+4|0}}i=r-n|0;n=i>>2;if((i|0)>124){o=-1;return o|0}r=a[8531464+n|0]|0;do{if((n|0)==25|(n|0)==24){b=c[g>>2]|0;do{if((b|0)!=(f|0)){if((a[b-1|0]&95|0)==(a[e]&127|0)){break}else{o=-1}return o|0}}while(0);c[g>>2]=b+1;a[b]=r;o=0;return o|0}else if((n|0)==22|(n|0)==23){a[e]=80}else{q=a[e]|0;if((r&95|0)!=(q<<24>>24|0)){break}a[e]=q|-128;if((a[d]|0)==0){break}a[d]=0;q=a[j]|0;if((q&1)==0){s=(q&255)>>>1}else{s=c[j+4>>2]|0}if((s|0)==0){break}q=c[l>>2]|0;if((q-k|0)>=160){break}p=c[m>>2]|0;c[l>>2]=q+4;c[q>>2]=p}}while(0);l=c[g>>2]|0;c[g>>2]=l+1;a[l]=r;if((i|0)>84){o=0;return o|0}c[m>>2]=(c[m>>2]|0)+1;o=0;return o|0}function sDa(a){a=a|0;Tya(a|0);QJa(a);return}function tDa(a){a=a|0;Tya(a|0);return}function uDa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;j=i;i=i+48|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+16|0;m=j+24|0;n=j+32|0;if((c[f+4>>2]&1|0)==0){o=c[(c[d>>2]|0)+24>>2]|0;c[l>>2]=c[e>>2];be[o&63](b,d,l,f,g,h&1);i=j;return}zAa(m,f);f=m|0;m=c[f>>2]|0;if(!((c[2143044]|0)==-1)){c[k>>2]=8572176;c[k+4>>2]=18;c[k+8>>2]=0;oza(8572176,k,128)}k=(c[2143045]|0)-1|0;g=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-g>>2>>>0>k>>>0){l=c[g+(k<<2)>>2]|0;if((l|0)==0){break}d=l;Vya(c[f>>2]|0)|0;o=c[l>>2]|0;if(h){Wd[c[o+24>>2]&255](n,d)}else{Wd[c[o+28>>2]&255](n,d)}d=n;o=a[d]|0;if((o&1)==0){l=n+1|0;p=l;q=l;r=n+8|0}else{l=n+8|0;p=c[l>>2]|0;q=n+1|0;r=l}l=e|0;s=n+4|0;t=p;u=o;while(1){if((u&1)==0){v=(u&255)>>>1;w=q}else{v=c[s>>2]|0;w=c[r>>2]|0}if((t|0)==(w+v|0)){break}o=a[t]|0;x=c[l>>2]|0;do{if((x|0)!=0){y=x+24|0;z=c[y>>2]|0;if((z|0)!=(c[x+28>>2]|0)){c[y>>2]=z+1;a[z]=o;break}if(!((he[c[(c[x>>2]|0)+52>>2]&127](x,o&255)|0)==-1)){break}c[l>>2]=0}}while(0);t=t+1|0;u=a[d]|0}c[b>>2]=c[l>>2];Dza(n);i=j;return}}while(0);j=Bd(4)|0;nJa(j);vc(j|0,8529704,182)}function vDa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+80|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+72|0;q=j|0;a[q]=a[8523256]|0;a[q+1|0]=a[8523257]|0;a[q+2|0]=a[8523258]|0;a[q+3|0]=a[8523259]|0;a[q+4|0]=a[8523260]|0;a[q+5|0]=a[8523261]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=k|0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);t=wDa(u,12,c[2142782]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;zAa(o,f);xDa(u,w,q,x,m,n,o);Vya(c[o>>2]|0)|0;c[p>>2]=c[e>>2];$va(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function wDa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;g=i;i=i+16|0;h=g|0;j=h;c[j>>2]=f;c[j+4>>2]=0;j=gd(d|0)|0;d=hd(a|0,b|0,e|0,h|0)|0;if((j|0)==0){i=g;return d|0}gd(j|0)|0;i=g;return d|0}function xDa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[2143140]|0)==-1)){c[m>>2]=8572560;c[m+4>>2]=18;c[m+8>>2]=0;oza(8572560,m,128)}m=(c[2143141]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Bd(4)|0;r=q;nJa(r);vc(q|0,8529704,182)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Bd(4)|0;r=q;nJa(r);vc(q|0,8529704,182)}q=j;r=c[o>>2]|0;if(!((c[2143044]|0)==-1)){c[l>>2]=8572176;c[l+4>>2]=18;c[l+8>>2]=0;oza(8572176,l,128)}l=(c[2143045]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Bd(4)|0;t=s;nJa(t);vc(s|0,8529704,182)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Bd(4)|0;t=s;nJa(t);vc(s|0,8529704,182)}s=r;Wd[c[(c[r>>2]|0)+20>>2]&255](n,s);t=n;l=a[t]|0;if((l&1)==0){u=(l&255)>>>1}else{u=c[n+4>>2]|0}do{if((u|0)==0){ke[c[(c[j>>2]|0)+32>>2]&127](q,b,e,f)|0;c[h>>2]=f+(e-b)}else{c[h>>2]=f;l=a[b]|0;if((l<<24>>24|0)==45|(l<<24>>24|0)==43){o=he[c[(c[j>>2]|0)+28>>2]&127](q,l)|0;l=c[h>>2]|0;c[h>>2]=l+1;a[l]=o;v=b+1|0}else{v=b}do{if((e-v|0)>1){if((a[v]|0)!=48){w=v;break}o=v+1|0;l=a[o]|0;if(!((l<<24>>24|0)==120|(l<<24>>24|0)==88)){w=v;break}l=j;m=he[c[(c[l>>2]|0)+28>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+1;a[p]=m;m=he[c[(c[l>>2]|0)+28>>2]&127](q,a[o]|0)|0;o=c[h>>2]|0;c[h>>2]=o+1;a[o]=m;w=v+2|0}else{w=v}}while(0);do{if((w|0)!=(e|0)){m=e-1|0;if(m>>>0>w>>>0){x=w;y=m}else{break}do{m=a[x]|0;a[x]=a[y]|0;a[y]=m;x=x+1|0;y=y-1|0;}while(x>>>0<y>>>0)}}while(0);m=Yd[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(w>>>0<e>>>0){o=n+1|0;l=j;p=n+4|0;z=n+8|0;A=0;B=0;C=w;while(1){D=(a[t]&1)==0;do{if((a[(D?o:c[z>>2]|0)+B|0]|0)==0){E=B;F=A}else{if((A|0)!=(a[(D?o:c[z>>2]|0)+B|0]|0)){E=B;F=A;break}G=c[h>>2]|0;c[h>>2]=G+1;a[G]=m;G=a[t]|0;if((G&1)==0){H=(G&255)>>>1}else{H=c[p>>2]|0}E=(B>>>0<(H-1|0)>>>0)+B|0;F=0}}while(0);D=he[c[(c[l>>2]|0)+28>>2]&127](q,a[C]|0)|0;G=c[h>>2]|0;c[h>>2]=G+1;a[G]=D;D=C+1|0;if(D>>>0<e>>>0){A=F+1|0;B=E;C=D}else{break}}}C=f+(w-b)|0;B=c[h>>2]|0;if((C|0)==(B|0)){break}A=B-1|0;if(A>>>0>C>>>0){I=C;J=A}else{break}do{A=a[I]|0;a[I]=a[J]|0;a[J]=A;I=I+1|0;J=J-1|0;}while(I>>>0<J>>>0)}}while(0);if((d|0)==(e|0)){K=c[h>>2]|0;c[g>>2]=K;Dza(n);i=k;return}else{K=f+(d-b)|0;c[g>>2]=K;Dza(n);i=k;return}}function yDa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+112|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+80|0;o=d+88|0;p=d+96|0;q=d+104|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=l|0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);t=wDa(u,22,c[2142782]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==32){w=r}else if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;zAa(p,f);xDa(u,w,r,x,n,o,p);Vya(c[p>>2]|0)|0;c[q>>2]=c[e>>2];$va(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function zDa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+80|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+72|0;q=j|0;a[q]=a[8523256]|0;a[q+1|0]=a[8523257]|0;a[q+2|0]=a[8523258]|0;a[q+3|0]=a[8523259]|0;a[q+4|0]=a[8523260]|0;a[q+5|0]=a[8523261]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=k|0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);t=wDa(u,12,c[2142782]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;zAa(o,f);xDa(u,w,q,x,m,n,o);Vya(c[o>>2]|0)|0;c[p>>2]=c[e>>2];$va(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function ADa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+112|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+80|0;o=d+88|0;p=d+96|0;q=d+104|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=l|0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);t=wDa(u,23,c[2142782]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;zAa(p,f);xDa(u,w,r,x,n,o,p);Vya(c[p>>2]|0)|0;c[q>>2]=c[e>>2];$va(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function BDa(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+152|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+112|0;p=d+120|0;q=d+128|0;r=d+136|0;s=d+144|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){if((k&1|0)==0){a[x]=97;y=0;break}else{a[x]=65;y=0;break}}else{a[x]=46;v=x+2|0;a[x+1|0]=42;if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);l=c[2142782]|0;if(y){w=wDa(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=wDa(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[8573120]|0)==0;if(y){do{if(w){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);l=CDa(m,c[2142782]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);w=CDa(m,c[2142782]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}VJa();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else if((B|0)==32){F=A}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=IJa(C<<1)|0;if((G|0)!=0){H=G;I=G;J=E;break}VJa();H=0;I=0;J=c[m>>2]|0}}while(0);zAa(q,f);DDa(J,F,A,H,o,p,q);Vya(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];$va(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){JJa(I)}if((D|0)==0){i=d;return}JJa(D);i=d;return}function CDa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+16|0;g=f|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=gd(b|0)|0;b=Jb(a|0,d|0,g|0)|0;if((h|0)==0){i=f;return b|0}gd(h|0)|0;i=f;return b|0}function DDa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[2143140]|0)==-1)){c[m>>2]=8572560;c[m+4>>2]=18;c[m+8>>2]=0;oza(8572560,m,128)}m=(c[2143141]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Bd(4)|0;r=q;nJa(r);vc(q|0,8529704,182)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Bd(4)|0;r=q;nJa(r);vc(q|0,8529704,182)}q=j;r=c[o>>2]|0;if(!((c[2143044]|0)==-1)){c[l>>2]=8572176;c[l+4>>2]=18;c[l+8>>2]=0;oza(8572176,l,128)}l=(c[2143045]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Bd(4)|0;t=s;nJa(t);vc(s|0,8529704,182)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Bd(4)|0;t=s;nJa(t);vc(s|0,8529704,182)}s=r;Wd[c[(c[r>>2]|0)+20>>2]&255](n,s);c[h>>2]=f;t=a[b]|0;if((t<<24>>24|0)==45|(t<<24>>24|0)==43){l=he[c[(c[j>>2]|0)+28>>2]&127](q,t)|0;t=c[h>>2]|0;c[h>>2]=t+1;a[t]=l;u=b+1|0}else{u=b}l=e;a:do{if((l-u|0)>1){if((a[u]|0)!=48){v=u;w=34;break}t=u+1|0;o=a[t]|0;if(!((o<<24>>24|0)==120|(o<<24>>24|0)==88)){v=u;w=34;break}o=j;m=he[c[(c[o>>2]|0)+28>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+1;a[p]=m;m=u+2|0;p=he[c[(c[o>>2]|0)+28>>2]&127](q,a[t]|0)|0;t=c[h>>2]|0;c[h>>2]=t+1;a[t]=p;p=m;while(1){if(!(p>>>0<e>>>0)){x=m;y=p;break a}t=a[p]|0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);if((ib(t<<24>>24|0,c[2142782]|0)|0)==0){x=m;y=p;break}else{p=p+1|0}}}else{v=u;w=34}}while(0);b:do{if((w|0)==34){while(1){w=0;if(!(v>>>0<e>>>0)){x=u;y=v;break b}p=a[v]|0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);if((Ib(p<<24>>24|0,c[2142782]|0)|0)==0){x=u;y=v;break}else{v=v+1|0;w=34}}}}while(0);w=n;v=a[w]|0;if((v&1)==0){z=(v&255)>>>1}else{z=c[n+4>>2]|0}do{if((z|0)==0){ke[c[(c[j>>2]|0)+32>>2]&127](q,x,y,c[h>>2]|0)|0;c[h>>2]=(c[h>>2]|0)+(y-x)}else{do{if((x|0)!=(y|0)){v=y-1|0;if(v>>>0>x>>>0){A=x;B=v}else{break}do{v=a[A]|0;a[A]=a[B]|0;a[B]=v;A=A+1|0;B=B-1|0;}while(A>>>0<B>>>0)}}while(0);p=Yd[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<y>>>0){v=n+1|0;u=n+4|0;t=n+8|0;m=j;o=0;C=0;D=x;while(1){E=(a[w]&1)==0;do{if((a[(E?v:c[t>>2]|0)+C|0]|0)>0){if((o|0)!=(a[(E?v:c[t>>2]|0)+C|0]|0)){F=C;G=o;break}H=c[h>>2]|0;c[h>>2]=H+1;a[H]=p;H=a[w]|0;if((H&1)==0){I=(H&255)>>>1}else{I=c[u>>2]|0}F=(C>>>0<(I-1|0)>>>0)+C|0;G=0}else{F=C;G=o}}while(0);E=he[c[(c[m>>2]|0)+28>>2]&127](q,a[D]|0)|0;H=c[h>>2]|0;c[h>>2]=H+1;a[H]=E;E=D+1|0;if(E>>>0<y>>>0){o=G+1|0;C=F;D=E}else{break}}}D=f+(x-b)|0;C=c[h>>2]|0;if((D|0)==(C|0)){break}o=C-1|0;if(o>>>0>D>>>0){J=D;K=o}else{break}do{o=a[J]|0;a[J]=a[K]|0;a[K]=o;J=J+1|0;K=K-1|0;}while(J>>>0<K>>>0)}}while(0);c:do{if(y>>>0<e>>>0){K=j;J=y;while(1){x=a[J]|0;if(x<<24>>24==46){break}F=he[c[(c[K>>2]|0)+28>>2]&127](q,x)|0;x=c[h>>2]|0;c[h>>2]=x+1;a[x]=F;F=J+1|0;if(F>>>0<e>>>0){J=F}else{L=F;break c}}K=Yd[c[(c[r>>2]|0)+12>>2]&255](s)|0;F=c[h>>2]|0;c[h>>2]=F+1;a[F]=K;L=J+1|0}else{L=y}}while(0);ke[c[(c[j>>2]|0)+32>>2]&127](q,L,e,c[h>>2]|0)|0;q=(c[h>>2]|0)+(l-L)|0;c[h>>2]=q;if((d|0)==(e|0)){M=q;c[g>>2]=M;Dza(n);i=k;return}M=f+(d-b)|0;c[g>>2]=M;Dza(n);i=k;return}function EDa(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+152|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+112|0;p=d+120|0;q=d+128|0;r=d+136|0;s=d+144|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){a[x]=76;v=x+1|0;if((k&1|0)==0){a[v]=97;y=0;break}else{a[v]=65;y=0;break}}else{a[x]=46;a[x+1|0]=42;a[x+2|0]=76;v=x+3|0;if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);l=c[2142782]|0;if(y){w=wDa(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=wDa(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[8573120]|0)==0;if(y){do{if(w){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);l=CDa(m,c[2142782]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);w=CDa(m,c[2142782]|0,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}VJa();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==32){F=A}else if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=IJa(C<<1)|0;if((G|0)!=0){H=G;I=G;J=E;break}VJa();H=0;I=0;J=c[m>>2]|0}}while(0);zAa(q,f);DDa(J,F,A,H,o,p,q);Vya(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];$va(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){JJa(I)}if((D|0)==0){i=d;return}JJa(D);i=d;return}function FDa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=i;i=i+104|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+24|0;l=d+48|0;m=d+88|0;n=d+96|0;o=d+16|0;a[o]=a[8523264]|0;a[o+1|0]=a[8523265]|0;a[o+2|0]=a[8523266]|0;a[o+3|0]=a[8523267]|0;a[o+4|0]=a[8523268]|0;a[o+5|0]=a[8523269]|0;p=k|0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);q=wDa(p,20,c[2142782]|0,o,(o=i,i=i+8|0,c[o>>2]=h,o)|0)|0;i=o;o=k+q|0;h=c[f+4>>2]&176;do{if((h|0)==32){r=o}else if((h|0)==16){s=a[p]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){r=k+1|0;break}if(!((q|0)>1&s<<24>>24==48)){t=12;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){t=12;break}r=k+2|0}else{t=12}}while(0);if((t|0)==12){r=p}zAa(m,f);t=m|0;m=c[t>>2]|0;if(!((c[2143140]|0)==-1)){c[j>>2]=8572560;c[j+4>>2]=18;c[j+8>>2]=0;oza(8572560,j,128)}j=(c[2143141]|0)-1|0;h=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-h>>2>>>0>j>>>0){s=c[h+(j<<2)>>2]|0;if((s|0)==0){break}Vya(c[t>>2]|0)|0;u=l|0;ke[c[(c[s>>2]|0)+32>>2]&127](s,p,o,u)|0;s=l+q|0;if((r|0)==(o|0)){v=s;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;$va(b,n,u,v,s,f,g);i=d;return}v=l+(r-k)|0;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;$va(b,n,u,v,s,f,g);i=d;return}}while(0);d=Bd(4)|0;nJa(d);vc(d|0,8529704,182)}function GDa(a){a=a|0;Tya(a|0);QJa(a);return}function HDa(a){a=a|0;Tya(a|0);return}function IDa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;j=i;i=i+48|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+16|0;m=j+24|0;n=j+32|0;if((c[f+4>>2]&1|0)==0){o=c[(c[d>>2]|0)+24>>2]|0;c[l>>2]=c[e>>2];be[o&63](b,d,l,f,g,h&1);i=j;return}zAa(m,f);f=m|0;m=c[f>>2]|0;if(!((c[2143042]|0)==-1)){c[k>>2]=8572168;c[k+4>>2]=18;c[k+8>>2]=0;oza(8572168,k,128)}k=(c[2143043]|0)-1|0;g=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-g>>2>>>0>k>>>0){l=c[g+(k<<2)>>2]|0;if((l|0)==0){break}d=l;Vya(c[f>>2]|0)|0;o=c[l>>2]|0;if(h){Wd[c[o+24>>2]&255](n,d)}else{Wd[c[o+28>>2]&255](n,d)}d=n;o=a[d]|0;if((o&1)==0){l=n+4|0;p=l;q=l;r=n+8|0}else{l=n+8|0;p=c[l>>2]|0;q=n+4|0;r=l}l=e|0;s=p;t=o;while(1){if((t&1)==0){u=(t&255)>>>1;v=q}else{u=c[q>>2]|0;v=c[r>>2]|0}if((s|0)==(v+(u<<2)|0)){break}o=c[s>>2]|0;w=c[l>>2]|0;do{if((w|0)!=0){x=w+24|0;y=c[x>>2]|0;if((y|0)==(c[w+28>>2]|0)){z=he[c[(c[w>>2]|0)+52>>2]&127](w,o)|0}else{c[x>>2]=y+4;c[y>>2]=o;z=o}if(!((z|0)==-1)){break}c[l>>2]=0}}while(0);s=s+4|0;t=a[d]|0}c[b>>2]=c[l>>2];fAa(n);i=j;return}}while(0);j=Bd(4)|0;nJa(j);vc(j|0,8529704,182)}function JDa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+144|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+112|0;n=d+120|0;o=d+128|0;p=d+136|0;q=j|0;a[q]=a[8523256]|0;a[q+1|0]=a[8523257]|0;a[q+2|0]=a[8523258]|0;a[q+3|0]=a[8523259]|0;a[q+4|0]=a[8523260]|0;a[q+5|0]=a[8523261]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=100}}while(0);u=k|0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);v=wDa(u,12,c[2142782]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+v|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;zAa(o,f);KDa(u,w,q,x,m,n,o);Vya(c[o>>2]|0)|0;c[p>>2]=c[e>>2];LDa(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}



function KDa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[2143138]|0)==-1)){c[m>>2]=8572552;c[m+4>>2]=18;c[m+8>>2]=0;oza(8572552,m,128)}m=(c[2143139]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Bd(4)|0;r=q;nJa(r);vc(q|0,8529704,182)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Bd(4)|0;r=q;nJa(r);vc(q|0,8529704,182)}q=j;r=c[o>>2]|0;if(!((c[2143042]|0)==-1)){c[l>>2]=8572168;c[l+4>>2]=18;c[l+8>>2]=0;oza(8572168,l,128)}l=(c[2143043]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Bd(4)|0;t=s;nJa(t);vc(s|0,8529704,182)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Bd(4)|0;t=s;nJa(t);vc(s|0,8529704,182)}s=r;Wd[c[(c[r>>2]|0)+20>>2]&255](n,s);t=n;l=a[t]|0;if((l&1)==0){u=(l&255)>>>1}else{u=c[n+4>>2]|0}do{if((u|0)==0){ke[c[(c[j>>2]|0)+48>>2]&127](q,b,e,f)|0;l=f+(e-b<<2)|0;c[h>>2]=l;v=l}else{c[h>>2]=f;l=a[b]|0;if((l<<24>>24|0)==45|(l<<24>>24|0)==43){o=he[c[(c[j>>2]|0)+44>>2]&127](q,l)|0;l=c[h>>2]|0;c[h>>2]=l+4;c[l>>2]=o;w=b+1|0}else{w=b}do{if((e-w|0)>1){if((a[w]|0)!=48){x=w;break}o=w+1|0;l=a[o]|0;if(!((l<<24>>24|0)==120|(l<<24>>24|0)==88)){x=w;break}l=j;m=he[c[(c[l>>2]|0)+44>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+4;c[p>>2]=m;m=he[c[(c[l>>2]|0)+44>>2]&127](q,a[o]|0)|0;o=c[h>>2]|0;c[h>>2]=o+4;c[o>>2]=m;x=w+2|0}else{x=w}}while(0);do{if((x|0)!=(e|0)){m=e-1|0;if(m>>>0>x>>>0){y=x;z=m}else{break}do{m=a[y]|0;a[y]=a[z]|0;a[z]=m;y=y+1|0;z=z-1|0;}while(y>>>0<z>>>0)}}while(0);m=Yd[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<e>>>0){o=n+1|0;l=j;p=n+4|0;A=n+8|0;B=0;C=0;D=x;while(1){E=(a[t]&1)==0;do{if((a[(E?o:c[A>>2]|0)+C|0]|0)==0){F=C;G=B}else{if((B|0)!=(a[(E?o:c[A>>2]|0)+C|0]|0)){F=C;G=B;break}H=c[h>>2]|0;c[h>>2]=H+4;c[H>>2]=m;H=a[t]|0;if((H&1)==0){I=(H&255)>>>1}else{I=c[p>>2]|0}F=(C>>>0<(I-1|0)>>>0)+C|0;G=0}}while(0);E=he[c[(c[l>>2]|0)+44>>2]&127](q,a[D]|0)|0;H=c[h>>2]|0;J=H+4|0;c[h>>2]=J;c[H>>2]=E;E=D+1|0;if(E>>>0<e>>>0){B=G+1|0;C=F;D=E}else{K=J;break}}}else{K=c[h>>2]|0}D=f+(x-b<<2)|0;if((D|0)==(K|0)){v=K;break}C=K-4|0;if(C>>>0>D>>>0){L=D;M=C}else{v=K;break}while(1){C=c[L>>2]|0;c[L>>2]=c[M>>2];c[M>>2]=C;C=L+4|0;D=M-4|0;if(C>>>0<D>>>0){L=C;M=D}else{v=K;break}}}}while(0);if((d|0)==(e|0)){N=v;c[g>>2]=N;Dza(n);i=k;return}N=f+(d-b<<2)|0;c[g>>2]=N;Dza(n);i=k;return}function LDa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=k|0;m=d|0;d=c[m>>2]|0;if((d|0)==0){c[b>>2]=0;i=k;return}n=g;g=e;o=n-g>>2;p=h+12|0;h=c[p>>2]|0;q=(h|0)>(o|0)?h-o|0:0;o=f;h=o-g|0;g=h>>2;do{if((h|0)>0){if((_d[c[(c[d>>2]|0)+48>>2]&127](d,e,g)|0)==(g|0)){break}c[m>>2]=0;c[b>>2]=0;i=k;return}}while(0);do{if((q|0)>0){eAa(l,q,j);if((a[l]&1)==0){r=l+4|0}else{r=c[l+8>>2]|0}if((_d[c[(c[d>>2]|0)+48>>2]&127](d,r,q)|0)==(q|0)){fAa(l);break}c[m>>2]=0;c[b>>2]=0;fAa(l);i=k;return}}while(0);l=n-o|0;o=l>>2;do{if((l|0)>0){if((_d[c[(c[d>>2]|0)+48>>2]&127](d,f,o)|0)==(o|0)){break}c[m>>2]=0;c[b>>2]=0;i=k;return}}while(0);c[p>>2]=0;c[b>>2]=d;i=k;return}function MDa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+232|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+200|0;o=d+208|0;p=d+216|0;q=d+224|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=100}}while(0);u=l|0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);v=wDa(u,22,c[2142782]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+v|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;zAa(p,f);KDa(u,w,r,x,n,o,p);Vya(c[p>>2]|0)|0;c[q>>2]=c[e>>2];LDa(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function NDa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+144|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+112|0;n=d+120|0;o=d+128|0;p=d+136|0;q=j|0;a[q]=a[8523256]|0;a[q+1|0]=a[8523257]|0;a[q+2|0]=a[8523258]|0;a[q+3|0]=a[8523259]|0;a[q+4|0]=a[8523260]|0;a[q+5|0]=a[8523261]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=k|0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);t=wDa(u,12,c[2142782]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==32){w=q}else if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;zAa(o,f);KDa(u,w,q,x,m,n,o);Vya(c[o>>2]|0)|0;c[p>>2]=c[e>>2];LDa(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function ODa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+240|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+208|0;o=d+216|0;p=d+224|0;q=d+232|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=l|0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);t=wDa(u,23,c[2142782]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==32){w=r}else if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;zAa(p,f);KDa(u,w,r,x,n,o,p);Vya(c[p>>2]|0)|0;c[q>>2]=c[e>>2];LDa(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function PDa(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+320|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+280|0;p=d+288|0;q=d+296|0;r=d+304|0;s=d+312|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){if((k&1|0)==0){a[x]=97;y=0;break}else{a[x]=65;y=0;break}}else{a[x]=46;v=x+2|0;a[x+1|0]=42;if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);l=c[2142782]|0;if(y){w=wDa(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=wDa(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[8573120]|0)==0;if(y){do{if(w){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);l=CDa(m,c[2142782]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);w=CDa(m,c[2142782]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}VJa();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==32){F=A}else if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=IJa(C<<3)|0;B=G;if((G|0)!=0){H=B;I=B;J=E;break}VJa();H=B;I=B;J=c[m>>2]|0}}while(0);zAa(q,f);QDa(J,F,A,H,o,p,q);Vya(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];LDa(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){JJa(I)}if((D|0)==0){i=d;return}JJa(D);i=d;return}function QDa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[2143138]|0)==-1)){c[m>>2]=8572552;c[m+4>>2]=18;c[m+8>>2]=0;oza(8572552,m,128)}m=(c[2143139]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Bd(4)|0;r=q;nJa(r);vc(q|0,8529704,182)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Bd(4)|0;r=q;nJa(r);vc(q|0,8529704,182)}q=j;r=c[o>>2]|0;if(!((c[2143042]|0)==-1)){c[l>>2]=8572168;c[l+4>>2]=18;c[l+8>>2]=0;oza(8572168,l,128)}l=(c[2143043]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Bd(4)|0;t=s;nJa(t);vc(s|0,8529704,182)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Bd(4)|0;t=s;nJa(t);vc(s|0,8529704,182)}s=r;Wd[c[(c[r>>2]|0)+20>>2]&255](n,s);c[h>>2]=f;t=a[b]|0;if((t<<24>>24|0)==45|(t<<24>>24|0)==43){l=he[c[(c[j>>2]|0)+44>>2]&127](q,t)|0;t=c[h>>2]|0;c[h>>2]=t+4;c[t>>2]=l;u=b+1|0}else{u=b}l=e;a:do{if((l-u|0)>1){if((a[u]|0)!=48){v=u;w=34;break}t=u+1|0;o=a[t]|0;if(!((o<<24>>24|0)==120|(o<<24>>24|0)==88)){v=u;w=34;break}o=j;m=he[c[(c[o>>2]|0)+44>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+4;c[p>>2]=m;m=u+2|0;p=he[c[(c[o>>2]|0)+44>>2]&127](q,a[t]|0)|0;t=c[h>>2]|0;c[h>>2]=t+4;c[t>>2]=p;p=m;while(1){if(!(p>>>0<e>>>0)){x=m;y=p;break a}t=a[p]|0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);if((ib(t<<24>>24|0,c[2142782]|0)|0)==0){x=m;y=p;break}else{p=p+1|0}}}else{v=u;w=34}}while(0);b:do{if((w|0)==34){while(1){w=0;if(!(v>>>0<e>>>0)){x=u;y=v;break b}p=a[v]|0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);if((Ib(p<<24>>24|0,c[2142782]|0)|0)==0){x=u;y=v;break}else{v=v+1|0;w=34}}}}while(0);w=n;v=a[w]|0;if((v&1)==0){z=(v&255)>>>1}else{z=c[n+4>>2]|0}do{if((z|0)==0){ke[c[(c[j>>2]|0)+48>>2]&127](q,x,y,c[h>>2]|0)|0;v=(c[h>>2]|0)+(y-x<<2)|0;c[h>>2]=v;A=v}else{do{if((x|0)!=(y|0)){v=y-1|0;if(v>>>0>x>>>0){B=x;C=v}else{break}do{v=a[B]|0;a[B]=a[C]|0;a[C]=v;B=B+1|0;C=C-1|0;}while(B>>>0<C>>>0)}}while(0);p=Yd[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<y>>>0){v=n+1|0;u=n+4|0;t=n+8|0;m=j;o=0;D=0;E=x;while(1){F=(a[w]&1)==0;do{if((a[(F?v:c[t>>2]|0)+D|0]|0)>0){if((o|0)!=(a[(F?v:c[t>>2]|0)+D|0]|0)){G=D;H=o;break}I=c[h>>2]|0;c[h>>2]=I+4;c[I>>2]=p;I=a[w]|0;if((I&1)==0){J=(I&255)>>>1}else{J=c[u>>2]|0}G=(D>>>0<(J-1|0)>>>0)+D|0;H=0}else{G=D;H=o}}while(0);F=he[c[(c[m>>2]|0)+44>>2]&127](q,a[E]|0)|0;I=c[h>>2]|0;K=I+4|0;c[h>>2]=K;c[I>>2]=F;F=E+1|0;if(F>>>0<y>>>0){o=H+1|0;D=G;E=F}else{L=K;break}}}else{L=c[h>>2]|0}E=f+(x-b<<2)|0;if((E|0)==(L|0)){A=L;break}D=L-4|0;if(D>>>0>E>>>0){M=E;N=D}else{A=L;break}while(1){D=c[M>>2]|0;c[M>>2]=c[N>>2];c[N>>2]=D;D=M+4|0;E=N-4|0;if(D>>>0<E>>>0){M=D;N=E}else{A=L;break}}}}while(0);c:do{if(y>>>0<e>>>0){L=j;N=y;while(1){M=a[N]|0;if(M<<24>>24==46){break}x=he[c[(c[L>>2]|0)+44>>2]&127](q,M)|0;M=c[h>>2]|0;G=M+4|0;c[h>>2]=G;c[M>>2]=x;x=N+1|0;if(x>>>0<e>>>0){N=x}else{O=x;P=G;break c}}L=Yd[c[(c[r>>2]|0)+12>>2]&255](s)|0;G=c[h>>2]|0;x=G+4|0;c[h>>2]=x;c[G>>2]=L;O=N+1|0;P=x}else{O=y;P=A}}while(0);ke[c[(c[j>>2]|0)+48>>2]&127](q,O,e,P)|0;P=(c[h>>2]|0)+(l-O<<2)|0;c[h>>2]=P;if((d|0)==(e|0)){Q=P;c[g>>2]=Q;Dza(n);i=k;return}Q=f+(d-b<<2)|0;c[g>>2]=Q;Dza(n);i=k;return}function RDa(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+320|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+280|0;p=d+288|0;q=d+296|0;r=d+304|0;s=d+312|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){a[x]=76;v=x+1|0;if((k&1|0)==0){a[v]=97;y=0;break}else{a[v]=65;y=0;break}}else{a[x]=46;a[x+1|0]=42;a[x+2|0]=76;v=x+3|0;if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);l=c[2142782]|0;if(y){w=wDa(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=wDa(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[8573120]|0)==0;if(y){do{if(w){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);l=CDa(m,c[2142782]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);w=CDa(m,c[2142782]|0,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}VJa();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else if((B|0)==32){F=A}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=IJa(C<<3)|0;B=G;if((G|0)!=0){H=B;I=B;J=E;break}VJa();H=B;I=B;J=c[m>>2]|0}}while(0);zAa(q,f);QDa(J,F,A,H,o,p,q);Vya(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];LDa(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){JJa(I)}if((D|0)==0){i=d;return}JJa(D);i=d;return}function SDa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=i;i=i+216|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+24|0;l=d+48|0;m=d+200|0;n=d+208|0;o=d+16|0;a[o]=a[8523264]|0;a[o+1|0]=a[8523265]|0;a[o+2|0]=a[8523266]|0;a[o+3|0]=a[8523267]|0;a[o+4|0]=a[8523268]|0;a[o+5|0]=a[8523269]|0;p=k|0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);q=wDa(p,20,c[2142782]|0,o,(o=i,i=i+8|0,c[o>>2]=h,o)|0)|0;i=o;o=k+q|0;h=c[f+4>>2]&176;do{if((h|0)==16){r=a[p]|0;if((r<<24>>24|0)==45|(r<<24>>24|0)==43){s=k+1|0;break}if(!((q|0)>1&r<<24>>24==48)){t=12;break}r=a[k+1|0]|0;if(!((r<<24>>24|0)==120|(r<<24>>24|0)==88)){t=12;break}s=k+2|0}else if((h|0)==32){s=o}else{t=12}}while(0);if((t|0)==12){s=p}zAa(m,f);t=m|0;m=c[t>>2]|0;if(!((c[2143138]|0)==-1)){c[j>>2]=8572552;c[j+4>>2]=18;c[j+8>>2]=0;oza(8572552,j,128)}j=(c[2143139]|0)-1|0;h=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-h>>2>>>0>j>>>0){r=c[h+(j<<2)>>2]|0;if((r|0)==0){break}Vya(c[t>>2]|0)|0;u=l|0;ke[c[(c[r>>2]|0)+48>>2]&127](r,p,o,u)|0;r=l+(q<<2)|0;if((s|0)==(o|0)){v=r;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;LDa(b,n,u,v,r,f,g);i=d;return}v=l+(s-k<<2)|0;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;LDa(b,n,u,v,r,f,g);i=d;return}}while(0);d=Bd(4)|0;nJa(d);vc(d|0,8529704,182)}function TDa(d,e,f,g,h,j,k,l,m){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;n=i;i=i+48|0;o=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[o>>2];o=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[o>>2];o=n|0;p=n+16|0;q=n+24|0;r=n+32|0;s=n+40|0;zAa(p,h);t=p|0;p=c[t>>2]|0;if(!((c[2143140]|0)==-1)){c[o>>2]=8572560;c[o+4>>2]=18;c[o+8>>2]=0;oza(8572560,o,128)}o=(c[2143141]|0)-1|0;u=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-u>>2>>>0>o>>>0){v=c[u+(o<<2)>>2]|0;if((v|0)==0){break}w=v;Vya(c[t>>2]|0)|0;c[j>>2]=0;x=f|0;a:do{if((l|0)==(m|0)){y=67}else{z=g|0;A=v;B=v;C=v+8|0;D=e;E=r|0;F=s|0;G=q|0;H=l;I=0;b:while(1){J=I;while(1){if((J|0)!=0){y=67;break a}K=c[x>>2]|0;do{if((K|0)==0){L=0}else{if((c[K+12>>2]|0)!=(c[K+16>>2]|0)){L=K;break}if(!((Yd[c[(c[K>>2]|0)+36>>2]&255](K)|0)==-1)){L=K;break}c[x>>2]=0;L=0}}while(0);K=(L|0)==0;M=c[z>>2]|0;c:do{if((M|0)==0){y=20}else{do{if((c[M+12>>2]|0)==(c[M+16>>2]|0)){if(!((Yd[c[(c[M>>2]|0)+36>>2]&255](M)|0)==-1)){break}c[z>>2]=0;y=20;break c}}while(0);if(K){N=M}else{y=21;break b}}}while(0);if((y|0)==20){y=0;if(K){y=21;break b}else{N=0}}if((_d[c[(c[A>>2]|0)+36>>2]&127](w,a[H]|0,0)|0)<<24>>24==37){y=24;break}M=a[H]|0;if(!(M<<24>>24<0)){O=c[C>>2]|0;if(!((b[O+(M<<24>>24<<1)>>1]&8192)==0)){P=H;y=35;break}}Q=L+12|0;M=c[Q>>2]|0;R=L+16|0;if((M|0)==(c[R>>2]|0)){S=(Yd[c[(c[L>>2]|0)+36>>2]&255](L)|0)&255}else{S=a[M]|0}M=he[c[(c[B>>2]|0)+12>>2]&127](w,S)|0;if(M<<24>>24==(he[c[(c[B>>2]|0)+12>>2]&127](w,a[H]|0)|0)<<24>>24){y=62;break}c[j>>2]=4;J=4}d:do{if((y|0)==24){y=0;J=H+1|0;if((J|0)==(m|0)){y=25;break b}M=_d[c[(c[A>>2]|0)+36>>2]&127](w,a[J]|0,0)|0;if((M<<24>>24|0)==69|(M<<24>>24|0)==48){T=H+2|0;if((T|0)==(m|0)){y=28;break b}U=M;V=_d[c[(c[A>>2]|0)+36>>2]&127](w,a[T]|0,0)|0;W=T}else{U=0;V=M;W=J}J=c[(c[D>>2]|0)+36>>2]|0;c[E>>2]=L;c[F>>2]=N;ge[J&7](q,e,r,s,h,j,k,V,U);c[x>>2]=c[G>>2];X=W+1|0}else if((y|0)==35){while(1){y=0;J=P+1|0;if((J|0)==(m|0)){Y=m;break}M=a[J]|0;if(M<<24>>24<0){Y=J;break}if((b[O+(M<<24>>24<<1)>>1]&8192)==0){Y=J;break}else{P=J;y=35}}K=L;J=N;M=N;while(1){do{if((K|0)==0){Z=0}else{if((c[K+12>>2]|0)!=(c[K+16>>2]|0)){Z=K;break}if(!((Yd[c[(c[K>>2]|0)+36>>2]&255](K)|0)==-1)){Z=K;break}c[x>>2]=0;Z=0}}while(0);T=(Z|0)==0;do{if((J|0)==0){_=M;y=48}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(T){$=J;aa=M;break}else{X=Y;break d}}if((Yd[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[z>>2]=0;_=0;y=48;break}else{if(T^(M|0)==0){$=M;aa=M;break}else{X=Y;break d}}}}while(0);if((y|0)==48){y=0;if(T){X=Y;break d}else{$=0;aa=_}}ba=Z+12|0;ca=c[ba>>2]|0;da=Z+16|0;if((ca|0)==(c[da>>2]|0)){ea=(Yd[c[(c[Z>>2]|0)+36>>2]&255](Z)|0)&255}else{ea=a[ca]|0}if(ea<<24>>24<0){X=Y;break d}if((b[(c[C>>2]|0)+(ea<<24>>24<<1)>>1]&8192)==0){X=Y;break d}ca=c[ba>>2]|0;if((ca|0)==(c[da>>2]|0)){Yd[c[(c[Z>>2]|0)+40>>2]&255](Z)|0;K=Z;J=$;M=aa;continue}else{c[ba>>2]=ca+1;K=Z;J=$;M=aa;continue}}}else if((y|0)==62){y=0;M=c[Q>>2]|0;if((M|0)==(c[R>>2]|0)){Yd[c[(c[L>>2]|0)+40>>2]&255](L)|0}else{c[Q>>2]=M+1}X=H+1|0}}while(0);if((X|0)==(m|0)){y=67;break a}H=X;I=c[j>>2]|0}if((y|0)==21){c[j>>2]=4;fa=L;break}else if((y|0)==25){c[j>>2]=4;fa=L;break}else if((y|0)==28){c[j>>2]=4;fa=L;break}}}while(0);if((y|0)==67){fa=c[x>>2]|0}w=f|0;do{if((fa|0)==0){ga=0}else{if((c[fa+12>>2]|0)!=(c[fa+16>>2]|0)){ga=fa;break}if(!((Yd[c[(c[fa>>2]|0)+36>>2]&255](fa)|0)==-1)){ga=fa;break}c[w>>2]=0;ga=0}}while(0);w=(ga|0)==0;x=g|0;v=c[x>>2]|0;e:do{if((v|0)==0){y=77}else{do{if((c[v+12>>2]|0)==(c[v+16>>2]|0)){if(!((Yd[c[(c[v>>2]|0)+36>>2]&255](v)|0)==-1)){break}c[x>>2]=0;y=77;break e}}while(0);if(!w){break}ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);do{if((y|0)==77){if(w){break}ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);c[j>>2]=c[j>>2]|2;ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);n=Bd(4)|0;nJa(n);vc(n|0,8529704,182)}function UDa(a){a=a|0;Tya(a|0);QJa(a);return}function VDa(a){a=a|0;Tya(a|0);return}function WDa(a){a=a|0;return 2}function XDa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;j=i;i=i+16|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;c[k>>2]=c[d>>2];c[l>>2]=c[e>>2];TDa(a,b,k,l,f,g,h,8523248,8523256);i=j;return}function YDa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+8|0;n=d+8|0;o=Yd[c[(c[n>>2]|0)+20>>2]&255](n)|0;c[l>>2]=c[e>>2];c[m>>2]=c[f>>2];f=a[o]|0;if((f&1)==0){p=(f&255)>>>1;q=o+1|0;r=o+1|0}else{f=c[o+8>>2]|0;p=c[o+4>>2]|0;q=f;r=f}TDa(b,d,l,m,g,h,j,q,r+p|0);i=k;return}function ZDa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;zAa(m,f);f=m|0;m=c[f>>2]|0;if(!((c[2143140]|0)==-1)){c[l>>2]=8572560;c[l+4>>2]=18;c[l+8>>2]=0;oza(8572560,l,128)}l=(c[2143141]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}Vya(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Yd[c[c[q>>2]>>2]&255](q)|0;c[k>>2]=p;p=(uCa(d,k,r,r+168|0,o,g,0)|0)-r|0;if((p|0)>=168){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+24>>2]=((p|0)/12|0|0)%7|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Bd(4)|0;nJa(j);vc(j|0,8529704,182)}function _Da(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;zAa(m,f);f=m|0;m=c[f>>2]|0;if(!((c[2143140]|0)==-1)){c[l>>2]=8572560;c[l+4>>2]=18;c[l+8>>2]=0;oza(8572560,l,128)}l=(c[2143141]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}Vya(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Yd[c[(c[q>>2]|0)+4>>2]&255](q)|0;c[k>>2]=p;p=(uCa(d,k,r,r+288|0,o,g,0)|0)-r|0;if((p|0)>=288){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+16>>2]=((p|0)/12|0|0)%12|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Bd(4)|0;nJa(j);vc(j|0,8529704,182)}function $Da(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+32|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;l=b+24|0;zAa(l,f);f=l|0;l=c[f>>2]|0;if(!((c[2143140]|0)==-1)){c[k>>2]=8572560;c[k+4>>2]=18;c[k+8>>2]=0;oza(8572560,k,128)}k=(c[2143141]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}Vya(c[f>>2]|0)|0;c[j>>2]=c[e>>2];o=eEa(d,j,g,n,4)|0;if((c[g>>2]&4|0)!=0){p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}if((o|0)<69){s=o+2e3|0}else{s=(o-69|0)>>>0<31>>>0?o+1900|0:o}c[h+20>>2]=s-1900;p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}}while(0);b=Bd(4)|0;nJa(b);vc(b|0,8529704,182)}function aEa(b,d,e,f,g,h,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;l=i;i=i+328|0;m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[m>>2];m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+64|0;v=l+72|0;w=l+80|0;x=l+88|0;y=l+96|0;z=l+112|0;A=l+120|0;B=l+128|0;C=l+136|0;D=l+144|0;E=l+152|0;F=l+160|0;G=l+168|0;H=l+176|0;I=l+184|0;J=l+192|0;K=l+200|0;L=l+208|0;M=l+216|0;N=l+224|0;O=l+232|0;P=l+240|0;Q=l+248|0;R=l+256|0;S=l+264|0;T=l+272|0;U=l+280|0;V=l+288|0;W=l+296|0;X=l+304|0;Y=l+312|0;Z=l+320|0;c[h>>2]=0;zAa(z,g);_=z|0;z=c[_>>2]|0;if(!((c[2143140]|0)==-1)){c[y>>2]=8572560;c[y+4>>2]=18;c[y+8>>2]=0;oza(8572560,y,128)}y=(c[2143141]|0)-1|0;$=c[z+8>>2]|0;do{if((c[z+12>>2]|0)-$>>2>>>0>y>>>0){aa=c[$+(y<<2)>>2]|0;if((aa|0)==0){break}ba=aa;Vya(c[_>>2]|0)|0;a:do{switch(k<<24>>24|0){case 77:{c[q>>2]=c[f>>2];aa=eEa(e,q,h,ba,2)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(aa|0)<60){c[j+4>>2]=aa;break a}else{c[h>>2]=ca|4;break a}break};case 98:case 66:case 104:{ca=c[f>>2]|0;aa=d+8|0;da=Yd[c[(c[aa>>2]|0)+4>>2]&255](aa)|0;c[w>>2]=ca;ca=(uCa(e,w,da,da+288|0,ba,h,0)|0)-da|0;if((ca|0)>=288){break a}c[j+16>>2]=((ca|0)/12|0|0)%12|0;break};case 72:{c[u>>2]=c[f>>2];ca=eEa(e,u,h,ba,2)|0;da=c[h>>2]|0;if((da&4|0)==0&(ca|0)<24){c[j+8>>2]=ca;break a}else{c[h>>2]=da|4;break a}break};case 99:{da=d+8|0;ca=Yd[c[(c[da>>2]|0)+12>>2]&255](da)|0;da=e|0;c[B>>2]=c[da>>2];c[C>>2]=c[f>>2];aa=a[ca]|0;if((aa&1)==0){ea=(aa&255)>>>1;fa=ca+1|0;ga=ca+1|0}else{aa=c[ca+8>>2]|0;ea=c[ca+4>>2]|0;fa=aa;ga=aa}TDa(A,d,B,C,g,h,j,fa,ga+ea|0);c[da>>2]=c[A>>2];break};case 73:{da=j+8|0;c[t>>2]=c[f>>2];aa=eEa(e,t,h,ba,2)|0;ca=c[h>>2]|0;do{if((ca&4|0)==0){if(!((aa-1|0)>>>0<12>>>0)){break}c[da>>2]=aa;break a}}while(0);c[h>>2]=ca|4;break};case 121:{c[n>>2]=c[f>>2];aa=eEa(e,n,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}if((aa|0)<69){ha=aa+2e3|0}else{ha=(aa-69|0)>>>0<31>>>0?aa+1900|0:aa}c[j+20>>2]=ha-1900;break};case 84:{aa=e|0;c[S>>2]=c[aa>>2];c[T>>2]=c[f>>2];TDa(R,d,S,T,g,h,j,8523200,8523208);c[aa>>2]=c[R>>2];break};case 114:{aa=e|0;c[M>>2]=c[aa>>2];c[N>>2]=c[f>>2];TDa(L,d,M,N,g,h,j,8523216,8523227);c[aa>>2]=c[L>>2];break};case 82:{aa=e|0;c[P>>2]=c[aa>>2];c[Q>>2]=c[f>>2];TDa(O,d,P,Q,g,h,j,8523208,8523213);c[aa>>2]=c[O>>2];break};case 83:{c[p>>2]=c[f>>2];aa=eEa(e,p,h,ba,2)|0;da=c[h>>2]|0;if((da&4|0)==0&(aa|0)<61){c[j>>2]=aa;break a}else{c[h>>2]=da|4;break a}break};case 119:{c[o>>2]=c[f>>2];da=eEa(e,o,h,ba,1)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(da|0)<7){c[j+24>>2]=da;break a}else{c[h>>2]=aa|4;break a}break};case 110:case 116:{c[J>>2]=c[f>>2];bEa(0,e,J,h,ba);break};case 112:{c[K>>2]=c[f>>2];cEa(d,j+8|0,e,K,h,ba);break};case 120:{aa=c[(c[d>>2]|0)+20>>2]|0;c[U>>2]=c[e>>2];c[V>>2]=c[f>>2];ee[aa&127](b,d,U,V,g,h,j);i=l;return};case 88:{aa=d+8|0;da=Yd[c[(c[aa>>2]|0)+24>>2]&255](aa)|0;aa=e|0;c[X>>2]=c[aa>>2];c[Y>>2]=c[f>>2];ia=a[da]|0;if((ia&1)==0){ja=(ia&255)>>>1;ka=da+1|0;la=da+1|0}else{ia=c[da+8>>2]|0;ja=c[da+4>>2]|0;ka=ia;la=ia}TDa(W,d,X,Y,g,h,j,ka,la+ja|0);c[aa>>2]=c[W>>2];break};case 100:case 101:{aa=j+12|0;c[v>>2]=c[f>>2];ia=eEa(e,v,h,ba,2)|0;da=c[h>>2]|0;do{if((da&4|0)==0){if(!((ia-1|0)>>>0<31>>>0)){break}c[aa>>2]=ia;break a}}while(0);c[h>>2]=da|4;break};case 97:case 65:{ia=c[f>>2]|0;aa=d+8|0;ca=Yd[c[c[aa>>2]>>2]&255](aa)|0;c[x>>2]=ia;ia=(uCa(e,x,ca,ca+168|0,ba,h,0)|0)-ca|0;if((ia|0)>=168){break a}c[j+24>>2]=((ia|0)/12|0|0)%7|0;break};case 109:{c[r>>2]=c[f>>2];ia=(eEa(e,r,h,ba,2)|0)-1|0;ca=c[h>>2]|0;if((ca&4|0)==0&(ia|0)<12){c[j+16>>2]=ia;break a}else{c[h>>2]=ca|4;break a}break};case 89:{c[m>>2]=c[f>>2];ca=eEa(e,m,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}c[j+20>>2]=ca-1900;break};case 70:{ca=e|0;c[H>>2]=c[ca>>2];c[I>>2]=c[f>>2];TDa(G,d,H,I,g,h,j,8523232,8523240);c[ca>>2]=c[G>>2];break};case 37:{c[Z>>2]=c[f>>2];dEa(0,e,Z,h,ba);break};case 68:{ca=e|0;c[E>>2]=c[ca>>2];c[F>>2]=c[f>>2];TDa(D,d,E,F,g,h,j,8523240,8523248);c[ca>>2]=c[D>>2];break};case 106:{c[s>>2]=c[f>>2];ca=eEa(e,s,h,ba,3)|0;ia=c[h>>2]|0;if((ia&4|0)==0&(ca|0)<366){c[j+28>>2]=ca;break a}else{c[h>>2]=ia|4;break a}break};default:{c[h>>2]=c[h>>2]|4}}}while(0);c[b>>2]=c[e>>2];i=l;return}}while(0);l=Bd(4)|0;nJa(l);vc(l|0,8529704,182)}function bEa(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=i;j=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[j>>2];j=e|0;e=f|0;f=h+8|0;a:while(1){h=c[j>>2]|0;do{if((h|0)==0){k=0}else{if((c[h+12>>2]|0)!=(c[h+16>>2]|0)){k=h;break}if((Yd[c[(c[h>>2]|0)+36>>2]&255](h)|0)==-1){c[j>>2]=0;k=0;break}else{k=c[j>>2]|0;break}}}while(0);h=(k|0)==0;l=c[e>>2]|0;do{if((l|0)==0){m=12}else{if((c[l+12>>2]|0)!=(c[l+16>>2]|0)){if(h){n=l;break}else{o=l;break a}}if((Yd[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1){c[e>>2]=0;m=12;break}else{if(h){n=l;break}else{o=l;break a}}}}while(0);if((m|0)==12){m=0;if(h){o=0;break}else{n=0}}l=c[j>>2]|0;p=c[l+12>>2]|0;if((p|0)==(c[l+16>>2]|0)){q=(Yd[c[(c[l>>2]|0)+36>>2]&255](l)|0)&255}else{q=a[p]|0}if(q<<24>>24<0){o=n;break}if((b[(c[f>>2]|0)+(q<<24>>24<<1)>>1]&8192)==0){o=n;break}p=c[j>>2]|0;l=p+12|0;r=c[l>>2]|0;if((r|0)==(c[p+16>>2]|0)){Yd[c[(c[p>>2]|0)+40>>2]&255](p)|0;continue}else{c[l>>2]=r+1;continue}}n=c[j>>2]|0;do{if((n|0)==0){s=0}else{if((c[n+12>>2]|0)!=(c[n+16>>2]|0)){s=n;break}if((Yd[c[(c[n>>2]|0)+36>>2]&255](n)|0)==-1){c[j>>2]=0;s=0;break}else{s=c[j>>2]|0;break}}}while(0);j=(s|0)==0;b:do{if((o|0)==0){m=32}else{do{if((c[o+12>>2]|0)==(c[o+16>>2]|0)){if(!((Yd[c[(c[o>>2]|0)+36>>2]&255](o)|0)==-1)){break}c[e>>2]=0;m=32;break b}}while(0);if(!j){break}i=d;return}}while(0);do{if((m|0)==32){if(j){break}i=d;return}}while(0);c[g>>2]=c[g>>2]|2;i=d;return}function cEa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;i=i+8|0;k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=j|0;l=b+8|0;b=Yd[c[(c[l>>2]|0)+8>>2]&255](l)|0;l=a[b]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[b+4>>2]|0}l=a[b+12|0]|0;if((l&1)==0){n=(l&255)>>>1}else{n=c[b+16>>2]|0}if((m|0)==(-n|0)){c[g>>2]=c[g>>2]|4;i=j;return}c[k>>2]=c[f>>2];f=uCa(e,k,b,b+24|0,h,g,0)|0;g=f-b|0;do{if((f|0)==(b|0)){if((c[d>>2]|0)!=12){break}c[d>>2]=0;i=j;return}}while(0);if((g|0)!=12){i=j;return}g=c[d>>2]|0;if((g|0)>=12){i=j;return}c[d>>2]=g+12;i=j;return}function dEa(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;b=i;h=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[h>>2];h=d|0;d=c[h>>2]|0;do{if((d|0)==0){j=0}else{if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){j=d;break}if((Yd[c[(c[d>>2]|0)+36>>2]&255](d)|0)==-1){c[h>>2]=0;j=0;break}else{j=c[h>>2]|0;break}}}while(0);d=(j|0)==0;j=e|0;e=c[j>>2]|0;a:do{if((e|0)==0){k=11}else{do{if((c[e+12>>2]|0)==(c[e+16>>2]|0)){if(!((Yd[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1)){break}c[j>>2]=0;k=11;break a}}while(0);if(d){l=e}else{k=12}}}while(0);if((k|0)==11){if(d){k=12}else{l=0}}if((k|0)==12){c[f>>2]=c[f>>2]|6;i=b;return}d=c[h>>2]|0;e=c[d+12>>2]|0;if((e|0)==(c[d+16>>2]|0)){m=(Yd[c[(c[d>>2]|0)+36>>2]&255](d)|0)&255}else{m=a[e]|0}if(!((_d[c[(c[g>>2]|0)+36>>2]&127](g,m,0)|0)<<24>>24==37)){c[f>>2]=c[f>>2]|4;i=b;return}m=c[h>>2]|0;g=m+12|0;e=c[g>>2]|0;if((e|0)==(c[m+16>>2]|0)){Yd[c[(c[m>>2]|0)+40>>2]&255](m)|0}else{c[g>>2]=e+1}e=c[h>>2]|0;do{if((e|0)==0){n=0}else{if((c[e+12>>2]|0)!=(c[e+16>>2]|0)){n=e;break}if((Yd[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1){c[h>>2]=0;n=0;break}else{n=c[h>>2]|0;break}}}while(0);h=(n|0)==0;b:do{if((l|0)==0){k=31}else{do{if((c[l+12>>2]|0)==(c[l+16>>2]|0)){if(!((Yd[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1)){break}c[j>>2]=0;k=31;break b}}while(0);if(!h){break}i=b;return}}while(0);do{if((k|0)==31){if(h){break}i=b;return}}while(0);c[f>>2]=c[f>>2]|2;i=b;return}function eEa(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=i;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;d=c[k>>2]|0;do{if((d|0)==0){l=0}else{if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){l=d;break}if((Yd[c[(c[d>>2]|0)+36>>2]&255](d)|0)==-1){c[k>>2]=0;l=0;break}else{l=c[k>>2]|0;break}}}while(0);d=(l|0)==0;l=e|0;e=c[l>>2]|0;a:do{if((e|0)==0){m=11}else{do{if((c[e+12>>2]|0)==(c[e+16>>2]|0)){if(!((Yd[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1)){break}c[l>>2]=0;m=11;break a}}while(0);if(d){n=e}else{m=12}}}while(0);if((m|0)==11){if(d){m=12}else{n=0}}if((m|0)==12){c[f>>2]=c[f>>2]|6;o=0;i=j;return o|0}d=c[k>>2]|0;e=c[d+12>>2]|0;if((e|0)==(c[d+16>>2]|0)){p=(Yd[c[(c[d>>2]|0)+36>>2]&255](d)|0)&255}else{p=a[e]|0}do{if(!(p<<24>>24<0)){e=g+8|0;if((b[(c[e>>2]|0)+(p<<24>>24<<1)>>1]&2048)==0){break}d=g;q=(_d[c[(c[d>>2]|0)+36>>2]&127](g,p,0)|0)<<24>>24;r=c[k>>2]|0;s=r+12|0;t=c[s>>2]|0;if((t|0)==(c[r+16>>2]|0)){Yd[c[(c[r>>2]|0)+40>>2]&255](r)|0;u=q;v=h;w=n;x=n}else{c[s>>2]=t+1;u=q;v=h;w=n;x=n}while(1){y=u-48|0;q=v-1|0;t=c[k>>2]|0;do{if((t|0)==0){z=0}else{if((c[t+12>>2]|0)!=(c[t+16>>2]|0)){z=t;break}if((Yd[c[(c[t>>2]|0)+36>>2]&255](t)|0)==-1){c[k>>2]=0;z=0;break}else{z=c[k>>2]|0;break}}}while(0);t=(z|0)==0;do{if((w|0)==0){A=0;B=x}else{if((c[w+12>>2]|0)!=(c[w+16>>2]|0)){A=w;B=x;break}if(!((Yd[c[(c[w>>2]|0)+36>>2]&255](w)|0)==-1)){A=x;B=x;break}c[l>>2]=0;A=0;B=0}}while(0);C=c[k>>2]|0;if(!((t^(A|0)==0)&(q|0)>0)){m=40;break}s=c[C+12>>2]|0;if((s|0)==(c[C+16>>2]|0)){D=(Yd[c[(c[C>>2]|0)+36>>2]&255](C)|0)&255}else{D=a[s]|0}if(D<<24>>24<0){o=y;m=52;break}if((b[(c[e>>2]|0)+(D<<24>>24<<1)>>1]&2048)==0){o=y;m=52;break}s=((_d[c[(c[d>>2]|0)+36>>2]&127](g,D,0)|0)<<24>>24)+(y*10|0)|0;r=c[k>>2]|0;E=r+12|0;F=c[E>>2]|0;if((F|0)==(c[r+16>>2]|0)){Yd[c[(c[r>>2]|0)+40>>2]&255](r)|0;u=s;v=q;w=A;x=B;continue}else{c[E>>2]=F+1;u=s;v=q;w=A;x=B;continue}}if((m|0)==40){do{if((C|0)==0){G=0}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){G=C;break}if((Yd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[k>>2]=0;G=0;break}else{G=c[k>>2]|0;break}}}while(0);d=(G|0)==0;b:do{if((B|0)==0){m=50}else{do{if((c[B+12>>2]|0)==(c[B+16>>2]|0)){if(!((Yd[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){break}c[l>>2]=0;m=50;break b}}while(0);if(d){o=y}else{break}i=j;return o|0}}while(0);do{if((m|0)==50){if(d){break}else{o=y}i=j;return o|0}}while(0);c[f>>2]=c[f>>2]|2;o=y;i=j;return o|0}else if((m|0)==52){i=j;return o|0}}}while(0);c[f>>2]=c[f>>2]|4;o=0;i=j;return o|0}function fEa(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;l=i;i=i+48|0;m=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[m>>2];m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=l|0;n=l+16|0;o=l+24|0;p=l+32|0;q=l+40|0;zAa(n,f);r=n|0;n=c[r>>2]|0;if(!((c[2143138]|0)==-1)){c[m>>2]=8572552;c[m+4>>2]=18;c[m+8>>2]=0;oza(8572552,m,128)}m=(c[2143139]|0)-1|0;s=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-s>>2>>>0>m>>>0){t=c[s+(m<<2)>>2]|0;if((t|0)==0){break}u=t;Vya(c[r>>2]|0)|0;c[g>>2]=0;v=d|0;a:do{if((j|0)==(k|0)){w=71}else{x=e|0;y=t;z=t;A=t;B=b;C=p|0;D=q|0;E=o|0;F=j;G=0;b:while(1){H=G;while(1){if((H|0)!=0){w=71;break a}I=c[v>>2]|0;do{if((I|0)==0){J=1;K=0}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){M=Yd[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{M=c[L>>2]|0}if(!((M|0)==-1)){J=0;K=I;break}c[v>>2]=0;J=1;K=0}}while(0);I=c[x>>2]|0;do{if((I|0)==0){w=23}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){N=Yd[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{N=c[L>>2]|0}if((N|0)==-1){c[x>>2]=0;w=23;break}else{if(J){O=I;break}else{w=25;break b}}}}while(0);if((w|0)==23){w=0;if(J){w=25;break b}else{O=0}}if((_d[c[(c[y>>2]|0)+52>>2]&127](u,c[F>>2]|0,0)|0)<<24>>24==37){w=28;break}if(_d[c[(c[z>>2]|0)+12>>2]&127](u,8192,c[F>>2]|0)|0){P=F;w=38;break}Q=K+12|0;I=c[Q>>2]|0;R=K+16|0;if((I|0)==(c[R>>2]|0)){S=Yd[c[(c[K>>2]|0)+36>>2]&255](K)|0}else{S=c[I>>2]|0}I=he[c[(c[A>>2]|0)+28>>2]&127](u,S)|0;if((I|0)==(he[c[(c[A>>2]|0)+28>>2]&127](u,c[F>>2]|0)|0)){w=66;break}c[g>>2]=4;H=4}c:do{if((w|0)==28){w=0;H=F+4|0;if((H|0)==(k|0)){w=29;break b}I=_d[c[(c[y>>2]|0)+52>>2]&127](u,c[H>>2]|0,0)|0;if((I<<24>>24|0)==69|(I<<24>>24|0)==48){L=F+8|0;if((L|0)==(k|0)){w=32;break b}T=I;U=_d[c[(c[y>>2]|0)+52>>2]&127](u,c[L>>2]|0,0)|0;V=L}else{T=0;U=I;V=H}H=c[(c[B>>2]|0)+36>>2]|0;c[C>>2]=K;c[D>>2]=O;ge[H&7](o,b,p,q,f,g,h,U,T);c[v>>2]=c[E>>2];W=V+4|0}else if((w|0)==38){while(1){w=0;H=P+4|0;if((H|0)==(k|0)){X=k;break}if(_d[c[(c[z>>2]|0)+12>>2]&127](u,8192,c[H>>2]|0)|0){P=H;w=38}else{X=H;break}}H=K;I=O;L=O;while(1){do{if((H|0)==0){Y=1;Z=0}else{_=c[H+12>>2]|0;if((_|0)==(c[H+16>>2]|0)){$=Yd[c[(c[H>>2]|0)+36>>2]&255](H)|0}else{$=c[_>>2]|0}if(!(($|0)==-1)){Y=0;Z=H;break}c[v>>2]=0;Y=1;Z=0}}while(0);do{if((I|0)==0){aa=L;w=53}else{_=c[I+12>>2]|0;if((_|0)==(c[I+16>>2]|0)){ba=Yd[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{ba=c[_>>2]|0}if((ba|0)==-1){c[x>>2]=0;aa=0;w=53;break}else{if(Y^(L|0)==0){ca=L;da=L;break}else{W=X;break c}}}}while(0);if((w|0)==53){w=0;if(Y){W=X;break c}else{ca=0;da=aa}}_=Z+12|0;ea=c[_>>2]|0;fa=Z+16|0;if((ea|0)==(c[fa>>2]|0)){ga=Yd[c[(c[Z>>2]|0)+36>>2]&255](Z)|0}else{ga=c[ea>>2]|0}if(!(_d[c[(c[z>>2]|0)+12>>2]&127](u,8192,ga)|0)){W=X;break c}ea=c[_>>2]|0;if((ea|0)==(c[fa>>2]|0)){Yd[c[(c[Z>>2]|0)+40>>2]&255](Z)|0;H=Z;I=ca;L=da;continue}else{c[_>>2]=ea+4;H=Z;I=ca;L=da;continue}}}else if((w|0)==66){w=0;L=c[Q>>2]|0;if((L|0)==(c[R>>2]|0)){Yd[c[(c[K>>2]|0)+40>>2]&255](K)|0}else{c[Q>>2]=L+4}W=F+4|0}}while(0);if((W|0)==(k|0)){w=71;break a}F=W;G=c[g>>2]|0}if((w|0)==25){c[g>>2]=4;ha=K;break}else if((w|0)==29){c[g>>2]=4;ha=K;break}else if((w|0)==32){c[g>>2]=4;ha=K;break}}}while(0);if((w|0)==71){ha=c[v>>2]|0}u=d|0;do{if((ha|0)==0){ia=1;ja=0}else{t=c[ha+12>>2]|0;if((t|0)==(c[ha+16>>2]|0)){ka=Yd[c[(c[ha>>2]|0)+36>>2]&255](ha)|0}else{ka=c[t>>2]|0}if(!((ka|0)==-1)){ia=0;ja=ha;break}c[u>>2]=0;ia=1;ja=0}}while(0);u=e|0;v=c[u>>2]|0;do{if((v|0)==0){w=84}else{t=c[v+12>>2]|0;if((t|0)==(c[v+16>>2]|0)){la=Yd[c[(c[v>>2]|0)+36>>2]&255](v)|0}else{la=c[t>>2]|0}if((la|0)==-1){c[u>>2]=0;w=84;break}if(!ia){break}ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);do{if((w|0)==84){if(ia){break}ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);c[g>>2]=c[g>>2]|2;ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);l=Bd(4)|0;nJa(l);vc(l|0,8529704,182)}function gEa(a){a=a|0;Tya(a|0);QJa(a);return}function hEa(a){a=a|0;Tya(a|0);return}function iEa(a){a=a|0;return 2}function jEa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;j=i;i=i+16|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;c[k>>2]=c[d>>2];c[l>>2]=c[e>>2];fEa(a,b,k,l,f,g,h,8523168,8523200);i=j;return}function kEa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+8|0;n=d+8|0;o=Yd[c[(c[n>>2]|0)+20>>2]&255](n)|0;c[l>>2]=c[e>>2];c[m>>2]=c[f>>2];f=a[o]|0;if((f&1)==0){p=(f&255)>>>1;q=o+4|0;r=o+4|0}else{f=c[o+8>>2]|0;p=c[o+4>>2]|0;q=f;r=f}fEa(b,d,l,m,g,h,j,q,r+(p<<2)|0);i=k;return}function lEa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;zAa(m,f);f=m|0;m=c[f>>2]|0;if(!((c[2143138]|0)==-1)){c[l>>2]=8572552;c[l+4>>2]=18;c[l+8>>2]=0;oza(8572552,l,128)}l=(c[2143139]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}Vya(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Yd[c[c[q>>2]>>2]&255](q)|0;c[k>>2]=p;p=(TCa(d,k,r,r+168|0,o,g,0)|0)-r|0;if((p|0)>=168){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+24>>2]=((p|0)/12|0|0)%7|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Bd(4)|0;nJa(j);vc(j|0,8529704,182)}function mEa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;zAa(m,f);f=m|0;m=c[f>>2]|0;if(!((c[2143138]|0)==-1)){c[l>>2]=8572552;c[l+4>>2]=18;c[l+8>>2]=0;oza(8572552,l,128)}l=(c[2143139]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}Vya(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Yd[c[(c[q>>2]|0)+4>>2]&255](q)|0;c[k>>2]=p;p=(TCa(d,k,r,r+288|0,o,g,0)|0)-r|0;if((p|0)>=288){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+16>>2]=((p|0)/12|0|0)%12|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Bd(4)|0;nJa(j);vc(j|0,8529704,182)}function nEa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+32|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;l=b+24|0;zAa(l,f);f=l|0;l=c[f>>2]|0;if(!((c[2143138]|0)==-1)){c[k>>2]=8572552;c[k+4>>2]=18;c[k+8>>2]=0;oza(8572552,k,128)}k=(c[2143139]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}Vya(c[f>>2]|0)|0;c[j>>2]=c[e>>2];o=sEa(d,j,g,n,4)|0;if((c[g>>2]&4|0)!=0){p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}if((o|0)<69){s=o+2e3|0}else{s=(o-69|0)>>>0<31>>>0?o+1900|0:o}c[h+20>>2]=s-1900;p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}}while(0);b=Bd(4)|0;nJa(b);vc(b|0,8529704,182)}function oEa(b,d,e,f,g,h,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;l=i;i=i+328|0;m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[m>>2];m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+64|0;v=l+72|0;w=l+80|0;x=l+88|0;y=l+96|0;z=l+112|0;A=l+120|0;B=l+128|0;C=l+136|0;D=l+144|0;E=l+152|0;F=l+160|0;G=l+168|0;H=l+176|0;I=l+184|0;J=l+192|0;K=l+200|0;L=l+208|0;M=l+216|0;N=l+224|0;O=l+232|0;P=l+240|0;Q=l+248|0;R=l+256|0;S=l+264|0;T=l+272|0;U=l+280|0;V=l+288|0;W=l+296|0;X=l+304|0;Y=l+312|0;Z=l+320|0;c[h>>2]=0;zAa(z,g);_=z|0;z=c[_>>2]|0;if(!((c[2143138]|0)==-1)){c[y>>2]=8572552;c[y+4>>2]=18;c[y+8>>2]=0;oza(8572552,y,128)}y=(c[2143139]|0)-1|0;$=c[z+8>>2]|0;do{if((c[z+12>>2]|0)-$>>2>>>0>y>>>0){aa=c[$+(y<<2)>>2]|0;if((aa|0)==0){break}ba=aa;Vya(c[_>>2]|0)|0;a:do{switch(k<<24>>24|0){case 112:{c[K>>2]=c[f>>2];qEa(d,j+8|0,e,K,h,ba);break};case 114:{aa=e|0;c[M>>2]=c[aa>>2];c[N>>2]=c[f>>2];fEa(L,d,M,N,g,h,j,8523088,8523132);c[aa>>2]=c[L>>2];break};case 98:case 66:case 104:{aa=c[f>>2]|0;ca=d+8|0;da=Yd[c[(c[ca>>2]|0)+4>>2]&255](ca)|0;c[w>>2]=aa;aa=(TCa(e,w,da,da+288|0,ba,h,0)|0)-da|0;if((aa|0)>=288){break a}c[j+16>>2]=((aa|0)/12|0|0)%12|0;break};case 73:{aa=j+8|0;c[t>>2]=c[f>>2];da=sEa(e,t,h,ba,2)|0;ca=c[h>>2]|0;do{if((ca&4|0)==0){if(!((da-1|0)>>>0<12>>>0)){break}c[aa>>2]=da;break a}}while(0);c[h>>2]=ca|4;break};case 82:{da=e|0;c[P>>2]=c[da>>2];c[Q>>2]=c[f>>2];fEa(O,d,P,Q,g,h,j,8523064,8523084);c[da>>2]=c[O>>2];break};case 83:{c[p>>2]=c[f>>2];da=sEa(e,p,h,ba,2)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(da|0)<61){c[j>>2]=da;break a}else{c[h>>2]=aa|4;break a}break};case 106:{c[s>>2]=c[f>>2];aa=sEa(e,s,h,ba,3)|0;da=c[h>>2]|0;if((da&4|0)==0&(aa|0)<366){c[j+28>>2]=aa;break a}else{c[h>>2]=da|4;break a}break};case 121:{c[n>>2]=c[f>>2];da=sEa(e,n,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}if((da|0)<69){ea=da+2e3|0}else{ea=(da-69|0)>>>0<31>>>0?da+1900|0:da}c[j+20>>2]=ea-1900;break};case 120:{da=c[(c[d>>2]|0)+20>>2]|0;c[U>>2]=c[e>>2];c[V>>2]=c[f>>2];ee[da&127](b,d,U,V,g,h,j);i=l;return};case 88:{da=d+8|0;aa=Yd[c[(c[da>>2]|0)+24>>2]&255](da)|0;da=e|0;c[X>>2]=c[da>>2];c[Y>>2]=c[f>>2];fa=a[aa]|0;if((fa&1)==0){ga=(fa&255)>>>1;ha=aa+4|0;ia=aa+4|0}else{fa=c[aa+8>>2]|0;ga=c[aa+4>>2]|0;ha=fa;ia=fa}fEa(W,d,X,Y,g,h,j,ha,ia+(ga<<2)|0);c[da>>2]=c[W>>2];break};case 37:{c[Z>>2]=c[f>>2];rEa(0,e,Z,h,ba);break};case 68:{da=e|0;c[E>>2]=c[da>>2];c[F>>2]=c[f>>2];fEa(D,d,E,F,g,h,j,8523136,8523168);c[da>>2]=c[D>>2];break};case 70:{da=e|0;c[H>>2]=c[da>>2];c[I>>2]=c[f>>2];fEa(G,d,H,I,g,h,j,8523e3,8523032);c[da>>2]=c[G>>2];break};case 109:{c[r>>2]=c[f>>2];da=(sEa(e,r,h,ba,2)|0)-1|0;fa=c[h>>2]|0;if((fa&4|0)==0&(da|0)<12){c[j+16>>2]=da;break a}else{c[h>>2]=fa|4;break a}break};case 97:case 65:{fa=c[f>>2]|0;da=d+8|0;aa=Yd[c[c[da>>2]>>2]&255](da)|0;c[x>>2]=fa;fa=(TCa(e,x,aa,aa+168|0,ba,h,0)|0)-aa|0;if((fa|0)>=168){break a}c[j+24>>2]=((fa|0)/12|0|0)%7|0;break};case 110:case 116:{c[J>>2]=c[f>>2];pEa(0,e,J,h,ba);break};case 84:{fa=e|0;c[S>>2]=c[fa>>2];c[T>>2]=c[f>>2];fEa(R,d,S,T,g,h,j,8523032,8523064);c[fa>>2]=c[R>>2];break};case 119:{c[o>>2]=c[f>>2];fa=sEa(e,o,h,ba,1)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(fa|0)<7){c[j+24>>2]=fa;break a}else{c[h>>2]=aa|4;break a}break};case 99:{aa=d+8|0;fa=Yd[c[(c[aa>>2]|0)+12>>2]&255](aa)|0;aa=e|0;c[B>>2]=c[aa>>2];c[C>>2]=c[f>>2];da=a[fa]|0;if((da&1)==0){ja=(da&255)>>>1;ka=fa+4|0;la=fa+4|0}else{da=c[fa+8>>2]|0;ja=c[fa+4>>2]|0;ka=da;la=da}fEa(A,d,B,C,g,h,j,ka,la+(ja<<2)|0);c[aa>>2]=c[A>>2];break};case 89:{c[m>>2]=c[f>>2];aa=sEa(e,m,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}c[j+20>>2]=aa-1900;break};case 72:{c[u>>2]=c[f>>2];aa=sEa(e,u,h,ba,2)|0;da=c[h>>2]|0;if((da&4|0)==0&(aa|0)<24){c[j+8>>2]=aa;break a}else{c[h>>2]=da|4;break a}break};case 100:case 101:{da=j+12|0;c[v>>2]=c[f>>2];aa=sEa(e,v,h,ba,2)|0;fa=c[h>>2]|0;do{if((fa&4|0)==0){if(!((aa-1|0)>>>0<31>>>0)){break}c[da>>2]=aa;break a}}while(0);c[h>>2]=fa|4;break};case 77:{c[q>>2]=c[f>>2];aa=sEa(e,q,h,ba,2)|0;da=c[h>>2]|0;if((da&4|0)==0&(aa|0)<60){c[j+4>>2]=aa;break a}else{c[h>>2]=da|4;break a}break};default:{c[h>>2]=c[h>>2]|4}}}while(0);c[b>>2]=c[e>>2];i=l;return}}while(0);l=Bd(4)|0;nJa(l);vc(l|0,8529704,182)}function pEa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;a=i;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=b|0;b=d|0;d=f;a:while(1){h=c[g>>2]|0;do{if((h|0)==0){j=1}else{k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){l=Yd[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{l=c[k>>2]|0}if((l|0)==-1){c[g>>2]=0;j=1;break}else{j=(c[g>>2]|0)==0;break}}}while(0);h=c[b>>2]|0;do{if((h|0)==0){m=15}else{k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){n=Yd[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{n=c[k>>2]|0}if((n|0)==-1){c[b>>2]=0;m=15;break}else{if(j){o=h;break}else{p=h;break a}}}}while(0);if((m|0)==15){m=0;if(j){p=0;break}else{o=0}}h=c[g>>2]|0;k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){q=Yd[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{q=c[k>>2]|0}if(!(_d[c[(c[d>>2]|0)+12>>2]&127](f,8192,q)|0)){p=o;break}k=c[g>>2]|0;h=k+12|0;r=c[h>>2]|0;if((r|0)==(c[k+16>>2]|0)){Yd[c[(c[k>>2]|0)+40>>2]&255](k)|0;continue}else{c[h>>2]=r+4;continue}}o=c[g>>2]|0;do{if((o|0)==0){s=1}else{q=c[o+12>>2]|0;if((q|0)==(c[o+16>>2]|0)){t=Yd[c[(c[o>>2]|0)+36>>2]&255](o)|0}else{t=c[q>>2]|0}if((t|0)==-1){c[g>>2]=0;s=1;break}else{s=(c[g>>2]|0)==0;break}}}while(0);do{if((p|0)==0){m=37}else{g=c[p+12>>2]|0;if((g|0)==(c[p+16>>2]|0)){u=Yd[c[(c[p>>2]|0)+36>>2]&255](p)|0}else{u=c[g>>2]|0}if((u|0)==-1){c[b>>2]=0;m=37;break}if(!s){break}i=a;return}}while(0);do{if((m|0)==37){if(s){break}i=a;return}}while(0);c[e>>2]=c[e>>2]|2;i=a;return}function qEa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;i=i+8|0;k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=j|0;l=b+8|0;b=Yd[c[(c[l>>2]|0)+8>>2]&255](l)|0;l=a[b]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[b+4>>2]|0}l=a[b+12|0]|0;if((l&1)==0){n=(l&255)>>>1}else{n=c[b+16>>2]|0}if((m|0)==(-n|0)){c[g>>2]=c[g>>2]|4;i=j;return}c[k>>2]=c[f>>2];f=TCa(e,k,b,b+24|0,h,g,0)|0;g=f-b|0;do{if((f|0)==(b|0)){if((c[d>>2]|0)!=12){break}c[d>>2]=0;i=j;return}}while(0);if((g|0)!=12){i=j;return}g=c[d>>2]|0;if((g|0)>=12){i=j;return}c[d>>2]=g+12;i=j;return}function rEa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a=i;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=b|0;b=c[g>>2]|0;do{if((b|0)==0){h=1}else{j=c[b+12>>2]|0;if((j|0)==(c[b+16>>2]|0)){k=Yd[c[(c[b>>2]|0)+36>>2]&255](b)|0}else{k=c[j>>2]|0}if((k|0)==-1){c[g>>2]=0;h=1;break}else{h=(c[g>>2]|0)==0;break}}}while(0);k=d|0;d=c[k>>2]|0;do{if((d|0)==0){l=14}else{b=c[d+12>>2]|0;if((b|0)==(c[d+16>>2]|0)){m=Yd[c[(c[d>>2]|0)+36>>2]&255](d)|0}else{m=c[b>>2]|0}if((m|0)==-1){c[k>>2]=0;l=14;break}else{if(h){n=d;break}else{l=16;break}}}}while(0);if((l|0)==14){if(h){l=16}else{n=0}}if((l|0)==16){c[e>>2]=c[e>>2]|6;i=a;return}h=c[g>>2]|0;d=c[h+12>>2]|0;if((d|0)==(c[h+16>>2]|0)){o=Yd[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{o=c[d>>2]|0}if(!((_d[c[(c[f>>2]|0)+52>>2]&127](f,o,0)|0)<<24>>24==37)){c[e>>2]=c[e>>2]|4;i=a;return}o=c[g>>2]|0;f=o+12|0;d=c[f>>2]|0;if((d|0)==(c[o+16>>2]|0)){Yd[c[(c[o>>2]|0)+40>>2]&255](o)|0}else{c[f>>2]=d+4}d=c[g>>2]|0;do{if((d|0)==0){p=1}else{f=c[d+12>>2]|0;if((f|0)==(c[d+16>>2]|0)){q=Yd[c[(c[d>>2]|0)+36>>2]&255](d)|0}else{q=c[f>>2]|0}if((q|0)==-1){c[g>>2]=0;p=1;break}else{p=(c[g>>2]|0)==0;break}}}while(0);do{if((n|0)==0){l=38}else{g=c[n+12>>2]|0;if((g|0)==(c[n+16>>2]|0)){r=Yd[c[(c[n>>2]|0)+36>>2]&255](n)|0}else{r=c[g>>2]|0}if((r|0)==-1){c[k>>2]=0;l=38;break}if(!p){break}i=a;return}}while(0);do{if((l|0)==38){if(p){break}i=a;return}}while(0);c[e>>2]=c[e>>2]|2;i=a;return}function sEa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;g=i;h=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[h>>2];h=a|0;a=c[h>>2]|0;do{if((a|0)==0){j=1}else{k=c[a+12>>2]|0;if((k|0)==(c[a+16>>2]|0)){l=Yd[c[(c[a>>2]|0)+36>>2]&255](a)|0}else{l=c[k>>2]|0}if((l|0)==-1){c[h>>2]=0;j=1;break}else{j=(c[h>>2]|0)==0;break}}}while(0);l=b|0;b=c[l>>2]|0;do{if((b|0)==0){m=14}else{a=c[b+12>>2]|0;if((a|0)==(c[b+16>>2]|0)){n=Yd[c[(c[b>>2]|0)+36>>2]&255](b)|0}else{n=c[a>>2]|0}if((n|0)==-1){c[l>>2]=0;m=14;break}else{if(j){o=b;break}else{m=16;break}}}}while(0);if((m|0)==14){if(j){m=16}else{o=0}}if((m|0)==16){c[d>>2]=c[d>>2]|6;p=0;i=g;return p|0}j=c[h>>2]|0;b=c[j+12>>2]|0;if((b|0)==(c[j+16>>2]|0)){q=Yd[c[(c[j>>2]|0)+36>>2]&255](j)|0}else{q=c[b>>2]|0}b=e;if(!(_d[c[(c[b>>2]|0)+12>>2]&127](e,2048,q)|0)){c[d>>2]=c[d>>2]|4;p=0;i=g;return p|0}j=e;n=(_d[c[(c[j>>2]|0)+52>>2]&127](e,q,0)|0)<<24>>24;q=c[h>>2]|0;a=q+12|0;k=c[a>>2]|0;if((k|0)==(c[q+16>>2]|0)){Yd[c[(c[q>>2]|0)+40>>2]&255](q)|0;r=n;s=f;t=o;u=o}else{c[a>>2]=k+4;r=n;s=f;t=o;u=o}while(1){v=r-48|0;o=s-1|0;f=c[h>>2]|0;do{if((f|0)==0){w=1}else{n=c[f+12>>2]|0;if((n|0)==(c[f+16>>2]|0)){x=Yd[c[(c[f>>2]|0)+36>>2]&255](f)|0}else{x=c[n>>2]|0}if((x|0)==-1){c[h>>2]=0;w=1;break}else{w=(c[h>>2]|0)==0;break}}}while(0);do{if((t|0)==0){y=1;z=0;A=u}else{f=c[t+12>>2]|0;if((f|0)==(c[t+16>>2]|0)){B=Yd[c[(c[t>>2]|0)+36>>2]&255](t)|0}else{B=c[f>>2]|0}if((B|0)==-1){c[l>>2]=0;y=1;z=0;A=0;break}else{y=(u|0)==0;z=u;A=u;break}}}while(0);C=c[h>>2]|0;if(!((w^y)&(o|0)>0)){break}f=c[C+12>>2]|0;if((f|0)==(c[C+16>>2]|0)){D=Yd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{D=c[f>>2]|0}if(!(_d[c[(c[b>>2]|0)+12>>2]&127](e,2048,D)|0)){p=v;m=63;break}f=((_d[c[(c[j>>2]|0)+52>>2]&127](e,D,0)|0)<<24>>24)+(v*10|0)|0;n=c[h>>2]|0;k=n+12|0;a=c[k>>2]|0;if((a|0)==(c[n+16>>2]|0)){Yd[c[(c[n>>2]|0)+40>>2]&255](n)|0;r=f;s=o;t=z;u=A;continue}else{c[k>>2]=a+4;r=f;s=o;t=z;u=A;continue}}if((m|0)==63){i=g;return p|0}do{if((C|0)==0){E=1}else{u=c[C+12>>2]|0;if((u|0)==(c[C+16>>2]|0)){F=Yd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{F=c[u>>2]|0}if((F|0)==-1){c[h>>2]=0;E=1;break}else{E=(c[h>>2]|0)==0;break}}}while(0);do{if((A|0)==0){m=60}else{h=c[A+12>>2]|0;if((h|0)==(c[A+16>>2]|0)){G=Yd[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{G=c[h>>2]|0}if((G|0)==-1){c[l>>2]=0;m=60;break}if(E){p=v}else{break}i=g;return p|0}}while(0);do{if((m|0)==60){if(E){break}else{p=v}i=g;return p|0}}while(0);c[d>>2]=c[d>>2]|2;p=v;i=g;return p|0}function tEa(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+8|0;e=c[d>>2]|0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);if((e|0)==(c[2142782]|0)){f=b|0;Tya(f);g=b;QJa(g);return}Ub(c[d>>2]|0);f=b|0;Tya(f);g=b;QJa(g);return}function uEa(b){b=b|0;var d=0,e=0,f=0;d=b+8|0;e=c[d>>2]|0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);if((e|0)==(c[2142782]|0)){f=b|0;Tya(f);return}Ub(c[d>>2]|0);f=b|0;Tya(f);return}function vEa(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;g=i;i=i+112|0;f=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[f>>2];f=g|0;l=g+8|0;m=l|0;n=f|0;a[n]=37;o=f+1|0;a[o]=j;p=f+2|0;a[p]=k;a[f+3|0]=0;if(!(k<<24>>24==0)){a[o]=k;a[p]=j}j=md(m|0,100,n|0,h|0,c[d+8>>2]|0)|0;d=l+j|0;l=c[e>>2]|0;if((j|0)==0){q=l;r=b|0;c[r>>2]=q;i=g;return}else{s=m;t=l;u=l}while(1){l=a[s]|0;do{if((t|0)==0){v=0;w=u}else{m=t+24|0;j=c[m>>2]|0;if((j|0)==(c[t+28>>2]|0)){e=(he[c[(c[t>>2]|0)+52>>2]&127](t,l&255)|0)==-1;v=e?0:t;w=e?0:u;break}else{c[m>>2]=j+1;a[j]=l;v=t;w=u;break}}}while(0);l=s+1|0;if((l|0)==(d|0)){q=w;break}else{s=l;t=v;u=w}}r=b|0;c[r>>2]=q;i=g;return}function wEa(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+8|0;e=c[d>>2]|0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);if((e|0)==(c[2142782]|0)){f=b|0;Tya(f);g=b;QJa(g);return}Ub(c[d>>2]|0);f=b|0;Tya(f);g=b;QJa(g);return}function xEa(b){b=b|0;var d=0,e=0,f=0;d=b+8|0;e=c[d>>2]|0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);if((e|0)==(c[2142782]|0)){f=b|0;Tya(f);return}Ub(c[d>>2]|0);f=b|0;Tya(f);return}function yEa(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f=i;i=i+408|0;e=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[e>>2];e=f|0;k=f+400|0;l=e|0;c[k>>2]=e+400;zEa(b+8|0,l,k,g,h,j);j=c[k>>2]|0;k=c[d>>2]|0;if((l|0)==(j|0)){m=k;n=a|0;c[n>>2]=m;i=f;return}else{o=l;p=k;q=k}while(1){k=c[o>>2]|0;if((p|0)==0){r=0;s=q}else{l=p+24|0;d=c[l>>2]|0;if((d|0)==(c[p+28>>2]|0)){t=he[c[(c[p>>2]|0)+52>>2]&127](p,k)|0}else{c[l>>2]=d+4;c[d>>2]=k;t=k}k=(t|0)==-1;r=k?0:p;s=k?0:q}k=o+4|0;if((k|0)==(j|0)){m=s;break}else{o=k;p=r;q=s}}n=a|0;c[n>>2]=m;i=f;return}function zEa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=i;i=i+120|0;k=j|0;l=j+112|0;m=i;i=i+4|0;i=i+7&-8;n=j+8|0;o=k|0;a[o]=37;p=k+1|0;a[p]=g;q=k+2|0;a[q]=h;a[k+3|0]=0;if(!(h<<24>>24==0)){a[p]=h;a[q]=g}g=b|0;md(n|0,100,o|0,f|0,c[g>>2]|0)|0;c[l>>2]=0;c[l+4>>2]=0;c[m>>2]=n;n=(c[e>>2]|0)-d>>2;f=gd(c[g>>2]|0)|0;g=LIa(d,m,n,l)|0;if((f|0)!=0){gd(f|0)|0}if((g|0)==-1){vFa(85336)}else{c[e>>2]=d+(g<<2);i=j;return}}function AEa(a){a=a|0;Tya(a|0);QJa(a);return}function BEa(a){a=a|0;Tya(a|0);return}function CEa(a){a=a|0;return 127}function DEa(a){a=a|0;return 127}function EEa(a,b){a=a|0;b=b|0;lKa(a|0,0,12)|0;return}function FEa(a,b){a=a|0;b=b|0;lKa(a|0,0,12)|0;return}function GEa(a,b){a=a|0;b=b|0;lKa(a|0,0,12)|0;return}function HEa(a,b){a=a|0;b=b|0;zza(a,1,45);return}function IEa(a){a=a|0;return 0}function JEa(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function KEa(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function LEa(a){a=a|0;Tya(a|0);QJa(a);return}function MEa(a){a=a|0;Tya(a|0);return}function NEa(a){a=a|0;return 127}function OEa(a){a=a|0;return 127}function PEa(a,b){a=a|0;b=b|0;lKa(a|0,0,12)|0;return}function QEa(a,b){a=a|0;b=b|0;lKa(a|0,0,12)|0;return}function REa(a,b){a=a|0;b=b|0;lKa(a|0,0,12)|0;return}function SEa(a,b){a=a|0;b=b|0;zza(a,1,45);return}function TEa(a){a=a|0;return 0}function UEa(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function VEa(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function WEa(a){a=a|0;Tya(a|0);QJa(a);return}function XEa(a){a=a|0;Tya(a|0);return}function YEa(a){a=a|0;return 2147483647}function ZEa(a){a=a|0;return 2147483647}function _Ea(a,b){a=a|0;b=b|0;lKa(a|0,0,12)|0;return}function $Ea(a,b){a=a|0;b=b|0;lKa(a|0,0,12)|0;return}function aFa(a,b){a=a|0;b=b|0;lKa(a|0,0,12)|0;return}function bFa(a,b){a=a|0;b=b|0;eAa(a,1,45);return}function cFa(a){a=a|0;return 0}function dFa(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function eFa(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function fFa(a){a=a|0;Tya(a|0);QJa(a);return}function gFa(a){a=a|0;Tya(a|0);return}function hFa(a){a=a|0;return 2147483647}function iFa(a){a=a|0;return 2147483647}function jFa(a,b){a=a|0;b=b|0;lKa(a|0,0,12)|0;return}function kFa(a,b){a=a|0;b=b|0;lKa(a|0,0,12)|0;return}function lFa(a,b){a=a|0;b=b|0;lKa(a|0,0,12)|0;return}function mFa(a,b){a=a|0;b=b|0;eAa(a,1,45);return}function nFa(a){a=a|0;return 0}function oFa(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function pFa(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function qFa(a){a=a|0;Tya(a|0);QJa(a);return}function rFa(a){a=a|0;Tya(a|0);return}function sFa(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+120|0;o=d+128|0;p=d+136|0;q=d+144|0;r=d+152|0;s=d+160|0;t=d+176|0;u=n|0;c[u>>2]=m;v=n+4|0;c[v>>2]=214;w=m+100|0;zAa(p,h);m=p|0;x=c[m>>2]|0;if(!((c[2143140]|0)==-1)){c[l>>2]=8572560;c[l+4>>2]=18;c[l+8>>2]=0;oza(8572560,l,128)}l=(c[2143141]|0)-1|0;y=c[x+8>>2]|0;do{if((c[x+12>>2]|0)-y>>2>>>0>l>>>0){z=c[y+(l<<2)>>2]|0;if((z|0)==0){break}A=z;a[q]=0;B=f|0;c[r>>2]=c[B>>2];do{if(uFa(e,r,g,p,c[h+4>>2]|0,j,q,A,n,o,w)|0){C=s|0;ke[c[(c[z>>2]|0)+32>>2]&127](A,8522984,8522994,C)|0;D=t|0;E=c[o>>2]|0;F=c[u>>2]|0;G=E-F|0;do{if((G|0)>98){H=IJa(G+2|0)|0;if((H|0)!=0){I=H;J=H;break}VJa();I=0;J=0}else{I=D;J=0}}while(0);if((a[q]|0)==0){K=I}else{a[I]=45;K=I+1|0}if(F>>>0<E>>>0){G=s+10|0;H=s;L=K;M=F;while(1){N=C;while(1){if((N|0)==(G|0)){O=G;break}if((a[N]|0)==(a[M]|0)){O=N;break}else{N=N+1|0}}a[L]=a[8522984+(O-H)|0]|0;N=M+1|0;P=L+1|0;if(N>>>0<(c[o>>2]|0)>>>0){L=P;M=N}else{Q=P;break}}}else{Q=K}a[Q]=0;M=vb(D|0,165232,(L=i,i=i+8|0,c[L>>2]=k,L)|0)|0;i=L;if((M|0)==1){if((J|0)==0){break}JJa(J);break}M=Bd(8)|0;$ya(M,161112);vc(M|0,8529720,34)}}while(0);A=e|0;z=c[A>>2]|0;do{if((z|0)==0){R=0}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){R=z;break}if(!((Yd[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1)){R=z;break}c[A>>2]=0;R=0}}while(0);A=(R|0)==0;z=c[B>>2]|0;do{if((z|0)==0){S=45}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){if(A){break}else{S=47;break}}if((Yd[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1){c[B>>2]=0;S=45;break}else{if(A){break}else{S=47;break}}}}while(0);if((S|0)==45){if(A){S=47}}if((S|0)==47){c[j>>2]=c[j>>2]|2}c[b>>2]=R;Vya(c[m>>2]|0)|0;B=c[u>>2]|0;c[u>>2]=0;if((B|0)==0){i=d;return}Vd[c[v>>2]&511](B);i=d;return}}while(0);d=Bd(4)|0;nJa(d);vc(d|0,8529704,182)}function tFa(a){a=a|0;return}function uFa(e,f,g,h,j,k,l,m,n,o,p){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0;q=i;i=i+520|0;r=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[r>>2];r=q|0;s=q+400|0;t=q+408|0;u=q+416|0;v=q+424|0;w=q+440|0;x=q+456|0;y=q+472|0;z=q+488|0;A=q+504|0;B=q+512|0;C=r|0;D=v;lKa(D|0,0,12)|0;E=w;lKa(E|0,0,12)|0;F=x;lKa(F|0,0,12)|0;G=y;lKa(G|0,0,12)|0;H=z;lKa(H|0,0,12)|0;yFa(g,h,s,t,u,v,w,x,y,A);h=n|0;c[o>>2]=c[h>>2];g=e|0;e=f|0;f=m+8|0;m=y+1|0;I=y+4|0;J=y+8|0;K=x+1|0;L=x+4|0;M=x+8|0;N=(j&512|0)!=0;j=w+1|0;O=w+8|0;P=w+4|0;Q=z;R=Q+1|0;S=z+8|0;T=z+4|0;U=s+3|0;V=v+4|0;W=n+4|0;n=p;p=214;X=C;Y=C;C=r+400|0;r=0;Z=0;a:while(1){_=c[g>>2]|0;do{if((_|0)==0){$=0}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){$=_;break}if((Yd[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[g>>2]=0;$=0;break}else{$=c[g>>2]|0;break}}}while(0);_=($|0)==0;aa=c[e>>2]|0;do{if((aa|0)==0){ba=15}else{if((c[aa+12>>2]|0)!=(c[aa+16>>2]|0)){if(_){ca=aa;break}else{da=p;ea=X;fa=Y;ga=Z;ba=310;break a}}if((Yd[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)==-1){c[e>>2]=0;ba=15;break}else{if(_){ca=aa;break}else{da=p;ea=X;fa=Y;ga=Z;ba=310;break a}}}}while(0);if((ba|0)==15){ba=0;if(_){da=p;ea=X;fa=Y;ga=Z;ba=310;break}else{ca=0}}b:do{switch(a[s+r|0]|0){case 0:{ba=42;break};case 3:{aa=a[F]|0;ha=(aa&1)==0;if(ha){ia=(aa&255)>>>1}else{ia=c[L>>2]|0}ja=a[G]|0;ka=(ja&1)==0;if(ka){la=(ja&255)>>>1}else{la=c[I>>2]|0}if((ia|0)==(-la|0)){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}if(ha){sa=(aa&255)>>>1}else{sa=c[L>>2]|0}do{if((sa|0)!=0){if(ka){ta=(ja&255)>>>1}else{ta=c[I>>2]|0}if((ta|0)==0){break}ua=c[g>>2]|0;va=c[ua+12>>2]|0;wa=c[ua+16>>2]|0;if((va|0)==(wa|0)){xa=(Yd[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)&255;ya=c[g>>2]|0;za=xa;Aa=a[F]|0;Ba=ya;Ca=c[ya+12>>2]|0;Da=c[ya+16>>2]|0}else{za=a[va]|0;Aa=aa;Ba=ua;Ca=va;Da=wa}wa=Ba+12|0;va=(Ca|0)==(Da|0);if(za<<24>>24==(a[(Aa&1)==0?K:c[M>>2]|0]|0)){if(va){Yd[c[(c[Ba>>2]|0)+40>>2]&255](Ba)|0}else{c[wa>>2]=Ca+1}wa=a[F]|0;if((wa&1)==0){Ea=(wa&255)>>>1}else{Ea=c[L>>2]|0}ma=Ea>>>0>1>>>0?x:Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}if(va){Fa=(Yd[c[(c[Ba>>2]|0)+36>>2]&255](Ba)|0)&255}else{Fa=a[Ca]|0}if(!(Fa<<24>>24==(a[(a[G]&1)==0?m:c[J>>2]|0]|0))){ba=136;break a}va=c[g>>2]|0;wa=va+12|0;ua=c[wa>>2]|0;if((ua|0)==(c[va+16>>2]|0)){Yd[c[(c[va>>2]|0)+40>>2]&255](va)|0}else{c[wa>>2]=ua+1}a[l]=1;ua=a[G]|0;if((ua&1)==0){Ga=(ua&255)>>>1}else{Ga=c[I>>2]|0}ma=Ga>>>0>1>>>0?y:Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}}while(0);if(ha){Ha=(aa&255)>>>1}else{Ha=c[L>>2]|0}ka=c[g>>2]|0;ua=c[ka+12>>2]|0;wa=(ua|0)==(c[ka+16>>2]|0);if((Ha|0)==0){if(wa){va=(Yd[c[(c[ka>>2]|0)+36>>2]&255](ka)|0)&255;Ia=va;Ja=a[G]|0}else{Ia=a[ua]|0;Ja=ja}if(!(Ia<<24>>24==(a[(Ja&1)==0?m:c[J>>2]|0]|0))){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}va=c[g>>2]|0;ya=va+12|0;xa=c[ya>>2]|0;if((xa|0)==(c[va+16>>2]|0)){Yd[c[(c[va>>2]|0)+40>>2]&255](va)|0}else{c[ya>>2]=xa+1}a[l]=1;xa=a[G]|0;if((xa&1)==0){Ka=(xa&255)>>>1}else{Ka=c[I>>2]|0}ma=Ka>>>0>1>>>0?y:Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}if(wa){wa=(Yd[c[(c[ka>>2]|0)+36>>2]&255](ka)|0)&255;La=wa;Ma=a[F]|0}else{La=a[ua]|0;Ma=aa}if(!(La<<24>>24==(a[(Ma&1)==0?K:c[M>>2]|0]|0))){a[l]=1;ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}ua=c[g>>2]|0;wa=ua+12|0;ka=c[wa>>2]|0;if((ka|0)==(c[ua+16>>2]|0)){Yd[c[(c[ua>>2]|0)+40>>2]&255](ua)|0}else{c[wa>>2]=ka+1}ka=a[F]|0;if((ka&1)==0){Na=(ka&255)>>>1}else{Na=c[L>>2]|0}ma=Na>>>0>1>>>0?x:Z;na=C;oa=Y;pa=X;qa=p;ra=n;break};case 1:{if((r|0)==3){da=p;ea=X;fa=Y;ga=Z;ba=310;break a}ka=c[g>>2]|0;wa=c[ka+12>>2]|0;if((wa|0)==(c[ka+16>>2]|0)){Oa=(Yd[c[(c[ka>>2]|0)+36>>2]&255](ka)|0)&255}else{Oa=a[wa]|0}if(Oa<<24>>24<0){ba=41;break a}if((b[(c[f>>2]|0)+(Oa<<24>>24<<1)>>1]&8192)==0){ba=41;break a}wa=c[g>>2]|0;ka=wa+12|0;ua=c[ka>>2]|0;if((ua|0)==(c[wa+16>>2]|0)){Pa=(Yd[c[(c[wa>>2]|0)+40>>2]&255](wa)|0)&255}else{c[ka>>2]=ua+1;Pa=a[ua]|0}Vza(z,Pa);ba=42;break};case 2:{if(!((Z|0)!=0|r>>>0<2>>>0)){if((r|0)==2){Qa=(a[U]|0)!=0}else{Qa=0}if(!(N|Qa)){ma=0;na=C;oa=Y;pa=X;qa=p;ra=n;break b}}ua=a[E]|0;ka=(ua&1)==0;wa=ka?j:c[O>>2]|0;c:do{if((r|0)==0){Ra=wa;Sa=ua;Ta=ca;Ua=ca}else{if(!((d[s+(r-1)|0]|0)>>>0<2>>>0)){Ra=wa;Sa=ua;Ta=ca;Ua=ca;break}xa=wa+(ka?(ua&255)>>>1:c[P>>2]|0)|0;ya=wa;while(1){if((ya|0)==(xa|0)){Va=xa;break}va=a[ya]|0;if(va<<24>>24<0){Va=ya;break}if((b[(c[f>>2]|0)+(va<<24>>24<<1)>>1]&8192)==0){Va=ya;break}else{ya=ya+1|0}}ya=Va-wa|0;xa=a[H]|0;va=(xa&1)==0;if(va){Wa=(xa&255)>>>1}else{Wa=c[T>>2]|0}if(ya>>>0>Wa>>>0){Ra=wa;Sa=ua;Ta=ca;Ua=ca;break}if(va){va=(xa&255)>>>1;Xa=va;Ya=R;Za=va-ya+(Q+1)|0}else{va=c[S>>2]|0;xa=c[T>>2]|0;Xa=xa;Ya=va;Za=va+(xa-ya)|0}ya=Ya+Xa|0;if((Za|0)==(ya|0)){Ra=Va;Sa=ua;Ta=ca;Ua=ca;break}else{_a=Za;$a=wa}while(1){if((a[_a]|0)!=(a[$a]|0)){Ra=wa;Sa=ua;Ta=ca;Ua=ca;break c}xa=_a+1|0;if((xa|0)==(ya|0)){Ra=Va;Sa=ua;Ta=ca;Ua=ca;break}else{_a=xa;$a=$a+1|0}}}}while(0);d:while(1){if((Sa&1)==0){ab=(Sa&255)>>>1;bb=j}else{ab=c[P>>2]|0;bb=c[O>>2]|0}if((Ra|0)==(bb+ab|0)){break}ua=c[g>>2]|0;do{if((ua|0)==0){cb=0}else{if((c[ua+12>>2]|0)!=(c[ua+16>>2]|0)){cb=ua;break}if((Yd[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)==-1){c[g>>2]=0;cb=0;break}else{cb=c[g>>2]|0;break}}}while(0);ua=(cb|0)==0;do{if((Ta|0)==0){db=Ua;ba=173}else{if((c[Ta+12>>2]|0)!=(c[Ta+16>>2]|0)){if(ua){eb=Ta;fb=Ua;break}else{break d}}if((Yd[c[(c[Ta>>2]|0)+36>>2]&255](Ta)|0)==-1){c[e>>2]=0;db=0;ba=173;break}else{if(ua^(Ua|0)==0){eb=Ua;fb=Ua;break}else{break d}}}}while(0);if((ba|0)==173){ba=0;if(ua){break}else{eb=0;fb=db}}wa=c[g>>2]|0;ka=c[wa+12>>2]|0;if((ka|0)==(c[wa+16>>2]|0)){gb=(Yd[c[(c[wa>>2]|0)+36>>2]&255](wa)|0)&255}else{gb=a[ka]|0}if(!(gb<<24>>24==(a[Ra]|0))){break}ka=c[g>>2]|0;wa=ka+12|0;aa=c[wa>>2]|0;if((aa|0)==(c[ka+16>>2]|0)){Yd[c[(c[ka>>2]|0)+40>>2]&255](ka)|0}else{c[wa>>2]=aa+1}Ra=Ra+1|0;Sa=a[E]|0;Ta=eb;Ua=fb}if(!N){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}aa=a[E]|0;if((aa&1)==0){hb=(aa&255)>>>1;ib=j}else{hb=c[P>>2]|0;ib=c[O>>2]|0}if((Ra|0)==(ib+hb|0)){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n}else{ba=189;break a}break};case 4:{aa=0;wa=C;ka=Y;ja=X;ha=p;ya=n;e:while(1){xa=c[g>>2]|0;do{if((xa|0)==0){jb=0}else{if((c[xa+12>>2]|0)!=(c[xa+16>>2]|0)){jb=xa;break}if((Yd[c[(c[xa>>2]|0)+36>>2]&255](xa)|0)==-1){c[g>>2]=0;jb=0;break}else{jb=c[g>>2]|0;break}}}while(0);xa=(jb|0)==0;ua=c[e>>2]|0;do{if((ua|0)==0){ba=202}else{if((c[ua+12>>2]|0)!=(c[ua+16>>2]|0)){if(xa){break}else{break e}}if((Yd[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)==-1){c[e>>2]=0;ba=202;break}else{if(xa){break}else{break e}}}}while(0);if((ba|0)==202){ba=0;if(xa){break}}ua=c[g>>2]|0;va=c[ua+12>>2]|0;if((va|0)==(c[ua+16>>2]|0)){kb=(Yd[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)&255}else{kb=a[va]|0}do{if(kb<<24>>24<0){ba=221}else{if((b[(c[f>>2]|0)+(kb<<24>>24<<1)>>1]&2048)==0){ba=221;break}va=c[o>>2]|0;if((va|0)==(ya|0)){ua=(c[W>>2]|0)!=214;lb=c[h>>2]|0;mb=ya-lb|0;nb=mb>>>0<2147483647>>>0?mb<<1:-1;ob=LJa(ua?lb:0,nb)|0;if((ob|0)==0){VJa()}do{if(ua){c[h>>2]=ob;pb=ob}else{lb=c[h>>2]|0;c[h>>2]=ob;if((lb|0)==0){pb=ob;break}Vd[c[W>>2]&511](lb);pb=c[h>>2]|0}}while(0);c[W>>2]=106;ob=pb+mb|0;c[o>>2]=ob;qb=(c[h>>2]|0)+nb|0;rb=ob}else{qb=ya;rb=va}c[o>>2]=rb+1;a[rb]=kb;sb=aa+1|0;tb=wa;ub=ka;vb=ja;wb=ha;xb=qb}}while(0);if((ba|0)==221){ba=0;xa=a[D]|0;if((xa&1)==0){yb=(xa&255)>>>1}else{yb=c[V>>2]|0}if((yb|0)==0|(aa|0)==0){break}if(!(kb<<24>>24==(a[u]|0))){break}if((ka|0)==(wa|0)){xa=ka-ja|0;ob=xa>>>0<2147483647>>>0?xa<<1:-1;if((ha|0)==214){zb=0}else{zb=ja}ua=LJa(zb,ob)|0;lb=ua;if((ua|0)==0){VJa()}Ab=lb+(ob>>>2<<2)|0;Bb=lb+(xa>>2<<2)|0;Cb=lb;Db=106}else{Ab=wa;Bb=ka;Cb=ja;Db=ha}c[Bb>>2]=aa;sb=0;tb=Ab;ub=Bb+4|0;vb=Cb;wb=Db;xb=ya}lb=c[g>>2]|0;xa=lb+12|0;ob=c[xa>>2]|0;if((ob|0)==(c[lb+16>>2]|0)){Yd[c[(c[lb>>2]|0)+40>>2]&255](lb)|0;aa=sb;wa=tb;ka=ub;ja=vb;ha=wb;ya=xb;continue}else{c[xa>>2]=ob+1;aa=sb;wa=tb;ka=ub;ja=vb;ha=wb;ya=xb;continue}}if((ja|0)==(ka|0)|(aa|0)==0){Eb=wa;Fb=ka;Gb=ja;Hb=ha}else{if((ka|0)==(wa|0)){ob=ka-ja|0;xa=ob>>>0<2147483647>>>0?ob<<1:-1;if((ha|0)==214){Ib=0}else{Ib=ja}lb=LJa(Ib,xa)|0;ua=lb;if((lb|0)==0){VJa()}Jb=ua+(xa>>>2<<2)|0;Kb=ua+(ob>>2<<2)|0;Lb=ua;Mb=106}else{Jb=wa;Kb=ka;Lb=ja;Mb=ha}c[Kb>>2]=aa;Eb=Jb;Fb=Kb+4|0;Gb=Lb;Hb=Mb}if((c[A>>2]|0)>0){ua=c[g>>2]|0;do{if((ua|0)==0){Nb=0}else{if((c[ua+12>>2]|0)!=(c[ua+16>>2]|0)){Nb=ua;break}if((Yd[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)==-1){c[g>>2]=0;Nb=0;break}else{Nb=c[g>>2]|0;break}}}while(0);ua=(Nb|0)==0;aa=c[e>>2]|0;do{if((aa|0)==0){ba=257}else{if((c[aa+12>>2]|0)!=(c[aa+16>>2]|0)){if(ua){Ob=aa;break}else{ba=264;break a}}if((Yd[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)==-1){c[e>>2]=0;ba=257;break}else{if(ua){Ob=aa;break}else{ba=264;break a}}}}while(0);if((ba|0)==257){ba=0;if(ua){ba=264;break a}else{Ob=0}}aa=c[g>>2]|0;ha=c[aa+12>>2]|0;if((ha|0)==(c[aa+16>>2]|0)){Pb=(Yd[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)&255}else{Pb=a[ha]|0}if(!(Pb<<24>>24==(a[t]|0))){ba=264;break a}ha=c[g>>2]|0;aa=ha+12|0;ja=c[aa>>2]|0;if((ja|0)==(c[ha+16>>2]|0)){Yd[c[(c[ha>>2]|0)+40>>2]&255](ha)|0;Qb=ya;Rb=Ob;Sb=Ob}else{c[aa>>2]=ja+1;Qb=ya;Rb=Ob;Sb=Ob}while(1){ja=c[g>>2]|0;do{if((ja|0)==0){Tb=0}else{if((c[ja+12>>2]|0)!=(c[ja+16>>2]|0)){Tb=ja;break}if((Yd[c[(c[ja>>2]|0)+36>>2]&255](ja)|0)==-1){c[g>>2]=0;Tb=0;break}else{Tb=c[g>>2]|0;break}}}while(0);ja=(Tb|0)==0;do{if((Rb|0)==0){Ub=Sb;ba=280}else{if((c[Rb+12>>2]|0)!=(c[Rb+16>>2]|0)){if(ja){Vb=Sb;Wb=Rb;break}else{ba=288;break a}}if((Yd[c[(c[Rb>>2]|0)+36>>2]&255](Rb)|0)==-1){c[e>>2]=0;Ub=0;ba=280;break}else{if(ja^(Sb|0)==0){Vb=Sb;Wb=Sb;break}else{ba=288;break a}}}}while(0);if((ba|0)==280){ba=0;if(ja){ba=288;break a}else{Vb=Ub;Wb=0}}aa=c[g>>2]|0;ha=c[aa+12>>2]|0;if((ha|0)==(c[aa+16>>2]|0)){Xb=(Yd[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)&255}else{Xb=a[ha]|0}if(Xb<<24>>24<0){ba=288;break a}if((b[(c[f>>2]|0)+(Xb<<24>>24<<1)>>1]&2048)==0){ba=288;break a}ha=c[o>>2]|0;if((ha|0)==(Qb|0)){aa=(c[W>>2]|0)!=214;ka=c[h>>2]|0;wa=Qb-ka|0;ob=wa>>>0<2147483647>>>0?wa<<1:-1;xa=LJa(aa?ka:0,ob)|0;if((xa|0)==0){VJa()}do{if(aa){c[h>>2]=xa;Yb=xa}else{ka=c[h>>2]|0;c[h>>2]=xa;if((ka|0)==0){Yb=xa;break}Vd[c[W>>2]&511](ka);Yb=c[h>>2]|0}}while(0);c[W>>2]=106;xa=Yb+wa|0;c[o>>2]=xa;Zb=(c[h>>2]|0)+ob|0;_b=xa}else{Zb=Qb;_b=ha}xa=c[g>>2]|0;aa=c[xa+12>>2]|0;if((aa|0)==(c[xa+16>>2]|0)){ja=(Yd[c[(c[xa>>2]|0)+36>>2]&255](xa)|0)&255;$b=ja;ac=c[o>>2]|0}else{$b=a[aa]|0;ac=_b}c[o>>2]=ac+1;a[ac]=$b;aa=(c[A>>2]|0)-1|0;c[A>>2]=aa;ja=c[g>>2]|0;xa=ja+12|0;ka=c[xa>>2]|0;if((ka|0)==(c[ja+16>>2]|0)){Yd[c[(c[ja>>2]|0)+40>>2]&255](ja)|0}else{c[xa>>2]=ka+1}if((aa|0)>0){Qb=Zb;Rb=Wb;Sb=Vb}else{bc=Zb;break}}}else{bc=ya}if((c[o>>2]|0)==(c[h>>2]|0)){ba=308;break a}else{ma=Z;na=Eb;oa=Fb;pa=Gb;qa=Hb;ra=bc}break};default:{ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n}}}while(0);f:do{if((ba|0)==42){ba=0;if((r|0)==3){da=p;ea=X;fa=Y;ga=Z;ba=310;break a}else{cc=ca;dc=ca}while(1){_=c[g>>2]|0;do{if((_|0)==0){ec=0}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){ec=_;break}if((Yd[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[g>>2]=0;ec=0;break}else{ec=c[g>>2]|0;break}}}while(0);_=(ec|0)==0;do{if((cc|0)==0){fc=dc;ba=55}else{if((c[cc+12>>2]|0)!=(c[cc+16>>2]|0)){if(_){gc=cc;hc=dc;break}else{ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}}if((Yd[c[(c[cc>>2]|0)+36>>2]&255](cc)|0)==-1){c[e>>2]=0;fc=0;ba=55;break}else{if(_^(dc|0)==0){gc=dc;hc=dc;break}else{ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}}}}while(0);if((ba|0)==55){ba=0;if(_){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}else{gc=0;hc=fc}}ha=c[g>>2]|0;ob=c[ha+12>>2]|0;if((ob|0)==(c[ha+16>>2]|0)){ic=(Yd[c[(c[ha>>2]|0)+36>>2]&255](ha)|0)&255}else{ic=a[ob]|0}if(ic<<24>>24<0){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}if((b[(c[f>>2]|0)+(ic<<24>>24<<1)>>1]&8192)==0){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}ob=c[g>>2]|0;ha=ob+12|0;wa=c[ha>>2]|0;if((wa|0)==(c[ob+16>>2]|0)){jc=(Yd[c[(c[ob>>2]|0)+40>>2]&255](ob)|0)&255}else{c[ha>>2]=wa+1;jc=a[wa]|0}Vza(z,jc);cc=gc;dc=hc}}}while(0);ya=r+1|0;if(ya>>>0<4>>>0){n=ra;p=qa;X=pa;Y=oa;C=na;r=ya;Z=ma}else{da=qa;ea=pa;fa=oa;ga=ma;ba=310;break}}g:do{if((ba|0)==41){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==136){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==189){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==264){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==288){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==308){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==310){h:do{if((ga|0)!=0){ma=ga;oa=ga+1|0;pa=ga+8|0;qa=ga+4|0;Z=1;i:while(1){r=a[ma]|0;if((r&1)==0){nc=(r&255)>>>1}else{nc=c[qa>>2]|0}if(!(Z>>>0<nc>>>0)){break h}r=c[g>>2]|0;do{if((r|0)==0){oc=0}else{if((c[r+12>>2]|0)!=(c[r+16>>2]|0)){oc=r;break}if((Yd[c[(c[r>>2]|0)+36>>2]&255](r)|0)==-1){c[g>>2]=0;oc=0;break}else{oc=c[g>>2]|0;break}}}while(0);r=(oc|0)==0;_=c[e>>2]|0;do{if((_|0)==0){ba=328}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){if(r){break}else{break i}}if((Yd[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[e>>2]=0;ba=328;break}else{if(r){break}else{break i}}}}while(0);if((ba|0)==328){ba=0;if(r){break}}_=c[g>>2]|0;na=c[_+12>>2]|0;if((na|0)==(c[_+16>>2]|0)){pc=(Yd[c[(c[_>>2]|0)+36>>2]&255](_)|0)&255}else{pc=a[na]|0}if((a[ma]&1)==0){qc=oa}else{qc=c[pa>>2]|0}if(!(pc<<24>>24==(a[qc+Z|0]|0))){break}na=Z+1|0;_=c[g>>2]|0;C=_+12|0;Y=c[C>>2]|0;if((Y|0)==(c[_+16>>2]|0)){Yd[c[(c[_>>2]|0)+40>>2]&255](_)|0;Z=na;continue}else{c[C>>2]=Y+1;Z=na;continue}}c[k>>2]=c[k>>2]|4;kc=0;lc=ea;mc=da;break g}}while(0);if((ea|0)==(fa|0)){kc=1;lc=fa;mc=da;break}c[B>>2]=0;zFa(v,ea,fa,B);if((c[B>>2]|0)==0){kc=1;lc=ea;mc=da;break}c[k>>2]=c[k>>2]|4;kc=0;lc=ea;mc=da}}while(0);Dza(z);Dza(y);Dza(x);Dza(w);Dza(v);if((lc|0)==0){i=q;return kc|0}Vd[mc&511](lc);i=q;return kc|0}function vFa(a){a=a|0;var b=0;b=Bd(8)|0;$ya(b,a);vc(b|0,8529720,34)}function wFa(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=i;i=i+160|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+120|0;o=d+128|0;p=d+136|0;q=d+144|0;r=d+152|0;s=n|0;c[s>>2]=m;t=n+4|0;c[t>>2]=214;u=m+100|0;zAa(p,h);m=p|0;v=c[m>>2]|0;if(!((c[2143140]|0)==-1)){c[l>>2]=8572560;c[l+4>>2]=18;c[l+8>>2]=0;oza(8572560,l,128)}l=(c[2143141]|0)-1|0;w=c[v+8>>2]|0;do{if((c[v+12>>2]|0)-w>>2>>>0>l>>>0){x=c[w+(l<<2)>>2]|0;if((x|0)==0){break}y=x;a[q]=0;z=f|0;A=c[z>>2]|0;c[r>>2]=A;if(uFa(e,r,g,p,c[h+4>>2]|0,j,q,y,n,o,u)|0){B=k;if((a[B]&1)==0){a[k+1|0]=0;a[B]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}B=x;if((a[q]|0)!=0){Vza(k,he[c[(c[B>>2]|0)+28>>2]&127](y,45)|0)}x=he[c[(c[B>>2]|0)+28>>2]&127](y,48)|0;y=c[o>>2]|0;B=y-1|0;C=c[s>>2]|0;while(1){if(!(C>>>0<B>>>0)){break}if((a[C]|0)==x<<24>>24){C=C+1|0}else{break}}xFa(k,C,y)|0}x=e|0;B=c[x>>2]|0;do{if((B|0)==0){D=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){D=B;break}if(!((Yd[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){D=B;break}c[x>>2]=0;D=0}}while(0);x=(D|0)==0;do{if((A|0)==0){E=33}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){if(x){break}else{E=35;break}}if((Yd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1){c[z>>2]=0;E=33;break}else{if(x^(A|0)==0){break}else{E=35;break}}}}while(0);if((E|0)==33){if(x){E=35}}if((E|0)==35){c[j>>2]=c[j>>2]|2}c[b>>2]=D;Vya(c[m>>2]|0)|0;A=c[s>>2]|0;c[s>>2]=0;if((A|0)==0){i=d;return}Vd[c[t>>2]&511](A);i=d;return}}while(0);d=Bd(4)|0;nJa(d);vc(d|0,8529704,182)}function xFa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=b;g=d;h=a[f]|0;if((h&1)==0){i=10;j=h;k=(h&255)>>>1}else{h=c[b>>2]|0;i=(h&-2)-1|0;j=h&255;k=c[b+4>>2]|0}h=e-g|0;if((e|0)==(d|0)){return b|0}if((i-k|0)>>>0<h>>>0){Yza(b,i,k+h-i|0,k,k,0,0);l=a[f]|0}else{l=j}if((l&1)==0){m=b+1|0}else{m=c[b+8>>2]|0}l=e+(k-g)|0;g=d;d=m+k|0;while(1){a[d]=a[g]|0;j=g+1|0;if((j|0)==(e|0)){break}else{g=j;d=d+1|0}}a[m+l|0]=0;l=k+h|0;if((a[f]&1)==0){a[f]=l<<1;return b|0}else{c[b+4>>2]=l;return b|0}return 0}function yFa(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0;n=i;i=i+176|0;o=n|0;p=n+16|0;q=n+32|0;r=n+40|0;s=n+56|0;t=n+72|0;u=n+88|0;v=n+104|0;w=n+112|0;x=n+128|0;y=n+144|0;z=n+160|0;if(b){b=c[d>>2]|0;if(!((c[2143258]|0)==-1)){c[p>>2]=8573032;c[p+4>>2]=18;c[p+8>>2]=0;oza(8573032,p,128)}p=(c[2143259]|0)-1|0;A=c[b+8>>2]|0;if(!((c[b+12>>2]|0)-A>>2>>>0>p>>>0)){B=Bd(4)|0;D=B;nJa(D);vc(B|0,8529704,182)}b=c[A+(p<<2)>>2]|0;if((b|0)==0){B=Bd(4)|0;D=B;nJa(D);vc(B|0,8529704,182)}B=b;Wd[c[(c[b>>2]|0)+44>>2]&255](q,B);D=e;C=c[q>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;D=b;Wd[c[(c[D>>2]|0)+32>>2]&255](r,B);q=l;if((a[q]&1)==0){a[l+1|0]=0;a[q]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}Pza(l,0);p=r;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];lKa(p|0,0,12)|0;Dza(r);Wd[c[(c[D>>2]|0)+28>>2]&255](s,B);r=k;if((a[r]&1)==0){a[k+1|0]=0;a[r]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}Pza(k,0);p=s;c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];lKa(p|0,0,12)|0;Dza(s);s=b;a[f]=Yd[c[(c[s>>2]|0)+12>>2]&255](B)|0;a[g]=Yd[c[(c[s>>2]|0)+16>>2]&255](B)|0;Wd[c[(c[D>>2]|0)+20>>2]&255](t,B);s=h;if((a[s]&1)==0){a[h+1|0]=0;a[s]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}Pza(h,0);p=t;c[s>>2]=c[p>>2];c[s+4>>2]=c[p+4>>2];c[s+8>>2]=c[p+8>>2];lKa(p|0,0,12)|0;Dza(t);Wd[c[(c[D>>2]|0)+24>>2]&255](u,B);D=j;if((a[D]&1)==0){a[j+1|0]=0;a[D]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}Pza(j,0);t=u;c[D>>2]=c[t>>2];c[D+4>>2]=c[t+4>>2];c[D+8>>2]=c[t+8>>2];lKa(t|0,0,12)|0;Dza(u);E=Yd[c[(c[b>>2]|0)+36>>2]&255](B)|0;c[m>>2]=E;i=n;return}else{B=c[d>>2]|0;if(!((c[2143260]|0)==-1)){c[o>>2]=8573040;c[o+4>>2]=18;c[o+8>>2]=0;oza(8573040,o,128)}o=(c[2143261]|0)-1|0;d=c[B+8>>2]|0;if(!((c[B+12>>2]|0)-d>>2>>>0>o>>>0)){F=Bd(4)|0;G=F;nJa(G);vc(F|0,8529704,182)}B=c[d+(o<<2)>>2]|0;if((B|0)==0){F=Bd(4)|0;G=F;nJa(G);vc(F|0,8529704,182)}F=B;Wd[c[(c[B>>2]|0)+44>>2]&255](v,F);G=e;C=c[v>>2]|0;a[G]=C;C=C>>8;a[G+1|0]=C;C=C>>8;a[G+2|0]=C;C=C>>8;a[G+3|0]=C;G=B;Wd[c[(c[G>>2]|0)+32>>2]&255](w,F);v=l;if((a[v]&1)==0){a[l+1|0]=0;a[v]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}Pza(l,0);l=w;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];lKa(l|0,0,12)|0;Dza(w);Wd[c[(c[G>>2]|0)+28>>2]&255](x,F);w=k;if((a[w]&1)==0){a[k+1|0]=0;a[w]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}Pza(k,0);k=x;c[w>>2]=c[k>>2];c[w+4>>2]=c[k+4>>2];c[w+8>>2]=c[k+8>>2];lKa(k|0,0,12)|0;Dza(x);x=B;a[f]=Yd[c[(c[x>>2]|0)+12>>2]&255](F)|0;a[g]=Yd[c[(c[x>>2]|0)+16>>2]&255](F)|0;Wd[c[(c[G>>2]|0)+20>>2]&255](y,F);x=h;if((a[x]&1)==0){a[h+1|0]=0;a[x]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}Pza(h,0);h=y;c[x>>2]=c[h>>2];c[x+4>>2]=c[h+4>>2];c[x+8>>2]=c[h+8>>2];lKa(h|0,0,12)|0;Dza(y);Wd[c[(c[G>>2]|0)+24>>2]&255](z,F);G=j;if((a[G]&1)==0){a[j+1|0]=0;a[G]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}Pza(j,0);j=z;c[G>>2]=c[j>>2];c[G+4>>2]=c[j+4>>2];c[G+8>>2]=c[j+8>>2];lKa(j|0,0,12)|0;Dza(z);E=Yd[c[(c[B>>2]|0)+36>>2]&255](F)|0;c[m>>2]=E;i=n;return}}function zFa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=b;h=a[g]|0;if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}if((i|0)==0){return}do{if((d|0)==(e|0)){j=h}else{i=e-4|0;if(i>>>0>d>>>0){k=d;l=i}else{j=h;break}do{i=c[k>>2]|0;c[k>>2]=c[l>>2];c[l>>2]=i;k=k+4|0;l=l-4|0;}while(k>>>0<l>>>0);j=a[g]|0}}while(0);if((j&1)==0){m=(j&255)>>>1;n=b+1|0}else{m=c[b+4>>2]|0;n=c[b+8>>2]|0}b=e-4|0;e=a[n]|0;j=e<<24>>24<1|e<<24>>24==127;a:do{if(b>>>0>d>>>0){g=n+m|0;l=n;k=d;h=e;i=j;while(1){if(!i){if((h<<24>>24|0)!=(c[k>>2]|0)){break}}o=(g-l|0)>1?l+1|0:l;p=k+4|0;q=a[o]|0;r=q<<24>>24<1|q<<24>>24==127;if(p>>>0<b>>>0){l=o;k=p;h=q;i=r}else{s=q;t=r;break a}}c[f>>2]=4;return}else{s=e;t=j}}while(0);if(t){return}t=c[b>>2]|0;if(!(s<<24>>24>>>0<t>>>0|(t|0)==0)){return}c[f>>2]=4;return}function AFa(a){a=a|0;Tya(a|0);QJa(a);return}function BFa(a){a=a|0;Tya(a|0);return}function CFa(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=i;i=i+600|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+416|0;o=d+424|0;p=d+432|0;q=d+440|0;r=d+448|0;s=d+456|0;t=d+496|0;u=n|0;c[u>>2]=m;v=n+4|0;c[v>>2]=214;w=m+400|0;zAa(p,h);m=p|0;x=c[m>>2]|0;if(!((c[2143138]|0)==-1)){c[l>>2]=8572552;c[l+4>>2]=18;c[l+8>>2]=0;oza(8572552,l,128)}l=(c[2143139]|0)-1|0;y=c[x+8>>2]|0;do{if((c[x+12>>2]|0)-y>>2>>>0>l>>>0){z=c[y+(l<<2)>>2]|0;if((z|0)==0){break}A=z;a[q]=0;B=f|0;c[r>>2]=c[B>>2];do{if(DFa(e,r,g,p,c[h+4>>2]|0,j,q,A,n,o,w)|0){C=s|0;ke[c[(c[z>>2]|0)+48>>2]&127](A,8522968,8522978,C)|0;D=t|0;E=c[o>>2]|0;F=c[u>>2]|0;G=E-F|0;do{if((G|0)>392){H=IJa((G>>2)+2|0)|0;if((H|0)!=0){I=H;J=H;break}VJa();I=0;J=0}else{I=D;J=0}}while(0);if((a[q]|0)==0){K=I}else{a[I]=45;K=I+1|0}if(F>>>0<E>>>0){G=s+40|0;H=s;L=K;M=F;while(1){N=C;while(1){if((N|0)==(G|0)){O=G;break}if((c[N>>2]|0)==(c[M>>2]|0)){O=N;break}else{N=N+4|0}}a[L]=a[8522968+(O-H>>2)|0]|0;N=M+4|0;P=L+1|0;if(N>>>0<(c[o>>2]|0)>>>0){L=P;M=N}else{Q=P;break}}}else{Q=K}a[Q]=0;M=vb(D|0,165232,(L=i,i=i+8|0,c[L>>2]=k,L)|0)|0;i=L;if((M|0)==1){if((J|0)==0){break}JJa(J);break}M=Bd(8)|0;$ya(M,161112);vc(M|0,8529720,34)}}while(0);A=e|0;z=c[A>>2]|0;do{if((z|0)==0){R=1}else{M=c[z+12>>2]|0;if((M|0)==(c[z+16>>2]|0)){S=Yd[c[(c[z>>2]|0)+36>>2]&255](z)|0}else{S=c[M>>2]|0}if((S|0)==-1){c[A>>2]=0;R=1;break}else{R=(c[A>>2]|0)==0;break}}}while(0);z=c[B>>2]|0;do{if((z|0)==0){T=47}else{M=c[z+12>>2]|0;if((M|0)==(c[z+16>>2]|0)){U=Yd[c[(c[z>>2]|0)+36>>2]&255](z)|0}else{U=c[M>>2]|0}if((U|0)==-1){c[B>>2]=0;T=47;break}else{if(R){break}else{T=49;break}}}}while(0);if((T|0)==47){if(R){T=49}}if((T|0)==49){c[j>>2]=c[j>>2]|2}c[b>>2]=c[A>>2];Vya(c[m>>2]|0)|0;B=c[u>>2]|0;c[u>>2]=0;if((B|0)==0){i=d;return}Vd[c[v>>2]&511](B);i=d;return}}while(0);d=Bd(4)|0;nJa(d);vc(d|0,8529704,182)}function DFa(b,e,f,g,h,j,k,l,m,n,o){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0;p=i;i=i+528|0;q=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[q>>2];q=p|0;r=p+8|0;s=p+408|0;t=p+416|0;u=p+424|0;v=p+432|0;w=p+448|0;x=p+464|0;y=p+480|0;z=p+496|0;A=p+512|0;B=p+520|0;c[q>>2]=o;o=r|0;C=v;lKa(C|0,0,12)|0;D=w;lKa(D|0,0,12)|0;E=x;lKa(E|0,0,12)|0;F=y;lKa(F|0,0,12)|0;G=z;lKa(G|0,0,12)|0;GFa(f,g,s,t,u,v,w,x,y,A);g=m|0;c[n>>2]=c[g>>2];f=b|0;b=e|0;e=l;H=y+4|0;I=y+8|0;J=x+4|0;K=x+8|0;L=(h&512|0)!=0;h=w+4|0;M=w+8|0;N=z+4|0;O=z+8|0;P=s+3|0;Q=v+4|0;R=214;S=o;T=o;o=r+400|0;r=0;U=0;a:while(1){V=c[f>>2]|0;do{if((V|0)==0){W=1}else{X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){Y=Yd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Y=c[X>>2]|0}if((Y|0)==-1){c[f>>2]=0;W=1;break}else{W=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=16}else{X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){_=Yd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{_=c[X>>2]|0}if((_|0)==-1){c[b>>2]=0;Z=16;break}else{if(W){$=V;break}else{aa=R;ba=S;ca=T;da=U;Z=302;break a}}}}while(0);if((Z|0)==16){Z=0;if(W){aa=R;ba=S;ca=T;da=U;Z=302;break}else{$=0}}b:do{switch(a[s+r|0]|0){case 1:{if((r|0)==3){aa=R;ba=S;ca=T;da=U;Z=302;break a}V=c[f>>2]|0;X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){ea=Yd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{ea=c[X>>2]|0}if(!(_d[c[(c[e>>2]|0)+12>>2]&127](l,8192,ea)|0)){Z=41;break a}X=c[f>>2]|0;V=X+12|0;fa=c[V>>2]|0;if((fa|0)==(c[X+16>>2]|0)){ga=Yd[c[(c[X>>2]|0)+40>>2]&255](X)|0}else{c[V>>2]=fa+4;ga=c[fa>>2]|0}jAa(z,ga);Z=42;break};case 0:{Z=42;break};case 3:{fa=a[E]|0;V=(fa&1)==0;if(V){ha=(fa&255)>>>1}else{ha=c[J>>2]|0}X=a[F]|0;ia=(X&1)==0;if(ia){ja=(X&255)>>>1}else{ja=c[H>>2]|0}if((ha|0)==(-ja|0)){ka=U;la=o;ma=T;na=S;oa=R;break b}if(V){pa=(fa&255)>>>1}else{pa=c[J>>2]|0}do{if((pa|0)!=0){if(ia){qa=(X&255)>>>1}else{qa=c[H>>2]|0}if((qa|0)==0){break}ra=c[f>>2]|0;sa=c[ra+12>>2]|0;if((sa|0)==(c[ra+16>>2]|0)){ta=Yd[c[(c[ra>>2]|0)+36>>2]&255](ra)|0;ua=ta;va=a[E]|0}else{ua=c[sa>>2]|0;va=fa}sa=c[f>>2]|0;ta=sa+12|0;ra=c[ta>>2]|0;wa=(ra|0)==(c[sa+16>>2]|0);if((ua|0)==(c[((va&1)==0?J:c[K>>2]|0)>>2]|0)){if(wa){Yd[c[(c[sa>>2]|0)+40>>2]&255](sa)|0}else{c[ta>>2]=ra+4}ta=a[E]|0;if((ta&1)==0){xa=(ta&255)>>>1}else{xa=c[J>>2]|0}ka=xa>>>0>1>>>0?x:U;la=o;ma=T;na=S;oa=R;break b}if(wa){ya=Yd[c[(c[sa>>2]|0)+36>>2]&255](sa)|0}else{ya=c[ra>>2]|0}if((ya|0)!=(c[((a[F]&1)==0?H:c[I>>2]|0)>>2]|0)){Z=134;break a}ra=c[f>>2]|0;sa=ra+12|0;wa=c[sa>>2]|0;if((wa|0)==(c[ra+16>>2]|0)){Yd[c[(c[ra>>2]|0)+40>>2]&255](ra)|0}else{c[sa>>2]=wa+4}a[k]=1;wa=a[F]|0;if((wa&1)==0){za=(wa&255)>>>1}else{za=c[H>>2]|0}ka=za>>>0>1>>>0?y:U;la=o;ma=T;na=S;oa=R;break b}}while(0);if(V){Aa=(fa&255)>>>1}else{Aa=c[J>>2]|0}ia=c[f>>2]|0;wa=c[ia+12>>2]|0;sa=(wa|0)==(c[ia+16>>2]|0);if((Aa|0)==0){if(sa){ra=Yd[c[(c[ia>>2]|0)+36>>2]&255](ia)|0;Ba=ra;Ca=a[F]|0}else{Ba=c[wa>>2]|0;Ca=X}if((Ba|0)!=(c[((Ca&1)==0?H:c[I>>2]|0)>>2]|0)){ka=U;la=o;ma=T;na=S;oa=R;break b}ra=c[f>>2]|0;ta=ra+12|0;Da=c[ta>>2]|0;if((Da|0)==(c[ra+16>>2]|0)){Yd[c[(c[ra>>2]|0)+40>>2]&255](ra)|0}else{c[ta>>2]=Da+4}a[k]=1;Da=a[F]|0;if((Da&1)==0){Ea=(Da&255)>>>1}else{Ea=c[H>>2]|0}ka=Ea>>>0>1>>>0?y:U;la=o;ma=T;na=S;oa=R;break b}if(sa){sa=Yd[c[(c[ia>>2]|0)+36>>2]&255](ia)|0;Fa=sa;Ga=a[E]|0}else{Fa=c[wa>>2]|0;Ga=fa}if((Fa|0)!=(c[((Ga&1)==0?J:c[K>>2]|0)>>2]|0)){a[k]=1;ka=U;la=o;ma=T;na=S;oa=R;break b}wa=c[f>>2]|0;sa=wa+12|0;ia=c[sa>>2]|0;if((ia|0)==(c[wa+16>>2]|0)){Yd[c[(c[wa>>2]|0)+40>>2]&255](wa)|0}else{c[sa>>2]=ia+4}ia=a[E]|0;if((ia&1)==0){Ha=(ia&255)>>>1}else{Ha=c[J>>2]|0}ka=Ha>>>0>1>>>0?x:U;la=o;ma=T;na=S;oa=R;break};case 2:{if(!((U|0)!=0|r>>>0<2>>>0)){if((r|0)==2){Ia=(a[P]|0)!=0}else{Ia=0}if(!(L|Ia)){ka=0;la=o;ma=T;na=S;oa=R;break b}}ia=a[D]|0;sa=(ia&1)==0?h:c[M>>2]|0;c:do{if((r|0)==0){Ja=sa;Ka=ia;La=$;Ma=$}else{if((d[s+(r-1)|0]|0)>>>0<2>>>0){Na=sa;Oa=ia}else{Ja=sa;Ka=ia;La=$;Ma=$;break}while(1){if((Oa&1)==0){Pa=(Oa&255)>>>1;Qa=h}else{Pa=c[h>>2]|0;Qa=c[M>>2]|0}if((Na|0)==(Qa+(Pa<<2)|0)){Ra=Oa;break}if(!(_d[c[(c[e>>2]|0)+12>>2]&127](l,8192,c[Na>>2]|0)|0)){Z=148;break}Na=Na+4|0;Oa=a[D]|0}if((Z|0)==148){Z=0;Ra=a[D]|0}wa=(Ra&1)==0;Da=Na-(wa?h:c[M>>2]|0)>>2;ta=a[G]|0;ra=(ta&1)==0;if(ra){Sa=(ta&255)>>>1}else{Sa=c[N>>2]|0}d:do{if(!(Da>>>0>Sa>>>0)){if(ra){Ta=(ta&255)>>>1;Ua=N;Va=N+(((ta&255)>>>1)-Da<<2)|0}else{Wa=c[O>>2]|0;Xa=c[N>>2]|0;Ta=Xa;Ua=Wa;Va=Wa+(Xa-Da<<2)|0}Xa=Ua+(Ta<<2)|0;if((Va|0)==(Xa|0)){Ja=Na;Ka=Ra;La=$;Ma=$;break c}else{Ya=Va;Za=wa?h:c[M>>2]|0}while(1){if((c[Ya>>2]|0)!=(c[Za>>2]|0)){break d}Wa=Ya+4|0;if((Wa|0)==(Xa|0)){Ja=Na;Ka=Ra;La=$;Ma=$;break c}Ya=Wa;Za=Za+4|0}}}while(0);Ja=wa?h:c[M>>2]|0;Ka=Ra;La=$;Ma=$}}while(0);e:while(1){if((Ka&1)==0){_a=(Ka&255)>>>1;$a=h}else{_a=c[h>>2]|0;$a=c[M>>2]|0}if((Ja|0)==($a+(_a<<2)|0)){break}ia=c[f>>2]|0;do{if((ia|0)==0){ab=1}else{sa=c[ia+12>>2]|0;if((sa|0)==(c[ia+16>>2]|0)){bb=Yd[c[(c[ia>>2]|0)+36>>2]&255](ia)|0}else{bb=c[sa>>2]|0}if((bb|0)==-1){c[f>>2]=0;ab=1;break}else{ab=(c[f>>2]|0)==0;break}}}while(0);do{if((La|0)==0){cb=Ma;Z=178}else{ia=c[La+12>>2]|0;if((ia|0)==(c[La+16>>2]|0)){db=Yd[c[(c[La>>2]|0)+36>>2]&255](La)|0}else{db=c[ia>>2]|0}if((db|0)==-1){c[b>>2]=0;cb=0;Z=178;break}else{if(ab^(Ma|0)==0){eb=Ma;fb=Ma;break}else{break e}}}}while(0);if((Z|0)==178){Z=0;if(ab){break}else{eb=0;fb=cb}}ia=c[f>>2]|0;wa=c[ia+12>>2]|0;if((wa|0)==(c[ia+16>>2]|0)){gb=Yd[c[(c[ia>>2]|0)+36>>2]&255](ia)|0}else{gb=c[wa>>2]|0}if((gb|0)!=(c[Ja>>2]|0)){break}wa=c[f>>2]|0;ia=wa+12|0;sa=c[ia>>2]|0;if((sa|0)==(c[wa+16>>2]|0)){Yd[c[(c[wa>>2]|0)+40>>2]&255](wa)|0}else{c[ia>>2]=sa+4}Ja=Ja+4|0;Ka=a[D]|0;La=eb;Ma=fb}if(!L){ka=U;la=o;ma=T;na=S;oa=R;break b}sa=a[D]|0;if((sa&1)==0){hb=(sa&255)>>>1;ib=h}else{hb=c[h>>2]|0;ib=c[M>>2]|0}if((Ja|0)==(ib+(hb<<2)|0)){ka=U;la=o;ma=T;na=S;oa=R}else{Z=193;break a}break};case 4:{sa=0;ia=o;wa=T;fa=S;X=R;f:while(1){V=c[f>>2]|0;do{if((V|0)==0){jb=1}else{Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){kb=Yd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{kb=c[Da>>2]|0}if((kb|0)==-1){c[f>>2]=0;jb=1;break}else{jb=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=207}else{Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){lb=Yd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{lb=c[Da>>2]|0}if((lb|0)==-1){c[b>>2]=0;Z=207;break}else{if(jb){break}else{break f}}}}while(0);if((Z|0)==207){Z=0;if(jb){break}}V=c[f>>2]|0;Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){mb=Yd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{mb=c[Da>>2]|0}if(_d[c[(c[e>>2]|0)+12>>2]&127](l,2048,mb)|0){Da=c[n>>2]|0;if((Da|0)==(c[q>>2]|0)){HFa(m,n,q);nb=c[n>>2]|0}else{nb=Da}c[n>>2]=nb+4;c[nb>>2]=mb;ob=sa+1|0;pb=ia;qb=wa;rb=fa;sb=X}else{Da=a[C]|0;if((Da&1)==0){tb=(Da&255)>>>1}else{tb=c[Q>>2]|0}if((tb|0)==0|(sa|0)==0){break}if((mb|0)!=(c[u>>2]|0)){break}if((wa|0)==(ia|0)){Da=(X|0)!=214;V=wa-fa|0;ta=V>>>0<2147483647>>>0?V<<1:-1;if(Da){ub=fa}else{ub=0}Da=LJa(ub,ta)|0;ra=Da;if((Da|0)==0){VJa()}vb=ra+(ta>>>2<<2)|0;wb=ra+(V>>2<<2)|0;xb=ra;yb=106}else{vb=ia;wb=wa;xb=fa;yb=X}c[wb>>2]=sa;ob=0;pb=vb;qb=wb+4|0;rb=xb;sb=yb}ra=c[f>>2]|0;V=ra+12|0;ta=c[V>>2]|0;if((ta|0)==(c[ra+16>>2]|0)){Yd[c[(c[ra>>2]|0)+40>>2]&255](ra)|0;sa=ob;ia=pb;wa=qb;fa=rb;X=sb;continue}else{c[V>>2]=ta+4;sa=ob;ia=pb;wa=qb;fa=rb;X=sb;continue}}if((fa|0)==(wa|0)|(sa|0)==0){zb=ia;Ab=wa;Bb=fa;Cb=X}else{if((wa|0)==(ia|0)){ta=(X|0)!=214;V=wa-fa|0;ra=V>>>0<2147483647>>>0?V<<1:-1;if(ta){Db=fa}else{Db=0}ta=LJa(Db,ra)|0;Da=ta;if((ta|0)==0){VJa()}Eb=Da+(ra>>>2<<2)|0;Fb=Da+(V>>2<<2)|0;Gb=Da;Hb=106}else{Eb=ia;Fb=wa;Gb=fa;Hb=X}c[Fb>>2]=sa;zb=Eb;Ab=Fb+4|0;Bb=Gb;Cb=Hb}Da=c[A>>2]|0;if((Da|0)>0){V=c[f>>2]|0;do{if((V|0)==0){Ib=1}else{ra=c[V+12>>2]|0;if((ra|0)==(c[V+16>>2]|0)){Jb=Yd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Jb=c[ra>>2]|0}if((Jb|0)==-1){c[f>>2]=0;Ib=1;break}else{Ib=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=259}else{sa=c[V+12>>2]|0;if((sa|0)==(c[V+16>>2]|0)){Kb=Yd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Kb=c[sa>>2]|0}if((Kb|0)==-1){c[b>>2]=0;Z=259;break}else{if(Ib){Lb=V;break}else{Z=265;break a}}}}while(0);if((Z|0)==259){Z=0;if(Ib){Z=265;break a}else{Lb=0}}V=c[f>>2]|0;sa=c[V+12>>2]|0;if((sa|0)==(c[V+16>>2]|0)){Mb=Yd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Mb=c[sa>>2]|0}if((Mb|0)!=(c[t>>2]|0)){Z=265;break a}sa=c[f>>2]|0;V=sa+12|0;X=c[V>>2]|0;if((X|0)==(c[sa+16>>2]|0)){Yd[c[(c[sa>>2]|0)+40>>2]&255](sa)|0;Nb=Lb;Ob=Da;Pb=Lb}else{c[V>>2]=X+4;Nb=Lb;Ob=Da;Pb=Lb}while(1){X=c[f>>2]|0;do{if((X|0)==0){Qb=1}else{V=c[X+12>>2]|0;if((V|0)==(c[X+16>>2]|0)){Rb=Yd[c[(c[X>>2]|0)+36>>2]&255](X)|0}else{Rb=c[V>>2]|0}if((Rb|0)==-1){c[f>>2]=0;Qb=1;break}else{Qb=(c[f>>2]|0)==0;break}}}while(0);do{if((Nb|0)==0){Sb=Pb;Z=282}else{X=c[Nb+12>>2]|0;if((X|0)==(c[Nb+16>>2]|0)){Tb=Yd[c[(c[Nb>>2]|0)+36>>2]&255](Nb)|0}else{Tb=c[X>>2]|0}if((Tb|0)==-1){c[b>>2]=0;Sb=0;Z=282;break}else{if(Qb^(Pb|0)==0){Ub=Pb;Vb=Pb;break}else{Z=289;break a}}}}while(0);if((Z|0)==282){Z=0;if(Qb){Z=289;break a}else{Ub=Sb;Vb=0}}X=c[f>>2]|0;V=c[X+12>>2]|0;if((V|0)==(c[X+16>>2]|0)){Wb=Yd[c[(c[X>>2]|0)+36>>2]&255](X)|0}else{Wb=c[V>>2]|0}if(!(_d[c[(c[e>>2]|0)+12>>2]&127](l,2048,Wb)|0)){Z=289;break a}if((c[n>>2]|0)==(c[q>>2]|0)){HFa(m,n,q)}V=c[f>>2]|0;X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){Xb=Yd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Xb=c[X>>2]|0}X=c[n>>2]|0;c[n>>2]=X+4;c[X>>2]=Xb;X=Ob-1|0;c[A>>2]=X;V=c[f>>2]|0;sa=V+12|0;fa=c[sa>>2]|0;if((fa|0)==(c[V+16>>2]|0)){Yd[c[(c[V>>2]|0)+40>>2]&255](V)|0}else{c[sa>>2]=fa+4}if((X|0)>0){Nb=Vb;Ob=X;Pb=Ub}else{break}}}if((c[n>>2]|0)==(c[g>>2]|0)){Z=300;break a}else{ka=U;la=zb;ma=Ab;na=Bb;oa=Cb}break};default:{ka=U;la=o;ma=T;na=S;oa=R}}}while(0);g:do{if((Z|0)==42){Z=0;if((r|0)==3){aa=R;ba=S;ca=T;da=U;Z=302;break a}else{Yb=$;Zb=$}while(1){Da=c[f>>2]|0;do{if((Da|0)==0){_b=1}else{X=c[Da+12>>2]|0;if((X|0)==(c[Da+16>>2]|0)){$b=Yd[c[(c[Da>>2]|0)+36>>2]&255](Da)|0}else{$b=c[X>>2]|0}if(($b|0)==-1){c[f>>2]=0;_b=1;break}else{_b=(c[f>>2]|0)==0;break}}}while(0);do{if((Yb|0)==0){ac=Zb;Z=56}else{Da=c[Yb+12>>2]|0;if((Da|0)==(c[Yb+16>>2]|0)){bc=Yd[c[(c[Yb>>2]|0)+36>>2]&255](Yb)|0}else{bc=c[Da>>2]|0}if((bc|0)==-1){c[b>>2]=0;ac=0;Z=56;break}else{if(_b^(Zb|0)==0){cc=Zb;dc=Zb;break}else{ka=U;la=o;ma=T;na=S;oa=R;break g}}}}while(0);if((Z|0)==56){Z=0;if(_b){ka=U;la=o;ma=T;na=S;oa=R;break g}else{cc=0;dc=ac}}Da=c[f>>2]|0;X=c[Da+12>>2]|0;if((X|0)==(c[Da+16>>2]|0)){ec=Yd[c[(c[Da>>2]|0)+36>>2]&255](Da)|0}else{ec=c[X>>2]|0}if(!(_d[c[(c[e>>2]|0)+12>>2]&127](l,8192,ec)|0)){ka=U;la=o;ma=T;na=S;oa=R;break g}X=c[f>>2]|0;Da=X+12|0;fa=c[Da>>2]|0;if((fa|0)==(c[X+16>>2]|0)){fc=Yd[c[(c[X>>2]|0)+40>>2]&255](X)|0}else{c[Da>>2]=fa+4;fc=c[fa>>2]|0}jAa(z,fc);Yb=cc;Zb=dc}}}while(0);fa=r+1|0;if(fa>>>0<4>>>0){R=oa;S=na;T=ma;o=la;r=fa;U=ka}else{aa=oa;ba=na;ca=ma;da=ka;Z=302;break}}h:do{if((Z|0)==41){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==134){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==193){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==265){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==289){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==300){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==302){i:do{if((da|0)!=0){ka=da;ma=da+4|0;na=da+8|0;oa=1;j:while(1){U=a[ka]|0;if((U&1)==0){jc=(U&255)>>>1}else{jc=c[ma>>2]|0}if(!(oa>>>0<jc>>>0)){break i}U=c[f>>2]|0;do{if((U|0)==0){kc=1}else{r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){lc=Yd[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{lc=c[r>>2]|0}if((lc|0)==-1){c[f>>2]=0;kc=1;break}else{kc=(c[f>>2]|0)==0;break}}}while(0);U=c[b>>2]|0;do{if((U|0)==0){Z=321}else{r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){mc=Yd[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{mc=c[r>>2]|0}if((mc|0)==-1){c[b>>2]=0;Z=321;break}else{if(kc){break}else{break j}}}}while(0);if((Z|0)==321){Z=0;if(kc){break}}U=c[f>>2]|0;r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){nc=Yd[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{nc=c[r>>2]|0}if((a[ka]&1)==0){oc=ma}else{oc=c[na>>2]|0}if((nc|0)!=(c[oc+(oa<<2)>>2]|0)){break}r=oa+1|0;U=c[f>>2]|0;la=U+12|0;o=c[la>>2]|0;if((o|0)==(c[U+16>>2]|0)){Yd[c[(c[U>>2]|0)+40>>2]&255](U)|0;oa=r;continue}else{c[la>>2]=o+4;oa=r;continue}}c[j>>2]=c[j>>2]|4;gc=0;hc=ba;ic=aa;break h}}while(0);if((ba|0)==(ca|0)){gc=1;hc=ca;ic=aa;break}c[B>>2]=0;zFa(v,ba,ca,B);if((c[B>>2]|0)==0){gc=1;hc=ba;ic=aa;break}c[j>>2]=c[j>>2]|4;gc=0;hc=ba;ic=aa}}while(0);fAa(z);fAa(y);fAa(x);fAa(w);Dza(v);if((hc|0)==0){i=p;return gc|0}Vd[ic&511](hc);i=p;return gc|0}function EFa(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=i;i=i+456|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+416|0;o=d+424|0;p=d+432|0;q=d+440|0;r=d+448|0;s=n|0;c[s>>2]=m;t=n+4|0;c[t>>2]=214;u=m+400|0;zAa(p,h);m=p|0;v=c[m>>2]|0;if(!((c[2143138]|0)==-1)){c[l>>2]=8572552;c[l+4>>2]=18;c[l+8>>2]=0;oza(8572552,l,128)}l=(c[2143139]|0)-1|0;w=c[v+8>>2]|0;do{if((c[v+12>>2]|0)-w>>2>>>0>l>>>0){x=c[w+(l<<2)>>2]|0;if((x|0)==0){break}y=x;a[q]=0;z=f|0;A=c[z>>2]|0;c[r>>2]=A;if(DFa(e,r,g,p,c[h+4>>2]|0,j,q,y,n,o,u)|0){B=k;if((a[B]&1)==0){c[k+4>>2]=0;a[B]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}B=x;if((a[q]|0)!=0){jAa(k,he[c[(c[B>>2]|0)+44>>2]&127](y,45)|0)}x=he[c[(c[B>>2]|0)+44>>2]&127](y,48)|0;y=c[o>>2]|0;B=y-4|0;C=c[s>>2]|0;while(1){if(!(C>>>0<B>>>0)){break}if((c[C>>2]|0)==(x|0)){C=C+4|0}else{break}}FFa(k,C,y)|0}x=e|0;B=c[x>>2]|0;do{if((B|0)==0){D=1}else{E=c[B+12>>2]|0;if((E|0)==(c[B+16>>2]|0)){F=Yd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{F=c[E>>2]|0}if((F|0)==-1){c[x>>2]=0;D=1;break}else{D=(c[x>>2]|0)==0;break}}}while(0);do{if((A|0)==0){G=35}else{B=c[A+12>>2]|0;if((B|0)==(c[A+16>>2]|0)){H=Yd[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{H=c[B>>2]|0}if((H|0)==-1){c[z>>2]=0;G=35;break}else{if(D){break}else{G=37;break}}}}while(0);if((G|0)==35){if(D){G=37}}if((G|0)==37){c[j>>2]=c[j>>2]|2}c[b>>2]=c[x>>2];Vya(c[m>>2]|0)|0;z=c[s>>2]|0;c[s>>2]=0;if((z|0)==0){i=d;return}Vd[c[t>>2]&511](z);i=d;return}}while(0);d=Bd(4)|0;nJa(d);vc(d|0,8529704,182)}function FFa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;f=b;g=d;h=a[f]|0;if((h&1)==0){i=1;j=h;k=(h&255)>>>1}else{h=c[b>>2]|0;i=(h&-2)-1|0;j=h&255;k=c[b+4>>2]|0}h=e-g>>2;if((h|0)==0){return b|0}if((i-k|0)>>>0<h>>>0){lAa(b,i,k+h-i|0,k,k,0,0);l=a[f]|0}else{l=j}if((l&1)==0){m=b+4|0}else{m=c[b+8>>2]|0}l=m+(k<<2)|0;if((d|0)==(e|0)){n=l}else{j=k+((e-4+(-g|0)|0)>>>2)+1|0;g=d;d=l;while(1){c[d>>2]=c[g>>2];l=g+4|0;if((l|0)==(e|0)){break}else{g=l;d=d+4|0}}n=m+(j<<2)|0}c[n>>2]=0;n=k+h|0;if((a[f]&1)==0){a[f]=n<<1;return b|0}else{c[b+4>>2]=n;return b|0}return 0}function GFa(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0;n=i;i=i+176|0;o=n|0;p=n+16|0;q=n+32|0;r=n+40|0;s=n+56|0;t=n+72|0;u=n+88|0;v=n+104|0;w=n+112|0;x=n+128|0;y=n+144|0;z=n+160|0;if(b){b=c[d>>2]|0;if(!((c[2143254]|0)==-1)){c[p>>2]=8573016;c[p+4>>2]=18;c[p+8>>2]=0;oza(8573016,p,128)}p=(c[2143255]|0)-1|0;A=c[b+8>>2]|0;if(!((c[b+12>>2]|0)-A>>2>>>0>p>>>0)){B=Bd(4)|0;D=B;nJa(D);vc(B|0,8529704,182)}b=c[A+(p<<2)>>2]|0;if((b|0)==0){B=Bd(4)|0;D=B;nJa(D);vc(B|0,8529704,182)}B=b;Wd[c[(c[b>>2]|0)+44>>2]&255](q,B);D=e;C=c[q>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;D=b;Wd[c[(c[D>>2]|0)+32>>2]&255](r,B);q=l;if((a[q]&1)==0){c[l+4>>2]=0;a[q]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}iAa(l,0);p=r;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];lKa(p|0,0,12)|0;fAa(r);Wd[c[(c[D>>2]|0)+28>>2]&255](s,B);r=k;if((a[r]&1)==0){c[k+4>>2]=0;a[r]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}iAa(k,0);p=s;c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];lKa(p|0,0,12)|0;fAa(s);s=b;c[f>>2]=Yd[c[(c[s>>2]|0)+12>>2]&255](B)|0;c[g>>2]=Yd[c[(c[s>>2]|0)+16>>2]&255](B)|0;Wd[c[(c[b>>2]|0)+20>>2]&255](t,B);b=h;if((a[b]&1)==0){a[h+1|0]=0;a[b]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}Pza(h,0);p=t;c[b>>2]=c[p>>2];c[b+4>>2]=c[p+4>>2];c[b+8>>2]=c[p+8>>2];lKa(p|0,0,12)|0;Dza(t);Wd[c[(c[D>>2]|0)+24>>2]&255](u,B);D=j;if((a[D]&1)==0){c[j+4>>2]=0;a[D]=0}else{c[c[j+8>>2]>>2]=0;c[j+4>>2]=0}iAa(j,0);t=u;c[D>>2]=c[t>>2];c[D+4>>2]=c[t+4>>2];c[D+8>>2]=c[t+8>>2];lKa(t|0,0,12)|0;fAa(u);E=Yd[c[(c[s>>2]|0)+36>>2]&255](B)|0;c[m>>2]=E;i=n;return}else{B=c[d>>2]|0;if(!((c[2143256]|0)==-1)){c[o>>2]=8573024;c[o+4>>2]=18;c[o+8>>2]=0;oza(8573024,o,128)}o=(c[2143257]|0)-1|0;d=c[B+8>>2]|0;if(!((c[B+12>>2]|0)-d>>2>>>0>o>>>0)){F=Bd(4)|0;G=F;nJa(G);vc(F|0,8529704,182)}B=c[d+(o<<2)>>2]|0;if((B|0)==0){F=Bd(4)|0;G=F;nJa(G);vc(F|0,8529704,182)}F=B;Wd[c[(c[B>>2]|0)+44>>2]&255](v,F);G=e;C=c[v>>2]|0;a[G]=C;C=C>>8;a[G+1|0]=C;C=C>>8;a[G+2|0]=C;C=C>>8;a[G+3|0]=C;G=B;Wd[c[(c[G>>2]|0)+32>>2]&255](w,F);v=l;if((a[v]&1)==0){c[l+4>>2]=0;a[v]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}iAa(l,0);l=w;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];lKa(l|0,0,12)|0;fAa(w);Wd[c[(c[G>>2]|0)+28>>2]&255](x,F);w=k;if((a[w]&1)==0){c[k+4>>2]=0;a[w]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}iAa(k,0);k=x;c[w>>2]=c[k>>2];c[w+4>>2]=c[k+4>>2];c[w+8>>2]=c[k+8>>2];lKa(k|0,0,12)|0;fAa(x);x=B;c[f>>2]=Yd[c[(c[x>>2]|0)+12>>2]&255](F)|0;c[g>>2]=Yd[c[(c[x>>2]|0)+16>>2]&255](F)|0;Wd[c[(c[B>>2]|0)+20>>2]&255](y,F);B=h;if((a[B]&1)==0){a[h+1|0]=0;a[B]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}Pza(h,0);h=y;c[B>>2]=c[h>>2];c[B+4>>2]=c[h+4>>2];c[B+8>>2]=c[h+8>>2];lKa(h|0,0,12)|0;Dza(y);Wd[c[(c[G>>2]|0)+24>>2]&255](z,F);G=j;if((a[G]&1)==0){c[j+4>>2]=0;a[G]=0}else{c[c[j+8>>2]>>2]=0;c[j+4>>2]=0}iAa(j,0);j=z;c[G>>2]=c[j>>2];c[G+4>>2]=c[j+4>>2];c[G+8>>2]=c[j+8>>2];lKa(j|0,0,12)|0;fAa(z);E=Yd[c[(c[x>>2]|0)+36>>2]&255](F)|0;c[m>>2]=E;i=n;return}}function HFa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a+4|0;f=(c[e>>2]|0)!=214;g=a|0;a=c[g>>2]|0;h=a;i=(c[d>>2]|0)-h|0;j=i>>>0<2147483647>>>0?i<<1:-1;i=(c[b>>2]|0)-h>>2;if(f){k=a}else{k=0}a=LJa(k,j)|0;k=a;if((a|0)==0){VJa()}do{if(f){c[g>>2]=k;l=k}else{a=c[g>>2]|0;c[g>>2]=k;if((a|0)==0){l=k;break}Vd[c[e>>2]&511](a);l=c[g>>2]|0}}while(0);c[e>>2]=106;c[b>>2]=l+(i<<2);c[d>>2]=(c[g>>2]|0)+(j>>>2<<2);return}function IFa(a){a=a|0;Tya(a|0);QJa(a);return}function JFa(a){a=a|0;Tya(a|0);return}function KFa(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=+k;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+448|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=d|0;m=d+120|0;n=d+232|0;o=d+240|0;p=d+248|0;q=d+256|0;r=d+264|0;s=d+280|0;t=d+296|0;u=d+312|0;v=d+320|0;w=d+424|0;x=d+432|0;y=d+440|0;z=d+16|0;c[m>>2]=z;A=d+128|0;B=Bb(z|0,100,156936,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;do{if(B>>>0>99>>>0){do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);C=CDa(m,c[2142782]|0,156936,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;D=c[m>>2]|0;if((D|0)==0){VJa();E=c[m>>2]|0}else{E=D}D=IJa(C)|0;if((D|0)!=0){F=D;G=C;H=D;I=E;break}VJa();F=0;G=C;H=0;I=E}else{F=A;G=B;H=0;I=0}}while(0);zAa(n,g);B=n|0;A=c[B>>2]|0;if(!((c[2143140]|0)==-1)){c[l>>2]=8572560;c[l+4>>2]=18;c[l+8>>2]=0;oza(8572560,l,128)}l=(c[2143141]|0)-1|0;E=c[A+8>>2]|0;do{if((c[A+12>>2]|0)-E>>2>>>0>l>>>0){z=c[E+(l<<2)>>2]|0;if((z|0)==0){break}C=z;D=c[m>>2]|0;ke[c[(c[z>>2]|0)+32>>2]&127](C,D,D+G|0,F)|0;if((G|0)==0){J=0}else{J=(a[c[m>>2]|0]|0)==45}lKa(r|0,0,12)|0;D=s;lKa(D|0,0,12)|0;z=t;lKa(z|0,0,12)|0;LFa(f,J,n,o,p,q,r,s,t,u);K=v|0;L=c[u>>2]|0;if((G|0)>(L|0)){M=a[z]|0;if((M&1)==0){N=(M&255)>>>1}else{N=c[t+4>>2]|0}M=a[D]|0;if((M&1)==0){O=(M&255)>>>1}else{O=c[s+4>>2]|0}P=N+(G-L<<1|1)+O|0}else{M=a[z]|0;if((M&1)==0){Q=(M&255)>>>1}else{Q=c[t+4>>2]|0}M=a[D]|0;if((M&1)==0){R=(M&255)>>>1}else{R=c[s+4>>2]|0}P=Q+2+R|0}M=P+L|0;do{if(M>>>0>100>>>0){D=IJa(M)|0;if((D|0)!=0){S=D;T=D;break}VJa();S=0;T=0}else{S=K;T=0}}while(0);MFa(S,w,x,c[g+4>>2]|0,F,F+G|0,C,J,o,a[p]|0,a[q]|0,r,s,t,L);c[y>>2]=c[e>>2];$va(b,y,S,c[w>>2]|0,c[x>>2]|0,g,j);if((T|0)!=0){JJa(T)}Dza(t);Dza(s);Dza(r);Vya(c[B>>2]|0)|0;if((H|0)!=0){JJa(H)}if((I|0)==0){i=d;return}JJa(I);i=d;return}}while(0);d=Bd(4)|0;nJa(d);vc(d|0,8529704,182)}function LFa(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;n=i;i=i+40|0;o=n|0;p=n+16|0;q=n+32|0;r=q;s=i;i=i+12|0;i=i+7&-8;t=i;i=i+4|0;i=i+7&-8;u=t;v=i;i=i+12|0;i=i+7&-8;w=i;i=i+12|0;i=i+7&-8;x=i;i=i+12|0;i=i+7&-8;y=i;i=i+4|0;i=i+7&-8;z=y;A=i;i=i+12|0;i=i+7&-8;B=i;i=i+4|0;i=i+7&-8;D=B;E=i;i=i+12|0;i=i+7&-8;F=i;i=i+12|0;i=i+7&-8;G=i;i=i+12|0;i=i+7&-8;H=c[e>>2]|0;if(b){if(!((c[2143258]|0)==-1)){c[p>>2]=8573032;c[p+4>>2]=18;c[p+8>>2]=0;oza(8573032,p,128)}p=(c[2143259]|0)-1|0;b=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-b>>2>>>0>p>>>0)){I=Bd(4)|0;J=I;nJa(J);vc(I|0,8529704,182)}e=c[b+(p<<2)>>2]|0;if((e|0)==0){I=Bd(4)|0;J=I;nJa(J);vc(I|0,8529704,182)}I=e;J=c[e>>2]|0;if(d){Wd[c[J+44>>2]&255](r,I);r=f;C=c[q>>2]|0;a[r]=C;C=C>>8;a[r+1|0]=C;C=C>>8;a[r+2|0]=C;C=C>>8;a[r+3|0]=C;Wd[c[(c[e>>2]|0)+32>>2]&255](s,I);r=l;if((a[r]&1)==0){a[l+1|0]=0;a[r]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}Pza(l,0);q=s;c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];lKa(q|0,0,12)|0;Dza(s)}else{Wd[c[J+40>>2]&255](u,I);u=f;C=c[t>>2]|0;a[u]=C;C=C>>8;a[u+1|0]=C;C=C>>8;a[u+2|0]=C;C=C>>8;a[u+3|0]=C;Wd[c[(c[e>>2]|0)+28>>2]&255](v,I);u=l;if((a[u]&1)==0){a[l+1|0]=0;a[u]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}Pza(l,0);t=v;c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];lKa(t|0,0,12)|0;Dza(v)}v=e;a[g]=Yd[c[(c[v>>2]|0)+12>>2]&255](I)|0;a[h]=Yd[c[(c[v>>2]|0)+16>>2]&255](I)|0;v=e;Wd[c[(c[v>>2]|0)+20>>2]&255](w,I);t=j;if((a[t]&1)==0){a[j+1|0]=0;a[t]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}Pza(j,0);u=w;c[t>>2]=c[u>>2];c[t+4>>2]=c[u+4>>2];c[t+8>>2]=c[u+8>>2];lKa(u|0,0,12)|0;Dza(w);Wd[c[(c[v>>2]|0)+24>>2]&255](x,I);v=k;if((a[v]&1)==0){a[k+1|0]=0;a[v]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}Pza(k,0);w=x;c[v>>2]=c[w>>2];c[v+4>>2]=c[w+4>>2];c[v+8>>2]=c[w+8>>2];lKa(w|0,0,12)|0;Dza(x);K=Yd[c[(c[e>>2]|0)+36>>2]&255](I)|0;c[m>>2]=K;i=n;return}else{if(!((c[2143260]|0)==-1)){c[o>>2]=8573040;c[o+4>>2]=18;c[o+8>>2]=0;oza(8573040,o,128)}o=(c[2143261]|0)-1|0;I=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-I>>2>>>0>o>>>0)){L=Bd(4)|0;M=L;nJa(M);vc(L|0,8529704,182)}H=c[I+(o<<2)>>2]|0;if((H|0)==0){L=Bd(4)|0;M=L;nJa(M);vc(L|0,8529704,182)}L=H;M=c[H>>2]|0;if(d){Wd[c[M+44>>2]&255](z,L);z=f;C=c[y>>2]|0;a[z]=C;C=C>>8;a[z+1|0]=C;C=C>>8;a[z+2|0]=C;C=C>>8;a[z+3|0]=C;Wd[c[(c[H>>2]|0)+32>>2]&255](A,L);z=l;if((a[z]&1)==0){a[l+1|0]=0;a[z]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}Pza(l,0);y=A;c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];lKa(y|0,0,12)|0;Dza(A)}else{Wd[c[M+40>>2]&255](D,L);D=f;C=c[B>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;Wd[c[(c[H>>2]|0)+28>>2]&255](E,L);D=l;if((a[D]&1)==0){a[l+1|0]=0;a[D]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}Pza(l,0);l=E;c[D>>2]=c[l>>2];c[D+4>>2]=c[l+4>>2];c[D+8>>2]=c[l+8>>2];lKa(l|0,0,12)|0;Dza(E)}E=H;a[g]=Yd[c[(c[E>>2]|0)+12>>2]&255](L)|0;a[h]=Yd[c[(c[E>>2]|0)+16>>2]&255](L)|0;E=H;Wd[c[(c[E>>2]|0)+20>>2]&255](F,L);h=j;if((a[h]&1)==0){a[j+1|0]=0;a[h]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}Pza(j,0);j=F;c[h>>2]=c[j>>2];c[h+4>>2]=c[j+4>>2];c[h+8>>2]=c[j+8>>2];lKa(j|0,0,12)|0;Dza(F);Wd[c[(c[E>>2]|0)+24>>2]&255](G,L);E=k;if((a[E]&1)==0){a[k+1|0]=0;a[E]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}Pza(k,0);k=G;c[E>>2]=c[k>>2];c[E+4>>2]=c[k+4>>2];c[E+8>>2]=c[k+8>>2];lKa(k|0,0,12)|0;Dza(G);K=Yd[c[(c[H>>2]|0)+36>>2]&255](L)|0;c[m>>2]=K;i=n;return}}function MFa(d,e,f,g,h,i,j,k,l,m,n,o,p,q,r){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;var s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0;c[f>>2]=d;s=j;t=q;u=q+1|0;v=q+8|0;w=q+4|0;q=p;x=(g&512|0)==0;y=p+1|0;z=p+8|0;A=p+4|0;p=j+8|0;B=(r|0)>0;C=o;D=o+1|0;E=o+8|0;F=o+4|0;o=-r|0;G=0;H=h;while(1){a:do{switch(a[l+G|0]|0){case 0:{c[e>>2]=c[f>>2];I=H;break};case 2:{h=a[q]|0;J=(h&1)==0;if(J){K=(h&255)>>>1}else{K=c[A>>2]|0}if((K|0)==0|x){I=H;break a}if(J){L=(h&255)>>>1;M=y;N=y}else{h=c[z>>2]|0;L=c[A>>2]|0;M=h;N=h}h=M+L|0;J=c[f>>2]|0;if((N|0)==(h|0)){O=J}else{P=J;J=N;while(1){a[P]=a[J]|0;Q=J+1|0;R=P+1|0;if((Q|0)==(h|0)){O=R;break}else{P=R;J=Q}}}c[f>>2]=O;I=H;break};case 1:{c[e>>2]=c[f>>2];J=he[c[(c[s>>2]|0)+28>>2]&127](j,32)|0;P=c[f>>2]|0;c[f>>2]=P+1;a[P]=J;I=H;break};case 4:{J=c[f>>2]|0;P=k?H+1|0:H;h=P;while(1){if(!(h>>>0<i>>>0)){break}Q=a[h]|0;if(Q<<24>>24<0){break}if((b[(c[p>>2]|0)+(Q<<24>>24<<1)>>1]&2048)==0){break}else{h=h+1|0}}Q=h;if(B){if(h>>>0>P>>>0){R=P+(-Q|0)|0;Q=R>>>0<o>>>0?o:R;R=Q+r|0;S=h;T=r;U=J;while(1){V=S-1|0;W=a[V]|0;c[f>>2]=U+1;a[U]=W;W=T-1|0;X=(W|0)>0;if(!(V>>>0>P>>>0&X)){break}S=V;T=W;U=c[f>>2]|0}U=h+Q|0;if(X){Y=R;Z=U;_=32}else{$=0;aa=R;ba=U}}else{Y=r;Z=h;_=32}if((_|0)==32){_=0;$=he[c[(c[s>>2]|0)+28>>2]&127](j,48)|0;aa=Y;ba=Z}U=c[f>>2]|0;c[f>>2]=U+1;if((aa|0)>0){T=aa;S=U;while(1){a[S]=$;W=T-1|0;V=c[f>>2]|0;c[f>>2]=V+1;if((W|0)>0){T=W;S=V}else{ca=V;break}}}else{ca=U}a[ca]=m;da=ba}else{da=h}if((da|0)==(P|0)){S=he[c[(c[s>>2]|0)+28>>2]&127](j,48)|0;T=c[f>>2]|0;c[f>>2]=T+1;a[T]=S}else{S=a[C]|0;T=(S&1)==0;if(T){ea=(S&255)>>>1}else{ea=c[F>>2]|0}if((ea|0)==0){fa=da;ga=0;ha=0;ia=-1}else{if(T){ja=D}else{ja=c[E>>2]|0}fa=da;ga=0;ha=0;ia=a[ja]|0}while(1){do{if((ga|0)==(ia|0)){T=c[f>>2]|0;c[f>>2]=T+1;a[T]=n;T=ha+1|0;S=a[C]|0;R=(S&1)==0;if(R){ka=(S&255)>>>1}else{ka=c[F>>2]|0}if(!(T>>>0<ka>>>0)){la=ia;ma=T;na=0;break}if(R){oa=D}else{oa=c[E>>2]|0}if((a[oa+T|0]|0)==127){la=-1;ma=T;na=0;break}if(R){pa=D}else{pa=c[E>>2]|0}la=a[pa+T|0]|0;ma=T;na=0}else{la=ia;ma=ha;na=ga}}while(0);T=fa-1|0;R=a[T]|0;S=c[f>>2]|0;c[f>>2]=S+1;a[S]=R;if((T|0)==(P|0)){break}else{fa=T;ga=na+1|0;ha=ma;ia=la}}}h=c[f>>2]|0;if((J|0)==(h|0)){I=P;break a}U=h-1|0;if(U>>>0>J>>>0){qa=J;ra=U}else{I=P;break a}while(1){U=a[qa]|0;a[qa]=a[ra]|0;a[ra]=U;U=qa+1|0;h=ra-1|0;if(U>>>0<h>>>0){qa=U;ra=h}else{I=P;break}}break};case 3:{P=a[t]|0;J=(P&1)==0;if(J){sa=(P&255)>>>1}else{sa=c[w>>2]|0}if((sa|0)==0){I=H;break a}if(J){ta=u}else{ta=c[v>>2]|0}J=a[ta]|0;P=c[f>>2]|0;c[f>>2]=P+1;a[P]=J;I=H;break};default:{I=H}}}while(0);J=G+1|0;if(J>>>0<4>>>0){G=J;H=I}else{break}}I=a[t]|0;t=(I&1)==0;if(t){ua=(I&255)>>>1}else{ua=c[w>>2]|0}if(ua>>>0>1>>>0){if(t){va=(I&255)>>>1;wa=u;xa=u}else{u=c[v>>2]|0;va=c[w>>2]|0;wa=u;xa=u}u=xa+1|0;xa=wa+va|0;va=c[f>>2]|0;if((u|0)==(xa|0)){ya=va}else{wa=va;va=u;while(1){a[wa]=a[va]|0;u=va+1|0;w=wa+1|0;if((u|0)==(xa|0)){ya=w;break}else{wa=w;va=u}}}c[f>>2]=ya}ya=g&176;if((ya|0)==32){c[e>>2]=c[f>>2];return}else if((ya|0)==16){return}else{c[e>>2]=d;return}}function NFa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=i;i=i+232|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+24|0;n=d+32|0;o=d+40|0;p=d+48|0;q=d+64|0;r=d+80|0;s=d+96|0;t=d+104|0;u=d+208|0;v=d+216|0;w=d+224|0;zAa(l,g);x=l|0;y=c[x>>2]|0;if(!((c[2143140]|0)==-1)){c[k>>2]=8572560;c[k+4>>2]=18;c[k+8>>2]=0;oza(8572560,k,128)}k=(c[2143141]|0)-1|0;z=c[y+8>>2]|0;do{if((c[y+12>>2]|0)-z>>2>>>0>k>>>0){A=c[z+(k<<2)>>2]|0;if((A|0)==0){break}B=A;C=j;D=a[C]|0;E=(D&1)==0;if(E){F=(D&255)>>>1}else{F=c[j+4>>2]|0}if((F|0)==0){G=0}else{if(E){H=j+1|0}else{H=c[j+8>>2]|0}E=a[H]|0;G=E<<24>>24==(he[c[(c[A>>2]|0)+28>>2]&127](B,45)|0)<<24>>24}lKa(p|0,0,12)|0;A=q;lKa(A|0,0,12)|0;E=r;lKa(E|0,0,12)|0;LFa(f,G,l,m,n,o,p,q,r,s);D=t|0;I=a[C]|0;J=(I&1)==0;if(J){K=(I&255)>>>1}else{K=c[j+4>>2]|0}L=c[s>>2]|0;if((K|0)>(L|0)){if(J){M=(I&255)>>>1}else{M=c[j+4>>2]|0}J=a[E]|0;if((J&1)==0){N=(J&255)>>>1}else{N=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){O=(J&255)>>>1}else{O=c[q+4>>2]|0}P=N+(M-L<<1|1)+O|0}else{J=a[E]|0;if((J&1)==0){Q=(J&255)>>>1}else{Q=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){R=(J&255)>>>1}else{R=c[q+4>>2]|0}P=Q+2+R|0}J=P+L|0;do{if(J>>>0>100>>>0){A=IJa(J)|0;if((A|0)!=0){S=A;T=A;U=I;break}VJa();S=0;T=0;U=a[C]|0}else{S=D;T=0;U=I}}while(0);if((U&1)==0){V=(U&255)>>>1;W=j+1|0}else{V=c[j+4>>2]|0;W=c[j+8>>2]|0}MFa(S,u,v,c[g+4>>2]|0,W,W+V|0,B,G,m,a[n]|0,a[o]|0,p,q,r,L);c[w>>2]=c[e>>2];$va(b,w,S,c[u>>2]|0,c[v>>2]|0,g,h);if((T|0)==0){Dza(r);Dza(q);Dza(p);X=c[x>>2]|0;Y=X|0;Z=Vya(Y)|0;i=d;return}JJa(T);Dza(r);Dza(q);Dza(p);X=c[x>>2]|0;Y=X|0;Z=Vya(Y)|0;i=d;return}}while(0);d=Bd(4)|0;nJa(d);vc(d|0,8529704,182)}function OFa(a){a=a|0;Tya(a|0);QJa(a);return}function PFa(a){a=a|0;Tya(a|0);return}function QFa(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=+k;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+1040|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=d|0;m=d+120|0;n=d+528|0;o=d+536|0;p=d+544|0;q=d+552|0;r=d+560|0;s=d+576|0;t=d+592|0;u=d+608|0;v=d+616|0;w=d+1016|0;x=d+1024|0;y=d+1032|0;z=d+16|0;c[m>>2]=z;A=d+128|0;B=Bb(z|0,100,156936,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;do{if(B>>>0>99>>>0){do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);C=CDa(m,c[2142782]|0,156936,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;D=c[m>>2]|0;if((D|0)==0){VJa();E=c[m>>2]|0}else{E=D}D=IJa(C<<2)|0;F=D;if((D|0)!=0){G=F;H=C;I=F;J=E;break}VJa();G=0;H=C;I=0;J=E}else{G=A;H=B;I=0;J=0}}while(0);zAa(n,g);B=n|0;A=c[B>>2]|0;if(!((c[2143138]|0)==-1)){c[l>>2]=8572552;c[l+4>>2]=18;c[l+8>>2]=0;oza(8572552,l,128)}l=(c[2143139]|0)-1|0;E=c[A+8>>2]|0;do{if((c[A+12>>2]|0)-E>>2>>>0>l>>>0){z=c[E+(l<<2)>>2]|0;if((z|0)==0){break}C=z;F=c[m>>2]|0;ke[c[(c[z>>2]|0)+48>>2]&127](C,F,F+H|0,G)|0;if((H|0)==0){K=0}else{K=(a[c[m>>2]|0]|0)==45}lKa(r|0,0,12)|0;F=s;lKa(F|0,0,12)|0;z=t;lKa(z|0,0,12)|0;RFa(f,K,n,o,p,q,r,s,t,u);D=v|0;L=c[u>>2]|0;if((H|0)>(L|0)){M=a[z]|0;if((M&1)==0){N=(M&255)>>>1}else{N=c[t+4>>2]|0}M=a[F]|0;if((M&1)==0){O=(M&255)>>>1}else{O=c[s+4>>2]|0}P=N+(H-L<<1|1)+O|0}else{M=a[z]|0;if((M&1)==0){Q=(M&255)>>>1}else{Q=c[t+4>>2]|0}M=a[F]|0;if((M&1)==0){R=(M&255)>>>1}else{R=c[s+4>>2]|0}P=Q+2+R|0}M=P+L|0;do{if(M>>>0>100>>>0){F=IJa(M<<2)|0;z=F;if((F|0)!=0){S=z;T=z;break}VJa();S=0;T=0}else{S=D;T=0}}while(0);SFa(S,w,x,c[g+4>>2]|0,G,G+(H<<2)|0,C,K,o,c[p>>2]|0,c[q>>2]|0,r,s,t,L);c[y>>2]=c[e>>2];LDa(b,y,S,c[w>>2]|0,c[x>>2]|0,g,j);if((T|0)!=0){JJa(T)}fAa(t);fAa(s);Dza(r);Vya(c[B>>2]|0)|0;if((I|0)!=0){JJa(I)}if((J|0)==0){i=d;return}JJa(J);i=d;return}}while(0);d=Bd(4)|0;nJa(d);vc(d|0,8529704,182)}function RFa(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;n=i;i=i+40|0;o=n|0;p=n+16|0;q=n+32|0;r=q;s=i;i=i+12|0;i=i+7&-8;t=i;i=i+4|0;i=i+7&-8;u=t;v=i;i=i+12|0;i=i+7&-8;w=i;i=i+12|0;i=i+7&-8;x=i;i=i+12|0;i=i+7&-8;y=i;i=i+4|0;i=i+7&-8;z=y;A=i;i=i+12|0;i=i+7&-8;B=i;i=i+4|0;i=i+7&-8;D=B;E=i;i=i+12|0;i=i+7&-8;F=i;i=i+12|0;i=i+7&-8;G=i;i=i+12|0;i=i+7&-8;H=c[e>>2]|0;if(b){if(!((c[2143254]|0)==-1)){c[p>>2]=8573016;c[p+4>>2]=18;c[p+8>>2]=0;oza(8573016,p,128)}p=(c[2143255]|0)-1|0;b=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-b>>2>>>0>p>>>0)){I=Bd(4)|0;J=I;nJa(J);vc(I|0,8529704,182)}e=c[b+(p<<2)>>2]|0;if((e|0)==0){I=Bd(4)|0;J=I;nJa(J);vc(I|0,8529704,182)}I=e;J=c[e>>2]|0;if(d){Wd[c[J+44>>2]&255](r,I);r=f;C=c[q>>2]|0;a[r]=C;C=C>>8;a[r+1|0]=C;C=C>>8;a[r+2|0]=C;C=C>>8;a[r+3|0]=C;Wd[c[(c[e>>2]|0)+32>>2]&255](s,I);r=l;if((a[r]&1)==0){c[l+4>>2]=0;a[r]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}iAa(l,0);q=s;c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];lKa(q|0,0,12)|0;fAa(s)}else{Wd[c[J+40>>2]&255](u,I);u=f;C=c[t>>2]|0;a[u]=C;C=C>>8;a[u+1|0]=C;C=C>>8;a[u+2|0]=C;C=C>>8;a[u+3|0]=C;Wd[c[(c[e>>2]|0)+28>>2]&255](v,I);u=l;if((a[u]&1)==0){c[l+4>>2]=0;a[u]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}iAa(l,0);t=v;c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];lKa(t|0,0,12)|0;fAa(v)}v=e;c[g>>2]=Yd[c[(c[v>>2]|0)+12>>2]&255](I)|0;c[h>>2]=Yd[c[(c[v>>2]|0)+16>>2]&255](I)|0;Wd[c[(c[e>>2]|0)+20>>2]&255](w,I);t=j;if((a[t]&1)==0){a[j+1|0]=0;a[t]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}Pza(j,0);u=w;c[t>>2]=c[u>>2];c[t+4>>2]=c[u+4>>2];c[t+8>>2]=c[u+8>>2];lKa(u|0,0,12)|0;Dza(w);Wd[c[(c[e>>2]|0)+24>>2]&255](x,I);e=k;if((a[e]&1)==0){c[k+4>>2]=0;a[e]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}iAa(k,0);w=x;c[e>>2]=c[w>>2];c[e+4>>2]=c[w+4>>2];c[e+8>>2]=c[w+8>>2];lKa(w|0,0,12)|0;fAa(x);K=Yd[c[(c[v>>2]|0)+36>>2]&255](I)|0;c[m>>2]=K;i=n;return}else{if(!((c[2143256]|0)==-1)){c[o>>2]=8573024;c[o+4>>2]=18;c[o+8>>2]=0;oza(8573024,o,128)}o=(c[2143257]|0)-1|0;I=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-I>>2>>>0>o>>>0)){L=Bd(4)|0;M=L;nJa(M);vc(L|0,8529704,182)}H=c[I+(o<<2)>>2]|0;if((H|0)==0){L=Bd(4)|0;M=L;nJa(M);vc(L|0,8529704,182)}L=H;M=c[H>>2]|0;if(d){Wd[c[M+44>>2]&255](z,L);z=f;C=c[y>>2]|0;a[z]=C;C=C>>8;a[z+1|0]=C;C=C>>8;a[z+2|0]=C;C=C>>8;a[z+3|0]=C;Wd[c[(c[H>>2]|0)+32>>2]&255](A,L);z=l;if((a[z]&1)==0){c[l+4>>2]=0;a[z]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}iAa(l,0);y=A;c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];lKa(y|0,0,12)|0;fAa(A)}else{Wd[c[M+40>>2]&255](D,L);D=f;C=c[B>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;Wd[c[(c[H>>2]|0)+28>>2]&255](E,L);D=l;if((a[D]&1)==0){c[l+4>>2]=0;a[D]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}iAa(l,0);l=E;c[D>>2]=c[l>>2];c[D+4>>2]=c[l+4>>2];c[D+8>>2]=c[l+8>>2];lKa(l|0,0,12)|0;fAa(E)}E=H;c[g>>2]=Yd[c[(c[E>>2]|0)+12>>2]&255](L)|0;c[h>>2]=Yd[c[(c[E>>2]|0)+16>>2]&255](L)|0;Wd[c[(c[H>>2]|0)+20>>2]&255](F,L);h=j;if((a[h]&1)==0){a[j+1|0]=0;a[h]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}Pza(j,0);j=F;c[h>>2]=c[j>>2];c[h+4>>2]=c[j+4>>2];c[h+8>>2]=c[j+8>>2];lKa(j|0,0,12)|0;Dza(F);Wd[c[(c[H>>2]|0)+24>>2]&255](G,L);H=k;if((a[H]&1)==0){c[k+4>>2]=0;a[H]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}iAa(k,0);k=G;c[H>>2]=c[k>>2];c[H+4>>2]=c[k+4>>2];c[H+8>>2]=c[k+8>>2];lKa(k|0,0,12)|0;fAa(G);K=Yd[c[(c[E>>2]|0)+36>>2]&255](L)|0;c[m>>2]=K;i=n;return}}function SFa(b,d,e,f,g,h,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0;c[e>>2]=b;r=i;s=p;t=p+4|0;u=p+8|0;p=o;v=(f&512|0)==0;w=o+4|0;x=o+8|0;o=i;y=(q|0)>0;z=n;A=n+1|0;B=n+8|0;C=n+4|0;n=0;D=g;while(1){a:do{switch(a[k+n|0]|0){case 4:{g=c[e>>2]|0;E=j?D+4|0:D;F=E;while(1){if(!(F>>>0<h>>>0)){break}if(_d[c[(c[o>>2]|0)+12>>2]&127](i,2048,c[F>>2]|0)|0){F=F+4|0}else{break}}if(y){do{if(F>>>0>E>>>0){G=F;H=q;I=c[e>>2]|0;while(1){J=G-4|0;K=I+4|0;c[I>>2]=c[J>>2];L=H-1|0;M=(L|0)>0;if(J>>>0>E>>>0&M){G=J;H=L;I=K}else{break}}c[e>>2]=K;if(M){N=L;O=J;P=34;break}I=c[e>>2]|0;c[e>>2]=I+4;Q=I;R=J}else{N=q;O=F;P=34}}while(0);do{if((P|0)==34){P=0;I=he[c[(c[r>>2]|0)+44>>2]&127](i,48)|0;H=c[e>>2]|0;G=H+4|0;c[e>>2]=G;if((N|0)>0){S=N;T=H;U=G}else{Q=H;R=O;break}while(1){c[T>>2]=I;G=S-1|0;if((G|0)>0){S=G;T=U;U=U+4|0}else{break}}c[e>>2]=H+(N+1<<2);Q=H+(N<<2)|0;R=O}}while(0);c[Q>>2]=l;V=R}else{V=F}if((V|0)==(E|0)){I=he[c[(c[r>>2]|0)+44>>2]&127](i,48)|0;G=c[e>>2]|0;W=G+4|0;c[e>>2]=W;c[G>>2]=I;X=W}else{W=a[z]|0;I=(W&1)==0;if(I){Y=(W&255)>>>1}else{Y=c[C>>2]|0}if((Y|0)==0){Z=V;_=0;$=0;aa=-1}else{if(I){ba=A}else{ba=c[B>>2]|0}Z=V;_=0;$=0;aa=a[ba]|0}while(1){do{if((_|0)==(aa|0)){I=c[e>>2]|0;c[e>>2]=I+4;c[I>>2]=m;I=$+1|0;W=a[z]|0;G=(W&1)==0;if(G){ca=(W&255)>>>1}else{ca=c[C>>2]|0}if(!(I>>>0<ca>>>0)){da=aa;ea=I;fa=0;break}if(G){ga=A}else{ga=c[B>>2]|0}if((a[ga+I|0]|0)==127){da=-1;ea=I;fa=0;break}if(G){ha=A}else{ha=c[B>>2]|0}da=a[ha+I|0]|0;ea=I;fa=0}else{da=aa;ea=$;fa=_}}while(0);H=Z-4|0;I=c[H>>2]|0;G=c[e>>2]|0;c[e>>2]=G+4;c[G>>2]=I;if((H|0)==(E|0)){break}else{Z=H;_=fa+1|0;$=ea;aa=da}}X=c[e>>2]|0}if((g|0)==(X|0)){ia=E;break a}F=X-4|0;if(F>>>0>g>>>0){ja=g;ka=F}else{ia=E;break a}while(1){F=c[ja>>2]|0;c[ja>>2]=c[ka>>2];c[ka>>2]=F;F=ja+4|0;H=ka-4|0;if(F>>>0<H>>>0){ja=F;ka=H}else{ia=E;break}}break};case 2:{E=a[p]|0;g=(E&1)==0;if(g){la=(E&255)>>>1}else{la=c[w>>2]|0}if((la|0)==0|v){ia=D;break a}if(g){ma=(E&255)>>>1;na=w;oa=w}else{E=c[x>>2]|0;ma=c[w>>2]|0;na=E;oa=E}E=na+(ma<<2)|0;g=c[e>>2]|0;if((oa|0)==(E|0)){pa=g}else{H=(na+(ma-1<<2)+(-oa|0)|0)>>>2;F=g;I=oa;while(1){c[F>>2]=c[I>>2];G=I+4|0;if((G|0)==(E|0)){break}F=F+4|0;I=G}pa=g+(H+1<<2)|0}c[e>>2]=pa;ia=D;break};case 1:{c[d>>2]=c[e>>2];I=he[c[(c[r>>2]|0)+44>>2]&127](i,32)|0;F=c[e>>2]|0;c[e>>2]=F+4;c[F>>2]=I;ia=D;break};case 3:{I=a[s]|0;F=(I&1)==0;if(F){qa=(I&255)>>>1}else{qa=c[t>>2]|0}if((qa|0)==0){ia=D;break a}if(F){ra=t}else{ra=c[u>>2]|0}F=c[ra>>2]|0;I=c[e>>2]|0;c[e>>2]=I+4;c[I>>2]=F;ia=D;break};case 0:{c[d>>2]=c[e>>2];ia=D;break};default:{ia=D}}}while(0);F=n+1|0;if(F>>>0<4>>>0){n=F;D=ia}else{break}}ia=a[s]|0;s=(ia&1)==0;if(s){sa=(ia&255)>>>1}else{sa=c[t>>2]|0}if(sa>>>0>1>>>0){if(s){ta=(ia&255)>>>1;ua=t;va=t}else{ia=c[u>>2]|0;ta=c[t>>2]|0;ua=ia;va=ia}ia=va+4|0;va=ua+(ta<<2)|0;t=c[e>>2]|0;if((ia|0)==(va|0)){wa=t}else{u=(ua+(ta-1<<2)+(-ia|0)|0)>>>2;ta=t;ua=ia;while(1){c[ta>>2]=c[ua>>2];ia=ua+4|0;if((ia|0)==(va|0)){break}else{ta=ta+4|0;ua=ia}}wa=t+(u+1<<2)|0}c[e>>2]=wa}wa=f&176;if((wa|0)==16){return}else if((wa|0)==32){c[d>>2]=c[e>>2];return}else{c[d>>2]=b;return}}function TFa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=i;i=i+528|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+24|0;n=d+32|0;o=d+40|0;p=d+48|0;q=d+64|0;r=d+80|0;s=d+96|0;t=d+104|0;u=d+504|0;v=d+512|0;w=d+520|0;zAa(l,g);x=l|0;y=c[x>>2]|0;if(!((c[2143138]|0)==-1)){c[k>>2]=8572552;c[k+4>>2]=18;c[k+8>>2]=0;oza(8572552,k,128)}k=(c[2143139]|0)-1|0;z=c[y+8>>2]|0;do{if((c[y+12>>2]|0)-z>>2>>>0>k>>>0){A=c[z+(k<<2)>>2]|0;if((A|0)==0){break}B=A;C=j;D=a[C]|0;E=(D&1)==0;if(E){F=(D&255)>>>1}else{F=c[j+4>>2]|0}if((F|0)==0){G=0}else{if(E){H=j+4|0}else{H=c[j+8>>2]|0}E=c[H>>2]|0;G=(E|0)==(he[c[(c[A>>2]|0)+44>>2]&127](B,45)|0)}lKa(p|0,0,12)|0;A=q;lKa(A|0,0,12)|0;E=r;lKa(E|0,0,12)|0;RFa(f,G,l,m,n,o,p,q,r,s);D=t|0;I=a[C]|0;J=(I&1)==0;if(J){K=(I&255)>>>1}else{K=c[j+4>>2]|0}L=c[s>>2]|0;if((K|0)>(L|0)){if(J){M=(I&255)>>>1}else{M=c[j+4>>2]|0}J=a[E]|0;if((J&1)==0){N=(J&255)>>>1}else{N=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){O=(J&255)>>>1}else{O=c[q+4>>2]|0}P=N+(M-L<<1|1)+O|0}else{J=a[E]|0;if((J&1)==0){Q=(J&255)>>>1}else{Q=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){R=(J&255)>>>1}else{R=c[q+4>>2]|0}P=Q+2+R|0}J=P+L|0;do{if(J>>>0>100>>>0){A=IJa(J<<2)|0;E=A;if((A|0)!=0){S=E;T=E;U=I;break}VJa();S=0;T=0;U=a[C]|0}else{S=D;T=0;U=I}}while(0);if((U&1)==0){V=(U&255)>>>1;W=j+4|0}else{V=c[j+4>>2]|0;W=c[j+8>>2]|0}SFa(S,u,v,c[g+4>>2]|0,W,W+(V<<2)|0,B,G,m,c[n>>2]|0,c[o>>2]|0,p,q,r,L);c[w>>2]=c[e>>2];LDa(b,w,S,c[u>>2]|0,c[v>>2]|0,g,h);if((T|0)==0){fAa(r);fAa(q);Dza(p);X=c[x>>2]|0;Y=X|0;Z=Vya(Y)|0;i=d;return}JJa(T);fAa(r);fAa(q);Dza(p);X=c[x>>2]|0;Y=X|0;Z=Vya(Y)|0;i=d;return}}while(0);d=Bd(4)|0;nJa(d);vc(d|0,8529704,182)}function UFa(a){a=a|0;Tya(a|0);QJa(a);return}function VFa(a){a=a|0;Tya(a|0);return}function WFa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=Gd(f|0,1)|0;return d>>>(((d|0)!=-1|0)>>>0)|0}function XFa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=i;i=i+16|0;j=d|0;k=j;lKa(k|0,0,12)|0;l=a[h]|0;if((l&1)==0){m=(l&255)>>>1;n=h+1|0;o=h+1|0}else{l=c[h+8>>2]|0;m=c[h+4>>2]|0;n=l;o=l}l=o+m|0;do{if(n>>>0<l>>>0){m=n;do{Vza(j,a[m]|0);m=m+1|0;}while(m>>>0<l>>>0);m=(e|0)==-1?-1:e<<1;if((a[k]&1)==0){p=m;q=10;break}r=c[j+8>>2]|0;s=m}else{p=(e|0)==-1?-1:e<<1;q=10}}while(0);if((q|0)==10){r=j+1|0;s=p}p=Vb(s|0,f|0,g|0,r|0)|0;lKa(b|0,0,12)|0;r=iKa(p|0)|0;g=p+r|0;if((r|0)>0){t=p}else{Dza(j);i=d;return}do{Vza(b,a[t]|0);t=t+1|0;}while(t>>>0<g>>>0);Dza(j);i=d;return}function YFa(a,b){a=a|0;b=b|0;ad(((b|0)==-1?-1:b<<1)|0)|0;return}function ZFa(a){a=a|0;Tya(a|0);QJa(a);return}function _Fa(a){a=a|0;Tya(a|0);return}function $Fa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=Gd(f|0,1)|0;return d>>>(((d|0)!=-1|0)>>>0)|0}



function nca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=ica(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 17:{k=rca(j,b+2|0,e,f)|0;break a;break};case 16:{g=b+2|0;b=g;if((g|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=ica(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)==27){k=oca(j,b+2|0,e,f)|0;break a}else if((m|0)==20){k=pca(j,b+2|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12512+((d[8896+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 15:{k=qca(j,b+2|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;g=0;c:while(1){if((b|0)==(e|0)){n=110;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 7:{n=48;break c;break};case 21:case 9:case 10:{n=74;break c;break};case 11:{n=99;break c;break};case 17:{n=101;break c;break};case 22:case 24:case 25:case 26:case 27:{n=41;break};case 23:{if((g|0)!=0){n=52;break c}g=1;b=b+2|0;if((b|0)==(e|0)){n=54;break c}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 5:{n=63;break c;break};case 29:{if((c[12512+((d[8896+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=60;break c}break};case 22:case 24:{break};case 6:{n=66;break c;break};case 7:{n=69;break c;break};default:{n=72;break c}}b=b+2|0;break};case 5:{n=42;break c;break};case 6:{n=45;break c;break};case 29:{if((c[12512+((d[13792+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=39;break c}n=41;break};default:{n=108;break c}}if((n|0)==41){n=0;b=b+2|0}}d:do{if((n|0)==39){c[f>>2]=b;k=0;break a}else if((n|0)==42){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==45){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==48){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==52){c[f>>2]=b;k=0;break a}else if((n|0)==54){k=-1;break a}else if((n|0)==60){c[f>>2]=b;k=0;break a}else if((n|0)==63){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==66){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==69){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==72){c[f>>2]=b;k=0;break a}else if((n|0)==74){b=b+2|0;e:while(1){if((b|0)==(e|0)){n=98;break}if((a[b+1|0]|0)==0){q=d[j+76+(d[b]|0)|0]|0}else{q=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(q|0){case 29:{n=80;break e;break};case 22:case 24:{break e;break};case 5:{n=84;break e;break};case 6:{n=87;break e;break};case 7:{n=90;break e;break};case 11:{n=93;break e;break};case 17:{n=94;break e;break};case 21:case 9:case 10:{break};default:{n=96;break e}}b=b+2|0}do{if((n|0)==80){if((c[12512+((d[8896+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break}else{c[f>>2]=b;k=0;break a}}else if((n|0)==84){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==87){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==90){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==93){n=100;break d}else if((n|0)==94){break d}else if((n|0)==96){c[f>>2]=b;k=0;break a}else if((n|0)==98){k=-1;break a}}while(0);b=b+2|0;k=sca(j,b,e,f)|0;break a}else if((n|0)==99){n=100}else if((n|0)!=101)if((n|0)==108){c[f>>2]=b;k=0;break a}else if((n|0)==110){k=-1;break a}}while(0);if((n|0)==100){c[f>>2]=b+2;k=2;break}b=b+2|0;if((b|0)==(e|0)){k=-1;break}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;k=4;break a}}while(0);c[f>>2]=b;k=0}}while(0);i=h;return k|0}function oca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)!=(e|0)){do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=45){break}b=b+2|0;b:while(1){if((b|0)==(e|0)){k=34;break}if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(l|0){case 6:{if((e-b|0)<3){k=15;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){k=18;break b}b=b+4|0;break};case 5:{if((e-b|0)<2){k=12;break b}b=b+2|0;break};case 0:case 1:case 8:{k=20;break b;break};case 27:{g=b+2|0;b=g;if((g|0)==(e|0)){k=22;break b}if((a[b+1|0]|0)==0){if((a[b|0]|0)==45){k=25;break b}}break};default:{b=b+2|0}}}if((k|0)==12){m=-2;n=m;i=h;return n|0}else if((k|0)==15){m=-2;n=m;i=h;return n|0}else if((k|0)==18){m=-2;n=m;i=h;return n|0}else if((k|0)==20){c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==22){m=-1;n=m;i=h;return n|0}else if((k|0)==25){g=b+2|0;b=g;if((g|0)==(e|0)){m=-1;n=m;i=h;return n|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;m=13;n=m;i=h;return n|0}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==34){break a}}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}}while(0);m=-1;n=m;i=h;return n|0}function pca(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<12){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=10;break}if((a[g+1|0]|0)!=0){k=7;break}if((a[g|0]|0)!=(a[14368+e|0]|0)){k=7;break}e=e+1|0;g=g+2|0}if((k|0)==7){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==10){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function qca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{if((a[b+1|0]|0)==0){m=d[k+76+(d[b]|0)|0]|0}else{m=ica(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(m|0){case 22:case 24:{break};case 5:{if((e-b|0)<2){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 6:{if((e-b|0)<3){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 7:{if((e-b|0)<4){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 29:{if((c[12512+((d[8896+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){n=77;break}if((a[b+1|0]|0)==0){o=d[k+76+(d[b]|0)|0]|0}else{o=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 29:{if((c[12512+((d[13792+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=28;break c}break};case 22:case 24:case 25:case 26:case 27:{break};case 5:{n=31;break c;break};case 6:{n=34;break c;break};case 7:{n=37;break c;break};case 21:case 9:case 10:{n=40;break c;break};case 15:{n=67;break c;break};default:{break c}}b=b+2|0}if((n|0)==28){c[f>>2]=b;l=0;break}else if((n|0)==31){if((e-b|0)<2){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==34){if((e-b|0)<3){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==37){if((e-b|0)<4){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==40){if((tca(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;d:while(1){if((b|0)==(e|0)){n=66;break}if((a[b+1|0]|0)==0){p=d[k+76+(d[b]|0)|0]|0}else{p=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 15:{b=b+2|0;if((b|0)==(e|0)){n=59;break d}if((a[b+1|0]|0)==0){if((a[b|0]|0)==62){n=62;break d}}break};case 0:case 1:case 8:{n=57;break d;break};case 5:{if((e-b|0)<2){n=49;break d}b=b+2|0;break};case 6:{if((e-b|0)<3){n=52;break d}b=b+3|0;break};case 7:{if((e-b|0)<4){n=55;break d}b=b+4|0;break};default:{b=b+2|0}}}if((n|0)==49){l=-2;break}else if((n|0)==52){l=-2;break}else if((n|0)==55){l=-2;break}else if((n|0)==57){c[f>>2]=b;l=0;break}else if((n|0)==59){l=-1;break}else if((n|0)==62){c[f>>2]=b+2;l=c[j>>2]|0;break}else if((n|0)==66){l=-1;break}}else if((n|0)==67){if((tca(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;if((b|0)==(e|0)){l=-1;break}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;l=c[j>>2]|0;break a}}while(0)}else if((n|0)==77){l=-1;break}c[f>>2]=b;l=0}}while(0);i=h;return l|0}function rca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=ica(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 29:{if((c[12512+((d[8896+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=56;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 7:{m=37;break c;break};case 11:{m=53;break c;break};case 22:case 24:case 25:case 26:case 27:{m=30;break};case 29:{if((c[12512+((d[13792+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=28;break c}m=30;break};case 6:{m=34;break c;break};case 23:{b=b+2|0;break};case 21:case 9:case 10:{m=40;break c;break};case 5:{m=31;break c;break};default:{m=54;break c}}if((m|0)==30){m=0;b=b+2|0}}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){b=b+2|0;while(1){if((b|0)==(e|0)){m=51;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=ica(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==11){m=47;break}else if(!((o|0)==21|(o|0)==9|(o|0)==10)){m=48;break}b=b+2|0}if((m|0)==47){c[f>>2]=b+2;k=5;break}else if((m|0)==48){c[f>>2]=b;k=0;break}else if((m|0)==51){k=-1;break}}else if((m|0)==53){c[f>>2]=b+2;k=5;break}else if((m|0)==54){c[f>>2]=b;k=0;break}else if((m|0)==56){k=-1;break}}}while(0);i=h;return k|0}function sca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=141;break}if((a[(c[j>>2]|0)+1|0]|0)==0){m=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{m=ica(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(m|0){case 22:case 24:case 25:case 26:case 27:{l=10;break};case 5:{l=11;break a;break};case 6:{l=14;break a;break};case 7:{l=17;break a;break};case 23:{if((g|0)!=0){l=21;break a}g=1;c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=23;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){n=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{n=ica(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(n|0){case 29:{if((c[12512+((d[8896+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=29;break a}break};case 22:case 24:{break};case 5:{l=32;break a;break};case 6:{l=35;break a;break};case 7:{l=38;break a;break};default:{l=41;break a}}c[j>>2]=(c[j>>2]|0)+2;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=45;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){o=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{o=ica(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}b=o;if((b|0)==14){break}p=b;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=53;break a}}l=56;break};case 14:{l=56;break};case 29:{if((c[12512+((d[13792+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=8;break a}l=10;break};default:{l=139;break a}}if((l|0)==10){l=0;c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==56){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=58;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){q=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{q=ica(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}r=q;if((r|0)==12){break}if((r|0)==13){break}p=r;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=67;break a}}c[j>>2]=(c[j>>2]|0)+2;while(1){if((c[j>>2]|0)==(e|0)){l=71;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){s=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{s=ica(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}p=s;if((p|0)==(r|0)){break}switch(p|0){case 5:{if((e-(c[j>>2]|0)|0)<2){l=79;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=85;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=82;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 2:{l=93;break a;break};case 0:case 1:case 8:{l=87;break a;break};case 3:{t=jca(k,(c[j>>2]|0)+2|0,e,j)|0;if((t|0)<=0){l=89;break a}break};default:{c[j>>2]=(c[j>>2]|0)+2}}}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=97;break}if((a[(c[j>>2]|0)+1|0]|0)==0){u=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{u=ica(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(u|0){case 11:{l=104;break a;break};case 21:case 9:case 10:{break};case 17:{l=103;break a;break};default:{l=105;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=108;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){v=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{v=ica(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(v|0){case 29:{l=113;break b;break};case 22:case 24:{break b;break};case 5:{l=117;break a;break};case 6:{l=120;break a;break};case 7:{l=123;break a;break};case 21:case 9:case 10:{break};case 11:{l=127;break a;break};case 17:{l=129;break a;break};default:{l=136;break a}}}if((l|0)==113){l=0;if((c[12512+((d[8896+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=114;break}}c[j>>2]=(c[j>>2]|0)+2}}if((l|0)==8){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==11){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==14){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==17){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==21){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==23){w=-1;x=w;i=h;return x|0}else if((l|0)==29){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==32){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==35){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==38){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==41){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==45){w=-1;x=w;i=h;return x|0}else if((l|0)==53){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==58){w=-1;x=w;i=h;return x|0}else if((l|0)==67){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==71){w=-1;x=w;i=h;return x|0}else if((l|0)==79){w=-2;x=w;i=h;return x|0}else if((l|0)==82){w=-2;x=w;i=h;return x|0}else if((l|0)==85){w=-2;x=w;i=h;return x|0}else if((l|0)==87){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==89){if((t|0)==0){c[f>>2]=c[j>>2]}w=t;x=w;i=h;return x|0}else if((l|0)==93){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==97){w=-1;x=w;i=h;return x|0}else if((l|0)!=103)if((l|0)==104){l=128}else if((l|0)==105){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==108){w=-1;x=w;i=h;return x|0}else if((l|0)==114){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==117){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==120){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==123){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==127){l=128}else if((l|0)!=129)if((l|0)==136){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==139){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==141){w=-1;x=w;i=h;return x|0}if((l|0)==128){c[f>>2]=(c[j>>2]|0)+2;w=1;x=w;i=h;return x|0}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){w=-1;x=w;i=h;return x|0}do{if((a[(c[j>>2]|0)+1|0]|0)==0){if((a[c[j>>2]|0]|0)!=62){break}c[f>>2]=(c[j>>2]|0)+2;w=3;x=w;i=h;return x|0}}while(0);c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}function tca(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=6){h=1}else{if((a[g+1|0]|0)==0){j=a[g|0]|0}else{j=-1}if((j|0)!=120)if((j|0)==88){f=1}else{h=1;break}g=g+2|0;if((a[g+1|0]|0)==0){k=a[g|0]|0}else{k=-1}if((k|0)==77){f=1}else if((k|0)!=109){h=1;break}g=g+2|0;if((a[g+1|0]|0)==0){l=a[g|0]|0}else{l=-1}if((l|0)==76){f=1}else if((l|0)!=108){h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function uca(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=b;b=e;e=f;f=g;g=h;a:while(1){if((e|0)==(f|0)){l=29;break}if((a[e+1|0]|0)==0){m=d[b+76+(d[e]|0)|0]|0}else{m=ica(a[e+1|0]|0,a[e|0]|0)|0}h=m;switch(h|0){case 12:case 13:{e=e+2|0;if((h|0)==(k|0)){l=19;break a}break};case 7:{if((f-e|0)<4){l=14;break a}e=e+4|0;break};case 0:case 1:case 8:{l=16;break a;break};case 5:{if((f-e|0)<2){l=8;break a}e=e+2|0;break};case 6:{if((f-e|0)<3){l=11;break a}e=e+3|0;break};default:{e=e+2|0}}}if((l|0)==8){n=-2;o=n;i=j;return o|0}else if((l|0)==11){n=-2;o=n;i=j;return o|0}else if((l|0)==14){n=-2;o=n;i=j;return o|0}else if((l|0)==16){c[g>>2]=e;n=0;o=n;i=j;return o|0}else if((l|0)==19){if((e|0)==(f|0)){n=-27;o=n;i=j;return o|0}c[g>>2]=e;if((a[e+1|0]|0)==0){p=d[b+76+(d[e]|0)|0]|0}else{p=ica(a[e+1|0]|0,a[e|0]|0)|0}switch(p|0){case 21:case 9:case 10:case 11:case 30:case 20:{n=27;o=n;i=j;return o|0};default:{n=0;o=n;i=j;return o|0}}}else if((l|0)==29){n=-1;o=n;i=j;return o|0}return 0}function vca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=ica(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)==20){c[f>>2]=b+2;k=33;l=k;i=h;return l|0}else if((m|0)==22|(m|0)==24){b=b+2|0;a:while(1){if((b|0)==(e|0)){n=29;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 30:{n=17;break a;break};case 22:case 24:{break};case 21:case 9:case 10:{break a;break};default:{n=27;break a}}b=b+2|0}do{if((n|0)==17){if((b+2|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+3|0]|0)==0){p=d[j+76+(d[b+2|0]|0)|0]|0}else{p=ica(a[b+3|0]|0,a[b+2|0]|0)|0}if(!((p|0)==21|(p|0)==9|(p|0)==10|(p|0)==30)){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==27){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==29){k=-1;l=k;i=h;return l|0}}while(0);c[f>>2]=b;k=16;l=k;i=h;return l|0}else if((m|0)==27){k=oca(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=0;l=k;i=h;return l|0}return 0}function wca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=ica(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12512+((d[8896+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=43;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 9:case 10:case 21:case 32:case 11:case 30:case 36:{m=40;break c;break};case 5:{m=31;break c;break};case 7:{m=37;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 6:{m=34;break c;break};case 29:{if((c[12512+((d[13792+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=28;break c}break};default:{m=41;break c}}b=b+2|0}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){c[f>>2]=b;k=20;break}else if((m|0)==41){c[f>>2]=b;k=0;break}else if((m|0)==43){k=-20;break}}}while(0);i=h;return k|0}function xca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)==0){k=-1;break a}else{e=b+g|0;break}}}while(0);if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=ica(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 11:{c[f>>2]=b+2;k=17;break a;break};case 20:{c[f>>2]=b+2;k=25;break a;break};case 12:{k=Zca(12,j,b+2|0,e,f)|0;break a;break};case 13:{k=Zca(13,j,b+2|0,e,f)|0;break a;break};case 2:{b=b+2|0;if((b|0)==(e|0)){k=-1;break a}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-2;k=29;break a;break};case 15:{k=Vca(j,b+2|0,e,f)|0;break a;break};case 16:{k=_ca(j,b+2|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 31:{c[f>>2]=b+2;k=23;break a;break};case 32:{b=b+2|0;if((b|0)==(e|0)){k=-24;break a}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 33:{c[f>>2]=b+2;k=36;break a;break};case 15:{c[f>>2]=b+2;k=35;break a;break};case 34:{c[f>>2]=b+2;k=37;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 9:{if((b+2|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{o=26;break b}break};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}if((b+2|0)==(e|0)){k=-1;break a}do{if((a[b+2|0]|0)==0){if((a[b+3|0]|0)!=62){break}c[f>>2]=b+4;k=34;break a}}while(0)}}while(0);c[f>>2]=b;k=26;break a;break};case 36:{c[f>>2]=b+2;k=21;break a;break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 30:{k=Pca(j,b+2|0,e,f)|0;break a;break};case 22:case 24:{p=18;b=b+2|0;o=86;break};case 19:{k=$ca(j,b+2|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:{o=26;break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 35:{c[f>>2]=b+2;k=38;break a;break};case 25:case 26:case 27:case 23:{p=19;b=b+2|0;o=86;break};case 29:{if((c[12512+((d[8896+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){b=b+2|0;p=18;o=86;break b}if((c[12512+((d[13792+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){b=b+2|0;p=19;o=86;break b}else{o=85;break b}break};default:{o=85}}}while(0);if((o|0)==26){while(1){b=b+2|0;if((b|0)==(e|0)){o=28;break}if((a[b|0]|0)==0){q=d[j+76+(d[b+1|0]|0)|0]|0}else{q=ica(a[b|0]|0,a[b+1|0]|0)|0}if(!((q|0)==21|(q|0)==10))if((q|0)==9){if((b+2|0)==(e|0)){o=36;break}}else{break}}if((o|0)==28){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((o|0)==85){c[f>>2]=b;k=0;break}else if((o|0)==86){c:while(1){if((b|0)==(e|0)){o=141;break}if((a[b|0]|0)==0){r=d[j+76+(d[b+1|0]|0)|0]|0}else{r=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(r|0){case 22:case 24:case 25:case 26:case 27:{o=95;break};case 15:{o=136;break c;break};case 7:{o=102;break c;break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{o=105;break c;break};case 23:{b=b+2|0;g=p;if((g|0)==18){if((b|0)==(e|0)){o=108;break c}p=41;if((a[b|0]|0)==0){s=d[j+76+(d[b+1|0]|0)|0]|0}else{s=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(s|0){case 6:{o=120;break c;break};case 7:{o=123;break c;break};case 29:{if((c[12512+((d[13792+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){o=114;break c}o=116;break};case 22:case 24:case 25:case 26:case 27:{o=116;break};case 5:{o=117;break c;break};default:{p=19}}if((o|0)==116){o=0;b=b+2|0}}else if((g|0)==41){p=19}break};case 6:{o=99;break c;break};case 29:{if((c[12512+((d[13792+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){o=93;break c}o=95;break};case 34:{o=130;break c;break};case 33:{o=133;break c;break};case 5:{o=96;break c;break};default:{o=139;break c}}if((o|0)==95){o=0;b=b+2|0}}if((o|0)==93){c[f>>2]=b;k=0;break}else if((o|0)==96){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==99){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==102){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==105){c[f>>2]=b;k=p;break}else if((o|0)==108){k=-1;break}else if((o|0)==114){c[f>>2]=b;k=0;break}else if((o|0)==117){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==120){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==123){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==130){if((p|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=32;break}}else if((o|0)==133){if((p|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=31;break}}else if((o|0)==136){if((p|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=30;break}}else if((o|0)==139){c[f>>2]=b;k=0;break}else if((o|0)==141){k=-p|0;break}}}}while(0);i=h;return k|0}function yca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=ica(a[b|0]|0,a[b+1|0]|0)|0}a:do{switch(m|0){case 3:{k=Oca(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=ica(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 2:{k=Sca(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=73;break}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=ica(a[b|0]|0,a[b+1|0]|0)|0}c:do{switch(p|0){case 4:{if((b+2|0)==(e|0)){o=69;break b}do{if((a[b+2|0]|0)==0){if((a[b+3|0]|0)!=93){break}if((b+4|0)==(e|0)){o=68;break b}if((a[b+4|0]|0)==0){if((a[b+5|0]|0)==62){o=67;break b}}b=b+2|0;break c}}while(0);b=b+2|0;break};case 5:{if((e-b|0)<2){o=51;break b}b=b+2|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};case 6:{if((e-b|0)<3){o=54;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){o=57;break b}b=b+4|0;break};default:{b=b+2|0}}}while(0)}if((o|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==67){c[f>>2]=b+4;k=0;l=k;i=h;return l|0}else if((o|0)==68){o=69}else if((o|0)==73){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function zca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=ica(a[b|0]|0,a[b+1|0]|0)|0}a:do{switch(m|0){case 9:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=ica(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;k=40;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=60;break}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 5:{if((e-b|0)<2){o=49;break b}b=b+2|0;break};case 7:{if((e-b|0)<4){o=55;break b}b=b+4|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{o=57;break b;break};case 6:{if((e-b|0)<3){o=52;break b}b=b+3|0;break};default:{b=b+2|0}}}if((o|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==52){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==55){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==60){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function Aca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;g=0;k=e-b|0;if((k&1|0)!=0){k=k&-2;e=b+k|0}a:while(1){if((b|0)==(e|0)){l=45;break}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 5:{if((e-b|0)<2){l=10;break a}b=b+2|0;break};case 0:case 1:case 8:{l=18;break a;break};case 7:{if((e-b|0)<4){l=16;break a}b=b+4|0;break};case 4:{k=b+2|0;b=k;if((k|0)==(e|0)){l=31;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=35;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}b=b+2|0;if((g|0)==0){l=39;break a}g=g-1|0}}while(0)}}while(0);break};case 2:{k=b+2|0;b=k;if((k|0)==(e|0)){l=20;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=33){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=24;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=91){break}g=g+1|0;b=b+2|0}}while(0)}}while(0);break};case 6:{if((e-b|0)<3){l=13;break a}b=b+3|0;break};default:{b=b+2|0}}}if((l|0)==10){n=-2;o=n;i=h;return o|0}else if((l|0)==13){n=-2;o=n;i=h;return o|0}else if((l|0)==16){n=-2;o=n;i=h;return o|0}else if((l|0)==18){c[f>>2]=b;n=0;o=n;i=h;return o|0}else if((l|0)==20){n=-1;o=n;i=h;return o|0}else if((l|0)==24){n=-1;o=n;i=h;return o|0}else if((l|0)==31){n=-1;o=n;i=h;return o|0}else if((l|0)==35){n=-1;o=n;i=h;return o|0}else if((l|0)==39){c[f>>2]=b;n=42;o=n;i=h;return o|0}else if((l|0)==45){n=-1;o=n;i=h;return o|0}return 0}function Bca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)==(e|0)){k=-4}else{g=b;a:while(1){if((b|0)==(e|0)){l=34;break}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 2:{l=15;break a;break};case 9:{l=19;break a;break};case 21:{l=29;break a;break};case 10:{l=16;break a;break};case 6:{b=b+3|0;break};case 7:{b=b+4|0;break};case 5:{b=b+2|0;break};case 3:{l=12;break a;break};default:{b=b+2|0}}}if((l|0)==12){if((b|0)==(g|0)){k=Oca(j,b+2|0,e,f)|0;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==16){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==19){if((b|0)!=(g|0)){c[f>>2]=b;k=6;break}b=b+2|0;if((b|0)==(e|0)){k=-3;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=ica(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;break}else if((l|0)==29){if((b|0)==(g|0)){c[f>>2]=b+2;k=39;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==34){c[f>>2]=b;k=6;break}}}while(0);i=h;return k|0}function Cca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=b;a:while(1){if((b|0)==(e|0)){m=36;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 10:{m=21;break a;break};case 9:{m=24;break a;break};case 30:{m=15;break a;break};case 5:{b=b+2|0;break};case 7:{b=b+4|0;break};case 6:{b=b+3|0;break};case 3:{m=12;break a;break};default:{b=b+2|0}}}if((m|0)==12){if((b|0)==(g|0)){k=Oca(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==15){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}n=Pca(j,b+2|0,e,f)|0;if((n|0)==22){o=0}else{o=n}k=o;l=k;i=h;return l|0}else if((m|0)==21){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==24){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=ica(a[b|0]|0,a[b+1|0]|0)|0}if((p|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0}else if((m|0)==36){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function Dca(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;f=i;g=b;b=c;c=e;a:while(1){if((a[b|0]|0)==0){h=d[g+76+(d[b+1|0]|0)|0]|0}else{h=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(h|0){case 5:{j=12;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{e=c;c=e+1|0;k=b;b=k+1|0;if((a[e]|0)!=(a[k]|0)){j=18;break a}k=c;c=k+1|0;e=b;b=e+1|0;if((a[k]|0)!=(a[e]|0)){j=20;break a}break};case 6:{j=9;break};case 7:{e=b;b=e+1|0;k=c;c=k+1|0;if((a[e]|0)!=(a[k]|0)){j=7;break a}j=9;break};default:{j=22;break a}}if((j|0)==9){j=0;k=b;b=k+1|0;e=c;c=e+1|0;if((a[k]|0)!=(a[e]|0)){j=10;break}j=12}if((j|0)==12){j=0;e=b;b=e+1|0;k=c;c=k+1|0;if((a[e]|0)!=(a[k]|0)){j=13;break}k=b;b=k+1|0;e=c;c=e+1|0;if((a[k]|0)!=(a[e]|0)){j=15;break}}}if((j|0)==7){l=0;m=l;i=f;return m|0}else if((j|0)==10){l=0;m=l;i=f;return m|0}else if((j|0)==13){l=0;m=l;i=f;return m|0}else if((j|0)==15){l=0;m=l;i=f;return m|0}else if((j|0)==18){l=0;m=l;i=f;return m|0}else if((j|0)==20){l=0;m=l;i=f;return m|0}else if((j|0)==22){if((a[c|0]|0)==0){n=d[g+76+(d[c+1|0]|0)|0]|0}else{n=ica(a[c|0]|0,a[c+1|0]|0)|0}switch(n|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{l=0;m=l;i=f;return m|0};default:{l=1;m=l;i=f;return m|0}}}return 0}function Eca(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=10;break}if((f|0)==(c|0)){g=4;break}if((a[f|0]|0)!=0){g=7;break}if((a[f+1|0]|0)!=(a[d]|0)){g=7;break}f=f+2|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==7){h=0;j=h;i=b;return j|0}else if((g|0)==10){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function Fca(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;c=b;a:while(1){if((a[b|0]|0)==0){g=d[f+76+(d[b+1|0]|0)|0]|0}else{g=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(g|0){case 6:{b=b+3|0;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{b=b+2|0;break};case 7:{b=b+4|0;break};case 5:{b=b+2|0;break};default:{break a}}}i=e;return b-c|0}function Gca(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;while(1){if((a[b|0]|0)==0){g=d[f+76+(d[b+1|0]|0)|0]|0}else{g=ica(a[b|0]|0,a[b+1|0]|0)|0}if(!((g|0)==10|(g|0)==9|(g|0)==21)){break}b=b+2|0}i=e;return b|0}function Hca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+2|0;a:while(1){if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b|0]|0)==0){n=a[b+1|0]|0}else{n=-1}if((n|0)!=32){break}if((a[b+2|0]|0)==0){o=a[b+3|0]|0}else{o=-1}if((o|0)==32){break}if((a[b+2|0]|0)==0){p=d[j+76+(d[b+3|0]|0)|0]|0}else{p=ica(a[b+2|0]|0,a[b+3|0]|0)|0}if((p|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b|0;break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 11:case 17:{if((g|0)!=2){break a}break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};default:{}}b=b+2|0}i=h;return k|0}function Ica(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c;c=0;d=d+4|0;do{if((a[d|0]|0)==0){if((a[d+1|0]|0)!=120){e=19;break}d=d+2|0;while(1){if((a[d|0]|0)==0){f=(a[d+1|0]|0)==59}else{f=0}if(!(f^1)){e=18;break}if((a[d|0]|0)==0){g=a[d+1|0]|0}else{g=-1}h=g;switch(h|0){case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|h-48;break};case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(h-65+10)|0;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(h-97+10)|0;break};default:{}}if((c|0)>=1114112){break}d=d+2|0}if((e|0)==18){break}j=-1;k=j;i=b;return k|0}else{e=19}}while(0);do{if((e|0)==19){while(1){if((a[d|0]|0)==0){l=(a[d+1|0]|0)==59}else{l=0}if(!(l^1)){e=30;break}if((a[d|0]|0)==0){m=a[d+1|0]|0}else{m=-1}c=c*10|0;c=c+(m-48)|0;if((c|0)>=1114112){break}d=d+2|0}if((e|0)==30){break}j=-1;k=j;i=b;return k|0}}while(0);j=wba(c)|0;k=j;i=b;return k|0}function Jca(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;b=i;e=c;c=(d-e|0)/2|0;if((c|0)==3){do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=97){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=109){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=112){break}f=38;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}else if((c|0)==2){do{if((a[e+2|0]|0)==0){if((a[e+3|0]|0)!=116){break}if((a[e|0]|0)==0){h=a[e+1|0]|0}else{h=-1}if((h|0)==108){f=60;g=f;i=b;return g|0}else if((h|0)==103){f=62;g=f;i=b;return g|0}else{break}}}while(0)}else if((c|0)==4){if((a[e|0]|0)==0){j=a[e+1|0]|0}else{j=-1}if((j|0)==97){e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=112){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=111){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=115){break}f=39;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}else if((j|0)==113){e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=117){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=111){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=116){break}f=34;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}}f=0;g=f;i=b;return g|0}function Kca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;while(1){if(!(b>>>0<e>>>0)){break}if((a[b|0]|0)==0){k=d[j+76+(d[b+1|0]|0)|0]|0}else{k=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(k|0){case 9:{g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;do{if((b|0)!=(e|0)){if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=ica(a[b|0]|0,a[b+1|0]|0)|0}if((l|0)!=10){break}b=b+2|0}}while(0);c[f+4>>2]=-1;break};case 5:{b=b+2|0;break};case 7:{b=b+4|0;break};case 6:{b=b+3|0;break};case 10:{c[f+4>>2]=-1;g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;break};default:{b=b+2|0}}g=f+4|0;c[g>>2]=(c[g>>2]|0)+1}i=h;return}function Lca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;b=b+2|0;e=e-2|0;a:while(1){if((b|0)==(e|0)){k=27;break}if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=ica(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 26:case 22:{if((a[b|0]|0)==0){m=a[b+1|0]|0}else{m=-1}if((m&-128|0)!=0){k=18;break b}else{break b}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};case 21:{if((a[b|0]|0)==0){if((a[b+1|0]|0)==9){k=10;break a}}break};default:{k=18}}}while(0);if((k|0)==18){k=0;if((a[b|0]|0)==0){n=a[b+1|0]|0}else{n=-1}if(!((n|0)==36|(n|0)==64)){k=23;break}}b=b+2|0}if((k|0)==10){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==23){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==27){o=1;p=o;i=h;return p|0}return 0}function Mca(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;h=d;d=e;e=f;f=g;g=c[h>>2]|0;a:while(1){if((g|0)==(d|0)){j=20;break}k=a[g+1|0]|0;l=a[g|0]|0;b:do{switch(l&255|0){case 0:{if((k&255|0)>=128){j=9;break b}if((c[e>>2]|0)==(f|0)){j=6;break a}m=e;n=c[m>>2]|0;c[m>>2]=n+1;a[n]=k;break};case 1:case 2:case 3:case 4:case 5:case 6:case 7:{j=9;break};case 216:case 217:case 218:case 219:{if((f-(c[e>>2]|0)|0)<4){j=16;break a}n=((l&3)<<2|(k&255)>>6&3)+1|0;m=e;o=c[m>>2]|0;c[m>>2]=o+1;a[o]=n>>2|240;o=e;m=c[o>>2]|0;c[o>>2]=m+1;a[m]=(k&255)>>2&15|(n&3)<<4|128;g=g+2|0;n=a[g+1|0]|0;m=((k&3)<<4|(a[g|0]&3)<<2|(n&255)>>6|128)&255;o=e;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=m;m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=n&63|128;break};default:{if((f-(c[e>>2]|0)|0)<3){j=13;break a}n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=(l&255)>>4|224;p=e;n=c[p>>2]|0;c[p>>2]=n+1;a[n]=(l&15)<<2|(k&255)>>6|128;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=k&63|128}}}while(0);if((j|0)==9){j=0;if((f-(c[e>>2]|0)|0)<2){j=10;break}p=e;n=c[p>>2]|0;c[p>>2]=n+1;a[n]=(k&255)>>6|(l&255)<<2|192;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=k&63|128}g=g+2|0}if((j|0)==6){c[h>>2]=g;i=b;return}else if((j|0)==10){c[h>>2]=g;i=b;return}else if((j|0)==13){c[h>>2]=g;i=b;return}else if((j|0)==16){c[h>>2]=g;i=b;return}else if((j|0)==20){c[h>>2]=g;i=b;return}}function Nca(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0;e=i;k=f;f=g;g=h;h=j;do{if((f-(c[k>>2]|0)|0)>(((h-(c[g>>2]|0)|0)/2|0)<<1|0)){if((a[f-2|0]&248|0)!=216){break}f=f-2|0}}while(0);while(1){if((c[k>>2]|0)!=(f|0)){l=(c[g>>2]|0)!=(h|0)}else{l=0}if(!l){break}j=((d[c[k>>2]|0]|0)<<8|(d[(c[k>>2]|0)+1|0]|0))&65535;m=g;n=c[m>>2]|0;c[m>>2]=n+2;b[n>>1]=j;j=k;c[j>>2]=(c[j>>2]|0)+2}i=e;return}function Oca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=ica(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 22:case 24:{break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12512+((d[8896+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 19:{k=Qca(j,b+2|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 29:{if((c[12512+((d[13792+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=29;break c}break};case 6:{m=35;break c;break};case 7:{m=38;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 5:{m=32;break c;break};case 18:{m=41;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=9;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function Pca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=ica(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 22:case 24:{break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12512+((d[8896+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:case 9:case 30:{c[f>>2]=b;k=22;break a;break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 22:case 24:case 25:case 26:case 27:{break};case 5:{m=32;break c;break};case 7:{m=38;break c;break};case 29:{if((c[12512+((d[13792+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=29;break c}break};case 18:{m=41;break c;break};case 6:{m=35;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=28;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function Qca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=120){break}k=Rca(j,b+2|0,e,f)|0;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=ica(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=22;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=ica(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==18){n=18;break}else if((o|0)!=25){n=19;break}b=b+2|0}if((n|0)==18){c[f>>2]=b+2;k=10;l=k;i=h;return l|0}else if((n|0)==19){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==22){break}}}while(0);k=-1;l=k;i=h;return l|0}function Rca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b|0]|0)==0){k=d[j+76+(d[b+1|0]|0)|0]|0}else{k=ica(a[b|0]|0,a[b+1|0]|0)|0}if(!((k|0)==25|(k|0)==24)){c[f>>2]=b;l=0;m=l;i=h;return m|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=19;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=ica(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==18){n=15;break}else if(!((o|0)==25|(o|0)==24)){n=16;break}b=b+2|0}if((n|0)==15){c[f>>2]=b+2;l=10;m=l;i=h;return m|0}else if((n|0)==16){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((n|0)==19){break}}}while(0);l=-1;m=l;i=h;return m|0}function Sca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=ica(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 16:{g=b+2|0;b=g;if((g|0)==(e|0)){k=-1;break a}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=ica(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)==27){k=Tca(j,b+2|0,e,f)|0;break a}else if((m|0)==20){k=Uca(j,b+2|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 17:{k=Wca(j,b+2|0,e,f)|0;break a;break};case 29:{if((c[12512+((d[8896+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 15:{k=Vca(j,b+2|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;g=0;c:while(1){if((b|0)==(e|0)){n=110;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 7:{n=48;break c;break};case 6:{n=45;break c;break};case 5:{n=42;break c;break};case 17:{n=101;break c;break};case 22:case 24:case 25:case 26:case 27:{n=41;break};case 21:case 9:case 10:{n=74;break c;break};case 11:{n=99;break c;break};case 23:{if((g|0)!=0){n=52;break c}g=1;b=b+2|0;if((b|0)==(e|0)){n=54;break c}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 7:{n=69;break c;break};case 22:case 24:{break};case 5:{n=63;break c;break};case 6:{n=66;break c;break};case 29:{if((c[12512+((d[8896+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=60;break c}break};default:{n=72;break c}}b=b+2|0;break};case 29:{if((c[12512+((d[13792+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=39;break c}n=41;break};default:{n=108;break c}}if((n|0)==41){n=0;b=b+2|0}}d:do{if((n|0)==39){c[f>>2]=b;k=0;break a}else if((n|0)==42){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==45){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==48){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==52){c[f>>2]=b;k=0;break a}else if((n|0)==54){k=-1;break a}else if((n|0)==60){c[f>>2]=b;k=0;break a}else if((n|0)==63){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==66){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==69){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==72){c[f>>2]=b;k=0;break a}else if((n|0)==74){b=b+2|0;e:while(1){if((b|0)==(e|0)){n=98;break}if((a[b|0]|0)==0){q=d[j+76+(d[b+1|0]|0)|0]|0}else{q=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(q|0){case 29:{n=80;break e;break};case 11:{n=93;break e;break};case 17:{n=94;break e;break};case 22:case 24:{break e;break};case 5:{n=84;break e;break};case 21:case 9:case 10:{break};case 6:{n=87;break e;break};case 7:{n=90;break e;break};default:{n=96;break e}}b=b+2|0}do{if((n|0)==80){if((c[12512+((d[8896+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break}else{c[f>>2]=b;k=0;break a}}else if((n|0)==84){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==87){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==90){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==93){n=100;break d}else if((n|0)==94){break d}else if((n|0)==96){c[f>>2]=b;k=0;break a}else if((n|0)==98){k=-1;break a}}while(0);b=b+2|0;k=Xca(j,b,e,f)|0;break a}else if((n|0)==99){n=100}else if((n|0)!=101)if((n|0)==108){c[f>>2]=b;k=0;break a}else if((n|0)==110){k=-1;break a}}while(0);if((n|0)==100){c[f>>2]=b+2;k=2;break}b=b+2|0;if((b|0)==(e|0)){k=-1;break}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;k=4;break a}}while(0);c[f>>2]=b;k=0}}while(0);i=h;return k|0}function Tca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)!=(e|0)){do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=45){break}b=b+2|0;b:while(1){if((b|0)==(e|0)){k=34;break}if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(l|0){case 6:{if((e-b|0)<3){k=15;break b}b=b+3|0;break};case 27:{g=b+2|0;b=g;if((g|0)==(e|0)){k=22;break b}if((a[b|0]|0)==0){if((a[b+1|0]|0)==45){k=25;break b}}break};case 7:{if((e-b|0)<4){k=18;break b}b=b+4|0;break};case 5:{if((e-b|0)<2){k=12;break b}b=b+2|0;break};case 0:case 1:case 8:{k=20;break b;break};default:{b=b+2|0}}}if((k|0)==12){m=-2;n=m;i=h;return n|0}else if((k|0)==15){m=-2;n=m;i=h;return n|0}else if((k|0)==18){m=-2;n=m;i=h;return n|0}else if((k|0)==20){c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==22){m=-1;n=m;i=h;return n|0}else if((k|0)==25){g=b+2|0;b=g;if((g|0)==(e|0)){m=-1;n=m;i=h;return n|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;m=13;n=m;i=h;return n|0}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==34){break a}}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}}while(0);m=-1;n=m;i=h;return n|0}function Uca(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<12){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=10;break}if((a[g|0]|0)!=0){k=7;break}if((a[g+1|0]|0)!=(a[20032+e|0]|0)){k=7;break}e=e+1|0;g=g+2|0}if((k|0)==7){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==10){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function Vca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{if((a[b|0]|0)==0){m=d[k+76+(d[b+1|0]|0)|0]|0}else{m=ica(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(m|0){case 6:{if((e-b|0)<3){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 29:{if((c[12512+((d[8896+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;l=0;break a}break};case 7:{if((e-b|0)<4){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 22:case 24:{break};case 5:{if((e-b|0)<2){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){n=77;break}if((a[b|0]|0)==0){o=d[k+76+(d[b+1|0]|0)|0]|0}else{o=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 29:{if((c[12512+((d[13792+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=28;break c}break};case 15:{n=67;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 5:{n=31;break c;break};case 21:case 9:case 10:{n=40;break c;break};case 6:{n=34;break c;break};case 7:{n=37;break c;break};default:{break c}}b=b+2|0}if((n|0)==28){c[f>>2]=b;l=0;break}else if((n|0)==31){if((e-b|0)<2){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==34){if((e-b|0)<3){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==37){if((e-b|0)<4){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==40){if((Yca(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;d:while(1){if((b|0)==(e|0)){n=66;break}if((a[b|0]|0)==0){p=d[k+76+(d[b+1|0]|0)|0]|0}else{p=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 6:{if((e-b|0)<3){n=52;break d}b=b+3|0;break};case 7:{if((e-b|0)<4){n=55;break d}b=b+4|0;break};case 5:{if((e-b|0)<2){n=49;break d}b=b+2|0;break};case 0:case 1:case 8:{n=57;break d;break};case 15:{b=b+2|0;if((b|0)==(e|0)){n=59;break d}if((a[b|0]|0)==0){if((a[b+1|0]|0)==62){n=62;break d}}break};default:{b=b+2|0}}}if((n|0)==49){l=-2;break}else if((n|0)==52){l=-2;break}else if((n|0)==55){l=-2;break}else if((n|0)==57){c[f>>2]=b;l=0;break}else if((n|0)==59){l=-1;break}else if((n|0)==62){c[f>>2]=b+2;l=c[j>>2]|0;break}else if((n|0)==66){l=-1;break}}else if((n|0)==67){if((Yca(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;if((b|0)==(e|0)){l=-1;break}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;l=c[j>>2]|0;break a}}while(0)}else if((n|0)==77){l=-1;break}c[f>>2]=b;l=0}}while(0);i=h;return l|0}function Wca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=ica(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 29:{if((c[12512+((d[8896+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=56;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 23:{b=b+2|0;break};case 29:{if((c[12512+((d[13792+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=28;break c}m=30;break};case 22:case 24:case 25:case 26:case 27:{m=30;break};case 5:{m=31;break c;break};case 6:{m=34;break c;break};case 7:{m=37;break c;break};case 11:{m=53;break c;break};case 21:case 9:case 10:{m=40;break c;break};default:{m=54;break c}}if((m|0)==30){m=0;b=b+2|0}}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){b=b+2|0;while(1){if((b|0)==(e|0)){m=51;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=ica(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==11){m=47;break}else if(!((o|0)==21|(o|0)==9|(o|0)==10)){m=48;break}b=b+2|0}if((m|0)==47){c[f>>2]=b+2;k=5;break}else if((m|0)==48){c[f>>2]=b;k=0;break}else if((m|0)==51){k=-1;break}}else if((m|0)==53){c[f>>2]=b+2;k=5;break}else if((m|0)==54){c[f>>2]=b;k=0;break}else if((m|0)==56){k=-1;break}}}while(0);i=h;return k|0}function Xca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=141;break}if((a[c[j>>2]|0]|0)==0){m=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{m=ica(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(m|0){case 29:{if((c[12512+((d[13792+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=8;break a}l=10;break};case 5:{l=11;break a;break};case 6:{l=14;break a;break};case 7:{l=17;break a;break};case 23:{if((g|0)!=0){l=21;break a}g=1;c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=23;break a}if((a[c[j>>2]|0]|0)==0){n=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{n=ica(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(n|0){case 7:{l=38;break a;break};case 29:{if((c[12512+((d[8896+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=29;break a}break};case 6:{l=35;break a;break};case 22:case 24:{break};case 5:{l=32;break a;break};default:{l=41;break a}}c[j>>2]=(c[j>>2]|0)+2;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=45;break a}if((a[c[j>>2]|0]|0)==0){o=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{o=ica(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}b=o;if((b|0)==14){break}p=b;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=53;break a}}l=56;break};case 22:case 24:case 25:case 26:case 27:{l=10;break};case 14:{l=56;break};default:{l=139;break a}}if((l|0)==10){l=0;c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==56){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=58;break a}if((a[c[j>>2]|0]|0)==0){q=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{q=ica(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}r=q;if((r|0)==12){break}if((r|0)==13){break}p=r;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=67;break a}}c[j>>2]=(c[j>>2]|0)+2;while(1){if((c[j>>2]|0)==(e|0)){l=71;break a}if((a[c[j>>2]|0]|0)==0){s=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{s=ica(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}p=s;if((p|0)==(r|0)){break}switch(p|0){case 0:case 1:case 8:{l=87;break a;break};case 3:{t=Oca(k,(c[j>>2]|0)+2|0,e,j)|0;if((t|0)<=0){l=89;break a}break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=82;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 2:{l=93;break a;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=85;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=79;break a}c[j>>2]=(c[j>>2]|0)+2;break};default:{c[j>>2]=(c[j>>2]|0)+2}}}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=97;break}if((a[c[j>>2]|0]|0)==0){u=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{u=ica(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(u|0){case 21:case 9:case 10:{break};case 17:{l=103;break a;break};case 11:{l=104;break a;break};default:{l=105;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=108;break a}if((a[c[j>>2]|0]|0)==0){v=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{v=ica(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(v|0){case 5:{l=117;break a;break};case 6:{l=120;break a;break};case 7:{l=123;break a;break};case 29:{l=113;break b;break};case 22:case 24:{break b;break};case 21:case 9:case 10:{break};case 11:{l=127;break a;break};case 17:{l=129;break a;break};default:{l=136;break a}}}if((l|0)==113){l=0;if((c[12512+((d[8896+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=114;break}}c[j>>2]=(c[j>>2]|0)+2}}if((l|0)==8){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==11){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==14){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==17){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==21){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==23){w=-1;x=w;i=h;return x|0}else if((l|0)==29){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==32){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==35){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==38){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==41){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==45){w=-1;x=w;i=h;return x|0}else if((l|0)==53){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==58){w=-1;x=w;i=h;return x|0}else if((l|0)==67){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==71){w=-1;x=w;i=h;return x|0}else if((l|0)==79){w=-2;x=w;i=h;return x|0}else if((l|0)==82){w=-2;x=w;i=h;return x|0}else if((l|0)==85){w=-2;x=w;i=h;return x|0}else if((l|0)==87){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==89){if((t|0)==0){c[f>>2]=c[j>>2]}w=t;x=w;i=h;return x|0}else if((l|0)==93){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==97){w=-1;x=w;i=h;return x|0}else if((l|0)!=103)if((l|0)==104){l=128}else if((l|0)==105){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==108){w=-1;x=w;i=h;return x|0}else if((l|0)==114){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==117){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==120){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==123){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==127){l=128}else if((l|0)!=129)if((l|0)==136){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==139){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==141){w=-1;x=w;i=h;return x|0}if((l|0)==128){c[f>>2]=(c[j>>2]|0)+2;w=1;x=w;i=h;return x|0}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){w=-1;x=w;i=h;return x|0}do{if((a[c[j>>2]|0]|0)==0){if((a[(c[j>>2]|0)+1|0]|0)!=62){break}c[f>>2]=(c[j>>2]|0)+2;w=3;x=w;i=h;return x|0}}while(0);c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}function Yca(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=6){h=1}else{if((a[g|0]|0)==0){j=a[g+1|0]|0}else{j=-1}if((j|0)==88){f=1}else if((j|0)!=120){h=1;break}g=g+2|0;if((a[g|0]|0)==0){k=a[g+1|0]|0}else{k=-1}if((k|0)==77){f=1}else if((k|0)!=109){h=1;break}g=g+2|0;if((a[g|0]|0)==0){l=a[g+1|0]|0}else{l=-1}if((l|0)==76){f=1}else if((l|0)!=108){h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function Zca(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=b;b=e;e=f;f=g;g=h;a:while(1){if((e|0)==(f|0)){l=29;break}if((a[e|0]|0)==0){m=d[b+76+(d[e+1|0]|0)|0]|0}else{m=ica(a[e|0]|0,a[e+1|0]|0)|0}h=m;switch(h|0){case 6:{if((f-e|0)<3){l=11;break a}e=e+3|0;break};case 5:{if((f-e|0)<2){l=8;break a}e=e+2|0;break};case 0:case 1:case 8:{l=16;break a;break};case 12:case 13:{e=e+2|0;if((h|0)==(k|0)){l=19;break a}break};case 7:{if((f-e|0)<4){l=14;break a}e=e+4|0;break};default:{e=e+2|0}}}if((l|0)==8){n=-2;o=n;i=j;return o|0}else if((l|0)==11){n=-2;o=n;i=j;return o|0}else if((l|0)==14){n=-2;o=n;i=j;return o|0}else if((l|0)==16){c[g>>2]=e;n=0;o=n;i=j;return o|0}else if((l|0)==19){if((e|0)==(f|0)){n=-27;o=n;i=j;return o|0}c[g>>2]=e;if((a[e|0]|0)==0){p=d[b+76+(d[e+1|0]|0)|0]|0}else{p=ica(a[e|0]|0,a[e+1|0]|0)|0}switch(p|0){case 21:case 9:case 10:case 11:case 30:case 20:{n=27;o=n;i=j;return o|0};default:{n=0;o=n;i=j;return o|0}}}else if((l|0)==29){n=-1;o=n;i=j;return o|0}return 0}function _ca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=ica(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)==27){k=Tca(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else if((m|0)==20){c[f>>2]=b+2;k=33;l=k;i=h;return l|0}else if((m|0)==22|(m|0)==24){b=b+2|0;a:while(1){if((b|0)==(e|0)){n=29;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 21:case 9:case 10:{break a;break};case 30:{n=17;break a;break};case 22:case 24:{break};default:{n=27;break a}}b=b+2|0}do{if((n|0)==17){if((b+2|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+2|0]|0)==0){p=d[j+76+(d[b+3|0]|0)|0]|0}else{p=ica(a[b+2|0]|0,a[b+3|0]|0)|0}if(!((p|0)==21|(p|0)==9|(p|0)==10|(p|0)==30)){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==27){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==29){k=-1;l=k;i=h;return l|0}}while(0);c[f>>2]=b;k=16;l=k;i=h;return l|0}else{c[f>>2]=b;k=0;l=k;i=h;return l|0}return 0}function $ca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=ica(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 29:{if((c[12512+((d[8896+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=43;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=ica(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 29:{if((c[12512+((d[13792+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=28;break c}break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{m=40;break c;break};case 6:{m=34;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 7:{m=37;break c;break};case 5:{m=31;break c;break};default:{m=41;break c}}b=b+2|0}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){c[f>>2]=b;k=20;break}else if((m|0)==41){c[f>>2]=b;k=0;break}else if((m|0)==43){k=-20;break}}}while(0);i=h;return k|0}function ada(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{b:do{switch(d[j+76+(d[b]|0)|0]|0){case 32:{b=b+1|0;if((b|0)==(e|0)){k=-24;break a}switch(d[j+76+(d[b]|0)|0]|0){case 15:{c[f>>2]=b+1;k=35;break a;break};case 34:{c[f>>2]=b+1;k=37;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};case 33:{c[f>>2]=b+1;k=36;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 7:{if((e-b|0)<4){k=-2;break a}if((he[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;l=18;m=76;break b}if((he[c[j+340>>2]&127](j,b)|0)!=0){b=b+4|0;l=19;m=76;break b}else{c[f>>2]=b;k=0;break a}break};case 30:{k=Ada(j,b+1|0,e,f)|0;break a;break};case 12:{k=Kda(12,j,b+1|0,e,f)|0;break a;break};case 21:case 10:{m=16;break};case 9:{if((b+1|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{m=16;break b}break};case 11:{c[f>>2]=b+1;k=17;break a;break};case 35:{c[f>>2]=b+1;k=38;break a;break};case 2:{b=b+1|0;if((b|0)==(e|0)){k=-1;break a}switch(d[j+76+(d[b]|0)|0]|0){case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-1;k=29;break a;break};case 16:{k=Lda(j,b+1|0,e,f)|0;break a;break};case 15:{k=Gda(j,b+1|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 13:{k=Kda(13,j,b+1|0,e,f)|0;break a;break};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b]|0)==93){if((b+1|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==62){c[f>>2]=b+2;k=34;break a}else{break}}}while(0);c[f>>2]=b;k=26;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}if((he[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;l=18;m=76;break b}if((he[c[j+332>>2]&127](j,b)|0)!=0){b=b+2|0;l=19;m=76;break b}else{c[f>>2]=b;k=0;break a}break};case 19:{k=Mda(j,b+1|0,e,f)|0;break a;break};case 31:{c[f>>2]=b+1;k=23;break a;break};case 20:{c[f>>2]=b+1;k=25;break a;break};case 25:case 26:case 27:case 23:{l=19;b=b+1|0;m=76;break};case 29:{m=75;break};case 36:{c[f>>2]=b+1;k=21;break a;break};case 6:{if((e-b|0)<3){k=-2;break a}if((he[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;l=18;m=76;break b}if((he[c[j+336>>2]&127](j,b)|0)!=0){b=b+3|0;l=19;m=76;break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{l=18;b=b+1|0;m=76;break};default:{m=75}}}while(0);if((m|0)==16){while(1){b=b+1|0;if((b|0)==(e|0)){m=18;break}g=d[j+76+(d[b]|0)|0]|0;if(!((g|0)==21|(g|0)==10))if((g|0)==9){if((b+1|0)==(e|0)){m=23;break}}else{break}}if((m|0)==18){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((m|0)==75){c[f>>2]=b;k=0;break}else if((m|0)==76){c:while(1){if((b|0)==(e|0)){m=133;break}switch(d[j+76+(d[b]|0)|0]|0){case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 5:{if((e-b|0)<2){m=82;break c}if((he[c[j+332>>2]&127](j,b)|0)==0){m=84;break c}b=b+2|0;break};case 15:{m=128;break c;break};case 34:{m=122;break c;break};case 33:{m=125;break c;break};case 29:{m=79;break c;break};case 6:{if((e-b|0)<3){m=87;break c}if((he[c[j+336>>2]&127](j,b)|0)==0){m=89;break c}b=b+3|0;break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{m=96;break c;break};case 23:{b=b+1|0;g=l;if((g|0)==41){l=19}else if((g|0)==18){if((b|0)==(e|0)){m=99;break c}l=41;switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){m=114;break c}if((he[c[j+340>>2]&127](j,b)|0)==0){m=116;break c}b=b+4|0;break};case 6:{if((e-b|0)<3){m=109;break c}if((he[c[j+336>>2]&127](j,b)|0)==0){m=111;break c}b=b+3|0;break};case 29:{m=101;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 5:{if((e-b|0)<2){m=104;break c}if((he[c[j+332>>2]&127](j,b)|0)==0){m=106;break c}b=b+2|0;break};default:{l=19}}}break};case 7:{if((e-b|0)<4){m=92;break c}if((he[c[j+340>>2]&127](j,b)|0)==0){m=94;break c}b=b+4|0;break};default:{m=131;break c}}}if((m|0)==79){c[f>>2]=b;k=0;break}else if((m|0)==82){k=-2;break}else if((m|0)==84){c[f>>2]=b;k=0;break}else if((m|0)==87){k=-2;break}else if((m|0)==89){c[f>>2]=b;k=0;break}else if((m|0)==92){k=-2;break}else if((m|0)==94){c[f>>2]=b;k=0;break}else if((m|0)==96){c[f>>2]=b;k=l;break}else if((m|0)==99){k=-1;break}else if((m|0)==101){c[f>>2]=b;k=0;break}else if((m|0)==104){k=-2;break}else if((m|0)==106){c[f>>2]=b;k=0;break}else if((m|0)==109){k=-2;break}else if((m|0)==111){c[f>>2]=b;k=0;break}else if((m|0)==114){k=-2;break}else if((m|0)==116){c[f>>2]=b;k=0;break}else if((m|0)==122){if((l|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=32;break}}else if((m|0)==125){if((l|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=31;break}}else if((m|0)==128){if((l|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=30;break}}else if((m|0)==131){c[f>>2]=b;k=0;break}else if((m|0)==133){k=-l|0;break}}}}while(0);i=h;return k|0}function bda(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}a:do{switch(d[j+76+(d[b]|0)|0]|0){case 4:{b=b+1|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}if((a[b]|0)!=93){break a}b=b+1|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}if((a[b]|0)!=62){b=b-1|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 6:{if((e-b|0)<3){k=-2;l=k;i=h;return l|0}if((he[c[j+360>>2]&127](j,b)|0)==0){b=b+3|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 10:{c[f>>2]=b+1;k=7;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 7:{if((e-b|0)<4){k=-2;l=k;i=h;return l|0}if((he[c[j+364>>2]&127](j,b)|0)==0){b=b+4|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 9:{b=b+1|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)==10){b=b+1|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 3:{k=zda(j,b+1|0,e,f)|0;l=k;i=h;return l|0};case 2:{k=Dda(j,b+1|0,e,f)|0;l=k;i=h;return l|0};case 5:{if((e-b|0)<2){k=-2;l=k;i=h;return l|0}if((he[c[j+356>>2]&127](j,b)|0)==0){b=b+2|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};default:{b=b+1|0}}}while(0);b:while(1){if((b|0)==(e|0)){m=65;break}c:do{switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){m=51;break b}if((he[c[j+364>>2]&127](j,b)|0)!=0){m=51;break b}b=b+4|0;break};case 5:{if((e-b|0)<2){m=43;break b}if((he[c[j+356>>2]&127](j,b)|0)!=0){m=43;break b}b=b+2|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};case 4:{if((b+1|0)==(e|0)){m=61;break b}if((a[b+1|0]|0)!=93){b=b+1|0;break c}if((b+2|0)==(e|0)){m=60;break b}if((a[b+2|0]|0)==62){m=59;break b}b=b+1|0;break};case 6:{if((e-b|0)<3){m=47;break b}if((he[c[j+360>>2]&127](j,b)|0)!=0){m=47;break b}b=b+3|0;break};default:{b=b+1|0}}}while(0)}if((m|0)==43){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==47){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==59){c[f>>2]=b+2;k=0;l=k;i=h;return l|0}else if((m|0)==60){m=61}else if((m|0)==65){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function cda(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}a:do{switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){k=-2;l=k;i=h;return l|0}if((he[c[j+364>>2]&127](j,b)|0)==0){b=b+4|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 6:{if((e-b|0)<3){k=-2;l=k;i=h;return l|0}if((he[c[j+360>>2]&127](j,b)|0)==0){b=b+3|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b]|0)!=93){break a}b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b]|0)!=62){b=b-1|0;break a}c[f>>2]=b+1;k=40;l=k;i=h;return l|0};case 9:{b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)==10){b=b+1|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 10:{c[f>>2]=b+1;k=7;l=k;i=h;return l|0};case 5:{if((e-b|0)<2){k=-2;l=k;i=h;return l|0}if((he[c[j+356>>2]&127](j,b)|0)==0){b=b+2|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};default:{b=b+1|0}}}while(0);b:while(1){if((b|0)==(e|0)){m=54;break}switch(d[j+76+(d[b]|0)|0]|0){case 0:case 1:case 8:case 9:case 10:case 4:{m=51;break b;break};case 5:{if((e-b|0)<2){m=41;break b}if((he[c[j+356>>2]&127](j,b)|0)!=0){m=41;break b}b=b+2|0;break};case 7:{if((e-b|0)<4){m=49;break b}if((he[c[j+364>>2]&127](j,b)|0)!=0){m=49;break b}b=b+4|0;break};case 6:{if((e-b|0)<3){m=45;break b}if((he[c[j+360>>2]&127](j,b)|0)!=0){m=45;break b}b=b+3|0;break};default:{b=b+1|0}}}if((m|0)==41){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==45){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function dda(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;g=0;a:while(1){if((b|0)==(e|0)){k=42;break}switch(d[j+76+(d[b]|0)|0]|0){case 4:{l=b+1|0;b=l;if((l|0)==(e|0)){k=30;break a}if((a[b]|0)==93){l=b+1|0;b=l;if((l|0)==(e|0)){k=33;break a}if((a[b]|0)==62){b=b+1|0;if((g|0)==0){k=36;break a}g=g-1|0}}break};case 5:{if((e-b|0)<2){k=5;break a}if((he[c[j+356>>2]&127](j,b)|0)!=0){k=7;break a}b=b+2|0;break};case 7:{if((e-b|0)<4){k=15;break a}if((he[c[j+364>>2]&127](j,b)|0)!=0){k=17;break a}b=b+4|0;break};case 6:{if((e-b|0)<3){k=10;break a}if((he[c[j+360>>2]&127](j,b)|0)!=0){k=12;break a}b=b+3|0;break};case 0:case 1:case 8:{k=19;break a;break};case 2:{l=b+1|0;b=l;if((l|0)==(e|0)){k=21;break a}if((a[b]|0)==33){l=b+1|0;b=l;if((l|0)==(e|0)){k=24;break a}if((a[b]|0)==91){g=g+1|0;b=b+1|0}}break};default:{b=b+1|0}}}if((k|0)==5){m=-2}else if((k|0)==7){c[f>>2]=b;m=0}else if((k|0)==10){m=-2}else if((k|0)==12){c[f>>2]=b;m=0}else if((k|0)==15){m=-2}else if((k|0)==17){c[f>>2]=b;m=0}else if((k|0)==19){c[f>>2]=b;m=0}else if((k|0)==21){m=-1}else if((k|0)==24){m=-1}else if((k|0)==30){m=-1}else if((k|0)==33){m=-1}else if((k|0)==36){c[f>>2]=b;m=42}else if((k|0)==42){m=-1}i=h;return m|0}function eda(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)==(b|0)){j=-4}else{f=a;a:while(1){if((a|0)==(b|0)){k=28;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 7:{a=a+4|0;break};case 10:{k=13;break a;break};case 9:{k=16;break a;break};case 21:{k=23;break a;break};case 6:{a=a+3|0;break};case 5:{a=a+2|0;break};case 3:{k=9;break a;break};case 2:{k=12;break a;break};default:{a=a+1|0}}}if((k|0)==9){if((a|0)==(f|0)){j=zda(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==12){c[e>>2]=a;j=0;break}else if((k|0)==13){if((a|0)==(f|0)){c[e>>2]=a+1;j=7;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==16){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}a=a+1|0;if((a|0)==(b|0)){j=-3;break}if((d[h+76+(d[a]|0)|0]|0|0)==10){a=a+1|0}c[e>>2]=a;j=7;break}else if((k|0)==23){if((a|0)==(f|0)){c[e>>2]=a+1;j=39;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==28){c[e>>2]=a;j=6;break}}}while(0);i=g;return j|0}function fda(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)==(b|0)){j=-4}else{f=a;a:while(1){if((a|0)==(b|0)){k=30;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 30:{k=12;break a;break};case 9:{k=21;break a;break};case 6:{a=a+3|0;break};case 10:{k=18;break a;break};case 5:{a=a+2|0;break};case 7:{a=a+4|0;break};case 3:{k=9;break a;break};default:{a=a+1|0}}}if((k|0)==9){if((a|0)==(f|0)){j=zda(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==12){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}l=Ada(h,a+1|0,b,e)|0;if((l|0)==22){m=0}else{m=l}j=m;break}else if((k|0)==18){if((a|0)==(f|0)){c[e>>2]=a+1;j=7;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==21){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}a=a+1|0;if((a|0)==(b|0)){j=-3;break}if((d[h+76+(d[a]|0)|0]|0|0)==10){a=a+1|0}c[e>>2]=a;j=7;break}else if((k|0)==30){c[e>>2]=a;j=6;break}}}while(0);i=g;return j|0}function gda(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;g=b;b=c;c=e;a:while(1){switch(d[g+76+(d[b]|0)|0]|0){case 6:{h=6;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{e=c;c=e+1|0;j=b;b=j+1|0;if((a[e]|0)!=(a[j]|0)){h=15;break a}break};case 7:{j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){h=4;break a}h=6;break};case 5:{h=9;break};default:{h=17;break a}}if((h|0)==6){h=0;e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){h=7;break}h=9}if((h|0)==9){h=0;j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){h=10;break}e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){h=12;break}}}if((h|0)==4){k=0;l=k;i=f;return l|0}else if((h|0)==7){k=0;l=k;i=f;return l|0}else if((h|0)==10){k=0;l=k;i=f;return l|0}else if((h|0)==12){k=0;l=k;i=f;return l|0}else if((h|0)==15){k=0;l=k;i=f;return l|0}else if((h|0)==17){if((a[b]|0)==(a[c]|0)){k=1;l=k;i=f;return l|0}switch(d[g+76+(d[c]|0)|0]|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{k=0;l=k;i=f;return l|0};default:{k=1;l=k;i=f;return l|0}}}return 0}function hda(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=9;break}if((f|0)==(c|0)){g=4;break}if((a[f]|0)!=(a[d]|0)){g=6;break}f=f+1|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==6){h=0;j=h;i=b;return j|0}else if((g|0)==9){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function ida(a,b){a=a|0;b=b|0;var c=0,e=0;c=i;e=a;a=b;b=a;a:while(1){switch(d[e+76+(d[a]|0)|0]|0|0){case 29:case 22:case 23:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 6:{a=a+3|0;break};case 7:{a=a+4|0;break};case 5:{a=a+2|0;break};default:{break a}}}i=c;return a-b|0}function jda(a,b){a=a|0;b=b|0;var c=0,e=0;c=i;e=a;a=b;while(1){b=d[e+76+(d[a]|0)|0]|0;if(!((b|0)==10|(b|0)==9|(b|0)==21)){break}a=a+1|0}i=c;return a|0}function kda(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+1|0;a:while(1){switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+3|0;break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b]|0)!=32){break}if((a[b+1|0]|0)==32){break}if((d[j+76+(d[b+1|0]|0)|0]|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+1}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+1}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 11:case 17:{if((g|0)!=2){break a}break};default:{}}b=b+1|0}i=h;return k|0}function lda(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;b=i;d=c;c=0;d=d+2|0;do{if((a[d]|0)==120){d=d+1|0;while(1){if(!((a[d]|0)==59^1)){e=12;break}f=a[d]|0;switch(f|0){case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(f-65+10)|0;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(f-97+10)|0;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|f-48;break};default:{}}if((c|0)>=1114112){break}d=d+1|0}if((e|0)==12){break}g=-1;h=g;i=b;return h|0}else{while(1){if(!((a[d]|0)==59^1)){e=19;break}c=c*10|0;c=c+((a[d]|0)-48)|0;if((c|0)>=1114112){break}d=d+1|0}if((e|0)==19){break}g=-1;h=g;i=b;return h|0}}while(0);g=wba(c)|0;h=g;i=b;return h|0}function mda(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;b=i;e=c;c=(d-e|0)/1|0;if((c|0)==4){d=a[e]|0;if((d|0)==97){e=e+1|0;if((a[e]|0)==112){e=e+1|0;do{if((a[e]|0)==111){e=e+1|0;if((a[e]|0)!=115){break}f=39;g=f;i=b;return g|0}}while(0)}}else if((d|0)==113){e=e+1|0;if((a[e]|0)==117){e=e+1|0;do{if((a[e]|0)==111){e=e+1|0;if((a[e]|0)!=116){break}f=34;g=f;i=b;return g|0}}while(0)}}}else if((c|0)==2){do{if((a[e+1|0]|0)==116){d=a[e]|0;if((d|0)==103){f=62;g=f;i=b;return g|0}else if((d|0)==108){f=60;g=f;i=b;return g|0}else{break}}}while(0)}else if((c|0)==3){if((a[e]|0)==97){e=e+1|0;do{if((a[e]|0)==109){e=e+1|0;if((a[e]|0)!=112){break}f=38;g=f;i=b;return g|0}}while(0)}}f=0;g=f;i=b;return g|0}function nda(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0;g=i;h=a;a=b;b=e;e=f;while(1){if(!(a>>>0<b>>>0)){break}switch(d[h+76+(d[a]|0)|0]|0|0){case 7:{a=a+4|0;break};case 10:{c[e+4>>2]=-1;f=e|0;c[f>>2]=(c[f>>2]|0)+1;a=a+1|0;break};case 9:{f=e|0;c[f>>2]=(c[f>>2]|0)+1;a=a+1|0;do{if((a|0)!=(b|0)){if((d[h+76+(d[a]|0)|0]|0|0)!=10){break}a=a+1|0}}while(0);c[e+4>>2]=-1;break};case 5:{a=a+2|0;break};case 6:{a=a+3|0;break};default:{a=a+1|0}}f=e+4|0;c[f>>2]=(c[f>>2]|0)+1}i=g;return}function oda(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;b=b+1|0;e=e-1|0;a:while(1){if((b|0)==(e|0)){k=17;break}b:do{switch(d[j+76+(d[b]|0)|0]|0){case 21:{if((a[b]|0)==9){k=6;break a}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};case 26:case 22:{if((a[b]&-128|0)!=0){k=11;break b}else{break b}break};default:{k=11}}}while(0);if((k|0)==11){k=0;g=a[b]|0;if(!((g|0)==36|(g|0)==64)){k=13;break}}b=b+1|0}if((k|0)==6){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((k|0)==13){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((k|0)==17){l=1;m=l;i=h;return m|0}return 0}function pda(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;b=i;h=d;d=e;e=f;f=g;if((d-(c[h>>2]|0)|0)>(f-(c[e>>2]|0)|0)){d=(c[h>>2]|0)+(f-(c[e>>2]|0))|0;while(1){if(!(d>>>0>(c[h>>2]|0)>>>0)){break}if((a[d-1|0]&192|0)!=128){f=5;break}d=d-1|0}}f=c[e>>2]|0;g=c[h>>2]|0;while(1){if((g|0)==(d|0)){break}a[f]=a[g]|0;g=g+1|0;f=f+1|0}c[h>>2]=g;c[e>>2]=f;i=b;return}function qda(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;k=i;l=e;e=f;f=g;g=h;h=j;j=c[g>>2]|0;m=c[e>>2]|0;while(1){if((m|0)!=(f|0)){n=(j|0)!=(h|0)}else{n=0}if(!n){o=13;break}p=d[l+76+(d[m]|0)|0]|0;if((p|0)==6){q=j;j=q+2|0;b[q>>1]=(a[m|0]&15)<<12|(a[m+1|0]&63)<<6|a[m+2|0]&63;m=m+3|0}else if((p|0)==5){q=j;j=q+2|0;b[q>>1]=(a[m|0]&31)<<6|a[m+1|0]&63;m=m+2|0}else if((p|0)==7){if((j+2|0)==(h|0)){o=9;break}p=(a[m|0]&7)<<18|(a[m+1|0]&63)<<12|(a[m+2|0]&63)<<6|a[m+3|0]&63;p=p-65536|0;b[j>>1]=p>>>10|55296;b[j+2>>1]=p&1023|56320;j=j+4|0;m=m+4|0}else{p=m;m=p+1|0;q=j;j=q+2|0;b[q>>1]=a[p]|0}}if((o|0)==9){r=m;s=e;c[s>>2]=r;t=j;u=g;c[u>>2]=t;i=k;return}else if((o|0)==13){r=m;s=e;c[s>>2]=r;t=j;u=g;c[u>>2]=t;i=k;return}}function rda(b,e){b=b|0;e=e|0;b=e;i=i;return c[12512+(((d[13792+((d[b|0]|0)>>2&7)|0]|0)<<3)+((a[b|0]&3)<<1)+((d[b+1|0]|0)>>5&1)<<2)>>2]&1<<(a[b+1|0]&31)|0}function sda(b,e){b=b|0;e=e|0;b=e;i=i;return c[12512+(((d[13792+(((a[b|0]&15)<<4)+((d[b+1|0]|0)>>2&15))|0]|0)<<3)+((a[b+1|0]&3)<<1)+((d[b+2|0]|0)>>5&1)<<2)>>2]&1<<(a[b+2|0]&31)|0}function tda(a,b){a=a|0;b=b|0;i=i;return 0}function uda(b,e){b=b|0;e=e|0;b=e;i=i;return c[12512+(((d[8896+((d[b|0]|0)>>2&7)|0]|0)<<3)+((a[b|0]&3)<<1)+((d[b+1|0]|0)>>5&1)<<2)>>2]&1<<(a[b+1|0]&31)|0}function vda(b,e){b=b|0;e=e|0;b=e;i=i;return c[12512+(((d[8896+(((a[b|0]&15)<<4)+((d[b+1|0]|0)>>2&15))|0]|0)<<3)+((a[b+1|0]&3)<<1)+((d[b+2|0]|0)>>5&1)<<2)>>2]&1<<(a[b+2|0]&31)|0}function wda(b,c){b=b|0;c=c|0;var e=0,f=0;b=i;e=c;do{if((d[e]|0|0)<194){f=1}else{if((a[e+1|0]&128|0)==0){f=1;break}f=(a[e+1|0]&192|0)==192}}while(0);i=b;return f&1|0}function xda(b,c){b=b|0;c=c|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;e=c;if((a[e+2|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}do{if((d[e]|0|0)==239){if((d[e+1|0]|0|0)!=191){h=5;break}if((d[e+2|0]|0|0)>189){f=1}else{break}g=f&1;i=b;return g|0}else{h=5}}while(0);do{if((h|0)==5){if((a[e+2|0]&192|0)==192){f=1}else{break}g=f&1;i=b;return g|0}}while(0);if((d[e]|0|0)==224){if((d[e+1|0]|0|0)<160){j=1}else{j=(a[e+1|0]&192|0)==192}k=j&1}else{if((a[e+1|0]&128|0)==0){l=1}else{if((d[e]|0|0)==237){m=(d[e+1|0]|0|0)>159|0}else{m=(a[e+1|0]&192|0)==192|0}l=(m|0)!=0}k=l&1}f=(k|0)!=0;g=f&1;i=b;return g|0}function yda(b,c){b=b|0;c=c|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;e=c;if((a[e+3|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}if((a[e+3|0]&192|0)==192){f=1;g=f&1;i=b;return g|0}if((a[e+2|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}if((a[e+2|0]&192|0)==192){f=1;g=f&1;i=b;return g|0}if((d[e]|0|0)==240){if((d[e+1|0]|0|0)<144){h=1}else{h=(a[e+1|0]&192|0)==192}j=h&1}else{if((a[e+1|0]&128|0)==0){k=1}else{if((d[e]|0|0)==244){l=(d[e+1|0]|0|0)>143|0}else{l=(a[e+1|0]&192|0)==192|0}k=(l|0)!=0}j=k&1}f=(j|0)!=0;g=f&1;i=b;return g|0}function zda(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 6:{if((b-a|0)<3){j=-2;break a}if((he[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 19:{j=Bda(h,a+1|0,b,e)|0;break a;break};case 7:{if((b-a|0)<4){j=-2;break a}if((he[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 5:{if((b-a|0)<2){j=-2;break a}if((he[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};case 22:case 24:{a=a+1|0;break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=46;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 7:{if((b-a|0)<4){k=39;break c}if((he[c[h+340>>2]&127](h,a)|0)==0){k=41;break c}a=a+4|0;break};case 18:{k=43;break c;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 6:{if((b-a|0)<3){k=34;break c}if((he[c[h+336>>2]&127](h,a)|0)==0){k=36;break c}a=a+3|0;break};case 5:{if((b-a|0)<2){k=29;break c}if((he[c[h+332>>2]&127](h,a)|0)==0){k=31;break c}a=a+2|0;break};case 29:{k=26;break c;break};default:{k=44;break c}}}if((k|0)==26){c[e>>2]=a;j=0;break}else if((k|0)==29){j=-2;break}else if((k|0)==31){c[e>>2]=a;j=0;break}else if((k|0)==34){j=-2;break}else if((k|0)==36){c[e>>2]=a;j=0;break}else if((k|0)==39){j=-2;break}else if((k|0)==41){c[e>>2]=a;j=0;break}else if((k|0)==43){c[e>>2]=a+1;j=9;break}else if((k|0)==44){c[e>>2]=a;j=0;break}else if((k|0)==46){j=-1;break}}}while(0);i=g;return j|0}function Ada(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 22:case 24:{a=a+1|0;break};case 29:{c[e>>2]=a;j=0;break a;break};case 5:{if((b-a|0)<2){j=-2;break a}if((he[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 21:case 10:case 9:case 30:{c[e>>2]=a;j=22;break a;break};case 7:{if((b-a|0)<4){j=-2;break a}if((he[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 6:{if((b-a|0)<3){j=-2;break a}if((he[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=46;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 29:{k=26;break c;break};case 7:{if((b-a|0)<4){k=39;break c}if((he[c[h+340>>2]&127](h,a)|0)==0){k=41;break c}a=a+4|0;break};case 18:{k=43;break c;break};case 6:{if((b-a|0)<3){k=34;break c}if((he[c[h+336>>2]&127](h,a)|0)==0){k=36;break c}a=a+3|0;break};case 5:{if((b-a|0)<2){k=29;break c}if((he[c[h+332>>2]&127](h,a)|0)==0){k=31;break c}a=a+2|0;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};default:{k=44;break c}}}if((k|0)==26){c[e>>2]=a;j=0;break}else if((k|0)==29){j=-2;break}else if((k|0)==31){c[e>>2]=a;j=0;break}else if((k|0)==34){j=-2;break}else if((k|0)==36){c[e>>2]=a;j=0;break}else if((k|0)==39){j=-2;break}else if((k|0)==41){c[e>>2]=a;j=0;break}else if((k|0)==43){c[e>>2]=a+1;j=28;break}else if((k|0)==44){c[e>>2]=a;j=0;break}else if((k|0)==46){j=-1;break}}}while(0);i=g;return j|0}function Bda(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b]|0)==120){k=Cda(j,b+1|0,e,f)|0;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+1|0;while(1){if((b|0)==(e|0)){m=15;break}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==18){m=11;break}else if((g|0)!=25){m=12;break}b=b+1|0}if((m|0)==11){c[f>>2]=b+1;k=10;l=k;i=h;return l|0}else if((m|0)==12){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((m|0)==15){break}}}while(0);k=-1;l=k;i=h;return l|0}function Cda(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)!=(b|0)){f=d[h+76+(d[a]|0)|0]|0;if(!((f|0)==25|(f|0)==24)){c[e>>2]=a;j=0;k=j;i=g;return k|0}a=a+1|0;while(1){if((a|0)==(b|0)){l=13;break}f=d[h+76+(d[a]|0)|0]|0;if((f|0)==18){l=9;break}else if(!((f|0)==25|(f|0)==24)){l=10;break}a=a+1|0}if((l|0)==9){c[e>>2]=a+1;j=10;k=j;i=g;return k|0}else if((l|0)==10){c[e>>2]=a;j=0;k=j;i=g;return k|0}else if((l|0)==13){break}}}while(0);j=-1;k=j;i=g;return k|0}function Dda(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{b:do{switch(d[j+76+(d[b]|0)|0]|0){case 6:{if((e-b|0)<3){k=-2;break a}if((he[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;break b}else{c[f>>2]=b;k=0;break a}break};case 17:{k=Hda(j,b+1|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}if((he[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;break b}else{c[f>>2]=b;k=0;break a}break};case 15:{k=Gda(j,b+1|0,e,f)|0;break a;break};case 29:{c[f>>2]=b;k=0;break a;break};case 22:case 24:{b=b+1|0;break};case 16:{g=b+1|0;b=g;if((g|0)==(e|0)){k=-1;break a}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==20){k=Fda(j,b+1|0,e,f)|0;break a}else if((g|0)==27){k=Eda(j,b+1|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}if((he[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;break b}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);g=0;c:while(1){if((b|0)==(e|0)){l=110;break}switch(d[j+76+(d[b]|0)|0]|0){case 29:{l=33;break c;break};case 5:{if((e-b|0)<2){l=36;break c}if((he[c[j+332>>2]&127](j,b)|0)==0){l=38;break c}b=b+2|0;break};case 17:{l=102;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 11:{l=100;break c;break};case 21:case 9:case 10:{l=74;break c;break};case 7:{if((e-b|0)<4){l=46;break c}if((he[c[j+340>>2]&127](j,b)|0)==0){l=48;break c}b=b+4|0;break};case 6:{if((e-b|0)<3){l=41;break c}if((he[c[j+336>>2]&127](j,b)|0)==0){l=43;break c}b=b+3|0;break};case 23:{if((g|0)!=0){l=51;break c}g=1;b=b+1|0;if((b|0)==(e|0)){l=53;break c}switch(d[j+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){l=58;break c}if((he[c[j+344>>2]&127](j,b)|0)==0){l=60;break c}b=b+2|0;break};case 22:case 24:{b=b+1|0;break};case 6:{if((e-b|0)<3){l=63;break c}if((he[c[j+348>>2]&127](j,b)|0)==0){l=65;break c}b=b+3|0;break};case 7:{if((e-b|0)<4){l=68;break c}if((he[c[j+352>>2]&127](j,b)|0)==0){l=70;break c}b=b+4|0;break};case 29:{l=55;break c;break};default:{l=72;break c}}break};default:{l=108;break c}}}d:do{if((l|0)==33){c[f>>2]=b;k=0;break a}else if((l|0)==36){k=-2;break a}else if((l|0)==38){c[f>>2]=b;k=0;break a}else if((l|0)==41){k=-2;break a}else if((l|0)==43){c[f>>2]=b;k=0;break a}else if((l|0)==46){k=-2;break a}else if((l|0)==48){c[f>>2]=b;k=0;break a}else if((l|0)==51){c[f>>2]=b;k=0;break a}else if((l|0)==53){k=-1;break a}else if((l|0)==55){c[f>>2]=b;k=0;break a}else if((l|0)==58){k=-2;break a}else if((l|0)==60){c[f>>2]=b;k=0;break a}else if((l|0)==63){k=-2;break a}else if((l|0)==65){c[f>>2]=b;k=0;break a}else if((l|0)==68){k=-2;break a}else if((l|0)==70){c[f>>2]=b;k=0;break a}else if((l|0)==72){c[f>>2]=b;k=0;break a}else if((l|0)==74){b=b+1|0;e:while(1){if((b|0)==(e|0)){l=99;break}switch(d[j+76+(d[b]|0)|0]|0){case 5:{l=79;break e;break};case 11:{l=94;break e;break};case 17:{l=95;break e;break};case 21:case 9:case 10:{break};case 7:{l=89;break e;break};case 29:{l=77;break e;break};case 22:case 24:{l=78;break e;break};case 6:{l=84;break e;break};default:{l=97;break e}}b=b+1|0}do{if((l|0)==77){c[f>>2]=b;k=0;break a}else if((l|0)==78){b=b+1|0}else if((l|0)==79){if((e-b|0)<2){k=-2;break a}if((he[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==84){if((e-b|0)<3){k=-2;break a}if((he[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==89){if((e-b|0)<4){k=-2;break a}if((he[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==94){l=101;break d}else if((l|0)==95){break d}else if((l|0)==97){c[f>>2]=b;k=0;break a}else if((l|0)==99){k=-1;break a}}while(0);k=Ida(j,b,e,f)|0;break a}else if((l|0)==100){l=101}else if((l|0)!=102)if((l|0)==108){c[f>>2]=b;k=0;break a}else if((l|0)==110){k=-1;break a}}while(0);if((l|0)==101){c[f>>2]=b+1;k=2;break}b=b+1|0;if((b|0)==(e|0)){k=-1;break}if((a[b]|0)==62){c[f>>2]=b+1;k=4;break}else{c[f>>2]=b;k=0;break}}}while(0);i=h;return k|0}function Eda(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b]|0)!=45){c[f>>2]=b;k=0;break}b=b+1|0;a:while(1){if((b|0)==(e|0)){l=34;break}switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){l=18;break a}if((he[c[j+364>>2]&127](j,b)|0)!=0){l=20;break a}b=b+4|0;break};case 27:{g=b+1|0;b=g;if((g|0)==(e|0)){l=24;break a}if((a[b]|0)==45){l=26;break a}break};case 6:{if((e-b|0)<3){l=13;break a}if((he[c[j+360>>2]&127](j,b)|0)!=0){l=15;break a}b=b+3|0;break};case 5:{if((e-b|0)<2){l=8;break a}if((he[c[j+356>>2]&127](j,b)|0)!=0){l=10;break a}b=b+2|0;break};case 0:case 1:case 8:{l=22;break a;break};default:{b=b+1|0}}}if((l|0)==8){k=-2;break}else if((l|0)==10){c[f>>2]=b;k=0;break}else if((l|0)==13){k=-2;break}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==18){k=-2;break}else if((l|0)==20){c[f>>2]=b;k=0;break}else if((l|0)==22){c[f>>2]=b;k=0;break}else if((l|0)==24){k=-1;break}else if((l|0)==26){g=b+1|0;b=g;if((g|0)==(e|0)){k=-1;break}if((a[b]|0)==62){c[f>>2]=b+1;k=13;break}else{c[f>>2]=b;k=0;break}}else if((l|0)==34){l=35;break}}else{l=35}}while(0);if((l|0)==35){k=-1}i=h;return k|0}function Fda(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<6){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=9;break}if((a[g]|0)!=(a[8888+e|0]|0)){k=6;break}e=e+1|0;g=g+1|0}if((k|0)==6){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==9){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function Gda(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{b:do{switch(d[k+76+(d[b]|0)|0]|0){case 22:case 24:{b=b+1|0;break};case 7:{if((e-b|0)<4){l=-2;break a}if((he[c[k+352>>2]&127](k,b)|0)!=0){b=b+4|0;break b}else{c[f>>2]=b;l=0;break a}break};case 29:{c[f>>2]=b;l=0;break a;break};case 5:{if((e-b|0)<2){l=-2;break a}if((he[c[k+344>>2]&127](k,b)|0)!=0){b=b+2|0;break b}else{c[f>>2]=b;l=0;break a}break};case 6:{if((e-b|0)<3){l=-2;break a}if((he[c[k+348>>2]&127](k,b)|0)!=0){b=b+3|0;break b}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);c:while(1){if((b|0)==(e|0)){m=80;break}switch(d[k+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){m=28;break c}if((he[c[k+332>>2]&127](k,b)|0)==0){m=30;break c}b=b+2|0;break};case 21:case 9:case 10:{m=42;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 29:{m=25;break c;break};case 15:{m=71;break c;break};case 6:{if((e-b|0)<3){m=33;break c}if((he[c[k+336>>2]&127](k,b)|0)==0){m=35;break c}b=b+3|0;break};case 7:{if((e-b|0)<4){m=38;break c}if((he[c[k+340>>2]&127](k,b)|0)==0){m=40;break c}b=b+4|0;break};default:{break c}}}do{if((m|0)==25){c[f>>2]=b;l=0;break a}else if((m|0)==28){l=-2;break a}else if((m|0)==30){c[f>>2]=b;l=0;break a}else if((m|0)==33){l=-2;break a}else if((m|0)==35){c[f>>2]=b;l=0;break a}else if((m|0)==38){l=-2;break a}else if((m|0)==40){c[f>>2]=b;l=0;break a}else if((m|0)==42){if((Jda(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break a}b=b+1|0;d:while(1){if((b|0)==(e|0)){m=70;break}switch(d[k+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){m=48;break d}if((he[c[k+356>>2]&127](k,b)|0)!=0){m=50;break d}b=b+2|0;break};case 15:{b=b+1|0;if((b|0)==(e|0)){m=64;break d}if((a[b]|0)==62){m=66;break d}break};case 0:case 1:case 8:{m=62;break d;break};case 7:{if((e-b|0)<4){m=58;break d}if((he[c[k+364>>2]&127](k,b)|0)!=0){m=60;break d}b=b+4|0;break};case 6:{if((e-b|0)<3){m=53;break d}if((he[c[k+360>>2]&127](k,b)|0)!=0){m=55;break d}b=b+3|0;break};default:{b=b+1|0}}}if((m|0)==48){l=-2;break a}else if((m|0)==50){c[f>>2]=b;l=0;break a}else if((m|0)==53){l=-2;break a}else if((m|0)==55){c[f>>2]=b;l=0;break a}else if((m|0)==58){l=-2;break a}else if((m|0)==60){c[f>>2]=b;l=0;break a}else if((m|0)==62){c[f>>2]=b;l=0;break a}else if((m|0)==64){l=-1;break a}else if((m|0)==66){c[f>>2]=b+1;l=c[j>>2]|0;break a}else if((m|0)==70){l=-1;break a}}else if((m|0)==71){if((Jda(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break a}b=b+1|0;if((b|0)==(e|0)){l=-1;break a}if((a[b]|0)==62){c[f>>2]=b+1;l=c[j>>2]|0;break a}else{break}}else if((m|0)==80){l=-1;break a}}while(0);c[f>>2]=b;l=0}}while(0);i=h;return l|0}function Hda(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 6:{if((b-a|0)<3){j=-2;break a}if((he[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 5:{if((b-a|0)<2){j=-2;break a}if((he[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};case 22:case 24:{a=a+1|0;break};case 7:{if((b-a|0)<4){j=-2;break a}if((he[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=55;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 6:{if((b-a|0)<3){k=33;break c}if((he[c[h+336>>2]&127](h,a)|0)==0){k=35;break c}a=a+3|0;break};case 7:{if((b-a|0)<4){k=38;break c}if((he[c[h+340>>2]&127](h,a)|0)==0){k=40;break c}a=a+4|0;break};case 11:{k=52;break c;break};case 23:{a=a+1|0;break};case 29:{k=25;break c;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 5:{if((b-a|0)<2){k=28;break c}if((he[c[h+332>>2]&127](h,a)|0)==0){k=30;break c}a=a+2|0;break};case 21:case 9:case 10:{k=42;break c;break};default:{k=53;break c}}}if((k|0)==25){c[e>>2]=a;j=0;break}else if((k|0)==28){j=-2;break}else if((k|0)==30){c[e>>2]=a;j=0;break}else if((k|0)==33){j=-2;break}else if((k|0)==35){c[e>>2]=a;j=0;break}else if((k|0)==38){j=-2;break}else if((k|0)==40){c[e>>2]=a;j=0;break}else if((k|0)==42){a=a+1|0;while(1){if((a|0)==(b|0)){k=50;break}f=d[h+76+(d[a]|0)|0]|0;if((f|0)==11){k=46;break}else if(!((f|0)==21|(f|0)==9|(f|0)==10)){k=47;break}a=a+1|0}if((k|0)==46){c[e>>2]=a+1;j=5;break}else if((k|0)==47){c[e>>2]=a;j=0;break}else if((k|0)==50){j=-1;break}}else if((k|0)==52){c[e>>2]=a+1;j=5;break}else if((k|0)==53){c[e>>2]=a;j=0;break}else if((k|0)==55){j=-1;break}}}while(0);i=g;return j|0}function Ida(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=137;break}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 14:{l=55;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=12;break a}if((he[c[k+336>>2]&127](k,c[j>>2]|0)|0)==0){l=14;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 29:{l=4;break a;break};case 22:case 24:case 25:case 26:case 27:{c[j>>2]=(c[j>>2]|0)+1;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=17;break a}if((he[c[k+340>>2]&127](k,c[j>>2]|0)|0)==0){l=19;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 23:{if((g|0)!=0){l=22;break a}g=1;c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=24;break a}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 22:case 24:{c[j>>2]=(c[j>>2]|0)+1;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=39;break a}if((he[c[k+352>>2]&127](k,c[j>>2]|0)|0)==0){l=41;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 29:{l=26;break a;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=34;break a}if((he[c[k+348>>2]&127](k,c[j>>2]|0)|0)==0){l=36;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=29;break a}if((he[c[k+344>>2]&127](k,c[j>>2]|0)|0)==0){l=31;break a}c[j>>2]=(c[j>>2]|0)+2;break};default:{l=43;break a}}break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=7;break a}if((he[c[k+332>>2]&127](k,c[j>>2]|0)|0)==0){l=9;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=47;break a}b=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((b|0)==14){break}m=b;if(!((m|0)==21|(m|0)==10|(m|0)==9)){l=52;break a}}l=55;break};default:{l=135;break a}}if((l|0)==55){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=57;break a}n=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((n|0)==12){break}if((n|0)==13){break}m=n;if(!((m|0)==21|(m|0)==10|(m|0)==9)){l=63;break a}}c[j>>2]=(c[j>>2]|0)+1;while(1){if((c[j>>2]|0)==(e|0)){l=67;break a}m=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((m|0)==(n|0)){break}switch(m|0){case 6:{if((e-(c[j>>2]|0)|0)<3){l=77;break a}if((he[c[k+360>>2]&127](k,c[j>>2]|0)|0)!=0){l=79;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 0:case 1:case 8:{l=86;break a;break};case 3:{o=zda(k,(c[j>>2]|0)+1|0,e,j)|0;if((o|0)<=0){l=88;break a}break};case 2:{l=92;break a;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=72;break a}if((he[c[k+356>>2]&127](k,c[j>>2]|0)|0)!=0){l=74;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=82;break a}if((he[c[k+364>>2]&127](k,c[j>>2]|0)|0)!=0){l=84;break a}c[j>>2]=(c[j>>2]|0)+4;break};default:{c[j>>2]=(c[j>>2]|0)+1}}}c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=96;break}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 21:case 9:case 10:{break};case 17:{l=99;break a;break};case 11:{l=100;break a;break};default:{l=101;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=104;break a}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 29:{l=106;break a;break};case 6:{l=113;break b;break};case 22:case 24:{l=107;break b;break};case 5:{l=108;break b;break};case 7:{l=118;break b;break};case 21:case 9:case 10:{break};case 11:{l=124;break a;break};case 17:{l=126;break a;break};default:{l=132;break a}}}if((l|0)==107){l=0;c[j>>2]=(c[j>>2]|0)+1}else if((l|0)==108){l=0;if((e-(c[j>>2]|0)|0)<2){l=109;break}if((he[c[k+344>>2]&127](k,c[j>>2]|0)|0)==0){l=111;break}c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==113){l=0;if((e-(c[j>>2]|0)|0)<3){l=114;break}if((he[c[k+348>>2]&127](k,c[j>>2]|0)|0)==0){l=116;break}c[j>>2]=(c[j>>2]|0)+3}else if((l|0)==118){l=0;if((e-(c[j>>2]|0)|0)<4){l=119;break}if((he[c[k+352>>2]&127](k,c[j>>2]|0)|0)==0){l=121;break}c[j>>2]=(c[j>>2]|0)+4}}}if((l|0)==4){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==7){p=-2;q=p;i=h;return q|0}else if((l|0)==9){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==12){p=-2;q=p;i=h;return q|0}else if((l|0)==14){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==17){p=-2;q=p;i=h;return q|0}else if((l|0)==19){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==22){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==24){p=-1;q=p;i=h;return q|0}else if((l|0)==26){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==29){p=-2;q=p;i=h;return q|0}else if((l|0)==31){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==34){p=-2;q=p;i=h;return q|0}else if((l|0)==36){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==39){p=-2;q=p;i=h;return q|0}else if((l|0)==41){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==43){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==47){p=-1;q=p;i=h;return q|0}else if((l|0)==52){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==57){p=-1;q=p;i=h;return q|0}else if((l|0)==63){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==67){p=-1;q=p;i=h;return q|0}else if((l|0)==72){p=-2;q=p;i=h;return q|0}else if((l|0)==74){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==77){p=-2;q=p;i=h;return q|0}else if((l|0)==79){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==82){p=-2;q=p;i=h;return q|0}else if((l|0)==84){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==86){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==88){if((o|0)==0){c[f>>2]=c[j>>2]}p=o;q=p;i=h;return q|0}else if((l|0)==92){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==96){p=-1;q=p;i=h;return q|0}else if((l|0)!=99)if((l|0)==100){l=125}else if((l|0)==101){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==104){p=-1;q=p;i=h;return q|0}else if((l|0)==106){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==109){p=-2;q=p;i=h;return q|0}else if((l|0)==111){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==114){p=-2;q=p;i=h;return q|0}else if((l|0)==116){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==119){p=-2;q=p;i=h;return q|0}else if((l|0)==121){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==124){l=125}else if((l|0)!=126)if((l|0)==132){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==135){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==137){p=-1;q=p;i=h;return q|0}if((l|0)==125){c[f>>2]=(c[j>>2]|0)+1;p=1;q=p;i=h;return q|0}c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){p=-1;q=p;i=h;return q|0}if((a[c[j>>2]|0]|0)==62){c[f>>2]=(c[j>>2]|0)+1;p=3;q=p;i=h;return q|0}else{c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}return 0}function Jda(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=3){h=1}else{j=a[g]|0;if((j|0)==88){f=1}else if((j|0)!=120){h=1;break}g=g+1|0;j=a[g]|0;if((j|0)==77){f=1}else if((j|0)!=109){h=1;break}g=g+1|0;j=a[g]|0;if((j|0)!=108)if((j|0)==76){f=1}else{h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function Kda(a,b,e,f,g){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=a;a=b;b=e;e=f;f=g;a:while(1){if((b|0)==(e|0)){k=29;break}g=d[a+76+(d[b]|0)|0]|0;switch(g|0){case 7:{if((e-b|0)<4){k=15;break a}if((he[c[a+364>>2]&127](a,b)|0)!=0){k=17;break a}b=b+4|0;break};case 5:{if((e-b|0)<2){k=5;break a}if((he[c[a+356>>2]&127](a,b)|0)!=0){k=7;break a}b=b+2|0;break};case 0:case 1:case 8:{k=19;break a;break};case 6:{if((e-b|0)<3){k=10;break a}if((he[c[a+360>>2]&127](a,b)|0)!=0){k=12;break a}b=b+3|0;break};case 12:case 13:{b=b+1|0;if((g|0)==(j|0)){k=22;break a}break};default:{b=b+1|0}}}b:do{if((k|0)==5){l=-2}else if((k|0)==7){c[f>>2]=b;l=0}else if((k|0)==10){l=-2}else if((k|0)==12){c[f>>2]=b;l=0}else if((k|0)==15){l=-2}else if((k|0)==17){c[f>>2]=b;l=0}else if((k|0)==19){c[f>>2]=b;l=0}else if((k|0)==22){if((b|0)==(e|0)){l=-27;break}c[f>>2]=b;switch(d[a+76+(d[b]|0)|0]|0|0){case 21:case 9:case 10:case 11:case 30:case 20:{l=27;break b;break};default:{l=0;break b}}}else if((k|0)==29){l=-1}}while(0);i=h;return l|0}function Lda(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{f=d[h+76+(d[a]|0)|0]|0;if((f|0)==22|(f|0)==24){a=a+1|0;b:while(1){if((a|0)==(b|0)){k=20;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 30:{k=11;break b;break};case 21:case 9:case 10:{break b;break};case 22:case 24:{break};default:{k=18;break b}}a=a+1|0}do{if((k|0)==11){if((a+1|0)==(b|0)){j=-1;break a}l=d[h+76+(d[a+1|0]|0)|0]|0;if((l|0)==21|(l|0)==9|(l|0)==10|(l|0)==30){c[e>>2]=a;j=0;break a}else{break}}else if((k|0)==18){c[e>>2]=a;j=0;break a}else if((k|0)==20){j=-1;break a}}while(0);c[e>>2]=a;j=16;break}else if((f|0)==20){c[e>>2]=a+1;j=33;break}else if((f|0)==27){j=Eda(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=0;break}}}while(0);i=g;return j|0}function Mda(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 29:{c[e>>2]=a;j=0;break a;break};case 7:{if((b-a|0)<4){j=-2;break a}if((he[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 5:{if((b-a|0)<2){j=-2;break a}if((he[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 6:{if((b-a|0)<3){j=-2;break a}if((he[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=45;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 9:case 10:case 21:case 32:case 11:case 30:case 36:{k=42;break c;break};case 5:{if((b-a|0)<2){k=28;break c}if((he[c[h+332>>2]&127](h,a)|0)==0){k=30;break c}a=a+2|0;break};case 6:{if((b-a|0)<3){k=33;break c}if((he[c[h+336>>2]&127](h,a)|0)==0){k=35;break c}a=a+3|0;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 29:{k=25;break c;break};case 7:{if((b-a|0)<4){k=38;break c}if((he[c[h+340>>2]&127](h,a)|0)==0){k=40;break c}a=a+4|0;break};default:{k=43;break c}}}if((k|0)==25){c[e>>2]=a;j=0;break}else if((k|0)==28){j=-2;break}else if((k|0)==30){c[e>>2]=a;j=0;break}else if((k|0)==33){j=-2;break}else if((k|0)==35){c[e>>2]=a;j=0;break}else if((k|0)==38){j=-2;break}else if((k|0)==40){c[e>>2]=a;j=0;break}else if((k|0)==42){c[e>>2]=a;j=20;break}else if((k|0)==43){c[e>>2]=a;j=0;break}else if((k|0)==45){j=-20;break}}}while(0);i=g;return j|0}function Nda(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;b=i;h=d;d=e;e=f;f=g;while(1){if((c[h>>2]|0)!=(d|0)){j=(c[e>>2]|0)!=(f|0)}else{j=0}if(!j){break}g=h;k=c[g>>2]|0;c[g>>2]=k+1;g=a[k]|0;k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=g}i=b;return}function Oda(a,e,f,g,h){a=a|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0;a=i;j=e;e=f;f=g;g=h;while(1){if((c[j>>2]|0)!=(e|0)){k=(c[f>>2]|0)!=(g|0)}else{k=0}if(!k){break}h=j;l=c[h>>2]|0;c[h>>2]=l+1;h=d[l]|0;l=f;m=c[l>>2]|0;c[l>>2]=m+2;b[m>>1]=h}i=a;return}function Pda(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;b=i;h=d;d=e;e=f;f=g;while(1){if((c[h>>2]|0)==(d|0)){j=3;break}g=a[c[h>>2]|0]|0;if((g&128|0)!=0){if((f-(c[e>>2]|0)|0)<2){j=6;break}k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=(g&255)>>6|192;l=e;k=c[l>>2]|0;c[l>>2]=k+1;a[k]=g&63|128;g=h;c[g>>2]=(c[g>>2]|0)+1}else{if((c[e>>2]|0)==(f|0)){j=9;break}g=h;k=c[g>>2]|0;c[g>>2]=k+1;g=a[k]|0;k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=g}}if((j|0)==3){i=b;return}else if((j|0)==6){i=b;return}else if((j|0)==9){i=b;return}}function Qda(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=i;l=b;b=e;e=f;f=g;g=h;h=j;if((f|0)==(g|0)){m=-4;n=m;i=k;return n|0}j=c[b+76>>2]|0;do{if((f+1|0)==(g|0)){o=a[b+73|0]|0;if((o|0)==3|(o|0)==5|(o|0)==4){m=-1;n=m;i=k;return n|0}a:do{switch(d[f]|0){case 254:case 255:case 239:{do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}p=12;break a}}while(0);break};case 0:case 60:{break};default:{p=12}}}while(0);if((p|0)==12){break}m=-1;n=m;i=k;return n|0}else{o=d[f|0]<<8|d[f+1|0];b:do{if((o|0)==61371){c:do{if((e|0)==1){q=a[b+73|0]|0;do{if((q|0)!=0){if((q|0)==4){break}if((q|0)==5){break}if((q|0)==3){break}break c}}while(0);break b}}while(0);if((f+2|0)==(g|0)){m=-1;n=m;i=k;return n|0}if((d[f+2|0]|0)!=191){break}c[h>>2]=f+3;c[j>>2]=c[l+8>>2];m=14;n=m;i=k;return n|0}else if((o|0)==15360){if((a[b+73|0]|0)==4){p=20}else{if((a[b+73|0]|0)==3){p=20}}do{if((p|0)==20){if((e|0)!=1){break}break b}}while(0);c[j>>2]=c[l+20>>2];m=ke[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}else if((o|0)==65534){do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}break b}}while(0);c[h>>2]=f+2;c[j>>2]=c[l+20>>2];m=14;n=m;i=k;return n|0}else if((o|0)==65279){do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}break b}}while(0);c[h>>2]=f+2;c[j>>2]=c[l+16>>2];m=14;n=m;i=k;return n|0}else{if((a[f|0]|0)==0){do{if((e|0)==1){if((a[b+73|0]|0)!=5){break}break b}}while(0);c[j>>2]=c[l+16>>2];m=ke[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}if((a[f+1|0]|0)!=0){break}if((e|0)==1){break}c[j>>2]=c[l+20>>2];m=ke[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}}while(0)}}while(0);c[j>>2]=c[l+(a[b+73|0]<<2)>>2];m=ke[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}function Rda(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=i;k=a;a=b;b=d;d=e;e=f;f=g;g=h;if((a|0)==(b|0)){c[d>>2]=0;l=1;m=l;i=j;return m|0}if((Tda(Sda(k,a,b)|0)|0)==0){c[g>>2]=a;l=0;m=l;i=j;return m|0}do{a=a+(c[k+68>>2]|0)|0;}while((Tda(Sda(k,a,b)|0)|0)!=0);if((a|0)==(b|0)){c[d>>2]=0;l=1;m=l;i=j;return m|0}c[d>>2]=a;while(1){n=Sda(k,a,b)|0;if((n|0)==-1){o=12;break}if((n|0)==61){o=14;break}if((Tda(n)|0)!=0){o=16;break}a=a+(c[k+68>>2]|0)|0}do{if((o|0)==12){c[g>>2]=a;l=0;m=l;i=j;return m|0}else if((o|0)==14){c[e>>2]=a}else if((o|0)==16){c[e>>2]=a;do{a=a+(c[k+68>>2]|0)|0;h=Sda(k,a,b)|0;n=h;}while((Tda(h)|0)!=0);if((n|0)==61){break}c[g>>2]=a;l=0;m=l;i=j;return m|0}}while(0);if((a|0)==(c[d>>2]|0)){c[g>>2]=a;l=0;m=l;i=j;return m|0}a=a+(c[k+68>>2]|0)|0;n=Sda(k,a,b)|0;while(1){if((Tda(n)|0)==0){break}a=a+(c[k+68>>2]|0)|0;n=Sda(k,a,b)|0}do{if((n|0)!=34){if((n|0)==39){break}c[g>>2]=a;l=0;m=l;i=j;return m|0}}while(0);d=n&255;a=a+(c[k+68>>2]|0)|0;c[f>>2]=a;a:while(1){n=Sda(k,a,b)|0;if((n|0)==(d<<24>>24|0)){break}if(97<=(n|0)){if((n|0)>122){o=36}}else{o=36}do{if((o|0)==36){o=0;if(65<=(n|0)){if((n|0)<=90){break}}if(48<=(n|0)){if((n|0)<=57){break}}if((n|0)==46){break}if((n|0)==45){break}if((n|0)!=95){o=43;break a}}}while(0);a=a+(c[k+68>>2]|0)|0}if((o|0)==43){c[g>>2]=a;l=0;m=l;i=j;return m|0}c[g>>2]=a+(c[k+68>>2]|0);l=1;m=l;i=j;return m|0}function Sda(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=b;c[g>>2]=d;c[j>>2]=h;Ud[c[k+60>>2]&31](k,g,e,j,(c[j>>2]|0)+1|0);if((c[j>>2]|0)==(h|0)){l=-1;m=l;i=f;return m|0}else{l=a[h|0]|0;m=l;i=f;return m|0}return 0}function Tda(a){a=a|0;var b=0,c=0;b=a;if((b|0)==32|(b|0)==13|(b|0)==10|(b|0)==9){c=1}else{c=0}i=i;return c|0}function Uda(a){a=a|0;var b=0;b=a;c[b>>2]=2;c[b+16>>2]=1;c[b+12>>2]=0;c[b+20>>2]=0;i=i;return}function Vda(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 12:{c[h>>2]=76;j=1;break};case 15:{c[h>>2]=76;j=0;break};case 11:{c[h>>2]=76;j=55;break};case 14:{j=0;break};case 29:{c[h>>2]=112;j=2;break};case 13:{c[h>>2]=76;j=56;break};case 16:{if((ke[c[b+28>>2]&127](b,d+(c[b+68>>2]<<1)|0,e,8545016)|0)!=0){c[h>>2]=96;j=3;break a}else{k=11;break a}break};default:{k=11}}}while(0);if((k|0)==11){j=Zda(h,a)|0}i=g;return j|0}function Wda(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;a:do{switch(a|0){case 26:{j=12;break};case-4:{if((c[h+12>>2]|0)!=0){j=12;break a}else{k=0;break a}break};case 15:{k=0;break};case 33:{c[h>>2]=26;k=0;break};case 34:{if((c[h+12>>2]|0)==0){j=12;break a}else{b=h+12|0;c[b>>2]=(c[b>>2]|0)-1;k=0;break a}break};default:{k=Yda(h,a,d,e,f)|0}}}while(0);if((j|0)==12){k=Zda(h,a)|0}i=g;return k|0}function Xda(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;if((f|0)==15){j=0;k=j;i=g;return k|0}else if((f|0)==18){l=3}do{if((l|0)==3){if((ke[c[e+28>>2]&127](e,b,d,8544920)|0)!=0){c[h>>2]=28;j=0;k=j;i=g;return k|0}if((ke[c[e+28>>2]&127](e,b,d,8544936)|0)==0){break}c[h>>2]=30;j=0;k=j;i=g;return k|0}}while(0);j=Zda(h,a)|0;k=j;i=g;return k|0}function Yda(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;a:do{switch(a|0){case-4:{j=0;break};case 28:{j=60;break};case 13:{j=56;break};case 11:{j=55;break};case 26:{c[h>>2]=122;j=3;break};case 15:{j=0;break};case 16:{if((ke[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,8544976)|0)!=0){c[h>>2]=40;j=11;break a}if((ke[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,8545032)|0)!=0){c[h>>2]=90;j=33;break a}if((ke[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,8545008)|0)!=0){c[h>>2]=68;j=39;break a}if((ke[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,8544856)|0)!=0){c[h>>2]=6;j=17;break a}else{k=17;break a}break};default:{k=17}}}while(0);if((k|0)==17){j=Zda(h,a)|0}i=g;return j|0}function Zda(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a;do{if((c[e+16>>2]|0)==0){if((b|0)!=28){break}f=59;g=f;i=d;return g|0}}while(0);c[e>>2]=112;f=-1;g=f;i=d;return g|0}function _da(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;i=i;return 0}function $da(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==18){c[e>>2]=16;g=9}else if((b|0)==22){c[e>>2]=42;g=11}else{g=Zda(e,a)|0}i=f;return g|0}function aea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==18|(b|0)==41){c[e>>2]=88;g=34}else{g=Zda(e,a)|0}i=f;return g|0}function bea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=70;g=40}else if((b|0)==15){g=39}else{g=Zda(e,a)|0}i=f;return g|0}function cea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=17}else if((b|0)==18){c[e>>2]=4;g=18}else{g=Zda(e,a)|0}i=f;return g|0}function dea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=74;g=8}else if((b|0)==15){g=3}else{g=Zda(e,a)|0}i=f;return g|0}function eea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==13){g=56}else if((b|0)==15){g=0}else if((b|0)==11){g=55}else if((b|0)==29){c[e>>2]=112;g=2}else{g=Zda(e,a)|0}i=f;return g|0}function fea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;if((f|0)==18){j=3}else if((f|0)==15){k=17;l=k;i=g;return l|0}do{if((j|0)==3){if((ke[c[e+28>>2]&127](e,b,d,8544816)|0)!=0){c[h>>2]=8;k=17;l=k;i=g;return l|0}if((ke[c[e+28>>2]&127](e,b,d,8544840)|0)==0){break}c[h>>2]=20;k=17;l=k;i=g;return l|0}}while(0);k=Zda(h,a)|0;l=k;i=g;return l|0}function gea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=17}else if((b|0)==27){c[e>>2]=54;c[e+8>>2]=17;g=19}else{g=Zda(e,a)|0}i=f;return g|0}function hea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=10;g=21}else if((b|0)==15){g=17}else{g=Zda(e,a)|0}i=f;return g|0}function iea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=17}else if((b|0)==27){c[e>>2]=54;c[e+8>>2]=17;g=19}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?108:34;g=20}else{g=Zda(e,a)|0}i=f;return g|0}function jea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?108:34;g=c[e+8>>2]|0;h=g;i=f;return h|0}else if((b|0)==15){g=c[e+8>>2]|0;h=g;i=f;return h|0}else{g=Zda(e,a)|0;h=g;i=f;return h|0}return 0}function kea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==18){if((ke[c[e+28>>2]&127](e,b,d,8545e3)|0)!=0){c[h>>2]=54;c[h+8>>2]=39;j=42;k=j;i=g;return k|0}if((ke[c[e+28>>2]&127](e,b,d,8545040)|0)==0){break}c[h>>2]=54;c[h+8>>2]=39;j=41;k=j;i=g;return k|0}else if((f|0)==15){j=39;k=j;i=g;return k|0}else if((f|0)==23){c[h>>2]=64;c[h+4>>2]=1;j=44;k=j;i=g;return k|0}}while(0);j=Zda(h,a)|0;k=j;i=g;return k|0}function lea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 18:case 41:{c[h>>2]=58;j=51;break};case 20:{if((ke[c[b+28>>2]&127](b,d+(c[b+68>>2]|0)|0,e,8544848)|0)!=0){c[h>>2]=66;j=43;break a}else{k=11;break a}break};case 23:{c[h+4>>2]=2;c[h>>2]=12;j=44;break};case 31:{c[h>>2]=58;j=52;break};case 30:{c[h>>2]=58;j=53;break};case 15:{j=39;break};case 32:{c[h>>2]=58;j=54;break};default:{k=11}}}while(0);if((k|0)==11){j=Zda(h,a)|0}i=g;return j|0}function mea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==24){c[e>>2]=54;c[e+8>>2]=39;g=45}else if((b|0)==21){c[e>>2]=60;g=39}else if((b|0)==36){c[e>>2]=54;c[e+8>>2]=39;g=46}else if((b|0)==15){g=39}else{g=Zda(e,a)|0}i=f;return g|0}function nea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;switch(a|0){case 18:case 41:{c[e>>2]=58;g=51;break};case 15:{g=39;break};case 23:{b=e+4|0;c[b>>2]=(c[b>>2]|0)+1;g=44;break};case 31:{c[e>>2]=58;g=52;break};case 30:{c[e>>2]=58;g=53;break};case 32:{c[e>>2]=58;g=54;break};default:{g=Zda(e,a)|0}}i=f;return g|0}



function _m(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2040>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2040>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+40>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function $m(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+32>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+32>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+32>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function an(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1984>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1984>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+32>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function bn(a){a=a|0;var b=0,d=0;b=i;d=c[a+416>>2]|0;if(!((zia(+h[d+3896>>3],+h[d+3920>>3])|0)<<24>>24==0)){i=b;return}oe[c[2166]&127](c[a+536>>2]|0,8543232,23664,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;i=b;return}function cn(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+24>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+24>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+24>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function dn(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2040>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2040>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+24>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function en(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+16>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+16>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+16>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function fn(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1984>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1984>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+16>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function gn(a){a=a|0;var b=0,d=0;b=i;d=c[a+416>>2]|0;if(!((zia(+h[d+4120>>3],+h[d+4144>>3])|0)<<24>>24==0)){i=b;return}oe[c[2166]&127](c[a+536>>2]|0,8543232,23664,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;i=b;return}function hn(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+8>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+8>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+8>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function jn(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1984>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1984>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+8>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function kn(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=zia(+h[c[(c[c[d>>2]>>2]|0)+8>>2]>>3],243.15)|0;if(!(e<<24>>24==0|(xia(+h[c[(c[c[d>>2]>>2]|0)+8>>2]>>3],373.15)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(31528,Mfa(+h[c[(c[c[d>>2]>>2]|0)+8>>2]>>3],0,1,6)|0)|0,31168)|0;d=Ofa(Ofa(e,Mfa(243.15,0,1,6)|0)|0,30672)|0;e=Ofa(Ofa(Ofa(Ofa(d,Mfa(373.15,0,1,6)|0)|0,30200)|0,32408)|0,29680)|0;oe[c[2166]&127](c[a+536>>2]|0,8543184,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function ln(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((zia(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+416>>3],0.0)|0)<<24>>24==0)){i=b;return}e=Ofa(Ofa(Ofa(Ofa(28360,Mfa(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+416>>3],0,1,6)|0)|0,27864)|0,32408)|0,26424)|0;f=Ofa(Ofa(e,Mfa(+h[c[(c[c[d>>2]>>2]|0)+8>>2]>>3],0,1,6)|0)|0,25856)|0;oe[c[2166]&127](c[a+536>>2]|0,8543208,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function mn(a){a=a|0;var b=0,d=0;b=i;d=c[a+416>>2]|0;if(!((zia(+h[d+4344>>3],+h[d+4368>>3])|0)<<24>>24==0)){i=b;return}oe[c[2166]&127](c[a+536>>2]|0,8543232,23664,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;i=b;return}function nn(b){b=b|0;a[b+315|0]=0;a[b+314|0]=1;Le(b);Me(b);Ne(b);Oe(b);Pe(b);Qe(b);Re(b);Se(b);Te(b);Ue(b);Ve(b);We(b);Xe(b);Ye(b);Ze(b);_e(b);$e(b);af(b);bf(b);cf(b);df(b);ef(b);ff(b);gf(b);hf(b);jf(b);kf(b);lf(b);mf(b);nf(b);of(b);pf(b);qf(b);rf(b);sf(b);tf(b);uf(b);vf(b);wf(b);xf(b);yf(b);zf(b);Af(b);Bf(b);Cf(b);Df(b);Ef(b);Ff(b);Gf(b);Hf(b);If(b);Jf(b);Kf(b);Lf(b);Mf(b);Nf(b);Of(b);Pf(b);Qf(b);Rf(b);Sf(b);Tf(b);Uf(b);Vf(b);Wf(b);Xf(b);Yf(b);Zf(b);_f(b);$f(b);ag(b);bg(b);cg(b);dg(b);eg(b);fg(b);gg(b);hg(b);ig(b);jg(b);kg(b);lg(b);mg(b);ng(b);og(b);pg(b);qg(b);rg(b);sg(b);tg(b);ug(b);vg(b);wg(b);xg(b);yg(b);zg(b);Ag(b);Bg(b);Cg(b);Dg(b);Eg(b);Fg(b);Gg(b);Hg(b);Ig(b);Jg(b);Kg(b);Lg(b);Mg(b);Ng(b);Og(b);Pg(b);Qg(b);Rg(b);Sg(b);Tg(b);Ug(b);Vg(b);Wg(b);Xg(b);Yg(b);Zg(b);_g(b);$g(b);ah(b);bh(b);ch(b);dh(b);eh(b);fh(b);gh(b);hh(b);ih(b);jh(b);kh(b);lh(b);mh(b);nh(b);oh(b);ph(b);qh(b);rh(b);sh(b);th(b);uh(b);vh(b);wh(b);xh(b);yh(b);zh(b);Ah(b);Bh(b);Ch(b);Dh(b);Eh(b);Fh(b);Gh(b);Hh(b);Ih(b);Jh(b);Kh(b);Lh(b);Mh(b);Nh(b);Oh(b);Ph(b);Qh(b);Rh(b);Sh(b);Th(b);Uh(b);Vh(b);Wh(b);Xh(b);Yh(b);Zh(b);_h(b);$h(b);ai(b);bi(b);ci(b);di(b);ei(b);fi(b);gi(b);hi(b);ii(b);ji(b);ki(b);li(b);mi(b);ni(b);oi(b);pi(b);qi(b);ri(b);si(b);ti(b);ui(b);vi(b);wi(b);xi(b);yi(b);zi(b);Ai(b);Bi(b);Ci(b);Di(b);Ei(b);Fi(b);Gi(b);Hi(b);Ii(b);Ji(b);Ki(b);Li(b);Mi(b);Ni(b);Oi(b);Pi(b);Qi(b);Ri(b);Si(b);Ti(b);Ui(b);Vi(b);Wi(b);Xi(b);Yi(b);Zi(b);_i(b);$i(b);aj(b);bj(b);cj(b);dj(b);ej(b);fj(b);gj(b);hj(b);ij(b);jj(b);kj(b);lj(b);mj(b);nj(b);oj(b);pj(b);qj(b);rj(b);sj(b);tj(b);uj(b);vj(b);wj(b);xj(b);yj(b);zj(b);Aj(b);Bj(b);Cj(b);Dj(b);Ej(b);Fj(b);Gj(b);Hj(b);Ij(b);Jj(b);Kj(b);Lj(b);Mj(b);Nj(b);Oj(b);Pj(b);Qj(b);Rj(b);Sj(b);Tj(b);Uj(b);Vj(b);Wj(b);Xj(b);Yj(b);Zj(b);_j(b);$j(b);ak(b);bk(b);ck(b);dk(b);ek(b);fk(b);gk(b);hk(b);ik(b);jk(b);kk(b);lk(b);mk(b);nk(b);ok(b);pk(b);qk(b);rk(b);sk(b);tk(b);uk(b);vk(b);wk(b);xk(b);yk(b);zk(b);Ak(b);Bk(b);Ck(b);Dk(b);Ek(b);Fk(b);Gk(b);Hk(b);Ik(b);Jk(b);Kk(b);Lk(b);Mk(b);Nk(b);Ok(b);Pk(b);Qk(b);Rk(b);Sk(b);Tk(b);Uk(b);Vk(b);Wk(b);Xk(b);Yk(b);Zk(b);_k(b);$k(b);al(b);bl(b);cl(b);dl(b);el(b);fl(b);gl(b);hl(b);il(b);jl(b);kl(b);ll(b);ml(b);nl(b);ol(b);pl(b);ql(b);rl(b);sl(b);tl(b);ul(b);vl(b);wl(b);xl(b);yl(b);zl(b);Al(b);Bl(b);Cl(b);Dl(b);El(b);Fl(b);Gl(b);Hl(b);Il(b);Jl(b);Kl(b);Ll(b);Ml(b);Nl(b);Ol(b);Pl(b);Ql(b);Rl(b);Sl(b);Tl(b);Ul(b);Vl(b);Wl(b);Xl(b);Yl(b);Zl(b);_l(b);$l(b);am(b);bm(b);cm(b);dm(b);em(b);fm(b);gm(b);hm(b);im(b);jm(b);km(b);lm(b);mm(b);nm(b);om(b);pm(b);qm(b);rm(b);sm(b);tm(b);um(b);vm(b);wm(b);xm(b);ym(b);zm(b);Am(b);Bm(b);Cm(b);Dm(b);Em(b);Fm(b);Gm(b);Hm(b);Im(b);Jm(b);Km(b);Lm(b);Mm(b);Nm(b);Om(b);Pm(b);Qm(b);Rm(b);Sm(b);Tm(b);Um(b);Vm(b);Wm(b);Xm(b);Ym(b);Zm(b);_m(b);$m(b);an(b);bn(b);cn(b);dn(b);en(b);fn(b);gn(b);hn(b);jn(b);kn(b);ln(b);mn(b);return 0}function on(b){b=b|0;a[b+314|0]=0;pn(b);return 0}function pn(a){a=a|0;Le(a);Me(a);Oe(a);Pe(a);Re(a);Se(a);Ue(a);Ve(a);We(a);Xe(a);Ye(a);Ze(a);_e(a);$e(a);af(a);bf(a);cf(a);df(a);ef(a);ff(a);gf(a);hf(a);jf(a);kf(a);lf(a);mf(a);nf(a);of(a);pf(a);qf(a);rf(a);sf(a);tf(a);uf(a);vf(a);wf(a);xf(a);yf(a);zf(a);Af(a);Bf(a);Cf(a);Df(a);Ef(a);Ff(a);Gf(a);Hf(a);If(a);Jf(a);Kf(a);Nf(a);Qf(a);Tf(a);_f(a);$f(a);ag(a);dg(a);eg(a);fg(a);Cg(a);Dg(a);Eg(a);Hg(a);Ig(a);Jg(a);Lg(a);Mg(a);Ng(a);Og(a);Pg(a);Qg(a);Ug(a);Vg(a);_g(a);$g(a);bh(a);ch(a);gh(a);hh(a);ih(a);jh(a);kh(a);mh(a);nh(a);uh(a);wh(a);xh(a);yh(a);zh(a);Ah(a);Bh(a);Nh(a);Oh(a);Ph(a);Rh(a);Sh(a);Th(a);Vh(a);Wh(a);Xh(a);Yh(a);Zh(a);_h(a);bi(a);ci(a);di(a);ei(a);fi(a);gi(a);hi(a);ii(a);ji(a);li(a);mi(a);ni(a);pi(a);qi(a);ri(a);si(a);ti(a);vi(a);wi(a);xi(a);zi(a);Ai(a);Bi(a);Ci(a);Di(a);Fi(a);Gi(a);Hi(a);Ji(a);Ki(a);Li(a);Mi(a);Ni(a);Pi(a);Qi(a);Ri(a);Ti(a);Ui(a);Vi(a);Wi(a);Xi(a);Zi(a);_i(a);$i(a);bj(a);cj(a);dj(a);ej(a);fj(a);hj(a);ij(a);jj(a);lj(a);mj(a);nj(a);oj(a);pj(a);rj(a);sj(a);tj(a);vj(a);wj(a);xj(a);yj(a);zj(a);Bj(a);Cj(a);Dj(a);Fj(a);Gj(a);Hj(a);Ij(a);Jj(a);Lj(a);Mj(a);Nj(a);Pj(a);Qj(a);Rj(a);Sj(a);Tj(a);Vj(a);Wj(a);Xj(a);Zj(a);_j(a);$j(a);ak(a);bk(a);dk(a);ek(a);fk(a);hk(a);ik(a);jk(a);kk(a);lk(a);nk(a);ok(a);pk(a);rk(a);sk(a);tk(a);uk(a);vk(a);xk(a);yk(a);zk(a);Bk(a);Ck(a);Dk(a);Ek(a);Fk(a);Hk(a);Ik(a);Jk(a);Lk(a);Mk(a);Nk(a);Ok(a);Pk(a);Rk(a);Sk(a);Tk(a);Vk(a);Wk(a);Xk(a);Yk(a);Zk(a);$k(a);al(a);bl(a);dl(a);el(a);fl(a);gl(a);hl(a);jl(a);kl(a);ll(a);nl(a);ol(a);pl(a);ql(a);rl(a);tl(a);ul(a);vl(a);xl(a);yl(a);zl(a);Al(a);Bl(a);Dl(a);El(a);Fl(a);Hl(a);Il(a);Jl(a);Kl(a);Ll(a);Nl(a);Ol(a);Pl(a);Rl(a);Sl(a);Tl(a);Ul(a);Vl(a);Xl(a);Yl(a);Zl(a);$l(a);am(a);bm(a);cm(a);dm(a);fm(a);gm(a);hm(a);jm(a);return}function qn(a,b){a=a|0;b=+b;return 0}function rn(a){a=a|0;var b=0,d=0;b=i;kfa(c[a+536>>2]|0,(a|0)!=0|0,23272,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;c[a+540>>2]=8544256;c[a+84>>2]=22696;c[a+88>>2]=22696;c[a+92>>2]=22016;c[a+96>>2]=8522304;c[a+100>>2]=6878264;c[a+60>>2]=186232;c[a+112>>2]=22;c[a+116>>2]=831;lKa(a+120|0,0,16)|0;c[a+136>>2]=570;c[a+140>>2]=190;c[a+144>>2]=317;c[a+148>>2]=0;c[a+152>>2]=0;c[a+156>>2]=0;c[a+232>>2]=5;c[a+216>>2]=815;c[a+220>>2]=0;c[a+224>>2]=0;c[a+228>>2]=0;c[a+160>>2]=3;c[a+104>>2]=0;c[a+164>>2]=3;c[a+168>>2]=0;c[a+176>>2]=44;c[a+180>>2]=0;c[a+184>>2]=44;c[a+188>>2]=0;c[a+56>>2]=185664;c[a+64>>2]=46;c[a+72>>2]=0;c[a+68>>2]=3102;c[a+192>>2]=0;c[a+196>>2]=0;c[a+200>>2]=46;c[a+204>>2]=0;c[a+208>>2]=0;c[a+212>>2]=0;c[a+172>>2]=0;i=b;return}function sn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=i;i=i+952|0;e=1;f=0;g=i;i=i+168|0;c[g>>2]=0;while(1)switch(e|0){case 1:h=d|0;j=d+544|0;k=d+632|0;l=d+792|0;Ia(12);if((x|0)!=0&(y|0)!=0){f=nKa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[2174]=c[2168];c[2175]=c[2169];c[2176]=c[2170];c[2177]=c[2171];c[2178]=c[2172];c[2179]=c[2173];Ia(c[2174]|0);if((x|0)!=0&(y|0)!=0){f=nKa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;m=j;lKa(m|0,0,88)|0;n=sa(194,c[2138754]|0)|0;if((x|0)!=0&(y|0)!=0){f=nKa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Da(70,c[2138754]|0,m|0)|0;if((x|0)!=0&(y|0)!=0){f=nKa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[j>>2]=k;o=mKa(k|0,e,g)|0;e=7;break;case 7:if((o|0)==0){e=2;break}else{e=5;break};case 2:p=j+4|0;q=c[p>>2]|0;c[p>>2]=l;r=mKa(l|0,e,g)|0;e=8;break;case 8:if((r|0)==0){e=3;break}else{e=4;break};case 3:pa(300,h|0);if((x|0)!=0&(y|0)!=0){f=nKa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[h+536>>2]=j;k=ua(76,a|0,b|0,h|0)|0;if((x|0)!=0&(y|0)!=0){f=nKa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[p>>2]=q;Ia(4);if((x|0)!=0&(y|0)!=0){f=nKa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Da(70,c[2138754]|0,n|0)|0;if((x|0)!=0&(y|0)!=0){f=nKa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(86,0)|0;if((x|0)!=0&(y|0)!=0){f=nKa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(86,0)|0;if((x|0)!=0&(y|0)!=0){f=nKa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;pa(164,k|0);if((x|0)!=0&(y|0)!=0){f=nKa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;return 0;case 4:Ia(2);if((x|0)!=0&(y|0)!=0){f=nKa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ga(38,184928,154,1,c[u>>2]|0)|0;if((x|0)!=0&(y|0)!=0){f=nKa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ia(6);if((x|0)!=0&(y|0)!=0){f=nKa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(86,0)|0;if((x|0)!=0&(y|0)!=0){f=nKa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;e=6;break;case 5:Da(70,c[2138754]|0,n|0)|0;if((x|0)!=0&(y|0)!=0){f=nKa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ia(2);if((x|0)!=0&(y|0)!=0){f=nKa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;e=6;break;case 6:i=d;return 1;case-1:if((f|0)==1){o=y;e=7}else if((f|0)==2){r=y;e=8}x=y=0;break}return 0}function tn(){Ta(0)|0;Ya(184408,18,1,c[u>>2]|0)|0;Ta(0)|0;return}function un(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;h[a>>3]=c;h[a+8>>3]=d;return}function vn(a,b,d,e){a=a|0;b=b|0;d=d|0;e=+e;var f=0,g=0,j=0.0,k=0.0,l=0.0,m=0,n=0,o=0.0;b=i;f=d;d=i;i=i+12|0;i=i+7&-8;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];f=fga(d,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;j=+h[f>>3];f=Zea(d,1)|0;do{if((f|0)<2){k=j}else{if((wn(2,2,f)|0)==0){k=j;break}else{l=j;m=2}while(1){n=fga(d,1,(g=i,i=i+8|0,c[g>>2]=m,g)|0)|0;i=g;o=l*e+ +h[n>>3];n=m+1|0;if((wn(n,2,f)|0)==0){k=o;break}else{l=o;m=n}}}}while(0);h[a>>3]=k;i=b;return}function wn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;if((b|0)>(c|0)){if((a|0)<(c|0)|(a|0)>(b|0)){d=4}else{e=1}}else{if((a|0)<(b|0)|(a|0)>(c|0)){d=4}else{e=1}}if((d|0)==4){e=0}return e|0}function xn(a,b,d,e,f,g,j,k,l,m,n,o,p){a=a|0;b=b|0;d=+d;e=+e;f=+f;g=+g;j=+j;k=+k;l=+l;m=+m;n=+n;o=+o;p=+p;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0.0,E=0.0,F=0;q=i;i=i+112|0;r=q|0;s=q+16|0;t=q+32|0;u=q+48|0;v=q+64|0;w=q+80|0;x=q+96|0;y=n/l;if(y>.0065){z=.0065/y}else{z=1.0}A=+rc(+(+da(z)*745.0),+p);z=e*m;B=f*m;m=(z+B)*.5;if(!(n>1.0e-10)){oe[c[2166]&127](b,8864,8533104,(C=i,i=i+1|0,i=i+7&-8,c[C>>2]=0,C)|0);i=C}n=+Yb(+z,+B)+o;D=+rc(+z,+B)-o;if(!(n>d)){yn(r,b,d-z,e,f,g,j,k,l,A,p,y);E=+h[r>>3];F=a|0;h[F>>3]=E;i=q;return}if(!(D<d)){yn(s,b,d-B,e,f,g,j,k,l,A,p,y);E=+h[s>>3];F=a|0;h[F>>3]=E;i=q;return}yn(t,b,n-z,e,f,g,j,k,l,A,p,y);z=+h[t>>3];o=+h[t+8>>3];yn(u,b,D-B,e,f,g,j,k,l,A,p,y);y=+h[u>>3];p=+h[u+8>>3];zn(v,b,m,D,n,y,z,p,o);A=+h[v+8>>3];if(m<d){zn(w,b,d,m,n,0.0,z,A,o);E=+h[w>>3];F=a|0;h[F>>3]=E;i=q;return}else{zn(x,b,d,D,m,y,0.0,p,A);E=+h[x>>3];F=a|0;h[F>>3]=E;i=q;return}}function yn(a,b,d,e,f,g,j,k,l,m,n,o){a=a|0;b=b|0;d=+d;e=+e;f=+f;g=+g;j=+j;k=+k;l=+l;m=+m;n=+n;o=+o;var p=0,q=0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0,B=0.0,C=0.0;p=i;i=i+16|0;q=p|0;r=d<0.0;s=r?f:e;e=r?j:g;g=3.7/o;if(!(g>0.0)){oe[c[2166]&127](b,8720,104416,(t=i,i=i+8|0,h[t>>3]=g,t)|0);i=t}o=+Mc(+g)*2.0;g=l*l;j=g*3.141592653589793;f=j*j/(k/(o*o*l)*8.0);r=d>0.0;if(r){u=1.0}else{u=+((d<0.0)<<31>>31|0)}o=e*l*n;n=u*(o*o/(s*f))*.6168502750680849;o=k/(g*g*3.141592653589793)*128.0;g=s/(e*o);if(r){v=1.0}else{v=+((d<0.0)<<31>>31|0)}k=v*o*e*e*m/s*l*.7853981633974483;l=+V(+d);m=+V(+n);if(l>m){if(r){w=1.0}else{w=+((d<0.0)<<31>>31|0)}e=s*f*l;if(e<0.0){oe[c[2166]&127](b,8720,56824,(t=i,i=i+8|0,h[t>>3]=e,t)|0);i=t}o=+W(e);x=w*o;y=s*(f/o)*.5;z=a|0;h[z>>3]=x;A=a+8|0;h[A>>3]=y;i=p;return}if(l<+V(+k)){x=g*d;y=g;z=a|0;h[z>>3]=x;A=a+8|0;h[A>>3]=y;i=p;return}if(n>0.0){B=1.0}else{B=+((n<0.0)<<31>>31|0)}l=s*f*m;if(l<0.0){oe[c[2166]&127](b,8720,38928,(t=i,i=i+8|0,h[t>>3]=l,t)|0);i=t}m=+W(l);if(n==0.0){C=1.0e+60}else{C=s*(f/m)*.5}An(q,0,d,k,n,g*k,B*m,g,C);x=+h[q>>3];y=+h[q+8>>3];z=a|0;h[z>>3]=x;A=a+8|0;h[A>>3]=y;i=p;return}function zn(a,b,d,e,f,g,j,k,l){a=a|0;b=b|0;d=+d;e=+e;f=+f;g=+g;j=+j;k=+k;l=+l;var m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0;m=i;if(!(e<f)){n=Ofa(Ofa(8532752,Mfa(e,0,1,6)|0)|0,8532736)|0;o=Ofa(Ofa(n,Mfa(f,0,1,6)|0)|0,8532704)|0;oe[c[2166]&127](b,8768,o,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p}do{if(k*l<0.0){if(+V(+k)<1.0e-15){break}if(+V(+l)<1.0e-15){break}o=Ofa(Ofa(8532528,Mfa(k,0,1,6)|0)|0,8532512)|0;n=Ofa(Ofa(o,Mfa(l,0,1,6)|0)|0,8532480)|0;oe[c[2166]&127](b,8744,n,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p}}while(0);q=f-e;r=(j-g)/q;s=+V(+r);if(r==0.0){t=(d-e)*r+g;u=0.0;v=a|0;h[v>>3]=t;w=a+8|0;h[w>>3]=u;i=m;return}x=r*-2.0;y=x+k+l;if(+V(+y)<1.0e-13){z=d-e;A=k*-2.0;B=r*3.0;C=x+l+k;D=((e+f)*.5-e)/q;t=z*(z*((A+(B+(z*(C/q)-l)))/q)+k)+g;u=C*D*D*3.0+((A+(B-l))*D*2.0+k);v=a|0;h[v>>3]=t;w=a+8|0;h[w>>3]=u;i=m;return}D=q*k;B=-0.0-l;A=((k+l)*e*-3.0+(r*e*6.0+(D*-2.0+(q*r*3.0-q*l))))/(B-k+r*2.0)*.3333333333333333;C=A-e;z=f-A;A=C/q;E=x+l+k;x=k*-2.0;F=r*3.0;G=x+(F-l);H=E*A*A*3.0+(G*A*2.0+k);if(r>0.0){I=1.0}else{I=+((r<0.0)<<31>>31|0)}A=I*+rc(+(+V(+H)),+s)*.25;do{if(+V(+(k-l))>1.0e-13){J=(k*B+(-0.0-l*l-k*k)+r*(r*-1.5+k+l)*6.0)/(y*3.0);K=0}else{if(!(D+g<j)){J=k;K=0;break}J=k;K=1}}while(0);if(C>0.0&z<q){if(r*H>0.0){L=19}else{L=22}}else{L=19}do{if((L|0)==19){H=+V(+A);D=+V(+J);if(H<D){if(!(r*J<0.0)){L=22;break}}if(H<+V(+(r*.1))&K<<24>>24==0){M=H;N=D}else{L=34}}}while(0);do{if((L|0)==22){if(!(K<<24>>24==0)){L=34;break}M=+V(+A);N=+V(+J)}}while(0);if((L|0)==34){D=d-e;H=((e+f)*.5-e)/q;t=D*(D*((x+(F+(D*(E/q)-l)))/q)+k)+g;u=E*H*H*3.0+(G*H*2.0+k);v=a|0;h[v>>3]=t;w=a+8|0;h[w>>3]=u;i=m;return}do{if(M<N){if(r*J<0.0){O=A;break}O=J}else{O=A}}while(0);A=r*.1;L=+V(+O)<+V(+A);J=L?A:O;O=(C*k+z*l)/q;if(+V(+(O-J))<1.0e-6){P=O*.999999}else{P=J}J=(r-P)/(O-P)*3.0;O=C*J;C=z*J;J=O+e;z=f-C;r=(k-P)/+Yb(+(O*O),+1.0e-13);O=(l-P)/+Yb(+(C*C),+1.0e-13);C=e-J;l=r*C*C*C*-.3333333333333333-P*e+g;g=f-z;if(J>d){e=d-J;t=r*e*e*e*.3333333333333333+(P*d+l);u=P;v=a|0;h[v>>3]=t;w=a+8|0;h[w>>3]=u;i=m;return}if(z>d){t=P*d+l;u=P;v=a|0;h[v>>3]=t;w=a+8|0;h[w>>3]=u;i=m;return}else{l=d-z;t=O*l*l*l*.3333333333333333+(P*d+(O*g*g*g*-.3333333333333333-P*f+j));u=P;v=a|0;h[v>>3]=t;w=a+8|0;h[w>>3]=u;i=m;return}}function An(a,b,c,d,e,f,g,i,j){a=a|0;b=b|0;c=+c;d=+d;e=+e;f=+f;g=+g;i=+i;j=+j;var k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0;k=e-d;do{if(k==0.0){e=(f+g)*.5;l=g-f;if(l>0.0){m=e;n=1.0e+60;break}m=e;n=+((l<0.0)<<31>>31|0)*1.0e+60}else{l=(c-d)/k;e=l*l;o=l*e;p=e*3.0;m=(e*-3.0+o*2.0+1.0)*f+(k*(o+(l+e*-2.0))*i+((p+o*-2.0)*g+k*(o-e)*j));n=(e-l)*6.0/k*f+((l*-4.0+p+1.0)*i+((l-e)*6.0/k*g+(l*-2.0+p)*j))}}while(0);h[a>>3]=m;h[a+8>>3]=n;return}function Bn(a,b,d,e,f,g,j,k,l,m,n,o){a=a|0;b=b|0;d=+d;e=+e;f=+f;g=+g;j=+j;k=+k;l=+l;m=+m;n=+n;o=+o;var p=0,q=0,r=0.0,s=0.0,t=0.0;p=i;if(!(m>1.0e-10)){oe[c[2166]&127](b,8840,8533104,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}r=l/m*3.7;if(!(r>0.0)){oe[c[2166]&127](b,8720,26344,(q=i,i=i+8|0,h[q>>3]=r,q)|0);i=q}m=+Mc(+r)*2.0;r=l*l;s=r*3.141592653589793;t=k/(m*m*l)/(s*s)*8.0;s=g+j;Cn(a,b,d,+Yb(+(s*o*l*.3926990816987241),+n),t/e,t/f,1,k/(r*r*3.141592653589793)*128.0*(s/(e+f)));i=p;return}function Cn(a,b,c,d,e,f,g,j){a=a|0;b=b|0;c=+c;d=+d;e=+e;f=+f;g=g|0;j=+j;var k=0,l=0,m=0.0;b=i;i=i+16|0;k=b|0;l=b+8|0;do{if(c<d){if(!(c>-0.0-d)){m=c*c*(-0.0-f);break}if(e<f){Zn(l,0,-0.0-c,d,f,e,g,j);m=-0.0- +h[l>>3];break}else{Zn(k,0,c,d,e,f,g,j);m=+h[k>>3];break}}else{m=c*c*e}}while(0);h[a>>3]=m;i=b;return}function Dn(a,b){a=a|0;b=b|0;var d=0,e=0;b=i;i=i+16|0;d=b|0;ega(d,5,1.0,(e=i,i=i+32|0,h[e>>3]=2.0,h[e+8>>3]=3.0,h[e+16>>3]=4.0,h[e+24>>3]=5.0,e)|0);i=e;e=d;d=a;c[d>>2]=c[e>>2];c[d+4>>2]=c[e+4>>2];c[d+8>>2]=c[e+8>>2];i=b;return}function En(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=+e;f=+f;var g=0,j=0.0,k=0.0,l=0,m=0.0,n=0.0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0;b=i;g=d;d=i;i=i+12|0;i=i+7&-8;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];c[d+8>>2]=c[g+8>>2];g=Zea(d,1)|0;do{if((g|0)<1){j=0.0;k=0.0}else{if((wn(1,1,g)|0)==0){j=0.0;k=0.0;break}l=g+1|0;m=0.0;n=0.0;o=1;while(1){p=fga(d,1,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;r=+(l-o|0);s=(n+ +h[p>>3]/r)*e;p=fga(d,1,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;t=(m+ +h[p>>3]/r)*f;p=o+1|0;if((wn(p,1,g)|0)==0){j=s;k=t;break}else{m=t;n=s;o=p}}}}while(0);h[a>>3]=j-k;i=b;return}function Fn(a,b,d,e){a=a|0;b=b|0;d=d|0;e=+e;var f=0,g=0,j=0.0,k=0.0,l=0.0,m=0,n=0,o=0.0;b=i;f=d;d=i;i=i+12|0;i=i+7&-8;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];f=fga(d,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;j=+h[f>>3];f=Zea(d,1)|0;do{if((f|0)<2){k=j}else{if((wn(2,2,f)|0)==0){k=j;break}else{l=j;m=2}while(1){n=fga(d,1,(g=i,i=i+8|0,c[g>>2]=m,g)|0)|0;i=g;o=l*e+ +h[n>>3];n=m+1|0;if((wn(n,2,f)|0)==0){k=o;break}else{l=o;m=n}}}}while(0);h[a>>3]=k;i=b;return}function Gn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=+e;f=+f;var g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0,p=0,q=0.0;b=i;g=d;d=i;i=i+12|0;i=i+7&-8;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];c[d+8>>2]=c[g+8>>2];g=Zea(d,1)|0;j=fga(d,1,(k=i,i=i+8|0,c[k>>2]=1,k)|0)|0;i=k;l=+h[j>>3]*+(g-1|0);j=(Zea(d,1)|0)-1|0;do{if((j|0)<2){m=l}else{if((wn(2,2,j)|0)==0){m=l;break}else{n=l;o=2}while(1){p=fga(d,1,(k=i,i=i+8|0,c[k>>2]=o,k)|0)|0;i=k;q=n*e+ +(g-o|0)*+h[p>>3];p=o+1|0;if((wn(p,2,j)|0)==0){m=q;break}else{n=q;o=p}}}}while(0);h[a>>3]=m*f;i=b;return}function Hn(a,b,d,e,f,g){a=a|0;b=b|0;d=+d;e=+e;f=f|0;g=g|0;var h=0,j=0;h=i;j=f;f=i;i=i+12|0;i=i+7&-8;c[f>>2]=c[j>>2];c[f+4>>2]=c[j+4>>2];c[f+8>>2]=c[j+8>>2];j=g;g=i;i=i+12|0;i=i+7&-8;c[g>>2]=c[j>>2];c[g+4>>2]=c[j+4>>2];c[g+8>>2]=c[j+8>>2];In(a,b,d);i=h;return}function In(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0;b=i;i=i+16|0;d=b|0;e=b+8|0;Pn(d,0,c);c=+h[d>>3];Pn(e,0,273.15);En(a,0,8532448,c,+h[e>>3]);i=b;return}function Jn(a,b,d,e,f,g,j,k,l){a=a|0;b=b|0;d=+d;e=+e;f=+f;g=+g;j=j|0;k=k|0;l=+l;var m=0,n=0,o=0,p=0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0;m=i;i=i+24|0;n=j;j=i;i=i+12|0;i=i+7&-8;c[j>>2]=c[n>>2];c[j+4>>2]=c[n+4>>2];c[j+8>>2]=c[n+8>>2];n=k;k=i;i=i+12|0;i=i+7&-8;c[k>>2]=c[n>>2];c[k+4>>2]=c[n+4>>2];c[k+8>>2]=c[n+8>>2];n=m|0;o=m+8|0;p=m+16|0;g=e+-1.0e-10;e=f+1.0e-10;Hn(n,b,g,0.0,j,k);f=+h[n>>3]-d;Hn(o,b,e,0.0,j,k);q=+h[o>>3]-d;if(f>0.0&q>0.0){r=3}else{if(f<0.0&q<0.0){r=3}}if((r|0)==3){r=Ofa(Ofa(Ofa(8532968,Mfa(g,0,1,6)|0)|0,8532960)|0,8532944)|0;o=Ofa(Ofa(Ofa(r,Mfa(e,0,1,6)|0)|0,8532960)|0,8532928)|0;r=Ofa(Ofa(Ofa(o,Mfa(d,0,1,6)|0)|0,8532960)|0,8532896)|0;o=Ofa(Ofa(Ofa(r,Mfa(f,0,1,6)|0)|0,8532960)|0,8532864)|0;Kn(0,Ofa(Ofa(Ofa(o,Mfa(q,0,1,6)|0)|0,8532960)|0,8532808)|0)}s=e-g;o=p|0;t=f;u=q;q=f;f=s;v=s;s=g;w=e;e=g;while(1){if(+V(+t)<+V(+u)){x=w;y=s;z=w;A=u;B=t;C=u}else{x=e;y=w;z=s;A=q;B=u;C=t}g=+V(+y)*2.0e-15+l;D=z*.5+y*-.5;if(+V(+D)<=g|B==0.0){break}do{if(+V(+f)<g){E=D;F=D}else{if(!(+V(+A)>+V(+B))){E=D;F=D;break}G=B/A;if(x==z){H=D*G*2.0;I=1.0-G}else{J=A/C;K=B/C;L=K+-1.0;H=G*(D*J*(J-K)*2.0-(y-x)*L);I=(J+-1.0)*(G+-1.0)*L}if(H>0.0){M=H;N=-0.0-I}else{M=-0.0-H;N=I}if(!(M*2.0<D*N*3.0- +V(+(g*N)))){E=D;F=D;break}if(!(M<+V(+(f*N*.5)))){E=D;F=D;break}E=M/N;F=v}}while(0);do{if(+V(+E)>g){O=E}else{if(D>0.0){O=g;break}O=-0.0-g}}while(0);g=y+O;Hn(p,b,g,0.0,j,k);D=+h[o>>3]-d;if(!(D>0.0&C>0.0)){if(!(D<0.0&C<0.0)){t=C;u=D;q=B;f=F;v=E;s=z;w=g;e=y;continue}}L=g-y;t=B;u=D;q=B;f=L;v=L;s=y;w=g;e=y}h[a>>3]=y;i=m;return}function Kn(a,b){a=a|0;b=b|0;Mga(b);return}function Ln(a,b){a=a|0;b=b|0;var d=0,e=0;b=i;i=i+16|0;d=b|0;ega(d,5,1.0,(e=i,i=i+32|0,h[e>>3]=2.0,h[e+8>>3]=3.0,h[e+16>>3]=4.0,h[e+24>>3]=5.0,e)|0);i=e;e=d;d=a;c[d>>2]=c[e>>2];c[d+4>>2]=c[e+4>>2];c[d+8>>2]=c[e+8>>2];i=b;return}function Mn(a,b,d,e){a=a|0;b=b|0;d=d|0;e=+e;var f=0,g=0,j=0.0,k=0.0,l=0.0,m=0,n=0,o=0.0;b=i;f=d;d=i;i=i+12|0;i=i+7&-8;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];f=fga(d,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;j=+h[f>>3];f=Zea(d,1)|0;do{if((f|0)<2){k=j}else{if((wn(2,2,f)|0)==0){k=j;break}else{l=j;m=2}while(1){n=fga(d,1,(g=i,i=i+8|0,c[g>>2]=m,g)|0)|0;i=g;o=l*e+ +h[n>>3];n=m+1|0;if((wn(n,2,f)|0)==0){k=o;break}else{l=o;m=n}}}}while(0);h[a>>3]=k;i=b;return}function Nn(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+16|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];In(a,b,+h[d>>3]);i=e;return}function On(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;var e=0,f=0;b=i;i=i+16|0;e=b|0;f=b+8|0;Pn(e,0,c);Fn(f,0,8532448,+h[e>>3]);h[a>>3]=+h[f>>3]*d;i=b;return}function Pn(a,b,c){a=a|0;b=b|0;c=+c;h[a>>3]=c+ -273.15;return}function Qn(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=+e;f=f|0;var g=0;b=i;i=i+16|0;g=f;f=i;i=i+12|0;i=i+7&-8;c[f>>2]=c[g>>2];c[f+4>>2]=c[g+4>>2];c[f+8>>2]=c[g+8>>2];g=b|0;un(g,0,e,d);d=+h[g+8>>3];h[a>>3]=+h[g>>3];h[a+8>>3]=d;i=b;return}function Rn(a,b,d,e){a=a|0;b=b|0;d=d|0;e=+e;var f=0,g=0,j=0.0,k=0.0,l=0.0,m=0,n=0,o=0.0;b=i;f=d;d=i;i=i+12|0;i=i+7&-8;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];f=fga(d,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;j=+h[f>>3];f=Zea(d,1)|0;do{if((f|0)<2){k=j}else{if((wn(2,2,f)|0)==0){k=j;break}else{l=j;m=2}while(1){n=fga(d,1,(g=i,i=i+8|0,c[g>>2]=m,g)|0)|0;i=g;o=l*e+ +h[n>>3];n=m+1|0;if((wn(n,2,f)|0)==0){k=o;break}else{l=o;m=n}}}}while(0);h[a>>3]=k;i=b;return}function Sn(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=+e;f=f|0;var g=0,h=0;g=i;i=i+16|0;h=f;f=i;i=i+12|0;i=i+7&-8;c[f>>2]=c[h>>2];c[f+4>>2]=c[h+4>>2];c[f+8>>2]=c[h+8>>2];h=g|0;Qn(h,0,d,e,f);Nn(a,b,h|0);i=g;return}function Tn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=+e;f=+f;var g=0,j=0.0,k=0.0,l=0,m=0.0,n=0.0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0;b=i;g=d;d=i;i=i+12|0;i=i+7&-8;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];c[d+8>>2]=c[g+8>>2];g=Zea(d,1)|0;do{if((g|0)<1){j=0.0;k=0.0}else{if((wn(1,1,g)|0)==0){j=0.0;k=0.0;break}l=g+1|0;m=0.0;n=0.0;o=1;while(1){p=fga(d,1,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;r=+(l-o|0);s=(n+ +h[p>>3]/r)*e;p=fga(d,1,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;t=(m+ +h[p>>3]/r)*f;p=o+1|0;if((wn(p,1,g)|0)==0){j=s;k=t;break}else{m=t;n=s;o=p}}}}while(0);h[a>>3]=j-k;i=b;return}function Un(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0;b=i;i=i+16|0;d=b|0;e=b+8|0;Pn(d,0,c);c=+h[d>>3];Pn(e,0,273.15);Tn(a,0,8532448,c,+h[e>>3]);i=b;return}function Vn(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=i;l=d;d=i;i=i+12|0;i=i+7&-8;c[d>>2]=c[l>>2];c[d+4>>2]=c[l+4>>2];c[d+8>>2]=c[l+8>>2];l=g;g=i;i=i+12|0;i=i+7&-8;c[g>>2]=c[l>>2];c[g+4>>2]=c[l+4>>2];c[g+8>>2]=c[l+8>>2];l=Zea(g,1)|0;if(e<<24>>24!=0&f<<24>>24==0){f=Ofa(Ofa(Ofa(Ofa(8532136,j)|0,8532104)|0,b)|0,8531984)|0;oe[c[2166]&127](a,8816,f,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m}if((l|0)<1){i=k;return}f=(wn(1,1,l)|0)==0;if(!f){e=1;do{n=fga(g,1,(m=i,i=i+8|0,c[m>>2]=e,m)|0)|0;i=m;if(+h[n>>3]<0.0){n=Ofa(Ofa(Ofa(Ofa(8531936,b)|0,8531920)|0,j)|0,8531880)|0;o=Ofa(Ofa(n,Lfa(e,0,1)|0)|0,8531872)|0;n=fga(g,1,(m=i,i=i+8|0,c[m>>2]=e,m)|0)|0;i=m;p=Ofa(Ofa(o,Mfa(+h[n>>3],0,1,6)|0)|0,8531832)|0;oe[c[2166]&127](a,8792,p,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m}e=e+1|0;}while((wn(e,1,l)|0)!=0)}if((l|0)<=0){i=k;return}if(!(+V(+(+gga(g)+-1.0))>1.0e-10)){i=k;return}if(f){q=8568992}else{f=8568992;e=1;while(1){a=Ofa(f,8531816)|0;p=Ofa(Ofa(a,Lfa(e,0,1)|0)|0,8531808)|0;a=fga(g,1,(m=i,i=i+8|0,c[m>>2]=e,m)|0)|0;i=m;n=Ofa(Ofa(p,Mfa(+h[a>>3],0,1,6)|0)|0,8531800)|0;a=Jga(d,1,(m=i,i=i+8|0,c[m>>2]=e,m)|0)|0;i=m;p=Ofa(Ofa(n,c[a>>2]|0)|0,8531792)|0;a=e+1|0;if((wn(a,1,l)|0)==0){q=p;break}else{f=p;e=a}}}e=Ofa(Ofa(Ofa(Ofa(Ofa(8531752,b)|0,8531920)|0,j)|0,8531792)|0,8531704)|0;Kn(0,Ofa(Ofa(Ofa(e,Mfa(+gga(g),0,1,6)|0)|0,8531696)|0,q)|0);i=k;return}function Wn(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=+d;e=+e;f=+f;g=+g;var i=0.0;i=d*g;g=e*3.0+(i*-2.0-d*f);f=c/d;h[a>>3]=f*(i+f*(g+(-0.0-g-i+e)*f));return}function Xn(a,b,d,e,f,g,j,k){a=a|0;b=b|0;d=+d;e=+e;f=+f;g=+g;j=j|0;k=+k;var l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0;l=i;i=i+16|0;m=l|0;n=l+8|0;o=f>0.0;if(o){if(f<0.0){oe[c[2166]&127](b,8720,157328,(p=i,i=i+8|0,h[p>>3]=f,p)|0);i=p}q=+W(f)}else{q=0.0}do{if(g>0.0){if(g<0.0){oe[c[2166]&127](b,8720,151104,(p=i,i=i+8|0,h[p>>3]=g,p)|0);i=p}r=g/f*(-0.0-e);s=+W(g)}else{if(o){r=-0.0-e;s=0.0;break}else{t=0.0;u=a|0;h[u>>3]=t;i=l;return}}}while(0);if(!(r<d)){t=+W(+V(+d))*(-0.0-s);u=a|0;h[u>>3]=t;i=l;return}o=e>=0.0;if(!o){oe[c[2166]&127](b,8720,141640,(p=i,i=i+8|0,h[p>>3]=e,p)|0);i=p}g=+W(e);f=q*g;v=+V(+r);w=+W(v);x=w*(-0.0-s);if(!o){oe[c[2166]&127](b,8720,141640,(p=i,i=i+8|0,h[p>>3]=e,p)|0);i=p}y=q/(g*2.0);g=s/(w*2.0);if(j<<24>>24==0){w=r/e;z=((x*3.0-r*g)/w-(f*3.0-y*e)*w)/((1.0-w)*e*2.0)}else{z=k}k=8.75/e;if(k<0.0){oe[c[2166]&127](b,8720,130008,(p=i,i=i+8|0,h[p>>3]=k,p)|0);i=p}w=+rc(+z,+(+rc(+(q*+W(k)),+(s*+W(8.75/v)))*.9));v=d/e;if(d<0.0){d=e/f;Wn(n,0,v,r/e,x/f,g*d,w*d);A=+h[n>>3]}else{d=e/f;Wn(m,0,v,1.0,1.0,y*d,w*d);A=+h[m>>3]}t=f*A;u=a|0;h[u>>3]=t;i=l;return}function Yn(a,b,d,e,f,g,j,k){a=a|0;b=b|0;d=+d;e=+e;f=+f;g=+g;j=j|0;k=+k;var l=0,m=0,n=0,o=0.0,p=0.0,q=0;l=i;i=i+16|0;m=l|0;n=l+8|0;do{if(d<e){if(d>-0.0-e){if(f<g){Xn(n,b,-0.0-d,e,g,f,j,k);o=-0.0- +h[n>>3];break}else{Xn(m,b,d,e,f,g,j,k);o=+h[m>>3];break}}else{p=+V(+d)*g;if(p<0.0){oe[c[2166]&127](b,8720,120392,(q=i,i=i+8|0,h[q>>3]=p,q)|0);i=q}o=-0.0- +W(p);break}}else{p=d*f;if(p<0.0){oe[c[2166]&127](b,8720,126320,(q=i,i=i+8|0,h[q>>3]=p,q)|0);i=q}o=+W(p)}}while(0);h[a>>3]=o;i=l;return}function Zn(a,b,c,d,e,f,g,j){a=a|0;b=b|0;c=+c;d=+d;e=+e;f=+f;g=g|0;j=+j;var k=0,l=0,m=0.0,n=0.0,o=0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0;b=i;i=i+16|0;k=b|0;l=b+8|0;m=-0.0-d;if(!(c>m)){n=c*c*(-0.0-f);o=a|0;h[o>>3]=n;i=b;return}p=d*d;q=p*e;r=p*(-0.0-f);p=d*e;e=p*2.0;s=m*f*-2.0;if(g<<24>>24==0){t=m/d;u=((r*3.0-s*m)/t-(q*3.0-e*d)*t)/((1.0-t)*d*2.0)}else{u=j}j=p*2.23606797749979;p=+V(+m)*f*2.23606797749979;f=(j<p?j:p)*.9;p=f<u?f:u;if(c<0.0){Wn(l,0,c,m,r,s,p);n=+h[l>>3];o=a|0;h[o>>3]=n;i=b;return}else{Wn(k,0,c,d,q,e,p);n=+h[k>>3];o=a|0;h[o>>3]=n;i=b;return}}function _n(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=+d;e=+e;f=+f;var g=0.0,i=0.0;do{if(c>f){g=d}else{if(c<-0.0-f){g=e;break}if(f>0.0){i=c/f;g=(d+e)*.5+(e-d)/f*(i*i+-3.0)*c*.25;break}else{g=(d+e)*.5;break}}}while(0);h[a>>3]=g;return}function $n(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=+e;f=+f;var g=0,j=0.0,k=0.0,l=0,m=0.0,n=0.0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0;b=i;g=d;d=i;i=i+12|0;i=i+7&-8;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];c[d+8>>2]=c[g+8>>2];g=Zea(d,1)|0;do{if((g|0)<1){j=0.0;k=0.0}else{if((wn(1,1,g)|0)==0){j=0.0;k=0.0;break}l=g+1|0;m=0.0;n=0.0;o=1;while(1){p=fga(d,1,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;r=+(l-o|0);s=(n+ +h[p>>3]/r)*e;p=fga(d,1,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;t=(m+ +h[p>>3]/r)*f;p=o+1|0;if((wn(p,1,g)|0)==0){j=s;k=t;break}else{m=t;n=s;o=p}}}}while(0);h[a>>3]=j-k;i=b;return}function ao(a,b,d,e,f,g){a=a|0;b=b|0;d=+d;e=+e;f=f|0;g=g|0;var h=0;b=i;h=f;f=i;i=i+12|0;i=i+7&-8;c[f>>2]=c[h>>2];c[f+4>>2]=c[h+4>>2];c[f+8>>2]=c[h+8>>2];h=g;g=i;i=i+12|0;i=i+7&-8;c[g>>2]=c[h>>2];c[g+4>>2]=c[h+4>>2];c[g+8>>2]=c[h+8>>2];bo(a,0,d);i=b;return}function bo(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0;b=i;i=i+16|0;d=b|0;e=b+8|0;Pn(d,0,c);c=+h[d>>3];Pn(e,0,273.15);$n(a,0,8532448,c,+h[e>>3]);i=b;return}function co(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;b=i;i=i+8|0;e=d;d=i;i=i+16|0;c[d>>2]=c[e>>2];c[d+4>>2]=c[e+4>>2];c[d+8>>2]=c[e+8>>2];c[d+12>>2]=c[e+12>>2];e=b|0;Mn(e,0,8531680,1.0/+h[d>>3]);h[a>>3]=+da(+h[e>>3]);i=b;return}function eo(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;h[a>>3]=c;h[a+8>>3]=d;return}function fo(a,b,d,e,f,g,j,k,l){a=a|0;b=b|0;d=+d;e=+e;f=+f;g=+g;j=j|0;k=k|0;l=+l;var m=0,n=0,o=0,p=0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0;m=i;i=i+24|0;n=j;j=i;i=i+12|0;i=i+7&-8;c[j>>2]=c[n>>2];c[j+4>>2]=c[n+4>>2];c[j+8>>2]=c[n+8>>2];n=k;k=i;i=i+12|0;i=i+7&-8;c[k>>2]=c[n>>2];c[k+4>>2]=c[n+4>>2];c[k+8>>2]=c[n+8>>2];n=m|0;o=m+8|0;p=m+16|0;g=e+-1.0e-10;e=f+1.0e-10;ao(n,b,g,0.0,j,k);f=+h[n>>3]-d;ao(o,b,e,0.0,j,k);q=+h[o>>3]-d;if(f>0.0&q>0.0){r=3}else{if(f<0.0&q<0.0){r=3}}if((r|0)==3){r=Ofa(Ofa(Ofa(8532968,Mfa(g,0,1,6)|0)|0,8532960)|0,8532944)|0;o=Ofa(Ofa(Ofa(r,Mfa(e,0,1,6)|0)|0,8532960)|0,8532928)|0;r=Ofa(Ofa(Ofa(o,Mfa(d,0,1,6)|0)|0,8532960)|0,8532896)|0;o=Ofa(Ofa(Ofa(r,Mfa(f,0,1,6)|0)|0,8532960)|0,8532864)|0;Kn(0,Ofa(Ofa(Ofa(o,Mfa(q,0,1,6)|0)|0,8532960)|0,8532808)|0)}s=e-g;o=p|0;t=f;u=q;q=f;f=s;v=s;s=g;w=e;e=g;while(1){if(+V(+t)<+V(+u)){x=w;y=s;z=w;A=u;B=t;C=u}else{x=e;y=w;z=s;A=q;B=u;C=t}g=+V(+y)*2.0e-15+l;D=z*.5+y*-.5;if(+V(+D)<=g|B==0.0){break}do{if(+V(+f)<g){E=D;F=D}else{if(!(+V(+A)>+V(+B))){E=D;F=D;break}G=B/A;if(x==z){H=D*G*2.0;I=1.0-G}else{J=A/C;K=B/C;L=K+-1.0;H=G*(D*J*(J-K)*2.0-(y-x)*L);I=(J+-1.0)*(G+-1.0)*L}if(H>0.0){M=H;N=-0.0-I}else{M=-0.0-H;N=I}if(!(M*2.0<D*N*3.0- +V(+(g*N)))){E=D;F=D;break}if(!(M<+V(+(f*N*.5)))){E=D;F=D;break}E=M/N;F=v}}while(0);do{if(+V(+E)>g){O=E}else{if(D>0.0){O=g;break}O=-0.0-g}}while(0);g=y+O;ao(p,b,g,0.0,j,k);D=+h[o>>3]-d;if(!(D>0.0&C>0.0)){if(!(D<0.0&C<0.0)){t=C;u=D;q=B;f=F;v=E;s=z;w=g;e=y;continue}}L=g-y;t=B;u=D;q=B;f=L;v=L;s=y;w=g;e=y}h[a>>3]=y;i=m;return}function go(a,b,c){a=a|0;b=b|0;c=+c;h[a>>3]=c;return}function ho(a){a=a|0;var b=0;a=i;hfa(4,0,166912,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;hfa(4,0,177400,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;i=a;return}function io(a){a=a|0;var b=0;b=a+320|0;a=c[b>>2]|0;if((a|0)==0){return}JJa(a);c[b>>2]=0;return}function jo(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+40|0;d=b|0;e=b+16|0;f=b+32|0;ega(d,1,1.0,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=a+536|0;Ln(e,c[g>>2]|0);j=a+4|0;a=c[(c[c[j>>2]>>2]|0)+8>>2]|0;fo(f,c[g>>2]|0,+h[a+2504>>3],243.15,373.15,+h[a+2512>>3],d,e|0,1.0e-13);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6224>>3]=+h[f>>3];i=b;return}function ko(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+6072>>3]=+h[b+416>>3]+-1.0e5;return}function lo(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+40|0;d=b|0;e=b+16|0;f=b+32|0;ega(d,1,1.0,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=a+536|0;Ln(e,c[g>>2]|0);j=a+4|0;a=c[(c[c[j>>2]>>2]|0)+8>>2]|0;fo(f,c[g>>2]|0,+h[a+408>>3],243.15,373.15,+h[a+416>>3],d,e|0,1.0e-13);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6128>>3]=+h[f>>3];i=b;return}function mo(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0;d=i;i=i+96|0;e=d|0;f=d+16|0;g=d+32|0;j=d+48|0;k=d+64|0;l=d+72|0;m=d+80|0;n=d+88|0;o=b+536|0;p=b+4|0;q=c[(c[c[p>>2]>>2]|0)+8>>2]|0;eo(e,c[o>>2]|0,+h[q+6128>>3],+h[q+416>>3]);co(k,c[o>>2]|0,e|0);r=+h[k>>3];eo(f,c[o>>2]|0,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+6536>>3],1.0e5);co(l,c[o>>2]|0,f|0);s=r+ +h[l>>3];ega(g,3,-.002086443325811417,(l=i,i=i+16|0,h[l>>3]=-.4965561534455827,h[l+8>>3]=1053.332916738992,l)|0);i=l;Mn(m,c[o>>2]|0,g,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+6128>>3]+ -273.15);r=+h[m>>3];ega(j,3,-.002086443325811417,(l=i,i=i+16|0,h[l>>3]=-.4965561534455827,h[l+8>>3]=1053.332916738992,l)|0);i=l;Mn(n,c[o>>2]|0,j,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+6536>>3]+ -273.15);j=c[b+416>>2]|0;t=+h[j+3216>>3];u=(r+ +h[n>>3])*+h[j+3256>>3];j=c[c[p>>2]>>2]|0;n=c[j+8>>2]|0;r=u*+Yb(+(+h[n+6104>>3]),+.001);u=s*s;if(r!=0.0){v=u/r;w=n;x=v*6283185.307179586;y=+Yb(+t,+x);z=w+6112|0;h[z>>3]=y;i=d;return}if(u==0.0){v=u;w=n;x=v*6283185.307179586;y=+Yb(+t,+x);z=w+6112|0;h[z>>3]=y;i=d;return}s=u/+nfa(c[o>>2]|0,r,176680,8534776,+h[j>>3],(a[b+319|0]|0)!=0|0);v=s;w=c[(c[c[p>>2]>>2]|0)+8>>2]|0;x=v*6283185.307179586;y=+Yb(+t,+x);z=w+6112|0;h[z>>3]=y;i=d;return}function no(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+480>>3]=(+h[b+1480>>3]+ +h[b+1488>>3])*(+h[d+416>>3]- +h[d+1984>>3])*+h[b+4440>>3]*.5;return}function oo(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0.0;d=c[b+416>>2]|0;e=+h[d+4440>>3]*(+h[d+1480>>3]+ +h[d+1488>>3]);d=b+4|0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+480>>3];if(e!=0.0){j=i/e;k=g;l=j*-2.0;m=k+472|0;h[m>>3]=l;return}if(i==0.0){j=i;k=g;l=j*-2.0;m=k+472|0;h[m>>3]=l;return}n=i/+nfa(c[b+536>>2]|0,e,133528,8534768,+h[f>>3],(a[b+319|0]|0)!=0|0);j=n;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=j*-2.0;m=k+472|0;h[m>>3]=l;return}function po(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+2056>>3]=(+h[b+608>>3]+ +h[b+616>>3])*(+h[d+1984>>3]- +h[d+2040>>3])*+h[b+2584>>3]*.5;return}function qo(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0.0;d=c[b+416>>2]|0;e=+h[d+2584>>3]*(+h[d+608>>3]+ +h[d+616>>3]);d=b+4|0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+2056>>3];if(e!=0.0){j=i/e;k=g;l=j*-2.0;m=k+2048|0;h[m>>3]=l;return}if(i==0.0){j=i;k=g;l=j*-2.0;m=k+2048|0;h[m>>3]=l;return}n=i/+nfa(c[b+536>>2]|0,e,105288,8534760,+h[f>>3],(a[b+319|0]|0)!=0|0);j=n;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=j*-2.0;m=k+2048|0;h[m>>3]=l;return}function ro(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0.0,v=0,w=0.0;d=i;i=i+8|0;e=d|0;f=b+304|0;g=+h[f>>3];j=b+536|0;k=b+4|0;l=c[(c[c[k>>2]>>2]|0)+8>>2]|0;m=b+416|0;n=c[m>>2]|0;o=+h[n+2672>>3];xn(e,c[j>>2]|0,+h[l+2048>>3],+h[l+2080>>3],+h[l+2088>>3],o,o,+h[l+5456>>3],+h[l+5160>>3],+h[l+5056>>3]*+h[n+2640>>3],(+h[n+640>>3]+ +h[n+648>>3])*.5,+h[n+2632>>3],+h[n+2608>>3]);n=c[m>>2]|0;o=g*+h[e>>3]*+h[n+2584>>3];g=1.0- +h[f>>3];p=+h[n+2656>>3];f=c[c[k>>2]>>2]|0;e=c[f+8>>2]|0;q=+h[e+2048>>3]- +h[e+5056>>3]*+h[n+2640>>3]*+h[n+2664>>3];if(p!=0.0){r=q/p;s=e;t=g*r;u=o+t;v=s+2120|0;h[v>>3]=u;i=d;return}if(q==0.0){r=q;s=e;t=g*r;u=o+t;v=s+2120|0;h[v>>3]=u;i=d;return}w=q/+nfa(c[j>>2]|0,p,79824,8534752,+h[f>>3],(a[b+319|0]|0)!=0|0);r=w;s=c[(c[c[k>>2]>>2]|0)+8>>2]|0;t=g*r;u=o+t;v=s+2120|0;h[v>>3]=u;i=d;return}function so(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+736>>3]=(+h[b+1296>>3]+ +h[b+1304>>3])*(+h[d+1984>>3]- +h[d+2040>>3])*+h[b+4216>>3]*.5;return}function to(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0.0;d=c[b+416>>2]|0;e=+h[d+4216>>3]*(+h[d+1296>>3]+ +h[d+1304>>3]);d=b+4|0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+736>>3];if(e!=0.0){j=i/e;k=g;l=j*-2.0;m=k+728|0;h[m>>3]=l;return}if(i==0.0){j=i;k=g;l=j*-2.0;m=k+728|0;h[m>>3]=l;return}n=i/+nfa(c[b+536>>2]|0,e,58200,8534744,+h[f>>3],(a[b+319|0]|0)!=0|0);j=n;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=j*-2.0;m=k+728|0;h[m>>3]=l;return}function uo(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0.0,v=0,w=0.0;d=i;i=i+8|0;e=d|0;f=b+304|0;g=+h[f>>3];j=b+536|0;k=b+4|0;l=c[(c[c[k>>2]>>2]|0)+8>>2]|0;m=b+416|0;n=c[m>>2]|0;o=+h[n+4304>>3];xn(e,c[j>>2]|0,+h[l+728>>3],+h[l+760>>3],+h[l+768>>3],o,o,+h[l+5736>>3],+h[l+5120>>3],+h[l+5096>>3]*+h[n+4272>>3],(+h[n+1328>>3]+ +h[n+1336>>3])*.5,+h[n+4264>>3],+h[n+4240>>3]);n=c[m>>2]|0;o=g*+h[e>>3]*+h[n+4216>>3];g=1.0- +h[f>>3];p=+h[n+4288>>3];f=c[c[k>>2]>>2]|0;e=c[f+8>>2]|0;q=+h[e+728>>3]- +h[e+5096>>3]*+h[n+4272>>3]*+h[n+4296>>3];if(p!=0.0){r=q/p;s=e;t=g*r;u=o+t;v=s+800|0;h[v>>3]=u;i=d;return}if(q==0.0){r=q;s=e;t=g*r;u=o+t;v=s+800|0;h[v>>3]=u;i=d;return}w=q/+nfa(c[j>>2]|0,p,46032,8534736,+h[f>>3],(a[b+319|0]|0)!=0|0);r=w;s=c[(c[c[k>>2]>>2]|0)+8>>2]|0;t=g*r;u=o+t;v=s+800|0;h[v>>3]=u;i=d;return}function vo(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+40|0;d=b|0;e=b+16|0;f=b+32|0;ega(d,1,1.0,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=a+536|0;Ln(e,c[g>>2]|0);j=a+4|0;a=c[(c[c[j>>2]>>2]|0)+8>>2]|0;fo(f,c[g>>2]|0,+h[a+2768>>3],243.15,373.15,+h[a+2776>>3],d,e|0,1.0e-13);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6304>>3]=+h[f>>3];i=b;return}function wo(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+2848>>3]=(+h[b+200>>3]+ +h[b+208>>3])*(+h[d+2776>>3]- +h[d+2832>>3])*+h[b+1912>>3]*.5;return}function xo(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0.0;d=c[b+416>>2]|0;e=+h[d+1912>>3]*(+h[d+200>>3]+ +h[d+208>>3]);d=b+4|0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+2848>>3];if(e!=0.0){j=i/e;k=g;l=j*-2.0;m=k+2840|0;h[m>>3]=l;return}if(i==0.0){j=i;k=g;l=j*-2.0;m=k+2840|0;h[m>>3]=l;return}n=i/+nfa(c[b+536>>2]|0,e,39600,8534728,+h[f>>3],(a[b+319|0]|0)!=0|0);j=n;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=j*-2.0;m=k+2840|0;h[m>>3]=l;return}function yo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+6240>>3]=+h[b+2776>>3]- +h[b+1776>>3];return}function zo(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+40|0;d=b|0;e=b+16|0;f=b+32|0;ega(d,1,1.0,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=a+536|0;Ln(e,c[g>>2]|0);j=a+4|0;a=c[(c[c[j>>2]>>2]|0)+8>>2]|0;fo(f,c[g>>2]|0,+h[a+1768>>3],243.15,373.15,+h[a+1776>>3],d,e|0,1.0e-13);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6296>>3]=+h[f>>3];i=b;return}function Ao(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0;d=i;i=i+96|0;e=d|0;f=d+16|0;g=d+32|0;j=d+48|0;k=d+64|0;l=d+72|0;m=d+80|0;n=d+88|0;o=b+536|0;p=b+4|0;q=c[(c[c[p>>2]>>2]|0)+8>>2]|0;eo(e,c[o>>2]|0,+h[q+6304>>3],+h[q+2776>>3]);co(k,c[o>>2]|0,e|0);r=+h[k>>3];k=c[(c[c[p>>2]>>2]|0)+8>>2]|0;eo(f,c[o>>2]|0,+h[k+6296>>3],+h[k+1776>>3]);co(l,c[o>>2]|0,f|0);s=r+ +h[l>>3];ega(g,3,-.002086443325811417,(l=i,i=i+16|0,h[l>>3]=-.4965561534455827,h[l+8>>3]=1053.332916738992,l)|0);i=l;Mn(m,c[o>>2]|0,g,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+6304>>3]+ -273.15);r=+h[m>>3];ega(j,3,-.002086443325811417,(l=i,i=i+16|0,h[l>>3]=-.4965561534455827,h[l+8>>3]=1053.332916738992,l)|0);i=l;Mn(n,c[o>>2]|0,j,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+6296>>3]+ -273.15);j=c[b+416>>2]|0;t=+h[j+2768>>3];u=(r+ +h[n>>3])*+h[j+2808>>3];j=c[c[p>>2]>>2]|0;n=c[j+8>>2]|0;r=u*+Yb(+(+h[n+6272>>3]),+.001);u=s*s;if(r!=0.0){v=u/r;w=n;x=v*6283185.307179586;y=+Yb(+t,+x);z=w+6280|0;h[z>>3]=y;i=d;return}if(u==0.0){v=u;w=n;x=v*6283185.307179586;y=+Yb(+t,+x);z=w+6280|0;h[z>>3]=y;i=d;return}s=u/+nfa(c[o>>2]|0,r,32800,8534720,+h[j>>3],(a[b+319|0]|0)!=0|0);v=s;w=c[(c[c[p>>2]>>2]|0)+8>>2]|0;x=v*6283185.307179586;y=+Yb(+t,+x);z=w+6280|0;h[z>>3]=y;i=d;return}function Bo(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+1792>>3]=(+h[b+744>>3]+ +h[b+752>>3])*(+h[d+1496>>3]- +h[d+1776>>3])*+h[b+3032>>3]*.5;return}function Co(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0.0;d=c[b+416>>2]|0;e=+h[d+3032>>3]*(+h[d+744>>3]+ +h[d+752>>3]);d=b+4|0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+1792>>3];if(e!=0.0){j=i/e;k=g;l=j*-2.0;m=k+1784|0;h[m>>3]=l;return}if(i==0.0){j=i;k=g;l=j*-2.0;m=k+1784|0;h[m>>3]=l;return}n=i/+nfa(c[b+536>>2]|0,e,27416,8534712,+h[f>>3],(a[b+319|0]|0)!=0|0);j=n;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=j*-2.0;m=k+1784|0;h[m>>3]=l;return}function Do(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+1248>>3]=(+h[b+1024>>3]+ +h[b+1032>>3])*(+h[d+1984>>3]- +h[d+1496>>3])*+h[b+3768>>3]*.5;return}function Eo(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0.0;d=c[b+416>>2]|0;e=+h[d+3768>>3]*(+h[d+1024>>3]+ +h[d+1032>>3]);d=b+4|0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+1248>>3];if(e!=0.0){j=i/e;k=g;l=j*-2.0;m=k+1240|0;h[m>>3]=l;return}if(i==0.0){j=i;k=g;l=j*-2.0;m=k+1240|0;h[m>>3]=l;return}n=i/+nfa(c[b+536>>2]|0,e,6877768,8534704,+h[f>>3],(a[b+319|0]|0)!=0|0);j=n;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=j*-2.0;m=k+1240|0;h[m>>3]=l;return}function Fo(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0.0,v=0,w=0.0;d=i;i=i+8|0;e=d|0;f=b+304|0;g=+h[f>>3];j=b+536|0;k=b+4|0;l=c[(c[c[k>>2]>>2]|0)+8>>2]|0;m=b+416|0;n=c[m>>2]|0;o=+h[n+3856>>3];xn(e,c[j>>2]|0,+h[l+1240>>3],+h[l+1272>>3],+h[l+1280>>3],o,o,+h[l+5624>>3],+h[l+5136>>3],+h[l+5080>>3]*+h[n+3824>>3],(+h[n+1056>>3]+ +h[n+1064>>3])*.5,+h[n+3816>>3],+h[n+3792>>3]);n=c[m>>2]|0;o=g*+h[e>>3]*+h[n+3768>>3];g=1.0- +h[f>>3];p=+h[n+3840>>3];f=c[c[k>>2]>>2]|0;e=c[f+8>>2]|0;q=+h[e+1240>>3]- +h[e+5080>>3]*+h[n+3824>>3]*+h[n+3848>>3];if(p!=0.0){r=q/p;s=e;t=g*r;u=o+t;v=s+1312|0;h[v>>3]=u;i=d;return}if(q==0.0){r=q;s=e;t=g*r;u=o+t;v=s+1312|0;h[v>>3]=u;i=d;return}w=q/+nfa(c[j>>2]|0,p,178664,8534696,+h[f>>3],(a[b+319|0]|0)!=0|0);r=w;s=c[(c[c[k>>2]>>2]|0)+8>>2]|0;t=g*r;u=o+t;v=s+1312|0;h[v>>3]=u;i=d;return}function Go(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+1512>>3]=(+h[b+888>>3]+ +h[b+896>>3])*(+h[d+2040>>3]- +h[d+1496>>3])*+h[b+3544>>3]*.5;return}function Ho(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0.0;d=c[b+416>>2]|0;e=+h[d+3544>>3]*(+h[d+888>>3]+ +h[d+896>>3]);d=b+4|0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+1512>>3];if(e!=0.0){j=i/e;k=g;l=j*-2.0;m=k+1504|0;h[m>>3]=l;return}if(i==0.0){j=i;k=g;l=j*-2.0;m=k+1504|0;h[m>>3]=l;return}n=i/+nfa(c[b+536>>2]|0,e,172176,8534688,+h[f>>3],(a[b+319|0]|0)!=0|0);j=n;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=j*-2.0;m=k+1504|0;h[m>>3]=l;return}function Io(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0.0,v=0,w=0.0;d=i;i=i+8|0;e=d|0;f=b+304|0;g=+h[f>>3];j=b+536|0;k=b+4|0;l=c[(c[c[k>>2]>>2]|0)+8>>2]|0;m=b+416|0;n=c[m>>2]|0;o=+h[n+3632>>3];xn(e,c[j>>2]|0,+h[l+1504>>3],+h[l+1536>>3],+h[l+1544>>3],o,o,+h[l+5568>>3],+h[l+5144>>3],+h[l+5072>>3]*+h[n+3600>>3],(+h[n+920>>3]+ +h[n+928>>3])*.5,+h[n+3592>>3],+h[n+3568>>3]);n=c[m>>2]|0;o=g*+h[e>>3]*+h[n+3544>>3];g=1.0- +h[f>>3];p=+h[n+3616>>3];f=c[c[k>>2]>>2]|0;e=c[f+8>>2]|0;q=+h[e+1504>>3]- +h[e+5072>>3]*+h[n+3600>>3]*+h[n+3624>>3];if(p!=0.0){r=q/p;s=e;t=g*r;u=o+t;v=s+1576|0;h[v>>3]=u;i=d;return}if(q==0.0){r=q;s=e;t=g*r;u=o+t;v=s+1576|0;h[v>>3]=u;i=d;return}w=q/+nfa(c[j>>2]|0,p,166440,8534680,+h[f>>3],(a[b+319|0]|0)!=0|0);r=w;s=c[(c[c[k>>2]>>2]|0)+8>>2]|0;t=g*r;u=o+t;v=s+1576|0;h[v>>3]=u;i=d;return}function Jo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2912>>3]=+h[b+1576>>3]+ +h[b+1312>>3];return}function Ko(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+992>>3]=(+h[b+1160>>3]+ +h[b+1168>>3])*(+h[d+1984>>3]- +h[d+2040>>3])*+h[b+3992>>3]*.5;return}function Lo(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0.0;d=c[b+416>>2]|0;e=+h[d+3992>>3]*(+h[d+1160>>3]+ +h[d+1168>>3]);d=b+4|0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+992>>3];if(e!=0.0){j=i/e;k=g;l=j*-2.0;m=k+984|0;h[m>>3]=l;return}if(i==0.0){j=i;k=g;l=j*-2.0;m=k+984|0;h[m>>3]=l;return}n=i/+nfa(c[b+536>>2]|0,e,161848,8534672,+h[f>>3],(a[b+319|0]|0)!=0|0);j=n;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=j*-2.0;m=k+984|0;h[m>>3]=l;return}function Mo(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0.0,v=0,w=0.0;d=i;i=i+8|0;e=d|0;f=b+304|0;g=+h[f>>3];j=b+536|0;k=b+4|0;l=c[(c[c[k>>2]>>2]|0)+8>>2]|0;m=b+416|0;n=c[m>>2]|0;o=+h[n+4080>>3];xn(e,c[j>>2]|0,+h[l+984>>3],+h[l+1016>>3],+h[l+1024>>3],o,o,+h[l+5680>>3],+h[l+5128>>3],+h[l+5088>>3]*+h[n+4048>>3],(+h[n+1192>>3]+ +h[n+1200>>3])*.5,+h[n+4040>>3],+h[n+4016>>3]);n=c[m>>2]|0;o=g*+h[e>>3]*+h[n+3992>>3];g=1.0- +h[f>>3];p=+h[n+4064>>3];f=c[c[k>>2]>>2]|0;e=c[f+8>>2]|0;q=+h[e+984>>3]- +h[e+5088>>3]*+h[n+4048>>3]*+h[n+4072>>3];if(p!=0.0){r=q/p;s=e;t=g*r;u=o+t;v=s+1056|0;h[v>>3]=u;i=d;return}if(q==0.0){r=q;s=e;t=g*r;u=o+t;v=s+1056|0;h[v>>3]=u;i=d;return}w=q/+nfa(c[j>>2]|0,p,157768,8534664,+h[f>>3],(a[b+319|0]|0)!=0|0);r=w;s=c[(c[c[k>>2]>>2]|0)+8>>2]|0;t=g*r;u=o+t;v=s+1056|0;h[v>>3]=u;i=d;return}function No(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+544>>3]=+h[b+2120>>3]-(-0.0- +h[b+800>>3]- +h[b+1056>>3]- +h[b+1312>>3]);return}function Oo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2640>>3]=+h[b+2120>>3]+(+h[b+1056>>3]-(+h[b+1576>>3]- +h[b+800>>3]));return}function Po(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+2320>>3]=(+h[b+472>>3]+ +h[b+480>>3])*(+h[d+2040>>3]- +h[d+2304>>3])*+h[b+2360>>3]*.5;return}function Qo(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0.0;d=c[b+416>>2]|0;e=+h[d+2360>>3]*(+h[d+472>>3]+ +h[d+480>>3]);d=b+4|0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+2320>>3];if(e!=0.0){j=i/e;k=g;l=j*-2.0;m=k+2312|0;h[m>>3]=l;return}if(i==0.0){j=i;k=g;l=j*-2.0;m=k+2312|0;h[m>>3]=l;return}n=i/+nfa(c[b+536>>2]|0,e,153760,8534656,+h[f>>3],(a[b+319|0]|0)!=0|0);j=n;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=j*-2.0;m=k+2312|0;h[m>>3]=l;return}function Ro(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+40|0;d=b|0;e=b+16|0;f=b+32|0;ega(d,1,1.0,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=a+536|0;Ln(e,c[g>>2]|0);j=a+4|0;a=c[(c[c[j>>2]>>2]|0)+8>>2]|0;fo(f,c[g>>2]|0,+h[a+2296>>3],243.15,373.15,+h[a+2304>>3],d,e|0,1.0e-13);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6216>>3]=+h[f>>3];i=b;return}function So(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0;d=i;i=i+96|0;e=d|0;f=d+16|0;g=d+32|0;j=d+48|0;k=d+64|0;l=d+72|0;m=d+80|0;n=d+88|0;o=b+536|0;p=b+4|0;q=c[(c[c[p>>2]>>2]|0)+8>>2]|0;eo(e,c[o>>2]|0,+h[q+6224>>3],+h[q+2512>>3]);co(k,c[o>>2]|0,e|0);r=+h[k>>3];k=c[(c[c[p>>2]>>2]|0)+8>>2]|0;eo(f,c[o>>2]|0,+h[k+6216>>3],+h[k+2304>>3]);co(l,c[o>>2]|0,f|0);s=r+ +h[l>>3];ega(g,3,-.002086443325811417,(l=i,i=i+16|0,h[l>>3]=-.4965561534455827,h[l+8>>3]=1053.332916738992,l)|0);i=l;Mn(m,c[o>>2]|0,g,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+6224>>3]+ -273.15);r=+h[m>>3];ega(j,3,-.002086443325811417,(l=i,i=i+16|0,h[l>>3]=-.4965561534455827,h[l+8>>3]=1053.332916738992,l)|0);i=l;Mn(n,c[o>>2]|0,j,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+6216>>3]+ -273.15);j=c[b+416>>2]|0;t=+h[j+2880>>3];u=(r+ +h[n>>3])*+h[j+2920>>3];j=c[c[p>>2]>>2]|0;n=c[j+8>>2]|0;r=u*+Yb(+(+h[n+6192>>3]),+.001);u=s*s;if(r!=0.0){v=u/r;w=n;x=v*6283185.307179586;y=+Yb(+t,+x);z=w+6200|0;h[z>>3]=y;i=d;return}if(u==0.0){v=u;w=n;x=v*6283185.307179586;y=+Yb(+t,+x);z=w+6200|0;h[z>>3]=y;i=d;return}s=u/+nfa(c[o>>2]|0,r,150016,8534648,+h[j>>3],(a[b+319|0]|0)!=0|0);v=s;w=c[(c[c[p>>2]>>2]|0)+8>>2]|0;x=v*6283185.307179586;y=+Yb(+t,+x);z=w+6200|0;h[z>>3]=y;i=d;return}function To(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+6160>>3]=+h[b+2512>>3]- +h[b+2304>>3];return}function Uo(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+2576>>3]=(+h[b+336>>3]+ +h[b+344>>3])*(+h[d+2512>>3]- +h[d+2832>>3])*+h[b+2136>>3]*.5;return}function Vo(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0.0;d=c[b+416>>2]|0;e=+h[d+2136>>3]*(+h[d+336>>3]+ +h[d+344>>3]);d=b+4|0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+2576>>3];if(e!=0.0){j=i/e;k=g;l=j*-2.0;m=k+2568|0;h[m>>3]=l;return}if(i==0.0){j=i;k=g;l=j*-2.0;m=k+2568|0;h[m>>3]=l;return}n=i/+nfa(c[b+536>>2]|0,e,145920,8534640,+h[f>>3],(a[b+319|0]|0)!=0|0);j=n;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=j*-2.0;m=k+2568|0;h[m>>3]=l;return}function Wo(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+3096>>3]=(+h[b+64>>3]+ +h[b+72>>3])*(+h[d+2832>>3]+-5.0e5)*+h[b+1688>>3]*.5;return}function Xo(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0.0;d=c[b+416>>2]|0;e=+h[d+1688>>3]*(+h[d+64>>3]+ +h[d+72>>3]);d=b+4|0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+3096>>3];if(e!=0.0){j=i/e;k=g;l=j*-2.0;m=k+3088|0;h[m>>3]=l;return}if(i==0.0){j=i;k=g;l=j*-2.0;m=k+3088|0;h[m>>3]=l;return}n=i/+nfa(c[b+536>>2]|0,e,142e3,8534632,+h[f>>3],(a[b+319|0]|0)!=0|0);j=n;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=j*-2.0;m=k+3088|0;h[m>>3]=l;return}function Yo(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0.0,v=0,w=0.0;d=i;i=i+8|0;e=d|0;f=b+304|0;g=+h[f>>3];j=b+536|0;k=b+4|0;l=c[(c[c[k>>2]>>2]|0)+8>>2]|0;m=b+416|0;n=c[m>>2]|0;o=+h[n+1776>>3];xn(e,c[j>>2]|0,+h[l+3088>>3],+h[l+3120>>3],+h[l+3128>>3],o,o,+h[l+5232>>3],+h[l+5192>>3],+h[l+5024>>3]*+h[n+1744>>3],(+h[n+96>>3]+ +h[n+104>>3])*.5,+h[n+1736>>3],+h[n+1712>>3]);n=c[m>>2]|0;o=g*+h[e>>3]*+h[n+1688>>3];g=1.0- +h[f>>3];p=+h[n+1760>>3];f=c[c[k>>2]>>2]|0;e=c[f+8>>2]|0;q=+h[e+3088>>3]- +h[e+5024>>3]*+h[n+1744>>3]*+h[n+1768>>3];if(p!=0.0){r=q/p;s=e;t=g*r;u=o+t;v=s+3160|0;h[v>>3]=u;i=d;return}if(q==0.0){r=q;s=e;t=g*r;u=o+t;v=s+3160|0;h[v>>3]=u;i=d;return}w=q/+nfa(c[j>>2]|0,p,138432,8534624,+h[f>>3],(a[b+319|0]|0)!=0|0);r=w;s=c[(c[c[k>>2]>>2]|0)+8>>2]|0;t=g*r;u=o+t;v=s+3160|0;h[v>>3]=u;i=d;return}function Zo(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=c[a+8>>2]|0;a=c[b+16>>2]|0;h[a>>3]=+h[d+35248>>3];e=c[b+8>>2]|0;h[e>>3]=+h[d+35224>>3];f=c[b+12>>2]|0;h[f>>3]=+h[d+35232>>3];h[a+8>>3]=+h[d+32336>>3];h[e+8>>3]=+h[d+32312>>3];h[f+8>>3]=+h[d+32320>>3];h[a+16>>3]=+h[d+24944>>3];h[e+16>>3]=+h[d+24920>>3];h[f+16>>3]=+h[d+24928>>3];h[a+24>>3]=+h[d+38944>>3];h[e+24>>3]=+h[d+38920>>3];h[f+24>>3]=+h[d+38928>>3];h[a+32>>3]=+h[d+5904>>3];h[e+32>>3]=+h[d+5880>>3];h[f+32>>3]=+h[d+5888>>3];h[a+40>>3]=+h[d+27856>>3];h[e+40>>3]=+h[d+27832>>3];h[f+40>>3]=+h[d+27840>>3];h[a+48>>3]=+h[d+21024>>3];h[e+48>>3]=+h[d+21e3>>3];h[f+48>>3]=+h[d+21008>>3];h[a+56>>3]=+h[d+28640>>3];h[e+56>>3]=+h[d+28616>>3];h[f+56>>3]=+h[d+28624>>3];h[a+64>>3]=+h[d+39728>>3];h[e+64>>3]=+h[d+39704>>3];h[f+64>>3]=+h[d+39712>>3];return}function _o(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0,P=0.0,Q=0,R=0.0,S=0.0,T=0,U=0,V=0.0,W=0,X=0.0,Y=0,Z=0.0,_=0,$=0.0,aa=0,ba=0.0,ca=0,da=0.0,ea=0,fa=0.0,ga=0,ha=0,ia=0.0,ja=0,ka=0.0,la=0.0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0;f=i;i=i+208|0;g=f|0;j=f+16|0;k=f+32|0;l=f+48|0;m=f+64|0;n=f+80|0;o=f+96|0;p=f+104|0;q=f+112|0;r=f+120|0;s=f+128|0;t=f+136|0;u=f+144|0;v=f+152|0;w=f+160|0;x=f+168|0;y=f+176|0;z=f+184|0;A=f+192|0;B=f+200|0;C=b;D=b+4|0;E=c[(c[c[D>>2]>>2]|0)+8>>2]|0;h[E+2512>>3]=+h[d>>3];h[E+2304>>3]=+h[d+8>>3];h[E+1776>>3]=+h[d+16>>3];h[E+2776>>3]=+h[d+24>>3];h[E+416>>3]=+h[d+32>>3];h[E+1984>>3]=+h[d+40>>3];h[E+1496>>3]=+h[d+48>>3];h[E+2040>>3]=+h[d+56>>3];h[E+2832>>3]=+h[d+64>>3];jo(C);ko(C);lo(C);mo(C);no(C);oo(C);po(C);qo(C);ro(C);so(C);to(C);uo(C);vo(C);wo(C);xo(C);yo(C);zo(C);Ao(C);Bo(C);Co(C);Do(C);Eo(C);Fo(C);Go(C);Ho(C);Io(C);Jo(C);Ko(C);Lo(C);Mo(C);No(C);Oo(C);Po(C);Qo(C);Ro(C);So(C);To(C);Uo(C);Vo(C);Wo(C);Xo(C);Yo(C);C=c[(c[c[D>>2]>>2]|0)+8>>2]|0;h[e>>3]=+h[C+2912>>3]+(+h[C+2640>>3]- +h[C+3160>>3]);C=b+304|0;F=+h[C>>3];ega(g,3,-.002086443325811417,(d=i,i=i+16|0,h[d>>3]=-.4965561534455827,h[d+8>>3]=1053.332916738992,d)|0);i=d;E=b+536|0;Mn(o,c[E>>2]|0,g,+h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+6224>>3]+ -273.15);G=+h[o>>3];ega(j,3,-.002086443325811417,(d=i,i=i+16|0,h[d>>3]=-.4965561534455827,h[d+8>>3]=1053.332916738992,d)|0);i=d;Mn(p,c[E>>2]|0,j,+h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+6216>>3]+ -273.15);j=c[(c[c[D>>2]>>2]|0)+8>>2]|0;Yn(q,c[E>>2]|0,+h[j+6160>>3],+h[j+6200>>3],G,+h[p>>3],0,1.0);G=+h[q>>3];q=c[c[D>>2]>>2]|0;p=c[q+8>>2]|0;H=+h[p+2640>>3];I=F+-1.0;J=+h[p+6192>>3];j=b+416|0;o=c[j>>2]|0;K=+h[o+2848>>3];L=+h[o+2840>>3];M=+h[p+6160>>3];do{if(L!=0.0){N=M/L;O=p;P=J;Q=o}else{if(M==0.0){N=M;O=p;P=J;Q=o;break}R=M/+nfa(c[E>>2]|0,L,134536,8096,+h[q>>3],(a[b+319|0]|0)!=0|0);g=c[(c[c[D>>2]>>2]|0)+8>>2]|0;N=R;O=g;P=+h[g+6192>>3];Q=c[j>>2]|0}}while(0);h[e+8>>3]=H+(I*J*K*N+P*G*+h[Q+2920>>3]*(-0.0-F));F=+h[C>>3];G=+h[Q+3120>>3];xn(r,c[E>>2]|0,+h[O+1784>>3],+h[O+1816>>3],+h[O+1824>>3],G,G,+h[O+5512>>3],+h[O+5152>>3],+h[O+5064>>3]*+h[Q+3088>>3],(+h[Q+776>>3]+ +h[Q+784>>3])*.5,+h[Q+3080>>3],+h[Q+3056>>3]);G=+h[r>>3];r=c[c[D>>2]>>2]|0;Q=c[r+8>>2]|0;P=+h[Q+2912>>3];N=F+-1.0;O=c[j>>2]|0;K=+h[O+3104>>3];J=+h[Q+1784>>3]- +h[Q+5064>>3]*+h[O+3088>>3]*+h[O+3112>>3];do{if(K!=0.0){S=J/K;T=O;U=Q}else{if(J==0.0){S=J;T=O;U=Q;break}I=J/+nfa(c[E>>2]|0,K,130424,8096,+h[r>>3],(a[b+319|0]|0)!=0|0);S=I;T=c[j>>2]|0;U=c[(c[c[D>>2]>>2]|0)+8>>2]|0}}while(0);h[e+16>>3]=P+(N*S+G*+h[T+3032>>3]*(-0.0-F));F=+h[C>>3];G=+h[T+4528>>3];xn(s,c[E>>2]|0,+h[U+472>>3],+h[U+504>>3],+h[U+512>>3],G,G,+h[U+5792>>3],+h[U+5112>>3],+h[U+5104>>3]*+h[T+4496>>3],(+h[T+1512>>3]+ +h[T+1520>>3])*.5,+h[T+4488>>3],+h[T+4464>>3]);G=+h[s>>3];s=c[c[D>>2]>>2]|0;T=c[s+8>>2]|0;S=+h[T+544>>3];N=F+-1.0;U=c[j>>2]|0;P=+h[U+4512>>3];K=+h[T+472>>3]- +h[T+5104>>3]*+h[U+4496>>3]*+h[U+4520>>3];do{if(P!=0.0){V=K/P;W=U}else{if(K==0.0){V=K;W=U;break}J=K/+nfa(c[E>>2]|0,P,126840,8096,+h[s>>3],(a[b+319|0]|0)!=0|0);V=J;W=c[j>>2]|0}}while(0);h[e+24>>3]=S+(N*V+G*+h[W+4440>>3]*(-0.0-F));F=+h[C>>3];ega(k,3,-.002086443325811417,(d=i,i=i+16|0,h[d>>3]=-.4965561534455827,h[d+8>>3]=1053.332916738992,d)|0);i=d;Mn(t,c[E>>2]|0,k,+h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+6128>>3]+ -273.15);G=+h[t>>3];ega(l,3,-.002086443325811417,(d=i,i=i+16|0,h[d>>3]=-.4965561534455827,h[d+8>>3]=1053.332916738992,d)|0);i=d;Mn(u,c[E>>2]|0,l,+h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+6536>>3]+ -273.15);l=c[(c[c[D>>2]>>2]|0)+8>>2]|0;Yn(v,c[E>>2]|0,+h[l+6072>>3],+h[l+6112>>3],G,+h[u>>3],0,1.0);G=+h[v>>3];v=c[c[D>>2]>>2]|0;u=c[v+8>>2]|0;V=+h[u+544>>3];N=F+-1.0;S=+h[u+6104>>3];l=c[j>>2]|0;P=+h[l+3184>>3];K=+h[l+3176>>3];J=+h[u+6072>>3];do{if(K!=0.0){X=J/K;Y=u;Z=S;_=l}else{if(J==0.0){X=J;Y=u;Z=S;_=l;break}I=J/+nfa(c[E>>2]|0,K,123384,8096,+h[v>>3],(a[b+319|0]|0)!=0|0);t=c[(c[c[D>>2]>>2]|0)+8>>2]|0;X=I;Y=t;Z=+h[t+6104>>3];_=c[j>>2]|0}}while(0);h[e+32>>3]=V+(N*S*P*X+Z*G*+h[_+3256>>3]*(-0.0-F));F=+h[C>>3];G=+h[_+2e3>>3];xn(w,c[E>>2]|0,+h[Y+2840>>3],+h[Y+2872>>3],+h[Y+2880>>3],G,G,+h[Y+5288>>3],+h[Y+5184>>3],+h[Y+5032>>3]*+h[_+1968>>3],(+h[_+232>>3]+ +h[_+240>>3])*.5,+h[_+1960>>3],+h[_+1936>>3]);G=+h[w>>3];w=c[c[D>>2]>>2]|0;_=c[w+8>>2]|0;Z=+h[_+2912>>3];X=F+-1.0;Y=c[j>>2]|0;P=+h[Y+1984>>3];S=+h[_+2840>>3]- +h[_+5032>>3]*+h[Y+1968>>3]*+h[Y+1992>>3];do{if(P!=0.0){$=S/P;aa=Y}else{if(S==0.0){$=S;aa=Y;break}N=S/+nfa(c[E>>2]|0,P,120624,8096,+h[w>>3],(a[b+319|0]|0)!=0|0);$=N;aa=c[j>>2]|0}}while(0);h[e+40>>3]=Z+(X*$+G*+h[aa+1912>>3]*(-0.0-F));F=+h[C>>3];ega(m,3,-.002086443325811417,(d=i,i=i+16|0,h[d>>3]=-.4965561534455827,h[d+8>>3]=1053.332916738992,d)|0);i=d;Mn(x,c[E>>2]|0,m,+h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+6304>>3]+ -273.15);G=+h[x>>3];ega(n,3,-.002086443325811417,(d=i,i=i+16|0,h[d>>3]=-.4965561534455827,h[d+8>>3]=1053.332916738992,d)|0);i=d;Mn(y,c[E>>2]|0,n,+h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+6296>>3]+ -273.15);n=c[(c[c[D>>2]>>2]|0)+8>>2]|0;Yn(z,c[E>>2]|0,+h[n+6240>>3],+h[n+6280>>3],G,+h[y>>3],0,1.0);G=+h[z>>3];z=c[c[D>>2]>>2]|0;y=c[z+8>>2]|0;$=+h[y+2912>>3];X=F+-1.0;Z=+h[y+6272>>3];n=c[j>>2]|0;P=+h[n+2736>>3];S=+h[n+2728>>3];N=+h[y+6240>>3];do{if(S!=0.0){ba=N/S;ca=y;da=Z;ea=n}else{if(N==0.0){ba=N;ca=y;da=Z;ea=n;break}V=N/+nfa(c[E>>2]|0,S,118040,8096,+h[z>>3],(a[b+319|0]|0)!=0|0);d=c[(c[c[D>>2]>>2]|0)+8>>2]|0;ba=V;ca=d;da=+h[d+6272>>3];ea=c[j>>2]|0}}while(0);h[e+48>>3]=$+(X*Z*P*ba+da*G*+h[ea+2808>>3]*(-0.0-F));F=+h[C>>3];G=+h[ea+2448>>3];xn(A,c[E>>2]|0,+h[ca+2312>>3],+h[ca+2344>>3],+h[ca+2352>>3],G,G,+h[ca+5400>>3],+h[ca+5168>>3],+h[ca+5048>>3]*+h[ea+2416>>3],(+h[ea+504>>3]+ +h[ea+512>>3])*.5,+h[ea+2408>>3],+h[ea+2384>>3]);G=+h[A>>3];A=c[c[D>>2]>>2]|0;ea=c[A+8>>2]|0;da=+h[ea+2640>>3];ba=F+-1.0;ca=c[j>>2]|0;P=+h[ca+2432>>3];Z=+h[ea+2312>>3]- +h[ea+5048>>3]*+h[ca+2416>>3]*+h[ca+2440>>3];do{if(P!=0.0){fa=Z/P;ga=ca;ha=ea}else{if(Z==0.0){fa=Z;ga=ca;ha=ea;break}X=Z/+nfa(c[E>>2]|0,P,115648,8096,+h[A>>3],(a[b+319|0]|0)!=0|0);fa=X;ga=c[j>>2]|0;ha=c[(c[c[D>>2]>>2]|0)+8>>2]|0}}while(0);h[e+56>>3]=da+(ba*fa+G*+h[ga+2360>>3]*(-0.0-F));F=+h[C>>3];G=+h[ga+2224>>3];xn(B,c[E>>2]|0,+h[ha+2568>>3],+h[ha+2600>>3],+h[ha+2608>>3],G,G,+h[ha+5344>>3],+h[ha+5176>>3],+h[ha+5040>>3]*+h[ga+2192>>3],(+h[ga+368>>3]+ +h[ga+376>>3])*.5,+h[ga+2184>>3],+h[ga+2160>>3]);G=+h[B>>3];B=c[c[D>>2]>>2]|0;D=c[B+8>>2]|0;fa=+h[D+2640>>3];ba=F+-1.0;ga=c[j>>2]|0;da=+h[ga+2208>>3];P=+h[D+2568>>3]- +h[D+5040>>3]*+h[ga+2192>>3]*+h[ga+2216>>3];if(da!=0.0){ia=P/da;ja=ga;ka=ba*ia;la=-0.0-F;ma=ja+2136|0;na=+h[ma>>3];oa=G*na;pa=oa*la;qa=ka+pa;ra=fa+qa;sa=e+64|0;h[sa>>3]=ra;i=f;return}if(P==0.0){ia=P;ja=ga;ka=ba*ia;la=-0.0-F;ma=ja+2136|0;na=+h[ma>>3];oa=G*na;pa=oa*la;qa=ka+pa;ra=fa+qa;sa=e+64|0;h[sa>>3]=ra;i=f;return}Z=P/+nfa(c[E>>2]|0,da,113360,8096,+h[B>>3],(a[b+319|0]|0)!=0|0);ia=Z;ja=c[j>>2]|0;ka=ba*ia;la=-0.0-F;ma=ja+2136|0;na=+h[ma>>3];oa=G*na;pa=oa*la;qa=ka+pa;ra=fa+qa;sa=e+64|0;h[sa>>3]=ra;i=f;return}function $o(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+128>>3],+h[f+304>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4016>>3]=+h[d>>3];i=b;return}function ap(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3800>>3]=+h[b+304>>3];return}function bp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+2472>>3],+h[g+3800>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4024>>3]=+h[e>>3];i=b;return}function cp(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2496>>3];i=+h[f+4016>>3];j=g*g;g=+h[f+4024>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,110760,8534560,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3272>>3]=i+k*101300.0;return}function dp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3496>>3]=+h[b+5336>>3]*+h[b+4024>>3];return}function ep(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+4336>>3];h[c[b+8>>2]>>3]=+h[d+4312>>3];h[c[b+12>>2]>>3]=+h[d+4320>>3];return}function fp(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+304>>3]=+h[b>>3];$o(e);ap(e);bp(e);cp(e);dp(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3480>>3]+(+h[e+2488>>3]*(-0.0- +h[e+3496>>3])+ +h[e+3272>>3]*(-0.0- +h[e+2688>>3]));return}function gp(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+120>>3],+h[f+296>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4032>>3]=+h[d>>3];i=b;return}function hp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3808>>3]=+h[b+296>>3];return}function ip(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+2264>>3],+h[g+3808>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4040>>3]=+h[e>>3];i=b;return}function jp(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2288>>3];i=+h[f+4032>>3];j=g*g;g=+h[f+4040>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,108432,8534520,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3280>>3]=i+k*101300.0;return}function kp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3520>>3]=+h[b+5384>>3]*+h[b+4040>>3];return}function lp(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+4224>>3];h[c[b+8>>2]>>3]=+h[d+4200>>3];h[c[b+12>>2]>>3]=+h[d+4208>>3];return}function mp(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+296>>3]=+h[b>>3];gp(e);hp(e);ip(e);jp(e);kp(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3504>>3]+(+h[e+2280>>3]*(-0.0- +h[e+3520>>3])+ +h[e+3280>>3]*(-0.0- +h[e+2416>>3]));return}function np(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f>>3],+h[f+176>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4272>>3]=+h[d>>3];i=b;return}function op(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3928>>3]=+h[b+176>>3];return}function pp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+376>>3],+h[g+3928>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4280>>3]=+h[e>>3];i=b;return}function qp(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+400>>3];i=+h[f+4272>>3];j=g*g;g=+h[f+4280>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,106272,8534488,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3400>>3]=i+k*101300.0;return}function rp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3752>>3]=+h[b+5784>>3]*+h[b+4280>>3];return}function sp(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+2544>>3];h[c[b+8>>2]>>3]=+h[d+2520>>3];h[c[b+12>>2]>>3]=+h[d+2528>>3];return}function tp(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+176>>3]=+h[b>>3];np(e);op(e);pp(e);qp(e);rp(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3736>>3]+(+h[e+392>>3]*(-0.0- +h[e+3752>>3])+ +h[e+3400>>3]*(-0.0- +h[e+592>>3]));return}function up(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+688>>3],+h[g+3904>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4232>>3]=+h[e>>3];i=b;return}function vp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3712>>3]=+h[b+5720>>3]*+h[b+4232>>3];return}function wp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+200>>3]=+h[b+3904>>3];return}function xp(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+24>>3],+h[f+200>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4224>>3]=+h[d>>3];i=b;return}function yp(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+712>>3];i=+h[f+4224>>3];j=g*g;g=+h[f+4232>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,102944,8534432,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3376>>3]=i+k*101300.0;return}function zp(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+54736>>3];h[c[b+8>>2]>>3]=+h[d+54712>>3];h[c[b+12>>2]>>3]=+h[d+54720>>3];return}function Ap(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3904>>3]=+h[b>>3];up(e);vp(e);wp(e);xp(e);yp(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3696>>3]+(+h[e+704>>3]*(-0.0- +h[e+3712>>3])+ +h[e+3376>>3]*(-0.0- +h[e+840>>3]));return}function Bp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+944>>3],+h[g+3888>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4200>>3]=+h[e>>3];i=b;return}function Cp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3680>>3]=+h[b+5664>>3]*+h[b+4200>>3];return}function Dp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+216>>3]=+h[b+3888>>3];return}function Ep(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+40>>3],+h[f+216>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4192>>3]=+h[d>>3];i=b;return}function Fp(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+968>>3];i=+h[f+4192>>3];j=g*g;g=+h[f+4200>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,100552,8534408,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3360>>3]=i+k*101300.0;return}function Gp(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+54512>>3];h[c[b+8>>2]>>3]=+h[d+54488>>3];h[c[b+12>>2]>>3]=+h[d+54496>>3];return}function Hp(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3888>>3]=+h[b>>3];Bp(e);Cp(e);Dp(e);Ep(e);Fp(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3664>>3]+(+h[e+960>>3]*(-0.0- +h[e+3680>>3])+ +h[e+3360>>3]*(-0.0- +h[e+1096>>3]));return}function Ip(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+2e3>>3],+h[g+3824>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4072>>3]=+h[e>>3];i=b;return}function Jp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3552>>3]=+h[b+5440>>3]*+h[b+4072>>3];return}function Kp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+280>>3]=+h[b+3824>>3];return}function Lp(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+104>>3],+h[f+280>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4064>>3]=+h[d>>3];i=b;return}function Mp(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2024>>3];i=+h[f+4064>>3];j=g*g;g=+h[f+4072>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,97768,8534360,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3296>>3]=i+k*101300.0;return}function Np(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+53616>>3];h[c[b+8>>2]>>3]=+h[d+53592>>3];h[c[b+12>>2]>>3]=+h[d+53600>>3];return}function Op(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3824>>3]=+h[b>>3];Ip(e);Jp(e);Kp(e);Lp(e);Mp(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3536>>3]+(+h[e+2016>>3]*(-0.0- +h[e+3552>>3])+ +h[e+3296>>3]*(-0.0- +h[e+2160>>3]));return}function Pp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+2216>>3],+h[g+3816>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4056>>3]=+h[e>>3];i=b;return}function Qp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3528>>3]=+h[b+5392>>3]*+h[b+4056>>3];return}function Rp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+288>>3]=+h[b+3816>>3];return}function Sp(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+112>>3],+h[f+288>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4048>>3]=+h[d>>3];i=b;return}function Tp(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2240>>3];i=+h[f+4048>>3];j=g*g;g=+h[f+4056>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,95296,8534328,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3288>>3]=i+k*101300.0;return}function Up(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+53504>>3];h[c[b+8>>2]>>3]=+h[d+53480>>3];h[c[b+12>>2]>>3]=+h[d+53488>>3];return}function Vp(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3816>>3]=+h[b>>3];Pp(e);Qp(e);Rp(e);Sp(e);Tp(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3512>>3]+(+h[e+2232>>3]*(-0.0- +h[e+3528>>3])+ +h[e+3288>>3]*(-0.0- +h[e+2424>>3]));return}function Wp(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+8>>3],+h[f+184>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4256>>3]=+h[d>>3];i=b;return}function Xp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3920>>3]=+h[b+184>>3];return}function Yp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+432>>3],+h[g+3920>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4264>>3]=+h[e>>3];i=b;return}function Zp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3744>>3]=+h[b+5776>>3]*+h[b+4264>>3];return}function _p(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+456>>3];i=+h[f+4256>>3];j=g*g;g=+h[f+4264>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,92760,8534304,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3392>>3]=i+k*101300.0;return}function $p(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+2656>>3];h[c[b+8>>2]>>3]=+h[d+2632>>3];h[c[b+12>>2]>>3]=+h[d+2640>>3];return}function aq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+184>>3]=+h[b>>3];Wp(e);Xp(e);Yp(e);Zp(e);_p(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3728>>3]+(+h[e+448>>3]*(-0.0- +h[e+3744>>3])+ +h[e+3392>>3]*(-0.0- +h[e+584>>3]));return}function bq(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+16>>3],+h[f+192>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4240>>3]=+h[d>>3];i=b;return}function cq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3912>>3]=+h[b+192>>3];return}function dq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+640>>3],+h[g+3912>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4248>>3]=+h[e>>3];i=b;return}function eq(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+664>>3];i=+h[f+4240>>3];j=g*g;g=+h[f+4248>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,90640,8534264,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3384>>3]=i+k*101300.0;return}function fq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3720>>3]=+h[b+5728>>3]*+h[b+4248>>3];return}function gq(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+2768>>3];h[c[b+8>>2]>>3]=+h[d+2744>>3];h[c[b+12>>2]>>3]=+h[d+2752>>3];return}function hq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+192>>3]=+h[b>>3];bq(e);cq(e);dq(e);eq(e);fq(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3704>>3]+(+h[e+656>>3]*(-0.0- +h[e+3720>>3])+ +h[e+3384>>3]*(-0.0- +h[e+848>>3]));return}function iq(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+32>>3],+h[f+208>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4208>>3]=+h[d>>3];i=b;return}function jq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3896>>3]=+h[b+208>>3];return}function kq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+896>>3],+h[g+3896>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4216>>3]=+h[e>>3];i=b;return}function lq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3688>>3]=+h[b+5672>>3]*+h[b+4216>>3];return}function mq(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+920>>3];i=+h[f+4208>>3];j=g*g;g=+h[f+4216>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,87960,8534248,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3368>>3]=i+k*101300.0;return}function nq(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+2992>>3];h[c[b+8>>2]>>3]=+h[d+2968>>3];h[c[b+12>>2]>>3]=+h[d+2976>>3];return}function oq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+208>>3]=+h[b>>3];iq(e);jq(e);kq(e);lq(e);mq(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3672>>3]+(+h[e+912>>3]*(-0.0- +h[e+3688>>3])+ +h[e+3368>>3]*(-0.0- +h[e+1104>>3]));return}function pq(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+96>>3],+h[f+272>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4080>>3]=+h[d>>3];i=b;return}function qq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3832>>3]=+h[b+272>>3];return}function rq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+1944>>3],+h[g+3832>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4088>>3]=+h[e>>3];i=b;return}function sq(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1968>>3];i=+h[f+4080>>3];j=g*g;g=+h[f+4088>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,85520,8534208,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3304>>3]=i+k*101300.0;return}function tq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3560>>3]=+h[b+5448>>3]*+h[b+4088>>3];return}function uq(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+3888>>3];h[c[b+8>>2]>>3]=+h[d+3864>>3];h[c[b+12>>2]>>3]=+h[d+3872>>3];return}function vq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+272>>3]=+h[b>>3];pq(e);qq(e);rq(e);sq(e);tq(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3544>>3]+(+h[e+1960>>3]*(-0.0- +h[e+3560>>3])+ +h[e+3304>>3]*(-0.0- +h[e+2168>>3]));return}function wq(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+48>>3],+h[f+224>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4176>>3]=+h[d>>3];i=b;return}function xq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3880>>3]=+h[b+224>>3];return}function yq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+1152>>3],+h[g+3880>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4184>>3]=+h[e>>3];i=b;return}function zq(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1176>>3];i=+h[f+4176>>3];j=g*g;g=+h[f+4184>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,83592,8534184,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3352>>3]=i+k*101300.0;return}function Aq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3656>>3]=+h[b+5616>>3]*+h[b+4184>>3];return}function Bq(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+3216>>3];h[c[b+8>>2]>>3]=+h[d+3192>>3];h[c[b+12>>2]>>3]=+h[d+3200>>3];return}function Cq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+224>>3]=+h[b>>3];wq(e);xq(e);yq(e);zq(e);Aq(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3640>>3]+(+h[e+1168>>3]*(-0.0- +h[e+3656>>3])+ +h[e+3352>>3]*(-0.0- +h[e+1360>>3]));return}function Dq(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+64>>3],+h[f+240>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4144>>3]=+h[d>>3];i=b;return}function Eq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3864>>3]=+h[b+240>>3];return}function Fq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+1408>>3],+h[g+3864>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4152>>3]=+h[e>>3];i=b;return}function Gq(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1432>>3];i=+h[f+4144>>3];j=g*g;g=+h[f+4152>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,80776,8534176,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3336>>3]=i+k*101300.0;return}function Hq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3624>>3]=+h[b+5560>>3]*+h[b+4152>>3];return}function Iq(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+3440>>3];h[c[b+8>>2]>>3]=+h[d+3416>>3];h[c[b+12>>2]>>3]=+h[d+3424>>3];return}function Jq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+240>>3]=+h[b>>3];Dq(e);Eq(e);Fq(e);Gq(e);Hq(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3608>>3]+(+h[e+1424>>3]*(-0.0- +h[e+3624>>3])+ +h[e+3336>>3]*(-0.0- +h[e+1640>>3]));return}function Kq(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+56>>3],+h[f+232>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4160>>3]=+h[d>>3];i=b;return}function Lq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3872>>3]=+h[b+232>>3];return}function Mq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+1200>>3],+h[g+3872>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4168>>3]=+h[e>>3];i=b;return}function Nq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3648>>3]=+h[b+5608>>3]*+h[b+4168>>3];return}function Oq(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1224>>3];i=+h[f+4160>>3];j=g*g;g=+h[f+4168>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,77664,8534144,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3344>>3]=i+k*101300.0;return}function Pq(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+3328>>3];h[c[b+8>>2]>>3]=+h[d+3304>>3];h[c[b+12>>2]>>3]=+h[d+3312>>3];return}function Qq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+232>>3]=+h[b>>3];Kq(e);Lq(e);Mq(e);Nq(e);Oq(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3632>>3]+(+h[e+1216>>3]*(-0.0- +h[e+3648>>3])+ +h[e+3344>>3]*(-0.0- +h[e+1352>>3]));return}function Rq(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+72>>3],+h[f+248>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4128>>3]=+h[d>>3];i=b;return}function Sq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3856>>3]=+h[b+248>>3];return}function Tq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+1456>>3],+h[g+3856>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4136>>3]=+h[e>>3];i=b;return}function Uq(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1480>>3];i=+h[f+4128>>3];j=g*g;g=+h[f+4136>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,75720,8534128,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3328>>3]=i+k*101300.0;return}function Vq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3616>>3]=+h[b+5552>>3]*+h[b+4136>>3];return}function Wq(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+3552>>3];h[c[b+8>>2]>>3]=+h[d+3528>>3];h[c[b+12>>2]>>3]=+h[d+3536>>3];return}function Xq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+248>>3]=+h[b>>3];Rq(e);Sq(e);Tq(e);Uq(e);Vq(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3600>>3]+(+h[e+1472>>3]*(-0.0- +h[e+3616>>3])+ +h[e+3328>>3]*(-0.0- +h[e+1632>>3]));return}function Yq(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+144>>3],+h[f+320>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3984>>3]=+h[d>>3];i=b;return}function Zq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3784>>3]=+h[b+320>>3];return}function _q(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+2736>>3],+h[g+3784>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3992>>3]=+h[e>>3];i=b;return}function $q(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3464>>3]=+h[b+5280>>3]*+h[b+3992>>3];return}function ar(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2760>>3];i=+h[f+3984>>3];j=g*g;g=+h[f+3992>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,73552,8534064,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3256>>3]=i+k*101300.0;return}function br(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+4560>>3];h[c[b+8>>2]>>3]=+h[d+4536>>3];h[c[b+12>>2]>>3]=+h[d+4544>>3];return}function cr(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+320>>3]=+h[b>>3];Yq(e);Zq(e);_q(e);$q(e);ar(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3448>>3]+(+h[e+2752>>3]*(-0.0- +h[e+3464>>3])+ +h[e+3256>>3]*(-0.0- +h[e+2960>>3]));return}function dr(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+80>>3],+h[f+256>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4112>>3]=+h[d>>3];i=b;return}function er(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3848>>3]=+h[b+256>>3];return}function fr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+1688>>3],+h[g+3848>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4120>>3]=+h[e>>3];i=b;return}function gr(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1712>>3];i=+h[f+4112>>3];j=g*g;g=+h[f+4120>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,71296,8534048,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3320>>3]=i+k*101300.0;return}function hr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3592>>3]=+h[b+5504>>3]*+h[b+4120>>3];return}function ir(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+3664>>3];h[c[b+8>>2]>>3]=+h[d+3640>>3];h[c[b+12>>2]>>3]=+h[d+3648>>3];return}function jr(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+256>>3]=+h[b>>3];dr(e);er(e);fr(e);gr(e);hr(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3576>>3]+(+h[e+1704>>3]*(-0.0- +h[e+3592>>3])+ +h[e+3320>>3]*(-0.0- +h[e+1896>>3]));return}function kr(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+88>>3],+h[f+264>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4096>>3]=+h[d>>3];i=b;return}function lr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3840>>3]=+h[b+264>>3];return}function mr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+1736>>3],+h[g+3840>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4104>>3]=+h[e>>3];i=b;return}function nr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3584>>3]=+h[b+5496>>3]*+h[b+4104>>3];return}function or(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1760>>3];i=+h[f+4096>>3];j=g*g;g=+h[f+4104>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,69512,8534040,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3312>>3]=i+k*101300.0;return}function pr(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+3776>>3];h[c[b+8>>2]>>3]=+h[d+3752>>3];h[c[b+12>>2]>>3]=+h[d+3760>>3];return}function qr(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+264>>3]=+h[b>>3];kr(e);lr(e);mr(e);nr(e);or(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3568>>3]+(+h[e+1752>>3]*(-0.0- +h[e+3584>>3])+ +h[e+3312>>3]*(-0.0- +h[e+1888>>3]));return}function rr(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+136>>3],+h[f+312>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+4e3>>3]=+h[d>>3];i=b;return}function sr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3792>>3]=+h[b+312>>3];return}function tr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+2528>>3],+h[g+3792>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+4008>>3]=+h[e>>3];i=b;return}function ur(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2552>>3];i=+h[f+4e3>>3];j=g*g;g=+h[f+4008>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,67360,8534e3,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3264>>3]=i+k*101300.0;return}function vr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3488>>3]=+h[b+5328>>3]*+h[b+4008>>3];return}function wr(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+4448>>3];h[c[b+8>>2]>>3]=+h[d+4424>>3];h[c[b+12>>2]>>3]=+h[d+4432>>3];return}function xr(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+312>>3]=+h[b>>3];rr(e);sr(e);tr(e);ur(e);vr(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3472>>3]+(+h[e+2544>>3]*(-0.0- +h[e+3488>>3])+ +h[e+3264>>3]*(-0.0- +h[e+2680>>3]));return}function yr(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+152>>3],+h[f+328>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3968>>3]=+h[d>>3];i=b;return}function zr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3776>>3]=+h[b+328>>3];return}function Ar(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+2792>>3],+h[g+3776>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3976>>3]=+h[e>>3];i=b;return}function Br(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3456>>3]=+h[b+5272>>3]*+h[b+3976>>3];return}function Cr(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2816>>3];i=+h[f+3968>>3];j=g*g;g=+h[f+3976>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,65400,8533976,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3248>>3]=i+k*101300.0;return}function Dr(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+4672>>3];h[c[b+8>>2]>>3]=+h[d+4648>>3];h[c[b+12>>2]>>3]=+h[d+4656>>3];return}function Er(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+328>>3]=+h[b>>3];yr(e);zr(e);Ar(e);Br(e);Cr(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3440>>3]+(+h[e+2808>>3]*(-0.0- +h[e+3456>>3])+ +h[e+3248>>3]*(-0.0- +h[e+2952>>3]));return}function Fr(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+160>>3],+h[f+336>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3952>>3]=+h[d>>3];i=b;return}function Gr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3768>>3]=+h[b+336>>3];return}function Hr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+3008>>3],+h[g+3768>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3960>>3]=+h[e>>3];i=b;return}function Ir(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+3032>>3];i=+h[f+3952>>3];j=g*g;g=+h[f+3960>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,63232,8533952,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3240>>3]=i+k*101300.0;return}function Jr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3432>>3]=+h[b+5224>>3]*+h[b+3960>>3];return}function Kr(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+4784>>3];h[c[b+8>>2]>>3]=+h[d+4760>>3];h[c[b+12>>2]>>3]=+h[d+4768>>3];return}function Lr(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+336>>3]=+h[b>>3];Fr(e);Gr(e);Hr(e);Ir(e);Jr(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3416>>3]+(+h[e+3024>>3]*(-0.0- +h[e+3432>>3])+ +h[e+3240>>3]*(-0.0- +h[e+3208>>3]));return}function Mr(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;On(d,c[a+536>>2]|0,+h[f+168>>3],+h[f+344>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3936>>3]=+h[d>>3];i=b;return}function Nr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3760>>3]=+h[b+344>>3];return}function Or(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;ega(d,3,-.002086443325811417,(f=i,i=i+16|0,h[f>>3]=-.4965561534455827,h[f+8>>3]=1053.332916738992,f)|0);i=f;f=a+4|0;g=c[(c[c[f>>2]>>2]|0)+8>>2]|0;Gn(e,c[a+536>>2]|0,d,+h[g+3048>>3],+h[g+3760>>3]);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3944>>3]=+h[e>>3];i=b;return}function Pr(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+3072>>3];i=+h[f+3936>>3];j=g*g;g=+h[f+3944>>3];do{if(j!=0.0){k=g/j;l=f}else{if(g==0.0){k=g;l=f;break}m=g/+nfa(c[b+536>>2]|0,j,61216,8533936,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+3232>>3]=i+k*101300.0;return}function Qr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3424>>3]=+h[b+5216>>3]*+h[b+3944>>3];return}function Rr(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+4896>>3];h[c[b+8>>2]>>3]=+h[d+4872>>3];h[c[b+12>>2]>>3]=+h[d+4880>>3];return}function Sr(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+344>>3]=+h[b>>3];Mr(e);Nr(e);Or(e);Pr(e);Qr(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+3408>>3]+(+h[e+3064>>3]*(-0.0- +h[e+3424>>3])+ +h[e+3232>>3]*(-0.0- +h[e+3200>>3]));return}function Tr(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+480>>3]=+h[d+4440>>3]*(+h[d+1480>>3]+ +h[d+1488>>3])*(-0.0- +h[b+472>>3])*.5;return}function Ur(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0.0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;g=a+416|0;j=c[g>>2]|0;k=+h[j+4304>>3];xn(d,c[a+536>>2]|0,+h[f+728>>3],+h[f+760>>3],+h[f+768>>3],k,k,+h[f+5736>>3],+h[f+5120>>3],+h[f+5096>>3]*+h[j+4272>>3],(+h[j+1328>>3]+ +h[j+1336>>3])*.5,+h[j+4264>>3],+h[j+4240>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+800>>3]=+h[d>>3]*+h[(c[g>>2]|0)+4216>>3];i=b;return}function Vr(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+736>>3]=+h[d+4216>>3]*(+h[d+1296>>3]+ +h[d+1304>>3])*(-0.0- +h[b+728>>3])*.5;return}function Wr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0.0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;g=a+416|0;j=c[g>>2]|0;k=+h[j+4080>>3];xn(d,c[a+536>>2]|0,+h[f+984>>3],+h[f+1016>>3],+h[f+1024>>3],k,k,+h[f+5680>>3],+h[f+5128>>3],+h[f+5088>>3]*+h[j+4048>>3],(+h[j+1192>>3]+ +h[j+1200>>3])*.5,+h[j+4040>>3],+h[j+4016>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1056>>3]=+h[d>>3]*+h[(c[g>>2]|0)+3992>>3];i=b;return}function Xr(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+992>>3]=+h[d+3992>>3]*(+h[d+1160>>3]+ +h[d+1168>>3])*(-0.0- +h[b+984>>3])*.5;return}function Yr(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+2056>>3]=+h[d+2584>>3]*(+h[d+608>>3]+ +h[d+616>>3])*(-0.0- +h[b+2048>>3])*.5;return}function Zr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0.0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;g=a+416|0;j=c[g>>2]|0;k=+h[j+2672>>3];xn(d,c[a+536>>2]|0,+h[f+2048>>3],+h[f+2080>>3],+h[f+2088>>3],k,k,+h[f+5456>>3],+h[f+5160>>3],+h[f+5056>>3]*+h[j+2640>>3],(+h[j+640>>3]+ +h[j+648>>3])*.5,+h[j+2632>>3],+h[j+2608>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2120>>3]=+h[d>>3]*+h[(c[g>>2]|0)+2584>>3];i=b;return}function _r(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+6160>>3]=+h[b+2512>>3]- +h[b+2304>>3];return}function $r(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+40|0;d=b|0;e=b+16|0;f=b+32|0;ega(d,1,1.0,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=a+536|0;Ln(e,c[g>>2]|0);j=a+4|0;a=c[(c[c[j>>2]>>2]|0)+8>>2]|0;fo(f,c[g>>2]|0,+h[a+2296>>3],243.15,373.15,+h[a+2304>>3],d,e|0,1.0e-13);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6216>>3]=+h[f>>3];i=b;return}function as(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+40|0;d=b|0;e=b+16|0;f=b+32|0;ega(d,1,1.0,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=a+536|0;Ln(e,c[g>>2]|0);j=a+4|0;a=c[(c[c[j>>2]>>2]|0)+8>>2]|0;fo(f,c[g>>2]|0,+h[a+2504>>3],243.15,373.15,+h[a+2512>>3],d,e|0,1.0e-13);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6224>>3]=+h[f>>3];i=b;return}function bs(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0;d=i;i=i+96|0;e=d|0;f=d+16|0;g=d+32|0;j=d+48|0;k=d+64|0;l=d+72|0;m=d+80|0;n=d+88|0;o=b+536|0;p=b+4|0;q=c[(c[c[p>>2]>>2]|0)+8>>2]|0;eo(e,c[o>>2]|0,+h[q+6224>>3],+h[q+2512>>3]);co(k,c[o>>2]|0,e|0);r=+h[k>>3];k=c[(c[c[p>>2]>>2]|0)+8>>2]|0;eo(f,c[o>>2]|0,+h[k+6216>>3],+h[k+2304>>3]);co(l,c[o>>2]|0,f|0);s=r+ +h[l>>3];ega(g,3,-.002086443325811417,(l=i,i=i+16|0,h[l>>3]=-.4965561534455827,h[l+8>>3]=1053.332916738992,l)|0);i=l;Mn(m,c[o>>2]|0,g,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+6224>>3]+ -273.15);r=+h[m>>3];ega(j,3,-.002086443325811417,(l=i,i=i+16|0,h[l>>3]=-.4965561534455827,h[l+8>>3]=1053.332916738992,l)|0);i=l;Mn(n,c[o>>2]|0,j,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+6216>>3]+ -273.15);j=c[b+416>>2]|0;t=+h[j+2880>>3];u=(r+ +h[n>>3])*+h[j+2920>>3];j=c[c[p>>2]>>2]|0;n=c[j+8>>2]|0;r=u*+Yb(+(+h[n+6192>>3]),+.001);u=s*s;if(r!=0.0){v=u/r;w=n;x=v*6283185.307179586;y=+Yb(+t,+x);z=w+6200|0;h[z>>3]=y;i=d;return}if(u==0.0){v=u;w=n;x=v*6283185.307179586;y=+Yb(+t,+x);z=w+6200|0;h[z>>3]=y;i=d;return}s=u/+nfa(c[o>>2]|0,r,150016,8544216,+h[j>>3],(a[b+319|0]|0)!=0|0);v=s;w=c[(c[c[p>>2]>>2]|0)+8>>2]|0;x=v*6283185.307179586;y=+Yb(+t,+x);z=w+6200|0;h[z>>3]=y;i=d;return}function cs(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0.0;b=i;i=i+56|0;d=b|0;e=b+16|0;f=b+32|0;g=b+40|0;j=b+48|0;ega(d,3,-.002086443325811417,(k=i,i=i+16|0,h[k>>3]=-.4965561534455827,h[k+8>>3]=1053.332916738992,k)|0);i=k;l=a+536|0;m=a+4|0;Mn(f,c[l>>2]|0,d,+h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6224>>3]+ -273.15);n=+h[f>>3];ega(e,3,-.002086443325811417,(k=i,i=i+16|0,h[k>>3]=-.4965561534455827,h[k+8>>3]=1053.332916738992,k)|0);i=k;Mn(g,c[l>>2]|0,e,+h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6216>>3]+ -273.15);e=c[(c[c[m>>2]>>2]|0)+8>>2]|0;Yn(j,c[l>>2]|0,+h[e+6160>>3],+h[e+6200>>3],n,+h[g>>3],0,1.0);g=c[(c[c[m>>2]>>2]|0)+8>>2]|0;h[g+2640>>3]=+h[g+6192>>3]*+h[j>>3]*+h[(c[a+416>>2]|0)+2920>>3];i=b;return}function ds(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1576>>3]=+h[b+2120>>3]+(+h[b+1056>>3]-(+h[b+2640>>3]- +h[b+800>>3]));return}function es(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+2576>>3]=+h[d+2136>>3]*(+h[d+336>>3]+ +h[d+344>>3])*(-0.0- +h[b+2568>>3])*.5;return}function fs(b){b=b|0;var d=0,e=0.0,f=0.0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0,o=0;d=c[b+416>>2]|0;e=+h[d+336>>3];f=+h[d+344>>3];g=+h[d+2136>>3];i=(-0.0-e-f)*g*-.5;d=b+4|0;j=c[c[d>>2]>>2]|0;k=c[j+8>>2]|0;l=(e+f)*g*+h[k+2512>>3]*.5- +h[k+2576>>3];if(i!=0.0){m=l/i;n=k;o=n+2832|0;h[o>>3]=m;return}if(l==0.0){m=l;n=k;o=n+2832|0;h[o>>3]=m;return}g=l/+nfa(c[b+536>>2]|0,i,59008,8544208,+h[j>>3],(a[b+319|0]|0)!=0|0);m=g;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0;o=n+2832|0;h[o>>3]=m;return}function gs(b){b=b|0;var d=0,e=0.0,f=0.0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0,o=0;d=c[b+416>>2]|0;e=+h[d+1480>>3];f=+h[d+1488>>3];g=+h[d+4440>>3];i=(-0.0-e-f)*g*-.5;d=b+4|0;j=c[c[d>>2]>>2]|0;k=c[j+8>>2]|0;l=(e+f)*g*+h[k+416>>3]*.5- +h[k+480>>3];if(i!=0.0){m=l/i;n=k;o=n+1984|0;h[o>>3]=m;return}if(l==0.0){m=l;n=k;o=n+1984|0;h[o>>3]=m;return}g=l/+nfa(c[b+536>>2]|0,i,56024,8544200,+h[j>>3],(a[b+319|0]|0)!=0|0);m=g;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0;o=n+1984|0;h[o>>3]=m;return}function hs(b){b=b|0;var d=0,e=0.0,f=0.0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0,o=0;d=c[b+416>>2]|0;e=+h[d+1296>>3];f=+h[d+1304>>3];g=+h[d+4216>>3];i=(-0.0-e-f)*g*-.5;d=b+4|0;j=c[c[d>>2]>>2]|0;k=c[j+8>>2]|0;l=(e+f)*g*+h[k+1984>>3]*.5- +h[k+736>>3];if(i!=0.0){m=l/i;n=k;o=n+2040|0;h[o>>3]=m;return}if(l==0.0){m=l;n=k;o=n+2040|0;h[o>>3]=m;return}g=l/+nfa(c[b+536>>2]|0,i,54e3,8544192,+h[j>>3],(a[b+319|0]|0)!=0|0);m=g;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0;o=n+2040|0;h[o>>3]=m;return}function is(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+2320>>3]=(+h[b+472>>3]+ +h[b+480>>3])*(+h[d+2040>>3]- +h[d+2304>>3])*+h[b+2360>>3]*.5;return}function js(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0.0;d=c[b+416>>2]|0;e=+h[d+2360>>3]*(+h[d+472>>3]+ +h[d+480>>3]);d=b+4|0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+2320>>3];if(e!=0.0){j=i/e;k=g;l=j*-2.0;m=k+2312|0;h[m>>3]=l;return}if(i==0.0){j=i;k=g;l=j*-2.0;m=k+2312|0;h[m>>3]=l;return}n=i/+nfa(c[b+536>>2]|0,e,153760,8544184,+h[f>>3],(a[b+319|0]|0)!=0|0);j=n;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=j*-2.0;m=k+2312|0;h[m>>3]=l;return}function ks(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+6072>>3]=+h[b+416>>3]+-1.0e5;return}function ls(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+40|0;d=b|0;e=b+16|0;f=b+32|0;ega(d,1,1.0,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=a+536|0;Ln(e,c[g>>2]|0);j=a+4|0;a=c[(c[c[j>>2]>>2]|0)+8>>2]|0;fo(f,c[g>>2]|0,+h[a+408>>3],243.15,373.15,+h[a+416>>3],d,e|0,1.0e-13);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6128>>3]=+h[f>>3];i=b;return}function ms(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0;d=i;i=i+96|0;e=d|0;f=d+16|0;g=d+32|0;j=d+48|0;k=d+64|0;l=d+72|0;m=d+80|0;n=d+88|0;o=b+536|0;p=b+4|0;q=c[(c[c[p>>2]>>2]|0)+8>>2]|0;eo(e,c[o>>2]|0,+h[q+6128>>3],+h[q+416>>3]);co(k,c[o>>2]|0,e|0);r=+h[k>>3];eo(f,c[o>>2]|0,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+6536>>3],1.0e5);co(l,c[o>>2]|0,f|0);s=r+ +h[l>>3];ega(g,3,-.002086443325811417,(l=i,i=i+16|0,h[l>>3]=-.4965561534455827,h[l+8>>3]=1053.332916738992,l)|0);i=l;Mn(m,c[o>>2]|0,g,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+6128>>3]+ -273.15);r=+h[m>>3];ega(j,3,-.002086443325811417,(l=i,i=i+16|0,h[l>>3]=-.4965561534455827,h[l+8>>3]=1053.332916738992,l)|0);i=l;Mn(n,c[o>>2]|0,j,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+6536>>3]+ -273.15);j=c[b+416>>2]|0;t=+h[j+3216>>3];u=(r+ +h[n>>3])*+h[j+3256>>3];j=c[c[p>>2]>>2]|0;n=c[j+8>>2]|0;r=u*+Yb(+(+h[n+6104>>3]),+.001);u=s*s;if(r!=0.0){v=u/r;w=n;x=v*6283185.307179586;y=+Yb(+t,+x);z=w+6112|0;h[z>>3]=y;i=d;return}if(u==0.0){v=u;w=n;x=v*6283185.307179586;y=+Yb(+t,+x);z=w+6112|0;h[z>>3]=y;i=d;return}s=u/+nfa(c[o>>2]|0,r,176680,8544176,+h[j>>3],(a[b+319|0]|0)!=0|0);v=s;w=c[(c[c[p>>2]>>2]|0)+8>>2]|0;x=v*6283185.307179586;y=+Yb(+t,+x);z=w+6112|0;h[z>>3]=y;i=d;return}function ns(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0.0;b=i;i=i+56|0;d=b|0;e=b+16|0;f=b+32|0;g=b+40|0;j=b+48|0;ega(d,3,-.002086443325811417,(k=i,i=i+16|0,h[k>>3]=-.4965561534455827,h[k+8>>3]=1053.332916738992,k)|0);i=k;l=a+536|0;m=a+4|0;Mn(f,c[l>>2]|0,d,+h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6128>>3]+ -273.15);n=+h[f>>3];ega(e,3,-.002086443325811417,(k=i,i=i+16|0,h[k>>3]=-.4965561534455827,h[k+8>>3]=1053.332916738992,k)|0);i=k;Mn(g,c[l>>2]|0,e,+h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6536>>3]+ -273.15);e=c[(c[c[m>>2]>>2]|0)+8>>2]|0;Yn(j,c[l>>2]|0,+h[e+6072>>3],+h[e+6112>>3],n,+h[g>>3],0,1.0);g=c[(c[c[m>>2]>>2]|0)+8>>2]|0;h[g+544>>3]=+h[g+6104>>3]*+h[j>>3]*+h[(c[a+416>>2]|0)+3256>>3];i=b;return}function os(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1312>>3]=+h[b+544>>3]+(-0.0- +h[b+800>>3]- +h[b+1056>>3]- +h[b+2120>>3]);return}function ps(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1248>>3]=+h[d+3768>>3]*(+h[d+1024>>3]+ +h[d+1032>>3])*(-0.0- +h[b+1240>>3])*.5;return}function qs(b){b=b|0;var d=0,e=0.0,f=0.0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0,o=0;d=c[b+416>>2]|0;e=+h[d+1024>>3];f=+h[d+1032>>3];g=+h[d+3768>>3];i=(-0.0-e-f)*g*-.5;d=b+4|0;j=c[c[d>>2]>>2]|0;k=c[j+8>>2]|0;l=(e+f)*g*+h[k+1984>>3]*.5- +h[k+1248>>3];if(i!=0.0){m=l/i;n=k;o=n+1496|0;h[o>>3]=m;return}if(l==0.0){m=l;n=k;o=n+1496|0;h[o>>3]=m;return}g=l/+nfa(c[b+536>>2]|0,i,51928,8544168,+h[j>>3],(a[b+319|0]|0)!=0|0);m=g;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0;o=n+1496|0;h[o>>3]=m;return}function rs(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+1512>>3]=(+h[b+888>>3]+ +h[b+896>>3])*(+h[d+2040>>3]- +h[d+1496>>3])*+h[b+3544>>3]*.5;return}function ss(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0.0;d=c[b+416>>2]|0;e=+h[d+3544>>3]*(+h[d+888>>3]+ +h[d+896>>3]);d=b+4|0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+1512>>3];if(e!=0.0){j=i/e;k=g;l=j*-2.0;m=k+1504|0;h[m>>3]=l;return}if(i==0.0){j=i;k=g;l=j*-2.0;m=k+1504|0;h[m>>3]=l;return}n=i/+nfa(c[b+536>>2]|0,e,172176,8544160,+h[f>>3],(a[b+319|0]|0)!=0|0);j=n;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=j*-2.0;m=k+1504|0;h[m>>3]=l;return}function ts(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+40|0;d=b|0;e=b+16|0;f=b+32|0;ega(d,1,1.0,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=a+536|0;Ln(e,c[g>>2]|0);j=a+4|0;a=c[(c[c[j>>2]>>2]|0)+8>>2]|0;fo(f,c[g>>2]|0,+h[a+1768>>3],243.15,373.15,+h[a+1776>>3],d,e|0,1.0e-13);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6296>>3]=+h[f>>3];i=b;return}function us(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+1792>>3]=(+h[b+744>>3]+ +h[b+752>>3])*(+h[d+1496>>3]- +h[d+1776>>3])*+h[b+3032>>3]*.5;return}function vs(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0.0;d=c[b+416>>2]|0;e=+h[d+3032>>3]*(+h[d+744>>3]+ +h[d+752>>3]);d=b+4|0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+1792>>3];if(e!=0.0){j=i/e;k=g;l=j*-2.0;m=k+1784|0;h[m>>3]=l;return}if(i==0.0){j=i;k=g;l=j*-2.0;m=k+1784|0;h[m>>3]=l;return}n=i/+nfa(c[b+536>>2]|0,e,27416,8544152,+h[f>>3],(a[b+319|0]|0)!=0|0);j=n;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=j*-2.0;m=k+1784|0;h[m>>3]=l;return}function ws(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+3096>>3]=(+h[b+64>>3]+ +h[b+72>>3])*(+h[d+2832>>3]+-5.0e5)*+h[b+1688>>3]*.5;return}function xs(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0.0;d=c[b+416>>2]|0;e=+h[d+1688>>3]*(+h[d+64>>3]+ +h[d+72>>3]);d=b+4|0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+3096>>3];if(e!=0.0){j=i/e;k=g;l=j*-2.0;m=k+3088|0;h[m>>3]=l;return}if(i==0.0){j=i;k=g;l=j*-2.0;m=k+3088|0;h[m>>3]=l;return}n=i/+nfa(c[b+536>>2]|0,e,142e3,8544144,+h[f>>3],(a[b+319|0]|0)!=0|0);j=n;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=j*-2.0;m=k+3088|0;h[m>>3]=l;return}function ys(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+2848>>3]=(+h[b+200>>3]+ +h[b+208>>3])*(+h[d+2776>>3]- +h[d+2832>>3])*+h[b+1912>>3]*.5;return}function zs(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0.0;d=c[b+416>>2]|0;e=+h[d+1912>>3]*(+h[d+200>>3]+ +h[d+208>>3]);d=b+4|0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+2848>>3];if(e!=0.0){j=i/e;k=g;l=j*-2.0;m=k+2840|0;h[m>>3]=l;return}if(i==0.0){j=i;k=g;l=j*-2.0;m=k+2840|0;h[m>>3]=l;return}n=i/+nfa(c[b+536>>2]|0,e,39600,8544136,+h[f>>3],(a[b+319|0]|0)!=0|0);j=n;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=j*-2.0;m=k+2840|0;h[m>>3]=l;return}function As(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+6240>>3]=+h[b+2776>>3]- +h[b+1776>>3];return}function Bs(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+40|0;d=b|0;e=b+16|0;f=b+32|0;ega(d,1,1.0,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=a+536|0;Ln(e,c[g>>2]|0);j=a+4|0;a=c[(c[c[j>>2]>>2]|0)+8>>2]|0;fo(f,c[g>>2]|0,+h[a+2768>>3],243.15,373.15,+h[a+2776>>3],d,e|0,1.0e-13);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6304>>3]=+h[f>>3];i=b;return}function Cs(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0;d=i;i=i+96|0;e=d|0;f=d+16|0;g=d+32|0;j=d+48|0;k=d+64|0;l=d+72|0;m=d+80|0;n=d+88|0;o=b+536|0;p=b+4|0;q=c[(c[c[p>>2]>>2]|0)+8>>2]|0;eo(e,c[o>>2]|0,+h[q+6304>>3],+h[q+2776>>3]);co(k,c[o>>2]|0,e|0);r=+h[k>>3];k=c[(c[c[p>>2]>>2]|0)+8>>2]|0;eo(f,c[o>>2]|0,+h[k+6296>>3],+h[k+1776>>3]);co(l,c[o>>2]|0,f|0);s=r+ +h[l>>3];ega(g,3,-.002086443325811417,(l=i,i=i+16|0,h[l>>3]=-.4965561534455827,h[l+8>>3]=1053.332916738992,l)|0);i=l;Mn(m,c[o>>2]|0,g,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+6304>>3]+ -273.15);r=+h[m>>3];ega(j,3,-.002086443325811417,(l=i,i=i+16|0,h[l>>3]=-.4965561534455827,h[l+8>>3]=1053.332916738992,l)|0);i=l;Mn(n,c[o>>2]|0,j,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+6296>>3]+ -273.15);j=c[b+416>>2]|0;t=+h[j+2768>>3];u=(r+ +h[n>>3])*+h[j+2808>>3];j=c[c[p>>2]>>2]|0;n=c[j+8>>2]|0;r=u*+Yb(+(+h[n+6272>>3]),+.001);u=s*s;if(r!=0.0){v=u/r;w=n;x=v*6283185.307179586;y=+Yb(+t,+x);z=w+6280|0;h[z>>3]=y;i=d;return}if(u==0.0){v=u;w=n;x=v*6283185.307179586;y=+Yb(+t,+x);z=w+6280|0;h[z>>3]=y;i=d;return}s=u/+nfa(c[o>>2]|0,r,32800,8544128,+h[j>>3],(a[b+319|0]|0)!=0|0);v=s;w=c[(c[c[p>>2]>>2]|0)+8>>2]|0;x=v*6283185.307179586;y=+Yb(+t,+x);z=w+6280|0;h[z>>3]=y;i=d;return}function Ds(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0.0;b=i;i=i+56|0;d=b|0;e=b+16|0;f=b+32|0;g=b+40|0;j=b+48|0;ega(d,3,-.002086443325811417,(k=i,i=i+16|0,h[k>>3]=-.4965561534455827,h[k+8>>3]=1053.332916738992,k)|0);i=k;l=a+536|0;m=a+4|0;Mn(f,c[l>>2]|0,d,+h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6304>>3]+ -273.15);n=+h[f>>3];ega(e,3,-.002086443325811417,(k=i,i=i+16|0,h[k>>3]=-.4965561534455827,h[k+8>>3]=1053.332916738992,k)|0);i=k;Mn(g,c[l>>2]|0,e,+h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+6296>>3]+ -273.15);e=c[(c[c[m>>2]>>2]|0)+8>>2]|0;Yn(j,c[l>>2]|0,+h[e+6240>>3],+h[e+6280>>3],n,+h[g>>3],0,1.0);g=c[(c[c[m>>2]>>2]|0)+8>>2]|0;h[g+2912>>3]=+h[g+6272>>3]*+h[j>>3]*+h[(c[a+416>>2]|0)+2808>>3];i=b;return}function Es(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3160>>3]=+h[b+2912>>3]+ +h[b+2640>>3];return}function Fs(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=c[a+8>>2]|0;a=c[b+16>>2]|0;h[a>>3]=+h[d+17440>>3];e=c[b+8>>2]|0;h[e>>3]=+h[d+17416>>3];f=c[b+12>>2]|0;h[f>>3]=+h[d+17424>>3];h[a+8>>3]=+h[d+36032>>3];h[e+8>>3]=+h[d+36008>>3];h[f+8>>3]=+h[d+36016>>3];h[a+16>>3]=+h[d+6688>>3];h[e+16>>3]=+h[d+6664>>3];h[f+16>>3]=+h[d+6672>>3];h[a+24>>3]=+h[d+28752>>3];h[e+24>>3]=+h[d+28728>>3];h[f+24>>3]=+h[d+28736>>3];h[a+32>>3]=+h[d+13856>>3];h[e+32>>3]=+h[d+13832>>3];h[f+32>>3]=+h[d+13840>>3];h[a+40>>3]=+h[d+10272>>3];h[e+40>>3]=+h[d+10248>>3];h[f+40>>3]=+h[d+10256>>3];h[a+48>>3]=+h[d+38944>>3];h[e+48>>3]=+h[d+38920>>3];h[f+48>>3]=+h[d+38928>>3];h[a+56>>3]=+h[d+24944>>3];h[e+56>>3]=+h[d+24920>>3];h[f+56>>3]=+h[d+24928>>3];h[a+64>>3]=+h[d+35248>>3];h[e+64>>3]=+h[d+35224>>3];h[f+64>>3]=+h[d+35232>>3];h[a+72>>3]=+h[d+32336>>3];h[e+72>>3]=+h[d+32312>>3];h[f+72>>3]=+h[d+32320>>3];h[a+80>>3]=+h[d+5904>>3];h[e+80>>3]=+h[d+5880>>3];h[f+80>>3]=+h[d+5888>>3];return}



function aGa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=i;i=i+240|0;j=d|0;k=d+8|0;l=d+40|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+192|0;q=d+200|0;r=d+208|0;s=d+224|0;t=d+232|0;u=r;lKa(u|0,0,12)|0;c[s+4>>2]=0;c[s>>2]=8525080;v=a[h]|0;if((v&1)==0){w=(v&255)>>>1;x=h+4|0;y=h+4|0}else{v=c[h+8>>2]|0;w=c[h+4>>2]|0;x=v;y=v}v=y+(w<<2)|0;w=k|0;a:do{if(x>>>0<v>>>0){y=s|0;h=s;z=k+32|0;A=x;B=8525080;while(1){c[m>>2]=A;C=(ne[c[B+12>>2]&31](y,j,A,v,m,w,z,l)|0)==2;D=c[m>>2]|0;if(C|(D|0)==(A|0)){break}if(w>>>0<(c[l>>2]|0)>>>0){C=w;do{Vza(r,a[C]|0);C=C+1|0;}while(C>>>0<(c[l>>2]|0)>>>0);E=c[m>>2]|0}else{E=D}if(!(E>>>0<v>>>0)){break a}A=E;B=c[h>>2]|0}vFa(85336)}}while(0);Tya(s|0);if((a[u]&1)==0){F=r+1|0}else{F=c[r+8>>2]|0}u=Vb(((e|0)==-1?-1:e<<1)|0,f|0,g|0,F|0)|0;lKa(b|0,0,12)|0;c[t+4>>2]=0;c[t>>2]=8525024;F=iKa(u|0)|0;g=u+F|0;if((F|0)<=0){G=t|0;Tya(G);Dza(r);i=d;return}F=t|0;f=t;e=g;s=o|0;E=o+128|0;o=u;u=8525024;while(1){c[q>>2]=o;v=(ne[c[u+16>>2]&31](F,n,o,(e-o|0)>32?o+32|0:g,q,s,E,p)|0)==2;m=c[q>>2]|0;if(v|(m|0)==(o|0)){break}if(s>>>0<(c[p>>2]|0)>>>0){v=s;do{jAa(b,c[v>>2]|0);v=v+4|0;}while(v>>>0<(c[p>>2]|0)>>>0);H=c[q>>2]|0}else{H=m}if(!(H>>>0<g>>>0)){I=37;break}o=H;u=c[f>>2]|0}if((I|0)==37){G=t|0;Tya(G);Dza(r);i=d;return}vFa(85336)}function bGa(a,b){a=a|0;b=b|0;ad(((b|0)==-1?-1:b<<1)|0)|0;return}function cGa(b){b=b|0;var d=0,e=0,f=0;c[b>>2]=8524496;d=b+8|0;e=c[d>>2]|0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);if((e|0)==(c[2142782]|0)){f=b|0;Tya(f);return}Ub(c[d>>2]|0);f=b|0;Tya(f);return}function dGa(a){a=a|0;a=Bd(8)|0;Wya(a,153296);c[a>>2]=8523408;vc(a|0,8529752,48)}function eGa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;e=i;i=i+448|0;f=e|0;g=e+16|0;h=e+32|0;j=e+48|0;k=e+64|0;l=e+80|0;m=e+96|0;n=e+112|0;o=e+128|0;p=e+144|0;q=e+160|0;r=e+176|0;s=e+192|0;t=e+208|0;u=e+224|0;v=e+240|0;w=e+256|0;x=e+272|0;y=e+288|0;z=e+304|0;A=e+320|0;B=e+336|0;C=e+352|0;D=e+368|0;E=e+384|0;F=e+400|0;G=e+416|0;H=e+432|0;c[b+4>>2]=d-1;c[b>>2]=8524752;d=b+8|0;I=b+12|0;J=b+136|0;a[J]=1;K=b+24|0;c[I>>2]=K;c[d>>2]=K;c[b+16>>2]=J;J=28;L=K;do{if((L|0)==0){M=0}else{c[L>>2]=0;M=c[I>>2]|0}L=M+4|0;c[I>>2]=L;J=J-1|0;}while((J|0)!=0);vza(b+144|0,149128,1);J=c[d>>2]|0;d=c[I>>2]|0;if((d|0)!=(J|0)){c[I>>2]=d+(~((d-4+(-J|0)|0)>>>2)<<2)}c[2142815]=0;c[2142814]=8524456;if(!((c[2143060]|0)==-1)){c[G>>2]=8572240;c[G+4>>2]=18;c[G+8>>2]=0;oza(8572240,G,128)}fGa(b,8571256,(c[2143061]|0)-1|0);c[2142813]=0;c[2142812]=8524416;if(!((c[2143058]|0)==-1)){c[F>>2]=8572232;c[F+4>>2]=18;c[F+8>>2]=0;oza(8572232,F,128)}fGa(b,8571248,(c[2143059]|0)-1|0);c[2142865]=0;c[2142864]=8524864;c[2142866]=0;a[8571468]=0;c[2142866]=c[(gb()|0)>>2];if(!((c[2143140]|0)==-1)){c[E>>2]=8572560;c[E+4>>2]=18;c[E+8>>2]=0;oza(8572560,E,128)}fGa(b,8571456,(c[2143141]|0)-1|0);c[2142863]=0;c[2142862]=8524784;if(!((c[2143138]|0)==-1)){c[D>>2]=8572552;c[D+4>>2]=18;c[D+8>>2]=0;oza(8572552,D,128)}fGa(b,8571448,(c[2143139]|0)-1|0);c[2142817]=0;c[2142816]=8524552;if(!((c[2143064]|0)==-1)){c[C>>2]=8572256;c[C+4>>2]=18;c[C+8>>2]=0;oza(8572256,C,128)}fGa(b,8571264,(c[2143065]|0)-1|0);c[2130739]=0;c[2130738]=8524496;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);c[2130740]=c[2142782];if(!((c[2143062]|0)==-1)){c[B>>2]=8572248;c[B+4>>2]=18;c[B+8>>2]=0;oza(8572248,B,128)}fGa(b,8522952,(c[2143063]|0)-1|0);c[2142819]=0;c[2142818]=8524608;if(!((c[2143066]|0)==-1)){c[A>>2]=8572264;c[A+4>>2]=18;c[A+8>>2]=0;oza(8572264,A,128)}fGa(b,8571272,(c[2143067]|0)-1|0);c[2142821]=0;c[2142820]=8524664;if(!((c[2143068]|0)==-1)){c[z>>2]=8572272;c[z+4>>2]=18;c[z+8>>2]=0;oza(8572272,z,128)}fGa(b,8571280,(c[2143069]|0)-1|0);c[2142795]=0;c[2142794]=8523960;a[8571184]=46;a[8571185]=44;lKa(8571188,0,12)|0;if(!((c[2143044]|0)==-1)){c[y>>2]=8572176;c[y+4>>2]=18;c[y+8>>2]=0;oza(8572176,y,128)}fGa(b,8571176,(c[2143045]|0)-1|0);c[2130731]=0;c[2130730]=8523912;c[2130732]=46;c[2130733]=44;lKa(8522936,0,12)|0;if(!((c[2143042]|0)==-1)){c[x>>2]=8572168;c[x+4>>2]=18;c[x+8>>2]=0;oza(8572168,x,128)}fGa(b,8522920,(c[2143043]|0)-1|0);c[2142811]=0;c[2142810]=8524344;if(!((c[2143056]|0)==-1)){c[w>>2]=8572224;c[w+4>>2]=18;c[w+8>>2]=0;oza(8572224,w,128)}fGa(b,8571240,(c[2143057]|0)-1|0);c[2142809]=0;c[2142808]=8524272;if(!((c[2143054]|0)==-1)){c[v>>2]=8572216;c[v+4>>2]=18;c[v+8>>2]=0;oza(8572216,v,128)}fGa(b,8571232,(c[2143055]|0)-1|0);c[2142807]=0;c[2142806]=8524208;if(!((c[2143052]|0)==-1)){c[u>>2]=8572208;c[u+4>>2]=18;c[u+8>>2]=0;oza(8572208,u,128)}fGa(b,8571224,(c[2143053]|0)-1|0);c[2142805]=0;c[2142804]=8524144;if(!((c[2143050]|0)==-1)){c[t>>2]=8572200;c[t+4>>2]=18;c[t+8>>2]=0;oza(8572200,t,128)}fGa(b,8571216,(c[2143051]|0)-1|0);c[2142875]=0;c[2142874]=8526080;if(!((c[2143260]|0)==-1)){c[s>>2]=8573040;c[s+4>>2]=18;c[s+8>>2]=0;oza(8573040,s,128)}fGa(b,8571496,(c[2143261]|0)-1|0);c[2142873]=0;c[2142872]=8526016;if(!((c[2143258]|0)==-1)){c[r>>2]=8573032;c[r+4>>2]=18;c[r+8>>2]=0;oza(8573032,r,128)}fGa(b,8571488,(c[2143259]|0)-1|0);c[2142871]=0;c[2142870]=8525952;if(!((c[2143256]|0)==-1)){c[q>>2]=8573024;c[q+4>>2]=18;c[q+8>>2]=0;oza(8573024,q,128)}fGa(b,8571480,(c[2143257]|0)-1|0);c[2142869]=0;c[2142868]=8525888;if(!((c[2143254]|0)==-1)){c[p>>2]=8573016;c[p+4>>2]=18;c[p+8>>2]=0;oza(8573016,p,128)}fGa(b,8571472,(c[2143255]|0)-1|0);c[2142793]=0;c[2142792]=8523592;if(!((c[2143032]|0)==-1)){c[o>>2]=8572128;c[o+4>>2]=18;c[o+8>>2]=0;oza(8572128,o,128)}fGa(b,8571168,(c[2143033]|0)-1|0);c[2142791]=0;c[2142790]=8523552;if(!((c[2143030]|0)==-1)){c[n>>2]=8572120;c[n+4>>2]=18;c[n+8>>2]=0;oza(8572120,n,128)}fGa(b,8571160,(c[2143031]|0)-1|0);c[2142789]=0;c[2142788]=8523512;if(!((c[2143028]|0)==-1)){c[m>>2]=8572112;c[m+4>>2]=18;c[m+8>>2]=0;oza(8572112,m,128)}fGa(b,8571152,(c[2143029]|0)-1|0);c[2142787]=0;c[2142786]=8523472;if(!((c[2143026]|0)==-1)){c[l>>2]=8572104;c[l+4>>2]=18;c[l+8>>2]=0;oza(8572104,l,128)}fGa(b,8571144,(c[2143027]|0)-1|0);c[2130727]=0;c[2130726]=8523816;c[2130728]=8523864;if(!((c[2143040]|0)==-1)){c[k>>2]=8572160;c[k+4>>2]=18;c[k+8>>2]=0;oza(8572160,k,128)}fGa(b,8522904,(c[2143041]|0)-1|0);c[2130723]=0;c[2130722]=8523720;c[2130724]=8523768;if(!((c[2143038]|0)==-1)){c[j>>2]=8572152;c[j+4>>2]=18;c[j+8>>2]=0;oza(8572152,j,128)}fGa(b,8522888,(c[2143039]|0)-1|0);c[2130719]=0;c[2130718]=8524720;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);c[2130720]=c[2142782];c[2130718]=8523688;if(!((c[2143036]|0)==-1)){c[h>>2]=8572144;c[h+4>>2]=18;c[h+8>>2]=0;oza(8572144,h,128)}fGa(b,8522872,(c[2143037]|0)-1|0);c[2130715]=0;c[2130714]=8524720;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);c[2130716]=c[2142782];c[2130714]=8523656;if(!((c[2143034]|0)==-1)){c[g>>2]=8572136;c[g+4>>2]=18;c[g+8>>2]=0;oza(8572136,g,128)}fGa(b,8522856,(c[2143035]|0)-1|0);c[2142803]=0;c[2142802]=8524048;if(!((c[2143048]|0)==-1)){c[f>>2]=8572192;c[f+4>>2]=18;c[f+8>>2]=0;oza(8572192,f,128)}fGa(b,8571208,(c[2143049]|0)-1|0);c[2142801]=0;c[2142800]=8524008;if(!((c[2143046]|0)==-1)){c[H>>2]=8572184;c[H+4>>2]=18;c[H+8>>2]=0;oza(8572184,H,128)}fGa(b,8571200,(c[2143047]|0)-1|0);i=e;return}function fGa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;Uya(b|0);e=a+8|0;f=a+12|0;a=c[f>>2]|0;g=e|0;h=c[g>>2]|0;i=a-h>>2;do{if(i>>>0>d>>>0){j=h}else{k=d+1|0;if(i>>>0<k>>>0){kIa(e,k-i|0);j=c[g>>2]|0;break}if(!(i>>>0>k>>>0)){j=h;break}l=h+(k<<2)|0;if((a|0)==(l|0)){j=h;break}c[f>>2]=a+(~((a-4+(-l|0)|0)>>>2)<<2);j=h}}while(0);h=c[j+(d<<2)>>2]|0;if((h|0)==0){m=j;n=m+(d<<2)|0;c[n>>2]=b;return}Vya(h|0)|0;m=c[g>>2]|0;n=m+(d<<2)|0;c[n>>2]=b;return}function gGa(a){a=a|0;hGa(a);QJa(a);return}function hGa(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;c[b>>2]=8524752;d=b+12|0;e=c[d>>2]|0;f=b+8|0;g=c[f>>2]|0;if((e|0)!=(g|0)){h=0;i=g;g=e;while(1){e=c[i+(h<<2)>>2]|0;if((e|0)==0){j=g;k=i}else{Vya(e|0)|0;j=c[d>>2]|0;k=c[f>>2]|0}e=h+1|0;if(e>>>0<j-k>>2>>>0){h=e;i=k;g=j}else{break}}}Dza(b+144|0);j=c[f>>2]|0;if((j|0)==0){l=b|0;Tya(l);return}f=c[d>>2]|0;if((f|0)!=(j|0)){c[d>>2]=f+(~((f-4+(-j|0)|0)>>>2)<<2)}if((b+24|0)==(j|0)){a[b+136|0]=0;l=b|0;Tya(l);return}else{QJa(j);l=b|0;Tya(l);return}}function iGa(){var b=0,d=0;if((a[8573104]|0)!=0){b=c[2142774]|0;return b|0}if((ac(8573104)|0)==0){b=c[2142774]|0;return b|0}do{if((a[8573112]|0)==0){if((ac(8573112)|0)==0){break}eGa(8571288,1);c[2142778]=8571288;c[2142776]=8571112}}while(0);d=c[c[2142776]>>2]|0;c[2142780]=d;Uya(d|0);c[2142774]=8571120;b=c[2142774]|0;return b|0}function jGa(a){a=a|0;var b=0;b=c[(iGa()|0)>>2]|0;c[a>>2]=b;Uya(b|0);return}function kGa(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;Uya(d|0);return}function lGa(a){a=a|0;Vya(c[a>>2]|0)|0;return}function mGa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+16|0;e=d|0;f=c[a>>2]|0;a=b|0;if(!((c[a>>2]|0)==-1)){c[e>>2]=b;c[e+4>>2]=18;c[e+8>>2]=0;oza(a,e,128)}e=(c[b+4>>2]|0)-1|0;b=c[f+8>>2]|0;if(!((c[f+12>>2]|0)-b>>2>>>0>e>>>0)){g=0;i=d;return g|0}g=(c[b+(e<<2)>>2]|0)!=0;i=d;return g|0}function nGa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;i=i+16|0;e=d|0;f=c[a>>2]|0;a=b|0;if(!((c[a>>2]|0)==-1)){c[e>>2]=b;c[e+4>>2]=18;c[e+8>>2]=0;oza(a,e,128)}e=(c[b+4>>2]|0)-1|0;b=c[f+8>>2]|0;if(!((c[f+12>>2]|0)-b>>2>>>0>e>>>0)){g=Bd(4)|0;h=g;nJa(h);vc(g|0,8529704,182);return 0}f=c[b+(e<<2)>>2]|0;if((f|0)==0){g=Bd(4)|0;h=g;nJa(h);vc(g|0,8529704,182);return 0}else{i=d;return f|0}return 0}function oGa(a){a=a|0;Tya(a|0);QJa(a);return}function pGa(a){a=a|0;if((a|0)==0){return}Vd[c[(c[a>>2]|0)+4>>2]&511](a);return}function qGa(a){a=a|0;c[a+4>>2]=(I=c[2143070]|0,c[2143070]=I+1,I)+1;return}function rGa(a){a=a|0;Tya(a|0);QJa(a);return}function sGa(a,d,e){a=a|0;d=d|0;e=e|0;var f=0;if(!(e>>>0<128>>>0)){f=0;return f|0}f=(b[(c[(gb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16!=0;return f|0}function tGa(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;if((d|0)==(e|0)){g=d;return g|0}else{h=d;i=f}while(1){f=c[h>>2]|0;if(f>>>0<128>>>0){j=b[(c[(gb()|0)>>2]|0)+(f<<1)>>1]|0}else{j=0}b[i>>1]=j;f=h+4|0;if((f|0)==(e|0)){g=e;break}else{h=f;i=i+2|0}}return g|0}function uGa(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((e|0)==(f|0)){g=e;return g|0}else{h=e}while(1){e=c[h>>2]|0;if(e>>>0<128>>>0){if(!((b[(c[(gb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16==0)){g=h;i=7;break}}e=h+4|0;if((e|0)==(f|0)){g=f;i=7;break}else{h=e}}if((i|0)==7){return g|0}return 0}function vGa(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=e;while(1){if((a|0)==(f|0)){g=f;h=7;break}e=c[a>>2]|0;if(!(e>>>0<128>>>0)){g=a;h=7;break}if((b[(c[(gb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16==0){g=a;h=7;break}else{a=a+4|0}}if((h|0)==7){return g|0}return 0}function wGa(a,b){a=a|0;b=b|0;var d=0;if(!(b>>>0<128>>>0)){d=b;return d|0}d=c[(c[(Hd()|0)>>2]|0)+(b<<2)>>2]|0;return d|0}function xGa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((b|0)==(d|0)){e=b;return e|0}else{f=b}while(1){b=c[f>>2]|0;if(b>>>0<128>>>0){g=c[(c[(Hd()|0)>>2]|0)+(b<<2)>>2]|0}else{g=b}c[f>>2]=g;b=f+4|0;if((b|0)==(d|0)){e=d;break}else{f=b}}return e|0}function yGa(a,b){a=a|0;b=b|0;var d=0;if(!(b>>>0<128>>>0)){d=b;return d|0}d=c[(c[(Id()|0)>>2]|0)+(b<<2)>>2]|0;return d|0}function zGa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((b|0)==(d|0)){e=b;return e|0}else{f=b}while(1){b=c[f>>2]|0;if(b>>>0<128>>>0){g=c[(c[(Id()|0)>>2]|0)+(b<<2)>>2]|0}else{g=b}c[f>>2]=g;b=f+4|0;if((b|0)==(d|0)){e=d;break}else{f=b}}return e|0}function AGa(a,b){a=a|0;b=b|0;return b<<24>>24|0}function BGa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((d|0)==(e|0)){g=d;return g|0}else{h=d;i=f}while(1){c[i>>2]=a[h]|0;f=h+1|0;if((f|0)==(e|0)){g=e;break}else{h=f;i=i+4|0}}return g|0}function CGa(a,b,c){a=a|0;b=b|0;c=c|0;return(b>>>0<128>>>0?b&255:c)|0}function DGa(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;if((d|0)==(e|0)){h=d;return h|0}b=((e-4+(-d|0)|0)>>>2)+1|0;i=d;j=g;while(1){g=c[i>>2]|0;a[j]=g>>>0<128>>>0?g&255:f;g=i+4|0;if((g|0)==(e|0)){break}else{i=g;j=j+1|0}}h=d+(b<<2)|0;return h|0}function EGa(b){b=b|0;var d=0;c[b>>2]=8524864;d=c[b+8>>2]|0;do{if((d|0)!=0){if((a[b+12|0]|0)==0){break}RJa(d)}}while(0);Tya(b|0);QJa(b);return}function FGa(b){b=b|0;var d=0;c[b>>2]=8524864;d=c[b+8>>2]|0;do{if((d|0)!=0){if((a[b+12|0]|0)==0){break}RJa(d)}}while(0);Tya(b|0);return}function GGa(a,b){a=a|0;b=b|0;var d=0;if(b<<24>>24<0){d=b;return d|0}d=c[(c[(Hd()|0)>>2]|0)+((b&255)<<2)>>2]&255;return d|0}function HGa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((d|0)==(e|0)){f=d;return f|0}else{g=d}while(1){d=a[g]|0;if(d<<24>>24<0){h=d}else{h=c[(c[(Hd()|0)>>2]|0)+(d<<24>>24<<2)>>2]&255}a[g]=h;d=g+1|0;if((d|0)==(e|0)){f=e;break}else{g=d}}return f|0}function IGa(a,b){a=a|0;b=b|0;var d=0;if(b<<24>>24<0){d=b;return d|0}d=c[(c[(Id()|0)>>2]|0)+(b<<24>>24<<2)>>2]&255;return d|0}function JGa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((d|0)==(e|0)){f=d;return f|0}else{g=d}while(1){d=a[g]|0;if(d<<24>>24<0){h=d}else{h=c[(c[(Id()|0)>>2]|0)+(d<<24>>24<<2)>>2]&255}a[g]=h;d=g+1|0;if((d|0)==(e|0)){f=e;break}else{g=d}}return f|0}function KGa(a,b){a=a|0;b=b|0;return b|0}function LGa(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((c|0)==(d|0)){f=c;return f|0}else{g=c;h=e}while(1){a[h]=a[g]|0;e=g+1|0;if((e|0)==(d|0)){f=d;break}else{g=e;h=h+1|0}}return f|0}function MGa(a,b,c){a=a|0;b=b|0;c=c|0;return(b<<24>>24<0?c:b)|0}function NGa(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((c|0)==(d|0)){g=c;return g|0}else{h=c;i=f}while(1){f=a[h]|0;a[i]=f<<24>>24<0?e:f;f=h+1|0;if((f|0)==(d|0)){g=d;break}else{h=f;i=i+1|0}}return g|0}function OGa(a){a=a|0;Tya(a|0);QJa(a);return}function PGa(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;c[f>>2]=d;c[i>>2]=g;return 3}function QGa(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;c[f>>2]=d;c[i>>2]=g;return 3}function RGa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function SGa(a){a=a|0;return 1}function TGa(a){a=a|0;return 1}function UGa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;b=d-c|0;return(b>>>0<e>>>0?b:e)|0}function VGa(a){a=a|0;return 1}function WGa(a){a=a|0;cGa(a);QJa(a);return}function XGa(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;l=i;i=i+8|0;m=l|0;n=m;o=i;i=i+4|0;i=i+7&-8;p=e;while(1){if((p|0)==(f|0)){q=f;break}if((c[p>>2]|0)==0){q=p;break}else{p=p+4|0}}c[k>>2]=h;c[g>>2]=e;a:do{if((e|0)==(f|0)|(h|0)==(j|0)){r=e}else{p=d;s=j;t=b+8|0;u=o|0;v=h;w=e;x=q;while(1){y=c[p+4>>2]|0;c[m>>2]=c[p>>2];c[m+4>>2]=y;y=gd(c[t>>2]|0)|0;z=OIa(v,g,x-w>>2,s-v|0,d)|0;if((y|0)!=0){gd(y|0)|0}if((z|0)==(-1|0)){A=15;break}else if((z|0)==0){B=1;A=50;break}y=(c[k>>2]|0)+z|0;c[k>>2]=y;if((y|0)==(j|0)){A=48;break}if((x|0)==(f|0)){C=f;D=y;E=c[g>>2]|0}else{y=gd(c[t>>2]|0)|0;z=NIa(u,0,d)|0;if((y|0)!=0){gd(y|0)|0}if((z|0)==-1){B=2;A=50;break}y=c[k>>2]|0;if(z>>>0>(s-y|0)>>>0){B=1;A=50;break}b:do{if((z|0)!=0){F=z;G=u;H=y;while(1){I=a[G]|0;c[k>>2]=H+1;a[H]=I;I=F-1|0;if((I|0)==0){break b}F=I;G=G+1|0;H=c[k>>2]|0}}}while(0);y=(c[g>>2]|0)+4|0;c[g>>2]=y;z=y;while(1){if((z|0)==(f|0)){J=f;break}if((c[z>>2]|0)==0){J=z;break}else{z=z+4|0}}C=J;D=c[k>>2]|0;E=y}if((E|0)==(f|0)|(D|0)==(j|0)){r=E;break a}else{v=D;w=E;x=C}}if((A|0)==15){c[k>>2]=v;c:do{if((w|0)==(c[g>>2]|0)){K=w}else{x=w;u=v;while(1){s=c[x>>2]|0;p=gd(c[t>>2]|0)|0;z=NIa(u,s,n)|0;if((p|0)!=0){gd(p|0)|0}if((z|0)==-1){K=x;break c}p=(c[k>>2]|0)+z|0;c[k>>2]=p;z=x+4|0;if((z|0)==(c[g>>2]|0)){K=z;break}else{x=z;u=p}}}}while(0);c[g>>2]=K;B=2;i=l;return B|0}else if((A|0)==48){r=c[g>>2]|0;break}else if((A|0)==50){i=l;return B|0}}}while(0);B=(r|0)!=(f|0)|0;i=l;return B|0}function YGa(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;l=i;i=i+8|0;m=l|0;n=m;o=e;while(1){if((o|0)==(f|0)){p=f;break}if((a[o]|0)==0){p=o;break}else{o=o+1|0}}c[k>>2]=h;c[g>>2]=e;a:do{if((e|0)==(f|0)|(h|0)==(j|0)){q=e}else{o=d;r=j;s=b+8|0;t=h;u=e;v=p;while(1){w=c[o+4>>2]|0;c[m>>2]=c[o>>2];c[m+4>>2]=w;x=v;w=gd(c[s>>2]|0)|0;y=KIa(t,g,x-u|0,r-t>>2,d)|0;if((w|0)!=0){gd(w|0)|0}if((y|0)==(-1|0)){z=15;break}else if((y|0)==0){A=2;z=49;break}w=(c[k>>2]|0)+(y<<2)|0;c[k>>2]=w;if((w|0)==(j|0)){z=47;break}y=c[g>>2]|0;if((v|0)==(f|0)){B=f;C=w;D=y}else{E=gd(c[s>>2]|0)|0;F=JIa(w,y,1,d)|0;if((E|0)!=0){gd(E|0)|0}if((F|0)!=0){A=2;z=49;break}c[k>>2]=(c[k>>2]|0)+4;F=(c[g>>2]|0)+1|0;c[g>>2]=F;E=F;while(1){if((E|0)==(f|0)){G=f;break}if((a[E]|0)==0){G=E;break}else{E=E+1|0}}B=G;C=c[k>>2]|0;D=F}if((D|0)==(f|0)|(C|0)==(j|0)){q=D;break a}else{t=C;u=D;v=B}}if((z|0)==15){c[k>>2]=t;b:do{if((u|0)==(c[g>>2]|0)){H=u}else{v=t;r=u;while(1){o=gd(c[s>>2]|0)|0;E=JIa(v,r,x-r|0,n)|0;if((o|0)!=0){gd(o|0)|0}if((E|0)==0){I=r+1|0}else if((E|0)==(-2|0)){z=27;break}else if((E|0)==(-1|0)){z=26;break}else{I=r+E|0}E=(c[k>>2]|0)+4|0;c[k>>2]=E;if((I|0)==(c[g>>2]|0)){H=I;break b}else{v=E;r=I}}if((z|0)==26){c[g>>2]=r;A=2;i=l;return A|0}else if((z|0)==27){c[g>>2]=r;A=1;i=l;return A|0}}}while(0);c[g>>2]=H;A=(H|0)!=(f|0)|0;i=l;return A|0}else if((z|0)==47){q=c[g>>2]|0;break}else if((z|0)==49){i=l;return A|0}}}while(0);A=(q|0)!=(f|0)|0;i=l;return A|0}function ZGa(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;i=i+8|0;c[g>>2]=e;e=h|0;j=gd(c[b+8>>2]|0)|0;b=NIa(e,0,d)|0;if((j|0)!=0){gd(j|0)|0}if((b|0)==(-1|0)|(b|0)==0){k=2;i=h;return k|0}j=b-1|0;b=c[g>>2]|0;if(j>>>0>(f-b|0)>>>0){k=1;i=h;return k|0}if((j|0)==0){k=0;i=h;return k|0}else{l=j;m=e;n=b}while(1){b=a[m]|0;c[g>>2]=n+1;a[n]=b;b=l-1|0;if((b|0)==0){k=0;break}l=b;m=m+1|0;n=c[g>>2]|0}i=h;return k|0}function _Ga(a){a=a|0;var b=0,d=0,e=0;b=a+8|0;a=gd(c[b>>2]|0)|0;d=MIa(0,0,4)|0;if((a|0)!=0){gd(a|0)|0}if((d|0)!=0){e=-1;return e|0}d=c[b>>2]|0;if((d|0)==0){e=1;return e|0}b=gd(d|0)|0;if((b|0)==0){e=0;return e|0}gd(b|0)|0;e=0;return e|0}function $Ga(a){a=a|0;return 0}function aHa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;if((f|0)==0|(d|0)==(e|0)){g=0;return g|0}h=e;i=a+8|0;a=d;d=0;j=0;while(1){k=gd(c[i>>2]|0)|0;l=IIa(a,h-a|0,b)|0;if((k|0)!=0){gd(k|0)|0}if((l|0)==(-1|0)|(l|0)==(-2|0)){g=d;m=15;break}else if((l|0)==0){n=1;o=a+1|0}else{n=l;o=a+l|0}l=n+d|0;k=j+1|0;if(k>>>0>=f>>>0|(o|0)==(e|0)){g=l;m=15;break}else{a=o;d=l;j=k}}if((m|0)==15){return g|0}return 0}function bHa(a){a=a|0;var b=0,d=0;b=c[a+8>>2]|0;do{if((b|0)==0){d=1}else{a=gd(b|0)|0;if((a|0)==0){d=4;break}gd(a|0)|0;d=4}}while(0);return d|0}function cHa(a){a=a|0;Tya(a|0);QJa(a);return}function dHa(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=eHa(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d>>1<<1);c[j>>2]=g+((c[k>>2]|0)-g);i=b;return l|0}function eHa(d,f,g,h,i,j,k,l){d=d|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;c[g>>2]=d;c[j>>2]=h;do{if((l&2|0)!=0){if((i-h|0)<3){m=1;return m|0}else{c[j>>2]=h+1;a[h]=-17;d=c[j>>2]|0;c[j>>2]=d+1;a[d]=-69;d=c[j>>2]|0;c[j>>2]=d+1;a[d]=-65;break}}}while(0);h=f;l=c[g>>2]|0;if(!(l>>>0<f>>>0)){m=0;return m|0}d=i;i=l;a:while(1){l=b[i>>1]|0;n=l&65535;if(n>>>0>k>>>0){m=2;o=26;break}do{if((l&65535)>>>0<128>>>0){p=c[j>>2]|0;if((d-p|0)<1){m=1;o=26;break a}c[j>>2]=p+1;a[p]=l}else{if((l&65535)>>>0<2048>>>0){p=c[j>>2]|0;if((d-p|0)<2){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>6|192;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if((l&65535)>>>0<55296>>>0){p=c[j>>2]|0;if((d-p|0)<3){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>12|224;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n>>>6&63|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if(!((l&65535)>>>0<56320>>>0)){if((l&65535)>>>0<57344>>>0){m=2;o=26;break a}p=c[j>>2]|0;if((d-p|0)<3){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>12|224;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n>>>6&63|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if((h-i|0)<4){m=1;o=26;break a}p=i+2|0;q=e[p>>1]|0;if((q&64512|0)!=56320){m=2;o=26;break a}if((d-(c[j>>2]|0)|0)<4){m=1;o=26;break a}r=n&960;if(((r<<10)+65536|n<<10&64512|q&1023)>>>0>k>>>0){m=2;o=26;break a}c[g>>2]=p;p=(r>>>6)+1|0;r=c[j>>2]|0;c[j>>2]=r+1;a[r]=p>>>2|240;r=c[j>>2]|0;c[j>>2]=r+1;a[r]=n>>>2&15|p<<4&48|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n<<4&48|q>>>6&15|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=q&63|128}}while(0);n=(c[g>>2]|0)+2|0;c[g>>2]=n;if(n>>>0<f>>>0){i=n}else{m=0;o=26;break}}if((o|0)==26){return m|0}return 0}function fHa(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=gHa(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d);c[j>>2]=g+((c[k>>2]|0)-g>>1<<1);i=b;return l|0}function gHa(e,f,g,h,i,j,k,l){e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;c[g>>2]=e;c[j>>2]=h;h=c[g>>2]|0;do{if((l&4|0)==0){m=h}else{if((f-h|0)<=2){m=h;break}if(!((a[h]|0)==-17)){m=h;break}if(!((a[h+1|0]|0)==-69)){m=h;break}if(!((a[h+2|0]|0)==-65)){m=h;break}e=h+3|0;c[g>>2]=e;m=e}}while(0);a:do{if(m>>>0<f>>>0){h=f;l=i;e=c[j>>2]|0;n=m;b:while(1){if(!(e>>>0<i>>>0)){o=n;break a}p=a[n]|0;q=p&255;if(q>>>0>k>>>0){r=2;s=41;break}do{if(p<<24>>24>-1){b[e>>1]=p&255;c[g>>2]=n+1}else{if((p&255)>>>0<194>>>0){r=2;s=41;break b}if((p&255)>>>0<224>>>0){if((h-n|0)<2){r=1;s=41;break b}t=d[n+1|0]|0;if((t&192|0)!=128){r=2;s=41;break b}u=t&63|q<<6&1984;if(u>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=u;c[g>>2]=n+2;break}if((p&255)>>>0<240>>>0){if((h-n|0)<3){r=1;s=41;break b}u=a[n+1|0]|0;t=a[n+2|0]|0;if((q|0)==224){if(!((u&-32)<<24>>24==-96)){r=2;s=41;break b}}else if((q|0)==237){if(!((u&-32)<<24>>24==-128)){r=2;s=41;break b}}else{if(!((u&-64)<<24>>24==-128)){r=2;s=41;break b}}v=t&255;if((v&192|0)!=128){r=2;s=41;break b}t=(u&255)<<6&4032|q<<12|v&63;if((t&65535)>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=t;c[g>>2]=n+3;break}if(!((p&255)>>>0<245>>>0)){r=2;s=41;break b}if((h-n|0)<4){r=1;s=41;break b}t=a[n+1|0]|0;v=a[n+2|0]|0;u=a[n+3|0]|0;if((q|0)==240){if(!((t+112&255)>>>0<48>>>0)){r=2;s=41;break b}}else if((q|0)==244){if(!((t&-16)<<24>>24==-128)){r=2;s=41;break b}}else{if(!((t&-64)<<24>>24==-128)){r=2;s=41;break b}}w=v&255;if((w&192|0)!=128){r=2;s=41;break b}v=u&255;if((v&192|0)!=128){r=2;s=41;break b}if((l-e|0)<4){r=1;s=41;break b}u=q&7;x=t&255;t=w<<6;y=v&63;if((x<<12&258048|u<<18|t&4032|y)>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=x<<2&60|w>>>4&3|((x>>>4&3|u<<2)<<6)+16320|55296;u=e+2|0;c[j>>2]=u;b[u>>1]=y|t&960|56320;c[g>>2]=(c[g>>2]|0)+4}}while(0);q=(c[j>>2]|0)+2|0;c[j>>2]=q;p=c[g>>2]|0;if(p>>>0<f>>>0){e=q;n=p}else{o=p;break a}}if((s|0)==41){return r|0}}else{o=m}}while(0);r=o>>>0<f>>>0|0;return r|0}function hHa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function iHa(a){a=a|0;return 0}function jHa(a){a=a|0;return 0}function kHa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return lHa(c,d,e,1114111,0)|0}function lHa(b,c,e,f,g){b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;do{if((g&4|0)==0){h=b}else{if((c-b|0)<=2){h=b;break}if(!((a[b]|0)==-17)){h=b;break}if(!((a[b+1|0]|0)==-69)){h=b;break}h=(a[b+2|0]|0)==-65?b+3|0:b}}while(0);a:do{if(h>>>0<c>>>0&(e|0)!=0){g=c;i=0;j=h;b:while(1){k=a[j]|0;l=k&255;if(l>>>0>f>>>0){m=j;break a}do{if(k<<24>>24>-1){n=j+1|0;o=i}else{if((k&255)>>>0<194>>>0){m=j;break a}if((k&255)>>>0<224>>>0){if((g-j|0)<2){m=j;break a}p=d[j+1|0]|0;if((p&192|0)!=128){m=j;break a}if((p&63|l<<6&1984)>>>0>f>>>0){m=j;break a}n=j+2|0;o=i;break}if((k&255)>>>0<240>>>0){q=j;if((g-q|0)<3){m=j;break a}p=a[j+1|0]|0;r=a[j+2|0]|0;if((l|0)==237){if(!((p&-32)<<24>>24==-128)){s=23;break b}}else if((l|0)==224){if(!((p&-32)<<24>>24==-96)){s=21;break b}}else{if(!((p&-64)<<24>>24==-128)){s=25;break b}}t=r&255;if((t&192|0)!=128){m=j;break a}if(((p&255)<<6&4032|l<<12&61440|t&63)>>>0>f>>>0){m=j;break a}n=j+3|0;o=i;break}if(!((k&255)>>>0<245>>>0)){m=j;break a}u=j;if((g-u|0)<4){m=j;break a}if((e-i|0)>>>0<2>>>0){m=j;break a}t=a[j+1|0]|0;p=a[j+2|0]|0;r=a[j+3|0]|0;if((l|0)==240){if(!((t+112&255)>>>0<48>>>0)){s=34;break b}}else if((l|0)==244){if(!((t&-16)<<24>>24==-128)){s=36;break b}}else{if(!((t&-64)<<24>>24==-128)){s=38;break b}}v=p&255;if((v&192|0)!=128){m=j;break a}p=r&255;if((p&192|0)!=128){m=j;break a}if(((t&255)<<12&258048|l<<18&1835008|v<<6&4032|p&63)>>>0>f>>>0){m=j;break a}n=j+4|0;o=i+1|0}}while(0);l=o+1|0;if(n>>>0<c>>>0&l>>>0<e>>>0){i=l;j=n}else{m=n;break a}}if((s|0)==21){w=q-b|0;return w|0}else if((s|0)==23){w=q-b|0;return w|0}else if((s|0)==25){w=q-b|0;return w|0}else if((s|0)==34){w=u-b|0;return w|0}else if((s|0)==36){w=u-b|0;return w|0}else if((s|0)==38){w=u-b|0;return w|0}}else{m=h}}while(0);w=m-b|0;return w|0}function mHa(a){a=a|0;return 4}function nHa(a){a=a|0;Tya(a|0);QJa(a);return}function oHa(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=pHa(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d>>2<<2);c[j>>2]=g+((c[k>>2]|0)-g);i=b;return l|0}function pHa(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0;c[e>>2]=b;c[h>>2]=f;do{if((j&2|0)!=0){if((g-f|0)<3){k=1;return k|0}else{c[h>>2]=f+1;a[f]=-17;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=-69;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=-65;break}}}while(0);f=c[e>>2]|0;if(!(f>>>0<d>>>0)){k=0;return k|0}j=g;g=f;a:while(1){f=c[g>>2]|0;if((f&-2048|0)==55296|f>>>0>i>>>0){k=2;l=19;break}do{if(f>>>0<128>>>0){b=c[h>>2]|0;if((j-b|0)<1){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f}else{if(f>>>0<2048>>>0){b=c[h>>2]|0;if((j-b|0)<2){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>6|192;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f&63|128;break}b=c[h>>2]|0;m=j-b|0;if(f>>>0<65536>>>0){if((m|0)<3){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>12|224;n=c[h>>2]|0;c[h>>2]=n+1;a[n]=f>>>6&63|128;n=c[h>>2]|0;c[h>>2]=n+1;a[n]=f&63|128;break}else{if((m|0)<4){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>18|240;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f>>>12&63|128;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f>>>6&63|128;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f&63|128;break}}}while(0);f=(c[e>>2]|0)+4|0;c[e>>2]=f;if(f>>>0<d>>>0){g=f}else{k=0;l=19;break}}if((l|0)==19){return k|0}return 0}function qHa(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=rHa(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d);c[j>>2]=g+((c[k>>2]|0)-g>>2<<2);i=b;return l|0}function rHa(b,e,f,g,h,i,j,k){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;c[f>>2]=b;c[i>>2]=g;g=c[f>>2]|0;do{if((k&4|0)==0){l=g}else{if((e-g|0)<=2){l=g;break}if(!((a[g]|0)==-17)){l=g;break}if(!((a[g+1|0]|0)==-69)){l=g;break}if(!((a[g+2|0]|0)==-65)){l=g;break}b=g+3|0;c[f>>2]=b;l=b}}while(0);a:do{if(l>>>0<e>>>0){g=e;k=c[i>>2]|0;b=l;b:while(1){if(!(k>>>0<h>>>0)){m=b;break a}n=a[b]|0;o=n&255;do{if(n<<24>>24>-1){if(o>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=o;c[f>>2]=b+1}else{if((n&255)>>>0<194>>>0){p=2;q=40;break b}if((n&255)>>>0<224>>>0){if((g-b|0)<2){p=1;q=40;break b}r=d[b+1|0]|0;if((r&192|0)!=128){p=2;q=40;break b}s=r&63|o<<6&1984;if(s>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=s;c[f>>2]=b+2;break}if((n&255)>>>0<240>>>0){if((g-b|0)<3){p=1;q=40;break b}s=a[b+1|0]|0;r=a[b+2|0]|0;if((o|0)==237){if(!((s&-32)<<24>>24==-128)){p=2;q=40;break b}}else if((o|0)==224){if(!((s&-32)<<24>>24==-96)){p=2;q=40;break b}}else{if(!((s&-64)<<24>>24==-128)){p=2;q=40;break b}}t=r&255;if((t&192|0)!=128){p=2;q=40;break b}r=(s&255)<<6&4032|o<<12&61440|t&63;if(r>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=r;c[f>>2]=b+3;break}if(!((n&255)>>>0<245>>>0)){p=2;q=40;break b}if((g-b|0)<4){p=1;q=40;break b}r=a[b+1|0]|0;t=a[b+2|0]|0;s=a[b+3|0]|0;if((o|0)==240){if(!((r+112&255)>>>0<48>>>0)){p=2;q=40;break b}}else if((o|0)==244){if(!((r&-16)<<24>>24==-128)){p=2;q=40;break b}}else{if(!((r&-64)<<24>>24==-128)){p=2;q=40;break b}}u=t&255;if((u&192|0)!=128){p=2;q=40;break b}t=s&255;if((t&192|0)!=128){p=2;q=40;break b}s=(r&255)<<12&258048|o<<18&1835008|u<<6&4032|t&63;if(s>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=s;c[f>>2]=b+4}}while(0);o=(c[i>>2]|0)+4|0;c[i>>2]=o;n=c[f>>2]|0;if(n>>>0<e>>>0){k=o;b=n}else{m=n;break a}}if((q|0)==40){return p|0}}else{m=l}}while(0);p=m>>>0<e>>>0|0;return p|0}function sHa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function tHa(a){a=a|0;return 0}function uHa(a){a=a|0;return 0}function vHa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return wHa(c,d,e,1114111,0)|0}function wHa(b,c,e,f,g){b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;do{if((g&4|0)==0){h=b}else{if((c-b|0)<=2){h=b;break}if(!((a[b]|0)==-17)){h=b;break}if(!((a[b+1|0]|0)==-69)){h=b;break}h=(a[b+2|0]|0)==-65?b+3|0:b}}while(0);a:do{if(h>>>0<c>>>0&(e|0)!=0){g=c;i=1;j=h;b:while(1){k=a[j]|0;l=k&255;do{if(k<<24>>24>-1){if(l>>>0>f>>>0){m=j;break a}n=j+1|0}else{if((k&255)>>>0<194>>>0){m=j;break a}if((k&255)>>>0<224>>>0){if((g-j|0)<2){m=j;break a}o=d[j+1|0]|0;if((o&192|0)!=128){m=j;break a}if((o&63|l<<6&1984)>>>0>f>>>0){m=j;break a}n=j+2|0;break}if((k&255)>>>0<240>>>0){p=j;if((g-p|0)<3){m=j;break a}o=a[j+1|0]|0;q=a[j+2|0]|0;if((l|0)==224){if(!((o&-32)<<24>>24==-96)){r=21;break b}}else if((l|0)==237){if(!((o&-32)<<24>>24==-128)){r=23;break b}}else{if(!((o&-64)<<24>>24==-128)){r=25;break b}}s=q&255;if((s&192|0)!=128){m=j;break a}if(((o&255)<<6&4032|l<<12&61440|s&63)>>>0>f>>>0){m=j;break a}n=j+3|0;break}if(!((k&255)>>>0<245>>>0)){m=j;break a}t=j;if((g-t|0)<4){m=j;break a}s=a[j+1|0]|0;o=a[j+2|0]|0;q=a[j+3|0]|0;if((l|0)==244){if(!((s&-16)<<24>>24==-128)){r=35;break b}}else if((l|0)==240){if(!((s+112&255)>>>0<48>>>0)){r=33;break b}}else{if(!((s&-64)<<24>>24==-128)){r=37;break b}}u=o&255;if((u&192|0)!=128){m=j;break a}o=q&255;if((o&192|0)!=128){m=j;break a}if(((s&255)<<12&258048|l<<18&1835008|u<<6&4032|o&63)>>>0>f>>>0){m=j;break a}n=j+4|0}}while(0);if(!(n>>>0<c>>>0&i>>>0<e>>>0)){m=n;break a}i=i+1|0;j=n}if((r|0)==21){v=p-b|0;return v|0}else if((r|0)==23){v=p-b|0;return v|0}else if((r|0)==25){v=p-b|0;return v|0}else if((r|0)==33){v=t-b|0;return v|0}else if((r|0)==35){v=t-b|0;return v|0}else if((r|0)==37){v=t-b|0;return v|0}}else{m=h}}while(0);v=m-b|0;return v|0}function xHa(a){a=a|0;return 4}function yHa(a){a=a|0;Tya(a|0);QJa(a);return}function zHa(a){a=a|0;Tya(a|0);QJa(a);return}function AHa(a){a=a|0;c[a>>2]=8523960;Dza(a+12|0);Tya(a|0);QJa(a);return}function BHa(a){a=a|0;c[a>>2]=8523960;Dza(a+12|0);Tya(a|0);return}function CHa(a){a=a|0;c[a>>2]=8523912;Dza(a+16|0);Tya(a|0);QJa(a);return}function DHa(a){a=a|0;c[a>>2]=8523912;Dza(a+16|0);Tya(a|0);return}function EHa(b){b=b|0;return a[b+8|0]|0}function FHa(a){a=a|0;return c[a+8>>2]|0}function GHa(b){b=b|0;return a[b+9|0]|0}function HHa(a){a=a|0;return c[a+12>>2]|0}function IHa(a,b){a=a|0;b=b|0;tza(a,b+12|0);return}function JHa(a,b){a=a|0;b=b|0;tza(a,b+16|0);return}function KHa(a,b){a=a|0;b=b|0;vza(a,120296,4);return}function LHa(a,b){a=a|0;b=b|0;dAa(a,117688,iJa(117688)|0);return}function MHa(a,b){a=a|0;b=b|0;vza(a,115368,5);return}function NHa(a,b){a=a|0;b=b|0;dAa(a,113104,iJa(113104)|0);return}function OHa(b){b=b|0;var d=0;if((a[8573200]|0)!=0){d=c[2142900]|0;return d|0}if((ac(8573200)|0)==0){d=c[2142900]|0;return d|0}do{if((a[8573088]|0)==0){if((ac(8573088)|0)==0){break}lKa(8570640,0,168)|0;Fb(332,0,s|0)|0}}while(0);Gza(8570640,172400)|0;Gza(8570652,171584)|0;Gza(8570664,170984)|0;Gza(8570676,170488)|0;Gza(8570688,169928)|0;Gza(8570700,169240)|0;Gza(8570712,168640)|0;Gza(8570724,168160)|0;Gza(8570736,167752)|0;Gza(8570748,167176)|0;Gza(8570760,166728)|0;Gza(8570772,165608)|0;Gza(8570784,165240)|0;Gza(8570796,164848)|0;c[2142900]=8570640;d=c[2142900]|0;return d|0}function PHa(b){b=b|0;var d=0;if((a[8573144]|0)!=0){d=c[2142878]|0;return d|0}if((ac(8573144)|0)==0){d=c[2142878]|0;return d|0}do{if((a[8573064]|0)==0){if((ac(8573064)|0)==0){break}lKa(8569896,0,168)|0;Fb(124,0,s|0)|0}}while(0);gAa(8569896,183760)|0;gAa(8569908,181368)|0;gAa(8569920,180776)|0;gAa(8569932,180352)|0;gAa(8569944,179640)|0;gAa(8569956,178864)|0;gAa(8569968,177832)|0;gAa(8569980,177384)|0;gAa(8569992,176408)|0;gAa(8570004,175800)|0;gAa(8570016,175304)|0;gAa(8570028,174744)|0;gAa(8570040,174096)|0;gAa(8570052,173480)|0;c[2142878]=8569896;d=c[2142878]|0;return d|0}function QHa(b){b=b|0;var d=0;if((a[8573192]|0)!=0){d=c[2142898]|0;return d|0}if((ac(8573192)|0)==0){d=c[2142898]|0;return d|0}do{if((a[8573080]|0)==0){if((ac(8573080)|0)==0){break}lKa(8570352,0,288)|0;Fb(218,0,s|0)|0}}while(0);Gza(8570352,32312)|0;Gza(8570364,31832)|0;Gza(8570376,31464)|0;Gza(8570388,30976)|0;Gza(8570400,30504)|0;Gza(8570412,30072)|0;Gza(8570424,29344)|0;Gza(8570436,28760)|0;Gza(8570448,28256)|0;Gza(8570460,27608)|0;Gza(8570472,26176)|0;Gza(8570484,25792)|0;Gza(8570496,25104)|0;Gza(8570508,24440)|0;Gza(8570520,23600)|0;Gza(8570532,23080)|0;Gza(8570544,30504)|0;Gza(8570556,22424)|0;Gza(8570568,21928)|0;Gza(8570580,8522208)|0;Gza(8570592,6877936)|0;Gza(8570604,186056)|0;Gza(8570616,185448)|0;Gza(8570628,184720)|0;c[2142898]=8570352;d=c[2142898]|0;return d|0}function RHa(b){b=b|0;var d=0;if((a[8573136]|0)!=0){d=c[2142876]|0;return d|0}if((ac(8573136)|0)==0){d=c[2142876]|0;return d|0}do{if((a[8573056]|0)==0){if((ac(8573056)|0)==0){break}lKa(8569608,0,288)|0;Fb(170,0,s|0)|0}}while(0);gAa(8569608,49152)|0;gAa(8569620,48480)|0;gAa(8569632,47800)|0;gAa(8569644,47184)|0;gAa(8569656,38288)|0;gAa(8569668,45032)|0;gAa(8569680,44464)|0;gAa(8569692,43816)|0;gAa(8569704,43304)|0;gAa(8569716,42656)|0;gAa(8569728,42192)|0;gAa(8569740,41568)|0;gAa(8569752,40936)|0;gAa(8569764,40480)|0;gAa(8569776,39856)|0;gAa(8569788,38824)|0;gAa(8569800,38288)|0;gAa(8569812,37744)|0;gAa(8569824,37048)|0;gAa(8569836,36128)|0;gAa(8569848,35616)|0;gAa(8569860,35104)|0;gAa(8569872,34576)|0;gAa(8569884,34136)|0;c[2142876]=8569608;d=c[2142876]|0;return d|0}function SHa(b){b=b|0;var d=0;if((a[8573208]|0)!=0){d=c[2142902]|0;return d|0}if((ac(8573208)|0)==0){d=c[2142902]|0;return d|0}do{if((a[8573096]|0)==0){if((ac(8573096)|0)==0){break}lKa(8570808,0,288)|0;Fb(168,0,s|0)|0}}while(0);Gza(8570808,51792)|0;Gza(8570820,50448)|0;c[2142902]=8570808;d=c[2142902]|0;return d|0}function THa(b){b=b|0;var d=0;if((a[8573152]|0)!=0){d=c[2142880]|0;return d|0}if((ac(8573152)|0)==0){d=c[2142880]|0;return d|0}do{if((a[8573072]|0)==0){if((ac(8573072)|0)==0){break}lKa(8570064,0,288)|0;Fb(308,0,s|0)|0}}while(0);gAa(8570064,58816)|0;gAa(8570076,55872)|0;c[2142880]=8570064;d=c[2142880]|0;return d|0}function UHa(b){b=b|0;if((a[8573216]|0)!=0){return 8571616}if((ac(8573216)|0)==0){return 8571616}vza(8571616,108216,8);Fb(68,8571616,s|0)|0;return 8571616}function VHa(b){b=b|0;if((a[8573160]|0)!=0){return 8571528}if((ac(8573160)|0)==0){return 8571528}dAa(8571528,105888,iJa(105888)|0);Fb(90,8571528,s|0)|0;return 8571528}function WHa(b){b=b|0;if((a[8573240]|0)!=0){return 8571664}if((ac(8573240)|0)==0){return 8571664}vza(8571664,102688,8);Fb(68,8571664,s|0)|0;return 8571664}function XHa(b){b=b|0;if((a[8573184]|0)!=0){return 8571576}if((ac(8573184)|0)==0){return 8571576}dAa(8571576,100280,iJa(100280)|0);Fb(90,8571576,s|0)|0;return 8571576}function YHa(b){b=b|0;if((a[8573232]|0)!=0){return 8571648}if((ac(8573232)|0)==0){return 8571648}vza(8571648,97512,20);Fb(68,8571648,s|0)|0;return 8571648}function ZHa(b){b=b|0;if((a[8573176]|0)!=0){return 8571560}if((ac(8573176)|0)==0){return 8571560}dAa(8571560,94920,iJa(94920)|0);Fb(90,8571560,s|0)|0;return 8571560}function _Ha(b){b=b|0;if((a[8573224]|0)!=0){return 8571632}if((ac(8573224)|0)==0){return 8571632}vza(8571632,92576,11);Fb(68,8571632,s|0)|0;return 8571632}function $Ha(b){b=b|0;if((a[8573168]|0)!=0){return 8571544}if((ac(8573168)|0)==0){return 8571544}dAa(8571544,90088,iJa(90088)|0);Fb(90,8571544,s|0)|0;return 8571544}function aIa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=Zc()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);l=+eKa(b,g,c[2142782]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)!=34){h=l;i=f;return+h}c[e>>2]=4;h=l;i=f;return+h}function bIa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=Zc()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);l=+eKa(b,g,c[2142782]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)!=34){h=l;i=f;return+h}c[e>>2]=4;h=l;i=f;return+h}function cIa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=Zc()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);l=+eKa(b,g,c[2142782]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)==34){c[e>>2]=4}h=l;i=f;return+h}function dIa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;do{if((b|0)==(d|0)){c[e>>2]=4;j=0;k=0}else{if((a[b]|0)==45){c[e>>2]=4;j=0;k=0;break}l=Zc()|0;m=c[l>>2]|0;c[l>>2]=0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);n=Bc(b|0,h|0,f|0,c[2142782]|0)|0;o=c[l>>2]|0;if((o|0)==0){c[l>>2]=m}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;k=0;break}if((o|0)!=34){j=K;k=n;break}c[e>>2]=4;j=-1;k=-1}}while(0);i=g;return(K=j,k)|0}function eIa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=Zc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);m=Bc(b|0,h|0,f|0,c[2142782]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>-1>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m;i=g;return j|0}return 0}function fIa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=Zc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);m=Bc(b|0,h|0,f|0,c[2142782]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>-1>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m;i=g;return j|0}return 0}function gIa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=Zc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);m=Bc(b|0,h|0,f|0,c[2142782]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>65535>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m&65535;i=g;return j|0}return 0}function hIa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;k=0;i=g;return(K=j,k)|0}l=Zc()|0;m=c[l>>2]|0;c[l>>2]=0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);n=Hc(b|0,h|0,f|0,c[2142782]|0)|0;f=K;b=c[l>>2]|0;if((b|0)==0){c[l>>2]=m}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;k=0;i=g;return(K=j,k)|0}if((b|0)==34){c[e>>2]=4;e=0;b=(f|0)>(e|0)|(f|0)==(e|0)&n>>>0>0>>>0;i=g;return(K=b?2147483647:-2147483648,b?-1:0)|0}else{j=f;k=n;i=g;return(K=j,k)|0}return 0}function iIa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}k=Zc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[8573120]|0)==0){if((ac(8573120)|0)==0){break}c[2142782]=ob(2147483647,149128,0)|0}}while(0);m=Hc(b|0,h|0,f|0,c[2142782]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}do{if((b|0)==34){c[e>>2]=4;d=0;if((f|0)>(d|0)|(f|0)==(d|0)&m>>>0>0>>>0){j=2147483647}else{break}i=g;return j|0}else{d=-1;if((f|0)<(d|0)|(f|0)==(d|0)&m>>>0<-2147483648>>>0){c[e>>2]=4;break}d=0;if((f|0)>(d|0)|(f|0)==(d|0)&m>>>0>2147483647>>>0){c[e>>2]=4;j=2147483647;i=g;return j|0}else{j=m;i=g;return j|0}}}while(0);j=-2147483648;i=g;return j|0}function jIa(a){a=a|0;var b=0,d=0,e=0,f=0;b=a+4|0;d=(c[a>>2]|0)+(c[b+4>>2]|0)|0;a=d;e=c[b>>2]|0;if((e&1|0)==0){f=e;Vd[f&511](a);return}else{f=c[(c[d>>2]|0)+(e-1)>>2]|0;Vd[f&511](a);return}}function kIa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=b+8|0;f=b+4|0;g=c[f>>2]|0;h=c[e>>2]|0;i=g;if(!(h-i>>2>>>0<d>>>0)){j=d;k=g;do{if((k|0)==0){l=0}else{c[k>>2]=0;l=c[f>>2]|0}k=l+4|0;c[f>>2]=k;j=j-1|0;}while((j|0)!=0);return}j=b+16|0;k=b|0;l=c[k>>2]|0;g=i-l>>2;i=g+d|0;if(i>>>0>1073741823>>>0){dGa(0)}m=h-l|0;do{if(m>>2>>>0<536870911>>>0){l=m>>1;h=l>>>0<i>>>0?i:l;if((h|0)==0){n=0;o=0;break}l=b+128|0;if(!((a[l]|0)==0&h>>>0<29>>>0)){p=h;q=11;break}a[l]=1;n=j;o=h}else{p=1073741823;q=11}}while(0);if((q|0)==11){n=OJa(p<<2)|0;o=p}p=d;d=n+(g<<2)|0;do{if((d|0)==0){r=0}else{c[d>>2]=0;r=d}d=r+4|0;p=p-1|0;}while((p|0)!=0);p=c[k>>2]|0;r=(c[f>>2]|0)-p|0;q=n+(g-(r>>2)<<2)|0;g=p;kKa(q|0,g|0,r)|0;c[k>>2]=q;c[f>>2]=d;c[e>>2]=n+(o<<2);if((p|0)==0){return}if((j|0)==(p|0)){a[b+128|0]=0;return}else{QJa(g);return}}function lIa(a){a=a|0;fAa(8570340);fAa(8570328);fAa(8570316);fAa(8570304);fAa(8570292);fAa(8570280);fAa(8570268);fAa(8570256);fAa(8570244);fAa(8570232);fAa(8570220);fAa(8570208);fAa(8570196);fAa(8570184);fAa(8570172);fAa(8570160);fAa(8570148);fAa(8570136);fAa(8570124);fAa(8570112);fAa(8570100);fAa(8570088);fAa(8570076);fAa(8570064);return}function mIa(a){a=a|0;Dza(8571084);Dza(8571072);Dza(8571060);Dza(8571048);Dza(8571036);Dza(8571024);Dza(8571012);Dza(8571e3);Dza(8570988);Dza(8570976);Dza(8570964);Dza(8570952);Dza(8570940);Dza(8570928);Dza(8570916);Dza(8570904);Dza(8570892);Dza(8570880);Dza(8570868);Dza(8570856);Dza(8570844);Dza(8570832);Dza(8570820);Dza(8570808);return}function nIa(a){a=a|0;fAa(8569884);fAa(8569872);fAa(8569860);fAa(8569848);fAa(8569836);fAa(8569824);fAa(8569812);fAa(8569800);fAa(8569788);fAa(8569776);fAa(8569764);fAa(8569752);fAa(8569740);fAa(8569728);fAa(8569716);fAa(8569704);fAa(8569692);fAa(8569680);fAa(8569668);fAa(8569656);fAa(8569644);fAa(8569632);fAa(8569620);fAa(8569608);return}function oIa(a){a=a|0;Dza(8570628);Dza(8570616);Dza(8570604);Dza(8570592);Dza(8570580);Dza(8570568);Dza(8570556);Dza(8570544);Dza(8570532);Dza(8570520);Dza(8570508);Dza(8570496);Dza(8570484);Dza(8570472);Dza(8570460);Dza(8570448);Dza(8570436);Dza(8570424);Dza(8570412);Dza(8570400);Dza(8570388);Dza(8570376);Dza(8570364);Dza(8570352);return}function pIa(a){a=a|0;fAa(8570052);fAa(8570040);fAa(8570028);fAa(8570016);fAa(8570004);fAa(8569992);fAa(8569980);fAa(8569968);fAa(8569956);fAa(8569944);fAa(8569932);fAa(8569920);fAa(8569908);fAa(8569896);return}function qIa(a){a=a|0;Dza(8570796);Dza(8570784);Dza(8570772);Dza(8570760);Dza(8570748);Dza(8570736);Dza(8570724);Dza(8570712);Dza(8570700);Dza(8570688);Dza(8570676);Dza(8570664);Dza(8570652);Dza(8570640);return}function rIa(a){a=a|0;var b=0;if((xIa(a)|0)!=0){b=1;return b|0}b=(sIa(a)|0)!=0|0;return b|0}function sIa(a){a=a|0;var b=0;if(a>>>0<131072>>>0){b=(d[4864+((d[4864+(a>>>8)|0]|0)<<5|a>>>3&31)|0]|0)>>>((a&7)>>>0)&1;return b|0}else{b=a>>>0<196606>>>0|0;return b|0}return 0}function tIa(a){a=a|0;return oc(a|0)|0}function uIa(a){a=a|0;var b=0;if(a>>>0<32>>>0|(a-127|0)>>>0<33>>>0|(a-8232|0)>>>0<2>>>0){b=1;return b|0}b=(a-65529|0)>>>0<3>>>0|0;return b|0}function vIa(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 6:{c=yIa(a)|0;break};case 12:{c=EIa(a)|0;break};case 7:{c=zIa(a)|0;break};case 3:{c=tIa(a)|0;break};case 1:{c=rIa(a)|0;break};case 2:{c=sIa(a)|0;break};case 11:{c=DIa(a)|0;break};case 5:{c=xIa(a)|0;break};case 9:{c=BIa(a)|0;break};case 10:{c=CIa(a)|0;break};case 4:{c=uIa(a)|0;break};case 8:{c=AIa(a)|0;break};default:{c=0}}return c|0}function wIa(b){b=b|0;var c=0,d=0,e=0;c=a[b]|0;a:do{switch(c<<24>>24){case 98:{if((gKa(b,380)|0)==0){d=3}else{e=16}break};case 115:{e=13;break};case 108:{if((gKa(b,404)|0)==0){d=7}else{e=16}break};case 97:{if((gKa(b,368)|0)==0){d=1;break a}if((gKa(b,374)|0)==0){d=2}else{e=16}break};case 100:{if((gKa(b,392)|0)==0){d=5}else{e=16}break};case 117:{e=14;break};case 103:{if((gKa(b,398)|0)==0){d=6}else{e=16}break};case 99:{if((gKa(b,386)|0)==0){d=4}else{e=16}break};case 120:{e=15;break};case 112:{if((gKa(b,410)|0)==0){d=8;break a}if((gKa(b,416)|0)==0){d=9;break a}if((c<<24>>24|0)==115){e=13}else if((c<<24>>24|0)==117){e=14}else if((c<<24>>24|0)==120){e=15}else{e=16}break};default:{e=16}}}while(0);if((e|0)==13){if((gKa(b,422)|0)==0){d=10}else{e=16}}else if((e|0)==14){if((gKa(b,428)|0)==0){d=11}else{e=16}}else if((e|0)==15){if((gKa(b,434)|0)==0){d=12}else{e=16}}if((e|0)==16){d=0}return d|0}function xIa(a){a=a|0;return(a-48|0)>>>0<10>>>0|0}function yIa(a){a=a|0;var b=0;if((CIa(a)|0)!=0){b=0;return b|0}b=(AIa(a)|0)!=0|0;return b|0}function zIa(a){a=a|0;var b=0;if((FIa(a)|0)!=(a|0)){b=1;return b|0}b=(a|0)==223|0;return b|0}function AIa(a){a=a|0;var b=0;if(a>>>0<255>>>0){b=(a+1&127)>>>0>32>>>0|0;return b|0}if(a>>>0<8232>>>0|(a-8234|0)>>>0<47062>>>0|(a-57344|0)>>>0<8185>>>0){b=1;return b|0}else{return((a-65532|0)>>>0>1048579>>>0|(a&65534|0)==65534)&1^1|0}return 0}function BIa(a){a=a|0;var b=0;if(!(a>>>0<131072>>>0)){b=0;return b|0}b=(d[1696+((d[1696+(a>>>8)|0]|0)<<5|a>>>3&31)|0]|0)>>>((a&7)>>>0)&1;return b|0}function CIa(a){a=a|0;return(hJa(15848,a)|0)!=0|0}function DIa(a){a=a|0;return(HIa(a)|0)!=(a|0)|0}function EIa(a){a=a|0;var b=0;if((a-48|0)>>>0<10>>>0){b=1;return b|0}b=((a|32)-97|0)>>>0<6>>>0|0;return b|0}function FIa(a){a=a|0;return GIa(a,0)|0}function GIa(c,f){c=c|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=(f<<1)-1|0;h=f-1|0;if((sIa(c)|0)==0|(c-1536|0)>>>0<2560>>>0|(c-11776|0)>>>0<30784>>>0|(c-43008|0)>>>0<22272>>>0){i=c;return i|0}do{if((f|0)==0){if(!((c-11520|0)>>>0<38>>>0)){j=0;break}i=c-7264|0;return i|0}else{if(!((c-4256|0)>>>0<46>>>0)){j=0;break}do{if((c|0)>4293){if((c|0)==4301|(c|0)==4295){break}else{i=c}return i|0}}while(0);i=c+7264|0;return i|0}}while(0);while(1){if((j|0)==61){break}k=a[18514+(j<<2)|0]|0;l=k<<24>>24;m=c-(e[18512+(j<<2)>>1]|0)|0;if((m-(l&h)|0)>>>0<(d[18515+(j<<2)|0]|0)>>>0){n=12;break}else{j=j+1|0}}if((n|0)==12){if(k<<24>>24==1){i=f+c-(m&1)|0;return i|0}else{i=(ga(l,g)|0)+c|0;return i|0}}g=1-f|0;l=0;while(1){m=b[8104+(l<<2)+(g<<1)>>1]|0;if(m<<16>>16==0){break}if((m&65535|0)==(c|0)){n=17;break}else{l=l+1|0}}if((n|0)==17){i=e[8104+(l<<2)+(f<<1)>>1]|0;return i|0}if(!((c-66600+(f*40|0)|0)>>>0<40>>>0)){i=c;return i|0}i=c-40+(f*80|0)|0;return i|0}function HIa(a){a=a|0;return GIa(a,1)|0}function IIa(a,b,c){a=a|0;b=b|0;c=c|0;return JIa(0,a,b,(c|0)!=0?c:8555072)|0}function JIa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=i;i=i+8|0;h=g|0;c[h>>2]=b;j=((f|0)==0?8555064:f)|0;f=c[j>>2]|0;a:do{if((d|0)==0){if((f|0)==0){k=0}else{break}i=g;return k|0}else{if((b|0)==0){l=h;c[h>>2]=l;m=l}else{m=b}if((e|0)==0){k=-2;i=g;return k|0}do{if((f|0)==0){l=a[d]|0;n=l&255;if(l<<24>>24>-1){c[m>>2]=n;k=l<<24>>24!=0|0;i=g;return k|0}else{l=n-194|0;if(l>>>0>50>>>0){break a}o=d+1|0;p=c[8522648+(l<<2)>>2]|0;q=e-1|0;break}}else{o=d;p=f;q=e}}while(0);b:do{if((q|0)==0){r=p}else{l=a[o]|0;n=(l&255)>>>3;if((n-16|n+(p>>26))>>>0>7>>>0){break a}else{s=o;t=p;u=q;v=l}while(1){s=s+1|0;t=(v&255)-128|t<<6;u=u-1|0;if((t|0)>=0){break}if((u|0)==0){r=t;break b}v=a[s]|0;if(((v&255)-128|0)>>>0>63>>>0){break a}}c[j>>2]=0;c[m>>2]=t;k=e-u|0;i=g;return k|0}}while(0);c[j>>2]=r;k=-2;i=g;return k|0}}while(0);c[j>>2]=0;c[(Zc()|0)>>2]=84;k=-1;i=g;return k|0}function KIa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=i;i=i+1032|0;h=g|0;j=g+1024|0;k=c[b>>2]|0;c[j>>2]=k;l=(a|0)!=0;m=l?e:256;e=l?a:h|0;a:do{if((k|0)==0|(m|0)==0){n=0;o=d;p=m;q=e;r=k}else{a=h|0;s=m;t=d;u=0;v=e;w=k;while(1){x=t>>>2;y=x>>>0>=s>>>0;if(!(y|t>>>0>131>>>0)){n=u;o=t;p=s;q=v;r=w;break a}z=y?s:x;A=t-z|0;x=LIa(v,j,z,f)|0;if((x|0)==-1){break}if((v|0)==(a|0)){B=a;C=s}else{B=v+(x<<2)|0;C=s-x|0}z=x+u|0;x=c[j>>2]|0;if((x|0)==0|(C|0)==0){n=z;o=A;p=C;q=B;r=x;break a}else{s=C;t=A;u=z;v=B;w=x}}n=-1;o=A;p=0;q=v;r=c[j>>2]|0}}while(0);b:do{if((r|0)==0){D=n}else{if((p|0)==0|(o|0)==0){D=n;break}else{E=p;F=o;G=n;H=q;I=r}while(1){J=JIa(H,I,F,f)|0;if((J+2|0)>>>0<3>>>0){break}A=(c[j>>2]|0)+J|0;c[j>>2]=A;B=E-1|0;C=G+1|0;if((B|0)==0|(F|0)==(J|0)){D=C;break b}else{E=B;F=F-J|0;G=C;H=H+4|0;I=A}}if((J|0)==(-1|0)){D=-1;break}else if((J|0)==0){c[j>>2]=0;D=G;break}else{c[f>>2]=0;D=G;break}}}while(0);if(!l){i=g;return D|0}c[b>>2]=c[j>>2];i=g;return D|0}function LIa(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;h=c[e>>2]|0;do{if((g|0)==0){i=5}else{j=g|0;k=c[j>>2]|0;if((k|0)==0){i=5;break}if((b|0)==0){l=k;m=h;n=f;i=16;break}c[j>>2]=0;o=k;p=h;q=b;r=f;i=36}}while(0);if((i|0)==5){if((b|0)==0){s=h;t=f;i=7}else{u=h;v=b;w=f;i=6}}a:while(1){if((i|0)==6){i=0;if((w|0)==0){x=f;i=53;break}else{y=w;z=v;A=u}while(1){h=a[A]|0;do{if(((h&255)-1|0)>>>0<127>>>0){if((A&3|0)==0&y>>>0>3>>>0){B=y;C=z;D=A}else{E=A;F=z;G=y;H=h;break}while(1){I=c[D>>2]|0;if(((I-16843009|I)&-2139062144|0)!=0){i=30;break}c[C>>2]=I&255;c[C+4>>2]=d[D+1|0]|0;c[C+8>>2]=d[D+2|0]|0;J=D+4|0;K=C+16|0;c[C+12>>2]=d[D+3|0]|0;L=B-4|0;if(L>>>0>3>>>0){B=L;C=K;D=J}else{i=31;break}}if((i|0)==30){i=0;E=D;F=C;G=B;H=I&255;break}else if((i|0)==31){i=0;E=J;F=K;G=L;H=a[J]|0;break}}else{E=A;F=z;G=y;H=h}}while(0);M=H&255;if(!((M-1|0)>>>0<127>>>0)){break}c[F>>2]=M;h=G-1|0;if((h|0)==0){x=f;i=53;break a}else{y=h;z=F+4|0;A=E+1|0}}h=M-194|0;if(h>>>0>50>>>0){N=G;O=F;P=E;i=47;break}o=c[8522648+(h<<2)>>2]|0;p=E+1|0;q=F;r=G;i=36;continue}else if((i|0)==7){i=0;h=a[s]|0;do{if(((h&255)-1|0)>>>0<127>>>0){if((s&3|0)!=0){Q=s;R=t;S=h;break}g=c[s>>2]|0;if(((g-16843009|g)&-2139062144|0)==0){T=t;U=s}else{Q=s;R=t;S=g&255;break}do{U=U+4|0;T=T-4|0;V=c[U>>2]|0;}while(((V-16843009|V)&-2139062144|0)==0);Q=U;R=T;S=V&255}else{Q=s;R=t;S=h}}while(0);h=S&255;if((h-1|0)>>>0<127>>>0){s=Q+1|0;t=R-1|0;i=7;continue}g=h-194|0;if(g>>>0>50>>>0){N=R;O=b;P=Q;i=47;break}l=c[8522648+(g<<2)>>2]|0;m=Q+1|0;n=R;i=16;continue}else if((i|0)==16){i=0;g=(d[m]|0)>>>3;if((g-16|g+(l>>26))>>>0>7>>>0){i=17;break}g=m+1|0;do{if((l&33554432|0)==0){W=g}else{if(((d[g]|0)-128|0)>>>0>63>>>0){i=20;break a}h=m+2|0;if((l&524288|0)==0){W=h;break}if(((d[h]|0)-128|0)>>>0>63>>>0){i=23;break a}W=m+3|0}}while(0);s=W;t=n-1|0;i=7;continue}else if((i|0)==36){i=0;g=d[p]|0;h=g>>>3;if((h-16|h+(o>>26))>>>0>7>>>0){i=37;break}h=p+1|0;X=g-128|o<<6;do{if((X|0)<0){g=(d[h]|0)-128|0;if(g>>>0>63>>>0){i=40;break a}k=p+2|0;Y=g|X<<6;if((Y|0)>=0){Z=Y;_=k;break}g=(d[k]|0)-128|0;if(g>>>0>63>>>0){i=43;break a}Z=g|Y<<6;_=p+3|0}else{Z=X;_=h}}while(0);c[q>>2]=Z;u=_;v=q+4|0;w=r-1|0;i=6;continue}}if((i|0)==17){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==20){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==23){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==37){$=o;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==40){$=X;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==43){$=Y;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==53){return x|0}if((i|0)==46){if(($|0)==0){N=ca;O=ba;P=aa;i=47}else{da=ba;ea=aa}}do{if((i|0)==47){if((a[P]|0)!=0){da=O;ea=P;break}if((O|0)!=0){c[O>>2]=0;c[e>>2]=0}x=f-N|0;return x|0}}while(0);c[(Zc()|0)>>2]=84;if((da|0)==0){x=-1;return x|0}c[e>>2]=ea;x=-1;return x|0}function MIa(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;g=i;i=i+8|0;h=g|0;c[h>>2]=b;if((e|0)==0){j=0;i=g;return j|0}do{if((f|0)!=0){if((b|0)==0){k=h;c[h>>2]=k;l=k}else{l=b}k=a[e]|0;m=k&255;if(k<<24>>24>-1){c[l>>2]=m;j=k<<24>>24!=0|0;i=g;return j|0}k=m-194|0;if(k>>>0>50>>>0){break}m=e+1|0;n=c[8522648+(k<<2)>>2]|0;if(f>>>0<4>>>0){if((n&-2147483648>>>(((f*6|0)-6|0)>>>0)|0)!=0){break}}k=d[m]|0;m=k>>>3;if((m-16|m+(n>>26))>>>0>7>>>0){break}m=k-128|n<<6;if((m|0)>=0){c[l>>2]=m;j=2;i=g;return j|0}n=(d[e+2|0]|0)-128|0;if(n>>>0>63>>>0){break}k=n|m<<6;if((k|0)>=0){c[l>>2]=k;j=3;i=g;return j|0}m=(d[e+3|0]|0)-128|0;if(m>>>0>63>>>0){break}c[l>>2]=m|k<<6;j=4;i=g;return j|0}}while(0);c[(Zc()|0)>>2]=84;j=-1;i=g;return j|0}function NIa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((b|0)==0){f=1;return f|0}if(d>>>0<128>>>0){a[b]=d;f=1;return f|0}if(d>>>0<2048>>>0){a[b]=d>>>6|192;a[b+1|0]=d&63|128;f=2;return f|0}if(d>>>0<55296>>>0|(d-57344|0)>>>0<8192>>>0){a[b]=d>>>12|224;a[b+1|0]=d>>>6&63|128;a[b+2|0]=d&63|128;f=3;return f|0}if((d-65536|0)>>>0<1048576>>>0){a[b]=d>>>18|240;a[b+1|0]=d>>>12&63|128;a[b+2|0]=d>>>6&63|128;a[b+3|0]=d&63|128;f=4;return f|0}else{c[(Zc()|0)>>2]=84;f=-1;return f|0}return 0}function OIa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;f=i;i=i+264|0;g=f|0;h=f+256|0;j=c[b>>2]|0;c[h>>2]=j;k=(a|0)!=0;l=k?e:256;e=k?a:g|0;a:do{if((j|0)==0|(l|0)==0){m=0;n=d;o=l;p=e;q=j}else{a=g|0;r=l;s=d;t=0;u=e;v=j;while(1){w=s>>>0>=r>>>0;if(!(w|s>>>0>32>>>0)){m=t;n=s;o=r;p=u;q=v;break a}x=w?r:s;y=s-x|0;w=PIa(u,h,x,0)|0;if((w|0)==-1){break}if((u|0)==(a|0)){z=a;A=r}else{z=u+w|0;A=r-w|0}x=w+t|0;w=c[h>>2]|0;if((w|0)==0|(A|0)==0){m=x;n=y;o=A;p=z;q=w;break a}else{r=A;s=y;t=x;u=z;v=w}}m=-1;n=y;o=0;p=u;q=c[h>>2]|0}}while(0);b:do{if((q|0)==0){B=m}else{if((o|0)==0|(n|0)==0){B=m;break}else{C=o;D=n;E=m;F=p;G=q}while(1){H=NIa(F,c[G>>2]|0,0)|0;if((H+1|0)>>>0<2>>>0){break}y=(c[h>>2]|0)+4|0;c[h>>2]=y;z=D-1|0;A=E+1|0;if((C|0)==(H|0)|(z|0)==0){B=A;break b}else{C=C-H|0;D=z;E=A;F=F+H|0;G=y}}if((H|0)!=0){B=-1;break}c[h>>2]=0;B=E}}while(0);if(!k){i=f;return B|0}c[b>>2]=c[h>>2];i=f;return B|0}function PIa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;f=i;i=i+8|0;g=f|0;if((b|0)==0){h=c[d>>2]|0;j=g|0;k=c[h>>2]|0;if((k|0)==0){l=0;i=f;return l|0}else{m=0;n=h;o=k}while(1){if(o>>>0>127>>>0){k=NIa(j,o,0)|0;if((k|0)==-1){l=-1;p=26;break}else{q=k}}else{q=1}k=q+m|0;h=n+4|0;r=c[h>>2]|0;if((r|0)==0){l=k;p=26;break}else{m=k;n=h;o=r}}if((p|0)==26){i=f;return l|0}}a:do{if(e>>>0>3>>>0){o=e;n=b;m=c[d>>2]|0;while(1){q=c[m>>2]|0;if((q|0)==0){s=o;t=n;break a}if(q>>>0>127>>>0){j=NIa(n,q,0)|0;if((j|0)==-1){l=-1;break}u=n+j|0;v=o-j|0;w=m}else{a[n]=q;u=n+1|0;v=o-1|0;w=c[d>>2]|0}q=w+4|0;c[d>>2]=q;if(v>>>0>3>>>0){o=v;n=u;m=q}else{s=v;t=u;break a}}i=f;return l|0}else{s=e;t=b}}while(0);b:do{if((s|0)==0){x=0}else{b=g|0;u=s;v=t;w=c[d>>2]|0;while(1){m=c[w>>2]|0;if((m|0)==0){p=24;break}if(m>>>0>127>>>0){n=NIa(b,m,0)|0;if((n|0)==-1){l=-1;p=26;break}if(n>>>0>u>>>0){p=20;break}NIa(v,c[w>>2]|0,0)|0;y=v+n|0;z=u-n|0;A=w}else{a[v]=m;y=v+1|0;z=u-1|0;A=c[d>>2]|0}m=A+4|0;c[d>>2]=m;if((z|0)==0){x=0;break b}else{u=z;v=y;w=m}}if((p|0)==20){l=e-u|0;i=f;return l|0}else if((p|0)==24){a[v]=0;x=u;break}else if((p|0)==26){i=f;return l|0}}}while(0);c[d>>2]=0;l=e-x|0;i=f;return l|0}function QIa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0;e=i;i=i+104|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=e+32|0;l=e+40|0;m=e+48|0;n=e+56|0;o=IJa(20)|0;p=o;if((o|0)==0){q=12;i=e;return q|0}r=IJa(2048)|0;c[o+16>>2]=r;if((r|0)==0){JJa(o);q=12;i=e;return q|0}c[o>>2]=512;c[o+4>>2]=10240;c[o+8>>2]=128;c[o+12>>2]=0;s=eJa(0,0)|0;if((s|0)==0){JJa(r);JJa(o);q=12;i=e;return q|0}lKa(n|0,0,44)|0;c[n>>2]=s;c[n+4>>2]=p;c[n+12>>2]=b;c[n+36>>2]=d;b=n+28|0;c[b>>2]=-1;r=RIa(n)|0;a:do{if((r|0)==0){t=n+20|0;u=c[t>>2]|0;v=u-1|0;c[a>>2]=v;w=c[n+8>>2]|0;x=c[b>>2]|0;if((x|0)>-1){if((c[n+32>>2]|0)!=0){y=2;z=0;A=0;B=0;break}}if((x|0)>(v|0)){y=6;z=0;A=0;B=0;break}v=KJa(1,68)|0;C=v;if((v|0)==0){y=12;z=C;A=0;B=0;break}D=x>>>31;c[v+60>>2]=D^1;c[v+64>>2]=c[n+32>>2];c[v+28>>2]=u;if((D|0)==1){if((d&8|0)==0){E=13}else{F=0}}else{E=13}if((E|0)==13){D=SIa(0,p,w,C)|0;if((D|0)!=0){y=D;z=C;A=0;B=0;break}D=c[v+40>>2]|0;if((D|0)>0){u=(D<<2)+4|0;x=IJa(u)|0;G=x;if((x|0)==0){y=12;z=C;A=0;B=0;break}c[v+32>>2]=G;lKa(x|0,-1|0,u|0)|0;H=G}else{H=0}G=KJa(D<<1|1,4)|0;c[v+36>>2]=G;if((G|0)==0){y=12;z=C;A=0;B=0;break}G=KJa(c[t>>2]|0,12)|0;if((G|0)==0){y=12;z=C;A=0;B=0;break}c[v+16>>2]=G;G=SIa(s,p,w,C)|0;if((G|0)==0){F=H}else{y=G;z=C;A=0;B=0;break}}G=n+24|0;t=o+12|0;D=c[t>>2]|0;c[h>>2]=0;c[j>>2]=0;u=YIa(p,w)|0;b:do{if((u|0)==0){x=YIa(p,0)|0;if((x|0)!=0){I=x;break}x=o+16|0;J=c[t>>2]|0;c:do{if((J|0)>(D|0)){K=0;L=0;M=0;N=J;d:while(1){O=N-1|0;c[t>>2]=O;P=c[x>>2]|0;Q=c[P+(O<<2)>>2]|0;O=N-2|0;c[t>>2]=O;R=c[P+(O<<2)>>2]|0;do{if((Q|0)==0){O=c[R>>2]|0;if((O|0)==1){S=c[R+4>>2]|0;T=YIa(p,c[S+4>>2]|0)|0;if((T|0)!=0){U=T;V=L;break c}T=YIa(p,0)|0;if((T|0)!=0){U=T;V=L;break c}T=YIa(p,c[S>>2]|0)|0;if((T|0)!=0){U=T;V=L;break c}W=YIa(p,0)|0}else if((O|0)==0){T=c[R+4>>2]|0;S=c[T>>2]|0;if(!((S|0)>-1|(S|0)==-4)){X=M;Y=L;Z=K;break}S=T+8|0;T=(c[S>>2]|0)+K|0;c[S>>2]=T;if((T|0)<=(c[j>>2]|0)){X=M;Y=L;Z=K;break}c[j>>2]=T;X=M;Y=L;Z=K;break}else if((O|0)==2){T=c[R+4>>2]|0;S=YIa(p,K)|0;if((S|0)!=0){U=S;V=L;break c}S=YIa(p,R)|0;if((S|0)!=0){U=S;V=L;break c}S=YIa(p,1)|0;if((S|0)!=0){U=S;V=L;break c}S=YIa(p,c[T>>2]|0)|0;if((S|0)!=0){U=S;V=L;break c}S=YIa(p,0)|0;if((S|0)!=0){U=S;V=L;break c}if((c[T+4>>2]|0)>1){E=45}else{if((c[T+8>>2]|0)>1){E=45}else{_=K}}if((E|0)==45){E=0;c[h>>2]=0;_=0}X=M+1|0;Y=L;Z=_;break}else if((O|0)==3){O=c[R+4>>2]|0;T=YIa(p,c[O+4>>2]|0)|0;if((T|0)!=0){U=T;V=L;break c}T=YIa(p,0)|0;if((T|0)!=0){U=T;V=L;break c}T=YIa(p,c[O>>2]|0)|0;if((T|0)!=0){U=T;V=L;break c}W=YIa(p,0)|0}else{X=M;Y=L;Z=K;break}if((W|0)==0){X=M;Y=L;Z=K}else{U=W;V=L;break c}}else if((Q|0)==1){T=R+4|0;O=c[T>>2]|0;S=N-3|0;c[t>>2]=S;$=c[P+(S<<2)>>2]|0;c[h>>2]=$;S=O+4|0;aa=c[S>>2]|0;do{if((aa|0)>1){c[k>>2]=0;ba=O;E=51}else{if((c[O+8>>2]|0)<=1){ca=$;break}c[k>>2]=0;da=O;if((aa|0)>0){ba=da;E=51}else{ea=aa;fa=0;ga=$;ha=da;E=60}}}while(0);e:do{if((E|0)==51){E=0;da=aa;ia=0;ja=1;ka=$;while(1){la=ZIa(s,p,c[ba>>2]|0,(ja|0)<(da|0)?1:2,h,F,l,j)|0;if((la|0)!=0){I=la;break b}la=c[l>>2]|0;if((ia|0)==0){ma=la}else{na=gJa(s,0,0,1,32)|0;if((na|0)==0){I=12;break b}oa=gJa(s,0,0,1,8)|0;pa=na+4|0;c[pa>>2]=oa;if((oa|0)==0){I=12;break b}c[na>>2]=1;c[na+8>>2]=-1;c[na+12>>2]=-1;c[oa>>2]=ia;c[(c[pa>>2]|0)+4>>2]=la;c[na+16>>2]=(c[la+16>>2]|0)+(c[ia+16>>2]|0);ma=na}if((ma|0)==0){I=12;break b}na=c[S>>2]|0;if((ja|0)>=(na|0)){ea=na;fa=ma;ga=ka;ha=ba;E=60;break e}da=na;ia=ma;ja=ja+1|0;ka=c[h>>2]|0}}}while(0);if((E|0)==60){E=0;S=O+8|0;aa=c[S>>2]|0;do{if((aa|0)==-1){ka=c[h>>2]|0;ja=ZIa(s,p,c[ha>>2]|0,0,h,0,k,j)|0;if((ja|0)!=0){I=ja;break b}ja=c[k>>2]|0;ia=gJa(s,0,0,1,32)|0;da=ia;if((ia|0)==0){E=65;break d}na=gJa(s,0,0,1,16)|0;c[ia+4>>2]=na;if((na|0)==0){E=65;break d}c[ia>>2]=2;c[ia+8>>2]=-1;c[ia+12>>2]=-1;c[na>>2]=ja;c[na+4>>2]=0;c[na+8>>2]=-1;la=na+12|0;c[la>>2]=c[la>>2]&-2;c[ia+16>>2]=c[ja+16>>2];c[k>>2]=da;qa=ka;ra=da}else{if((ea|0)<(aa|0)){sa=0;ta=ea}else{qa=ga;ra=0;break}while(1){da=c[h>>2]|0;ka=ZIa(s,p,c[ha>>2]|0,0,h,0,m,j)|0;if((ka|0)!=0){I=ka;break b}ka=c[m>>2]|0;if((sa|0)==0){ua=ka}else{ja=gJa(s,0,0,1,32)|0;if((ja|0)==0){E=72;break d}ia=gJa(s,0,0,1,8)|0;la=ja+4|0;c[la>>2]=ia;if((ia|0)==0){E=72;break d}c[ja>>2]=1;c[ja+8>>2]=-1;c[ja+12>>2]=-1;c[ia>>2]=ka;c[(c[la>>2]|0)+4>>2]=sa;c[ja+16>>2]=(c[sa+16>>2]|0)+(c[ka+16>>2]|0);ua=ja}c[k>>2]=ua;if((ua|0)==0){I=12;break b}ja=gJa(s,0,0,1,32)|0;if((ja|0)==0){I=12;break b}ka=gJa(s,0,0,1,20)|0;c[ja+4>>2]=ka;if((ka|0)==0){I=12;break b}c[ja>>2]=0;c[ja+8>>2]=-1;c[ja+12>>2]=-1;c[ka>>2]=-1;c[ka+4>>2]=-1;c[ka+8>>2]=-1;ka=gJa(s,0,0,1,32)|0;la=ka;if((ka|0)==0){E=78;break d}ia=gJa(s,0,0,1,8)|0;na=ka+4|0;c[na>>2]=ia;if((ia|0)==0){E=78;break d}c[ka>>2]=3;c[ka+8>>2]=-1;c[ka+12>>2]=-1;c[ia>>2]=ja;c[(c[na>>2]|0)+4>>2]=ua;c[ka+16>>2]=(c[ua+16>>2]|0)+(c[ja+16>>2]|0);c[k>>2]=la;ja=ta+1|0;if((ja|0)<(c[S>>2]|0)){sa=la;ta=ja}else{qa=da;ra=la;break}}}}while(0);c[h>>2]=qa;do{if((fa|0)==0){va=ra;E=85}else{if((ra|0)==0){wa=fa;break}S=gJa(s,0,0,1,32)|0;if((S|0)==0){I=12;break b}aa=gJa(s,0,0,1,8)|0;O=S+4|0;c[O>>2]=aa;if((aa|0)==0){I=12;break b}c[S>>2]=1;c[S+8>>2]=-1;c[S+12>>2]=-1;c[aa>>2]=fa;c[(c[O>>2]|0)+4>>2]=ra;c[S+16>>2]=(c[ra+16>>2]|0)+(c[fa+16>>2]|0);va=S;E=85}}while(0);if((E|0)==85){E=0;if((va|0)==0){I=12;break b}else{wa=va}}c[T>>2]=c[wa+4>>2];c[R>>2]=c[wa>>2];ca=qa}S=M-1|0;O=ca-$+L|0;if((S|0)!=0){X=S;Y=O;Z=ca;break}c[h>>2]=O;X=0;Y=O;Z=O}else{X=M;Y=L;Z=K}}while(0);R=c[t>>2]|0;if((R|0)>(D|0)){K=Z;L=Y;M=X;N=R}else{U=0;V=Y;break c}}if((E|0)==65){c[k>>2]=0;I=12;break b}else if((E|0)==72){c[k>>2]=0;I=12;break b}else if((E|0)==78){c[k>>2]=0;I=12;break b}}else{U=0;V=0}}while(0);x=(c[G>>2]|0)+V|0;c[G>>2]=x;J=c[j>>2]|0;if((J|0)<=(x|0)){I=U;break}c[G>>2]=J;I=U}else{I=u}}while(0);if((I|0)!=0){y=I;z=C;A=0;B=0;break}u=c[G>>2]|0;c[G>>2]=u+1;D=gJa(s,0,0,1,32)|0;if((D|0)==0){y=12;z=C;A=0;B=0;break}J=gJa(s,0,0,1,20)|0;c[D+4>>2]=J;if((J|0)==0){y=12;z=C;A=0;B=0;break}c[D>>2]=0;c[D+8>>2]=-1;c[D+12>>2]=-1;c[J>>2]=0;c[J+4>>2]=0;c[J+8>>2]=u;u=gJa(s,0,0,1,32)|0;J=u;if((u|0)==0){y=12;z=C;A=0;B=0;break}x=gJa(s,0,0,1,8)|0;N=u+4|0;c[N>>2]=x;if((x|0)==0){y=12;z=C;A=0;B=0;break}c[u>>2]=1;c[u+8>>2]=-1;c[u+12>>2]=-1;c[x>>2]=w;c[(c[N>>2]|0)+4>>2]=D;c[u+16>>2]=(c[D+16>>2]|0)+(c[w+16>>2]|0);D=c[t>>2]|0;N=YIa(p,u)|0;if((N|0)!=0){y=N;z=C;A=0;B=0;break}N=YIa(p,0)|0;if((N|0)!=0){y=N;z=C;A=0;B=0;break}N=c[t>>2]|0;f:do{if((N|0)>(D|0)){x=o+16|0;M=N;g:while(1){L=M-1|0;c[t>>2]=L;K=c[x>>2]|0;R=c[K+(L<<2)>>2]|0;L=M-2|0;c[t>>2]=L;xa=c[K+(L<<2)>>2]|0;do{if((R|0)==1){L=c[xa+4>>2]|0;K=L;P=c[K>>2]|0;Q=L+4|0;L=c[Q>>2]|0;if((c[P+8>>2]|0)==0){ya=(c[L+8>>2]|0)!=0|0}else{ya=1}c[xa+8>>2]=ya;O=WIa(s,c[P+24>>2]|0,c[L+24>>2]|0,0,0)|0;c[xa+24>>2]=O;if((O|0)==0){y=12;z=C;A=0;B=0;break a}O=WIa(s,c[(c[K>>2]|0)+28>>2]|0,c[(c[Q>>2]|0)+28>>2]|0,0,0)|0;c[xa+28>>2]=O;if((O|0)==0){y=12;z=C;A=0;B=0;break a}}else if((R|0)==0){O=c[xa>>2]|0;if((O|0)==2){Q=YIa(p,xa)|0;if((Q|0)!=0){y=Q;z=C;A=0;B=0;break a}Q=YIa(p,3)|0;if((Q|0)!=0){y=Q;z=C;A=0;B=0;break a}Q=YIa(p,c[c[xa+4>>2]>>2]|0)|0;if((Q|0)!=0){y=Q;z=C;A=0;B=0;break a}Q=YIa(p,0)|0;if((Q|0)==0){break}else{y=Q;z=C;A=0;B=0;break a}}else if((O|0)==3){Q=YIa(p,xa)|0;if((Q|0)!=0){y=Q;z=C;A=0;B=0;break a}Q=YIa(p,1)|0;if((Q|0)!=0){y=Q;z=C;A=0;B=0;break a}Q=xa+4|0;K=YIa(p,c[(c[Q>>2]|0)+4>>2]|0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=YIa(p,0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=YIa(p,c[c[Q>>2]>>2]|0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=YIa(p,0)|0;if((K|0)==0){break}else{y=K;z=C;A=0;B=0;break a}}else if((O|0)==0){K=c[xa+4>>2]|0;Q=K;L=c[Q>>2]|0;if((L|0)==-4){c[xa+8>>2]=0;P=K+8|0;S=c[P>>2]|0;aa=gJa(s,0,0,1,64)|0;if((aa|0)==0){E=105;break g}c[aa>>2]=S;c[aa+4>>2]=0;c[aa+8>>2]=1114111;c[aa+20>>2]=0;c[aa+24>>2]=0;lKa(aa+28|0,-1|0,16)|0;c[xa+24>>2]=aa;aa=c[P>>2]|0;P=c[K+4>>2]|0;S=gJa(s,0,0,1,64)|0;if((S|0)==0){E=107;break g}c[S>>2]=aa;c[S+4>>2]=0;c[S+8>>2]=1114111;c[S+20>>2]=0;c[S+24>>2]=0;c[S+28>>2]=P;c[S+32>>2]=-1;c[S+36>>2]=-1;c[S+40>>2]=-1;c[xa+28>>2]=S;break}S=xa+8|0;if((L|0)<0){c[S>>2]=1;P=gJa(s,0,0,1,32)|0;if((P|0)==0){E=111;break g}c[P>>2]=-1;c[P+4>>2]=-1;c[P+8>>2]=-1;c[xa+24>>2]=P;P=gJa(s,0,0,1,32)|0;if((P|0)==0){E=113;break g}c[P>>2]=-1;c[P+4>>2]=-1;c[P+8>>2]=-1;c[xa+28>>2]=P;break}else{c[S>>2]=0;S=K+8|0;P=c[S>>2]|0;aa=K+4|0;la=c[aa>>2]|0;da=gJa(s,0,0,1,64)|0;if((da|0)==0){E=116;break g}c[da>>2]=P;c[da+4>>2]=L;c[da+8>>2]=la;c[da+20>>2]=0;c[da+24>>2]=0;lKa(da+28|0,-1|0,16)|0;c[xa+24>>2]=da;da=c[S>>2]|0;S=c[Q>>2]|0;Q=c[aa>>2]|0;aa=c[K+12>>2]|0;la=c[K+16>>2]|0;K=gJa(s,0,0,1,64)|0;if((K|0)==0){E=118;break g}c[K>>2]=da;c[K+4>>2]=S;c[K+8>>2]=Q;c[K+20>>2]=aa;c[K+24>>2]=la;lKa(K+28|0,-1|0,16)|0;c[xa+28>>2]=K;break}}else if((O|0)==1){O=YIa(p,xa)|0;if((O|0)!=0){y=O;z=C;A=0;B=0;break a}O=YIa(p,2)|0;if((O|0)!=0){y=O;z=C;A=0;B=0;break a}O=xa+4|0;K=YIa(p,c[(c[O>>2]|0)+4>>2]|0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=YIa(p,0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=YIa(p,c[c[O>>2]>>2]|0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=YIa(p,0)|0;if((K|0)==0){break}else{y=K;z=C;A=0;B=0;break a}}else{break}}else if((R|0)==3){K=c[xa+4>>2]|0;O=K;la=c[O>>2]|0;do{if((c[K+4>>2]|0)==0){E=142}else{if((c[la+8>>2]|0)!=0){E=142;break}c[xa+8>>2]=0}}while(0);if((E|0)==142){E=0;c[xa+8>>2]=1}c[xa+24>>2]=c[la+24>>2];c[xa+28>>2]=c[(c[O>>2]|0)+28>>2]}else if((R|0)==2){K=c[xa+4>>2]|0;aa=K;Q=c[aa>>2]|0;S=Q+8|0;if((c[S>>2]|0)==0){za=0}else{za=(c[(c[K+4>>2]|0)+8>>2]|0)!=0|0}c[xa+8>>2]=za;if((c[S>>2]|0)==0){c[xa+24>>2]=c[Q+24>>2];Aa=K+4|0}else{S=XIa(p,Q,0,0,f)|0;if((S|0)!=0){y=S;z=C;A=0;B=0;break a}Ba=IJa((c[f>>2]<<2)+4|0)|0;S=Ba;if((Ba|0)==0){y=12;z=C;A=0;B=0;break a}c[S>>2]=-1;c[g>>2]=0;Ca=XIa(p,c[aa>>2]|0,S,g,0)|0;if((Ca|0)!=0){E=151;break g}Q=K+4|0;K=xa+24|0;c[K>>2]=WIa(s,c[(c[Q>>2]|0)+24>>2]|0,c[(c[aa>>2]|0)+24>>2]|0,S,c[g>>2]|0)|0;JJa(Ba);if((c[K>>2]|0)==0){y=12;z=C;A=0;B=0;break a}else{Aa=Q}}Q=c[Aa>>2]|0;if((c[Q+8>>2]|0)==0){c[xa+28>>2]=c[Q+28>>2];break}K=XIa(p,Q,0,0,f)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}Da=IJa((c[f>>2]<<2)+4|0)|0;K=Da;if((Da|0)==0){y=12;z=C;A=0;B=0;break a}c[K>>2]=-1;c[g>>2]=0;Ea=XIa(p,c[Aa>>2]|0,K,g,0)|0;if((Ea|0)!=0){E=158;break g}Q=xa+28|0;c[Q>>2]=WIa(s,c[(c[aa>>2]|0)+28>>2]|0,c[(c[Aa>>2]|0)+28>>2]|0,K,c[g>>2]|0)|0;JJa(Da);if((c[Q>>2]|0)==0){y=12;z=C;A=0;B=0;break a}}}while(0);M=c[t>>2]|0;if((M|0)<=(D|0)){break f}}if((E|0)==105){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==107){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==111){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==113){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==116){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==118){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==151){JJa(Ba);y=Ca;z=C;A=0;B=0;break a}else if((E|0)==158){JJa(Da);y=Ea;z=C;A=0;B=0;break a}}}while(0);D=c[G>>2]|0;t=D<<2;N=IJa(t)|0;w=N;if((N|0)==0){y=12;z=C;A=w;B=0;break}M=IJa(t)|0;t=M;if((M|0)==0){y=12;z=C;A=w;B=t;break}if((D|0)>0){lKa(N|0,0,((D|0)>1?D<<2:4)|0)|0}TIa(J,0,w,0)|0;D=c[G>>2]|0;if((D|0)>0){x=0;R=0;while(1){c[t+(x<<2)>>2]=R;Q=w+(x<<2)|0;K=R+1+(c[Q>>2]|0)|0;c[Q>>2]=0;Q=x+1|0;if((Q|0)<(D|0)){x=Q;R=K}else{Fa=K;break}}}else{Fa=0}R=KJa(Fa+1|0,32)|0;x=R;if((R|0)==0){y=12;z=C;A=w;B=t;break}c[v>>2]=x;R=v+4|0;c[R>>2]=Fa;D=TIa(J,x,w,t)|0;if((D|0)!=0){y=D;z=C;A=w;B=t;break}c[v+20>>2]=0;D=u+24|0;K=c[D>>2]|0;if((c[K>>2]|0)>-1){Q=1;aa=K;while(1){K=aa+32|0;S=Q+1|0;if((c[K>>2]|0)>-1){Q=S;aa=K}else{Ga=S;break}}}else{Ga=1}aa=KJa(Ga,32)|0;Q=aa;if((aa|0)==0){y=12;z=C;A=w;B=t;break}c[v+8>>2]=Q;aa=c[D>>2]|0;J=c[aa>>2]|0;if((J|0)>-1){S=0;K=aa;aa=J;while(1){c[Q+(S<<5)+8>>2]=x+(c[t+(aa<<2)>>2]<<5);c[Q+(S<<5)+12>>2]=aa;J=Q+(S<<5)+16|0;c[J>>2]=0;da=K+12|0;L=c[da>>2]|0;if((L|0)!=0){P=0;while(1){Ha=P+1|0;if((c[L+(P<<2)>>2]|0)>-1){P=Ha}else{break}}P=Ha<<2;L=IJa(P)|0;c[J>>2]=L;if((L|0)==0){y=12;z=C;A=w;B=t;break a}kKa(L|0,c[da>>2]|0,P)|0}c[Q+(S<<5)+20>>2]=c[K+16>>2];P=S+1|0;L=K+32|0;ja=c[L>>2]|0;if((ja|0)>-1){S=P;K=L;aa=ja}else{Ia=P;break}}}else{Ia=0}c[Q+(Ia<<5)+8>>2]=0;c[R>>2]=Fa;c[v+12>>2]=x+(c[t+(c[c[u+28>>2]>>2]<<2)>>2]<<5);c[v+52>>2]=c[G>>2];c[v+56>>2]=d;fJa(s);JJa(c[o+16>>2]|0);JJa(o);JJa(N);JJa(M);c[a+4>>2]=v;q=0;i=e;return q|0}else{y=r;z=0;A=0;B=0}}while(0);fJa(s);JJa(c[o+16>>2]|0);JJa(o);if((A|0)!=0){JJa(A)}if((B|0)!=0){JJa(B)}c[a+4>>2]=z;UIa(a);q=y;i=e;return q|0}function RIa(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0;d=i;i=i+424|0;e=d|0;f=d+8|0;g=d+72|0;h=d+328|0;j=d+336|0;k=d+384|0;l=d+392|0;m=c[b+4>>2]|0;n=m+12|0;o=c[n>>2]|0;if((c[b+40>>2]|0)==0){p=b+20|0;YIa(m,c[p>>2]|0)|0;YIa(m,2)|0;c[p>>2]=(c[p>>2]|0)+1}p=YIa(m,0)|0;q=b+12|0;r=b+16|0;c[r>>2]=c[q>>2];s=c[n>>2]|0;t=(p|0)==0;a:do{if((s|0)>(o|0)&t){u=m+16|0;v=b+36|0;w=b|0;x=b+24|0;y=b+20|0;z=g;A=f|0;B=b+28|0;C=l|0;D=k|0;E=k+1|0;F=j;G=b;H=j+12|0;I=j+40|0;J=j+24|0;K=j+8|0;L=0;M=0;N=s;b:while(1){O=N-1|0;c[n>>2]=O;P=c[u>>2]|0;c:do{switch(c[P+(O<<2)>>2]|0){case 0:{if((c[v>>2]&1|0)!=0){Q=YIa(m,7)|0;if((Q|0)!=0){R=Q;S=M;T=6;break b}}U=YIa(m,3)|0;V=M;W=L;break};case 3:{Q=YIa(m,5)|0;if((Q|0)!=0){R=Q;S=M;T=6;break b}U=YIa(m,4)|0;V=M;W=L;break};case 7:{Q=c[q>>2]|0;X=a[Q]|0;if((X|0)==41){c[q>>2]=Q+1;U=0;V=M;W=L;break c}else if((X|0)!=124){U=0;V=M;W=L;break c}X=YIa(m,7)|0;if((X|0)!=0){R=X;S=M;T=6;break b}X=YIa(m,L)|0;if((X|0)!=0){R=X;S=M;T=6;break b}X=YIa(m,8)|0;if((X|0)!=0){R=X;S=M;T=6;break b}X=YIa(m,3)|0;if((X|0)!=0){R=X;S=M;T=6;break b}c[q>>2]=(c[q>>2]|0)+1;U=0;V=M;W=L;break};case 6:{X=N-2|0;c[n>>2]=X;Q=c[P+(X<<2)>>2]|0;X=c[w>>2]|0;Y=gJa(X,0,0,1,32)|0;if((Y|0)==0){Z=12;T=293;break b}_=gJa(X,0,0,1,8)|0;X=Y+4|0;c[X>>2]=_;if((_|0)==0){Z=12;T=293;break b}c[Y>>2]=1;c[Y+8>>2]=-1;c[Y+12>>2]=-1;c[_>>2]=Q;c[(c[X>>2]|0)+4>>2]=L;c[Y+16>>2]=(c[L+16>>2]|0)+(c[Q+16>>2]|0);U=0;V=M;W=Y;break};case 1:{Y=c[q>>2]|0;d:do{switch(a[Y]|0){case 40:{if((c[v>>2]&1|0)!=0){$=Y;T=74}break};case 41:{if((M|0)!=0){T=263}break};case 42:case 124:case 123:case 43:case 63:{T=263;break};case 0:{T=264;break};case 92:{Q=Y+1|0;X=a[Q]|0;do{if((c[v>>2]&1|0)==0){if(X<<24>>24==40){c[q>>2]=Q;$=Q;T=74;break d}else{_=a[Y+1|0]|0;if(_<<24>>24==41){T=264;break d}else{aa=_;break}}}else{aa=X}}while(0);X=Y+1|0;Q=aa<<24>>24==0;if(Q){Z=5;T=293;break b}else{ba=0}while(1){if((ba|0)==12){break}if((a[1528+(ba<<3)|0]|0)==aa<<24>>24){T=193;break}else{ba=ba+1|0}}if((T|0)==193){T=0;_=c[1532+(ba<<3)>>2]|0;kKa(F|0,G|0,40)|0;c[H>>2]=_;c[I>>2]=1;_=RIa(j)|0;if((_|0)!=0){Z=_;T=293;break b}c[q>>2]=(c[q>>2]|0)+2;c[x>>2]=c[J>>2];U=0;V=M;W=c[K>>2]|0;break c}if(Q){Z=5;T=293;break b}c[q>>2]=X;_=a[X]|0;e:do{switch(_|0){case 98:{ca=c[w>>2]|0;da=gJa(ca,0,0,1,32)|0;ea=da;do{if((da|0)==0){fa=0}else{ga=gJa(ca,0,0,1,20)|0;c[da+4>>2]=ga;if((ga|0)==0){fa=0;break}c[da>>2]=0;c[da+8>>2]=-1;c[da+12>>2]=-1;c[ga>>2]=-2;c[ga+4>>2]=64;c[ga+8>>2]=-1;fa=ea}}while(0);c[q>>2]=(c[q>>2]|0)+1;ha=fa;break};case 66:{ea=c[w>>2]|0;da=gJa(ea,0,0,1,32)|0;ca=da;do{if((da|0)==0){ia=0}else{ga=gJa(ea,0,0,1,20)|0;c[da+4>>2]=ga;if((ga|0)==0){ia=0;break}c[da>>2]=0;c[da+8>>2]=-1;c[da+12>>2]=-1;c[ga>>2]=-2;c[ga+4>>2]=128;c[ga+8>>2]=-1;ia=ca}}while(0);c[q>>2]=(c[q>>2]|0)+1;ha=ia;break};case 60:{ca=c[w>>2]|0;da=gJa(ca,0,0,1,32)|0;ea=da;do{if((da|0)==0){ja=0}else{ga=gJa(ca,0,0,1,20)|0;c[da+4>>2]=ga;if((ga|0)==0){ja=0;break}c[da>>2]=0;c[da+8>>2]=-1;c[da+12>>2]=-1;c[ga>>2]=-2;c[ga+4>>2]=16;c[ga+8>>2]=-1;ja=ea}}while(0);c[q>>2]=(c[q>>2]|0)+1;ha=ja;break};case 62:{ea=c[w>>2]|0;da=gJa(ea,0,0,1,32)|0;ca=da;do{if((da|0)==0){ka=0}else{ga=gJa(ea,0,0,1,20)|0;c[da+4>>2]=ga;if((ga|0)==0){ka=0;break}c[da>>2]=0;c[da+8>>2]=-1;c[da+12>>2]=-1;c[ga>>2]=-2;c[ga+4>>2]=32;c[ga+8>>2]=-1;ka=ca}}while(0);c[q>>2]=(c[q>>2]|0)+1;ha=ka;break};case 120:{ca=Y+2|0;c[q>>2]=ca;da=a[ca]|0;if(da<<24>>24==123){ca=Y+3|0;c[q>>2]=ca;ea=0;ga=ca;while(1){ca=a[ga]|0;if((ca<<24>>24|0)==125|(ca<<24>>24|0)==0){la=ga;ma=ea;break}if((EIa(ca<<24>>24)|0)==0){Z=9;T=293;break b}ca=c[q>>2]|0;a[l+ea|0]=a[ca]|0;na=ea+1|0;oa=ca+1|0;c[q>>2]=oa;if(na>>>0>31>>>0){la=oa;ma=na;break}else{ea=na;ga=oa}}c[q>>2]=la+1;a[l+ma|0]=0;ga=Va(C|0,0,16)|0;ea=c[w>>2]|0;oa=c[x>>2]|0;na=gJa(ea,0,0,1,32)|0;ca=na;do{if((na|0)==0){pa=0}else{qa=gJa(ea,0,0,1,20)|0;c[na+4>>2]=qa;if((qa|0)==0){pa=0;break}c[na>>2]=0;c[na+8>>2]=-1;c[na+12>>2]=-1;c[qa>>2]=ga;c[qa+4>>2]=ga;c[qa+8>>2]=oa;pa=ca}}while(0);c[x>>2]=(c[x>>2]|0)+1;ha=pa;break e}else{lKa(D|0,0,3)|0;ca=(EIa(da<<24>>24)|0)==0;oa=c[q>>2]|0;if(ca){ra=oa}else{a[D]=a[oa]|0;ca=oa+1|0;c[q>>2]=ca;ra=ca}if((EIa(a[ra]|0)|0)!=0){ca=c[q>>2]|0;a[E]=a[ca]|0;c[q>>2]=ca+1}ca=Va(D|0,0,16)|0;oa=c[w>>2]|0;ga=c[x>>2]|0;na=gJa(oa,0,0,1,32)|0;ea=na;do{if((na|0)==0){sa=0}else{qa=gJa(oa,0,0,1,20)|0;c[na+4>>2]=qa;if((qa|0)==0){sa=0;break}c[na>>2]=0;c[na+8>>2]=-1;c[na+12>>2]=-1;c[qa>>2]=ca;c[qa+4>>2]=ca;c[qa+8>>2]=ga;sa=ea}}while(0);c[x>>2]=(c[x>>2]|0)+1;ha=sa;break e}break};default:{if((xIa(_)|0)!=0){ea=(a[c[q>>2]|0]|0)-48|0;ga=c[w>>2]|0;ca=c[x>>2]|0;na=gJa(ga,0,0,1,32)|0;if((na|0)==0){Z=12;T=293;break b}oa=gJa(ga,0,0,1,20)|0;c[na+4>>2]=oa;if((oa|0)==0){Z=12;T=293;break b}c[na>>2]=0;c[na+8>>2]=-1;c[na+12>>2]=-1;c[oa>>2]=-4;c[oa+4>>2]=ea;c[oa+8>>2]=ca;c[x>>2]=(c[x>>2]|0)+1;ca=c[B>>2]|0;c[B>>2]=(ea|0)<(ca|0)?ca:ea;c[q>>2]=(c[q>>2]|0)+1;U=0;V=M;W=na;break c}na=c[w>>2]|0;ea=a[c[q>>2]|0]|0;ca=c[x>>2]|0;oa=gJa(na,0,0,1,32)|0;ga=oa;do{if((oa|0)==0){ta=0}else{da=gJa(na,0,0,1,20)|0;c[oa+4>>2]=da;if((da|0)==0){ta=0;break}c[oa>>2]=0;c[oa+8>>2]=-1;c[oa+12>>2]=-1;c[da>>2]=ea;c[da+4>>2]=ea;c[da+8>>2]=ca;ta=ga}}while(0);c[x>>2]=(c[x>>2]|0)+1;c[q>>2]=(c[q>>2]|0)+1;ha=ta}}}while(0);if((ha|0)==0){Z=12;T=293;break b}else{U=0;V=M;W=ha;break c}break};case 46:{_=(c[v>>2]&4|0)==0;X=c[w>>2]|0;Q=c[x>>2]|0;ga=gJa(X,0,0,1,32)|0;ca=ga;ea=(ga|0)==0;if(_){if(ea){Z=12;T=293;break b}_=gJa(X,0,0,1,20)|0;c[ga+4>>2]=_;if((_|0)==0){Z=12;T=293;break b}c[ga>>2]=0;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[_>>2]=0;c[_+4>>2]=1114111;c[_+8>>2]=Q;ua=(c[x>>2]|0)+1|0;va=ca}else{if(ea){Z=12;T=293;break b}ea=gJa(X,0,0,1,20)|0;c[ga+4>>2]=ea;if((ea|0)==0){Z=12;T=293;break b}c[ga>>2]=0;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[ea>>2]=0;c[ea+4>>2]=9;c[ea+8>>2]=Q;Q=c[w>>2]|0;ea=(c[x>>2]|0)+1|0;X=gJa(Q,0,0,1,32)|0;if((X|0)==0){Z=12;T=293;break b}_=gJa(Q,0,0,1,20)|0;c[X+4>>2]=_;if((_|0)==0){Z=12;T=293;break b}c[X>>2]=0;c[X+8>>2]=-1;c[X+12>>2]=-1;c[_>>2]=11;c[_+4>>2]=1114111;c[_+8>>2]=ea;ea=c[w>>2]|0;_=gJa(ea,0,0,1,32)|0;if((_|0)==0){Z=12;T=293;break b}Q=gJa(ea,0,0,1,8)|0;ea=_+4|0;c[ea>>2]=Q;if((Q|0)==0){Z=12;T=293;break b}c[_>>2]=3;c[_+8>>2]=-1;c[_+12>>2]=-1;c[Q>>2]=ca;c[(c[ea>>2]|0)+4>>2]=X;c[_+16>>2]=(c[X+16>>2]|0)+(c[ga+16>>2]|0);ua=(c[x>>2]|0)+2|0;va=_}c[x>>2]=ua;c[q>>2]=(c[q>>2]|0)+1;U=0;V=M;W=va;break c;break};case 94:{if((c[v>>2]&1|0)==0){if((Y|0)!=(c[r>>2]|0)){break d}_=YIa(m,5)|0;if((_|0)!=0){R=_;S=M;T=6;break b}}_=c[w>>2]|0;ga=gJa(_,0,0,1,32)|0;if((ga|0)==0){Z=12;T=293;break b}X=gJa(_,0,0,1,20)|0;c[ga+4>>2]=X;if((X|0)==0){Z=12;T=293;break b}c[ga>>2]=0;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[X>>2]=-2;c[X+4>>2]=1;c[X+8>>2]=-1;c[q>>2]=(c[q>>2]|0)+1;U=0;V=M;W=ga;break c;break};case 36:{if((c[v>>2]&1|0)==0){if((a[Y+1|0]|0)!=0){break d}}ga=c[w>>2]|0;X=gJa(ga,0,0,1,32)|0;if((X|0)==0){Z=12;T=293;break b}_=gJa(ga,0,0,1,20)|0;c[X+4>>2]=_;if((_|0)==0){Z=12;T=293;break b}c[X>>2]=0;c[X+8>>2]=-1;c[X+12>>2]=-1;c[_>>2]=-2;c[_+4>>2]=2;c[_+8>>2]=-1;c[q>>2]=(c[q>>2]|0)+1;U=0;V=M;W=X;break c;break};case 91:{X=Y+1|0;c[q>>2]=X;_=IJa(128)|0;if((_|0)==0){Z=12;T=293;break b}if((a[X]|0)==94){ga=Y+2|0;c[q>>2]=ga;wa=1;xa=ga}else{wa=0;xa=X}X=(wa|0)==0;ga=xa;ea=32;ca=0;Q=0;oa=_;f:while(1){_=a[ga]|0;if((_<<24>>24|0)==0){ya=ga;za=7;Aa=oa;T=140;break}else if((_<<24>>24|0)==93){if(ga>>>0>(c[q>>2]|0)>>>0){T=85;break}}_=MIa(e,ga,-1)|0;if((_|0)<0){c[e>>2]=-1;Ba=1}else{Ba=_}_=ga+Ba|0;do{if((a[_]|0)==45){na=Ba+1|0;da=ga+na|0;if((a[da]|0)==93){T=94;break}qa=c[e>>2]|0;Ca=MIa(e,da,-1)|0;if((Ca|0)<0){c[e>>2]=-1;Da=1;Ea=-1}else{Da=Ca;Ea=c[e>>2]|0}Fa=ga+(Da+na)|0;Ga=Ea;Ha=qa;Ia=qa>>>0>Ea>>>0?11:0;Ja=0}else{T=94}}while(0);g:do{if((T|0)==94){T=0;qa=a[ga]|0;do{if((qa<<24>>24|0)==45){if((a[ga+1|0]|0)==93){Ka=0;break}Ka=(c[q>>2]|0)==(ga|0)?0:11}else if((qa<<24>>24|0)==91){na=a[ga+1|0]|0;if((na<<24>>24|0)==46|(na<<24>>24|0)==61){ya=ga;za=3;Aa=oa;T=140;break f}else if((na<<24>>24|0)!=58){Ka=0;break}na=ga+2|0;Ca=na;while(1){da=a[Ca]|0;La=da<<24>>24==0;if(da<<24>>24!=58&(La^1)){Ca=Ca+1|0}else{break}}if(La){ya=ga;za=4;Aa=oa;T=140;break f}da=Ca-ga-2|0;Ma=(da|0)>63?63:da;jKa(A|0,na|0,Ma|0)|0;a[f+Ma|0]=0;Ma=wIa(A)|0;Fa=Ca+2|0;Ga=1114111;Ha=0;Ia=(Ma|0)==0?4:0;Ja=Ma;break g}else{Ka=0}}while(0);qa=c[e>>2]|0;Fa=_;Ga=qa;Ha=qa;Ia=Ka;Ja=0}}while(0);if((Ia|0)!=0){ya=Fa;za=Ia;Aa=oa;T=140;break}_=(Ja|0)!=0;do{if(X|_^1){qa=c[w>>2]|0;if((ca|0)<(ea|0)){Na=ea;Oa=oa}else{if((ea|0)>1024){ya=Fa;za=12;Aa=oa;T=140;break f}Ma=LJa(oa,ea<<3)|0;if((Ma|0)==0){ya=Fa;za=12;Aa=oa;T=140;break f}else{Na=ea<<1;Oa=Ma}}Ma=gJa(qa,0,0,1,32)|0;if((Ma|0)==0){T=112;break f}da=gJa(qa,0,0,1,20)|0;qa=Ma+4|0;c[qa>>2]=da;if((da|0)==0){T=112;break f}c[Ma>>2]=0;c[Ma+8>>2]=-1;c[Ma+12>>2]=-1;c[da>>2]=Ha;c[da+4>>2]=Ga;c[da+8>>2]=-1;c[Oa+(ca<<2)>>2]=Ma;c[(c[qa>>2]|0)+12>>2]=Ja;Pa=0;Qa=Na;Ra=ca+1|0;Sa=Q;Ta=Oa}else{if((Q|0)>63){Pa=12;Qa=ea;Ra=ca;Sa=Q;Ta=oa;break}c[g+(Q<<2)>>2]=Ja;Pa=0;Qa=ea;Ra=ca;Sa=Q+1|0;Ta=oa}}while(0);qa=(Pa|0)==0;if(qa&(((c[v>>2]&2|0)==0|_)^1)){Ua=Ha;Wa=Qa;Xa=Ra;Ya=Ta}else{if(qa){ga=Fa;ea=Qa;ca=Ra;Q=Sa;oa=Ta;continue}else{ya=Fa;za=Pa;Aa=Ta;T=140;break}}while(1){qa=Ua;while(1){if(qa>>>0>Ga>>>0){ga=Fa;ea=Wa;ca=Xa;Q=Sa;oa=Ya;continue f}if((zIa(qa)|0)!=0){T=118;break}Za=qa+1|0;if((DIa(qa)|0)==0){qa=Za}else{T=129;break}}if((T|0)==118){T=0;Ma=FIa(qa)|0;da=qa+1|0;h:do{if((zIa(da)|0)==0){_a=Ma;$a=da}else{ab=Ma;bb=da;while(1){if((FIa(bb)|0)!=(ab+1|0)|bb>>>0>Ga>>>0){_a=ab;$a=bb;break h}cb=FIa(bb)|0;db=bb+1|0;if((zIa(db)|0)==0){_a=cb;$a=db;break}else{ab=cb;bb=db}}}}while(0);da=c[w>>2]|0;if((Xa|0)<(Wa|0)){eb=Wa;fb=Ya}else{if((Wa|0)>1024){ya=Fa;za=12;Aa=Ya;T=140;break f}bb=LJa(Ya,Wa<<3)|0;if((bb|0)==0){ya=Fa;za=12;Aa=Ya;T=140;break f}else{eb=Wa<<1;fb=bb}}bb=gJa(da,0,0,1,32)|0;ab=bb;do{if((bb|0)==0){gb=0}else{Ca=gJa(da,0,0,1,20)|0;c[bb+4>>2]=Ca;if((Ca|0)==0){gb=0;break}c[bb>>2]=0;c[bb+8>>2]=-1;c[bb+12>>2]=-1;c[Ca>>2]=Ma;c[Ca+4>>2]=_a;c[Ca+8>>2]=-1;gb=ab}}while(0);c[fb+(Xa<<2)>>2]=gb;hb=$a;ib=eb;jb=gb;kb=fb}else if((T|0)==129){T=0;ab=HIa(qa)|0;i:do{if((DIa(Za)|0)==0){lb=Za;mb=ab}else{Ma=Za;bb=ab;while(1){if((HIa(Ma)|0)!=(bb+1|0)|Ma>>>0>Ga>>>0){lb=Ma;mb=bb;break i}da=Ma+1|0;Ca=HIa(Ma)|0;if((DIa(da)|0)==0){lb=da;mb=Ca;break}else{Ma=da;bb=Ca}}}}while(0);qa=c[w>>2]|0;if((Xa|0)<(Wa|0)){nb=Wa;ob=Ya}else{if((Wa|0)>1024){ya=Fa;za=12;Aa=Ya;T=140;break f}bb=LJa(Ya,Wa<<3)|0;if((bb|0)==0){ya=Fa;za=12;Aa=Ya;T=140;break f}else{nb=Wa<<1;ob=bb}}bb=gJa(qa,0,0,1,32)|0;Ma=bb;do{if((bb|0)==0){pb=0}else{Ca=gJa(qa,0,0,1,20)|0;c[bb+4>>2]=Ca;if((Ca|0)==0){pb=0;break}c[bb>>2]=0;c[bb+8>>2]=-1;c[bb+12>>2]=-1;c[Ca>>2]=ab;c[Ca+4>>2]=mb;c[Ca+8>>2]=-1;pb=Ma}}while(0);c[ob+(Xa<<2)>>2]=pb;hb=lb;ib=nb;jb=pb;kb=ob}if((jb|0)==0){T=141;break f}else{Ua=hb;Wa=ib;Xa=Xa+1|0;Ya=kb}}}j:do{if((T|0)==85){T=0;c[q>>2]=ga+1;ea=(wa|0)!=0;if(ea){Ic(oa|0,ca|0,4,48)}k:do{if((ca|0)>0){X=(Q|0)>0;_=Q<<2;Ma=_+4|0;if(ea){qb=0;rb=0;sb=0;tb=0}else{ab=0;bb=0;while(1){qa=oa+(ab<<2)|0;Ca=c[(c[qa>>2]|0)+4>>2]|0;do{if((Ca|0)==0){ub=bb;vb=0}else{c[Ca+8>>2]=c[x>>2];if(X){da=gJa(c[w>>2]|0,0,0,0,Ma)|0;na=Ca+16|0;c[na>>2]=da;if((da|0)==0){wb=bb;xb=12;yb=oa;break j}kKa(da|0,z|0,_)|0;c[(c[na>>2]|0)+(Q<<2)>>2]=0}else{c[Ca+16>>2]=0}if((bb|0)==0){ub=c[qa>>2]|0;vb=0;break}na=c[w>>2]|0;da=c[qa>>2]|0;db=gJa(na,0,0,1,32)|0;cb=db;do{if((db|0)==0){zb=0}else{Ab=gJa(na,0,0,1,8)|0;Bb=db+4|0;c[Bb>>2]=Ab;if((Ab|0)==0){zb=0;break}c[db>>2]=3;c[db+8>>2]=-1;c[db+12>>2]=-1;c[Ab>>2]=bb;c[(c[Bb>>2]|0)+4>>2]=da;c[db+16>>2]=(c[da+16>>2]|0)+(c[bb+16>>2]|0);zb=cb}}while(0);ub=zb;vb=(zb|0)==0?12:0}}while(0);qa=ab+1|0;if((qa|0)<(ca|0)&(vb|0)==0){ab=qa;bb=ub}else{Cb=vb;Db=0;Eb=ub;break k}}}while(1){bb=oa+(qb<<2)|0;ab=c[(c[bb>>2]|0)+4>>2]|0;qa=ab;Ca=c[qa>>2]|0;cb=ab+4|0;da=c[cb>>2]|0;do{if((Ca|0)<(rb|0)){db=da+1|0;Fb=tb;Gb=0;Hb=(db|0)<(rb|0)?rb:db;Ib=sb}else{db=Ca-1|0;if((db|0)<(sb|0)){na=da+1|0;Fb=tb;Gb=0;Hb=na;Ib=na;break}c[qa>>2]=sb;c[cb>>2]=db;db=da+1|0;if((ab|0)==0){Fb=tb;Gb=0;Hb=db;Ib=db;break}c[ab+8>>2]=c[x>>2];if(X){na=gJa(c[w>>2]|0,0,0,0,Ma)|0;Bb=ab+16|0;c[Bb>>2]=na;if((na|0)==0){wb=tb;xb=12;yb=oa;break j}kKa(na|0,z|0,_)|0;c[(c[Bb>>2]|0)+(Q<<2)>>2]=0}else{c[ab+16>>2]=0}if((tb|0)==0){Fb=c[bb>>2]|0;Gb=0;Hb=db;Ib=db;break}Bb=c[w>>2]|0;na=c[bb>>2]|0;Ab=gJa(Bb,0,0,1,32)|0;Jb=Ab;do{if((Ab|0)==0){Kb=0}else{Lb=gJa(Bb,0,0,1,8)|0;Mb=Ab+4|0;c[Mb>>2]=Lb;if((Lb|0)==0){Kb=0;break}c[Ab>>2]=3;c[Ab+8>>2]=-1;c[Ab+12>>2]=-1;c[Lb>>2]=tb;c[(c[Mb>>2]|0)+4>>2]=na;c[Ab+16>>2]=(c[na+16>>2]|0)+(c[tb+16>>2]|0);Kb=Jb}}while(0);Fb=Kb;Gb=(Kb|0)==0?12:0;Hb=db;Ib=db}}while(0);bb=qb+1|0;if((bb|0)<(ca|0)&(Gb|0)==0){qb=bb;rb=Hb;sb=Ib;tb=Fb}else{Cb=Gb;Db=Ib;Eb=Fb;break}}}else{Cb=0;Db=0;Eb=0}}while(0);if((Cb|0)!=0|ea^1){wb=Eb;xb=Cb;yb=oa;break}_=c[w>>2]|0;Ma=c[x>>2]|0;X=gJa(_,0,0,1,32)|0;bb=X;if((X|0)==0){wb=Eb;xb=12;yb=oa;break}ab=gJa(_,0,0,1,20)|0;c[X+4>>2]=ab;if((ab|0)==0){wb=Eb;xb=12;yb=oa;break}c[X>>2]=0;c[X+8>>2]=-1;c[X+12>>2]=-1;c[ab>>2]=Db;c[ab+4>>2]=1114111;c[ab+8>>2]=Ma;if((Q|0)>0){Ma=Q<<2;_=gJa(c[w>>2]|0,0,0,0,Ma+4|0)|0;da=ab+16|0;c[da>>2]=_;if((_|0)==0){wb=Eb;xb=12;yb=oa;break}kKa(_|0,z|0,Ma)|0;c[(c[da>>2]|0)+(Q<<2)>>2]=0}else{c[ab+16>>2]=0}if((Eb|0)==0){wb=bb;xb=0;yb=oa;break}ab=c[w>>2]|0;da=gJa(ab,0,0,1,32)|0;Ma=da;do{if((da|0)==0){Nb=0}else{_=gJa(ab,0,0,1,8)|0;cb=da+4|0;c[cb>>2]=_;if((_|0)==0){Nb=0;break}c[da>>2]=3;c[da+8>>2]=-1;c[da+12>>2]=-1;c[_>>2]=Eb;c[(c[cb>>2]|0)+4>>2]=bb;c[da+16>>2]=(c[X+16>>2]|0)+(c[Eb+16>>2]|0);Nb=Ma}}while(0);wb=Nb;xb=(Nb|0)==0?12:0;yb=oa}else if((T|0)==112){T=0;c[Oa+(ca<<2)>>2]=0;ya=Fa;za=12;Aa=Oa;T=140}else if((T|0)==141){T=0;c[q>>2]=Fa;wb=0;xb=12;yb=kb}}while(0);if((T|0)==140){T=0;c[q>>2]=ya;wb=0;xb=za;yb=Aa}JJa(yb);c[x>>2]=(c[x>>2]|0)+1;if((xb|0)==0){U=0;V=M;W=wb;break c}else{Z=xb;T=293;break b}break};default:{}}}while(0);if((T|0)==74){T=0;ca=M+1|0;c[q>>2]=$+1;oa=YIa(m,c[y>>2]|0)|0;if((oa|0)!=0){R=oa;S=ca;T=6;break b}oa=YIa(m,2)|0;if((oa|0)!=0){R=oa;S=ca;T=6;break b}oa=YIa(m,0)|0;if((oa|0)!=0){R=oa;S=ca;T=6;break b}c[y>>2]=(c[y>>2]|0)+1;U=0;V=ca;W=L;break c}else if((T|0)==263){T=0;if((c[v>>2]&1|0)!=0){T=264}}if((T|0)==264){T=0;ca=c[w>>2]|0;oa=gJa(ca,0,0,1,32)|0;if((oa|0)==0){Z=12;T=293;break b}Q=gJa(ca,0,0,1,20)|0;c[oa+4>>2]=Q;if((Q|0)==0){Z=12;T=293;break b}c[oa>>2]=0;c[oa+8>>2]=-1;c[oa+12>>2]=-1;c[Q>>2]=-1;c[Q+4>>2]=-1;c[Q+8>>2]=-1;U=0;V=M;W=oa;break c}oa=MIa(h,Y,-1)|0;if((oa|0)<0){c[h>>2]=-1;Ob=1}else{Ob=oa}do{if((c[v>>2]&2|0)==0){T=279}else{if((DIa(c[h>>2]|0)|0)==0){if((zIa(c[h>>2]|0)|0)==0){T=279;break}}oa=c[w>>2]|0;Q=FIa(c[h>>2]|0)|0;ca=FIa(c[h>>2]|0)|0;ga=c[x>>2]|0;Ma=gJa(oa,0,0,1,32)|0;if((Ma|0)==0){Z=12;T=293;break b}X=gJa(oa,0,0,1,20)|0;c[Ma+4>>2]=X;if((X|0)==0){Z=12;T=293;break b}c[Ma>>2]=0;c[Ma+8>>2]=-1;c[Ma+12>>2]=-1;c[X>>2]=Q;c[X+4>>2]=ca;c[X+8>>2]=ga;ga=c[w>>2]|0;X=HIa(c[h>>2]|0)|0;ca=HIa(c[h>>2]|0)|0;Q=c[x>>2]|0;oa=gJa(ga,0,0,1,32)|0;if((oa|0)==0){Z=12;T=293;break b}da=gJa(ga,0,0,1,20)|0;c[oa+4>>2]=da;if((da|0)==0){Z=12;T=293;break b}c[oa>>2]=0;c[oa+8>>2]=-1;c[oa+12>>2]=-1;c[da>>2]=X;c[da+4>>2]=ca;c[da+8>>2]=Q;Q=c[w>>2]|0;da=gJa(Q,0,0,1,32)|0;if((da|0)==0){Z=12;T=293;break b}ca=gJa(Q,0,0,1,8)|0;Q=da+4|0;c[Q>>2]=ca;if((ca|0)==0){Z=12;T=293;break b}c[da>>2]=3;c[da+8>>2]=-1;c[da+12>>2]=-1;c[ca>>2]=Ma;c[(c[Q>>2]|0)+4>>2]=oa;c[da+16>>2]=(c[oa+16>>2]|0)+(c[Ma+16>>2]|0);Pb=da}}while(0);if((T|0)==279){T=0;Y=c[w>>2]|0;da=c[h>>2]|0;Ma=c[x>>2]|0;oa=gJa(Y,0,0,1,32)|0;if((oa|0)==0){Z=12;T=293;break b}Q=gJa(Y,0,0,1,20)|0;c[oa+4>>2]=Q;if((Q|0)==0){Z=12;T=293;break b}c[oa>>2]=0;c[oa+8>>2]=-1;c[oa+12>>2]=-1;c[Q>>2]=da;c[Q+4>>2]=da;c[Q+8>>2]=Ma;Pb=oa}c[x>>2]=(c[x>>2]|0)+1;c[q>>2]=(c[q>>2]|0)+Ob;U=0;V=M;W=Pb;break};case 2:{oa=N-2|0;c[n>>2]=oa;Ma=c[P+(oa<<2)>>2]|0;if((c[L+12>>2]|0)>-1){oa=c[w>>2]|0;Q=gJa(oa,0,0,1,32)|0;if((Q|0)==0){Z=12;T=293;break b}da=gJa(oa,0,0,1,20)|0;c[Q+4>>2]=da;if((da|0)==0){Z=12;T=293;break b}c[Q>>2]=0;c[Q+8>>2]=-1;c[Q+12>>2]=-1;c[da>>2]=-1;c[da+4>>2]=-1;c[da+8>>2]=-1;da=c[w>>2]|0;oa=gJa(da,0,0,1,32)|0;if((oa|0)==0){Z=12;T=293;break b}Y=gJa(da,0,0,1,8)|0;da=oa+4|0;c[da>>2]=Y;if((Y|0)==0){Z=12;T=293;break b}c[oa>>2]=1;c[oa+8>>2]=-1;c[oa+12>>2]=-1;c[Y>>2]=Q;c[(c[da>>2]|0)+4>>2]=L;da=L+16|0;Y=oa+16|0;c[Y>>2]=(c[da>>2]|0)+(c[Q+16>>2]|0);c[Y>>2]=c[da>>2];Qb=oa}else{Qb=L}c[Qb+12>>2]=Ma;Ma=Qb+16|0;c[Ma>>2]=(c[Ma>>2]|0)+1;U=0;V=M;W=Qb;break};case 10:{Ma=N-2|0;c[n>>2]=Ma;c[v>>2]=c[P+(Ma<<2)>>2];U=0;V=M;W=L;break};case 5:{Ma=c[q>>2]|0;oa=a[Ma]|0;if(oa<<24>>24==0){U=0;V=M;W=L;break c}da=c[v>>2]&1;Y=(da|0)!=0;if(Y&oa<<24>>24==124){U=0;V=M;W=L;break c}do{if(!(Y&oa<<24>>24==41&(M|0)>0)){if((da|0)==0&oa<<24>>24==92){if((a[Ma+1|0]|0)==41){break}}Q=YIa(m,5)|0;if((Q|0)!=0){R=Q;S=M;T=6;break b}Q=YIa(m,L)|0;if((Q|0)!=0){R=Q;S=M;T=6;break b}Q=YIa(m,6)|0;if((Q|0)!=0){R=Q;S=M;T=6;break b}U=YIa(m,4)|0;V=M;W=L;break c}}while(0);oa=(da|M|0)==0?8:0;Y=M-1|0;if((da|0)!=0){U=oa;V=Y;W=L;break c}c[q>>2]=Ma+2;U=oa;V=Y;W=L;break};case 8:{Y=N-2|0;c[n>>2]=Y;oa=c[P+(Y<<2)>>2]|0;Y=c[w>>2]|0;Q=gJa(Y,0,0,1,32)|0;if((Q|0)==0){Z=12;T=293;break b}ca=gJa(Y,0,0,1,8)|0;Y=Q+4|0;c[Y>>2]=ca;if((ca|0)==0){Z=12;T=293;break b}c[Q>>2]=3;c[Q+8>>2]=-1;c[Q+12>>2]=-1;c[ca>>2]=oa;c[(c[Y>>2]|0)+4>>2]=L;c[Q+16>>2]=(c[L+16>>2]|0)+(c[oa+16>>2]|0);U=0;V=M;W=Q;break};case 9:{Q=c[q>>2]|0;oa=a[Q]|0;switch(oa<<24>>24|0){case 43:case 63:{if((c[v>>2]&1|0)==0){U=0;V=M;W=L;break c}else{T=41}break};case 92:{Y=c[v>>2]|0;if((Y&1|0)!=0){U=0;V=M;W=L;break c}ca=Q+1|0;if((a[ca]|0)!=123){U=0;V=M;W=L;break c}c[q>>2]=ca;Rb=ca;Sb=Y;break};case 42:{T=41;break};case 123:{Y=c[v>>2]|0;if((Y&1|0)==0){U=0;V=M;W=L;break c}else{Rb=Q;Sb=Y}break};default:{U=0;V=M;W=L;break c}}if((T|0)==41){T=0;c[q>>2]=Q+1;Q=c[w>>2]|0;Y=gJa(Q,0,0,1,32)|0;if((Y|0)==0){Z=12;T=293;break b}ca=gJa(Q,0,0,1,16)|0;c[Y+4>>2]=ca;if((ca|0)==0){Z=12;T=293;break b}c[Y>>2]=2;c[Y+8>>2]=-1;c[Y+12>>2]=-1;c[ca>>2]=L;c[ca+4>>2]=oa<<24>>24==43;c[ca+8>>2]=oa<<24>>24==63?1:-1;oa=ca+12|0;c[oa>>2]=c[oa>>2]&-2;c[Y+16>>2]=c[L+16>>2];U=YIa(m,9)|0;V=M;W=Y;break c}Y=Rb+1|0;c[q>>2]=Y;oa=a[Y]|0;if((oa-48&255)>>>0<10>>>0){ca=oa<<24>>24;if((ca-48|0)>>>0<10>>>0){Tb=-1;Ub=Y;Vb=ca}else{Z=10;T=293;break b}while(1){ca=((Tb|0)<0?-48:(Tb*10|0)-48|0)+Vb|0;Q=Ub+1|0;X=a[Q]|0;ga=X<<24>>24;if((ga-48|0)>>>0<10>>>0){Tb=ca;Ub=Q;Vb=ga}else{Wb=ca;Xb=Q;Yb=X;break}}}else{Wb=-1;Xb=Y;Yb=oa}do{if(Yb<<24>>24==44){Ma=Xb+1|0;da=a[Ma]|0;X=da<<24>>24;if((X-48|0)>>>0<10>>>0){Zb=-1;_b=Ma;$b=X}else{ac=Ma;bc=-1;cc=da;break}while(1){da=((Zb|0)<0?-48:(Zb*10|0)-48|0)+$b|0;Ma=_b+1|0;X=a[Ma]|0;Q=X<<24>>24;if((Q-48|0)>>>0<10>>>0){Zb=da;_b=Ma;$b=Q}else{dc=da;ec=Ma;fc=X;T=54;break}}}else{dc=Wb;ec=Xb;fc=Yb;T=54}}while(0);do{if((T|0)==54){T=0;if(!((dc|0)>-1)){ac=ec;bc=dc;cc=fc;break}if((Wb|0)>(dc|0)|(dc|0)>255){Z=10;T=293;break b}else{ac=ec;bc=dc;cc=fc}}}while(0);if(cc<<24>>24==0){Z=9;T=293;break b}if((ac|0)==(Y|0)){Z=10;T=293;break b}if((Sb&1|0)==0){if(!(cc<<24>>24==92)){Z=10;T=293;break b}if((a[ac+1|0]|0)!=125){Z=10;T=293;break b}gc=ac+2|0}else{if(!(cc<<24>>24==125)){Z=10;T=293;break b}gc=ac+1|0}if((bc|Wb|0)==0){oa=c[w>>2]|0;X=gJa(oa,0,0,1,32)|0;if((X|0)==0){Z=12;T=293;break b}Ma=gJa(oa,0,0,1,20)|0;c[X+4>>2]=Ma;if((Ma|0)==0){Z=12;T=293;break b}c[X>>2]=0;c[X+8>>2]=-1;c[X+12>>2]=-1;c[Ma>>2]=-1;c[Ma+4>>2]=-1;c[Ma+8>>2]=-1;hc=X}else{X=(bc&Wb|0)<0;Ma=c[w>>2]|0;oa=gJa(Ma,0,0,1,32)|0;if((oa|0)==0){Z=12;T=293;break b}da=gJa(Ma,0,0,1,16)|0;c[oa+4>>2]=da;if((da|0)==0){Z=12;T=293;break b}c[oa>>2]=2;c[oa+8>>2]=-1;c[oa+12>>2]=-1;c[da>>2]=L;c[da+4>>2]=X?1:Wb;c[da+8>>2]=X?1:bc;X=da+12|0;c[X>>2]=c[X>>2]&-2;c[oa+16>>2]=c[L+16>>2];hc=oa}c[q>>2]=gc;U=YIa(m,9)|0;V=M;W=hc;break};case 4:{oa=YIa(m,9)|0;if((oa|0)!=0){R=oa;S=M;T=6;break b}U=YIa(m,1)|0;V=M;W=L;break};default:{U=0;V=M;W=L}}}while(0);P=c[n>>2]|0;O=(U|0)==0;if((P|0)>(o|0)&O){L=W;M=V;N=P}else{ic=W;jc=V;kc=U;lc=O;break a}}if((T|0)==6){ic=L;jc=S;kc=R;lc=(R|0)==0;break}else if((T|0)==293){i=d;return Z|0}}else{ic=0;jc=0;kc=p;lc=t}}while(0);t=(jc|0)>0;if(t|lc^1){Z=t?8:kc;i=d;return Z|0}c[b+8>>2]=ic;Z=0;i=d;return Z|0}function SIa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0;f=b+12|0;g=c[f>>2]|0;h=(a|0)==0|(e|0)==0;if(!h){c[e+48>>2]=0;c[c[e+36>>2]>>2]=-1}i=c[e+28>>2]|0;j=IJa((i<<3)+8|0)|0;k=j;if((j|0)==0){l=12;return l|0}c[k>>2]=-1;m=IJa((i<<2)+4|0)|0;n=m;if((m|0)==0){JJa(j);l=12;return l|0}c[n>>2]=-1;o=0;while(1){if(o>>>0>i>>>0){break}else{o=o+1|0}}YIa(b,d)|0;d=YIa(b,0)|0;o=c[f>>2]|0;a:do{if((o|0)>(g|0)&(d|0)==0){i=b+16|0;p=e+32|0;q=e+16|0;r=e+36|0;s=0;t=-1;u=1;v=0;w=0;x=0;y=k;z=o;while(1){A=z-1|0;c[f>>2]=A;B=c[i>>2]|0;b:do{switch(c[B+(A<<2)>>2]|0){case 6:{C=z-2|0;c[f>>2]=C;D=c[B+(C<<2)>>2]|0;C=0;do{E=y+(C<<2)|0;C=C+1|0}while((c[E>>2]|0)>-1);c[E>>2]=D<<1|1;c[y+(C<<2)>>2]=-1;F=0;while(1){if((c[n+(F<<2)>>2]|0)>-1){F=F+1|0}else{break}}c[n+(F-1<<2)>>2]=-1;G=0;H=y;I=x;J=w;K=v;L=u;M=t;N=s;break};case 0:{C=z-2|0;c[f>>2]=C;D=c[B+(C<<2)>>2]|0;C=D;O=D+12|0;P=c[O>>2]|0;if((P|0)>-1){Q=0;do{R=y+(Q<<2)|0;Q=Q+1|0}while((c[R>>2]|0)>-1);c[R>>2]=P<<1;c[y+(Q<<2)>>2]=-1;do{if(!h){F=0;while(1){if((c[n+(F<<2)>>2]|0)>-1){F=F+1|0}else{break}}c[(c[q>>2]|0)+(P*12|0)+8>>2]=0;if((F|0)<=0){break}S=IJa((F<<2)+4|0)|0;T=S;if((S|0)==0){U=t;V=v;W=w;X=x;Y=y;Z=12;break a}c[(c[q>>2]|0)+(P*12|0)+8>>2]=T;S=c[n>>2]|0;if((S|0)>-1){_=0;$=S;S=T;while(1){c[S>>2]=$;aa=_+1|0;ba=c[n+(aa<<2)>>2]|0;ca=T+(aa<<2)|0;if((ba|0)>-1){_=aa;$=ba;S=ca}else{da=ca;break}}}else{da=T}c[da>>2]=-1}}while(0);P=YIa(b,c[O>>2]|0)|0;if((P|0)!=0){U=t;V=v;W=w;X=x;Y=y;Z=P;break a}P=YIa(b,6)|0;if((P|0)!=0){U=t;V=v;W=w;X=x;Y=y;Z=P;break a}}P=c[D>>2]|0;do{if((P|0)==2){Q=c[D+4>>2]|0;if(h){if((c[y>>2]|0)>-1){ea=1}else{ea=c[Q+12>>2]&1}S=YIa(b,ea)|0;if((S|0)!=0){fa=S;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}}else{S=YIa(b,v)|0;if((S|0)!=0){fa=S;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}S=YIa(b,c[Q+12>>2]&1)|0;if((S|0)!=0){fa=S;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}}S=YIa(b,D)|0;if((S|0)!=0){fa=S;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}S=YIa(b,1)|0;if((S|0)!=0){fa=S;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}S=YIa(b,c[Q>>2]|0)|0;if((S|0)!=0){fa=S;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}S=YIa(b,0)|0;if((S|0)!=0){fa=S;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}if(!((c[y>>2]|0)>-1)){if((c[Q+12>>2]&1|0)==0){fa=0;ga=x;ha=w;ia=v;ja=u;ka=t;la=0;break}}if(h){ma=0;na=w;oa=t}else{S=_Ia(a,C,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=(c[Q+12>>2]&1|0)==0?s:1;if((t|0)>-1){Q=c[r>>2]|0;$=0;while(1){pa=Q+($<<2)|0;qa=$+1|0;if((c[pa>>2]|0)>-1){$=qa}else{break}}c[pa>>2]=v;c[Q+(qa<<2)>>2]=t;c[Q+($+2<<2)>>2]=-1;ra=w+1|0;sa=-1}else{ra=w;sa=t}T=c[y>>2]|0;if((T|0)>-1){_=c[q>>2]|0;F=0;ca=T;do{T=(ca|0)/2|0;if((ca&1|0)==0){c[_+(T*12|0)>>2]=v}else{c[_+(T*12|0)+4>>2]=v}F=F+1|0;ca=c[y+(F<<2)>>2]|0;}while((ca|0)>-1)}c[y>>2]=-1;ma=S;na=ra;oa=sa}c[y>>2]=-1;fa=ma;ga=x+1|0;ha=na;ia=u;ja=u+1|0;ka=oa;la=0}else if((P|0)==0){ca=c[c[D+4>>2]>>2]|0;if(!((ca|0)>-1|(ca|0)==-4)){fa=0;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}if(!((c[y>>2]|0)>-1)){fa=0;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}if(h){c[D+20>>2]=1;ta=0;ua=w;va=t}else{ca=_Ia(a,C,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=s;if((t|0)>-1){F=c[r>>2]|0;_=0;while(1){wa=F+(_<<2)|0;xa=_+1|0;if((c[wa>>2]|0)>-1){_=xa}else{break}}c[wa>>2]=v;c[F+(xa<<2)>>2]=t;c[F+(_+2<<2)>>2]=-1;ya=w+1|0;za=-1}else{ya=w;za=t}S=c[y>>2]|0;if((S|0)>-1){$=c[q>>2]|0;Q=0;T=S;do{S=(T|0)/2|0;if((T&1|0)==0){c[$+(S*12|0)>>2]=v}else{c[$+(S*12|0)+4>>2]=v}Q=Q+1|0;T=c[y+(Q<<2)>>2]|0;}while((T|0)>-1)}c[y>>2]=-1;ta=ca;ua=ya;va=za}c[y>>2]=-1;fa=ta;ga=x+1|0;ha=ua;ia=u;ja=u+1|0;ka=va;la=s}else if((P|0)==1){T=c[D+4>>2]|0;Q=c[T>>2]|0;$=c[T+4>>2]|0;T=YIa(b,D)|0;if((T|0)!=0){fa=T;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}T=YIa(b,5)|0;if((T|0)!=0){fa=T;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}T=YIa(b,$)|0;if((T|0)!=0){fa=T;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}T=YIa(b,0)|0;if((T|0)!=0){fa=T;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}T=Q+20|0;_=YIa(b,(c[T>>2]|0)+u|0)|0;if((_|0)!=0){fa=_;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}if((c[T>>2]|0)>0){T=(c[$+20>>2]|0)>0;Aa=(T&1)+u|0;Ba=T?u:-1}else{Aa=u;Ba=-1}T=YIa(b,Ba)|0;if((T|0)!=0){fa=T;ga=x;ha=w;ia=v;ja=Aa;ka=t;la=s;break}T=YIa(b,4)|0;if((T|0)!=0){fa=T;ga=x;ha=w;ia=v;ja=Aa;ka=t;la=s;break}T=YIa(b,Q)|0;if((T|0)!=0){fa=T;ga=x;ha=w;ia=v;ja=Aa;ka=t;la=s;break}fa=YIa(b,0)|0;ga=x;ha=w;ia=v;ja=Aa;ka=t;la=s}else if((P|0)==3){T=c[D+4>>2]|0;Q=c[T>>2]|0;$=c[T+4>>2]|0;T=(c[y>>2]|0)>-1;_=u+1|0;F=YIa(b,T?_:u)|0;if((F|0)!=0){fa=F;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}F=YIa(b,T?u:v)|0;if((F|0)!=0){fa=F;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}F=YIa(b,y)|0;if((F|0)!=0){fa=F;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}F=YIa(b,(c[y>>2]|0)>>>31^1)|0;if((F|0)!=0){fa=F;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}F=YIa(b,D)|0;if((F|0)!=0){fa=F;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}F=$;$=YIa(b,F)|0;if(($|0)!=0){fa=$;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}$=Q;Q=YIa(b,$)|0;if((Q|0)!=0){fa=Q;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}Q=YIa(b,3)|0;if((Q|0)!=0){fa=Q;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}Q=YIa(b,F)|0;if((Q|0)!=0){fa=Q;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}Q=YIa(b,0)|0;if((Q|0)!=0){fa=Q;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}Q=YIa(b,2)|0;if((Q|0)!=0){fa=Q;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}Q=YIa(b,$)|0;if((Q|0)!=0){fa=Q;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}Q=YIa(b,0)|0;if((Q|0)!=0){fa=Q;ga=x;ha=w;ia=v;ja=u;ka=t;la=s;break}if((c[y>>2]|0)>-1){if(h){Ca=0;Da=w;Ea=t}else{Q=_Ia(a,C,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=s;if((t|0)>-1){$=c[r>>2]|0;F=0;while(1){Fa=$+(F<<2)|0;Ga=F+1|0;if((c[Fa>>2]|0)>-1){F=Ga}else{break}}c[Fa>>2]=v;c[$+(Ga<<2)>>2]=t;c[$+(F+2<<2)>>2]=-1;Ha=w+1|0;Ia=-1}else{Ha=w;Ia=t}ca=c[y>>2]|0;if((ca|0)>-1){T=c[q>>2]|0;S=0;ba=ca;do{ca=(ba|0)/2|0;if((ba&1|0)==0){c[T+(ca*12|0)>>2]=v}else{c[T+(ca*12|0)+4>>2]=v}S=S+1|0;ba=c[y+(S<<2)>>2]|0;}while((ba|0)>-1)}c[y>>2]=-1;Ca=Q;Da=Ha;Ea=Ia}c[y>>2]=-1;Ja=Ca;Ka=x+1|0;La=Da;Ma=u;Na=_;Oa=Ea}else{Ja=0;Ka=x;La=w;Ma=v;Na=u;Oa=t}if((c[D+16>>2]|0)<=0){fa=Ja;ga=Ka;ha=La;ia=Ma;ja=Na;ka=Oa;la=s;break}fa=Ja;ga=Ka;ha=La;ia=Na+1|0;ja=Na+2|0;ka=Oa;la=s}else{fa=0;ga=x;ha=w;ia=v;ja=u;ka=t;la=s}}while(0);D=c[O>>2]|0;if((D|0)>-1){Pa=0}else{G=fa;H=y;I=ga;J=ha;K=ia;L=ja;M=ka;N=la;break b}do{Qa=n+(Pa<<2)|0;Pa=Pa+1|0}while((c[Qa>>2]|0)>-1);c[Qa>>2]=D;c[n+(Pa<<2)>>2]=-1;G=fa;H=y;I=ga;J=ha;K=ia;L=ja;M=ka;N=la;break};case 2:{O=y;while(1){if((c[O>>2]|0)>-1){O=O+4|0}else{G=0;H=O;I=x;J=w;K=v;L=u;M=t;N=s;break}}break};case 3:{O=c[B+(z-2<<2)>>2]|0;D=c[B+(z-3<<2)>>2]|0;C=c[B+(z-4<<2)>>2]|0;P=z-5|0;c[f>>2]=P;if(h){ba=c[C+4>>2]|0;S=C+16|0;c[C+20>>2]=(c[(c[ba>>2]|0)+20>>2]|0)+(c[B+(P<<2)>>2]|0)+(c[(c[ba+4>>2]|0)+20>>2]|0)+((c[S>>2]|0)>0?2:0);Ra=c[f>>2]|0;Sa=S}else{Ra=P;Sa=C+16|0}C=c[B+(Ra-1<<2)>>2]|0;P=Ra-2|0;c[f>>2]=P;S=c[B+(P<<2)>>2]|0;P=Ra-3|0;c[f>>2]=P;ba=c[B+(P<<2)>>2]|0;if((c[Sa>>2]|0)<=0){G=0;H=C;I=x;J=w;K=v;L=u;M=t;N=1;break b}if(h){Ta=0}else{$Ia(a,O,S)|0;c[(c[p>>2]|0)+(S<<2)>>2]=1;S=$Ia(a,D,ba)|0;c[(c[p>>2]|0)+(ba<<2)>>2]=1;Ta=S}G=Ta;H=C;I=x+2|0;J=w;K=v;L=u;M=t;N=1;break};case 1:{C=z-2|0;c[f>>2]=C;S=c[B+(C<<2)>>2]|0;if(h){C=c[(c[c[S+4>>2]>>2]|0)+20>>2]|0;ba=z-3|0;c[f>>2]=ba;c[S+20>>2]=(c[B+(ba<<2)>>2]|0)+C;G=0;H=y;I=x;J=w;K=v;L=u;M=-1;N=s;break b}else{C=z-3|0;c[f>>2]=C;ba=c[B+(C<<2)>>2]|0;C=z-4|0;c[f>>2]=C;S=(ba|0)==0;G=0;H=y;I=x;J=w;K=v;L=u;M=S?t:c[B+(C<<2)>>2]|0;N=S&1;break b}break};case 4:{S=z-2|0;c[f>>2]=S;C=c[B+(S<<2)>>2]|0;S=z-3|0;c[f>>2]=S;G=0;H=y;I=x;J=w;K=(C|0)>-1?C:v;L=c[B+(S<<2)>>2]|0;M=t;N=s;break};case 5:{S=z-2|0;c[f>>2]=S;C=c[B+(S<<2)>>2]|0;if(!h){G=0;H=y;I=x;J=w;K=v;L=u;M=t;N=s;break b}S=c[C+4>>2]|0;c[C+20>>2]=(c[(c[S+4>>2]|0)+20>>2]|0)+(c[(c[S>>2]|0)+20>>2]|0);G=0;H=y;I=x;J=w;K=v;L=u;M=t;N=s;break};default:{G=0;H=y;I=x;J=w;K=v;L=u;M=t;N=s}}}while(0);B=c[f>>2]|0;if((B|0)>(g|0)&(G|0)==0){s=N;t=M;u=L;v=K;w=J;x=I;y=H;z=B}else{U=M;V=K;W=J;X=I;Y=H;Z=G;break a}}}else{U=-1;V=0;W=0;X=0;Y=k;Z=d}}while(0);do{if(h){Ua=W}else{d=c[Y>>2]|0;if((d|0)>-1){k=c[e+16>>2]|0;G=0;H=d;do{d=(H|0)/2|0;if((H&1|0)==0){c[k+(d*12|0)>>2]=V}else{c[k+(d*12|0)+4>>2]=V}G=G+1|0;H=c[Y+(G<<2)>>2]|0;}while((H|0)>-1)}c[Y>>2]=-1;if(!((U|0)>-1)){Ua=W;break}H=c[e+36>>2]|0;G=0;while(1){Va=H+(G<<2)|0;Wa=G+1|0;if((c[Va>>2]|0)>-1){G=Wa}else{break}}c[Va>>2]=V;c[H+(Wa<<2)>>2]=U;c[H+(G+2<<2)>>2]=-1;Ua=W+1|0}}while(0);c[e+48>>2]=X;c[e+40>>2]=X;c[e+44>>2]=Ua;JJa(j);JJa(m);l=Z;return l|0}function TIa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=a;a:while(1){a=c[f>>2]|0;do{if((a|0)==2){g=c[f+4>>2]|0;h=g;if(!((c[g+8>>2]|0)==-1)){i=h;break}g=c[h>>2]|0;j=VIa(c[g+28>>2]|0,c[g+24>>2]|0,b,d,e)|0;if((j|0)==0){i=h}else{k=j;l=10;break a}}else if((a|0)==3){j=c[f+4>>2]|0;h=TIa(c[j>>2]|0,b,d,e)|0;if((h|0)!=0){k=h;l=10;break a}i=j+4|0}else if((a|0)==1){j=c[f+4>>2]|0;h=j;g=j+4|0;j=VIa(c[(c[h>>2]|0)+28>>2]|0,c[(c[g>>2]|0)+24>>2]|0,b,d,e)|0;if((j|0)!=0){k=j;l=10;break a}j=TIa(c[h>>2]|0,b,d,e)|0;if((j|0)==0){i=g}else{k=j;l=10;break a}}else{k=0;l=10;break a}}while(0);f=c[i>>2]|0}if((l|0)==10){return k|0}return 0}function UIa(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=c[a+4>>2]|0;if((b|0)==0){return}a=b+4|0;d=b;e=c[d>>2]|0;if((c[a>>2]|0)==0){f=e}else{g=0;h=e;while(1){do{if((c[h+(g<<5)+8>>2]|0)==0){i=h}else{e=c[h+(g<<5)+16>>2]|0;if((e|0)==0){j=h}else{JJa(e);j=c[d>>2]|0}e=c[j+(g<<5)+28>>2]|0;if((e|0)==0){i=j;break}JJa(e);i=c[d>>2]|0}}while(0);e=g+1|0;if(e>>>0<(c[a>>2]|0)>>>0){g=e;h=i}else{f=i;break}}}if((f|0)!=0){JJa(f)}f=b+8|0;i=c[f>>2]|0;if((i|0)!=0){if((c[i+8>>2]|0)==0){k=i}else{h=i;while(1){i=c[h+16>>2]|0;if((i|0)!=0){JJa(i)}if((c[h+40>>2]|0)==0){break}else{h=h+32|0}}k=c[f>>2]|0}JJa(k)}k=b+16|0;f=c[k>>2]|0;if((f|0)!=0){h=b+28|0;i=c[h>>2]|0;if((i|0)==0){l=f}else{g=0;a=f;f=i;while(1){i=c[a+(g*12|0)+8>>2]|0;if((i|0)==0){m=f;n=a}else{JJa(i);m=c[h>>2]|0;n=c[k>>2]|0}i=g+1|0;if(i>>>0<m>>>0){g=i;a=n;f=m}else{l=n;break}}}JJa(l)}l=c[b+32>>2]|0;if((l|0)!=0){JJa(l)}l=c[b+20>>2]|0;if((l|0)!=0){JJa(l)}l=c[b+36>>2]|0;if((l|0)!=0){JJa(l)}JJa(b);return}function VIa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;g=a|0;a=c[g>>2]|0;h=(a|0)>-1;if((d|0)==0){if(!h){i=0;return i|0}j=b|0;k=g;l=a;while(1){a:do{if((c[j>>2]|0)>-1){a=b;m=l;while(1){n=e+(m<<2)|0;c[n>>2]=(c[n>>2]|0)+1;n=a+32|0;if(!((c[n>>2]|0)>-1)){break a}a=n;m=c[k>>2]|0}}}while(0);m=k+32|0;a=c[m>>2]|0;if((a|0)>-1){k=m;l=a}else{i=0;break}}return i|0}if(h){o=g}else{i=0;return i|0}b:while(1){g=o+4|0;h=o+8|0;l=o+16|0;k=o+20|0;e=o+24|0;j=o+28|0;a=o+12|0;m=-1;n=b;c:while(1){p=n;while(1){q=p|0;r=c[q>>2]|0;if(!((r|0)>-1)){break c}s=p+32|0;if((r|0)==(m|0)){p=s}else{break}}t=d+(c[f+(c[o>>2]<<2)>>2]<<5)|0;while(1){u=t+8|0;if((c[u>>2]|0)==0){break}else{t=t+32|0}}c[t+40>>2]=0;c[t>>2]=c[g>>2];c[t+4>>2]=c[h>>2];v=c[q>>2]|0;c[u>>2]=d+(c[f+(v<<2)>>2]<<5);c[t+12>>2]=v;v=c[k>>2]|0;w=c[e>>2]|0;x=c[p+16>>2]|c[l>>2]|((v|0)!=0?4:0)|((w|0)!=0?8:0);y=t+20|0;c[y>>2]=x;z=c[j>>2]|0;A=t+24|0;if((z|0)>-1){c[A>>2]=z;c[y>>2]=x|256}else{c[A>>2]=v}if((w|0)==0){c[t+28>>2]=0}else{v=0;while(1){B=v+1|0;if((c[w+(v<<2)>>2]|0)==0){break}else{v=B}}v=IJa(B<<2)|0;w=v;c[t+28>>2]=w;if((v|0)==0){i=12;C=45;break b}v=c[e>>2]|0;A=c[v>>2]|0;if((A|0)==0){D=w}else{x=0;y=A;A=w;while(1){c[A>>2]=y;z=x+1|0;E=c[v+(z<<2)>>2]|0;F=w+(z<<2)|0;if((E|0)==0){D=F;break}else{x=z;y=E;A=F}}}c[D>>2]=0}A=c[a>>2]|0;if((A|0)==0){G=0}else{y=0;while(1){if((c[A+(y<<2)>>2]|0)>-1){y=y+1|0}else{G=y;break}}}y=p+12|0;A=c[y>>2]|0;if((A|0)==0){H=0}else{x=0;while(1){if((c[A+(x<<2)>>2]|0)>-1){x=x+1|0}else{H=x;break}}}x=t+16|0;A=c[x>>2]|0;if((A|0)!=0){JJa(A)}c[x>>2]=0;A=H+G|0;if((A|0)<=0){m=r;n=s;continue}p=IJa((A<<2)+4|0)|0;A=p;c[x>>2]=A;if((p|0)==0){i=12;C=45;break b}p=c[a>>2]|0;do{if((p|0)==0){I=0}else{x=c[p>>2]|0;if((x|0)>-1){J=0;K=x}else{I=0;break}while(1){c[A+(J<<2)>>2]=K;x=J+1|0;w=c[p+(x<<2)>>2]|0;if((w|0)>-1){J=x;K=w}else{I=x;break}}}}while(0);p=c[y>>2]|0;do{if((p|0)==0){L=I}else{t=c[p>>2]|0;if((t|0)>-1){M=0;N=I;O=t}else{L=I;break}while(1){t=0;while(1){if((t|0)>=(I|0)){C=37;break}if((c[A+(t<<2)>>2]|0)==(c[p+(M<<2)>>2]|0)){P=N;break}else{t=t+1|0}}if((C|0)==37){C=0;c[A+(N<<2)>>2]=O;P=N+1|0}t=M+1|0;x=c[p+(t<<2)>>2]|0;if((x|0)>-1){M=t;N=P;O=x}else{L=P;break}}}}while(0);c[A+(L<<2)>>2]=-1;m=r;n=s}n=o+32|0;if((c[n>>2]|0)>-1){o=n}else{i=0;C=45;break}}if((C|0)==45){return i|0}return 0}function WIa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;g=(e|0)==0;if(g){h=0}else{i=0;while(1){if((c[e+(i<<2)>>2]|0)>-1){i=i+1|0}else{h=i;break}}}i=0;while(1){if((c[b+(i<<5)>>2]|0)>-1){i=i+1|0}else{j=0;break}}while(1){if((c[d+(j<<5)>>2]|0)>-1){j=j+1|0}else{break}}k=gJa(a,0,0,1,(j+i<<5)+32|0)|0;i=k;if((k|0)==0){l=0;return l|0}k=c[b>>2]|0;a:do{if((k|0)>-1){j=(h|0)>0;m=0;n=k;while(1){c[i+(m<<5)>>2]=n;c[i+(m<<5)+4>>2]=c[b+(m<<5)+4>>2];c[i+(m<<5)+8>>2]=c[b+(m<<5)+8>>2];c[i+(m<<5)+16>>2]=c[b+(m<<5)+16>>2]|f;c[i+(m<<5)+20>>2]=c[b+(m<<5)+20>>2];c[i+(m<<5)+24>>2]=c[b+(m<<5)+24>>2];c[i+(m<<5)+28>>2]=c[b+(m<<5)+28>>2];o=b+(m<<5)+12|0;p=c[o>>2]|0;q=(p|0)==0;if(q&g){c[i+(m<<5)+12>>2]=0}else{b:do{if(q){r=0}else{s=0;while(1){if(!((c[p+(s<<2)>>2]|0)>-1)){r=s;break b}s=s+1|0}}}while(0);p=gJa(a,0,0,0,(r+h<<2)+4|0)|0;q=p;if((p|0)==0){l=0;break}if((r|0)>0){p=c[o>>2]|0;s=0;while(1){c[q+(s<<2)>>2]=c[p+(s<<2)>>2];t=s+1|0;if((t|0)<(r|0)){s=t}else{u=r;break}}}else{u=0}if(j){s=0;while(1){c[q+(s+u<<2)>>2]=c[e+(s<<2)>>2];p=s+1|0;if((p|0)<(h|0)){s=p}else{v=h;break}}}else{v=0}c[q+(v+u<<2)>>2]=-1;c[i+(m<<5)+12>>2]=q}s=m+1|0;p=c[b+(s<<5)>>2]|0;if((p|0)>-1){m=s;n=p}else{w=s;break a}}return l|0}else{w=0}}while(0);b=c[d>>2]|0;u=i+(w<<5)|0;c:do{if((b|0)>-1){v=0;h=b;e=w;r=u;while(1){c[r>>2]=h;c[i+(e<<5)+4>>2]=c[d+(v<<5)+4>>2];c[i+(e<<5)+8>>2]=c[d+(v<<5)+8>>2];c[i+(e<<5)+16>>2]=c[d+(v<<5)+16>>2];c[i+(e<<5)+20>>2]=c[d+(v<<5)+20>>2];c[i+(e<<5)+24>>2]=c[d+(v<<5)+24>>2];c[i+(e<<5)+28>>2]=c[d+(v<<5)+28>>2];g=d+(v<<5)+12|0;f=c[g>>2]|0;if((f|0)==0){c[i+(e<<5)+12>>2]=0}else{k=0;while(1){if((c[f+(k<<2)>>2]|0)>-1){k=k+1|0}else{break}}f=gJa(a,0,0,0,(k<<2)+4|0)|0;q=f;if((f|0)==0){l=0;break}if((k|0)>0){f=c[g>>2]|0;n=0;while(1){c[q+(n<<2)>>2]=c[f+(n<<2)>>2];m=n+1|0;if((m|0)<(k|0)){n=m}else{x=k;break}}}else{x=0}c[q+(x<<2)>>2]=-1;c[i+(e<<5)+12>>2]=q}k=v+1|0;n=c[d+(k<<5)>>2]|0;f=k+w|0;g=i+(f<<5)|0;if((n|0)>-1){v=k;h=n;e=f;r=g}else{y=g;break c}}return l|0}else{y=u}}while(0);c[y>>2]=-1;l=i;return l|0}function XIa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=a+12|0;h=c[g>>2]|0;i=(f|0)!=0;if(i){c[f>>2]=0}j=YIa(a,b)|0;if((j|0)!=0){k=j;return k|0}j=a+16|0;b=(d|0)==0;l=(e|0)==0;a:while(1){m=c[g>>2]|0;if((m|0)<=(h|0)){k=0;n=28;break}o=m-1|0;c[g>>2]=o;m=c[(c[j>>2]|0)+(o<<2)>>2]|0;o=c[m>>2]|0;do{if((o|0)==2){p=c[c[m+4>>2]>>2]|0;if((c[p+8>>2]|0)==0){continue a}q=YIa(a,p)|0}else if((o|0)==3){p=c[m+4>>2]|0;r=c[p>>2]|0;if((c[r+8>>2]|0)!=0){q=YIa(a,r)|0;break}r=c[p+4>>2]|0;if((c[r+8>>2]|0)==0){continue a}q=YIa(a,r)|0}else if((o|0)==0){r=c[m+4>>2]|0;p=c[r>>2]|0;if((p|0)==(-2|0)){if(l){continue a}c[e>>2]=c[e>>2]|c[r+4>>2];continue a}else if((p|0)!=(-3|0)){continue a}p=c[r+4>>2]|0;if(!((p|0)>-1)){continue a}do{if(!b){r=0;while(1){s=d+(r<<2)|0;t=c[s>>2]|0;if(!((t|0)>-1)){n=14;break}u=r+1|0;if((t|0)==(p|0)){n=13;break}else{r=u}}if((n|0)==13){n=0;if((p|0)<0){v=u}else{break}}else if((n|0)==14){n=0;v=r+1|0}c[s>>2]=p;c[d+(v<<2)>>2]=-1}}while(0);if(!i){continue a}c[f>>2]=(c[f>>2]|0)+1;continue a}else if((o|0)==1){p=c[m+4>>2]|0;t=YIa(a,c[p>>2]|0)|0;if((t|0)!=0){k=t;n=28;break a}q=YIa(a,c[p+4>>2]|0)|0}else{continue a}}while(0);if((q|0)!=0){k=q;n=28;break}}if((n|0)==28){return k|0}return 0}function YIa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=a+12|0;e=c[d>>2]|0;f=a|0;g=c[f>>2]|0;if((e|0)<(g|0)){c[(c[a+16>>2]|0)+(e<<2)>>2]=b;c[d>>2]=(c[d>>2]|0)+1;h=0;return h|0}d=c[a+4>>2]|0;if((g|0)>=(d|0)){h=12;return h|0}e=(c[a+8>>2]|0)+g|0;g=(e|0)>(d|0)?d:e;e=a+16|0;d=LJa(c[e>>2]|0,g<<2)|0;if((d|0)==0){h=12;return h|0}else{c[f>>2]=g;c[e>>2]=d;YIa(a,b)|0;return 0}return 0}function ZIa(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;j=b+12|0;k=c[j>>2]|0;YIa(b,d)|0;d=YIa(b,0)|0;a:do{if((d|0)==0){l=b+16|0;m=(e&1|0)==0;n=(e&2|0)==0;o=h;p=1;q=0;b:while(1){r=c[j>>2]|0;if((r|0)<=(k|0)){s=q;t=0;break a}u=r-1|0;c[j>>2]=u;v=c[l>>2]|0;w=c[v+(u<<2)>>2]|0;if((w|0)==1){u=r-2|0;c[j>>2]=u;o=c[v+(u<<2)>>2]|0;p=p;q=q;continue}else if((w|0)!=0){o=o;p=p;q=q;continue}w=r-2|0;c[j>>2]=w;r=c[v+(w<<2)>>2]|0;w=c[r>>2]|0;do{if((w|0)==1){v=c[r+4>>2]|0;u=v;x=c[u>>2]|0;y=v+4|0;v=c[y>>2]|0;z=gJa(a,0,0,1,32)|0;if((z|0)==0){A=29;break b}B=gJa(a,0,0,1,8)|0;C=z+4|0;c[C>>2]=B;if((B|0)==0){A=29;break b}c[z>>2]=1;c[z+8>>2]=-1;c[z+12>>2]=-1;c[B>>2]=x;c[(c[C>>2]|0)+4>>2]=v;c[z+16>>2]=(c[v+16>>2]|0)+(c[x+16>>2]|0);c[o>>2]=z;z=c[C>>2]|0;C=z;c[C>>2]=0;x=z+4|0;c[x>>2]=0;z=YIa(b,c[y>>2]|0)|0;if((z|0)!=0){s=q;t=z;break a}z=YIa(b,0)|0;if((z|0)!=0){s=q;t=z;break a}z=YIa(b,x)|0;if((z|0)!=0){s=q;t=z;break a}z=YIa(b,1)|0;if((z|0)!=0){s=q;t=z;break a}z=YIa(b,c[u>>2]|0)|0;if((z|0)!=0){s=q;t=z;break a}D=YIa(b,0)|0;E=q;F=p;G=C}else if((w|0)==0){C=c[r+4>>2]|0;z=c[C+8>>2]|0;u=c[C>>2]|0;x=c[C+4>>2]|0;do{if((u|0)>-1|(u|0)==-4){H=q+1|0;I=p;J=x;K=u;L=(c[f>>2]|0)+z|0}else{if(!((u|0)==-3)){H=q;I=p;J=x;K=u;L=z;break}if(!m){H=q;I=p;J=-1;K=-1;L=-1;break}if(n|(p|0)==0){H=q;I=p;J=x;K=-3;L=z;break}c[g+(x<<2)>>2]=1;H=q;I=0;J=x;K=-3;L=z}}while(0);z=gJa(a,0,0,1,32)|0;x=z;do{if((z|0)==0){M=0}else{u=gJa(a,0,0,1,20)|0;c[z+4>>2]=u;if((u|0)==0){M=0;break}c[z>>2]=0;c[z+8>>2]=-1;c[z+12>>2]=-1;c[u>>2]=K;c[u+4>>2]=J;c[u+8>>2]=L;M=x}}while(0);c[o>>2]=M;x=(M|0)==0?12:0;if((L|0)<=(c[i>>2]|0)){D=x;E=H;F=I;G=o;break}c[i>>2]=L;D=x;E=H;F=I;G=o}else if((w|0)==2){x=c[r+4>>2]|0;z=x;u=YIa(b,c[z>>2]|0)|0;if((u|0)!=0){s=q;t=u;break a}u=YIa(b,0)|0;if((u|0)!=0){s=q;t=u;break a}u=c[z>>2]|0;z=c[x+4>>2]|0;C=c[x+8>>2]|0;y=c[x+12>>2]&1;x=gJa(a,0,0,1,32)|0;if((x|0)==0){A=40;break b}v=gJa(a,0,0,1,16)|0;B=x+4|0;c[B>>2]=v;if((v|0)==0){A=40;break b}c[x>>2]=2;c[x+8>>2]=-1;c[x+12>>2]=-1;c[v>>2]=u;c[v+4>>2]=z;c[v+8>>2]=C;C=v+12|0;c[C>>2]=c[C>>2]&-2|y;c[x+16>>2]=c[u+16>>2];c[o>>2]=x;o=c[B>>2]|0;p=p;q=q;continue b}else if((w|0)==3){B=c[r+4>>2]|0;x=B;u=c[x>>2]|0;y=B+4|0;B=c[y>>2]|0;C=gJa(a,0,0,1,32)|0;if((C|0)==0){A=20;break b}v=gJa(a,0,0,1,8)|0;z=C+4|0;c[z>>2]=v;if((v|0)==0){A=20;break b}c[C>>2]=3;c[C+8>>2]=-1;c[C+12>>2]=-1;c[v>>2]=u;c[(c[z>>2]|0)+4>>2]=B;c[C+16>>2]=(c[B+16>>2]|0)+(c[u+16>>2]|0);c[o>>2]=C;C=c[z>>2]|0;z=YIa(b,c[y>>2]|0)|0;if((z|0)!=0){s=q;t=z;break a}z=YIa(b,0)|0;if((z|0)!=0){s=q;t=z;break a}z=YIa(b,C+4|0)|0;if((z|0)!=0){s=q;t=z;break a}z=YIa(b,1)|0;if((z|0)!=0){s=q;t=z;break a}z=YIa(b,c[x>>2]|0)|0;if((z|0)!=0){s=q;t=z;break a}D=YIa(b,0)|0;E=q;F=p;G=C}else{o=o;p=p;q=q;continue b}}while(0);if((D|0)==0){o=G;p=F;q=E}else{s=E;t=D;break a}}if((A|0)==20){c[o>>2]=0;s=q;t=12;break}else if((A|0)==29){c[o>>2]=0;s=q;t=12;break}else if((A|0)==40){c[o>>2]=0;s=q;t=12;break}}else{s=0;t=d}}while(0);c[f>>2]=(c[f>>2]|0)+s;return t|0}function _Ia(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=gJa(a,0,0,0,8)|0;if((e|0)==0){f=12;return f|0}g=gJa(a,0,0,1,32)|0;h=g;do{if((g|0)!=0){i=gJa(a,0,0,1,20)|0;c[g+4>>2]=i;if((i|0)==0){break}c[g>>2]=0;c[g+8>>2]=-1;c[g+12>>2]=-1;c[i>>2]=-3;c[i+4>>2]=d;c[i+8>>2]=-1;c[e>>2]=h;i=gJa(a,0,0,0,32)|0;j=e+4|0;c[j>>2]=i;if((i|0)==0){f=12;return f|0}k=b+4|0;c[i+4>>2]=c[k>>2];i=b|0;c[c[j>>2]>>2]=c[i>>2];l=c[j>>2]|0;c[l+8>>2]=-1;c[l+12>>2]=-1;c[l+24>>2]=0;c[(c[j>>2]|0)+28>>2]=0;c[(c[j>>2]|0)+20>>2]=0;c[k>>2]=e;c[i>>2]=1;f=0;return f|0}}while(0);c[e>>2]=0;f=12;return f|0}function $Ia(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=gJa(a,0,0,0,8)|0;if((e|0)==0){f=12;return f|0}g=gJa(a,0,0,1,32)|0;h=g;do{if((g|0)!=0){i=gJa(a,0,0,1,20)|0;c[g+4>>2]=i;if((i|0)==0){break}c[g>>2]=0;c[g+8>>2]=-1;c[g+12>>2]=-1;c[i>>2]=-3;c[i+4>>2]=d;c[i+8>>2]=-1;c[e+4>>2]=h;i=gJa(a,0,0,0,32)|0;j=e;c[j>>2]=i;if((i|0)==0){f=12;return f|0}k=b+4|0;c[i+4>>2]=c[k>>2];i=b|0;c[c[j>>2]>>2]=c[i>>2];l=c[j>>2]|0;c[l+8>>2]=-1;c[l+12>>2]=-1;c[l+24>>2]=0;c[(c[j>>2]|0)+28>>2]=0;c[(c[j>>2]|0)+20>>2]=0;c[k>>2]=e;c[i>>2]=1;f=0;return f|0}}while(0);c[e+4>>2]=0;f=12;return f|0}function aJa(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[c[(c[a>>2]|0)+4>>2]>>2]|0;a=c[c[(c[b>>2]|0)+4>>2]>>2]|0;if((d|0)<(a|0)){e=-1;return e|0}e=(d|0)>(a|0)|0;return e|0}function bJa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;d=i;a:do{if((b|0)==0){g=14048}else{h=b;j=14048;while(1){if((a[j]|0)==0){g=j;break a}k=h-1|0;l=j+((iKa(j|0)|0)+1)|0;if((k|0)==0){g=l;break}else{h=k;j=l}}}}while(0);b=Bb(e|0,f|0,46240,(f=i,i=i+8|0,c[f>>2]=(a[g]|0)==0?g+1|0:g,f)|0)|0;i=f;i=d;return b+1|0}



function CD(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+128>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2504>>3]=+h[d>>3];i=b;return}function DD(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2472>>3]=+h[b+128>>3]+ -273.15;return}function ED(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2472>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2480>>3]=+h[d>>3];i=b;return}function FD(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2472>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2496>>3]=+h[d>>3];i=b;return}function GD(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2688>>3]=+h[b+5336>>3]*+h[b+2496>>3];return}function HD(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2504>>3];i=+h[f+2496>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+2488|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,28736,8534824,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+2488|0;h[n>>3]=m;return}function ID(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2704>>3]=+h[b+2688>>3]*+h[b+2488>>3];return}function JD(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+136>>3]=293.15;return}function KD(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+136>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2600>>3]=+h[d>>3];i=b;return}function LD(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+136>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2560>>3]=+h[d>>3];i=b;return}function MD(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2528>>3]=+h[b+136>>3]+ -273.15;return}function ND(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2528>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2536>>3]=+h[d>>3];i=b;return}function OD(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2528>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2552>>3]=+h[d>>3];i=b;return}function PD(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2680>>3]=+h[b+5328>>3]*+h[b+2552>>3];return}function QD(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2560>>3];i=+h[f+2552>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+2544|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,28216,8534816,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+2544|0;h[n>>3]=m;return}function RD(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2696>>3]=+h[b+2680>>3]*+h[b+2544>>3];return}function SD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2184>>3]=+h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6448>>3]*+h[b+2176>>3];return}function TD(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[d+2208>>3]=+h[b+6448>>3]+ +h[d+2192>>3]*+h[b+5040>>3]*+h[d+2216>>3];return}function UD(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+144>>3]=293.15;return}function VD(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+144>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2880>>3]=+h[d>>3];i=b;return}function WD(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+144>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2768>>3]=+h[d>>3];i=b;return}function XD(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2736>>3]=+h[b+144>>3]+ -273.15;return}function YD(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2736>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2744>>3]=+h[d>>3];i=b;return}function ZD(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2736>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2760>>3]=+h[d>>3];i=b;return}function _D(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2960>>3]=+h[b+5280>>3]*+h[b+2760>>3];return}function $D(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2768>>3];i=+h[f+2760>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+2752|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,27320,8534808,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+2752|0;h[n>>3]=m;return}function aE(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2976>>3]=+h[b+2960>>3]*+h[b+2752>>3];return}function bE(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+152>>3]=293.15;return}function cE(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+152>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2872>>3]=+h[d>>3];i=b;return}function dE(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+152>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2824>>3]=+h[d>>3];i=b;return}function eE(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2792>>3]=+h[b+152>>3]+ -273.15;return}function fE(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2792>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2800>>3]=+h[d>>3];i=b;return}function gE(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2792>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2816>>3]=+h[d>>3];i=b;return}function hE(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2952>>3]=+h[b+5272>>3]*+h[b+2816>>3];return}function iE(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2824>>3];i=+h[f+2816>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+2808|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,26152,8534800,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+2808|0;h[n>>3]=m;return}function jE(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2968>>3]=+h[b+2952>>3]*+h[b+2808>>3];return}function kE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1960>>3]=+h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6440>>3]*+h[b+1952>>3];return}function lE(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[d+1984>>3]=+h[b+6440>>3]+ +h[d+1968>>3]*+h[b+5032>>3]*+h[d+1992>>3];return}function mE(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+160>>3]=293.15;return}function nE(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+160>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3128>>3]=+h[d>>3];i=b;return}function oE(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+160>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3040>>3]=+h[d>>3];i=b;return}function pE(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3008>>3]=+h[b+160>>3]+ -273.15;return}function qE(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3008>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3016>>3]=+h[d>>3];i=b;return}function rE(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3008>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3032>>3]=+h[d>>3];i=b;return}function sE(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3208>>3]=+h[b+5224>>3]*+h[b+3032>>3];return}function tE(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+3040>>3];i=+h[f+3032>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+3024|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,25752,8534792,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+3024|0;h[n>>3]=m;return}function uE(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3224>>3]=+h[b+3208>>3]*+h[b+3024>>3];return}function vE(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+168>>3]=293.15;return}function wE(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;vn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+168>>3]+ -273.15);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3120>>3]=+h[d>>3];i=b;return}function xE(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;In(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+168>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3080>>3]=+h[d>>3];i=b;return}function yE(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3048>>3]=+h[b+168>>3]+ -273.15;return}function zE(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8532432,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3048>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3056>>3]=+h[d>>3];i=b;return}function AE(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Fn(d,c[a+536>>2]|0,8531616,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3048>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3072>>3]=+h[d>>3];i=b;return}function BE(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3200>>3]=+h[b+5216>>3]*+h[b+3072>>3];return}function CE(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+3080>>3];i=+h[f+3072>>3];if(i!=0.0){j=i;k=f;l=-101300.0/j;m=g+l;n=k+3064|0;h[n>>3]=m;return}o=+nfa(c[b+536>>2]|0,i,25056,8534784,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-101300.0/j;m=g+l;n=k+3064|0;h[n>>3]=m;return}function DE(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3216>>3]=+h[b+3200>>3]*+h[b+3064>>3];return}function EE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1736>>3]=+h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6432>>3]*+h[b+1728>>3];return}function FE(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[d+1760>>3]=+h[b+6432>>3]+ +h[d+1744>>3]*+h[b+5024>>3]*+h[d+1768>>3];return}function GE(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+44>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+2512>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+2512|0;h[c[f+48>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+2512>>3]);d=c[e>>2]|0;h[c[d+52>>2]>>3]=i;g=c[b>>2]|0;h[(c[d+44>>2]|0)+8>>3]=+h[(c[(c[g>>2]|0)+8>>2]|0)+2304>>3];f=(c[(c[g+4>>2]|0)+8>>2]|0)+2304|0;h[(c[d+48>>2]|0)+8>>3]=+h[f>>3];i=+Via(a,+h[f>>3],+h[(c[(c[g+8>>2]|0)+8>>2]|0)+2304>>3]);g=c[e>>2]|0;h[(c[g+52>>2]|0)+8>>3]=i;f=c[b>>2]|0;h[(c[g+44>>2]|0)+16>>3]=+h[(c[(c[f>>2]|0)+8>>2]|0)+1776>>3];d=(c[(c[f+4>>2]|0)+8>>2]|0)+1776|0;h[(c[g+48>>2]|0)+16>>3]=+h[d>>3];i=+Via(a,+h[d>>3],+h[(c[(c[f+8>>2]|0)+8>>2]|0)+1776>>3]);f=c[e>>2]|0;h[(c[f+52>>2]|0)+16>>3]=i;d=c[b>>2]|0;h[(c[f+44>>2]|0)+24>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+2776>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+2776|0;h[(c[f+48>>2]|0)+24>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+2776>>3]);d=c[e>>2]|0;h[(c[d+52>>2]|0)+24>>3]=i;g=c[b>>2]|0;h[(c[d+44>>2]|0)+32>>3]=+h[(c[(c[g>>2]|0)+8>>2]|0)+416>>3];f=(c[(c[g+4>>2]|0)+8>>2]|0)+416|0;h[(c[d+48>>2]|0)+32>>3]=+h[f>>3];i=+Via(a,+h[f>>3],+h[(c[(c[g+8>>2]|0)+8>>2]|0)+416>>3]);g=c[e>>2]|0;h[(c[g+52>>2]|0)+32>>3]=i;f=c[b>>2]|0;h[(c[g+44>>2]|0)+40>>3]=+h[(c[(c[f>>2]|0)+8>>2]|0)+1984>>3];d=(c[(c[f+4>>2]|0)+8>>2]|0)+1984|0;h[(c[g+48>>2]|0)+40>>3]=+h[d>>3];i=+Via(a,+h[d>>3],+h[(c[(c[f+8>>2]|0)+8>>2]|0)+1984>>3]);f=c[e>>2]|0;h[(c[f+52>>2]|0)+40>>3]=i;d=c[b>>2]|0;h[(c[f+44>>2]|0)+48>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+1496>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+1496|0;h[(c[f+48>>2]|0)+48>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+1496>>3]);d=c[e>>2]|0;h[(c[d+52>>2]|0)+48>>3]=i;g=c[b>>2]|0;h[(c[d+44>>2]|0)+56>>3]=+h[(c[(c[g>>2]|0)+8>>2]|0)+2040>>3];f=(c[(c[g+4>>2]|0)+8>>2]|0)+2040|0;h[(c[d+48>>2]|0)+56>>3]=+h[f>>3];i=+Via(a,+h[f>>3],+h[(c[(c[g+8>>2]|0)+8>>2]|0)+2040>>3]);g=c[e>>2]|0;h[(c[g+52>>2]|0)+56>>3]=i;f=c[b>>2]|0;h[(c[g+44>>2]|0)+64>>3]=+h[(c[(c[f>>2]|0)+8>>2]|0)+2832>>3];d=(c[(c[f+4>>2]|0)+8>>2]|0)+2832|0;h[(c[g+48>>2]|0)+64>>3]=+h[d>>3];i=+Via(a,+h[d>>3],+h[(c[(c[f+8>>2]|0)+8>>2]|0)+2832>>3]);h[(c[(c[e>>2]|0)+52>>2]|0)+64>>3]=i;Tia(a,0)|0;f=c[(c[e>>2]|0)+44>>2]|0;e=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[e+2512>>3]=+h[f>>3];h[e+2304>>3]=+h[f+8>>3];h[e+1776>>3]=+h[f+16>>3];h[e+2776>>3]=+h[f+24>>3];h[e+416>>3]=+h[f+32>>3];h[e+1984>>3]=+h[f+40>>3];h[e+1496>>3]=+h[f+48>>3];h[e+2040>>3]=+h[f+56>>3];h[e+2832>>3]=+h[f+64>>3];jo(a);ko(a);lo(a);mo(a);no(a);oo(a);po(a);qo(a);ro(a);so(a);to(a);uo(a);vo(a);wo(a);xo(a);yo(a);zo(a);Ao(a);Bo(a);Co(a);Do(a);Eo(a);Fo(a);Go(a);Ho(a);Io(a);Jo(a);Ko(a);Lo(a);Mo(a);No(a);Oo(a);Po(a);Qo(a);Ro(a);So(a);To(a);Uo(a);Vo(a);Wo(a);Xo(a);Yo(a);return}function HE(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3e3>>3]=+h[b+2832>>3]*1.0e-5;return}function IE(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2784>>3]=+h[b+2832>>3]*1.0e-5;return}function JE(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2520>>3]=+h[b+2832>>3]*1.0e-5;return}function KE(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2464>>3]=+h[b+2512>>3]*1.0e-5;return}function LE(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+536|0;Dn(d,c[f>>2]|0);g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;Jn(e,c[f>>2]|0,+h[a+2296>>3],243.15,373.15,+h[a+2512>>3],8532256,d|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6344>>3]=+h[e>>3];i=b;return}function ME(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2256>>3]=+h[b+2304>>3]*1.0e-5;return}function NE(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+536|0;Dn(d,c[f>>2]|0);g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;Jn(e,c[f>>2]|0,+h[a+2504>>3],243.15,373.15,+h[a+2304>>3],8532256,d|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6336>>3]=+h[e>>3];i=b;return}function OE(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0;b=i;i=i+32|0;d=b|0;e=b+16|0;f=b+24|0;g=a+536|0;Ln(d,c[g>>2]|0);j=a+4|0;k=c[(c[c[j>>2]>>2]|0)+8>>2]|0;fo(e,c[g>>2]|0,+h[k+2296>>3],243.15,373.15,+h[k+2512>>3],8532256,d|0,1.0e-13);d=c[(c[c[j>>2]>>2]|0)+8>>2]|0;_n(f,c[g>>2]|0,+h[d+2640>>3],+h[d+6224>>3],+h[e>>3],+h[(c[a+416>>2]|0)+2816>>3]);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6184>>3]=+h[f>>3];i=b;return}function PE(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0,p=0,q=0.0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;j=b+536|0;k=b+4|0;Mn(e,c[j>>2]|0,8531616,+h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+6224>>3]+ -273.15);l=+h[e>>3];Mn(f,c[j>>2]|0,8531616,+h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+6216>>3]+ -273.15);_n(g,c[j>>2]|0,+h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+2640>>3],l,+h[f>>3],+h[(c[b+416>>2]|0)+2816>>3]);l=+h[g>>3];g=c[c[k>>2]>>2]|0;f=c[g+8>>2]|0;m=+h[f+2640>>3];if(l!=0.0){n=m/l;o=f;p=o+6152|0;h[p>>3]=n;i=d;return}if(m==0.0){n=m;o=f;p=o+6152|0;h[p>>3]=n;i=d;return}q=m/+nfa(c[j>>2]|0,l,24096,8534616,+h[g>>3],(a[b+319|0]|0)!=0|0);n=q;o=c[(c[c[k>>2]>>2]|0)+8>>2]|0;p=o+6152|0;h[p>>3]=n;i=d;return}function QE(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0;b=i;i=i+32|0;d=b|0;e=b+16|0;f=b+24|0;g=a+536|0;Ln(d,c[g>>2]|0);j=a+4|0;k=c[(c[c[j>>2]>>2]|0)+8>>2]|0;fo(e,c[g>>2]|0,+h[k+2504>>3],243.15,373.15,+h[k+2304>>3],8532256,d|0,1.0e-13);d=c[(c[c[j>>2]>>2]|0)+8>>2]|0;_n(f,c[g>>2]|0,-0.0- +h[d+2640>>3],+h[d+6216>>3],+h[e>>3],+h[(c[a+416>>2]|0)+2816>>3]);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6176>>3]=+h[f>>3];i=b;return}function RE(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+2640>>3];h[b+2360>>3]=d*+h[(d<0.0?b+2296|0:b+2504|0)>>3];return}function SE(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+2640>>3];h[b+2368>>3]=d*+h[(d<0.0?b+2248|0:b+2296|0)>>3];return}function TE(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2400>>3]=+h[b+2360>>3]- +h[b+2368>>3];return}function UE(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+480>>3]*+h[g+2240>>3]*+h[d+2256>>3];j=+h[g+2640>>3];if(i!=0.0){k=j/i;l=g;m=l+2200|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+2200|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,23520,8534608,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+2200|0;h[m>>3]=k;return}function VE(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+2256>>3]*+h[g+2288>>3]*+h[d+472>>3];j=+h[g+2640>>3];if(i!=0.0){k=j/i;l=g;m=l+2192|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+2192|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,23016,8534600,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+2192|0;h[m>>3]=k;return}function WE(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2328>>3]=+h[b+2640>>3]*+h[b+5400>>3];return}function XE(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+2640>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+2336>>3]=+h[(a?d+2352|0:d+2344|0)>>3];return}function YE(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+2640>>3];h[b+2632>>3]=d*+h[(d<0.0?b+2296|0:b+2504|0)>>3];return}function ZE(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+2640>>3];h[b+2624>>3]=d*+h[(d<0.0?b+2504|0:b+2560|0)>>3];return}function _E(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2672>>3]=+h[b+2624>>3]- +h[b+2632>>3];return}function $E(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+344>>3]*+h[g+2496>>3]*+h[d+2032>>3];j=+h[g+2640>>3];if(i!=0.0){k=j/i;l=g;m=l+2456|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+2456|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,22360,8534584,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+2456|0;h[m>>3]=k;return}function aF(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+336>>3]*+h[g+2552>>3]*+h[d+2032>>3];j=+h[g+2640>>3];if(i!=0.0){k=j/i;l=g;m=l+2448|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+2448|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,21864,8534576,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+2448|0;h[m>>3]=k;return}function bF(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2584>>3]=+h[b+2640>>3]*+h[b+5344>>3];return}function cF(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+2640>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+2592>>3]=+h[(a?d+2608|0:d+2600|0)>>3];return}function dF(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+2656>>3]=+h[b+2456>>3]*+h[d+344>>3]*+h[d+2032>>3]*(+h[b+2512>>3]*.5+(+h[b+2832>>3]*-.5+ +h[b+2568>>3]*.5));return}function eF(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3480>>3]=+h[b+2672>>3]+ +h[b+2656>>3];return}function fF(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+124>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+304>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+304|0;h[c[f+128>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+304>>3]);h[c[(c[e>>2]|0)+132>>2]>>3]=i;Tia(a,1)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+304>>3]=+h[c[(c[e>>2]|0)+124>>2]>>3];$o(a);ap(a);bp(a);cp(a);dp(a);return}function gF(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+2648>>3]=+h[b+2448>>3]*+h[d+336>>3]*+h[d+2032>>3]*(+h[b+2512>>3]*.5+(+h[b+2832>>3]*-.5+ +h[b+2568>>3]*.5));return}function hF(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+2120>>3];h[b+2104>>3]=d*+h[(d<0.0?b+1976|0:b+2032|0)>>3];return}function iF(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+616>>3]*+h[g+1968>>3]*+h[d+2480>>3];j=+h[g+2120>>3];if(i!=0.0){k=j/i;l=g;m=l+1928|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+1928|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,8522144,8534552,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+1928|0;h[m>>3]=k;return}function jF(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+608>>3]*+h[g+2024>>3]*+h[d+2480>>3];j=+h[g+2120>>3];if(i!=0.0){k=j/i;l=g;m=l+1920|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+1920|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,6877600,8534544,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+1920|0;h[m>>3]=k;return}function kF(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2064>>3]=+h[b+2120>>3]*+h[b+5456>>3];return}function lF(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+2120>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+2072>>3]=+h[(a?d+2088|0:d+2080|0)>>3];return}function mF(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+1056>>3];h[b+1040>>3]=d*+h[(d<0.0?b+928|0:b+976|0)>>3];return}function nF(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+1168>>3]*+h[g+920>>3]*+h[d+3888>>3];j=+h[g+1056>>3];if(i!=0.0){k=j/i;l=g;m=l+880|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+880|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,185992,8534536,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+880|0;h[m>>3]=k;return}function oF(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+1160>>3]*+h[g+968>>3]*+h[d+3888>>3];j=+h[g+1056>>3];if(i!=0.0){k=j/i;l=g;m=l+872|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+872|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,185368,8534528,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+872|0;h[m>>3]=k;return}function pF(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1e3>>3]=+h[b+1056>>3]*+h[b+5680>>3];return}function qF(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+1056>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+1008>>3]=+h[(a?d+1024|0:d+1016|0)>>3];return}function rF(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2208>>3]=+h[b+2040>>3]*1.0e-5;return}function sF(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1992>>3]=+h[b+2040>>3]*1.0e-5;return}function tF(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+2392>>3]=+h[b+2200>>3]*+h[d+480>>3]*+h[d+2256>>3]*(+h[b+2040>>3]*.5+(+h[b+2304>>3]*-.5+ +h[b+2312>>3]*.5));return}function uF(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+2384>>3]=+h[b+2192>>3]*+h[d+472>>3]*+h[d+2256>>3]*(+h[b+2040>>3]*.5+(+h[b+2304>>3]*-.5+ +h[b+2312>>3]*.5));return}function vF(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3504>>3]=+h[b+2400>>3]+ +h[b+2384>>3];return}function wF(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+204>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+296>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+296|0;h[c[f+208>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+296>>3]);h[c[(c[e>>2]|0)+212>>2]>>3]=i;Tia(a,2)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+296>>3]=+h[c[(c[e>>2]|0)+204>>2]>>3];gp(a);hp(a);ip(a);jp(a);kp(a);return}function xF(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+680>>3]=+h[b+2040>>3]*1.0e-5;return}function yF(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+936>>3]=+h[b+2040>>3]*1.0e-5;return}function zF(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1400>>3]=+h[b+2040>>3]*1.0e-5;return}function AF(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1936>>3]=+h[b+1984>>3]*1.0e-5;return}function BF(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1072>>3]=+h[b+880>>3]*+h[d+1168>>3]*+h[d+3888>>3]*(+h[b+1984>>3]*.5+(+h[b+2040>>3]*-.5+ +h[b+984>>3]*.5));return}function CF(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1064>>3]=+h[b+872>>3]*+h[d+1160>>3]*+h[d+3888>>3]*(+h[b+1984>>3]*.5+(+h[b+2040>>3]*-.5+ +h[b+984>>3]*.5));return}function DF(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+2136>>3]=+h[b+1928>>3]*+h[d+616>>3]*+h[d+2480>>3]*(+h[b+1984>>3]*.5+(+h[b+2040>>3]*-.5+ +h[b+2048>>3]*.5));return}function EF(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+2128>>3]=+h[b+1920>>3]*+h[d+608>>3]*+h[d+2480>>3]*(+h[b+1984>>3]*.5+(+h[b+2040>>3]*-.5+ +h[b+2048>>3]*.5));return}function FF(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+424>>3]=+h[b+1984>>3]*1.0e-5;return}function GF(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+632>>3]=+h[b+1984>>3]*1.0e-5;return}function HF(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+888>>3]=+h[b+1984>>3]*1.0e-5;return}function IF(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1144>>3]=+h[b+1984>>3]*1.0e-5;return}function JF(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+536|0;Dn(d,c[f>>2]|0);g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;Jn(e,c[f>>2]|0,+h[a+6568>>3],243.15,373.15,+h[a+416>>3],8532256,d|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+5984>>3]=+h[e>>3];i=b;return}function KF(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+368>>3]=+h[b+416>>3]*1.0e-5;return}function LF(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+544>>3];h[b+536>>3]=d*+h[(d<0.0?b+6568|0:b+408|0)>>3];return}function MF(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+544>>3];h[b+528>>3]=d*+h[(d<0.0?b+408|0:b+464|0)>>3];return}function NF(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+576>>3]=+h[b+528>>3]- +h[b+536>>3];return}function OF(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+1488>>3]*+h[g+400>>3]*+h[d+4336>>3];j=+h[g+544>>3];if(i!=0.0){k=j/i;l=g;m=l+360|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+360|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,184632,8534512,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+360|0;h[m>>3]=k;return}function PF(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+1480>>3]*+h[g+456>>3]*+h[d+4336>>3];j=+h[g+544>>3];if(i!=0.0){k=j/i;l=g;m=l+352|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+352|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,184096,8534504,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+352|0;h[m>>3]=k;return}function QF(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+488>>3]=+h[b+544>>3]*+h[b+5792>>3];return}function RF(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+544>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+496>>3]=+h[(a?d+512|0:d+504|0)>>3];return}function SF(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0;b=i;i=i+32|0;d=b|0;e=b+16|0;f=b+24|0;g=a+536|0;Ln(d,c[g>>2]|0);j=a+4|0;k=c[(c[c[j>>2]>>2]|0)+8>>2]|0;fo(e,c[g>>2]|0,+h[k+6568>>3],243.15,373.15,+h[k+416>>3],8532256,d|0,1.0e-13);d=c[(c[c[j>>2]>>2]|0)+8>>2]|0;_n(f,c[g>>2]|0,+h[d+544>>3],+h[d+6128>>3],+h[e>>3],+h[(c[a+416>>2]|0)+3152>>3]);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6096>>3]=+h[f>>3];i=b;return}function TF(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0,p=0,q=0.0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;j=b+536|0;k=b+4|0;Mn(e,c[j>>2]|0,8531616,+h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+6128>>3]+ -273.15);l=+h[e>>3];Mn(f,c[j>>2]|0,8531616,+h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+6536>>3]+ -273.15);_n(g,c[j>>2]|0,+h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+544>>3],l,+h[f>>3],+h[(c[b+416>>2]|0)+3152>>3]);l=+h[g>>3];g=c[c[k>>2]>>2]|0;f=c[g+8>>2]|0;m=+h[f+544>>3];if(l!=0.0){n=m/l;o=f;p=o+6064|0;h[p>>3]=n;i=d;return}if(m==0.0){n=m;o=f;p=o+6064|0;h[p>>3]=n;i=d;return}q=m/+nfa(c[j>>2]|0,l,181896,8534496,+h[g>>3],(a[b+319|0]|0)!=0|0);n=q;o=c[(c[c[k>>2]>>2]|0)+8>>2]|0;p=o+6064|0;h[p>>3]=n;i=d;return}function UF(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+32|0;d=b|0;e=b+16|0;f=b+24|0;g=a+536|0;Ln(d,c[g>>2]|0);j=a+4|0;fo(e,c[g>>2]|0,+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+408>>3],243.15,373.15,1.0e5,8532256,d|0,1.0e-13);d=c[(c[c[j>>2]>>2]|0)+8>>2]|0;_n(f,c[g>>2]|0,-0.0- +h[d+544>>3],+h[d+6536>>3],+h[e>>3],+h[(c[a+416>>2]|0)+3152>>3]);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6088>>3]=+h[f>>3];i=b;return}function VF(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+560>>3]=+h[b+360>>3]*+h[d+1488>>3]*+h[d+4336>>3]*(+h[b+416>>3]*.5+(+h[b+1984>>3]*-.5+ +h[b+472>>3]*.5));return}function WF(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3736>>3]=+h[b+576>>3]+ +h[b+560>>3];return}function XF(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+284>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+176>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+176|0;h[c[f+288>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+176>>3]);h[c[(c[e>>2]|0)+292>>2]>>3]=i;Tia(a,3)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+176>>3]=+h[c[(c[e>>2]|0)+284>>2]>>3];np(a);op(a);pp(a);qp(a);rp(a);return}function YF(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+552>>3]=+h[b+352>>3]*+h[d+1480>>3]*+h[d+4336>>3]*(+h[b+416>>3]*.5+(+h[b+1984>>3]*-.5+ +h[b+472>>3]*.5));return}function ZF(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+2120>>3]),+1.0e-15);n=+Yb(+(+h[l+1056>>3]),+1.0e-15);o=+Yb(+(+h[l+800>>3]),+1.0e-15);p=+Yb(+(-0.0- +h[l+544>>3]),+1.0e-15);q=m+(n+(o+p));r=m*+h[l+1976>>3]+(n*+h[l+928>>3]+(o*+h[l+672>>3]+p*+h[l+464>>3]));do{if(q!=0.0){s=r/q;t=l}else{if(r==0.0){s=r;t=l;break}p=r/+nfa(j,q,181496,8534480,+h[k>>3],(a[b+319|0]|0)!=0|0);s=p;t=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,s,243.15,373.15,+h[t+1984>>3],8532256,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6032>>3]=+h[f>>3];i=d;return}function _F(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+2640>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[l+2120>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[l+1056>>3]),+1.0e-15);p=+Yb(+(-0.0- +h[l+800>>3]),+1.0e-15);q=m+(n+(o+p));r=m*+h[l+2248>>3]+(n*+h[l+2032>>3]+(o*+h[l+976>>3]+p*+h[l+720>>3]));do{if(q!=0.0){s=r/q;t=l}else{if(r==0.0){s=r;t=l;break}p=r/+nfa(j,q,181040,8534472,+h[k>>3],(a[b+319|0]|0)!=0|0);s=p;t=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,s,243.15,373.15,+h[t+2040>>3],8532256,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6048>>3]=+h[f>>3];i=d;return}function $F(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+800>>3];h[b+784>>3]=d*+h[(d<0.0?b+672|0:b+720|0)>>3];return}function aG(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+1304>>3]*+h[g+664>>3]*+h[d+4112>>3];j=+h[g+800>>3];if(i!=0.0){k=j/i;l=g;m=l+624|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+624|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,180496,8534464,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+624|0;h[m>>3]=k;return}function bG(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+816>>3]=+h[b+624>>3]*+h[d+1304>>3]*+h[d+4112>>3]*(+h[b+1984>>3]*.5+(+h[b+2040>>3]*-.5+ +h[b+728>>3]*.5));return}function cG(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+1296>>3]*+h[g+712>>3]*+h[d+4112>>3];j=+h[g+800>>3];if(i!=0.0){k=j/i;l=g;m=l+616|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+616|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,179720,8534456,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+616|0;h[m>>3]=k;return}function dG(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+808>>3]=+h[b+616>>3]*+h[d+1296>>3]*+h[d+4112>>3]*(+h[b+1984>>3]*.5+(+h[b+2040>>3]*-.5+ +h[b+728>>3]*.5));return}function eG(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+744>>3]=+h[b+800>>3]*+h[b+5736>>3];return}function fG(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+800>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+752>>3]=+h[(a?d+768|0:d+760|0)>>3];return}function gG(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+2640>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[l+2120>>3]),+1.0e-15);o=+Yb(+(+h[l+1576>>3]),+1.0e-15);p=+Yb(+(-0.0- +h[l+1056>>3]),+1.0e-15);q=m+(n+(o+p));r=m*+h[l+2248>>3]+(n*+h[l+2032>>3]+(o*+h[l+1440>>3]+p*+h[l+976>>3]));do{if(q!=0.0){s=r/q;t=l}else{if(r==0.0){s=r;t=l;break}p=r/+nfa(j,q,179048,8534448,+h[k>>3],(a[b+319|0]|0)!=0|0);s=p;t=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,s,243.15,373.15,+h[t+2040>>3],8532256,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6008>>3]=+h[f>>3];i=d;return}function hG(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+800>>3];if(g<0.0){i=g*+h[f+720>>3];j=f;k=j+776|0;h[k>>3]=i;return}l=+Yb(+(+h[f+2640>>3]),+1.0e-15);m=+Yb(+(-0.0- +h[f+2120>>3]),+1.0e-15);n=+Yb(+(+h[f+1576>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[f+1056>>3]),+1.0e-15);p=l+(m+(n+o));q=l*+h[f+2248>>3]+(m*+h[f+2032>>3]+(n*+h[f+1440>>3]+o*+h[f+976>>3]));do{if(p!=0.0){r=q/p;s=f;t=g}else{if(q==0.0){r=q;s=f;t=g;break}o=q/+nfa(c[b+536>>2]|0,p,179048,8534440,+h[e>>3],(a[b+319|0]|0)!=0|0);u=c[(c[c[d>>2]>>2]|0)+8>>2]|0;r=o;s=u;t=+h[u+800>>3]}}while(0);i=r*t;j=s;k=j+776|0;h[k>>3]=i;return}function iG(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+824>>3]=+h[b+776>>3]- +h[b+784>>3];return}function jG(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3696>>3]=+h[b+824>>3]+ +h[b+808>>3];return}function kG(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+364>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+3904>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+3904|0;h[c[f+368>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+3904>>3]);h[c[(c[e>>2]|0)+372>>2]>>3]=i;Tia(a,4)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3904>>3]=+h[c[(c[e>>2]|0)+364>>2]>>3];up(a);vp(a);wp(a);xp(a);yp(a);return}function lG(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+2640>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[l+2120>>3]),+1.0e-15);o=+Yb(+(+h[l+1576>>3]),+1.0e-15);p=+Yb(+(-0.0- +h[l+800>>3]),+1.0e-15);q=m+(n+(o+p));r=m*+h[l+2248>>3]+(n*+h[l+2032>>3]+(o*+h[l+1440>>3]+p*+h[l+720>>3]));do{if(q!=0.0){s=r/q;t=l}else{if(r==0.0){s=r;t=l;break}p=r/+nfa(j,q,177960,8534424,+h[k>>3],(a[b+319|0]|0)!=0|0);s=p;t=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,s,243.15,373.15,+h[t+2040>>3],8532256,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6024>>3]=+h[f>>3];i=d;return}function mG(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1056>>3];if(g<0.0){i=g*+h[f+976>>3];j=f;k=j+1032|0;h[k>>3]=i;return}l=+Yb(+(+h[f+2640>>3]),+1.0e-15);m=+Yb(+(-0.0- +h[f+2120>>3]),+1.0e-15);n=+Yb(+(+h[f+1576>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[f+800>>3]),+1.0e-15);p=l+(m+(n+o));q=l*+h[f+2248>>3]+(m*+h[f+2032>>3]+(n*+h[f+1440>>3]+o*+h[f+720>>3]));do{if(p!=0.0){r=q/p;s=f;t=g}else{if(q==0.0){r=q;s=f;t=g;break}o=q/+nfa(c[b+536>>2]|0,p,177960,8534416,+h[e>>3],(a[b+319|0]|0)!=0|0);u=c[(c[c[d>>2]>>2]|0)+8>>2]|0;r=o;s=u;t=+h[u+1056>>3]}}while(0);i=r*t;j=s;k=j+1032|0;h[k>>3]=i;return}function nG(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1080>>3]=+h[b+1032>>3]- +h[b+1040>>3];return}function oG(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3664>>3]=+h[b+1080>>3]+ +h[b+1064>>3];return}function pG(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+444>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+3888>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+3888|0;h[c[f+448>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+3888>>3]);h[c[(c[e>>2]|0)+452>>2]>>3]=i;Tia(a,5)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3888>>3]=+h[c[(c[e>>2]|0)+444>>2]>>3];Bp(a);Cp(a);Dp(a);Ep(a);Fp(a);return}function qG(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1576>>3];if(!(g<0.0)){i=g*+h[f+1440>>3];j=f;k=j+1568|0;h[k>>3]=i;return}l=+Yb(+(+h[f+2640>>3]),+1.0e-15);m=+Yb(+(-0.0- +h[f+2120>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[f+1056>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[f+800>>3]),+1.0e-15);p=l+(m+(n+o));q=l*+h[f+2248>>3]+(m*+h[f+2032>>3]+(n*+h[f+976>>3]+o*+h[f+720>>3]));do{if(p!=0.0){r=q/p;s=f;t=g}else{if(q==0.0){r=q;s=f;t=g;break}o=q/+nfa(c[b+536>>2]|0,p,181040,8534400,+h[e>>3],(a[b+319|0]|0)!=0|0);u=c[(c[c[d>>2]>>2]|0)+8>>2]|0;r=o;s=u;t=+h[u+1576>>3]}}while(0);i=r*t;j=s;k=j+1568|0;h[k>>3]=i;return}function rG(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+1576>>3];h[b+1560>>3]=d*+h[(d<0.0?b+1440|0:b+1488|0)>>3];return}function sG(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1624>>3]=+h[b+1560>>3]- +h[b+1568>>3];return}function tG(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+896>>3]*+h[g+1432>>3]*+h[d+3440>>3];j=+h[g+1576>>3];if(i!=0.0){k=j/i;l=g;m=l+1392|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+1392|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,177504,8534392,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+1392|0;h[m>>3]=k;return}function uG(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+888>>3]*+h[g+1480>>3]*+h[d+3440>>3];j=+h[g+1576>>3];if(i!=0.0){k=j/i;l=g;m=l+1384|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+1384|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,176496,8534384,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+1384|0;h[m>>3]=k;return}function vG(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1520>>3]=+h[b+1576>>3]*+h[b+5568>>3];return}function wG(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+1576>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+1528>>3]=+h[(a?d+1544|0:d+1536|0)>>3];return}function xG(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+2640>>3]),+1.0e-15);n=+Yb(+(+h[l+1576>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[l+1056>>3]),+1.0e-15);p=+Yb(+(-0.0- +h[l+800>>3]),+1.0e-15);q=m+(n+(o+p));r=m*+h[l+2248>>3]+(n*+h[l+1440>>3]+(o*+h[l+976>>3]+p*+h[l+720>>3]));do{if(q!=0.0){s=r/q;t=l}else{if(r==0.0){s=r;t=l;break}p=r/+nfa(j,q,175848,8534376,+h[k>>3],(a[b+319|0]|0)!=0|0);s=p;t=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,s,243.15,373.15,+h[t+2040>>3],8532256,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6320>>3]=+h[f>>3];i=d;return}function yG(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2120>>3];if(g<0.0){i=g*+h[f+2032>>3];j=f;k=j+2096|0;h[k>>3]=i;return}l=+Yb(+(+h[f+2640>>3]),+1.0e-15);m=+Yb(+(+h[f+1576>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[f+1056>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[f+800>>3]),+1.0e-15);p=l+(m+(n+o));q=l*+h[f+2248>>3]+(m*+h[f+1440>>3]+(n*+h[f+976>>3]+o*+h[f+720>>3]));do{if(p!=0.0){r=q/p;s=f;t=g}else{if(q==0.0){r=q;s=f;t=g;break}o=q/+nfa(c[b+536>>2]|0,p,175848,8534368,+h[e>>3],(a[b+319|0]|0)!=0|0);u=c[(c[c[d>>2]>>2]|0)+8>>2]|0;r=o;s=u;t=+h[u+2120>>3]}}while(0);i=r*t;j=s;k=j+2096|0;h[k>>3]=i;return}function zG(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2144>>3]=+h[b+2096>>3]- +h[b+2104>>3];return}function AG(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3536>>3]=+h[b+2144>>3]+ +h[b+2128>>3];return}function BG(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+524>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+3824>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+3824|0;h[c[f+528>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+3824>>3]);h[c[(c[e>>2]|0)+532>>2]>>3]=i;Tia(a,6)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3824>>3]=+h[c[(c[e>>2]|0)+524>>2]>>3];Ip(a);Jp(a);Kp(a);Lp(a);Mp(a);return}function CG(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(-0.0- +h[l+2120>>3]),+1.0e-15);n=+Yb(+(+h[l+1576>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[l+1056>>3]),+1.0e-15);p=+Yb(+(-0.0- +h[l+800>>3]),+1.0e-15);q=m+(n+(o+p));r=m*+h[l+2032>>3]+(n*+h[l+1440>>3]+(o*+h[l+976>>3]+p*+h[l+720>>3]));do{if(q!=0.0){s=r/q;t=l}else{if(r==0.0){s=r;t=l;break}p=r/+nfa(j,q,175360,8534352,+h[k>>3],(a[b+319|0]|0)!=0|0);s=p;t=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,s,243.15,373.15,+h[t+2040>>3],8532256,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6328>>3]=+h[f>>3];i=d;return}function DG(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2640>>3];if(!(g<0.0)){i=g*+h[f+2248>>3];j=f;k=j+2376|0;h[k>>3]=i;return}l=+Yb(+(-0.0- +h[f+2120>>3]),+1.0e-15);m=+Yb(+(+h[f+1576>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[f+1056>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[f+800>>3]),+1.0e-15);p=l+(m+(n+o));q=l*+h[f+2032>>3]+(m*+h[f+1440>>3]+(n*+h[f+976>>3]+o*+h[f+720>>3]));do{if(p!=0.0){r=q/p;s=f;t=g}else{if(q==0.0){r=q;s=f;t=g;break}o=q/+nfa(c[b+536>>2]|0,p,175360,8534344,+h[e>>3],(a[b+319|0]|0)!=0|0);u=c[(c[c[d>>2]>>2]|0)+8>>2]|0;r=o;s=u;t=+h[u+2640>>3]}}while(0);i=r*t;j=s;k=j+2376|0;h[k>>3]=i;return}function EG(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2408>>3]=+h[b+2368>>3]- +h[b+2376>>3];return}function FG(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3512>>3]=+h[b+2408>>3]+ +h[b+2392>>3];return}function GG(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+604>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+3816>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+3816|0;h[c[f+608>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+3816>>3]);h[c[(c[e>>2]|0)+612>>2]>>3]=i;Tia(a,7)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3816>>3]=+h[c[(c[e>>2]|0)+604>>2]>>3];Pp(a);Qp(a);Rp(a);Sp(a);Tp(a);return}function HG(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+544>>3];if(g<0.0){i=g*+h[f+464>>3];j=f;k=j+520|0;h[k>>3]=i;return}l=+Yb(+(+h[f+2120>>3]),+1.0e-15);m=+Yb(+(+h[f+1312>>3]),+1.0e-15);n=+Yb(+(+h[f+1056>>3]),+1.0e-15);o=+Yb(+(+h[f+800>>3]),+1.0e-15);p=l+(m+(n+o));q=l*+h[f+1976>>3]+(m*+h[f+1184>>3]+(n*+h[f+928>>3]+o*+h[f+672>>3]));do{if(p!=0.0){r=q/p;s=f;t=g}else{if(q==0.0){r=q;s=f;t=g;break}o=q/+nfa(c[b+536>>2]|0,p,174872,8534320,+h[e>>3],(a[b+319|0]|0)!=0|0);u=c[(c[c[d>>2]>>2]|0)+8>>2]|0;r=o;s=u;t=+h[u+544>>3]}}while(0);i=r*t;j=s;k=j+520|0;h[k>>3]=i;return}function IG(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+568>>3]=+h[b+520>>3]- +h[b+528>>3];return}function JG(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3728>>3]=+h[b+568>>3]+ +h[b+552>>3];return}function KG(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+684>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+184>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+184|0;h[c[f+688>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+184>>3]);h[c[(c[e>>2]|0)+692>>2]>>3]=i;Tia(a,8)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+184>>3]=+h[c[(c[e>>2]|0)+684>>2]>>3];Wp(a);Xp(a);Yp(a);Zp(a);_p(a);return}function LG(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+2120>>3]),+1.0e-15);n=+Yb(+(+h[l+1312>>3]),+1.0e-15);o=+Yb(+(+h[l+1056>>3]),+1.0e-15);p=+Yb(+(+h[l+800>>3]),+1.0e-15);q=m+(n+(o+p));r=m*+h[l+1976>>3]+(n*+h[l+1184>>3]+(o*+h[l+928>>3]+p*+h[l+672>>3]));do{if(q!=0.0){s=r/q;t=l}else{if(r==0.0){s=r;t=l;break}p=r/+nfa(j,q,174872,8534296,+h[k>>3],(a[b+319|0]|0)!=0|0);s=p;t=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,s,243.15,373.15,+h[t+1984>>3],8532256,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+5992>>3]=+h[f>>3];i=d;return}function MG(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+2120>>3]),+1.0e-15);n=+Yb(+(+h[l+1312>>3]),+1.0e-15);o=+Yb(+(+h[l+1056>>3]),+1.0e-15);p=+Yb(+(-0.0- +h[l+544>>3]),+1.0e-15);q=m+(n+(o+p));r=m*+h[l+1976>>3]+(n*+h[l+1184>>3]+(o*+h[l+928>>3]+p*+h[l+464>>3]));do{if(q!=0.0){s=r/q;t=l}else{if(r==0.0){s=r;t=l;break}p=r/+nfa(j,q,174376,8534288,+h[k>>3],(a[b+319|0]|0)!=0|0);s=p;t=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,s,243.15,373.15,+h[t+1984>>3],8532256,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6e3>>3]=+h[f>>3];i=d;return}function NG(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+2120>>3]),+1.0e-15);n=+Yb(+(+h[l+1312>>3]),+1.0e-15);o=+Yb(+(+h[l+800>>3]),+1.0e-15);p=+Yb(+(-0.0- +h[l+544>>3]),+1.0e-15);q=m+(n+(o+p));r=m*+h[l+1976>>3]+(n*+h[l+1184>>3]+(o*+h[l+672>>3]+p*+h[l+464>>3]));do{if(q!=0.0){s=r/q;t=l}else{if(r==0.0){s=r;t=l;break}p=r/+nfa(j,q,173624,8534280,+h[k>>3],(a[b+319|0]|0)!=0|0);s=p;t=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,s,243.15,373.15,+h[t+1984>>3],8532256,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6016>>3]=+h[f>>3];i=d;return}function OG(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+800>>3];if(!(g<0.0)){i=g*+h[f+672>>3];j=f;k=j+792|0;h[k>>3]=i;return}l=+Yb(+(+h[f+2120>>3]),+1.0e-15);m=+Yb(+(+h[f+1312>>3]),+1.0e-15);n=+Yb(+(+h[f+1056>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[f+544>>3]),+1.0e-15);p=l+(m+(n+o));q=l*+h[f+1976>>3]+(m*+h[f+1184>>3]+(n*+h[f+928>>3]+o*+h[f+464>>3]));do{if(p!=0.0){r=q/p;s=f;t=g}else{if(q==0.0){r=q;s=f;t=g;break}o=q/+nfa(c[b+536>>2]|0,p,174376,8534272,+h[e>>3],(a[b+319|0]|0)!=0|0);u=c[(c[c[d>>2]>>2]|0)+8>>2]|0;r=o;s=u;t=+h[u+800>>3]}}while(0);i=r*t;j=s;k=j+792|0;h[k>>3]=i;return}function PG(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+832>>3]=+h[b+784>>3]- +h[b+792>>3];return}function QG(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3704>>3]=+h[b+832>>3]+ +h[b+816>>3];return}function RG(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+764>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+192>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+192|0;h[c[f+768>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+192>>3]);h[c[(c[e>>2]|0)+772>>2]>>3]=i;Tia(a,9)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+192>>3]=+h[c[(c[e>>2]|0)+764>>2]>>3];bq(a);cq(a);dq(a);eq(a);fq(a);return}function SG(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1056>>3];if(!(g<0.0)){i=g*+h[f+928>>3];j=f;k=j+1048|0;h[k>>3]=i;return}l=+Yb(+(+h[f+2120>>3]),+1.0e-15);m=+Yb(+(+h[f+1312>>3]),+1.0e-15);n=+Yb(+(+h[f+800>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[f+544>>3]),+1.0e-15);p=l+(m+(n+o));q=l*+h[f+1976>>3]+(m*+h[f+1184>>3]+(n*+h[f+672>>3]+o*+h[f+464>>3]));do{if(p!=0.0){r=q/p;s=f;t=g}else{if(q==0.0){r=q;s=f;t=g;break}o=q/+nfa(c[b+536>>2]|0,p,173624,8534256,+h[e>>3],(a[b+319|0]|0)!=0|0);u=c[(c[c[d>>2]>>2]|0)+8>>2]|0;r=o;s=u;t=+h[u+1056>>3]}}while(0);i=r*t;j=s;k=j+1048|0;h[k>>3]=i;return}function TG(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1088>>3]=+h[b+1040>>3]- +h[b+1048>>3];return}function UG(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3672>>3]=+h[b+1088>>3]+ +h[b+1072>>3];return}function VG(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+844>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+208>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+208|0;h[c[f+848>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+208>>3]);h[c[(c[e>>2]|0)+852>>2]>>3]=i;Tia(a,10)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+208>>3]=+h[c[(c[e>>2]|0)+844>>2]>>3];iq(a);jq(a);kq(a);lq(a);mq(a);return}function WG(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1312>>3];if(!(g<0.0)){i=g*+h[f+1184>>3];j=f;k=j+1304|0;h[k>>3]=i;return}l=+Yb(+(+h[f+2120>>3]),+1.0e-15);m=+Yb(+(+h[f+1056>>3]),+1.0e-15);n=+Yb(+(+h[f+800>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[f+544>>3]),+1.0e-15);p=l+(m+(n+o));q=l*+h[f+1976>>3]+(m*+h[f+928>>3]+(n*+h[f+672>>3]+o*+h[f+464>>3]));do{if(p!=0.0){r=q/p;s=f;t=g}else{if(q==0.0){r=q;s=f;t=g;break}o=q/+nfa(c[b+536>>2]|0,p,181496,8534240,+h[e>>3],(a[b+319|0]|0)!=0|0);u=c[(c[c[d>>2]>>2]|0)+8>>2]|0;r=o;s=u;t=+h[u+1312>>3]}}while(0);i=r*t;j=s;k=j+1304|0;h[k>>3]=i;return}function XG(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+1312>>3]),+1.0e-15);n=+Yb(+(+h[l+1056>>3]),+1.0e-15);o=+Yb(+(+h[l+800>>3]),+1.0e-15);p=+Yb(+(-0.0- +h[l+544>>3]),+1.0e-15);q=m+(n+(o+p));r=m*+h[l+1184>>3]+(n*+h[l+928>>3]+(o*+h[l+672>>3]+p*+h[l+464>>3]));do{if(q!=0.0){s=r/q;t=l}else{if(r==0.0){s=r;t=l;break}p=r/+nfa(j,q,172936,8534232,+h[k>>3],(a[b+319|0]|0)!=0|0);s=p;t=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,s,243.15,373.15,+h[t+1984>>3],8532256,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6312>>3]=+h[f>>3];i=d;return}function YG(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2120>>3];if(!(g<0.0)){i=g*+h[f+1976>>3];j=f;k=j+2112|0;h[k>>3]=i;return}l=+Yb(+(+h[f+1312>>3]),+1.0e-15);m=+Yb(+(+h[f+1056>>3]),+1.0e-15);n=+Yb(+(+h[f+800>>3]),+1.0e-15);o=+Yb(+(-0.0- +h[f+544>>3]),+1.0e-15);p=l+(m+(n+o));q=l*+h[f+1184>>3]+(m*+h[f+928>>3]+(n*+h[f+672>>3]+o*+h[f+464>>3]));do{if(p!=0.0){r=q/p;s=f;t=g}else{if(q==0.0){r=q;s=f;t=g;break}o=q/+nfa(c[b+536>>2]|0,p,172936,8534216,+h[e>>3],(a[b+319|0]|0)!=0|0);u=c[(c[c[d>>2]>>2]|0)+8>>2]|0;r=o;s=u;t=+h[u+2120>>3]}}while(0);i=r*t;j=s;k=j+2112|0;h[k>>3]=i;return}function ZG(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2152>>3]=+h[b+2104>>3]- +h[b+2112>>3];return}function _G(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3544>>3]=+h[b+2152>>3]+ +h[b+2136>>3];return}function $G(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+924>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+272>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+272|0;h[c[f+928>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+272>>3]);h[c[(c[e>>2]|0)+932>>2]>>3]=i;Tia(a,11)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+272>>3]=+h[c[(c[e>>2]|0)+924>>2]>>3];pq(a);qq(a);rq(a);sq(a);tq(a);return}function aH(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+1312>>3];h[b+1296>>3]=d*+h[(d<0.0?b+1184|0:b+1232|0)>>3];return}function bH(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1344>>3]=+h[b+1296>>3]- +h[b+1304>>3];return}function cH(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+1032>>3]*+h[g+1176>>3]*+h[d+3664>>3];j=+h[g+1312>>3];if(i!=0.0){k=j/i;l=g;m=l+1136|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+1136|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,172632,8534200,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+1136|0;h[m>>3]=k;return}function dH(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+1024>>3]*+h[g+1224>>3]*+h[d+3664>>3];j=+h[g+1312>>3];if(i!=0.0){k=j/i;l=g;m=l+1128|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+1128|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,171672,8534192,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+1128|0;h[m>>3]=k;return}function eH(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1256>>3]=+h[b+1312>>3]*+h[b+5624>>3];return}function fH(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+1312>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+1264>>3]=+h[(a?d+1280|0:d+1272|0)>>3];return}function gH(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1328>>3]=+h[b+1136>>3]*+h[d+1032>>3]*+h[d+3664>>3]*(+h[b+1984>>3]*.5+(+h[b+1496>>3]*-.5+ +h[b+1240>>3]*.5));return}function hH(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3640>>3]=+h[b+1344>>3]+ +h[b+1328>>3];return}function iH(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+1004>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+224>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+224|0;h[c[f+1008>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+224>>3]);h[c[(c[e>>2]|0)+1012>>2]>>3]=i;Tia(a,12)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+224>>3]=+h[c[(c[e>>2]|0)+1004>>2]>>3];wq(a);xq(a);yq(a);zq(a);Aq(a);return}function jH(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1320>>3]=+h[b+1128>>3]*+h[d+1024>>3]*+h[d+3664>>3]*(+h[b+1984>>3]*.5+(+h[b+1496>>3]*-.5+ +h[b+1240>>3]*.5));return}function kH(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1592>>3]=+h[b+1392>>3]*+h[d+896>>3]*+h[d+3440>>3]*(+h[b+2040>>3]*.5+(+h[b+1496>>3]*-.5+ +h[b+1504>>3]*.5));return}function lH(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3608>>3]=+h[b+1624>>3]+(+h[b+1592>>3]+ +h[b+1608>>3]);return}function mH(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+1084>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+240>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+240|0;h[c[f+1088>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+240>>3]);h[c[(c[e>>2]|0)+1092>>2]>>3]=i;Tia(a,13)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+240>>3]=+h[c[(c[e>>2]|0)+1084>>2]>>3];Dq(a);Eq(a);Fq(a);Gq(a);Hq(a);return}function nH(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1584>>3]=+h[b+1384>>3]*+h[d+888>>3]*+h[d+3440>>3]*(+h[b+2040>>3]*.5+(+h[b+1496>>3]*-.5+ +h[b+1504>>3]*.5));return}function oH(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(-0.0- +h[l+1576>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[l+1312>>3]),+1.0e-15);o=m+n;p=m*+h[l+1488>>3]+n*+h[l+1232>>3];do{if(o!=0.0){q=p/o;r=l}else{if(p==0.0){q=p;r=l;break}n=p/+nfa(j,o,171128,8534168,+h[k>>3],(a[b+319|0]|0)!=0|0);q=n;r=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,q,243.15,373.15,+h[r+1496>>3],8532256,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6136>>3]=+h[f>>3];i=d;return}function pH(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1192>>3]=+h[b+1496>>3]*1.0e-5;return}function qH(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1448>>3]=+h[b+1496>>3]*1.0e-5;return}function rH(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1680>>3]=+h[b+1496>>3]*1.0e-5;return}function sH(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+2912>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[l+1576>>3]),+1.0e-15);o=m+n;p=m*+h[l+1720>>3]+n*+h[l+1488>>3];do{if(o!=0.0){q=p/o;r=l}else{if(p==0.0){q=p;r=l;break}n=p/+nfa(j,o,170544,8534160,+h[k>>3],(a[b+319|0]|0)!=0|0);q=n;r=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,q,243.15,373.15,+h[r+1496>>3],8532256,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6040>>3]=+h[f>>3];i=d;return}function tH(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1312>>3];if(g<0.0){i=g*+h[f+1232>>3];j=f;k=j+1288|0;h[k>>3]=i;return}l=+Yb(+(+h[f+2912>>3]),+1.0e-15);m=+Yb(+(-0.0- +h[f+1576>>3]),+1.0e-15);n=l+m;o=l*+h[f+1720>>3]+m*+h[f+1488>>3];do{if(n!=0.0){p=o/n;q=f;r=g}else{if(o==0.0){p=o;q=f;r=g;break}m=o/+nfa(c[b+536>>2]|0,n,170544,8534152,+h[e>>3],(a[b+319|0]|0)!=0|0);s=c[(c[c[d>>2]>>2]|0)+8>>2]|0;p=m;q=s;r=+h[s+1312>>3]}}while(0);i=p*r;j=q;k=j+1288|0;h[k>>3]=i;return}function uH(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1336>>3]=+h[b+1288>>3]- +h[b+1296>>3];return}function vH(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3632>>3]=+h[b+1336>>3]+ +h[b+1320>>3];return}function wH(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+1164>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+232>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+232|0;h[c[f+1168>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+232>>3]);h[c[(c[e>>2]|0)+1172>>2]>>3]=i;Tia(a,14)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+232>>3]=+h[c[(c[e>>2]|0)+1164>>2]>>3];Kq(a);Lq(a);Mq(a);Nq(a);Oq(a);return}function xH(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1576>>3];if(g<0.0){i=g*+h[f+1488>>3];j=f;k=j+1552|0;h[k>>3]=i;return}l=+Yb(+(+h[f+2912>>3]),+1.0e-15);m=+Yb(+(-0.0- +h[f+1312>>3]),+1.0e-15);n=l+m;o=l*+h[f+1720>>3]+m*+h[f+1232>>3];do{if(n!=0.0){p=o/n;q=f;r=g}else{if(o==0.0){p=o;q=f;r=g;break}m=o/+nfa(c[b+536>>2]|0,n,169976,8534136,+h[e>>3],(a[b+319|0]|0)!=0|0);s=c[(c[c[d>>2]>>2]|0)+8>>2]|0;p=m;q=s;r=+h[s+1576>>3]}}while(0);i=p*r;j=q;k=j+1552|0;h[k>>3]=i;return}function yH(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1616>>3]=+h[b+1552>>3]- +h[b+1560>>3];return}function zH(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3600>>3]=+h[b+1616>>3]+(+h[b+1584>>3]+ +h[b+1600>>3]);return}function AH(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+1244>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+248>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+248|0;h[c[f+1248>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+248>>3]);h[c[(c[e>>2]|0)+1252>>2]>>3]=i;Tia(a,15)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+248>>3]=+h[c[(c[e>>2]|0)+1244>>2]>>3];Rq(a);Sq(a);Tq(a);Uq(a);Vq(a);return}function BH(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(-0.0- +h[l+2912>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[l+2640>>3]),+1.0e-15);o=m+n;p=m*+h[l+2824>>3]+n*+h[l+2560>>3];do{if(o!=0.0){q=p/o;r=l}else{if(p==0.0){q=p;r=l;break}n=p/+nfa(j,o,169328,8534120,+h[k>>3],(a[b+319|0]|0)!=0|0);q=n;r=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,q,243.15,373.15,+h[r+2832>>3],8532256,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6376>>3]=+h[f>>3];i=d;return}function CH(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2912>>3];if(!(g<0.0)){i=g*+h[f+1720>>3];j=f;k=j+1848|0;h[k>>3]=i;return}l=+Yb(+(-0.0- +h[f+1576>>3]),+1.0e-15);m=+Yb(+(-0.0- +h[f+1312>>3]),+1.0e-15);n=l+m;o=l*+h[f+1488>>3]+m*+h[f+1232>>3];do{if(n!=0.0){p=o/n;q=f;r=g}else{if(o==0.0){p=o;q=f;r=g;break}m=o/+nfa(c[b+536>>2]|0,n,171128,8534112,+h[e>>3],(a[b+319|0]|0)!=0|0);s=c[(c[c[d>>2]>>2]|0)+8>>2]|0;p=m;q=s;r=+h[s+2912>>3]}}while(0);i=p*r;j=q;k=j+1848|0;h[k>>3]=i;return}function DH(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+2912>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[l+1312>>3]),+1.0e-15);o=m+n;p=m*+h[l+1720>>3]+n*+h[l+1232>>3];do{if(o!=0.0){q=p/o;r=l}else{if(p==0.0){q=p;r=l;break}n=p/+nfa(j,o,169976,8534104,+h[k>>3],(a[b+319|0]|0)!=0|0);q=n;r=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,q,243.15,373.15,+h[r+1496>>3],8532256,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6056>>3]=+h[f>>3];i=d;return}function EH(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+2912>>3];h[b+1832>>3]=d*+h[(d<0.0?b+1768|0:b+2768|0)>>3];return}function FH(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+2912>>3];h[b+1840>>3]=d*+h[(d<0.0?b+1720|0:b+1768|0)>>3];return}function GH(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1880>>3]=+h[b+1840>>3]- +h[b+1848>>3];return}function HH(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1872>>3]=+h[b+1832>>3]- +h[b+1840>>3];return}function IH(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+752>>3]*+h[g+1712>>3]*+h[d+2928>>3];j=+h[g+2912>>3];if(i!=0.0){k=j/i;l=g;m=l+1672|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+1672|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,168776,8534096,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+1672|0;h[m>>3]=k;return}function JH(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+2928>>3]*+h[g+1760>>3]*+h[d+744>>3];j=+h[g+2912>>3];if(i!=0.0){k=j/i;l=g;m=l+1664|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+1664|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,168352,8534088,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+1664|0;h[m>>3]=k;return}function KH(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1800>>3]=+h[b+2912>>3]*+h[b+5512>>3];return}function LH(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+2912>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+1808>>3]=+h[(a?d+1824|0:d+1816|0)>>3];return}function MH(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+2912>>3];h[b+2904>>3]=d*+h[(d<0.0?b+1768|0:b+2768|0)>>3];return}function NH(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+2912>>3];h[b+2896>>3]=d*+h[(d<0.0?b+2768|0:b+2824|0)>>3];return}function OH(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2944>>3]=+h[b+2896>>3]- +h[b+2904>>3];return}function PH(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+208>>3]*+h[g+2760>>3]*+h[d+1808>>3];j=+h[g+2912>>3];if(i!=0.0){k=j/i;l=g;m=l+2720|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+2720|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,167808,8534080,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+2720|0;h[m>>3]=k;return}function QH(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+200>>3]*+h[g+2816>>3]*+h[d+1808>>3];j=+h[g+2912>>3];if(i!=0.0){k=j/i;l=g;m=l+2712|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+2712|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,167328,8534072,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+2712|0;h[m>>3]=k;return}function RH(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2856>>3]=+h[b+2912>>3]*+h[b+5288>>3];return}function SH(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+2912>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+2864>>3]=+h[(a?d+2880|0:d+2872|0)>>3];return}function TH(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2728>>3]=+h[b+2776>>3]*1.0e-5;return}function UH(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+2928>>3]=+h[b+2720>>3]*+h[d+208>>3]*+h[d+1808>>3]*(+h[b+2776>>3]*.5+(+h[b+2832>>3]*-.5+ +h[b+2840>>3]*.5));return}function VH(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3448>>3]=+h[b+2944>>3]+ +h[b+2928>>3];return}function WH(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+1324>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+320>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+320|0;h[c[f+1328>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+320>>3]);h[c[(c[e>>2]|0)+1332>>2]>>3]=i;Tia(a,16)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+320>>3]=+h[c[(c[e>>2]|0)+1324>>2]>>3];Yq(a);Zq(a);_q(a);$q(a);ar(a);return}function XH(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+2920>>3]=+h[b+2712>>3]*+h[d+200>>3]*+h[d+1808>>3]*(+h[b+2776>>3]*.5+(+h[b+2832>>3]*-.5+ +h[b+2840>>3]*.5));return}function YH(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+536|0;Dn(d,c[f>>2]|0);g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;Jn(e,c[f>>2]|0,+h[a+1768>>3],243.15,373.15,+h[a+2776>>3],8532256,d|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6360>>3]=+h[e>>3];i=b;return}function ZH(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0;b=i;i=i+32|0;d=b|0;e=b+16|0;f=b+24|0;g=a+536|0;Ln(d,c[g>>2]|0);j=a+4|0;k=c[(c[c[j>>2]>>2]|0)+8>>2]|0;fo(e,c[g>>2]|0,+h[k+1768>>3],243.15,373.15,+h[k+2776>>3],8532256,d|0,1.0e-13);d=c[(c[c[j>>2]>>2]|0)+8>>2]|0;_n(f,c[g>>2]|0,+h[d+2912>>3],+h[d+6304>>3],+h[e>>3],+h[(c[a+416>>2]|0)+2704>>3]);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6264>>3]=+h[f>>3];i=b;return}function _H(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0,p=0,q=0.0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;j=b+536|0;k=b+4|0;Mn(e,c[j>>2]|0,8531616,+h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+6304>>3]+ -273.15);l=+h[e>>3];Mn(f,c[j>>2]|0,8531616,+h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+6296>>3]+ -273.15);_n(g,c[j>>2]|0,+h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+2912>>3],l,+h[f>>3],+h[(c[b+416>>2]|0)+2704>>3]);l=+h[g>>3];g=c[c[k>>2]>>2]|0;f=c[g+8>>2]|0;m=+h[f+2912>>3];if(l!=0.0){n=m/l;o=f;p=o+6232|0;h[p>>3]=n;i=d;return}if(m==0.0){n=m;o=f;p=o+6232|0;h[p>>3]=n;i=d;return}q=m/+nfa(c[j>>2]|0,l,166088,8534056,+h[g>>3],(a[b+319|0]|0)!=0|0);n=q;o=c[(c[c[k>>2]>>2]|0)+8>>2]|0;p=o+6232|0;h[p>>3]=n;i=d;return}function $H(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+536|0;Dn(d,c[f>>2]|0);g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;Jn(e,c[f>>2]|0,+h[a+2768>>3],243.15,373.15,+h[a+1776>>3],8532256,d|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6144>>3]=+h[e>>3];i=b;return}function aI(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1864>>3]=+h[b+1672>>3]*+h[d+752>>3]*+h[d+2928>>3]*(+h[b+1496>>3]*.5+(+h[b+1776>>3]*-.5+ +h[b+1784>>3]*.5));return}function bI(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3576>>3]=+h[b+1880>>3]+ +h[b+1864>>3];return}function cI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+1404>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+256>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+256|0;h[c[f+1408>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+256>>3]);h[c[(c[e>>2]|0)+1412>>2]>>3]=i;Tia(a,17)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+256>>3]=+h[c[(c[e>>2]|0)+1404>>2]>>3];dr(a);er(a);fr(a);gr(a);hr(a);return}function dI(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1856>>3]=+h[b+1664>>3]*+h[d+744>>3]*+h[d+2928>>3]*(+h[b+1496>>3]*.5+(+h[b+1776>>3]*-.5+ +h[b+1784>>3]*.5));return}function eI(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3568>>3]=+h[b+1872>>3]+ +h[b+1856>>3];return}function fI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+1484>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+264>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+264|0;h[c[f+1488>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+264>>3]);h[c[(c[e>>2]|0)+1492>>2]>>3]=i;Tia(a,18)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+264>>3]=+h[c[(c[e>>2]|0)+1484>>2]>>3];kr(a);lr(a);mr(a);nr(a);or(a);return}function gI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0;b=i;i=i+32|0;d=b|0;e=b+16|0;f=b+24|0;g=a+536|0;Ln(d,c[g>>2]|0);j=a+4|0;k=c[(c[c[j>>2]>>2]|0)+8>>2]|0;fo(e,c[g>>2]|0,+h[k+2768>>3],243.15,373.15,+h[k+1776>>3],8532256,d|0,1.0e-13);d=c[(c[c[j>>2]>>2]|0)+8>>2]|0;_n(f,c[g>>2]|0,-0.0- +h[d+2912>>3],+h[d+6296>>3],+h[e>>3],+h[(c[a+416>>2]|0)+2704>>3]);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+6256>>3]=+h[f>>3];i=b;return}function hI(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1728>>3]=+h[b+1776>>3]*1.0e-5;return}function iI(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+3160>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[l+2912>>3]),+1.0e-15);o=m+n;p=m*+h[l+3040>>3]+n*+h[l+2824>>3];do{if(o!=0.0){q=p/o;r=l}else{if(p==0.0){q=p;r=l;break}n=p/+nfa(j,o,165696,8534032,+h[k>>3],(a[b+319|0]|0)!=0|0);q=n;r=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,q,243.15,373.15,+h[r+2832>>3],8532256,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6352>>3]=+h[f>>3];i=d;return}function jI(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0;d=i;i=i+24|0;e=d|0;f=d+16|0;g=b+536|0;Dn(e,c[g>>2]|0);j=c[g>>2]|0;g=b+4|0;k=c[c[g>>2]>>2]|0;l=c[k+8>>2]|0;m=+Yb(+(+h[l+3160>>3]),+1.0e-15);n=+Yb(+(-0.0- +h[l+2640>>3]),+1.0e-15);o=m+n;p=m*+h[l+3040>>3]+n*+h[l+2560>>3];do{if(o!=0.0){q=p/o;r=l}else{if(p==0.0){q=p;r=l;break}n=p/+nfa(j,o,165272,8534024,+h[k>>3],(a[b+319|0]|0)!=0|0);q=n;r=c[(c[c[g>>2]>>2]|0)+8>>2]|0}}while(0);Jn(f,j,q,243.15,373.15,+h[r+2832>>3],8532256,e|0,1.0e-13);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+6368>>3]=+h[f>>3];i=d;return}function kI(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2640>>3];if(g<0.0){i=g*+h[f+2560>>3];j=f;k=j+2616|0;h[k>>3]=i;return}l=+Yb(+(+h[f+3160>>3]),+1.0e-15);m=+Yb(+(-0.0- +h[f+2912>>3]),+1.0e-15);n=l+m;o=l*+h[f+3040>>3]+m*+h[f+2824>>3];do{if(n!=0.0){p=o/n;q=f;r=g}else{if(o==0.0){p=o;q=f;r=g;break}m=o/+nfa(c[b+536>>2]|0,n,165696,8534016,+h[e>>3],(a[b+319|0]|0)!=0|0);s=c[(c[c[d>>2]>>2]|0)+8>>2]|0;p=m;q=s;r=+h[s+2640>>3]}}while(0);i=p*r;j=q;k=j+2616|0;h[k>>3]=i;return}function lI(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2664>>3]=+h[b+2616>>3]- +h[b+2624>>3];return}function mI(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3472>>3]=+h[b+2664>>3]+ +h[b+2648>>3];return}function nI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+1564>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+312>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+312|0;h[c[f+1568>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+312>>3]);h[c[(c[e>>2]|0)+1572>>2]>>3]=i;Tia(a,19)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+312>>3]=+h[c[(c[e>>2]|0)+1564>>2]>>3];rr(a);sr(a);tr(a);ur(a);vr(a);return}function oI(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2912>>3];if(g<0.0){i=g*+h[f+2824>>3];j=f;k=j+2888|0;h[k>>3]=i;return}l=+Yb(+(+h[f+3160>>3]),+1.0e-15);m=+Yb(+(-0.0- +h[f+2640>>3]),+1.0e-15);n=l+m;o=l*+h[f+3040>>3]+m*+h[f+2560>>3];do{if(n!=0.0){p=o/n;q=f;r=g}else{if(o==0.0){p=o;q=f;r=g;break}m=o/+nfa(c[b+536>>2]|0,n,165272,8533992,+h[e>>3],(a[b+319|0]|0)!=0|0);s=c[(c[c[d>>2]>>2]|0)+8>>2]|0;p=m;q=s;r=+h[s+2912>>3]}}while(0);i=p*r;j=q;k=j+2888|0;h[k>>3]=i;return}function pI(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2936>>3]=+h[b+2888>>3]- +h[b+2896>>3];return}function qI(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3440>>3]=+h[b+2936>>3]+ +h[b+2920>>3];return}function rI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+1644>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+328>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+328|0;h[c[f+1648>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+328>>3]);h[c[(c[e>>2]|0)+1652>>2]>>3]=i;Tia(a,20)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+328>>3]=+h[c[(c[e>>2]|0)+1644>>2]>>3];yr(a);zr(a);Ar(a);Br(a);Cr(a);return}function sI(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+3160>>3];if(!(g<0.0)){i=g*+h[f+3040>>3];j=f;k=j+3152|0;h[k>>3]=i;return}l=+Yb(+(-0.0- +h[f+2912>>3]),+1.0e-15);m=+Yb(+(-0.0- +h[f+2640>>3]),+1.0e-15);n=l+m;o=l*+h[f+2824>>3]+m*+h[f+2560>>3];do{if(n!=0.0){p=o/n;q=f;r=g}else{if(o==0.0){p=o;q=f;r=g;break}m=o/+nfa(c[b+536>>2]|0,n,169328,8533968,+h[e>>3],(a[b+319|0]|0)!=0|0);s=c[(c[c[d>>2]>>2]|0)+8>>2]|0;p=m;q=s;r=+h[s+3160>>3]}}while(0);i=p*r;j=q;k=j+3152|0;h[k>>3]=i;return}function tI(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+3160>>3];h[b+3136>>3]=d*+h[(d<0.0?b+3080|0:b+6576|0)>>3];return}function uI(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+3160>>3];h[b+3144>>3]=d*+h[(d<0.0?b+3040|0:b+3080|0)>>3];return}function vI(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3192>>3]=+h[b+3144>>3]- +h[b+3152>>3];return}function wI(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3184>>3]=+h[b+3136>>3]- +h[b+3144>>3];return}function xI(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+72>>3]*+h[g+3032>>3]*+h[d+1584>>3];j=+h[g+3160>>3];if(i!=0.0){k=j/i;l=g;m=l+2992|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+2992|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,164888,8533960,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+2992|0;h[m>>3]=k;return}function yI(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+3176>>3]=+h[b+2992>>3]*+h[d+72>>3]*+h[d+1584>>3]*((+h[b+2832>>3]+ +h[b+3088>>3])*.5+-25.0e4);return}function zI(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3416>>3]=+h[b+3192>>3]+ +h[b+3176>>3];return}function AI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+1724>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+336>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+336|0;h[c[f+1728>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+336>>3]);h[c[(c[e>>2]|0)+1732>>2]>>3]=i;Tia(a,21)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+336>>3]=+h[c[(c[e>>2]|0)+1724>>2]>>3];Fr(a);Gr(a);Hr(a);Ir(a);Jr(a);return}function BI(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+64>>3]*+h[g+3072>>3]*+h[d+1584>>3];j=+h[g+3160>>3];if(i!=0.0){k=j/i;l=g;m=l+2984|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+2984|0;h[m>>3]=k;return}n=j/+nfa(c[b+536>>2]|0,i,164528,8533944,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+2984|0;h[m>>3]=k;return}function CI(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+3168>>3]=+h[b+2984>>3]*+h[d+64>>3]*+h[d+1584>>3]*((+h[b+2832>>3]+ +h[b+3088>>3])*.5+-25.0e4);return}function DI(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3408>>3]=+h[b+3184>>3]+ +h[b+3168>>3];return}function EI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+1804>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+344>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+344|0;h[c[f+1808>>2]>>3]=+h[g>>3];i=+Via(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+344>>3]);h[c[(c[e>>2]|0)+1812>>2]>>3]=i;Tia(a,22)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+344>>3]=+h[c[(c[e>>2]|0)+1804>>2]>>3];Mr(a);Nr(a);Or(a);Pr(a);Qr(a);return}function FI(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3104>>3]=+h[b+3160>>3]*+h[b+5232>>3];return}function GI(a){a=a|0;var b=0,d=0;b=a+4|0;a=(yia(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+3160>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+3112>>3]=+h[(a?d+3128|0:d+3120|0)>>3];return}function HI(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3352>>3]=+h[b+3288>>3];return}function II(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3496>>3]=+h[b+3352>>3];return}function JI(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3528>>3]=+h[b+3496>>3];return}function KI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+832>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+3496>>3]+ +h[g+3528>>3])*.5,293.15,d);h[(c[f>>2]|0)+3488>>3]=+h[e>>3];i=b;return}function LI(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3560>>3]=+h[b+3528>>3];return}function MI(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3552>>3]=+h[b+3496>>3];return}function NI(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3720>>3]=+h[b+3352>>3];return}function OI(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3752>>3]=+h[b+3720>>3];return}function PI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+968>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+3720>>3]+ +h[g+3752>>3])*.5,293.15,d);h[(c[f>>2]|0)+3712>>3]=+h[e>>3];i=b;return}function QI(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3784>>3]=+h[b+3752>>3];return}function RI(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3776>>3]=+h[b+3720>>3];return}function SI(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3944>>3]=+h[b+3352>>3];return}function TI(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3976>>3]=+h[b+3944>>3];return}function UI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+1104>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+3944>>3]+ +h[g+3976>>3])*.5,293.15,d);h[(c[f>>2]|0)+3936>>3]=+h[e>>3];i=b;return}function VI(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4008>>3]=+h[b+3976>>3];return}function WI(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4e3>>3]=+h[b+3944>>3];return}function XI(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4168>>3]=+h[b+3352>>3];return}function YI(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4200>>3]=+h[b+4168>>3];return}function ZI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+1240>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+4168>>3]+ +h[g+4200>>3])*.5,293.15,d);h[(c[f>>2]|0)+4160>>3]=+h[e>>3];i=b;return}function _I(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4232>>3]=+h[b+4200>>3];return}function $I(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4224>>3]=+h[b+4168>>3];return}function aJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4392>>3]=+h[b+3352>>3];return}function bJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4424>>3]=+h[b+4392>>3];return}function cJ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+1424>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+4392>>3]+ +h[g+4424>>3])*.5,293.15,d);h[(c[f>>2]|0)+4384>>3]=+h[e>>3];i=b;return}function dJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4456>>3]=+h[b+4424>>3];return}function eJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4448>>3]=+h[b+4392>>3];return}function fJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2984>>3]=+h[b+3352>>3];return}function gJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3016>>3]=+h[b+2984>>3];return}function hJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3048>>3]=+h[b+3016>>3];return}function iJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3040>>3]=+h[b+2984>>3];return}function jJ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+688>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+2984>>3]+ +h[g+3016>>3])*.5,293.15,d);h[(c[f>>2]|0)+2976>>3]=+h[e>>3];i=b;return}function kJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2536>>3]=+h[b+3352>>3];return}function lJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2568>>3]=+h[b+2536>>3];return}function mJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2600>>3]=+h[b+2568>>3];return}function nJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2592>>3]=+h[b+2536>>3];return}function oJ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+552>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+2536>>3]+ +h[g+2568>>3])*.5,293.15,d);h[(c[f>>2]|0)+2528>>3]=+h[e>>3];i=b;return}function pJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2312>>3]=+h[b+3352>>3];return}function qJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2344>>3]=+h[b+2312>>3];return}function rJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2376>>3]=+h[b+2344>>3];return}function sJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2368>>3]=+h[b+2312>>3];return}function tJ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+416>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+2312>>3]+ +h[g+2344>>3])*.5,293.15,d);h[(c[f>>2]|0)+2304>>3]=+h[e>>3];i=b;return}function uJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2088>>3]=+h[b+3352>>3];return}function vJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2120>>3]=+h[b+2088>>3];return}function wJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2152>>3]=+h[b+2120>>3];return}function xJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2144>>3]=+h[b+2088>>3];return}function yJ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+280>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+2088>>3]+ +h[g+2120>>3])*.5,293.15,d);h[(c[f>>2]|0)+2080>>3]=+h[e>>3];i=b;return}function zJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1864>>3]=+h[b+3352>>3];return}function AJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1896>>3]=+h[b+1864>>3];return}function BJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1928>>3]=+h[b+1896>>3];return}function CJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1920>>3]=+h[b+1864>>3];return}function DJ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+144>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+1864>>3]+ +h[g+1896>>3])*.5,293.15,d);h[(c[f>>2]|0)+1856>>3]=+h[e>>3];i=b;return}function EJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1640>>3]=+h[b+3352>>3];return}function FJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1672>>3]=+h[b+1640>>3];return}function GJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1704>>3]=+h[b+1672>>3];return}function HJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1696>>3]=+h[b+1640>>3];return}function IJ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;ega(d,1,+h[(c[f>>2]|0)+8>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Sn(e,c[a+536>>2]|0,(+h[g+1640>>3]+ +h[g+1672>>3])*.5,293.15,d);h[(c[f>>2]|0)+1632>>3]=+h[e>>3];i=b;return}function JJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4328>>3]=+h[b+3296>>3];return}function KJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4320>>3]=+h[b+4112>>3];return}function LJ(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+295|0]=a[d+280|0]|0;return}function MJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4104>>3]=+h[b+3296>>3];return}function NJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4096>>3]=+h[b+3888>>3];return}function OJ(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+274|0]=a[d+259|0]|0;return}function PJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3880>>3]=+h[b+3296>>3];return}function QJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3872>>3]=+h[b+3664>>3];return}function RJ(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+253|0]=a[d+238|0]|0;return}function SJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3656>>3]=+h[b+3296>>3];return}function TJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3648>>3]=+h[b+3440>>3];return}function UJ(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+232|0]=a[d+217|0]|0;return}function VJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3360>>3]=+h[b+3296>>3];return}function WJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3240>>3]=+h[b+3184>>3];return}function XJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3232>>3]=+h[b+3176>>3];return}function YJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3144>>3]=+h[b+3296>>3];return}function ZJ(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3136>>3]=+h[b+2928>>3];return}function _J(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+194|0]=a[d+179|0]|0;return}function $J(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2904>>3]=+h[b+2848>>3];return}function aK(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2896>>3]=+h[b+2840>>3];return}function bK(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2792>>3]=+h[b+2736>>3];return}function cK(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2784>>3]=+h[b+2728>>3];return}function dK(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2696>>3]=+h[b+3296>>3];return}function eK(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2688>>3]=+h[b+2480>>3];return}function fK(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+155|0]=a[d+140|0]|0;return}function gK(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2472>>3]=+h[b+3296>>3];return}function hK(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2464>>3]=+h[b+2256>>3];return}function iK(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+134|0]=a[d+119|0]|0;return}function jK(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2248>>3]=+h[b+3296>>3];return}function kK(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2240>>3]=+h[b+2032>>3];return}function lK(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+113|0]=a[d+98|0]|0;return}function mK(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2024>>3]=+h[b+3296>>3];return}function nK(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2016>>3]=+h[b+1808>>3];return}function oK(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+92|0]=a[d+77|0]|0;return}function pK(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1800>>3]=+h[b+3296>>3];return}function qK(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1792>>3]=+h[b+1584>>3];return}function rK(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+71|0]=a[d+56|0]|0;return}function sK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6640>>3]=1.0e5;return}function tK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6632>>3]=5.0e5;return}function uK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5976>>3]=0.0;return}function vK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5968>>3]=0.0;return}function wK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5960>>3]=0.0;return}function xK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5952>>3]=0.0;return}function yK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5944>>3]=0.0;return}function zK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5936>>3]=0.0;return}function AK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5928>>3]=0.0;return}function BK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5920>>3]=0.0;return}function CK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5912>>3]=0.0;return}function DK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5904>>3]=0.0;return}function EK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5896>>3]=0.0;return}function FK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5888>>3]=0.0;return}function GK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5880>>3]=0.0;return}function HK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5872>>3]=0.0;return}function IK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5864>>3]=0.0;return}function JK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5856>>3]=0.0;return}function KK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5848>>3]=0.0;return}function LK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5840>>3]=0.0;return}function MK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5832>>3]=0.0;return}function NK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5824>>3]=0.0;return}function OK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5816>>3]=0.0;return}function PK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5808>>3]=0.0;return}function QK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5800>>3]=0.0;return}function RK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5768>>3]=0.0;return}function SK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5760>>3]=0.0;return}function TK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5752>>3]=0.0;return}function UK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5744>>3]=0.0;return}function VK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5712>>3]=0.0;return}function WK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5704>>3]=0.0;return}function XK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5696>>3]=0.0;return}function YK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5688>>3]=0.0;return}function ZK(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5656>>3]=0.0;return}function _K(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5648>>3]=0.0;return}function $K(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5640>>3]=0.0;return}function aL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5632>>3]=0.0;return}function bL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5600>>3]=0.0;return}function cL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5592>>3]=0.0;return}function dL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5584>>3]=0.0;return}function eL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5576>>3]=0.0;return}function fL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5544>>3]=0.0;return}function gL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5536>>3]=0.0;return}function hL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5528>>3]=0.0;return}function iL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5520>>3]=0.0;return}function jL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5488>>3]=0.0;return}function kL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5480>>3]=0.0;return}function lL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5472>>3]=0.0;return}function mL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5464>>3]=0.0;return}function nL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5432>>3]=0.0;return}function oL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5424>>3]=0.0;return}function pL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5416>>3]=0.0;return}function qL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5408>>3]=0.0;return}function rL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5376>>3]=0.0;return}function sL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5368>>3]=0.0;return}function tL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5360>>3]=0.0;return}function uL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5352>>3]=0.0;return}function vL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5320>>3]=0.0;return}function wL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5312>>3]=0.0;return}function xL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5304>>3]=0.0;return}function yL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5296>>3]=0.0;return}function zL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5264>>3]=0.0;return}function AL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5256>>3]=0.0;return}function BL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5248>>3]=0.0;return}function CL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5240>>3]=0.0;return}function DL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5208>>3]=0.0;return}function EL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6624>>3]=300.0;return}function FL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6616>>3]=300.0;return}function GL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6608>>3]=26.85000000000002;return}function HL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6600>>3]=5.0;return}function IL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5200>>3]=5.0;return}function JL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6592>>3]=26.85000000000002;return}function KL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6584>>3]=1.0;return}function LL(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;Rn(d,c[a+536>>2]|0,8532432,26.85000000000002);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6544>>3]=+h[d>>3];i=b;return}function ML(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;Rn(d,c[a+536>>2]|0,8532432,26.85000000000002);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6520>>3]=+h[d>>3];i=b;return}function NL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+5e3>>3]=1.0;return}function OL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4992>>3]=.1;return}function PL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4984>>3]=8.314472;return}function QL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4976>>3]=1.0;return}function RL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4968>>3]=.1;return}function SL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4960>>3]=8.314472;return}function TL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4936>>3]=1.0;return}function UL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4928>>3]=.1;return}function VL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4920>>3]=8.314472;return}function WL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4912>>3]=1.0;return}function XL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4904>>3]=.1;return}function YL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4896>>3]=8.314472;return}function ZL(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4872>>3]=1.0;return}function _L(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4864>>3]=.1;return}function $L(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4856>>3]=8.314472;return}function aM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4848>>3]=1.0;return}function bM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4840>>3]=.1;return}function cM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4832>>3]=8.314472;return}function dM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4808>>3]=1.0;return}function eM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4800>>3]=.1;return}function fM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4792>>3]=8.314472;return}function gM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4784>>3]=1.0;return}function hM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4776>>3]=.1;return}function iM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4768>>3]=8.314472;return}function jM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4744>>3]=1.0;return}function kM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4736>>3]=.1;return}function lM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4728>>3]=8.314472;return}function mM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4720>>3]=1.0;return}function nM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4712>>3]=.1;return}function oM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4704>>3]=8.314472;return}function pM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4680>>3]=1.0;return}function qM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4672>>3]=.1;return}function rM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4664>>3]=8.314472;return}function sM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4656>>3]=1.0;return}function tM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4648>>3]=.1;return}function uM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4640>>3]=8.314472;return}function vM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4616>>3]=1.0;return}function wM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4608>>3]=.1;return}function xM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4600>>3]=8.314472;return}function yM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4592>>3]=1.0;return}function zM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4584>>3]=.1;return}function AM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4576>>3]=8.314472;return}function BM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4552>>3]=1.0;return}function CM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4544>>3]=.1;return}function DM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4536>>3]=8.314472;return}function EM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4528>>3]=1.0;return}function FM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4520>>3]=.1;return}function GM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4512>>3]=8.314472;return}function HM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4488>>3]=1.0;return}function IM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4480>>3]=.1;return}function JM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4472>>3]=8.314472;return}function KM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4464>>3]=1.0;return}function LM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4456>>3]=.1;return}function MM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4448>>3]=8.314472;return}function NM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4424>>3]=1.0;return}function OM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4416>>3]=.1;return}function PM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4408>>3]=8.314472;return}function QM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4400>>3]=1.0;return}function RM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4392>>3]=.1;return}function SM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4384>>3]=8.314472;return}function TM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4360>>3]=1.0;return}function UM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4352>>3]=.1;return}function VM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4344>>3]=8.314472;return}function WM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4336>>3]=1.0;return}function XM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4328>>3]=.1;return}function YM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4320>>3]=8.314472;return}function ZM(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4312>>3]=1.0;return}function _M(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4304>>3]=1.0;return}function $M(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6424>>3]=.1;return}function aN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6416>>3]=8.314472;return}function bN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4296>>3]=1.0;return}function cN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4288>>3]=1.0;return}function dN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6408>>3]=.1;return}function eN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6400>>3]=8.314472;return}function fN(b){b=b|0;var c=0;c=b+314|0;a[c]=1;Kv(b);Lv(b);Mv(b);Nv(b);Ov(b);Pv(b);Qv(b);Rv(b);Sv(b);Tv(b);Uv(b);Vv(b);Wv(b);Xv(b);Yv(b);Zv(b);_v(b);$v(b);aw(b);bw(b);cw(b);dw(b);ew(b);fw(b);gw(b);hw(b);iw(b);jw(b);kw(b);lw(b);mw(b);nw(b);ow(b);pw(b);qw(b);rw(b);sw(b);tw(b);uw(b);vw(b);ww(b);xw(b);yw(b);zw(b);Aw(b);Bw(b);Cw(b);Dw(b);Ew(b);Fw(b);Gw(b);Hw(b);Iw(b);Jw(b);Kw(b);Lw(b);Mw(b);Nw(b);Ow(b);Pw(b);Qw(b);Rw(b);Sw(b);Tw(b);Uw(b);Vw(b);Ww(b);Xw(b);Yw(b);Zw(b);_w(b);$w(b);ax(b);bx(b);cx(b);dx(b);ex(b);fx(b);gx(b);hx(b);ix(b);jx(b);kx(b);lx(b);mx(b);nx(b);ox(b);px(b);qx(b);rx(b);sx(b);tx(b);ux(b);vx(b);wx(b);xx(b);yx(b);zx(b);Ax(b);Bx(b);Cx(b);Dx(b);Ex(b);Fx(b);Gx(b);Hx(b);Ix(b);Jx(b);Kx(b);Lx(b);Mx(b);Nx(b);Ox(b);Px(b);Qx(b);Rx(b);Sx(b);Tx(b);Ux(b);Vx(b);Wx(b);Xx(b);Yx(b);Zx(b);_x(b);$x(b);ay(b);by(b);cy(b);dy(b);ey(b);fy(b);gy(b);hy(b);iy(b);jy(b);ky(b);ly(b);my(b);ny(b);oy(b);py(b);qy(b);ry(b);sy(b);ty(b);uy(b);vy(b);wy(b);xy(b);yy(b);zy(b);Ay(b);By(b);Cy(b);Dy(b);Ey(b);Fy(b);Gy(b);Hy(b);Iy(b);Jy(b);Ky(b);Ly(b);My(b);Ny(b);Oy(b);Py(b);Qy(b);Ry(b);Sy(b);Ty(b);Uy(b);Vy(b);Wy(b);Xy(b);Yy(b);Zy(b);_y(b);$y(b);az(b);bz(b);cz(b);dz(b);ez(b);fz(b);gz(b);hz(b);iz(b);jz(b);kz(b);lz(b);mz(b);nz(b);oz(b);pz(b);qz(b);rz(b);sz(b);tz(b);uz(b);vz(b);wz(b);xz(b);yz(b);zz(b);Az(b);Bz(b);Cz(b);Dz(b);Ez(b);Fz(b);Gz(b);Hz(b);Iz(b);Jz(b);Kz(b);Lz(b);Mz(b);Nz(b);Oz(b);Pz(b);Qz(b);Rz(b);Sz(b);Tz(b);Uz(b);Vz(b);Wz(b);Xz(b);Yz(b);Zz(b);_z(b);$z(b);aA(b);bA(b);cA(b);dA(b);eA(b);fA(b);gA(b);hA(b);iA(b);jA(b);kA(b);lA(b);mA(b);nA(b);oA(b);pA(b);qA(b);rA(b);sA(b);tA(b);uA(b);vA(b);wA(b);xA(b);yA(b);zA(b);AA(b);BA(b);CA(b);DA(b);EA(b);FA(b);GA(b);HA(b);IA(b);JA(b);KA(b);LA(b);MA(b);NA(b);OA(b);PA(b);QA(b);RA(b);SA(b);TA(b);UA(b);VA(b);WA(b);XA(b);YA(b);ZA(b);_A(b);$A(b);aB(b);bB(b);cB(b);dB(b);eB(b);fB(b);gB(b);hB(b);iB(b);jB(b);kB(b);lB(b);mB(b);nB(b);oB(b);pB(b);qB(b);rB(b);sB(b);tB(b);uB(b);vB(b);wB(b);xB(b);yB(b);zB(b);AB(b);BB(b);CB(b);DB(b);EB(b);FB(b);GB(b);HB(b);IB(b);JB(b);KB(b);LB(b);MB(b);NB(b);OB(b);PB(b);QB(b);RB(b);SB(b);TB(b);UB(b);VB(b);WB(b);XB(b);YB(b);ZB(b);_B(b);$B(b);aC(b);bC(b);cC(b);dC(b);eC(b);fC(b);gC(b);hC(b);iC(b);jC(b);kC(b);lC(b);mC(b);nC(b);oC(b);pC(b);qC(b);rC(b);sC(b);tC(b);uC(b);vC(b);wC(b);xC(b);yC(b);zC(b);AC(b);BC(b);CC(b);DC(b);EC(b);FC(b);GC(b);HC(b);IC(b);JC(b);KC(b);LC(b);MC(b);NC(b);OC(b);PC(b);QC(b);RC(b);SC(b);TC(b);UC(b);VC(b);WC(b);XC(b);YC(b);ZC(b);_C(b);$C(b);aD(b);bD(b);cD(b);dD(b);eD(b);fD(b);gD(b);hD(b);iD(b);jD(b);kD(b);lD(b);mD(b);nD(b);oD(b);pD(b);qD(b);rD(b);sD(b);tD(b);uD(b);vD(b);wD(b);xD(b);yD(b);zD(b);AD(b);BD(b);CD(b);DD(b);ED(b);FD(b);GD(b);HD(b);ID(b);JD(b);KD(b);LD(b);MD(b);ND(b);OD(b);PD(b);QD(b);RD(b);SD(b);TD(b);UD(b);VD(b);WD(b);XD(b);YD(b);ZD(b);_D(b);$D(b);aE(b);bE(b);cE(b);dE(b);eE(b);fE(b);gE(b);hE(b);iE(b);jE(b);kE(b);lE(b);mE(b);nE(b);oE(b);pE(b);qE(b);rE(b);sE(b);tE(b);uE(b);vE(b);wE(b);xE(b);yE(b);zE(b);AE(b);BE(b);CE(b);DE(b);EE(b);FE(b);GE(b);HE(b);IE(b);JE(b);KE(b);LE(b);ME(b);NE(b);OE(b);PE(b);QE(b);RE(b);SE(b);TE(b);UE(b);VE(b);WE(b);XE(b);YE(b);ZE(b);_E(b);$E(b);aF(b);bF(b);cF(b);dF(b);eF(b);fF(b);gF(b);hF(b);iF(b);jF(b);kF(b);lF(b);mF(b);nF(b);oF(b);pF(b);qF(b);rF(b);sF(b);tF(b);uF(b);vF(b);wF(b);xF(b);yF(b);zF(b);AF(b);BF(b);CF(b);DF(b);EF(b);FF(b);GF(b);HF(b);IF(b);JF(b);KF(b);LF(b);MF(b);NF(b);OF(b);PF(b);QF(b);RF(b);SF(b);TF(b);UF(b);VF(b);WF(b);XF(b);YF(b);ZF(b);_F(b);$F(b);aG(b);bG(b);cG(b);dG(b);eG(b);fG(b);gG(b);hG(b);iG(b);jG(b);kG(b);lG(b);mG(b);nG(b);oG(b);pG(b);qG(b);rG(b);sG(b);tG(b);uG(b);vG(b);wG(b);xG(b);yG(b);zG(b);AG(b);BG(b);CG(b);DG(b);EG(b);FG(b);GG(b);HG(b);IG(b);JG(b);KG(b);LG(b);MG(b);NG(b);OG(b);PG(b);QG(b);RG(b);SG(b);TG(b);UG(b);VG(b);WG(b);XG(b);YG(b);ZG(b);_G(b);$G(b);aH(b);bH(b);cH(b);dH(b);eH(b);fH(b);gH(b);hH(b);iH(b);jH(b);kH(b);lH(b);mH(b);nH(b);oH(b);pH(b);qH(b);rH(b);sH(b);tH(b);uH(b);vH(b);wH(b);xH(b);yH(b);zH(b);AH(b);BH(b);CH(b);DH(b);EH(b);FH(b);GH(b);HH(b);IH(b);JH(b);KH(b);LH(b);MH(b);NH(b);OH(b);PH(b);QH(b);RH(b);SH(b);TH(b);UH(b);VH(b);WH(b);XH(b);YH(b);ZH(b);_H(b);$H(b);aI(b);bI(b);cI(b);dI(b);eI(b);fI(b);gI(b);hI(b);iI(b);jI(b);kI(b);lI(b);mI(b);nI(b);oI(b);pI(b);qI(b);rI(b);sI(b);tI(b);uI(b);vI(b);wI(b);xI(b);yI(b);zI(b);AI(b);BI(b);CI(b);DI(b);EI(b);FI(b);GI(b);HI(b);II(b);JI(b);KI(b);LI(b);MI(b);NI(b);OI(b);PI(b);QI(b);RI(b);SI(b);TI(b);UI(b);VI(b);WI(b);XI(b);YI(b);ZI(b);_I(b);$I(b);aJ(b);bJ(b);cJ(b);dJ(b);eJ(b);fJ(b);gJ(b);hJ(b);iJ(b);jJ(b);kJ(b);lJ(b);mJ(b);nJ(b);oJ(b);pJ(b);qJ(b);rJ(b);sJ(b);tJ(b);uJ(b);vJ(b);wJ(b);xJ(b);yJ(b);zJ(b);AJ(b);BJ(b);CJ(b);DJ(b);EJ(b);FJ(b);GJ(b);HJ(b);IJ(b);JJ(b);KJ(b);LJ(b);MJ(b);NJ(b);OJ(b);PJ(b);QJ(b);RJ(b);SJ(b);TJ(b);UJ(b);VJ(b);WJ(b);XJ(b);YJ(b);ZJ(b);_J(b);$J(b);aK(b);bK(b);cK(b);dK(b);eK(b);fK(b);gK(b);hK(b);iK(b);jK(b);kK(b);lK(b);mK(b);nK(b);oK(b);pK(b);qK(b);rK(b);sK(b);tK(b);uK(b);vK(b);wK(b);xK(b);yK(b);zK(b);AK(b);BK(b);CK(b);DK(b);EK(b);FK(b);GK(b);HK(b);IK(b);JK(b);KK(b);LK(b);MK(b);NK(b);OK(b);PK(b);QK(b);RK(b);SK(b);TK(b);UK(b);VK(b);WK(b);XK(b);YK(b);ZK(b);_K(b);$K(b);aL(b);bL(b);cL(b);dL(b);eL(b);fL(b);gL(b);hL(b);iL(b);jL(b);kL(b);lL(b);mL(b);nL(b);oL(b);pL(b);qL(b);rL(b);sL(b);tL(b);uL(b);vL(b);wL(b);xL(b);yL(b);zL(b);AL(b);BL(b);CL(b);DL(b);EL(b);FL(b);GL(b);HL(b);IL(b);JL(b);KL(b);LL(b);ML(b);NL(b);OL(b);PL(b);QL(b);RL(b);SL(b);TL(b);UL(b);VL(b);WL(b);XL(b);YL(b);ZL(b);_L(b);$L(b);aM(b);bM(b);cM(b);dM(b);eM(b);fM(b);gM(b);hM(b);iM(b);jM(b);kM(b);lM(b);mM(b);nM(b);oM(b);pM(b);qM(b);rM(b);sM(b);tM(b);uM(b);vM(b);wM(b);xM(b);yM(b);zM(b);AM(b);BM(b);CM(b);DM(b);EM(b);FM(b);GM(b);HM(b);IM(b);JM(b);KM(b);LM(b);MM(b);NM(b);OM(b);PM(b);QM(b);RM(b);SM(b);TM(b);UM(b);VM(b);WM(b);XM(b);YM(b);ZM(b);_M(b);$M(b);aN(b);bN(b);cN(b);dN(b);eN(b);a[c]=0;return 0}function gN(a){a=a|0;return}function hN(a){a=a|0;return 0}function iN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+376>>3]=+h[(c[a+416>>2]|0)+1456>>3]+ -273.15;return}function jN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+408>>3]=+h[(c[a+416>>2]|0)+4384>>3];return}function kN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+432>>3]=+h[(c[a+416>>2]|0)+1448>>3]+ -273.15;return}function lN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+464>>3]=+h[(c[a+416>>2]|0)+4384>>3];return}function mN(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+472>>3]=+h[b+4448>>3]- +h[b+4456>>3];return}function nN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+544>>3]=+h[(c[a+416>>2]|0)+3240>>3];return}function oN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+640>>3]=+h[(c[a+416>>2]|0)+1272>>3]+ -273.15;return}function pN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+672>>3]=+h[(c[a+416>>2]|0)+4160>>3];return}function qN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+688>>3]=+h[(c[a+416>>2]|0)+1264>>3]+ -273.15;return}function rN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+720>>3]=+h[(c[a+416>>2]|0)+4160>>3];return}function sN(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+728>>3]=+h[b+4224>>3]- +h[b+4232>>3];return}function tN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+896>>3]=+h[(c[a+416>>2]|0)+1136>>3]+ -273.15;return}function uN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+928>>3]=+h[(c[a+416>>2]|0)+3936>>3];return}function vN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+944>>3]=+h[(c[a+416>>2]|0)+1128>>3]+ -273.15;return}function wN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+976>>3]=+h[(c[a+416>>2]|0)+3936>>3];return}function xN(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+984>>3]=+h[b+4e3>>3]- +h[b+4008>>3];return}function yN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1152>>3]=+h[(c[a+416>>2]|0)+1e3>>3]+ -273.15;return}function zN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1184>>3]=+h[(c[a+416>>2]|0)+3712>>3];return}function AN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1200>>3]=+h[(c[a+416>>2]|0)+992>>3]+ -273.15;return}function BN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1232>>3]=+h[(c[a+416>>2]|0)+3712>>3];return}function CN(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1240>>3]=+h[b+3776>>3]- +h[b+3784>>3];return}function DN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1408>>3]=+h[(c[a+416>>2]|0)+864>>3]+ -273.15;return}function EN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1440>>3]=+h[(c[a+416>>2]|0)+3488>>3];return}function FN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1456>>3]=+h[(c[a+416>>2]|0)+856>>3]+ -273.15;return}function GN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1488>>3]=+h[(c[a+416>>2]|0)+3488>>3];return}function HN(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1504>>3]=+h[b+3552>>3]- +h[b+3560>>3];return}function IN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6072>>3]=+h[(c[a+416>>2]|0)+3232>>3];return}function JN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1688>>3]=+h[(c[a+416>>2]|0)+720>>3]+ -273.15;return}function KN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1720>>3]=+h[(c[a+416>>2]|0)+2976>>3];return}function LN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1736>>3]=+h[(c[a+416>>2]|0)+712>>3]+ -273.15;return}function MN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1768>>3]=+h[(c[a+416>>2]|0)+2976>>3];return}function NN(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1784>>3]=+h[b+3040>>3]- +h[b+3048>>3];return}function ON(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6160>>3]=+h[(c[a+416>>2]|0)+2896>>3];return}function PN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+6240>>3]=+h[(c[a+416>>2]|0)+2784>>3];return}function QN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1944>>3]=+h[(c[a+416>>2]|0)+584>>3]+ -273.15;return}function RN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1976>>3]=+h[(c[a+416>>2]|0)+2528>>3];return}function SN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2e3>>3]=+h[(c[a+416>>2]|0)+576>>3]+ -273.15;return}function TN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2032>>3]=+h[(c[a+416>>2]|0)+2528>>3];return}function UN(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2048>>3]=+h[b+2592>>3]- +h[b+2600>>3];return}function VN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2216>>3]=+h[(c[a+416>>2]|0)+448>>3]+ -273.15;return}function WN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2248>>3]=+h[(c[a+416>>2]|0)+2304>>3];return}function XN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2264>>3]=+h[(c[a+416>>2]|0)+440>>3]+ -273.15;return}function YN(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2296>>3]=+h[(c[a+416>>2]|0)+2304>>3];return}function ZN(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2312>>3]=+h[b+2368>>3]- +h[b+2376>>3];return}function _N(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2472>>3]=+h[(c[a+416>>2]|0)+312>>3]+ -273.15;return}function $N(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2504>>3]=+h[(c[a+416>>2]|0)+2080>>3];return}function aO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2528>>3]=+h[(c[a+416>>2]|0)+304>>3]+ -273.15;return}function bO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2560>>3]=+h[(c[a+416>>2]|0)+2080>>3];return}function cO(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2568>>3]=+h[b+2144>>3]- +h[b+2152>>3];return}function dO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2640>>3]=+h[(c[a+416>>2]|0)+2904>>3];return}function eO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2736>>3]=+h[(c[a+416>>2]|0)+176>>3]+ -273.15;return}function fO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2768>>3]=+h[(c[a+416>>2]|0)+1856>>3];return}function gO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2792>>3]=+h[(c[a+416>>2]|0)+168>>3]+ -273.15;return}function hO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2824>>3]=+h[(c[a+416>>2]|0)+1856>>3];return}function iO(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2840>>3]=+h[b+1920>>3]- +h[b+1928>>3];return}function jO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2912>>3]=+h[(c[a+416>>2]|0)+2792>>3];return}function kO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3008>>3]=+h[(c[a+416>>2]|0)+40>>3]+ -273.15;return}function lO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3040>>3]=+h[(c[a+416>>2]|0)+1632>>3];return}function mO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3048>>3]=+h[(c[a+416>>2]|0)+32>>3]+ -273.15;return}function nO(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3080>>3]=+h[(c[a+416>>2]|0)+1632>>3];return}function oO(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3088>>3]=+h[b+1696>>3]- +h[b+1704>>3];return}



function zaa(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a;do{if((c[d+4>>2]|0)!=0){if((c[d+16>>2]|0)==0){c[d>>2]=c[d+4>>2];c[d+4>>2]=c[c[d+4>>2]>>2];c[c[d>>2]>>2]=0;c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+(c[(c[d>>2]|0)+4>>2]|0);c[d+12>>2]=c[d+16>>2];e=1;f=e;i=b;return f|0}if(((c[d+8>>2]|0)-(c[d+16>>2]|0)|0)>=(c[(c[d+4>>2]|0)+4>>2]|0)){break}a=c[c[d+4>>2]>>2]|0;c[c[d+4>>2]>>2]=c[d>>2];c[d>>2]=c[d+4>>2];c[d+4>>2]=a;kKa((c[d>>2]|0)+8|0,c[d+16>>2]|0,(c[d+8>>2]|0)-(c[d+16>>2]|0)|0)|0;c[d+12>>2]=(c[d>>2]|0)+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+(c[(c[d>>2]|0)+4>>2]|0);e=1;f=e;i=b;return f|0}}while(0);do{if((c[d>>2]|0)!=0){if((c[d+16>>2]|0)!=((c[d>>2]|0)+8|0)){g=12;break}a=(c[d+8>>2]|0)-(c[d+16>>2]|0)<<1;h=he[c[(c[d+20>>2]|0)+4>>2]&127](c[d>>2]|0,a+8|0)|0;if((h|0)!=0){c[d>>2]=h;c[(c[d>>2]|0)+4>>2]=a;c[d+12>>2]=(c[d>>2]|0)+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+a;break}e=0;f=e;i=b;return f|0}else{g=12}}while(0);if((g|0)==12){g=(c[d+8>>2]|0)-(c[d+16>>2]|0)|0;if((g|0)<1024){g=1024}else{g=g<<1}a=Yd[c[c[d+20>>2]>>2]&255](g+8|0)|0;if((a|0)==0){e=0;f=e;i=b;return f|0}c[a+4>>2]=g;c[a>>2]=c[d>>2];c[d>>2]=a;if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){kKa(a+8|0,c[d+16>>2]|0,(c[d+12>>2]|0)-(c[d+16>>2]|0)|0)|0}c[d+12>>2]=a+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=a+8;c[d+8>>2]=a+8+g}e=1;f=e;i=b;return f|0}function Aaa(a,b){a=a|0;b=b|0;var d=0;d=a;a=b;c[d>>2]=c[a>>2];c[d+4>>2]=(c[d>>2]|0)+(c[a+8>>2]<<2);i=i;return}function Baa(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=a;while(1){if((c[d>>2]|0)==(c[d+4>>2]|0)){e=6;break}a=d|0;f=c[a>>2]|0;c[a>>2]=f+4;g=c[f>>2]|0;if((g|0)!=0){e=4;break}}if((e|0)==4){h=g;j=h;i=b;return j|0}else if((e|0)==6){h=0;j=h;i=b;return j|0}return 0}function Caa(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;h=i;j=b;b=e;e=f;f=g;do{if((c[b+8>>2]|0)==0){if((f|0)==0){k=0;l=k;i=h;return l|0}a[b+4|0]=6;c[b+8>>2]=64;g=c[b+8>>2]<<2;c[b>>2]=Yd[c[c[b+16>>2]>>2]&255](g)|0;if((c[b>>2]|0)!=0){lKa(c[b>>2]|0,0,g|0)|0;g=Daa(j,e)|0;m=g&(c[b+8>>2]|0)-1;break}c[b+8>>2]=0;k=0;l=k;i=h;return l|0}else{g=Daa(j,e)|0;n=(c[b+8>>2]|0)-1|0;o=0;m=g&n;while(1){if((c[(c[b>>2]|0)+(m<<2)>>2]|0)==0){break}if((Eaa(e,c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]|0)|0)<<24>>24!=0){p=10;break}if(!(o<<24>>24!=0)){o=((g&~n)>>>(((d[b+4|0]|0)-1|0)>>>0)&n>>>2|1)&255}if(m>>>0<(o&255)>>>0){q=m+((c[b+8>>2]|0)-(o&255))|0;m=q;r=q}else{q=m-(o&255)|0;m=q;r=q}}if((p|0)==10){k=c[(c[b>>2]|0)+(m<<2)>>2]|0;l=k;i=h;return l|0}if((f|0)==0){k=0;l=k;i=h;return l|0}if(((c[b+12>>2]|0)>>>(((d[b+4|0]|0)-1|0)>>>0)|0)!=0){n=(d[b+4|0]|0)+1&255;q=1<<(n&255);s=q-1|0;t=q<<2;u=Yd[c[c[b+16>>2]>>2]&255](t)|0;if((u|0)==0){k=0;l=k;i=h;return l|0}lKa(u|0,0,t|0)|0;m=0;while(1){if(!(m>>>0<(c[b+8>>2]|0)>>>0)){break}if((c[(c[b>>2]|0)+(m<<2)>>2]|0)!=0){t=Daa(j,c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]|0)|0;v=t&s;o=0;while(1){if((c[u+(v<<2)>>2]|0)==0){break}if(!(o<<24>>24!=0)){o=((t&~s)>>>(((n&255)-1|0)>>>0)&s>>>2|1)&255}if(v>>>0<(o&255)>>>0){w=v+(q-(o&255))|0;v=w;x=w}else{w=v-(o&255)|0;v=w;x=w}}c[u+(v<<2)>>2]=c[(c[b>>2]|0)+(m<<2)>>2]}m=m+1|0}Vd[c[(c[b+16>>2]|0)+8>>2]&511](c[b>>2]|0);c[b>>2]=u;a[b+4|0]=n;c[b+8>>2]=q;m=g&s;o=0;while(1){if((c[(c[b>>2]|0)+(m<<2)>>2]|0)==0){break}if(!(o<<24>>24!=0)){o=((g&~s)>>>(((n&255)-1|0)>>>0)&s>>>2|1)&255}if(m>>>0<(o&255)>>>0){t=m+(q-(o&255))|0;m=t;y=t}else{t=m-(o&255)|0;m=t;y=t}}}}}while(0);y=Yd[c[c[b+16>>2]>>2]&255](f)|0;c[(c[b>>2]|0)+(m<<2)>>2]=y;if((c[(c[b>>2]|0)+(m<<2)>>2]|0)!=0){lKa(c[(c[b>>2]|0)+(m<<2)>>2]|0,0,f|0)|0;c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]=e;e=b+12|0;c[e>>2]=(c[e>>2]|0)+1;k=c[(c[b>>2]|0)+(m<<2)>>2]|0;l=k;i=h;return l|0}else{k=0;l=k;i=h;return l|0}return 0}function Daa(b,e){b=b|0;e=e|0;var f=0,g=0;f=i;g=e;e=c[b+496>>2]|0;while(1){if((a[g]|0)==0){break}b=g;g=b+1|0;e=(e*1000003|0)^d[b]}i=f;return e|0}function Eaa(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=i;e=b;b=c;while(1){if((a[e]|0)!=(a[b]|0)){f=7;break}if((a[e]|0)==0){f=4;break}e=e+1|0;b=b+1|0}if((f|0)==4){g=1;h=g;i=d;return h|0}else if((f|0)==7){g=0;h=g;i=d;return h|0}return 0}function Faa(a){a=a|0;var b=0,d=0;b=i;d=a;a=0;while(1){if(!(a>>>0<(c[d+8>>2]|0)>>>0)){break}Vd[c[(c[d+16>>2]|0)+8>>2]&511](c[(c[d>>2]|0)+(a<<2)>>2]|0);a=a+1|0}Vd[c[(c[d+16>>2]|0)+8>>2]&511](c[d>>2]|0);i=b;return}function Gaa(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=i;j=b;b=d;d=e;e=f;f=g;g=0;k=1;l=1;do{if((a[e]|0)==0){if((c[b>>2]|0)==0){break}m=28;n=m;i=h;return n|0}}while(0);do{if((c[b>>2]|0)!=0){if((a[c[b>>2]|0]|0)!=120){break}if((a[(c[b>>2]|0)+1|0]|0)!=109){break}if((a[(c[b>>2]|0)+2|0]|0)!=108){break}do{if((a[(c[b>>2]|0)+3|0]|0)==110){if((a[(c[b>>2]|0)+4|0]|0)!=115){break}if((a[(c[b>>2]|0)+5|0]|0)!=0){break}m=39;n=m;i=h;return n|0}}while(0);if((a[(c[b>>2]|0)+3|0]|0)==0){g=1}}}while(0);o=0;while(1){if((a[e+o|0]|0)==0){break}do{if((k&255|0)!=0){if((o|0)<=36){if((a[e+o|0]|0)==(a[21576+o|0]|0)){break}}k=0}}while(0);do{if(!(g<<24>>24!=0)){if((l&255|0)==0){break}if((o|0)<=29){if((a[e+o|0]|0)==(a[21544+o|0]|0)){break}}l=0}}while(0);o=o+1|0}if((k&255|0)!=0){p=(o|0)==36}else{p=0}k=p&1;if((l&255|0)!=0){q=(o|0)==29}else{q=0}l=q&1;if((g&255|0)!=(k&255|0)){m=(g&255|0)!=0?38:40;n=m;i=h;return n|0}if(l<<24>>24!=0){m=40;n=m;i=h;return n|0}if((a[j+472|0]|0)!=0){o=o+1|0}do{if((c[j+376>>2]|0)!=0){r=c[j+376>>2]|0;do{if((o|0)>(c[r+24>>2]|0)){l=he[c[j+16>>2]&127](c[r+16>>2]|0,o+24|0)|0;if((l|0)!=0){c[r+16>>2]=l;c[r+24>>2]=o+24;break}m=1;n=m;i=h;return n|0}}while(0);c[j+376>>2]=c[r+4>>2]}else{r=Yd[c[j+12>>2]&255](28)|0;if((r|0)==0){m=1;n=m;i=h;return n|0}c[r+16>>2]=Yd[c[j+12>>2]&255](o+24|0)|0;if((c[r+16>>2]|0)!=0){c[r+24>>2]=o+24;break}Vd[c[j+20>>2]&511](r);m=1;n=m;i=h;return n|0}}while(0);c[r+20>>2]=o;kKa(c[r+16>>2]|0,e|0,o)|0;if((a[j+472|0]|0)!=0){a[(c[r+16>>2]|0)+(o-1)|0]=a[j+472|0]|0}c[r>>2]=b;c[r+12>>2]=d;c[r+8>>2]=c[b+4>>2];do{if((a[e]|0)==0){if((b|0)!=((c[j+356>>2]|0)+152|0)){s=54;break}c[b+4>>2]=0}else{s=54}}while(0);if((s|0)==54){c[b+4>>2]=r}c[r+4>>2]=c[f>>2];c[f>>2]=r;do{if((d|0)!=0){if((c[j+100>>2]|0)==0){break}if((c[b+4>>2]|0)!=0){t=e}else{t=0}le[c[j+100>>2]&15](c[j+4>>2]|0,c[b>>2]|0,t)}}while(0);m=0;n=m;i=h;return n|0}function Haa(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;if((_d[((a[e+236|0]&255|0)!=0?22:6)&127](e+148|0,e+144|0,c[e+232>>2]|0)|0)!=0){f=0;g=f;i=d;return g|0}else{f=nba(e,c[e+232>>2]|0)|0;g=f;i=d;return g|0}return 0}function Iaa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;c[h>>2]=b;e=ke[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;k=Jaa(j,c[j+144>>2]|0,b,d,e,c[h>>2]|0,f,((a[j+484|0]|0)!=0^1)&1)|0;i=g;return k|0}function Jaa(b,e,f,g,h,j,k,l){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;m=i;i=i+8|0;n=m|0;o=b;b=e;e=f;f=g;g=h;c[n>>2]=j;j=k;k=l;l=c[o+356>>2]|0;if((b|0)==(c[o+144>>2]|0)){p=o+288|0;q=o+292|0}else{p=c[o+300>>2]|0;q=(c[o+300>>2]|0)+4|0}a:while(1){h=1;c[p>>2]=e;c[q>>2]=c[n>>2];if((g|0)<=0){if((k&255|0)!=0){if((g|0)!=0){r=8;break}}switch(g|0){case-1:{r=11;break a;break};case-2:{r=12;break a;break};case-15:{g=-g|0;break};case 0:{r=10;break a;break};case-4:{r=14;break a;break};default:{g=-g|0;c[n>>2]=f}}}s=Zd[c[o+256>>2]&127](o+256|0,g,e,c[n>>2]|0,b)|0;b:do{switch(s|0){case 14:{r=49;break};case 6:{a[o+489|0]=0;c[o+316>>2]=Caa(o,l+132|0,17080,36)|0;if((c[o+316>>2]|0)==0){r=41;break a}a[l+129|0]=1;if((c[o+84>>2]|0)==0){r=49;break b}if((ke[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=44;break a}t=Laa(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((t|0)==0){r=46;break a}Maa(t);c[o+432>>2]=c[o+428>>2];c[o+328>>2]=t;h=0;r=52;break};case 13:{r=201;break};case 15:{do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}if((c[o+136>>2]|0)==0){break}c[q>>2]=e;ge[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,d[(c[o+316>>2]|0)+33|0]|0,0,0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,0);h=0}}while(0);break};case 16:{do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}t=Laa(l+80|0,b,e,c[n>>2]|0)|0;c[(c[o+316>>2]|0)+28>>2]=t;if((c[(c[o+316>>2]|0)+28>>2]|0)==0){r=217;break a}c[l+96>>2]=c[l+92>>2];if((c[o+92>>2]|0)!=0){c[q>>2]=e;be[c[o+92>>2]&63](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,c[(c[o+316>>2]|0)+28>>2]|0);h=0}else{if((c[o+136>>2]|0)!=0){c[q>>2]=e;ge[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,0,0,0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,c[(c[o+316>>2]|0)+28>>2]|0);h=0}}}}while(0);break};case 9:{if((_d[c[b+48>>2]&127](b,e,c[n>>2]|0)|0)!=0){c[o+316>>2]=0;break b}if((a[l+128|0]|0)!=0){t=Laa(l+80|0,b,e,c[n>>2]|0)|0;if((t|0)==0){r=229;break a}c[o+316>>2]=Caa(o,l|0,t,36)|0;if((c[o+316>>2]|0)==0){r=231;break a}if((c[c[o+316>>2]>>2]|0)!=(t|0)){c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}else{c[l+96>>2]=c[l+92>>2];c[(c[o+316>>2]|0)+24>>2]=0;a[(c[o+316>>2]|0)+33|0]=0;if((c[o+476>>2]|0)!=0){u=1}else{u=(c[o+300>>2]|0)!=0}a[(c[o+316>>2]|0)+34|0]=(u^1)&1;if((c[o+136>>2]|0)!=0){h=0}}}else{c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}break};case 34:{c[o+344>>2]=Oaa(o,b,e,c[n>>2]|0)|0;if((c[o+344>>2]|0)==0){r=104;break a}r=117;break};case 22:{c[o+348>>2]=Paa(o,b,e,c[n>>2]|0)|0;if((c[o+348>>2]|0)==0){r=107;break a}a[o+352|0]=0;c[o+332>>2]=0;a[o+353|0]=0;r=117;break};case 23:{a[o+352|0]=1;c[o+332>>2]=17176;r=117;break};case 24:{a[o+353|0]=1;c[o+332>>2]=17144;r=117;break};case 25:{c[o+332>>2]=17136;r=117;break};case 26:{c[o+332>>2]=17128;r=117;break};case 27:{c[o+332>>2]=17152;r=117;break};case 28:{c[o+332>>2]=17160;r=117;break};case 29:{c[o+332>>2]=17120;r=117;break};case 30:{c[o+332>>2]=17104;r=117;break};case 12:{if((a[l+128|0]|0)!=0){v=Uaa(o,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((c[o+316>>2]|0)!=0){c[(c[o+316>>2]|0)+4>>2]=c[l+120>>2];c[(c[o+316>>2]|0)+8>>2]=(c[l+116>>2]|0)-(c[l+120>>2]|0);c[l+120>>2]=c[l+116>>2];if((c[o+136>>2]|0)!=0){c[q>>2]=e;ge[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,d[(c[o+316>>2]|0)+33|0]|0,c[(c[o+316>>2]|0)+4>>2]|0,c[(c[o+316>>2]|0)+8>>2]|0,c[o+360>>2]|0,0,0,0);h=0}}else{c[l+116>>2]=c[l+120>>2]}if((v|0)!=0){r=183;break a}}break};case 5:{a[o+489|0]=0;a[l+129|0]=1;if((c[o+84>>2]|0)!=0){c[o+324>>2]=Laa(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((c[o+324>>2]|0)==0){r=188;break a}c[o+432>>2]=c[o+428>>2];h=0}else{c[o+324>>2]=17080}do{if((a[l+130|0]|0)==0){if((c[o+492>>2]|0)!=0){break}if((c[o+108>>2]|0)==0){break}if((Yd[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=195;break a}}}while(0);if((c[o+316>>2]|0)==0){c[o+316>>2]=Caa(o,l+132|0,17080,36)|0;if((c[o+316>>2]|0)==0){r=198;break a}c[(c[o+316>>2]|0)+24>>2]=0}r=201;break};case 8:{if((c[o+320>>2]|0)!=0){Ud[c[o+84>>2]&31](c[o+4>>2]|0,c[o+320>>2]|0,c[o+324>>2]|0,c[o+328>>2]|0,0);gaa(o+416|0);h=0}if((c[o+324>>2]|0)!=0){r=64}else{if((d[o+489|0]|0)!=0){r=64}}if((r|0)==64){r=0;t=a[l+129|0]|0;a[l+129|0]=1;do{if((c[o+492>>2]|0)!=0){if((c[o+112>>2]|0)==0){break}w=Caa(o,l+132|0,17080,36)|0;if((w|0)==0){r=67;break a}if((a[o+489|0]|0)!=0){c[w+20>>2]=c[o+360>>2]}a[l+131|0]=0;if((Zd[c[o+112>>2]&127](c[o+116>>2]|0,0,c[w+20>>2]|0,c[w+16>>2]|0,c[w+24>>2]|0)|0)==0){r=71;break a}if((a[l+131|0]|0)!=0){do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((Yd[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=76;break a}}}while(0)}else{if((c[o+324>>2]|0)==0){a[l+129|0]=t}}}}while(0);a[o+489|0]=0}if((c[o+88>>2]|0)!=0){Vd[c[o+88>>2]&511](c[o+4>>2]|0);h=0}break};case 37:case 38:{if((a[l+128|0]|0)!=0){x=Taa(o,b,a[o+352|0]|0,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0,l+80|0)|0;if((x|0)!=0){r=155;break a}t=c[l+96>>2]|0;c[l+96>>2]=c[l+92>>2];if((Saa(c[o+344>>2]|0,c[o+348>>2]|0,a[o+352|0]|0,0,t,o)|0)==0){r=157;break a}do{if((c[o+132>>2]|0)!=0){if((c[o+332>>2]|0)==0){break}do{if((a[c[o+332>>2]|0]|0)==40){r=163}else{if((a[c[o+332>>2]|0]|0)!=78){break}if((a[(c[o+332>>2]|0)+1|0]|0)==79){r=163}}}while(0);if((r|0)==163){r=0;do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((zaa(o+416|0)|0)<<24>>24!=0){r=166;break}if(!0){r=171;break a}}else{r=166}}while(0);if((r|0)==166){r=0;w=o+428|0;y=c[w>>2]|0;c[w>>2]=y+1;a[y]=41;if(!1){r=171;break a}}do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((zaa(o+416|0)|0)<<24>>24!=0){r=170;break}if(!0){r=171;break a}}else{r=170}}while(0);if((r|0)==170){r=0;y=o+428|0;w=c[y>>2]|0;c[y>>2]=w+1;a[w]=0;if(!1){r=171;break a}}c[o+332>>2]=c[o+432>>2];c[o+432>>2]=c[o+428>>2]}c[q>>2]=e;be[c[o+132>>2]&63](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,c[c[o+348>>2]>>2]|0,c[o+332>>2]|0,t,(s|0)==38|0);gaa(o+416|0);h=0}}while(0)}break};case 31:case 32:{do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}if((c[o+332>>2]|0)!=0){z=17096}else{z=(s|0)==32?17064:17088}if((Qaa(o+416|0,z)|0)==0){r=127;break a}if((Raa(o+416|0,b,e,c[n>>2]|0)|0)==0){r=129;break a}c[o+332>>2]=c[o+432>>2];h=0}}while(0);break};case 35:case 36:{if((a[l+128|0]|0)!=0){if((Saa(c[o+344>>2]|0,c[o+348>>2]|0,a[o+352|0]|0,a[o+353|0]|0,0,o)|0)==0){r=134;break a}do{if((c[o+132>>2]|0)!=0){if((c[o+332>>2]|0)==0){break}do{if((a[c[o+332>>2]|0]|0)==40){r=140}else{if((a[c[o+332>>2]|0]|0)!=78){break}if((a[(c[o+332>>2]|0)+1|0]|0)==79){r=140}}}while(0);if((r|0)==140){r=0;do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((zaa(o+416|0)|0)<<24>>24!=0){r=143;break}if(!0){r=148;break a}}else{r=143}}while(0);if((r|0)==143){r=0;t=o+428|0;w=c[t>>2]|0;c[t>>2]=w+1;a[w]=41;if(!1){r=148;break a}}do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((zaa(o+416|0)|0)<<24>>24!=0){r=147;break}if(!0){r=148;break a}}else{r=147}}while(0);if((r|0)==147){r=0;w=o+428|0;t=c[w>>2]|0;c[w>>2]=t+1;a[t]=0;if(!1){r=148;break a}}c[o+332>>2]=c[o+432>>2];c[o+432>>2]=c[o+428>>2]}c[q>>2]=e;be[c[o+132>>2]&63](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,c[c[o+348>>2]>>2]|0,c[o+332>>2]|0,0,(s|0)==36|0);gaa(o+416|0);h=0}}while(0)}break};case 2:{r=86;break a;break};case 1:{A=Kaa(o,0,e,c[n>>2]|0)|0;if((A|0)!=0){r=27;break a}b=c[o+144>>2]|0;h=0;break};case 4:{if((c[o+84>>2]|0)!=0){c[o+320>>2]=Laa(o+416|0,b,e,c[n>>2]|0)|0;if((c[o+320>>2]|0)==0){r=31;break a}c[o+432>>2]=c[o+428>>2];c[o+328>>2]=0;h=0}c[o+324>>2]=0;break};case 7:{if((c[o+84>>2]|0)!=0){Ud[c[o+84>>2]&31](c[o+4>>2]|0,c[o+320>>2]|0,c[o+324>>2]|0,c[o+328>>2]|0,1);c[o+320>>2]=0;gaa(o+416|0);h=0}break};case 57:{B=Kaa(o,1,e,c[n>>2]|0)|0;if((B|0)!=0){r=38;break a}b=c[o+144>>2]|0;h=0;break};case 10:{if((a[l+128|0]|0)!=0){t=Laa(l+80|0,b,e,c[n>>2]|0)|0;if((t|0)==0){r=244;break a}c[o+316>>2]=Caa(o,l+132|0,t,36)|0;if((c[o+316>>2]|0)==0){r=246;break a}if((c[c[o+316>>2]>>2]|0)!=(t|0)){c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}else{c[l+96>>2]=c[l+92>>2];c[(c[o+316>>2]|0)+24>>2]=0;a[(c[o+316>>2]|0)+33|0]=1;if((c[o+476>>2]|0)!=0){C=1}else{C=(c[o+300>>2]|0)!=0}a[(c[o+316>>2]|0)+34|0]=(C^1)&1;if((c[o+136>>2]|0)!=0){h=0}}}else{c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}break};case 18:{c[o+340>>2]=0;c[o+336>>2]=0;if((c[o+96>>2]|0)!=0){c[o+336>>2]=Laa(o+416|0,b,e,c[n>>2]|0)|0;if((c[o+336>>2]|0)==0){r=259;break a}c[o+432>>2]=c[o+428>>2];h=0}break};case 21:{if((ke[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=263;break a}if((c[o+336>>2]|0)!=0){t=Laa(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((t|0)==0){r=266;break a}Maa(t);c[o+340>>2]=t;c[o+432>>2]=c[o+428>>2];h=0}break};case 19:{do{if((c[o+336>>2]|0)!=0){if((c[o+96>>2]|0)==0){break}t=Laa(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((t|0)==0){r=272;break a}c[q>>2]=e;Ud[c[o+96>>2]&31](c[o+4>>2]|0,c[o+336>>2]|0,c[o+360>>2]|0,t,c[o+340>>2]|0);h=0}}while(0);gaa(o+416|0);break};case 20:{do{if((c[o+340>>2]|0)!=0){if((c[o+96>>2]|0)==0){break}c[q>>2]=e;Ud[c[o+96>>2]&31](c[o+4>>2]|0,c[o+336>>2]|0,c[o+360>>2]|0,0,c[o+340>>2]|0);h=0}}while(0);gaa(o+416|0);break};case-1:{r=279;break a;break};case 58:{if((c[o+80>>2]|0)!=0){xaa(o,b,e,c[n>>2]|0)}h=0;D=Vaa(o,b,n,f,j,k)|0;if((D|0)!=0){r=286;break a}if((c[n>>2]|0)==0){r=288;break a}break};case 44:{if((c[o+260>>2]|0)>>>0>=(c[o+468>>2]|0)>>>0){if((c[o+468>>2]|0)!=0){t=c[o+16>>2]|0;w=c[o+464>>2]|0;y=o+468|0;E=c[y>>2]<<1;c[y>>2]=E;y=he[t&127](w,E)|0;if((y|0)==0){r=294;break a}c[o+464>>2]=y;if((c[l+184>>2]|0)!=0){y=he[c[o+16>>2]&127](c[l+184>>2]|0,c[o+468>>2]<<2)|0;if((y|0)==0){r=297;break a}c[l+184>>2]=y}}else{y=c[o+12>>2]|0;c[o+468>>2]=32;c[o+464>>2]=Yd[y&255](32)|0;if((c[o+464>>2]|0)==0){r=301;break a}}}a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=0;if((a[l+160|0]|0)!=0){y=Xaa(o)|0;if((y|0)<0){r=306;break a}c[(c[l+184>>2]|0)+(c[l+180>>2]<<2)>>2]=y;E=l+180|0;c[E>>2]=(c[E>>2]|0)+1;c[(c[l+164>>2]|0)+(y*28|0)>>2]=6;if((c[o+128>>2]|0)!=0){h=0}}break};case 50:{if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)==124){r=312;break a}a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=44;do{if((d[l+160|0]|0)!=0){if((c[o+128>>2]|0)==0){break}h=0}}while(0);break};case 49:{if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)==44){r=318;break a}do{if((d[l+160|0]|0)!=0){if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)!=0){break}if((c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]|0)==3){break}c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]=5;if((c[o+128>>2]|0)!=0){h=0}}}while(0);a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=124;break};case 60:case 59:{a[l+129|0]=1;if((c[o+492>>2]|0)!=0){y=Laa(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((y|0)==0){r=329;break a}F=Caa(o,l+132|0,y,0)|0;c[l+92>>2]=c[l+96>>2];do{if((c[o+272>>2]|0)!=0){if((d[l+130|0]|0)!=0){if((c[o+300>>2]|0)!=0){r=340;break}}else{if((a[l+129|0]|0)!=0){r=340;break}}if((F|0)==0){r=335;break a}if((a[F+34|0]|0)==0){r=337;break a}}else{r=340}}while(0);do{if((r|0)==340){r=0;if((F|0)!=0){break}a[l+128|0]=a[l+130|0]|0;do{if((s|0)==60){if((c[o+120>>2]|0)==0){break}le[c[o+120>>2]&15](c[o+4>>2]|0,y,1);h=0}}while(0);break b}}while(0);if((a[F+32|0]|0)!=0){r=347;break a}if((c[F+4>>2]|0)!=0){G=Yaa(o,F,((s|0)==60?1:0)&255)|0;if((G|0)!=0){r=350;break a}h=0;break b}if((c[o+112>>2]|0)==0){a[l+128|0]=a[l+130|0]|0;break b}a[l+131|0]=0;a[F+32|0]=1;if((Zd[c[o+112>>2]&127](c[o+116>>2]|0,0,c[F+20>>2]|0,c[F+16>>2]|0,c[F+24>>2]|0)|0)==0){r=354;break a}a[F+32|0]=0;h=0;if((a[l+131|0]|0)==0){a[l+128|0]=a[l+130|0]|0;break b}}else{a[l+128|0]=a[l+130|0]|0}do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((Yd[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=363;break a}}}while(0);break};case 40:{if((c[o+128>>2]|0)!=0){c[o+344>>2]=Oaa(o,b,e,c[n>>2]|0)|0;if((c[o+344>>2]|0)==0){r=367;break a}c[l+180>>2]=0;c[l+176>>2]=0;a[l+160|0]=1;h=0}break};case 41:case 42:{if((a[l+160|0]|0)!=0){if((c[o+128>>2]|0)!=0){y=Yd[c[o+12>>2]&255](20)|0;if((y|0)==0){r=373;break a}c[y+4>>2]=0;c[y+8>>2]=0;c[y+12>>2]=0;c[y+16>>2]=0;c[y>>2]=(s|0)==41?2:1;c[q>>2]=e;le[c[o+128>>2]&15](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,y);h=0}a[l+160|0]=0}break};case 43:{if((a[l+160|0]|0)!=0){c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]=3;if((c[o+128>>2]|0)!=0){h=0}}break};case 51:{H=0;r=386;break};case 53:{H=1;r=386;break};case 52:{H=2;r=386;break};case 54:{H=3;r=386;break};case 45:{H=0;r=405;break};case 47:{H=1;r=405;break};case 46:{H=2;r=405;break};case 48:{H=3;r=405;break};case 55:{if((_aa(o,b,e,c[n>>2]|0)|0)==0){r=417;break a}h=0;break};case 56:{if(($aa(o,b,e,c[n>>2]|0)|0)==0){r=420;break a}h=0;break};case 0:{if((g|0)==14){h=0}break};case 3:{if((c[o+84>>2]|0)!=0){h=0}break};case 11:{do{if((d[l+128|0]|0)!=0){if((c[o+136>>2]|0)==0){break}h=0}}while(0);break};case 17:{if((c[o+96>>2]|0)!=0){h=0}break};case 33:{do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}h=0}}while(0);break};case 39:{if((c[o+128>>2]|0)!=0){h=0}break};default:{}}}while(0);if((r|0)==49){r=0;if((ke[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=50;break}r=52}else if((r|0)==117){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}h=0}}while(0)}else if((r|0)==201){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}s=Laa(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;c[(c[o+316>>2]|0)+16>>2]=s;if((c[(c[o+316>>2]|0)+16>>2]|0)==0){r=204;break a}c[(c[o+316>>2]|0)+20>>2]=c[o+360>>2];c[l+96>>2]=c[l+92>>2];if((c[o+136>>2]|0)!=0){h=0}}}while(0)}else if((r|0)==386){r=0;if((a[l+160|0]|0)!=0){if((H|0)==0){I=c[n>>2]|0}else{I=(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0}s=Xaa(o)|0;if((s|0)<0){r=391;break}c[(c[l+164>>2]|0)+(s*28|0)>>2]=4;c[(c[l+164>>2]|0)+(s*28|0)+4>>2]=H;y=Oaa(o,b,e,I)|0;if((y|0)==0){r=393;break}E=c[y>>2]|0;c[(c[l+164>>2]|0)+(s*28|0)+8>>2]=E;s=0;do{y=s;s=y+1|0;}while((a[E+y|0]|0)!=0);E=l+168|0;c[E>>2]=(c[E>>2]|0)+s;if((c[o+128>>2]|0)!=0){h=0}}}else if((r|0)==405){r=0;if((a[l+160|0]|0)!=0){if((c[o+128>>2]|0)!=0){h=0}E=l+180|0;c[E>>2]=(c[E>>2]|0)-1;c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+(c[l+180>>2]<<2)>>2]|0)*28|0)+4>>2]=H;if((c[l+180>>2]|0)==0){if(!(h<<24>>24!=0)){E=Zaa(o)|0;if((E|0)==0){r=411;break}c[q>>2]=e;le[c[o+128>>2]&15](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,E)}a[l+160|0]=0;c[l+168>>2]=0}}}if((r|0)==52){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}E=Laa(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((E|0)==0){r=55;break a}Maa(E);c[(c[o+316>>2]|0)+24>>2]=E;c[l+96>>2]=c[l+92>>2];if((c[o+136>>2]|0)!=0){h=0}}}while(0)}do{if((h&255|0)!=0){if((c[o+80>>2]|0)==0){break}xaa(o,b,e,c[n>>2]|0)}}while(0);h=c[o+480>>2]|0;if((h|0)==3){r=446;break}else if((h|0)==2){r=447;break}e=c[n>>2]|0;g=ke[c[b>>2]&127](b,e,f,n)|0}if((r|0)==8){c[j>>2]=e;J=0;K=J;i=m;return K|0}else if((r|0)==10){c[p>>2]=c[n>>2];J=4;K=J;i=m;return K|0}else if((r|0)==11){J=5;K=J;i=m;return K|0}else if((r|0)==12){J=6;K=J;i=m;return K|0}else if((r|0)==14){do{if((b|0)!=(c[o+144>>2]|0)){if((a[(c[o+300>>2]|0)+20|0]|0)!=0){break}c[j>>2]=e;J=0;K=J;i=m;return K|0}}while(0);do{if((d[o+488|0]|0)==0){if((b|0)!=(c[o+144>>2]|0)){break}J=3;K=J;i=m;return K|0}}while(0);if((Zd[c[o+256>>2]&127](o+256|0,-4,f,f,b)|0)==-1){J=29;K=J;i=m;return K|0}else{c[j>>2]=e;J=0;K=J;i=m;return K|0}}else if((r|0)==27){J=A;K=J;i=m;return K|0}else if((r|0)==31){J=1;K=J;i=m;return K|0}else if((r|0)==38){J=B;K=J;i=m;return K|0}else if((r|0)==41){J=1;K=J;i=m;return K|0}else if((r|0)==44){J=32;K=J;i=m;return K|0}else if((r|0)==46){J=1;K=J;i=m;return K|0}else if((r|0)==50){J=32;K=J;i=m;return K|0}else if((r|0)==55){J=1;K=J;i=m;return K|0}else if((r|0)==67){J=1;K=J;i=m;return K|0}else if((r|0)==71){J=21;K=J;i=m;return K|0}else if((r|0)==76){J=22;K=J;i=m;return K|0}else if((r|0)==86){if((a[o+489|0]|0)!=0){B=a[l+129|0]|0;a[l+129|0]=1;do{if((c[o+492>>2]|0)!=0){if((c[o+112>>2]|0)==0){break}A=Caa(o,l+132|0,17080,36)|0;if((A|0)==0){J=1;K=J;i=m;return K|0}c[A+20>>2]=c[o+360>>2];a[l+131|0]=0;if((Zd[c[o+112>>2]&127](c[o+116>>2]|0,0,c[A+20>>2]|0,c[A+16>>2]|0,c[A+24>>2]|0)|0)==0){J=21;K=J;i=m;return K|0}if((a[l+131|0]|0)!=0){do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((Yd[c[o+108>>2]&255](c[o+4>>2]|0)|0)!=0){break}J=22;K=J;i=m;return K|0}}while(0)}else{a[l+129|0]=B}}}while(0)}c[o+280>>2]=6;J=Naa(o,e,f,j)|0;K=J;i=m;return K|0}else if((r|0)==104){J=1;K=J;i=m;return K|0}else if((r|0)==107){J=1;K=J;i=m;return K|0}else if((r|0)==127){J=1;K=J;i=m;return K|0}else if((r|0)==129){J=1;K=J;i=m;return K|0}else if((r|0)==134){J=1;K=J;i=m;return K|0}else if((r|0)==148){J=1;K=J;i=m;return K|0}else if((r|0)==155){J=x;K=J;i=m;return K|0}else if((r|0)==157){J=1;K=J;i=m;return K|0}else if((r|0)==171){J=1;K=J;i=m;return K|0}else if((r|0)==183){J=v;K=J;i=m;return K|0}else if((r|0)==188){J=1;K=J;i=m;return K|0}else if((r|0)==195){J=22;K=J;i=m;return K|0}else if((r|0)==198){J=1;K=J;i=m;return K|0}else if((r|0)==204){J=1;K=J;i=m;return K|0}else if((r|0)==217){J=1;K=J;i=m;return K|0}else if((r|0)==229){J=1;K=J;i=m;return K|0}else if((r|0)==231){J=1;K=J;i=m;return K|0}else if((r|0)==244){J=1;K=J;i=m;return K|0}else if((r|0)==246){J=1;K=J;i=m;return K|0}else if((r|0)==259){J=1;K=J;i=m;return K|0}else if((r|0)==263){J=32;K=J;i=m;return K|0}else if((r|0)==266){J=1;K=J;i=m;return K|0}else if((r|0)==272){J=1;K=J;i=m;return K|0}else if((r|0)==279){v=g;if((v|0)==28){J=10;K=J;i=m;return K|0}else if((v|0)==12){J=17;K=J;i=m;return K|0}else{J=2;K=J;i=m;return K|0}}else if((r|0)==286){J=D;K=J;i=m;return K|0}else if((r|0)==288){c[o+280>>2]=90;J=D;K=J;i=m;return K|0}else if((r|0)==294){J=1;K=J;i=m;return K|0}else if((r|0)==297){J=1;K=J;i=m;return K|0}else if((r|0)==301){J=1;K=J;i=m;return K|0}else if((r|0)==306){J=1;K=J;i=m;return K|0}else if((r|0)==312){J=2;K=J;i=m;return K|0}else if((r|0)==318){J=2;K=J;i=m;return K|0}else if((r|0)==329){J=1;K=J;i=m;return K|0}else if((r|0)==335){J=11;K=J;i=m;return K|0}else if((r|0)==337){J=24;K=J;i=m;return K|0}else if((r|0)==347){J=12;K=J;i=m;return K|0}else if((r|0)==350){J=G;K=J;i=m;return K|0}else if((r|0)==354){a[F+32|0]=0;J=21;K=J;i=m;return K|0}else if((r|0)==363){J=22;K=J;i=m;return K|0}else if((r|0)==367){J=1;K=J;i=m;return K|0}else if((r|0)==373){J=1;K=J;i=m;return K|0}else if((r|0)==391){J=1;K=J;i=m;return K|0}else if((r|0)==393){J=1;K=J;i=m;return K|0}else if((r|0)==411){J=1;K=J;i=m;return K|0}else if((r|0)==417){J=1;K=J;i=m;return K|0}else if((r|0)==420){J=1;K=J;i=m;return K|0}else if((r|0)==446){c[j>>2]=c[n>>2];J=0;K=J;i=m;return K|0}else if((r|0)==447){J=35;K=J;i=m;return K|0}return 0}function Kaa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+40|0;h=g|0;j=g+8|0;k=g+16|0;l=g+24|0;m=g+32|0;n=b;b=d;d=e;e=f;c[h>>2]=0;f=0;c[j>>2]=0;c[k>>2]=0;o=0;c[m>>2]=-1;if((Xd[((a[n+236|0]&255|0)!=0?6:4)&15](b,c[n+144>>2]|0,d,e,n+288|0,k,l,h,j,m)|0)==0){if((b|0)!=0){p=31;q=p;i=g;return q|0}else{p=30;q=p;i=g;return q|0}}do{if((b|0)==0){if((c[m>>2]|0)!=1){break}a[(c[n+356>>2]|0)+130|0]=1;if((c[n+492>>2]|0)==1){c[n+492>>2]=0}}}while(0);if((c[n+140>>2]|0)!=0){do{if((c[h>>2]|0)!=0){b=c[n+144>>2]|0;r=c[h>>2]|0;s=c[h>>2]|0;f=Laa(n+440|0,b,r,s+(he[c[(c[n+144>>2]|0)+32>>2]&127](c[n+144>>2]|0,c[h>>2]|0)|0)|0)|0;if((f|0)!=0){c[n+456>>2]=c[n+452>>2];break}p=1;q=p;i=g;return q|0}}while(0);do{if((c[k>>2]|0)!=0){o=Laa(n+440|0,c[n+144>>2]|0,c[k>>2]|0,(c[l>>2]|0)+(-(c[(c[n+144>>2]|0)+68>>2]|0)|0)|0)|0;if((o|0)!=0){break}p=1;q=p;i=g;return q|0}}while(0);oe[c[n+140>>2]&127](c[n+4>>2]|0,o,f,c[m>>2]|0)}else{if((c[n+80>>2]|0)!=0){xaa(n,c[n+144>>2]|0,d,e)}}if((c[n+232>>2]|0)==0){do{if((c[j>>2]|0)!=0){if((c[(c[j>>2]|0)+68>>2]|0)==(c[(c[n+144>>2]|0)+68>>2]|0)){c[n+144>>2]=c[j>>2];break}c[n+288>>2]=c[h>>2];p=19;q=p;i=g;return q|0}else{if((c[h>>2]|0)==0){break}do{if((f|0)==0){e=c[n+144>>2]|0;d=c[h>>2]|0;m=c[h>>2]|0;f=Laa(n+440|0,e,d,m+(he[c[(c[n+144>>2]|0)+32>>2]&127](c[n+144>>2]|0,c[h>>2]|0)|0)|0)|0;if((f|0)!=0){break}p=1;q=p;i=g;return q|0}}while(0);m=nba(n,f)|0;gaa(n+440|0);if((m|0)==18){c[n+288>>2]=c[h>>2]}p=m;q=p;i=g;return q|0}}while(0)}if((f|0)!=0){t=40}else{if((o|0)!=0){t=40}}if((t|0)==40){gaa(n+440|0)}p=0;q=p;i=g;return q|0}function Laa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;if((Raa(h,d,e,f)|0)==0){j=0;k=j;i=g;return k|0}do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((zaa(h)|0)<<24>>24!=0){break}j=0;k=j;i=g;return k|0}}while(0);f=h+12|0;e=c[f>>2]|0;c[f>>2]=e+1;a[e]=0;j=c[h+16>>2]|0;k=j;i=g;return k|0}function Maa(b){b=b|0;var c=0,d=0,e=0,f=0,g=0;c=i;d=b;b=d;e=d;while(1){if((a[e]|0)==0){break}f=a[e]|0;if((f|0)==32|(f|0)==13|(f|0)==10){do{if((b|0)!=(d|0)){if((a[b-1|0]|0)==32){break}f=b;b=f+1|0;a[f]=32}}while(0)}else{f=b;b=f+1|0;a[f]=a[e]|0}e=e+1|0}if((b|0)==(d|0)){g=b;a[g]=0;i=c;return}if((a[b-1|0]|0)!=32){g=b;a[g]=0;i=c;return}b=b-1|0;g=b;a[g]=0;i=c;return}function Naa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=cba(h,0,c[h+144>>2]|0,d,e,f,((a[h+484|0]|0)!=0^1)&1)|0;do{if((b|0)==0){if((kba(h)|0)<<24>>24!=0){break}j=1;k=j;i=g;return k|0}}while(0);j=b;k=j;i=g;return k|0}function Oaa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;g=a;a=c[g+356>>2]|0;h=Laa(a+80|0,b,d,e)|0;if((h|0)==0){j=0;k=j;i=f;return k|0}e=Caa(g,a+20|0,h,24)|0;if((e|0)==0){j=0;k=j;i=f;return k|0}do{if((c[e>>2]|0)!=(h|0)){c[a+92>>2]=c[a+96>>2]}else{c[a+96>>2]=c[a+92>>2];if((lba(g,e)|0)!=0){break}j=0;k=j;i=f;return k|0}}while(0);j=e;k=j;i=f;return k|0}function Paa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=i;h=b;b=d;d=e;e=f;f=c[h+356>>2]|0;do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((zaa(f+80|0)|0)<<24>>24!=0){j=4;break}if(!0){j=5}}else{j=4}}while(0);if((j|0)==4){k=f+92|0;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=0;if(!1){j=5}}if((j|0)==5){m=0;n=m;i=g;return n|0}l=Laa(f+80|0,b,d,e)|0;if((l|0)==0){m=0;n=m;i=g;return n|0}l=l+1|0;e=Caa(h,f+40|0,l,12)|0;if((e|0)==0){m=0;n=m;i=g;return n|0}if((c[e>>2]|0)!=(l|0)){c[f+92>>2]=c[f+96>>2]}else{c[f+96>>2]=c[f+92>>2];if((a[h+236|0]|0)!=0){do{if((a[l|0]|0)==120){if((a[l+1|0]|0)!=109){j=25;break}if((a[l+2|0]|0)!=108){j=25;break}if((a[l+3|0]|0)!=110){j=25;break}if((a[l+4|0]|0)!=115){j=25;break}if((a[l+5|0]|0)!=0){if((a[l+5|0]|0)!=58){j=25;break}}if((a[l+5|0]|0)==0){c[e+4>>2]=f+152}else{c[e+4>>2]=Caa(h,f+60|0,l+6|0,8)|0}a[e+9|0]=1}else{j=25}}while(0);if((j|0)==25){d=0;while(1){if((a[l+d|0]|0)==0){break}if((a[l+d|0]|0)==58){j=28;break}d=d+1|0}if((j|0)==28){b=0;a:while(1){if((b|0)>=(d|0)){break}do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((zaa(f+80|0)|0)<<24>>24!=0){j=33;break}if(!0){j=34;break a}}else{j=33}}while(0);if((j|0)==33){j=0;k=a[l+b|0]|0;o=f+92|0;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=k;if(!1){j=34;break}}b=b+1|0}if((j|0)==34){m=0;n=m;i=g;return n|0}do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((zaa(f+80|0)|0)<<24>>24!=0){j=40;break}if(!0){j=41}}else{j=40}}while(0);if((j|0)==40){b=f+92|0;l=c[b>>2]|0;c[b>>2]=l+1;a[l]=0;if(!1){j=41}}if((j|0)==41){m=0;n=m;i=g;return n|0}c[e+4>>2]=Caa(h,f+60|0,c[f+96>>2]|0,8)|0;if((c[c[e+4>>2]>>2]|0)==(c[f+96>>2]|0)){c[f+96>>2]=c[f+92>>2]}else{c[f+92>>2]=c[f+96>>2]}}}}}m=e;n=m;i=g;return n|0}function Qaa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=b;b=d;a:while(1){if((a[b]|0)==0){g=9;break}do{if((c[f+12>>2]|0)==(c[f+8>>2]|0)){if((zaa(f)|0)<<24>>24!=0){g=6;break}if(!0){g=7;break a}}else{g=6}}while(0);if((g|0)==6){g=0;d=a[b]|0;h=f+12|0;j=c[h>>2]|0;c[h>>2]=j+1;a[j]=d;if(!1){g=7;break}}b=b+1|0}if((g|0)==7){k=0;l=k;i=e;return l|0}else if((g|0)==9){k=c[f+16>>2]|0;l=k;i=e;return l|0}return 0}function Raa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+8|0;g=f|0;h=a;a=b;c[g>>2]=d;d=e;do{if((c[h+12>>2]|0)==0){if((zaa(h)|0)<<24>>24!=0){break}j=0;k=j;i=f;return k|0}}while(0);while(1){Ud[c[a+60>>2]&31](a,g,d,h+12|0,c[h+8>>2]|0);if((c[g>>2]|0)==(d|0)){break}if(!((zaa(h)|0)<<24>>24!=0)){l=8;break}}if((l|0)==8){j=0;k=j;i=f;return k|0}j=c[h+16>>2]|0;k=j;i=f;return k|0}function Saa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;k=b;b=d;d=e;e=f;f=g;g=h;if((f|0)!=0){l=3}else{if((e&255|0)!=0){l=3}}if((l|0)==3){h=0;while(1){if((h|0)>=(c[k+12>>2]|0)){break}if((b|0)==(c[(c[k+20>>2]|0)+(h*12|0)>>2]|0)){l=6;break}h=h+1|0}if((l|0)==6){m=1;n=m;i=j;return n|0}do{if((e&255|0)!=0){if((c[k+8>>2]|0)!=0){break}if((a[b+9|0]|0)!=0){break}c[k+8>>2]=b}}while(0)}if((c[k+12>>2]|0)==(c[k+16>>2]|0)){do{if((c[k+16>>2]|0)==0){c[k+16>>2]=8;c[k+20>>2]=Yd[c[g+12>>2]&255]((c[k+16>>2]|0)*12|0)|0;if((c[k+20>>2]|0)!=0){break}m=0;n=m;i=j;return n|0}else{e=c[k+16>>2]<<1;l=he[c[g+16>>2]&127](c[k+20>>2]|0,e*12|0)|0;if((l|0)!=0){c[k+16>>2]=e;c[k+20>>2]=l;break}m=0;n=m;i=j;return n|0}}while(0)}g=(c[k+20>>2]|0)+((c[k+12>>2]|0)*12|0)|0;c[g>>2]=b;c[g+8>>2]=f;a[g+4|0]=d;if(!(d<<24>>24!=0)){a[b+8|0]=1}b=k+12|0;c[b>>2]=(c[b>>2]|0)+1;m=1;n=m;i=j;return n|0}function Taa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;k=e;e=h;h=mba(b,d,k,f,g,e)|0;if((h|0)!=0){l=h;m=l;i=j;return m|0}do{if(!(k<<24>>24!=0)){if(((c[e+12>>2]|0)-(c[e+16>>2]|0)|0)==0){break}if((a[(c[e+12>>2]|0)-1|0]|0)!=32){break}h=e+12|0;c[h>>2]=(c[h>>2]|0)-1}}while(0);do{if((c[e+12>>2]|0)==(c[e+8>>2]|0)){if((zaa(e)|0)<<24>>24!=0){n=10;break}if(0){n=12}else{n=11}}else{n=10}}while(0);if((n|0)==10){k=e+12|0;e=c[k>>2]|0;c[k>>2]=e+1;a[e]=0;if(1){n=12}else{n=11}}if((n|0)==11){l=1;m=l;i=j;return m|0}else if((n|0)==12){l=0;m=l;i=j;return m|0}return 0}function Uaa(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+16|0;j=h|0;k=h+8|0;l=b;b=e;e=f;f=g;g=c[l+356>>2]|0;m=g+104|0;n=0;o=c[l+276>>2]|0;c[l+276>>2]=1;do{if((c[m>>2]|0)==0){if((zaa(m)|0)<<24>>24!=0){break}p=1;q=p;i=h;return q|0}}while(0);a:while(1){switch(ke[c[b+20>>2]&127](b,e,f,j)|0){case 28:{if((d[l+488|0]|0)==0){if((b|0)==(c[l+144>>2]|0)){r=30;break a}}s=Laa(l+416|0,b,e+(c[b+68>>2]|0)|0,(c[j>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((s|0)==0){r=10;break a}t=Caa(l,g+132|0,s,0)|0;c[l+428>>2]=c[l+432>>2];if((t|0)==0){r=12;break a}if((a[t+32|0]|0)!=0){r=14;break a}if((c[t+16>>2]|0)!=0){if((c[l+112>>2]|0)!=0){a[g+131|0]=0;a[t+32|0]=1;if((Zd[c[l+112>>2]&127](c[l+116>>2]|0,0,c[t+20>>2]|0,c[t+16>>2]|0,c[t+24>>2]|0)|0)==0){r=20;break a}a[t+32|0]=0;if((a[g+131|0]|0)==0){a[g+128|0]=a[g+130|0]|0}}else{a[g+128|0]=a[g+130|0]|0}}else{a[t+32|0]=1;n=Uaa(l,c[l+228>>2]|0,c[t+4>>2]|0,(c[t+4>>2]|0)+(c[t+8>>2]|0)|0)|0;a[t+32|0]=0;if((n|0)!=0){r=27;break a}}break};case 10:{s=he[c[b+44>>2]&127](b,e)|0;if((s|0)<0){r=41;break a}s=tba(s,k|0)|0;if((s|0)==0){r=45;break a}u=0;while(1){if((u|0)>=(s|0)){break}if((c[m+8>>2]|0)==(c[m+12>>2]|0)){if(!((zaa(m)|0)<<24>>24!=0)){r=52;break a}}v=a[k+u|0]|0;w=m+12|0;x=c[w>>2]|0;c[w>>2]=x+1;a[x]=v;u=u+1|0}break};case-1:{r=56;break a;break};case 7:{r=36;break};case-3:{c[j>>2]=e+(c[b+68>>2]|0);r=36;break};case 0:{r=59;break a;break};case-4:{r=31;break a;break};case 9:case 6:{if((Raa(m,b,e,c[j>>2]|0)|0)==0){r=33;break a}break};default:{r=62;break a}}if((r|0)==36){r=0;if((c[m+8>>2]|0)==(c[m+12>>2]|0)){if(!((zaa(m)|0)<<24>>24!=0)){r=38;break}}u=m+12|0;s=c[u>>2]|0;c[u>>2]=s+1;a[s]=10}e=c[j>>2]|0}if((r|0)==10){n=1}else if((r|0)==12){a[g+128|0]=a[g+130|0]|0}else if((r|0)==14){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=12}else if((r|0)==20){a[t+32|0]=0;n=21}else if((r|0)!=27)if((r|0)==30){c[l+288>>2]=e;n=10}else if((r|0)==31){n=0}else if((r|0)==33){n=1}else if((r|0)==38){n=1}else if((r|0)==41){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=14}else if((r|0)==45){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=14}else if((r|0)==52){n=1}else if((r|0)==56){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=4}else if((r|0)==59){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=c[j>>2]}n=4}else if((r|0)==62){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=23}c[l+276>>2]=o;p=n;q=p;i=h;return q|0}function Vaa(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=a;a=b;b=d;d=f;f=g;g=c[b>>2]|0;if((a|0)==(c[k+144>>2]|0)){l=k+288|0;c[l>>2]=g;m=k+292|0}else{l=c[k+300>>2]|0;m=(c[k+300>>2]|0)+4|0}c[l>>2]=g;c[b>>2]=0;n=ke[c[a+12>>2]&127](a,g,e,j)|0;c[m>>2]=c[j>>2];switch(n|0){case 42:{if((c[k+80>>2]|0)!=0){xaa(k,a,g,c[j>>2]|0)}c[b>>2]=c[j>>2];c[d>>2]=c[j>>2];if((c[k+480>>2]|0)==2){o=35;p=o;i=h;return p|0}else{o=0;p=o;i=h;return p|0}break};case-2:{if(f<<24>>24!=0){c[d>>2]=g;o=0;p=o;i=h;return p|0}else{o=6;p=o;i=h;return p|0}break};case 0:{c[l>>2]=c[j>>2];o=4;p=o;i=h;return p|0};case-1:case-4:{if(f<<24>>24!=0){c[d>>2]=g;o=0;p=o;i=h;return p|0}else{o=2;p=o;i=h;return p|0}break};default:{c[l>>2]=c[j>>2];o=23;p=o;i=h;return p|0}}return 0}function Waa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;c[h>>2]=d;d=e;e=f;f=Vaa(j,c[j+144>>2]|0,h,d,e,((a[j+484|0]|0)!=0^1)&1)|0;if((f|0)!=0){k=f;l=k;i=g;return l|0}if((c[h>>2]|0)!=0){c[j+280>>2]=76;k=Iaa(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}else{k=f;l=k;i=g;return l|0}return 0}function Xaa(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a;a=c[d+356>>2]|0;do{if((c[a+184>>2]|0)==0){c[a+184>>2]=Yd[c[d+12>>2]&255](c[d+468>>2]<<2)|0;if((c[a+184>>2]|0)!=0){c[c[a+184>>2]>>2]=0;break}e=-1;f=e;i=b;return f|0}}while(0);if((c[a+176>>2]|0)>>>0>=(c[a+172>>2]|0)>>>0){do{if((c[a+164>>2]|0)!=0){g=he[c[d+16>>2]&127](c[a+164>>2]|0,(c[a+172>>2]<<1)*28|0)|0;if((g|0)!=0){h=a+172|0;c[h>>2]=c[h>>2]<<1;break}e=-1;f=e;i=b;return f|0}else{g=Yd[c[d+12>>2]&255](896)|0;if((g|0)!=0){c[a+172>>2]=32;break}e=-1;f=e;i=b;return f|0}}while(0);c[a+164>>2]=g}g=a+176|0;d=c[g>>2]|0;c[g>>2]=d+1;g=d;d=(c[a+164>>2]|0)+(g*28|0)|0;if((c[a+180>>2]|0)!=0){h=(c[a+164>>2]|0)+((c[(c[a+184>>2]|0)+((c[a+180>>2]|0)-1<<2)>>2]|0)*28|0)|0;if((c[h+16>>2]|0)!=0){c[(c[a+164>>2]|0)+((c[h+16>>2]|0)*28|0)+24>>2]=g}if((c[h+20>>2]|0)==0){c[h+12>>2]=g}c[h+16>>2]=g;a=h+20|0;c[a>>2]=(c[a>>2]|0)+1}c[d+24>>2]=0;c[d+20>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;e=g;f=e;i=b;return f|0}function Yaa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;f=i;i=i+8|0;g=f|0;h=b;b=d;d=e;do{if((c[h+304>>2]|0)!=0){j=c[h+304>>2]|0;c[h+304>>2]=c[j+8>>2]}else{j=Yd[c[h+12>>2]&255](24)|0;if((j|0)!=0){break}k=1;l=k;i=f;return l|0}}while(0);a[b+32|0]=1;c[b+12>>2]=0;c[j+8>>2]=c[h+300>>2];c[h+300>>2]=j;c[j+12>>2]=b;c[j+16>>2]=c[h+312>>2];a[j+20|0]=d;c[j>>2]=0;c[j+4>>2]=0;d=c[b+4>>2]|0;e=(c[b+4>>2]|0)+(c[b+8>>2]|0)|0;if((a[b+33|0]|0)!=0){m=ke[c[c[h+228>>2]>>2]&127](c[h+228>>2]|0,d,e,g)|0;n=Jaa(h,c[h+228>>2]|0,d,e,m,c[g>>2]|0,g,0)|0}else{n=cba(h,c[h+312>>2]|0,c[h+228>>2]|0,d,e,g,0)|0}if((n|0)==0){do{if((e|0)!=(c[g>>2]|0)){if((c[h+480>>2]|0)!=3){o=13;break}c[b+12>>2]=(c[g>>2]|0)-d;c[h+280>>2]=64}else{o=13}}while(0);if((o|0)==13){a[b+32|0]=0;c[h+300>>2]=c[j+8>>2];c[j+8>>2]=c[h+304>>2];c[h+304>>2]=j}}k=n;l=k;i=f;return l|0}function Zaa(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a;a=c[f+356>>2]|0;g=Yd[c[f+12>>2]&255](((c[a+176>>2]|0)*20|0)+(c[a+168>>2]|0)|0)|0;if((g|0)!=0){c[e>>2]=g+((c[a+176>>2]|0)*20|0);c[d>>2]=g+20;bba(f,0,g,d,e);h=g;j=h;i=b;return j|0}else{h=0;j=h;i=b;return j|0}return 0}function _aa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;g=a;a=b;b=d;d=e;if((c[g+64>>2]|0)==0){if((c[g+80>>2]|0)!=0){xaa(g,a,b,d)}h=1;j=h;i=f;return j|0}b=b+(c[a+68>>2]<<1)|0;e=b+(he[c[a+32>>2]&127](a,b)|0)|0;k=Laa(g+416|0,a,b,e)|0;if((k|0)==0){h=0;j=h;i=f;return j|0}c[g+432>>2]=c[g+428>>2];b=he[c[a+36>>2]&127](a,e)|0;e=Laa(g+416|0,a,b,d+(-(c[a+68>>2]<<1)|0)|0)|0;if((e|0)!=0){aba(e);le[c[g+64>>2]&15](c[g+4>>2]|0,k,e);gaa(g+416|0);h=1;j=h;i=f;return j|0}else{h=0;j=h;i=f;return j|0}return 0}function $aa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=a;a=b;b=d;d=e;if((c[g+68>>2]|0)==0){if((c[g+80>>2]|0)!=0){xaa(g,a,b,d)}h=1;j=h;i=f;return j|0}e=Laa(g+416|0,a,b+(c[a+68>>2]<<2)|0,d+(-((c[a+68>>2]|0)*3|0)|0)|0)|0;if((e|0)!=0){aba(e);Wd[c[g+68>>2]&255](c[g+4>>2]|0,e);gaa(g+416|0);h=1;j=h;i=f;return j|0}else{h=0;j=h;i=f;return j|0}return 0}function aba(b){b=b|0;var c=0,d=0,e=0,f=0;c=i;d=b;while(1){if((a[d]|0)==0){e=3;break}if((a[d]|0)==13){break}d=d+1|0}if((e|0)==3){i=c;return}e=d;do{if((a[d]|0)==13){b=e;e=b+1|0;a[b]=10;b=d+1|0;d=b;if((a[b]|0)==10){d=d+1|0}}else{b=d;d=b+1|0;f=e;e=f+1|0;a[f]=a[b]|0}}while((a[d]|0)!=0);a[e]=0;i=c;return}function bba(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=d;d=e;e=f;f=g;g=c[j+356>>2]|0;c[d>>2]=c[(c[g+164>>2]|0)+(b*28|0)>>2];c[d+4>>2]=c[(c[g+164>>2]|0)+(b*28|0)+4>>2];if((c[d>>2]|0)==4){c[d+8>>2]=c[f>>2];k=c[(c[g+164>>2]|0)+(b*28|0)+8>>2]|0;while(1){l=a[k]|0;m=f;n=c[m>>2]|0;c[m>>2]=n+1;a[n]=l;if((a[k]|0)==0){break}k=k+1|0}c[d+12>>2]=0;c[d+16>>2]=0;i=h;return}else{c[d+12>>2]=c[(c[g+164>>2]|0)+(b*28|0)+20>>2];c[d+16>>2]=c[e>>2];k=e;c[k>>2]=(c[k>>2]|0)+((c[d+12>>2]|0)*20|0);k=0;l=c[(c[g+164>>2]|0)+(b*28|0)+12>>2]|0;while(1){if(!(k>>>0<(c[d+12>>2]|0)>>>0)){break}bba(j,l,(c[d+16>>2]|0)+(k*20|0)|0,e,f);k=k+1|0;l=c[(c[g+164>>2]|0)+(l*28|0)+24>>2]|0}c[d+8>>2]=0;i=h;return}}function cba(b,e,f,g,h,j,k){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;l=i;i=i+112|0;m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+80|0;v=l+88|0;w=l+96|0;x=l+104|0;y=b;b=e;e=f;c[m>>2]=g;g=h;h=j;j=k;k=c[y+356>>2]|0;if((e|0)==(c[y+144>>2]|0)){z=y+288|0;A=y+292|0}else{z=c[y+300>>2]|0;A=(c[y+300>>2]|0)+4|0}c[z>>2]=c[m>>2];a:while(1){c[n>>2]=c[m>>2];f=ke[c[e+4>>2]&127](e,c[m>>2]|0,g,n)|0;c[A>>2]=c[n>>2];b:do{switch(f|0){case-4:{B=18;break a;break};case 0:{B=25;break a;break};case-3:{B=6;break a;break};case 4:case 3:{C=(c[m>>2]|0)+(c[e+68>>2]|0)|0;c[s>>2]=0;D=1;c[t>>2]=Laa(y+416|0,e,C,C+(he[c[e+32>>2]&127](e,C)|0)|0)|0;if((c[t>>2]|0)==0){B=105;break a}c[y+432>>2]=c[y+428>>2];E=fba(y,e,c[m>>2]|0,t,s)|0;if((E|0)!=0){B=107;break a}c[y+432>>2]=c[y+428>>2];if((c[y+52>>2]|0)!=0){le[c[y+52>>2]&15](c[y+4>>2]|0,c[t>>2]|0,c[y+392>>2]|0);D=0}if((c[y+56>>2]|0)!=0){if((c[y+52>>2]|0)!=0){c[z>>2]=c[A>>2]}Wd[c[y+56>>2]&255](c[y+4>>2]|0,c[t>>2]|0);D=0}do{if((D&255|0)!=0){if((c[y+80>>2]|0)==0){break}xaa(y,e,c[m>>2]|0,c[n>>2]|0)}}while(0);gaa(y+416|0);while(1){if((c[s>>2]|0)==0){break}D=c[s>>2]|0;if((c[y+104>>2]|0)!=0){Wd[c[y+104>>2]&255](c[y+4>>2]|0,c[c[D>>2]>>2]|0)}c[s>>2]=c[(c[s>>2]|0)+4>>2];c[D+4>>2]=c[y+376>>2];c[y+376>>2]=D;c[(c[D>>2]|0)+4>>2]=c[D+8>>2]}if((c[y+312>>2]|0)==0){B=123;break a}break};case 2:case 1:{if((c[y+368>>2]|0)!=0){F=c[y+368>>2]|0;c[y+368>>2]=c[c[y+368>>2]>>2]}else{F=Yd[c[y+12>>2]&255](48)|0;if((F|0)==0){B=86;break a}c[F+36>>2]=Yd[c[y+12>>2]&255](32)|0;if((c[F+36>>2]|0)==0){B=88;break a}c[F+40>>2]=(c[F+36>>2]|0)+32}c[F+44>>2]=0;c[F>>2]=c[y+364>>2];c[y+364>>2]=F;c[F+16>>2]=0;c[F+20>>2]=0;c[F+4>>2]=(c[m>>2]|0)+(c[e+68>>2]|0);c[F+8>>2]=he[c[e+32>>2]&127](e,c[F+4>>2]|0)|0;D=y+312|0;c[D>>2]=(c[D>>2]|0)+1;D=(c[F+4>>2]|0)+(c[F+8>>2]|0)|0;c[r>>2]=c[F+4>>2];c[q>>2]=c[F+36>>2];while(1){Ud[c[e+60>>2]&31](e,r,D,q,(c[F+40>>2]|0)-1|0);G=(c[q>>2]|0)-(c[F+36>>2]|0)|0;if((c[r>>2]|0)==(D|0)){break}C=(c[F+40>>2]|0)-(c[F+36>>2]|0)<<1;H=he[c[y+16>>2]&127](c[F+36>>2]|0,C)|0;if((H|0)==0){B=94;break a}c[F+36>>2]=H;c[F+40>>2]=H+C;c[q>>2]=H+G}c[F+24>>2]=G;c[F+12>>2]=c[F+36>>2];a[c[q>>2]|0]=0;I=fba(y,e,c[m>>2]|0,F+12|0,F+44|0)|0;if((I|0)!=0){B=97;break a}if((c[y+52>>2]|0)!=0){le[c[y+52>>2]&15](c[y+4>>2]|0,c[F+12>>2]|0,c[y+392>>2]|0)}else{if((c[y+80>>2]|0)!=0){xaa(y,e,c[m>>2]|0,c[n>>2]|0)}}gaa(y+416|0);break};case-1:{B=26;break a;break};case 5:{if((c[y+312>>2]|0)==(b|0)){B=126;break a}D=c[y+364>>2]|0;c[y+364>>2]=c[D>>2];c[D>>2]=c[y+368>>2];c[y+368>>2]=D;J=(c[m>>2]|0)+(c[e+68>>2]<<1)|0;H=he[c[e+32>>2]&127](e,J)|0;if((H|0)!=(c[D+8>>2]|0)){B=129;break a}if((fKa(c[D+4>>2]|0,J,H)|0)!=0){B=129;break a}H=y+312|0;c[H>>2]=(c[H>>2]|0)-1;if((c[y+56>>2]|0)!=0){H=c[D+16>>2]|0;do{if((d[y+236|0]|0)!=0){if((H|0)==0){break}C=(c[D+12>>2]|0)+(c[D+28>>2]|0)|0;while(1){if((a[H]|0)==0){break}K=H;H=K+1|0;L=C;C=L+1|0;a[L]=a[K]|0}K=c[D+20>>2]|0;do{if((d[y+237|0]|0)!=0){if((K|0)==0){break}L=C;C=L+1|0;a[L]=a[y+472|0]|0;while(1){if((a[K]|0)==0){break}L=K;K=L+1|0;M=C;C=M+1|0;a[M]=a[L]|0}}}while(0);a[C]=0}}while(0);Wd[c[y+56>>2]&255](c[y+4>>2]|0,c[D+12>>2]|0)}else{if((c[y+80>>2]|0)!=0){xaa(y,e,c[m>>2]|0,c[n>>2]|0)}}while(1){if((c[D+44>>2]|0)==0){break}H=c[D+44>>2]|0;if((c[y+104>>2]|0)!=0){Wd[c[y+104>>2]&255](c[y+4>>2]|0,c[c[H>>2]>>2]|0)}c[D+44>>2]=c[(c[D+44>>2]|0)+4>>2];c[H+4>>2]=c[y+376>>2];c[y+376>>2]=H;c[(c[H>>2]|0)+4>>2]=c[H+8>>2]}if((c[y+312>>2]|0)==0){B=153;break a}break};case 9:{a[p]=_d[c[e+48>>2]&127](e,(c[m>>2]|0)+(c[e+68>>2]|0)|0,(c[n>>2]|0)+(-(c[e+68>>2]|0)|0)|0)|0;if((a[p]|0)!=0){if((c[y+60>>2]|0)!=0){le[c[y+60>>2]&15](c[y+4>>2]|0,p,1)}else{if((c[y+80>>2]|0)!=0){xaa(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}D=Laa(k+80|0,e,(c[m>>2]|0)+(c[e+68>>2]|0)|0,(c[n>>2]|0)+(-(c[e+68>>2]|0)|0)|0)|0;if((D|0)==0){B=40;break a}H=Caa(y,k|0,D,0)|0;c[k+92>>2]=c[k+96>>2];do{if((a[k+129|0]|0)!=0){if((d[k+130|0]|0)!=0){B=43;break}if((H|0)!=0){break}if((c[y+120>>2]|0)!=0){le[c[y+120>>2]&15](c[y+4>>2]|0,D,0)}else{if((c[y+80>>2]|0)!=0){xaa(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}else{B=43}}while(0);if((B|0)==43){B=0;if((H|0)==0){B=44;break a}if((a[H+34|0]|0)==0){B=46;break a}}if((a[H+32|0]|0)!=0){B=58;break a}if((c[H+28>>2]|0)!=0){B=60;break a}do{if((c[H+4>>2]|0)!=0){if((a[y+308|0]|0)!=0){N=Yaa(y,H,0)|0;if((N|0)!=0){B=70;break a}break}if((c[y+120>>2]|0)!=0){le[c[y+120>>2]&15](c[y+4>>2]|0,c[H>>2]|0,0)}else{if((c[y+80>>2]|0)!=0){xaa(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}else{if((c[y+112>>2]|0)!=0){a[H+32|0]=1;D=eba(y)|0;a[H+32|0]=0;if((D|0)==0){B=74;break a}if((Zd[c[y+112>>2]&127](c[y+116>>2]|0,D,c[H+20>>2]|0,c[H+16>>2]|0,c[H+24>>2]|0)|0)==0){B=76;break a}c[y+428>>2]=c[y+432>>2]}else{if((c[y+80>>2]|0)!=0){xaa(y,e,c[m>>2]|0,c[n>>2]|0)}}}}while(0);break};case 11:{if((_aa(y,e,c[m>>2]|0,c[n>>2]|0)|0)==0){B=211;break a}break};case 13:{if(($aa(y,e,c[m>>2]|0,c[n>>2]|0)|0)==0){B=214;break a}break};case 10:{H=he[c[e+44>>2]&127](e,c[m>>2]|0)|0;if((H|0)<0){B=157;break a}if((c[y+60>>2]|0)!=0){D=c[y+60>>2]|0;K=c[y+4>>2]|0;L=tba(H,u|0)|0;le[D&15](K,u|0,L)}else{if((c[y+80>>2]|0)!=0){xaa(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case 6:{L=c[y+60>>2]|0;if((L|0)!=0){if((a[e+72|0]|0)!=0){le[L&15](c[y+4>>2]|0,c[m>>2]|0,(c[n>>2]|0)-(c[m>>2]|0)|0)}else{while(1){c[x>>2]=c[y+44>>2];Ud[c[e+60>>2]&31](e,m,c[n>>2]|0,x,c[y+48>>2]|0);c[A>>2]=c[m>>2];le[L&15](c[y+4>>2]|0,c[y+44>>2]|0,(c[x>>2]|0)-(c[y+44>>2]|0)|0);if((c[m>>2]|0)==(c[n>>2]|0)){break}c[z>>2]=c[m>>2]}}}else{if((c[y+80>>2]|0)!=0){xaa(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case 12:{B=164;break a;break};case 7:{if((c[y+60>>2]|0)!=0){a[v]=10;le[c[y+60>>2]&15](c[y+4>>2]|0,v,1)}else{if((c[y+80>>2]|0)!=0){xaa(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case-5:{B=182;break a;break};case 8:{if((c[y+72>>2]|0)!=0){Vd[c[y+72>>2]&511](c[y+4>>2]|0)}else{if((c[y+80>>2]|0)!=0){xaa(y,e,c[m>>2]|0,c[n>>2]|0)}}O=hba(y,e,n,g,h,j)|0;if((O|0)!=0){B=177;break a}if((c[n>>2]|0)==0){B=179;break a}break};case-2:{B=29;break a;break};default:{if((c[y+80>>2]|0)!=0){xaa(y,e,c[m>>2]|0,c[n>>2]|0)}}}}while(0);f=c[n>>2]|0;c[m>>2]=f;c[z>>2]=f;f=c[y+480>>2]|0;if((f|0)==3){B=220;break}else if((f|0)==2){B=221;break}}if((B|0)==6){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}c[A>>2]=g;if((c[y+60>>2]|0)!=0){a[o]=10;le[c[y+60>>2]&15](c[y+4>>2]|0,o,1)}else{if((c[y+80>>2]|0)!=0){xaa(y,e,c[m>>2]|0,g)}}if((b|0)==0){P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){P=13;Q=P;i=l;return Q|0}else{c[h>>2]=g;P=0;Q=P;i=l;return Q|0}}else if((B|0)==18){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}if((b|0)<=0){P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){P=13;Q=P;i=l;return Q|0}else{c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}}else if((B|0)==25){c[z>>2]=c[n>>2];P=4;Q=P;i=l;return Q|0}else if((B|0)==26){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}else{P=5;Q=P;i=l;return Q|0}}else if((B|0)==29){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}else{P=6;Q=P;i=l;return Q|0}}else if((B|0)==40){P=1;Q=P;i=l;return Q|0}else if((B|0)==44){P=11;Q=P;i=l;return Q|0}else if((B|0)==46){P=24;Q=P;i=l;return Q|0}else if((B|0)==58){P=12;Q=P;i=l;return Q|0}else if((B|0)==60){P=15;Q=P;i=l;return Q|0}else if((B|0)==70){P=N;Q=P;i=l;return Q|0}else if((B|0)==74){P=1;Q=P;i=l;return Q|0}else if((B|0)==76){P=21;Q=P;i=l;return Q|0}else if((B|0)==86){P=1;Q=P;i=l;return Q|0}else if((B|0)==88){Vd[c[y+20>>2]&511](F);P=1;Q=P;i=l;return Q|0}else if((B|0)==94){P=1;Q=P;i=l;return Q|0}else if((B|0)==97){P=I;Q=P;i=l;return Q|0}else if((B|0)==105){P=1;Q=P;i=l;return Q|0}else if((B|0)==107){P=E;Q=P;i=l;return Q|0}else if((B|0)==123){P=gba(y,c[n>>2]|0,g,h)|0;Q=P;i=l;return Q|0}else if((B|0)==126){P=13;Q=P;i=l;return Q|0}else if((B|0)==129){c[z>>2]=J;P=7;Q=P;i=l;return Q|0}else if((B|0)==153){P=gba(y,c[n>>2]|0,g,h)|0;Q=P;i=l;return Q|0}else if((B|0)==157){P=14;Q=P;i=l;return Q|0}else if((B|0)==164){P=17;Q=P;i=l;return Q|0}else if((B|0)==177){P=O;Q=P;i=l;return Q|0}else if((B|0)==179){c[y+280>>2]=74;P=O;Q=P;i=l;return Q|0}else if((B|0)==182){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}if((c[y+60>>2]|0)!=0){if((a[e+72|0]|0)!=0){le[c[y+60>>2]&15](c[y+4>>2]|0,c[m>>2]|0,g-(c[m>>2]|0)|0)}else{c[w>>2]=c[y+44>>2];Ud[c[e+60>>2]&31](e,m,g,w,c[y+48>>2]|0);le[c[y+60>>2]&15](c[y+4>>2]|0,c[y+44>>2]|0,(c[w>>2]|0)-(c[y+44>>2]|0)|0)}}else{if((c[y+80>>2]|0)!=0){xaa(y,e,c[m>>2]|0,g)}}if((b|0)==0){c[z>>2]=g;P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){c[z>>2]=g;P=13;Q=P;i=l;return Q|0}else{c[h>>2]=g;P=0;Q=P;i=l;return Q|0}}else if((B|0)==211){P=1;Q=P;i=l;return Q|0}else if((B|0)==214){P=1;Q=P;i=l;return Q|0}else if((B|0)==220){c[h>>2]=c[n>>2];P=0;Q=P;i=l;return Q|0}else if((B|0)==221){P=35;Q=P;i=l;return Q|0}return 0}function dba(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;e=f;f=c[j+300>>2]|0;if((f|0)==0){k=23;l=k;i=g;return l|0}m=c[f+12>>2]|0;n=(c[m+4>>2]|0)+(c[m+12>>2]|0)|0;o=(c[m+4>>2]|0)+(c[m+8>>2]|0)|0;if((a[m+33|0]|0)!=0){p=ke[c[c[j+228>>2]>>2]&127](c[j+228>>2]|0,n,o,h)|0;q=Jaa(j,c[j+228>>2]|0,n,o,p,c[h>>2]|0,h,0)|0}else{q=cba(j,c[f+16>>2]|0,c[j+228>>2]|0,n,o,h,0)|0}if((q|0)!=0){k=q;l=k;i=g;return l|0}do{if((o|0)!=(c[h>>2]|0)){if((c[j+480>>2]|0)!=3){break}c[m+12>>2]=(c[h>>2]|0)-(c[m+4>>2]|0);k=q;l=k;i=g;return l|0}}while(0);a[m+32|0]=0;c[j+300>>2]=c[f+8>>2];c[f+8>>2]=c[j+304>>2];c[j+304>>2]=f;if((a[m+33|0]|0)!=0){c[j+280>>2]=76;m=ke[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;k=Jaa(j,c[j+144>>2]|0,b,d,m,c[h>>2]|0,e,((a[j+484|0]|0)!=0^1)&1)|0;l=k;i=g;return l|0}else{c[j+280>>2]=6;k=cba(j,(c[j+476>>2]|0)!=0?1:0,c[j+144>>2]|0,b,d,e,((a[j+484|0]|0)!=0^1)&1)|0;l=k;i=g;return l|0}return 0}function eba(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=i;i=i+8|0;e=d|0;f=b;b=c[f+356>>2]|0;g=0;do{if((c[b+156>>2]|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((zaa(f+416|0)|0)<<24>>24!=0){h=5;break}if(!0){h=6}}else{h=5}}while(0);if((h|0)==5){j=f+428|0;k=c[j>>2]|0;c[j>>2]=k+1;a[k]=61;if(!1){h=6}}if((h|0)==6){l=0;m=l;i=d;return m|0}k=c[(c[b+156>>2]|0)+20>>2]|0;if((a[f+472|0]|0)!=0){k=k-1|0}j=0;a:while(1){if((j|0)>=(k|0)){h=18;break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((zaa(f+416|0)|0)<<24>>24!=0){h=14;break}if(!0){break a}}else{h=14}}while(0);if((h|0)==14){h=0;n=a[(c[(c[b+156>>2]|0)+16>>2]|0)+j|0]|0;o=f+428|0;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=n;if(!1){break}}j=j+1|0}if((h|0)==18){g=1;break}l=0;m=l;i=d;return m|0}}while(0);Aaa(e,b+60|0);b:while(1){j=Baa(e)|0;if((j|0)==0){h=21;break}if((c[j+4>>2]|0)==0){continue}c:do{if((g&255|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((zaa(f+416|0)|0)<<24>>24!=0){break}if(0){break c}else{h=29;break b}}}while(0);k=f+428|0;n=c[k>>2]|0;c[k>>2]=n+1;a[n]=12;if(!1){h=29;break b}}}while(0);n=c[j>>2]|0;while(1){if((a[n]|0)==0){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((zaa(f+416|0)|0)<<24>>24!=0){h=35;break}if(!0){h=36;break b}}else{h=35}}while(0);if((h|0)==35){h=0;k=a[n]|0;p=f+428|0;o=c[p>>2]|0;c[p>>2]=o+1;a[o]=k;if(!1){h=36;break b}}n=n+1|0}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((zaa(f+416|0)|0)<<24>>24!=0){h=42;break}if(!0){h=43;break b}}else{h=42}}while(0);if((h|0)==42){h=0;n=f+428|0;k=c[n>>2]|0;c[n>>2]=k+1;a[k]=61;if(!1){h=43;break}}k=c[(c[j+4>>2]|0)+20>>2]|0;if((a[f+472|0]|0)!=0){k=k-1|0}n=0;while(1){if((n|0)>=(k|0)){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((zaa(f+416|0)|0)<<24>>24!=0){h=51;break}if(!0){h=52;break b}}else{h=51}}while(0);if((h|0)==51){h=0;o=a[(c[(c[j+4>>2]|0)+16>>2]|0)+n|0]|0;p=f+428|0;q=c[p>>2]|0;c[p>>2]=q+1;a[q]=o;if(!1){h=52;break b}}n=n+1|0}g=1}if((h|0)==21){Aaa(e,b|0);d:while(1){b=Baa(e)|0;if((b|0)==0){h=58;break}if((a[b+32|0]|0)==0){continue}e:do{if((g&255|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((zaa(f+416|0)|0)<<24>>24!=0){break}if(0){break e}else{h=66;break d}}}while(0);n=f+428|0;j=c[n>>2]|0;c[n>>2]=j+1;a[j]=12;if(!1){h=66;break d}}}while(0);j=c[b>>2]|0;while(1){if((a[j]|0)==0){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((zaa(f+416|0)|0)<<24>>24!=0){h=72;break}if(!0){h=73;break d}}else{h=72}}while(0);if((h|0)==72){h=0;n=a[j]|0;k=f+428|0;o=c[k>>2]|0;c[k>>2]=o+1;a[o]=n;if(!1){h=73;break d}}j=j+1|0}g=1}if((h|0)==58){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((zaa(f+416|0)|0)<<24>>24!=0){h=80;break}if(0){h=82}else{h=81}}else{h=80}}while(0);if((h|0)==80){g=f+428|0;e=c[g>>2]|0;c[g>>2]=e+1;a[e]=0;if(1){h=82}else{h=81}}if((h|0)==81){l=0;m=l;i=d;return m|0}else if((h|0)==82){l=c[f+432>>2]|0;m=l;i=d;return m|0}}else if((h|0)==66){l=0;m=l;i=d;return m|0}else if((h|0)==73){l=0;m=l;i=d;return m|0}}else if((h|0)==29){l=0;m=l;i=d;return m|0}else if((h|0)==36){l=0;m=l;i=d;return m|0}else if((h|0)==43){l=0;m=l;i=d;return m|0}else if((h|0)==52){l=0;m=l;i=d;return m|0}return 0}function fba(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=i;k=b;b=e;e=f;f=g;g=h;h=c[k+356>>2]|0;l=0;m=0;n=Caa(k,h+20|0,c[f>>2]|0,0)|0;if((n|0)==0){o=iaa(h+80|0,c[f>>2]|0)|0;if((o|0)==0){p=1;q=p;i=j;return q|0}n=Caa(k,h+20|0,o,24)|0;if((n|0)==0){p=1;q=p;i=j;return q|0}do{if((d[k+236|0]|0)!=0){if((lba(k,n)|0)!=0){break}p=1;q=p;i=j;return q|0}}while(0)}o=c[n+12>>2]|0;r=ke[c[b+40>>2]&127](b,e,c[k+380>>2]|0,c[k+392>>2]|0)|0;if((r+o|0)>(c[k+380>>2]|0)){s=c[k+380>>2]|0;c[k+380>>2]=r+o+16;t=he[c[k+16>>2]&127](c[k+392>>2]|0,c[k+380>>2]<<4)|0;if((t|0)==0){p=1;q=p;i=j;return q|0}c[k+392>>2]=t;if((r|0)>(s|0)){ke[c[b+40>>2]&127](b,e,r,c[k+392>>2]|0)|0}}e=c[k+392>>2]|0;s=0;while(1){if((s|0)>=(r|0)){u=49;break}t=(c[k+392>>2]|0)+(s<<4)|0;v=c[t>>2]|0;w=c[t>>2]|0;x=Paa(k,b,v,w+(he[c[b+32>>2]&127](b,c[t>>2]|0)|0)|0)|0;if((x|0)==0){u=19;break}if((a[(c[x>>2]|0)-1|0]|0)!=0){u=21;break}a[(c[x>>2]|0)-1|0]=1;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x>>2];if((a[(c[k+392>>2]|0)+(s<<4)+12|0]|0)!=0){c[e+(l<<2)>>2]=Laa(k+416|0,b,c[(c[k+392>>2]|0)+(s<<4)+4>>2]|0,c[(c[k+392>>2]|0)+(s<<4)+8>>2]|0)|0;if((c[e+(l<<2)>>2]|0)==0){u=37;break}c[k+432>>2]=c[k+428>>2]}else{t=1;if((a[x+8|0]|0)!=0){w=0;while(1){if((w|0)>=(o|0)){break}if((x|0)==(c[(c[n+20>>2]|0)+(w*12|0)>>2]|0)){u=29;break}w=w+1|0}if((u|0)==29){u=0;t=a[(c[n+20>>2]|0)+(w*12|0)+4|0]|0}}y=Taa(k,b,t,c[(c[k+392>>2]|0)+(s<<4)+4>>2]|0,c[(c[k+392>>2]|0)+(s<<4)+8>>2]|0,k+416|0)|0;if((y|0)!=0){u=34;break}c[e+(l<<2)>>2]=c[k+432>>2];c[k+432>>2]=c[k+428>>2]}if((c[x+4>>2]|0)!=0){if((a[x+9|0]|0)!=0){z=Gaa(k,c[x+4>>2]|0,x,c[e+(l<<2)>>2]|0,g)|0;if((z|0)!=0){u=42;break}l=l-1|0}else{l=l+1|0;m=m+1|0;a[(c[x>>2]|0)-1|0]=2}}else{l=l+1|0}s=s+1|0}if((u|0)==19){p=1;q=p;i=j;return q|0}else if((u|0)==21){if((b|0)==(c[k+144>>2]|0)){c[k+288>>2]=c[(c[k+392>>2]|0)+(s<<4)>>2]}p=8;q=p;i=j;return q|0}else if((u|0)==34){p=y;q=p;i=j;return q|0}else if((u|0)==37){p=1;q=p;i=j;return q|0}else if((u|0)==42){p=z;q=p;i=j;return q|0}else if((u|0)==49){c[k+384>>2]=l;do{if((c[n+8>>2]|0)!=0){if((a[(c[c[n+8>>2]>>2]|0)-1|0]|0)==0){u=58;break}s=0;while(1){if((s|0)>=(l|0)){break}if((c[e+(s<<2)>>2]|0)==(c[c[n+8>>2]>>2]|0)){u=54;break}s=s+2|0}if((u|0)==54){c[k+388>>2]=s}}else{u=58}}while(0);if((u|0)==58){c[k+388>>2]=-1}s=0;a:while(1){if((s|0)>=(o|0)){break}x=(c[n+20>>2]|0)+(s*12|0)|0;do{if((a[(c[c[x>>2]>>2]|0)-1|0]|0)==0){if((c[x+8>>2]|0)==0){break}if((c[(c[x>>2]|0)+4>>2]|0)!=0){if((a[(c[x>>2]|0)+9|0]|0)!=0){A=Gaa(k,c[(c[x>>2]|0)+4>>2]|0,c[x>>2]|0,c[x+8>>2]|0,g)|0;if((A|0)!=0){u=66;break a}}else{a[(c[c[x>>2]>>2]|0)-1|0]=2;m=m+1|0;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[c[x>>2]>>2];t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x+8>>2]}}else{a[(c[c[x>>2]>>2]|0)-1|0]=1;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[c[x>>2]>>2];t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x+8>>2]}}}while(0);s=s+1|0}if((u|0)==66){p=A;q=p;i=j;return q|0}c[e+(l<<2)>>2]=0;s=0;if((m|0)!=0){A=c[k+400>>2]|0;o=1<<d[k+404|0];do{if((m<<1>>d[k+404|0]|0)!=0){do{x=k+404|0;t=a[x]|0;a[x]=t+1;}while((m>>(t&255)|0)!=0);if((d[k+404|0]|0)<3){a[k+404|0]=3}o=1<<d[k+404|0];t=he[c[k+16>>2]&127](c[k+396>>2]|0,o*12|0)|0;if((t|0)!=0){c[k+396>>2]=t;A=0;break}p=1;q=p;i=j;return q|0}}while(0);if((A|0)==0){A=-1;B=o;while(1){if((B|0)==0){break}t=B-1|0;B=t;c[(c[k+396>>2]|0)+(t*12|0)>>2]=A}}t=A-1|0;A=t;c[k+400>>2]=t;b:while(1){if((s|0)>=(l|0)){break}t=c[e+(s<<2)>>2]|0;if((a[t-1|0]|0)==2){x=c[k+496>>2]|0;a[t-1|0]=0;w=c[(c[(Caa(k,h+40|0,t,0)|0)+4>>2]|0)+4>>2]|0;if((w|0)==0){u=93;break}B=0;while(1){if((B|0)>=(c[w+20>>2]|0)){break}z=a[(c[w+16>>2]|0)+B|0]|0;do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((zaa(k+416|0)|0)<<24>>24!=0){u=99;break}if(!0){u=100;break b}}else{u=99}}while(0);if((u|0)==99){u=0;y=k+428|0;b=c[y>>2]|0;c[y>>2]=b+1;a[b]=z;if(!1){u=100;break b}}x=(x*1000003|0)^z&255;B=B+1|0}do{b=t;t=b+1|0;}while((a[b]|0)!=58);do{b=a[t]|0;do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((zaa(k+416|0)|0)<<24>>24!=0){u=110;break}if(!0){u=111;break b}}else{u=110}}while(0);if((u|0)==110){u=0;z=a[t]|0;y=k+428|0;v=c[y>>2]|0;c[y>>2]=v+1;a[v]=z;if(!1){u=111;break b}}x=(x*1000003|0)^b&255;z=t;t=z+1|0;}while((a[z]|0)!=0);z=0;v=o-1|0;B=x&v;while(1){if((c[(c[k+396>>2]|0)+(B*12|0)>>2]|0)!=(A|0)){break}if((x|0)==(c[(c[k+396>>2]|0)+(B*12|0)+4>>2]|0)){y=c[k+432>>2]|0;C=c[(c[k+396>>2]|0)+(B*12|0)+8>>2]|0;while(1){if((a[y]|0)==(a[C]|0)){D=(a[y]|0)!=0}else{D=0}if(!D){break}y=y+1|0;C=C+1|0}if((a[y]|0)==0){u=124;break b}}if(!(z<<24>>24!=0)){z=((x&~v)>>>(((d[k+404|0]|0)-1|0)>>>0)&v>>>2|1)&255}if((B|0)<(z&255|0)){C=B+(o-(z&255))|0;B=C;E=C}else{C=B-(z&255)|0;B=C;E=C}}if((a[k+237|0]|0)!=0){a[(c[k+428>>2]|0)-1|0]=a[k+472|0]|0;t=c[c[w>>2]>>2]|0;do{do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((zaa(k+416|0)|0)<<24>>24!=0){u=137;break}if(!0){u=138;break b}}else{u=137}}while(0);if((u|0)==137){u=0;y=a[t]|0;z=k+428|0;v=c[z>>2]|0;c[z>>2]=v+1;a[v]=y;if(!1){u=138;break b}}y=t;t=y+1|0;}while((a[y]|0)!=0)}t=c[k+432>>2]|0;c[k+432>>2]=c[k+428>>2];c[e+(s<<2)>>2]=t;c[(c[k+396>>2]|0)+(B*12|0)>>2]=A;c[(c[k+396>>2]|0)+(B*12|0)+4>>2]=x;c[(c[k+396>>2]|0)+(B*12|0)+8>>2]=t;w=m-1|0;m=w;if((w|0)==0){u=143;break}}else{a[t-1|0]=0}s=s+2|0}if((u|0)==93){p=27;q=p;i=j;return q|0}else if((u|0)==100){p=1;q=p;i=j;return q|0}else if((u|0)==111){p=1;q=p;i=j;return q|0}else if((u|0)==124){p=8;q=p;i=j;return q|0}else if((u|0)==138){p=1;q=p;i=j;return q|0}else if((u|0)==143){s=s+2|0}}while(1){if((s|0)>=(l|0)){break}a[(c[e+(s<<2)>>2]|0)-1|0]=0;s=s+2|0}e=c[g>>2]|0;while(1){if((e|0)==0){break}a[(c[c[e+12>>2]>>2]|0)-1|0]=0;e=c[e+4>>2]|0}if((a[k+236|0]|0)==0){p=0;q=p;i=j;return q|0}do{if((c[n+4>>2]|0)!=0){e=c[(c[n+4>>2]|0)+4>>2]|0;if((e|0)==0){p=27;q=p;i=j;return q|0}F=c[f>>2]|0;do{g=F;F=g+1|0;}while((a[g]|0)!=58)}else{if((c[h+156>>2]|0)!=0){e=c[h+156>>2]|0;F=c[f>>2]|0;break}else{p=0;q=p;i=j;return q|0}}}while(0);h=0;do{if((d[k+237|0]|0)!=0){if((c[c[e>>2]>>2]|0)==0){break}do{n=h;h=n+1|0;}while((a[(c[c[e>>2]>>2]|0)+n|0]|0)!=0)}}while(0);c[f+4>>2]=F;c[f+16>>2]=c[e+20>>2];c[f+8>>2]=c[c[e>>2]>>2];c[f+20>>2]=h;s=0;do{n=s;s=n+1|0;}while((a[F+n|0]|0)!=0);r=s+(c[e+20>>2]|0)+h|0;if((r|0)>(c[e+24>>2]|0)){G=Yd[c[k+12>>2]&255](r+24|0)|0;if((G|0)==0){p=1;q=p;i=j;return q|0}c[e+24>>2]=r+24;kKa(G|0,c[e+16>>2]|0,c[e+20>>2]|0)|0;r=c[k+364>>2]|0;while(1){if((r|0)==0){break}if((c[r+12>>2]|0)==(c[e+16>>2]|0)){c[r+12>>2]=G}r=c[r>>2]|0}Vd[c[k+20>>2]&511](c[e+16>>2]|0);c[e+16>>2]=G}G=(c[e+16>>2]|0)+(c[e+20>>2]|0)|0;kKa(G|0,F|0,s)|0;if((h|0)!=0){G=G+(s-1)|0;a[G]=a[k+472|0]|0;kKa(G+1|0,c[c[e>>2]>>2]|0,h)|0}c[f>>2]=c[e+16>>2];p=0;q=p;i=j;return q|0}return 0}function gba(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;e=f;c[j+280>>2]=66;c[j+288>>2]=b;a:while(1){c[h>>2]=0;f=ke[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;c[j+292>>2]=c[h>>2];switch(f|0){case 15:{if((c[j+80>>2]|0)!=0){xaa(j,c[j+144>>2]|0,b,c[h>>2]|0)}break};case-15:{k=3;break a;break};case 11:{if((_aa(j,c[j+144>>2]|0,b,c[h>>2]|0)|0)==0){k=13;break a}break};case-4:{k=8;break a;break};case 13:{if(($aa(j,c[j+144>>2]|0,b,c[h>>2]|0)|0)==0){k=16;break a}break};case 0:{k=18;break a;break};case-1:{k=19;break a;break};case-2:{k=22;break a;break};default:{k=25;break a}}f=c[h>>2]|0;b=f;c[j+288>>2]=f;f=c[j+480>>2]|0;if((f|0)==3){k=27;break}else if((f|0)==2){k=28;break}}b:do{if((k|0)==3){do{if((c[j+80>>2]|0)!=0){xaa(j,c[j+144>>2]|0,b,c[h>>2]|0);if((c[j+480>>2]|0)==2){l=35;break b}else{break}}}while(0);c[e>>2]=c[h>>2];l=0}else if((k|0)==8){c[e>>2]=b;l=0}else if((k|0)==13){l=1}else if((k|0)==16){l=1}else if((k|0)==18){c[j+288>>2]=c[h>>2];l=4}else if((k|0)==19){if((a[j+484|0]|0)!=0){l=5;break}else{c[e>>2]=b;l=0;break}}else if((k|0)==22){if((a[j+484|0]|0)!=0){l=6;break}else{c[e>>2]=b;l=0;break}}else if((k|0)==25){l=9}else if((k|0)==27){c[e>>2]=c[h>>2];l=0}else if((k|0)==28){l=35}}while(0);i=g;return l|0}function hba(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;j=i;i=i+32|0;k=j|0;l=j+8|0;m=j+16|0;n=j+24|0;o=b;b=d;d=e;e=f;f=g;g=h;c[k>>2]=c[d>>2];if((b|0)==(c[o+144>>2]|0)){p=o+288|0;c[p>>2]=c[k>>2];q=o+292|0}else{p=c[o+300>>2]|0;q=(c[o+300>>2]|0)+4|0}c[p>>2]=c[k>>2];c[d>>2]=0;a:while(1){h=ke[c[b+8>>2]&127](b,c[k>>2]|0,e,l)|0;c[q>>2]=c[l>>2];switch(h|0){case 40:{r=6;break a;break};case 7:{if((c[o+60>>2]|0)!=0){a[m]=10;le[c[o+60>>2]&15](c[o+4>>2]|0,m,1)}else{if((c[o+80>>2]|0)!=0){xaa(o,b,c[k>>2]|0,c[l>>2]|0)}}break};case 6:{h=c[o+60>>2]|0;if((h|0)!=0){if((a[b+72|0]|0)!=0){le[h&15](c[o+4>>2]|0,c[k>>2]|0,(c[l>>2]|0)-(c[k>>2]|0)|0)}else{while(1){c[n>>2]=c[o+44>>2];Ud[c[b+60>>2]&31](b,k,c[l>>2]|0,n,c[o+48>>2]|0);c[q>>2]=c[l>>2];le[h&15](c[o+4>>2]|0,c[o+44>>2]|0,(c[n>>2]|0)-(c[o+44>>2]|0)|0);if((c[k>>2]|0)==(c[l>>2]|0)){break}c[p>>2]=c[k>>2]}}}else{if((c[o+80>>2]|0)!=0){xaa(o,b,c[k>>2]|0,c[l>>2]|0)}}break};case 0:{r=33;break a;break};case-2:{r=34;break a;break};case-1:case-4:{r=37;break a;break};default:{r=40;break a}}h=c[l>>2]|0;c[k>>2]=h;c[p>>2]=h;h=c[o+480>>2]|0;if((h|0)==3){r=42;break}else if((h|0)==2){r=43;break}}if((r|0)==6){if((c[o+76>>2]|0)!=0){Vd[c[o+76>>2]&511](c[o+4>>2]|0)}else{if((c[o+80>>2]|0)!=0){xaa(o,b,c[k>>2]|0,c[l>>2]|0)}}c[d>>2]=c[l>>2];c[f>>2]=c[l>>2];if((c[o+480>>2]|0)==2){s=35;t=s;i=j;return t|0}else{s=0;t=s;i=j;return t|0}}else if((r|0)==33){c[p>>2]=c[l>>2];s=4;t=s;i=j;return t|0}else if((r|0)==34){if(g<<24>>24!=0){c[f>>2]=c[k>>2];s=0;t=s;i=j;return t|0}else{s=6;t=s;i=j;return t|0}}else if((r|0)==37){if(g<<24>>24!=0){c[f>>2]=c[k>>2];s=0;t=s;i=j;return t|0}else{s=20;t=s;i=j;return t|0}}else if((r|0)==40){c[p>>2]=c[l>>2];s=23;t=s;i=j;return t|0}else if((r|0)==42){c[f>>2]=c[l>>2];s=0;t=s;i=j;return t|0}else if((r|0)==43){s=35;t=s;i=j;return t|0}return 0}function iba(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;c[h>>2]=d;d=e;e=f;f=hba(j,c[j+144>>2]|0,h,d,e,((a[j+484|0]|0)!=0^1)&1)|0;if((f|0)!=0){k=f;l=k;i=g;return l|0}if((c[h>>2]|0)==0){k=f;l=k;i=g;return l|0}if((c[j+476>>2]|0)!=0){c[j+280>>2]=68;k=jba(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}else{c[j+280>>2]=6;k=Naa(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}return 0}function jba(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=cba(h,1,c[h+144>>2]|0,d,e,f,((a[h+484|0]|0)!=0^1)&1)|0;do{if((b|0)==0){if((kba(h)|0)<<24>>24!=0){break}j=1;k=j;i=g;return k|0}}while(0);j=b;k=j;i=g;return k|0}function kba(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;d=a;a=c[d+364>>2]|0;while(1){if((a|0)==0){break}e=(c[a+24>>2]|0)+1|0;f=(c[a+36>>2]|0)+e|0;if((c[a+4>>2]|0)==(f|0)){g=4;break}h=e+(c[a+8>>2]|0)|0;if((h|0)>((c[a+40>>2]|0)-(c[a+36>>2]|0)|0)){j=he[c[d+16>>2]&127](c[a+36>>2]|0,h)|0;if((j|0)==0){g=7;break}if((c[a+12>>2]|0)==(c[a+36>>2]|0)){c[a+12>>2]=j}if((c[a+16>>2]|0)!=0){c[a+16>>2]=j+((c[a+16>>2]|0)-(c[a+36>>2]|0))}c[a+36>>2]=j;c[a+40>>2]=j+h;f=j+e|0}kKa(f|0,c[a+4>>2]|0,c[a+8>>2]|0)|0;c[a+4>>2]=f;a=c[a>>2]|0}if((g|0)!=4)if((g|0)==7){k=0;l=k;i=b;return l|0}k=1;l=k;i=b;return l|0}function lba(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;f=b;b=d;d=c[f+356>>2]|0;g=c[b>>2]|0;a:while(1){if((a[g]|0)==0){h=26;break}if((a[g]|0)==58){j=c[b>>2]|0;while(1){if((j|0)==(g|0)){break}do{if((c[d+92>>2]|0)==(c[d+88>>2]|0)){if((zaa(d+80|0)|0)<<24>>24!=0){h=9;break}if(!0){h=10;break a}}else{h=9}}while(0);if((h|0)==9){h=0;k=a[j]|0;l=d+92|0;m=c[l>>2]|0;c[l>>2]=m+1;a[m]=k;if(!1){h=10;break a}}j=j+1|0}do{if((c[d+92>>2]|0)==(c[d+88>>2]|0)){if((zaa(d+80|0)|0)<<24>>24!=0){h=16;break}if(!0){h=17;break a}}else{h=16}}while(0);if((h|0)==16){h=0;j=d+92|0;k=c[j>>2]|0;c[j>>2]=k+1;a[k]=0;if(!1){h=17;break}}k=Caa(f,d+60|0,c[d+96>>2]|0,8)|0;if((k|0)==0){h=19;break}if((c[k>>2]|0)==(c[d+96>>2]|0)){c[d+96>>2]=c[d+92>>2]}else{c[d+92>>2]=c[d+96>>2]}c[b+4>>2]=k}g=g+1|0}if((h|0)==10){n=0;o=n;i=e;return o|0}else if((h|0)==17){n=0;o=n;i=e;return o|0}else if((h|0)==19){n=0;o=n;i=e;return o|0}else if((h|0)==26){n=1;o=n;i=e;return o|0}return 0}function mba(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+16|0;l=k|0;m=k+8|0;n=b;b=e;e=f;f=g;g=h;h=j;j=c[n+356>>2]|0;a:while(1){b:do{switch(ke[c[b+16>>2]&127](b,f,g,l)|0){case 6:{if((Raa(h,b,f,c[l>>2]|0)|0)==0){o=34;break a}break};case-4:{o=3;break a;break};case 0:{o=4;break a;break};case-1:{o=7;break a;break};case 10:{p=he[c[b+44>>2]&127](b,f)|0;if((p|0)<0){o=11;break a}do{if(!(e<<24>>24!=0)){if((p|0)!=32){break}if(((c[h+12>>2]|0)-(c[h+16>>2]|0)|0)!=0){if((a[(c[h+12>>2]|0)-1|0]|0)!=32){break}}break b}}while(0);p=tba(p,m|0)|0;if((p|0)==0){o=20;break a}q=0;while(1){if((q|0)>=(p|0)){break}do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((zaa(h)|0)<<24>>24!=0){o=28;break}if(!0){o=29;break a}}else{o=28}}while(0);if((o|0)==28){o=0;r=a[m+q|0]|0;s=h+12|0;t=c[s>>2]|0;c[s>>2]=t+1;a[t]=r;if(!1){o=29;break a}}q=q+1|0}break};case 9:{q=(_d[c[b+48>>2]&127](b,f+(c[b+68>>2]|0)|0,(c[l>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0)&255;if(q<<24>>24!=0){do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((zaa(h)|0)<<24>>24!=0){o=51;break}if(!0){o=52;break a}}else{o=51}}while(0);if((o|0)==51){o=0;p=h+12|0;r=c[p>>2]|0;c[p>>2]=r+1;a[r]=q;if(!1){o=52;break a}}break b}r=Laa(n+440|0,b,f+(c[b+68>>2]|0)|0,(c[l>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((r|0)==0){o=55;break a}p=Caa(n,j|0,r,0)|0;c[n+452>>2]=c[n+456>>2];if((h|0)==(j+80|0)){if((c[n+272>>2]|0)!=0){if((d[j+130|0]|0)!=0){u=((c[n+300>>2]|0)!=0^1)&1}else{u=((a[j+129|0]|0)!=0^1)&1}v=(u|0)!=0}else{v=0}w=v&1}else{if((a[j+129|0]|0)!=0){x=(d[j+130|0]|0)!=0}else{x=1}w=x&1}do{if(w<<24>>24!=0){if((p|0)==0){o=68;break a}if((a[p+34|0]|0)==0){o=70;break a}}else{if((p|0)!=0){break}else{break b}}}while(0);if((a[p+32|0]|0)!=0){o=77;break a}if((c[p+28>>2]|0)!=0){o=81;break a}if((c[p+4>>2]|0)==0){o=85;break a}q=(c[p+4>>2]|0)+(c[p+8>>2]|0)|0;a[p+32|0]=1;y=mba(n,c[n+228>>2]|0,e,c[p+4>>2]|0,q,h)|0;a[p+32|0]=0;if((y|0)!=0){o=89;break a}break};case-3:{c[l>>2]=f+(c[b+68>>2]|0);o=37;break};case 39:case 7:{o=37;break};default:{o=92;break a}}}while(0);c:do{if((o|0)==37){o=0;do{if(!(e<<24>>24!=0)){if(((c[h+12>>2]|0)-(c[h+16>>2]|0)|0)!=0){if((a[(c[h+12>>2]|0)-1|0]|0)!=32){break}}break c}}while(0);do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((zaa(h)|0)<<24>>24!=0){o=44;break}if(!0){o=45;break a}}else{o=44}}while(0);if((o|0)==44){o=0;p=h+12|0;q=c[p>>2]|0;c[p>>2]=q+1;a[q]=32;if(!1){o=45;break a}}}}while(0);f=c[l>>2]|0}if((o|0)==3){z=0;A=z;i=k;return A|0}else if((o|0)==4){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=c[l>>2]}z=4;A=z;i=k;return A|0}else if((o|0)==7){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=4;A=z;i=k;return A|0}else if((o|0)==11){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=14;A=z;i=k;return A|0}else if((o|0)==20){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=14;A=z;i=k;return A|0}else if((o|0)==29){z=1;A=z;i=k;return A|0}else if((o|0)==34){z=1;A=z;i=k;return A|0}else if((o|0)==45){z=1;A=z;i=k;return A|0}else if((o|0)==52){z=1;A=z;i=k;return A|0}else if((o|0)==55){z=1;A=z;i=k;return A|0}else if((o|0)==68){z=11;A=z;i=k;return A|0}else if((o|0)==70){z=24;A=z;i=k;return A|0}else if((o|0)==77){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=12;A=z;i=k;return A|0}else if((o|0)==81){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=15;A=z;i=k;return A|0}else if((o|0)==85){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=16;A=z;i=k;return A|0}else if((o|0)==89){z=y;A=z;i=k;return A|0}else if((o|0)==92){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=23;A=z;i=k;return A|0}return 0}function nba(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+1040|0;f=e|0;g=b;b=d;if((c[g+124>>2]|0)!=0){d=0;while(1){if((d|0)>=256){break}c[f+(d<<2)>>2]=-1;d=d+1|0}c[f+1028>>2]=0;c[f+1024>>2]=0;c[f+1032>>2]=0;do{if((_d[c[g+124>>2]&127](c[g+248>>2]|0,b,f)|0)!=0){d=c[g+12>>2]|0;h=uba()|0;c[g+240>>2]=Yd[d&255](h)|0;if((c[g+240>>2]|0)!=0){h=ke[((a[g+236|0]&255|0)!=0?36:62)&127](c[g+240>>2]|0,f|0,c[f+1028>>2]|0,c[f+1024>>2]|0)|0;if((h|0)==0){break}c[g+244>>2]=c[f+1024>>2];c[g+252>>2]=c[f+1032>>2];c[g+144>>2]=h;j=0;k=j;i=e;return k|0}else{if((c[f+1032>>2]|0)!=0){Vd[c[f+1032>>2]&511](c[f+1024>>2]|0)}j=1;k=j;i=e;return k|0}}}while(0);if((c[f+1032>>2]|0)!=0){Vd[c[f+1032>>2]&511](c[f+1024>>2]|0)}}j=18;k=j;i=e;return k|0}function oba(){var a=0,b=0;a=i;Nc(((Qd(0)|0)>>>0)%4294967295|0|0);b=qKa()|0;i=a;return b|0}function pba(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=a;a=Haa(g)|0;if((a|0)!=0){h=a;j=h;i=f;return j|0}else{c[g+280>>2]=76;h=Iaa(g,b,d,e)|0;j=h;i=f;return j|0}return 0}function qba(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;b=Yd[c[e>>2]&255](188)|0;if((b|0)==0){f=b;g=f;i=d;return g|0}else{rba(b+80|0,e);rba(b+104|0,e);sba(b|0,e);sba(b+20|0,e);sba(b+40|0,e);sba(b+60|0,e);a[b+131|0]=0;sba(b+132|0,e);c[b+152>>2]=0;c[b+156>>2]=0;a[b+160|0]=0;c[b+184>>2]=0;c[b+164>>2]=0;c[b+180>>2]=0;c[b+172>>2]=0;c[b+176>>2]=0;c[b+168>>2]=0;a[b+128|0]=1;a[b+129|0]=0;a[b+130|0]=0;f=b;g=f;i=d;return g|0}return 0}function rba(a,b){a=a|0;b=b|0;var d=0;d=a;c[d>>2]=0;c[d+4>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;c[d+8>>2]=0;c[d+20>>2]=b;i=i;return}function sba(b,d){b=b|0;d=d|0;var e=0;e=b;a[e+4|0]=0;c[e+8>>2]=0;c[e+12>>2]=0;c[e>>2]=0;c[e+16>>2]=d;i=i;return}function tba(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=i;e=b;b=c;if((e|0)<0){f=0;g=f;i=d;return g|0}if((e|0)<128){a[b|0]=e;f=1;g=f;i=d;return g|0}if((e|0)<2048){a[b|0]=e>>6|192;a[b+1|0]=e&63|128;f=2;g=f;i=d;return g|0}if((e|0)<65536){a[b|0]=e>>12|224;a[b+1|0]=e>>6&63|128;a[b+2|0]=e&63|128;f=3;g=f;i=d;return g|0}if((e|0)<1114112){a[b|0]=e>>18|240;a[b+1|0]=e>>12&63|128;a[b+2|0]=e>>6&63|128;a[b+3|0]=e&63|128;f=4;g=f;i=d;return g|0}else{f=0;g=f;i=d;return g|0}return 0}function uba(){return 1912}function vba(e,f,g,h){e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=e;e=f;f=g;g=h;h=k;l=0;while(1){if((l|0)>=368){break}a[k+l|0]=a[15480+l|0]|0;l=l+1|0}l=0;a:while(1){if((l|0)>=128){break}do{if((d[15556+l|0]|0|0)!=28){if((d[15556+l|0]|0|0)==0){break}if((c[e+(l<<2)>>2]|0)!=(l|0)){m=10;break a}}}while(0);l=l+1|0}if((m|0)==10){n=0;o=n;i=j;return o|0}l=0;b:while(1){if((l|0)>=256){m=46;break}k=c[e+(l<<2)>>2]|0;if((k|0)==-1){a[h+76+l|0]=1;b[h+376+(l<<1)>>1]=-1;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=0}else{if((k|0)<0){if((k|0)<-4){m=19;break}a[h+76+l|0]=5-(k+2);a[h+888+(l<<2)|0]=0;b[h+376+(l<<1)>>1]=0}else{if((k|0)<128){do{if((d[15556+k|0]|0|0)!=28){if((d[15556+k|0]|0|0)==0){break}if((k|0)!=(l|0)){m=25;break b}}}while(0);a[h+76+l|0]=a[15556+k|0]|0;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=k;if((k|0)==0){p=65535}else{p=k}b[h+376+(l<<1)>>1]=p}else{if((wba(k)|0)<0){a[h+76+l|0]=0;b[h+376+(l<<1)>>1]=-1;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=0}else{if((k|0)>65535){m=33;break}if((c[12512+(((d[8896+(k>>8)|0]|0)<<3)+((k&255)>>5)<<2)>>2]&1<<(k&31)|0)!=0){a[h+76+l|0]=22}else{if((c[12512+(((d[13792+(k>>8)|0]|0)<<3)+((k&255)>>5)<<2)>>2]&1<<(k&31)|0)!=0){a[h+76+l|0]=26}else{a[h+76+l|0]=28}}a[h+888+(l<<2)|0]=tba(k,h+888+(l<<2)+1|0)|0;b[h+376+(l<<1)>>1]=k}}}}l=l+1|0}if((m|0)==19){n=0;o=n;i=j;return o|0}else if((m|0)==25){n=0;o=n;i=j;return o|0}else if((m|0)==33){n=0;o=n;i=j;return o|0}else if((m|0)==46){c[h+372>>2]=g;c[h+368>>2]=f;if((f|0)!=0){c[h+332>>2]=12;c[h+336>>2]=12;c[h+340>>2]=12;c[h+344>>2]=34;c[h+348>>2]=34;c[h+352>>2]=34;c[h+356>>2]=58;c[h+360>>2]=58;c[h+364>>2]=58}c[h+60>>2]=12;c[h+64>>2]=26;n=h|0;o=n;i=j;return o|0}return 0}function wba(a){a=a|0;var b=0,c=0,e=0,f=0;b=i;c=a;a:do{switch(c>>8|0){case 0:{if((d[15556+c|0]|0|0)==0){e=-1;break a}else{f=10;break a}break};case 216:case 217:case 218:case 219:case 220:case 221:case 222:case 223:{e=-1;break};case 255:{do{if((c|0)!=65534){if((c|0)==65535){break}f=10;break a}}while(0);e=-1;break};default:{f=10}}}while(0);if((f|0)==10){e=c}i=b;return e|0}function xba(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0;e=i;f=a;a=he[c[f+368>>2]&127](c[f+372>>2]|0,b)|0;if((a&-65536|0)!=0){g=0;h=g;i=e;return h|0}else{g=c[12512+(((d[13792+(a>>8)|0]|0)<<3)+((a&255)>>5)<<2)>>2]&1<<(a&31);h=g;i=e;return h|0}return 0}function yba(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0;e=i;f=a;a=he[c[f+368>>2]&127](c[f+372>>2]|0,b)|0;if((a&-65536|0)!=0){g=0;h=g;i=e;return h|0}else{g=c[12512+(((d[8896+(a>>8)|0]|0)<<3)+((a&255)>>5)<<2)>>2]&1<<(a&31);h=g;i=e;return h|0}return 0}function zba(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a;a=he[c[e+368>>2]&127](c[e+372>>2]|0,b)|0;if((a&-65536|0)!=0){f=1;g=f&1;i=d;return g|0}f=(wba(a)|0)<0;g=f&1;i=d;return g|0}function Aba(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;j=i;i=i+8|0;k=j|0;l=b;b=e;e=f;f=g;g=h;h=l;while(1){if((c[b>>2]|0)==(e|0)){m=3;break}n=h+888+(d[c[b>>2]|0]<<2)|0;o=n;n=o+1|0;p=a[o]|0;if((p|0)==0){p=tba(he[c[h+368>>2]&127](c[h+372>>2]|0,c[b>>2]|0)|0,k|0)|0;if((p|0)>(g-(c[f>>2]|0)|0)){m=6;break}n=k|0;o=b;c[o>>2]=(c[o>>2]|0)+((d[l+76+(d[c[b>>2]|0]|0)|0]|0)-3)}else{if((p|0)>(g-(c[f>>2]|0)|0)){m=9;break}o=b;c[o>>2]=(c[o>>2]|0)+1}do{o=n;n=o+1|0;q=a[o]|0;o=f;r=c[o>>2]|0;c[o>>2]=r+1;a[r]=q;q=p-1|0;p=q;}while((q|0)!=0)}if((m|0)==3){i=j;return}else if((m|0)==6){i=j;return}else if((m|0)==9){i=j;return}}function Bba(a,e,f,g,h){a=a|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=i;k=a;a=e;e=f;f=g;g=h;h=k;while(1){if((c[a>>2]|0)!=(e|0)){l=(c[f>>2]|0)!=(g|0)}else{l=0}if(!l){break}m=b[h+376+((d[c[a>>2]|0]|0)<<1)>>1]|0;if((m&65535|0)==0){m=(he[c[h+368>>2]&127](c[h+372>>2]|0,c[a>>2]|0)|0)&65535;n=a;c[n>>2]=(c[n>>2]|0)+((d[k+76+(d[c[a>>2]|0]|0)|0]|0)-3)}else{n=a;c[n>>2]=(c[n>>2]|0)+1}n=f;o=c[n>>2]|0;c[n>>2]=o+2;b[o>>1]=m}i=j;return}function Cba(){return 16304}function Dba(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=b;b=d;d=Eba(e)|0;if((d|0)==-1){h=0;j=h;i=f;return j|0}else{a[g+73|0]=d;c[g>>2]=40;c[g+4>>2]=4;c[g+52>>2]=46;c[g+76>>2]=b;c[b>>2]=g;h=1;j=h;i=f;return j|0}return 0}function Eba(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;do{if((d|0)==0){e=6}else{a=0;while(1){if((a|0)>=6){f=9;break}if((Sba(d,c[16768+(a<<2)>>2]|0)|0)!=0){f=6;break}a=a+1|0}if((f|0)==6){e=a;break}else if((f|0)==9){e=-1;break}}}while(0);i=b;return e|0}function Fba(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=Qda(16912,a,0,b,c,d)|0;i=e;return f|0}function Gba(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=Qda(16912,a,1,b,c,d)|0;i=e;return f|0}function Hba(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=i;nda(816,b,c,d);i=a;return}function Iba(a,b,c,d,e,f,g,h,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0;l=i;m=Jba(24,a,b,c,d,e,f,g,h,j,k)|0;i=l;return m|0}function Jba(a,b,d,e,f,g,h,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;n=i;i=i+32|0;o=n|0;p=n+8|0;q=n+16|0;r=n+24|0;s=a;a=b;b=d;c[o>>2]=e;e=f;f=g;g=h;h=j;j=k;k=l;l=m;c[p>>2]=0;c[q>>2]=0;c[r>>2]=0;c[o>>2]=(c[o>>2]|0)+((c[b+68>>2]|0)*5|0);e=e+(-(c[b+68>>2]<<1)|0)|0;do{if((Rda(b,c[o>>2]|0,e,q,r,p,o)|0)!=0){if((c[q>>2]|0)==0){break}do{if((ke[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,8544704)|0)!=0){if((g|0)!=0){c[g>>2]=c[p>>2]}if((h|0)!=0){c[h>>2]=c[o>>2]}if((Rda(b,c[o>>2]|0,e,q,r,p,o)|0)==0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}if((c[q>>2]|0)!=0){break}if((a|0)!=0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}else{t=1;u=t;i=n;return u|0}}else{if((a|0)!=0){break}c[f>>2]=c[q>>2];t=0;u=t;i=n;return u|0}}while(0);do{if((ke[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,8544736)|0)!=0){m=Sda(b,c[p>>2]|0,e)|0;if(97<=(m|0)){if((m|0)>122){v=22}}else{v=22}do{if((v|0)==22){if(65<=(m|0)){if((m|0)<=90){break}}c[f>>2]=c[p>>2];t=0;u=t;i=n;return u|0}}while(0);if((j|0)!=0){c[j>>2]=c[p>>2]}if((k|0)!=0){c[k>>2]=_d[s&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0}if((Rda(b,c[o>>2]|0,e,q,r,p,o)|0)==0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}if((c[q>>2]|0)!=0){break}t=1;u=t;i=n;return u|0}}while(0);do{if((ke[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,8544712)|0)!=0){if((a|0)!=0){break}if((ke[c[b+28>>2]&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0,8544696)|0)!=0){if((l|0)!=0){c[l>>2]=1}}else{if((ke[c[b+28>>2]&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0,8544728)|0)==0){c[f>>2]=c[p>>2];t=0;u=t;i=n;return u|0}if((l|0)!=0){c[l>>2]=0}}while(1){if((Tda(Sda(b,c[o>>2]|0,e)|0)|0)==0){break}c[o>>2]=(c[o>>2]|0)+(c[b+68>>2]|0)}if((c[o>>2]|0)!=(e|0)){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}else{t=1;u=t;i=n;return u|0}}}while(0);c[f>>2]=c[q>>2];t=0;u=t;i=n;return u|0}}while(0);c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}function Kba(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+144|0;g=f|0;h=f+8|0;j=f+136|0;k=b;c[g>>2]=d;d=e;c[j>>2]=h;Ud[c[k+60>>2]&31](k,g,d,j,(c[j>>2]|0)+128-1|0);if((c[g>>2]|0)!=(d|0)){l=0;m=l;i=f;return m|0}a[c[j>>2]|0]=0;do{if((Sba(h|0,8544792)|0)!=0){if((c[k+68>>2]|0)!=2){break}l=k;m=l;i=f;return m|0}}while(0);k=Eba(h|0)|0;if((k|0)==-1){l=0;m=l;i=f;return m|0}else{l=c[16912+(k<<2)>>2]|0;m=l;i=f;return m|0}return 0}function Lba(){return 15936}function Mba(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=b;b=d;d=Eba(e)|0;if((d|0)==-1){h=0;j=h;i=f;return j|0}else{a[g+73|0]=d;c[g>>2]=14;c[g+4>>2]=92;c[g+52>>2]=46;c[g+76>>2]=b;c[b>>2]=g;h=1;j=h;i=f;return j|0}return 0}function Nba(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=Qda(16880,a,0,b,c,d)|0;i=e;return f|0}function Oba(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=Qda(16880,a,1,b,c,d)|0;i=e;return f|0}function Pba(a,b,c,d,e,f,g,h,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0;l=i;m=Jba(58,a,b,c,d,e,f,g,h,j,k)|0;i=l;return m|0}function Qba(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+144|0;g=f|0;h=f+8|0;j=f+136|0;k=b;c[g>>2]=d;d=e;c[j>>2]=h;Ud[c[k+60>>2]&31](k,g,d,j,(c[j>>2]|0)+128-1|0);if((c[g>>2]|0)!=(d|0)){l=0;m=l;i=f;return m|0}a[c[j>>2]|0]=0;do{if((Sba(h|0,8544792)|0)!=0){if((c[k+68>>2]|0)!=2){break}l=k;m=l;i=f;return m|0}}while(0);k=Eba(h|0)|0;if((k|0)==-1){l=0;m=l;i=f;return m|0}else{l=c[16880+(k<<2)>>2]|0;m=l;i=f;return m|0}return 0}function Rba(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=vba(b,c,d,e)|0;if((g|0)==0){h=g;i=f;return h|0}a[g+134|0]=23;h=g;i=f;return h|0}function Sba(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;e=b;b=c;do{c=e;e=c+1|0;f=a[c]|0;c=b;b=c+1|0;g=a[c]|0;do{if(97<=(f<<24>>24|0)){if((f<<24>>24|0)>122){break}f=(f<<24>>24)-32&255}}while(0);do{if(97<=(g<<24>>24|0)){if((g<<24>>24|0)>122){break}g=(g<<24>>24)-32&255}}while(0);if((f<<24>>24|0)!=(g<<24>>24|0)){h=9;break}}while(f<<24>>24!=0);if((h|0)==9){j=0;k=j;i=d;return k|0}j=1;k=j;i=d;return k|0}function Tba(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)==0){k=-1;break a}else{e=b+g|0;break}}}while(0);if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=ica(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 36:{c[f>>2]=b+2;k=21;break a;break};case 11:{c[f>>2]=b+2;k=17;break a;break};case 20:{c[f>>2]=b+2;k=25;break a;break};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}if((b+2|0)==(e|0)){k=-1;break a}do{if((a[b+3|0]|0)==0){if((a[b+2|0]|0)!=62){break}c[f>>2]=b+4;k=34;break a}}while(0)}}while(0);c[f>>2]=b;k=26;break a;break};case 31:{c[f>>2]=b+2;k=23;break a;break};case 32:{b=b+2|0;if((b|0)==(e|0)){k=-24;break a}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 34:{c[f>>2]=b+2;k=37;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};case 33:{c[f>>2]=b+2;k=36;break a;break};case 15:{c[f>>2]=b+2;k=35;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 12:{k=uca(12,j,b+2|0,e,f)|0;break a;break};case 13:{k=uca(13,j,b+2|0,e,f)|0;break a;break};case 2:{b=b+2|0;if((b|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-2;k=29;break a;break};case 15:{k=qca(j,b+2|0,e,f)|0;break a;break};case 16:{k=vca(j,b+2|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 22:case 24:{o=18;b=b+2|0;p=86;break};case 25:case 26:case 27:case 23:{o=19;b=b+2|0;p=86;break};case 29:{if((c[12512+((d[8896+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){b=b+2|0;o=18;p=86;break b}if((c[12512+((d[13792+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){b=b+2|0;o=19;p=86;break b}else{p=85;break b}break};case 9:{if((b+2|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{p=26;break b}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:{p=26;break};case 19:{k=wca(j,b+2|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 35:{c[f>>2]=b+2;k=38;break a;break};case 30:{k=kca(j,b+2|0,e,f)|0;break a;break};default:{p=85}}}while(0);if((p|0)==26){while(1){b=b+2|0;if((b|0)==(e|0)){p=28;break}if((a[b+1|0]|0)==0){q=d[j+76+(d[b]|0)|0]|0}else{q=ica(a[b+1|0]|0,a[b|0]|0)|0}if(!((q|0)==21|(q|0)==10))if((q|0)==9){if((b+2|0)==(e|0)){p=36;break}}else{break}}if((p|0)==28){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((p|0)==85){c[f>>2]=b;k=0;break}else if((p|0)==86){c:while(1){if((b|0)==(e|0)){p=141;break}if((a[b+1|0]|0)==0){r=d[j+76+(d[b]|0)|0]|0}else{r=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(r|0){case 29:{if((c[12512+((d[13792+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){p=93;break c}p=95;break};case 22:case 24:case 25:case 26:case 27:{p=95;break};case 5:{p=96;break c;break};case 6:{p=99;break c;break};case 7:{p=102;break c;break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{p=105;break c;break};case 23:{b=b+2|0;g=o;if((g|0)==18){if((b|0)==(e|0)){p=108;break c}o=41;if((a[b+1|0]|0)==0){s=d[j+76+(d[b]|0)|0]|0}else{s=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(s|0){case 29:{if((c[12512+((d[13792+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){p=114;break c}p=116;break};case 22:case 24:case 25:case 26:case 27:{p=116;break};case 5:{p=117;break c;break};case 6:{p=120;break c;break};case 7:{p=123;break c;break};default:{o=19}}if((p|0)==116){p=0;b=b+2|0}}else if((g|0)==41){o=19}break};case 34:{p=130;break c;break};case 33:{p=133;break c;break};case 15:{p=136;break c;break};default:{p=139;break c}}if((p|0)==95){p=0;b=b+2|0}}if((p|0)==93){c[f>>2]=b;k=0;break}else if((p|0)==96){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((p|0)==99){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((p|0)==102){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((p|0)==105){c[f>>2]=b;k=o;break}else if((p|0)==108){k=-1;break}else if((p|0)==114){c[f>>2]=b;k=0;break}else if((p|0)==117){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((p|0)==120){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((p|0)==123){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((p|0)==130){if((o|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=32;break}}else if((p|0)==133){if((o|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=31;break}}else if((p|0)==136){if((o|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=30;break}}else if((p|0)==139){c[f>>2]=b;k=0;break}else if((p|0)==141){k=-o|0;break}}}}while(0);i=h;return k|0}function Uba(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=ica(a[b+1|0]|0,a[b|0]|0)|0}a:do{switch(m|0){case 2:{k=nca(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 3:{k=jca(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=ica(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=73;break}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=ica(a[b+1|0]|0,a[b|0]|0)|0}c:do{switch(p|0){case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};case 6:{if((e-b|0)<3){o=54;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){o=57;break b}b=b+4|0;break};case 4:{if((b+2|0)==(e|0)){o=69;break b}do{if((a[b+3|0]|0)==0){if((a[b+2|0]|0)!=93){break}if((b+4|0)==(e|0)){o=68;break b}if((a[b+5|0]|0)==0){if((a[b+4|0]|0)==62){o=67;break b}}b=b+2|0;break c}}while(0);b=b+2|0;break};case 5:{if((e-b|0)<2){o=51;break b}b=b+2|0;break};default:{b=b+2|0}}}while(0)}if((o|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==67){c[f>>2]=b+4;k=0;l=k;i=h;return l|0}else if((o|0)==68){o=69}else if((o|0)==73){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function Vba(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=ica(a[b+1|0]|0,a[b|0]|0)|0}a:do{switch(m|0){case 9:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=ica(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;k=40;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=60;break}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 5:{if((e-b|0)<2){o=49;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){o=52;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){o=55;break b}b=b+4|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{o=57;break b;break};default:{b=b+2|0}}}if((o|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==52){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==55){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==60){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function Wba(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;g=0;k=e-b|0;if((k&1|0)!=0){k=k&-2;e=b+k|0}a:while(1){if((b|0)==(e|0)){l=45;break}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 5:{if((e-b|0)<2){l=10;break a}b=b+2|0;break};case 4:{k=b+2|0;b=k;if((k|0)==(e|0)){l=31;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=35;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}b=b+2|0;if((g|0)==0){l=39;break a}g=g-1|0}}while(0)}}while(0);break};case 7:{if((e-b|0)<4){l=16;break a}b=b+4|0;break};case 0:case 1:case 8:{l=18;break a;break};case 2:{k=b+2|0;b=k;if((k|0)==(e|0)){l=20;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=33){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=24;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=91){break}g=g+1|0;b=b+2|0}}while(0)}}while(0);break};case 6:{if((e-b|0)<3){l=13;break a}b=b+3|0;break};default:{b=b+2|0}}}if((l|0)==10){n=-2;o=n;i=h;return o|0}else if((l|0)==13){n=-2;o=n;i=h;return o|0}else if((l|0)==16){n=-2;o=n;i=h;return o|0}else if((l|0)==18){c[f>>2]=b;n=0;o=n;i=h;return o|0}else if((l|0)==20){n=-1;o=n;i=h;return o|0}else if((l|0)==24){n=-1;o=n;i=h;return o|0}else if((l|0)==31){n=-1;o=n;i=h;return o|0}else if((l|0)==35){n=-1;o=n;i=h;return o|0}else if((l|0)==39){c[f>>2]=b;n=42;o=n;i=h;return o|0}else if((l|0)==45){n=-1;o=n;i=h;return o|0}return 0}function Xba(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)==(e|0)){k=-4}else{g=b;a:while(1){if((b|0)==(e|0)){l=34;break}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 3:{l=12;break a;break};case 2:{l=15;break a;break};case 21:{l=29;break a;break};case 9:{l=19;break a;break};case 7:{b=b+4|0;break};case 6:{b=b+3|0;break};case 5:{b=b+2|0;break};case 10:{l=16;break a;break};default:{b=b+2|0}}}if((l|0)==12){if((b|0)==(g|0)){k=jca(j,b+2|0,e,f)|0;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==16){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==19){if((b|0)!=(g|0)){c[f>>2]=b;k=6;break}b=b+2|0;if((b|0)==(e|0)){k=-3;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=ica(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;break}else if((l|0)==29){if((b|0)==(g|0)){c[f>>2]=b+2;k=39;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==34){c[f>>2]=b;k=6;break}}}while(0);i=h;return k|0}function Yba(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=b;a:while(1){if((b|0)==(e|0)){m=36;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 5:{b=b+2|0;break};case 7:{b=b+4|0;break};case 10:{m=21;break a;break};case 3:{m=12;break a;break};case 30:{m=15;break a;break};case 6:{b=b+3|0;break};case 9:{m=24;break a;break};default:{b=b+2|0}}}if((m|0)==12){if((b|0)==(g|0)){k=jca(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==15){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}n=kca(j,b+2|0,e,f)|0;if((n|0)==22){o=0}else{o=n}k=o;l=k;i=h;return l|0}else if((m|0)==21){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==24){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=ica(a[b+1|0]|0,a[b|0]|0)|0}if((p|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0}else if((m|0)==36){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function Zba(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;f=i;g=b;b=c;c=e;a:while(1){if((a[b+1|0]|0)==0){h=d[g+76+(d[b]|0)|0]|0}else{h=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(h|0){case 6:{j=9;break};case 5:{j=12;break};case 7:{e=b;b=e+1|0;k=c;c=k+1|0;if((a[e]|0)!=(a[k]|0)){j=7;break a}j=9;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{k=c;c=k+1|0;e=b;b=e+1|0;if((a[k]|0)!=(a[e]|0)){j=18;break a}e=c;c=e+1|0;k=b;b=k+1|0;if((a[e]|0)!=(a[k]|0)){j=20;break a}break};default:{j=22;break a}}if((j|0)==9){j=0;k=b;b=k+1|0;e=c;c=e+1|0;if((a[k]|0)!=(a[e]|0)){j=10;break}j=12}if((j|0)==12){j=0;e=b;b=e+1|0;k=c;c=k+1|0;if((a[e]|0)!=(a[k]|0)){j=13;break}k=b;b=k+1|0;e=c;c=e+1|0;if((a[k]|0)!=(a[e]|0)){j=15;break}}}if((j|0)==7){l=0;m=l;i=f;return m|0}else if((j|0)==10){l=0;m=l;i=f;return m|0}else if((j|0)==13){l=0;m=l;i=f;return m|0}else if((j|0)==15){l=0;m=l;i=f;return m|0}else if((j|0)==18){l=0;m=l;i=f;return m|0}else if((j|0)==20){l=0;m=l;i=f;return m|0}else if((j|0)==22){if((a[c+1|0]|0)==0){n=d[g+76+(d[c]|0)|0]|0}else{n=ica(a[c+1|0]|0,a[c|0]|0)|0}switch(n|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{l=0;m=l;i=f;return m|0};default:{l=1;m=l;i=f;return m|0}}}return 0}function _ba(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=10;break}if((f|0)==(c|0)){g=4;break}if((a[f+1|0]|0)!=0){g=7;break}if((a[f|0]|0)!=(a[d]|0)){g=7;break}f=f+2|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==7){h=0;j=h;i=b;return j|0}else if((g|0)==10){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function $ba(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;c=b;a:while(1){if((a[b+1|0]|0)==0){g=d[f+76+(d[b]|0)|0]|0}else{g=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(g|0){case 29:case 22:case 23:case 24:case 25:case 26:case 27:{b=b+2|0;break};case 7:{b=b+4|0;break};case 5:{b=b+2|0;break};case 6:{b=b+3|0;break};default:{break a}}}i=e;return b-c|0}function aca(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;while(1){if((a[b+1|0]|0)==0){g=d[f+76+(d[b]|0)|0]|0}else{g=ica(a[b+1|0]|0,a[b|0]|0)|0}if(!((g|0)==10|(g|0)==9|(g|0)==21)){break}b=b+2|0}i=e;return b|0}function bca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+2|0;a:while(1){if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 11:case 17:{if((g|0)!=2){break a}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b|0;break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b+1|0]|0)==0){n=a[b|0]|0}else{n=-1}if((n|0)!=32){break}if((a[b+3|0]|0)==0){o=a[b+2|0]|0}else{o=-1}if((o|0)==32){break}if((a[b+3|0]|0)==0){p=d[j+76+(d[b+2|0]|0)|0]|0}else{p=ica(a[b+3|0]|0,a[b+2|0]|0)|0}if((p|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};default:{}}b=b+2|0}i=h;return k|0}function cca(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c;c=0;d=d+4|0;do{if((a[d+1|0]|0)==0){if((a[d|0]|0)!=120){e=19;break}d=d+2|0;while(1){if((a[d+1|0]|0)==0){f=(a[d|0]|0)==59}else{f=0}if(!(f^1)){e=18;break}if((a[d+1|0]|0)==0){g=a[d|0]|0}else{g=-1}h=g;switch(h|0){case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|h-48;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(h-97+10)|0;break};case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(h-65+10)|0;break};default:{}}if((c|0)>=1114112){break}d=d+2|0}if((e|0)==18){break}j=-1;k=j;i=b;return k|0}else{e=19}}while(0);do{if((e|0)==19){while(1){if((a[d+1|0]|0)==0){l=(a[d|0]|0)==59}else{l=0}if(!(l^1)){e=30;break}if((a[d+1|0]|0)==0){m=a[d|0]|0}else{m=-1}c=c*10|0;c=c+(m-48)|0;if((c|0)>=1114112){break}d=d+2|0}if((e|0)==30){break}j=-1;k=j;i=b;return k|0}}while(0);j=wba(c)|0;k=j;i=b;return k|0}function dca(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;b=i;e=c;c=(d-e|0)/2|0;if((c|0)==4){if((a[e+1|0]|0)==0){f=a[e|0]|0}else{f=-1}if((f|0)==97){e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=112){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=111){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=115){break}g=39;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}else if((f|0)==113){e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=117){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=111){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=116){break}g=34;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}}else if((c|0)==3){do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=97){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=109){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=112){break}g=38;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}else if((c|0)==2){do{if((a[e+3|0]|0)==0){if((a[e+2|0]|0)!=116){break}if((a[e+1|0]|0)==0){j=a[e|0]|0}else{j=-1}if((j|0)==108){g=60;h=g;i=b;return h|0}else if((j|0)==103){g=62;h=g;i=b;return h|0}else{break}}}while(0)}g=0;h=g;i=b;return h|0}function eca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;while(1){if(!(b>>>0<e>>>0)){break}if((a[b+1|0]|0)==0){k=d[j+76+(d[b]|0)|0]|0}else{k=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(k|0){case 5:{b=b+2|0;break};case 6:{b=b+3|0;break};case 7:{b=b+4|0;break};case 10:{c[f+4>>2]=-1;g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;break};case 9:{g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;do{if((b|0)!=(e|0)){if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=ica(a[b+1|0]|0,a[b|0]|0)|0}if((l|0)!=10){break}b=b+2|0}}while(0);c[f+4>>2]=-1;break};default:{b=b+2|0}}g=f+4|0;c[g>>2]=(c[g>>2]|0)+1}i=h;return}function fca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;b=b+2|0;e=e-2|0;a:while(1){if((b|0)==(e|0)){k=27;break}if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=ica(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 26:case 22:{if((a[b+1|0]|0)==0){m=a[b|0]|0}else{m=-1}if((m&-128|0)!=0){k=18;break b}else{break b}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};case 21:{if((a[b+1|0]|0)==0){if((a[b|0]|0)==9){k=10;break a}}break};default:{k=18}}}while(0);if((k|0)==18){k=0;if((a[b+1|0]|0)==0){n=a[b|0]|0}else{n=-1}if(!((n|0)==36|(n|0)==64)){k=23;break}}b=b+2|0}if((k|0)==10){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==23){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==27){o=1;p=o;i=h;return p|0}return 0}function gca(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;h=d;d=e;e=f;f=g;g=c[h>>2]|0;a:while(1){if((g|0)==(d|0)){j=20;break}k=a[g|0]|0;l=a[g+1|0]|0;b:do{switch(l&255|0){case 216:case 217:case 218:case 219:{if((f-(c[e>>2]|0)|0)<4){j=16;break a}m=((l&3)<<2|(k&255)>>6&3)+1|0;n=e;o=c[n>>2]|0;c[n>>2]=o+1;a[o]=m>>2|240;o=e;n=c[o>>2]|0;c[o>>2]=n+1;a[n]=(k&255)>>2&15|(m&3)<<4|128;g=g+2|0;m=a[g|0]|0;n=((k&3)<<4|(a[g+1|0]&3)<<2|(m&255)>>6|128)&255;o=e;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=n;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=m&63|128;break};case 1:case 2:case 3:case 4:case 5:case 6:case 7:{j=9;break};case 0:{if((k&255|0)>=128){j=9;break b}if((c[e>>2]|0)==(f|0)){j=6;break a}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=k;break};default:{if((f-(c[e>>2]|0)|0)<3){j=13;break a}p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=(l&255)>>4|224;m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(l&15)<<2|(k&255)>>6|128;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}}}while(0);if((j|0)==9){j=0;if((f-(c[e>>2]|0)|0)<2){j=10;break}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(k&255)>>6|(l&255)<<2|192;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}g=g+2|0}if((j|0)==6){c[h>>2]=g;i=b;return}else if((j|0)==10){c[h>>2]=g;i=b;return}else if((j|0)==13){c[h>>2]=g;i=b;return}else if((j|0)==16){c[h>>2]=g;i=b;return}else if((j|0)==20){c[h>>2]=g;i=b;return}}function hca(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0;e=i;k=f;f=g;g=h;h=j;do{if((f-(c[k>>2]|0)|0)>(((h-(c[g>>2]|0)|0)/2|0)<<1|0)){if((a[f-2+1|0]&248|0)!=216){break}f=f-2|0}}while(0);while(1){if((c[k>>2]|0)!=(f|0)){l=(c[g>>2]|0)!=(h|0)}else{l=0}if(!l){break}j=((d[(c[k>>2]|0)+1|0]|0)<<8|(d[c[k>>2]|0]|0))&65535;m=g;n=c[m>>2]|0;c[m>>2]=n+2;b[n>>1]=j;j=k;c[j>>2]=(c[j>>2]|0)+2}i=e;return}function ica(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;a:do{switch(a&255|0){case 220:case 221:case 222:case 223:{c=8;break};case 255:{d=b&255;if((d|0)==255|(d|0)==254){c=0;break a}else{e=7;break a}break};case 216:case 217:case 218:case 219:{c=7;break};default:{e=7}}}while(0);if((e|0)==7){c=29}i=i;return c|0}function jca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=ica(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12512+((d[8896+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 19:{k=lca(j,b+2|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 22:case 24:case 25:case 26:case 27:{break};case 7:{m=38;break c;break};case 5:{m=32;break c;break};case 6:{m=35;break c;break};case 29:{if((c[12512+((d[13792+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=29;break c}break};case 18:{m=41;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=9;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function kca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=ica(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 29:{if((c[12512+((d[8896+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:case 9:case 30:{c[f>>2]=b;k=22;break a;break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=ica(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 29:{if((c[12512+((d[13792+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=29;break c}break};case 22:case 24:case 25:case 26:case 27:{break};case 5:{m=32;break c;break};case 6:{m=35;break c;break};case 7:{m=38;break c;break};case 18:{m=41;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=28;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function lca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=120){break}k=mca(j,b+2|0,e,f)|0;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=ica(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=22;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=ica(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==18){n=18;break}else if((o|0)!=25){n=19;break}b=b+2|0}if((n|0)==18){c[f>>2]=b+2;k=10;l=k;i=h;return l|0}else if((n|0)==19){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==22){break}}}while(0);k=-1;l=k;i=h;return l|0}function mca(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b+1|0]|0)==0){k=d[j+76+(d[b]|0)|0]|0}else{k=ica(a[b+1|0]|0,a[b|0]|0)|0}if(!((k|0)==25|(k|0)==24)){c[f>>2]=b;l=0;m=l;i=h;return m|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=19;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=ica(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==18){n=15;break}else if(!((o|0)==25|(o|0)==24)){n=16;break}b=b+2|0}if((n|0)==15){c[f>>2]=b+2;l=10;m=l;i=h;return m|0}else if((n|0)==16){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((n|0)==19){break}}}while(0);l=-1;m=l;i=h;return m|0}



function cJa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0;g=i;i=i+16|0;h=g|0;j=g+8|0;k=c[a+4>>2]|0;a=k;l=k+40|0;m=c[l>>2]|0;do{if((m|0)<1|(d|0)==0){n=0}else{o=IJa(m<<2)|0;if((o|0)==0){p=12}else{n=o;break}i=g;return p|0}}while(0);m=n;a:do{if((c[k+60>>2]|0)==0){c[h>>2]=0;o=f&1;q=f&2;r=k+56|0;s=c[r>>2]&4;if((n|0)==0){t=0}else{t=c[l>>2]|0}u=t<<2;v=c[k+52>>2]|0;w=v<<3;x=w+8|0;y=u+12+w+(x+(ga(u,v)|0)<<1)|0;z=IJa(y)|0;if((z|0)==0){A=12;break}lKa(z|0,0,y|0)|0;y=z;B=z+u&3;C=((B|0)==0?0:4-B|0)+u|0;B=z+C|0;D=C+x|0;C=z+D&3;E=((C|0)==0?0:4-C|0)+D|0;D=z+E|0;C=E+x|0;x=z+C&3;E=((x|0)==0?0:4-x|0)+C|0;C=z+E|0;x=E+w|0;w=z+x&3;if((v|0)>0){E=t<<3;F=0;G=z+(((w|0)==0?0:4-w|0)+x)|0;while(1){c[D+(F<<3)+4>>2]=G;c[B+(F<<3)+4>>2]=G+u;x=F+1|0;if((x|0)<(v|0)){F=x;G=G+E|0}else{H=0;break}}do{c[C+(H<<3)>>2]=-1;H=H+1|0;}while((H|0)<(v|0))}v=MIa(h,b,4)|0;if((v|0)<1){if((v|0)<0){A=1;break}I=v+1|0}else{I=v}v=k+8|0;E=(s|0)==0;G=(o|0)==0;F=(t|0)>0;x=k+12|0;w=k+44|0;J=k+32|0;K=k+36|0;L=(t|0)==0;M=F^1;N=0;O=b+I|0;P=0;Q=I;R=D;S=y;T=0;U=-1;V=B;W=B;while(1){if((U|0)<0){X=c[v>>2]|0;Y=X+8|0;b:do{if((c[Y>>2]|0)==0){Z=W;_=U;$=T}else{aa=(P|0)==0;ba=(N|0)==95;ca=(P|0)<1&G;da=((N|0)!=10|E)^1;ea=W;fa=U;ha=T;ia=X;ja=Y;while(1){ka=ia;la=ja;c:while(1){ma=ka+12|0;if((c[C+(c[ma>>2]<<3)>>2]|0)>=(P|0)){na=ha;oa=fa;pa=ea;break}qa=ka+20|0;ra=c[qa>>2]|0;if((ra|0)==0){sa=260;break}d:do{if((ra&1|0)==0|ca|da){if((ra&2|0)!=0){ta=c[h>>2]|0;if((ta|q|0)!=0&((ta|0)!=10|E)){break}}do{if((ra&16|0)!=0){if(ba){break d}if((rIa(N)|0)!=0){break d}ta=c[h>>2]|0;if((ta|0)==95){break}if((rIa(ta)|0)==0){break d}}}while(0);ta=c[qa>>2]|0;if((ta&32|0)==0){ua=ta}else{if(!ba){if((rIa(N)|0)==0){break}}ta=c[h>>2]|0;if((ta|0)==95){break}if((rIa(ta)|0)!=0){break}ua=c[qa>>2]|0}do{if((ua&64|0)==0|aa){va=ua}else{ta=c[h>>2]|0;if((ta|0)==0){va=ua;break}if(ba){wa=1;xa=ta}else{ta=(rIa(N)|0)!=0|0;wa=ta;xa=c[h>>2]|0}if((xa|0)==95){ya=1}else{ya=(rIa(xa)|0)!=0|0}if((wa|0)==(ya|0)){break d}va=c[qa>>2]|0}}while(0);if((va&128|0)==0){sa=260;break c}if(aa){break}ta=c[h>>2]|0;if((ta|0)==0){break}if(ba){za=1;Aa=ta}else{ta=(rIa(N)|0)!=0|0;za=ta;Aa=c[h>>2]|0}if((Aa|0)==95){Ba=1}else{Ba=(rIa(Aa)|0)!=0|0}if((za|0)==(Ba|0)){sa=260;break c}}}while(0);qa=ka+40|0;if((c[qa>>2]|0)==0){Z=ea;_=fa;$=ha;break b}else{ka=ka+32|0;la=qa}}if((sa|0)==260){sa=0;qa=ea|0;c[qa>>2]=c[la>>2];if(F){lKa(c[ea+4>>2]|0,-1|0,u|0)|0}ra=c[ka+16>>2]|0;do{if((ra|0)!=0){ta=c[ra>>2]|0;if(!((ta|0)>-1)){break}Ca=ea+4|0;Da=ra;Ea=ta;do{if((Ea|0)<(t|0)){c[(c[Ca>>2]|0)+(Ea<<2)>>2]=P}Da=Da+4|0;Ea=c[Da>>2]|0;}while((Ea|0)>-1)}}while(0);ra=(c[qa>>2]|0)!=(c[x>>2]|0);if(ra|M){Fa=ra?ha:1;Ga=ra?fa:P;Ha=ea+4|0}else{ra=ea+4|0;la=c[ra>>2]|0;Ea=0;while(1){c[n+(Ea<<2)>>2]=c[la+(Ea<<2)>>2];Da=Ea+1|0;if((Da|0)<(t|0)){Ea=Da}else{Fa=1;Ga=P;Ha=ra;break}}}c[C+(c[ma>>2]<<3)>>2]=P;c[C+(c[ma>>2]<<3)+4>>2]=Ha;na=Fa;oa=Ga;pa=ea+8|0}ra=ka+40|0;if((c[ra>>2]|0)==0){Z=pa;_=oa;$=na;break}else{ea=pa;fa=oa;ha=na;ia=ka+32|0;ja=ra}}}}while(0);c[Z>>2]=0;Ia=$;Ja=_}else{if(L|(W|0)==(V|0)){Ka=U;break}else{Ia=T;Ja=U}}Y=c[h>>2]|0;if((Y|0)==0){Ka=Ja;break}X=P+Q|0;ja=MIa(h,O,4)|0;if((ja|0)<1){if((ja|0)<0){A=1;break a}La=ja+1|0}else{La=ja}ja=O+La|0;if((c[w>>2]|0)==0|(Ia|0)==0){Ma=V;Na=Ia;Oa=R}else{ia=V|0;ha=c[ia>>2]|0;if((ha|0)==0){Pa=R}else{fa=R;ea=ia;ia=ha;while(1){ha=c[K>>2]|0;ba=c[ha>>2]|0;aa=ea+4|0;e:do{if((ba|0)>-1){da=0;ca=ba;while(1){ra=c[ha+((da|1)<<2)>>2]|0;if((ca|0)>=(t|0)){Qa=fa;break e}Ea=c[aa>>2]|0;if((c[Ea+(ra<<2)>>2]|0)==(c[n+(ra<<2)>>2]|0)){if((c[Ea+(ca<<2)>>2]|0)<(c[n+(ca<<2)>>2]|0)){Qa=fa;break e}}Ea=da+2|0;ra=c[ha+(Ea<<2)>>2]|0;if((ra|0)>-1){da=Ea;ca=ra}else{sa=287;break}}}else{sa=287}}while(0);if((sa|0)==287){sa=0;c[fa>>2]=ia;ha=fa+4|0;ba=c[ha>>2]|0;c[ha>>2]=c[aa>>2];c[aa>>2]=ba;Qa=fa+8|0}ba=ea+8|0;ha=c[ba>>2]|0;if((ha|0)==0){Pa=Qa;break}else{fa=Qa;ea=ba;ia=ha}}}c[Pa>>2]=0;Ma=R;Na=0;Oa=V}ia=c[Ma>>2]|0;if((ia|0)==0){Ra=Oa;Sa=Ja;Ta=Na;Ua=S}else{ea=(X|0)==0;fa=(Y|0)==95;ha=(X|0)<1&G;ba=((Y|0)!=10|E)^1;ca=Ma;da=Oa;ka=Ja;ra=Na;Ea=S;la=ia;while(1){ia=la+8|0;if((c[ia>>2]|0)==0){Va=da;Wa=ka;Xa=ra;Ya=Ea}else{qa=ca+4|0;Da=da;Ca=ka;ta=ra;Za=Ea;_a=la;$a=ia;while(1){f:do{if((c[_a>>2]|0)>>>0>Y>>>0){ab=Za;bb=ta;cb=Ca;db=Da}else{if((c[_a+4>>2]|0)>>>0<Y>>>0){ab=Za;bb=ta;cb=Ca;db=Da;break}ia=_a+20|0;eb=c[ia>>2]|0;g:do{if((eb|0)!=0){if(!((eb&1|0)==0|ha|ba)){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((eb&2|0)!=0){fb=c[h>>2]|0;if((fb|q|0)!=0&((fb|0)!=10|E)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}do{if((eb&16|0)!=0){if(fa){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((rIa(Y)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}fb=c[h>>2]|0;if((fb|0)==95){break}if((rIa(fb)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}}while(0);fb=c[ia>>2]|0;if((fb&32|0)==0){gb=fb}else{if(!fa){if((rIa(Y)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}fb=c[h>>2]|0;if((fb|0)==95){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((rIa(fb)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}gb=c[ia>>2]|0}do{if((gb&64|0)==0|ea){hb=gb}else{fb=c[h>>2]|0;if((fb|0)==0){hb=gb;break}if(fa){ib=1;jb=fb}else{fb=(rIa(Y)|0)!=0|0;ib=fb;jb=c[h>>2]|0}if((jb|0)==95){kb=1}else{kb=(rIa(jb)|0)!=0|0}if((ib|0)==(kb|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}hb=c[ia>>2]|0}}while(0);if((hb&128|0)==0){lb=hb}else{if(ea){ab=Za;bb=ta;cb=Ca;db=Da;break f}fb=c[h>>2]|0;if((fb|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}if(fa){mb=1;nb=fb}else{fb=(rIa(Y)|0)!=0|0;mb=fb;nb=c[h>>2]|0}if((nb|0)==95){ob=1}else{ob=(rIa(nb)|0)!=0|0}if((mb|0)!=(ob|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}lb=c[ia>>2]|0}do{if((lb&4|0)==0){pb=lb}else{if((c[r>>2]&2|0)!=0){pb=lb;break}if((vIa(Y,c[_a+24>>2]|0)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}pb=c[ia>>2]|0}}while(0);do{if((pb&4|0)!=0){if((c[r>>2]&2|0)==0){break}fb=HIa(Y)|0;qb=_a+24|0;if((vIa(fb,c[qb>>2]|0)|0)!=0){break}fb=FIa(Y)|0;if((vIa(fb,c[qb>>2]|0)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}}while(0);if((c[ia>>2]&8|0)==0){break}qb=c[_a+28>>2]|0;fb=c[qb>>2]|0;if((fb|0)==0){break}if((c[r>>2]&2|0)==0){rb=qb;sb=fb;while(1){if((vIa(Y,sb)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}rb=rb+4|0;sb=c[rb>>2]|0;if((sb|0)==0){break g}}}else{tb=qb}do{sb=FIa(Y)|0;if((vIa(sb,c[tb>>2]|0)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}sb=HIa(Y)|0;if((vIa(sb,c[tb>>2]|0)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}tb=tb+4|0;}while((c[tb>>2]|0)!=0)}}while(0);if(F){ia=c[qa>>2]|0;eb=0;do{c[Za+(eb<<2)>>2]=c[ia+(eb<<2)>>2];eb=eb+1|0;}while((eb|0)<(t|0))}eb=c[_a+16>>2]|0;do{if((eb|0)!=0){ia=c[eb>>2]|0;if((ia|0)>-1){ub=eb;vb=ia}else{break}do{if((vb|0)<(t|0)){c[Za+(vb<<2)>>2]=X}ub=ub+4|0;vb=c[ub>>2]|0;}while((vb|0)>-1)}}while(0);eb=_a+12|0;ia=c[eb>>2]|0;qb=C+(ia<<3)|0;if((c[qb>>2]|0)<(X|0)){sb=Da|0;c[sb>>2]=c[$a>>2];rb=Da+4|0;fb=c[rb>>2]|0;c[rb>>2]=Za;c[qb>>2]=X;c[C+(c[eb>>2]<<3)+4>>2]=rb;do{if((c[sb>>2]|0)==(c[x>>2]|0)){if((Ca|0)==-1){if(!F){wb=1;xb=X;break}yb=c[rb>>2]|0}else{if(!F){wb=ta;xb=Ca;break}eb=c[rb>>2]|0;if((c[eb>>2]|0)>(c[n>>2]|0)){wb=ta;xb=Ca;break}else{yb=eb}}eb=0;while(1){c[n+(eb<<2)>>2]=c[yb+(eb<<2)>>2];qb=eb+1|0;if((qb|0)<(t|0)){eb=qb}else{wb=1;xb=X;break}}}else{wb=ta;xb=Ca}}while(0);ab=fb;bb=wb;cb=xb;db=Da+8|0;break}else{rb=c[J>>2]|0;sb=c[C+(ia<<3)+4>>2]|0;eb=c[sb>>2]|0;if(F){zb=0}else{ab=Za;bb=ta;cb=Ca;db=Da;break}while(1){qb=c[Za+(zb<<2)>>2]|0;Ab=c[eb+(zb<<2)>>2]|0;if((c[rb+(zb<<2)>>2]|0)==0){if((qb|0)<(Ab|0)){break}if((qb|0)>(Ab|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}else{if((qb|0)>(Ab|0)){break}if((qb|0)<(Ab|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}Ab=zb+1|0;if((Ab|0)<(t|0)){zb=Ab}else{ab=Za;bb=ta;cb=Ca;db=Da;break f}}c[sb>>2]=Za;if((c[$a>>2]|0)==(c[x>>2]|0)){Bb=0}else{ab=eb;bb=ta;cb=Ca;db=Da;break}while(1){c[n+(Bb<<2)>>2]=c[Za+(Bb<<2)>>2];rb=Bb+1|0;if((rb|0)<(t|0)){Bb=rb}else{ab=eb;bb=1;cb=X;db=Da;break}}}}}while(0);eb=_a+40|0;if((c[eb>>2]|0)==0){Va=db;Wa=cb;Xa=bb;Ya=ab;break}else{Da=db;Ca=cb;ta=bb;Za=ab;_a=_a+32|0;$a=eb}}}$a=ca+8|0;_a=c[$a>>2]|0;if((_a|0)==0){Ra=Va;Sa=Wa;Ta=Xa;Ua=Ya;break}else{ca=$a;da=Va;ka=Wa;ra=Xa;Ea=Ya;la=_a}}}c[Ra>>2]=0;N=Y;O=ja;P=X;Q=La;R=Ma;S=Ua;T=Ta;U=Sa;V=Oa;W=Ra}JJa(z);Cb=Ka>>>31;Db=Ka;sa=375}else{c[j>>2]=0;W=f&1;V=f&2;U=k+56|0;T=c[U>>2]&4;S=eJa(0,0)|0;if((S|0)==0){A=12;break}R=gJa(S,0,0,0,32)|0;Q=R;if((R|0)==0){fJa(S);A=12;break}c[R+24>>2]=0;c[R+28>>2]=0;R=c[l>>2]|0;if((R|0)==0){Eb=0;sa=9}else{P=IJa(R<<2)|0;O=P;if((P|0)==0){Fb=12;Gb=0;Hb=0;Ib=O;Jb=0}else{Eb=O;sa=9}}do{if((sa|0)==9){O=Eb;P=c[k+28>>2]|0;if((P|0)==0){Kb=0}else{N=IJa(P<<3)|0;P=N;if((N|0)==0){Fb=12;Gb=P;Hb=0;Ib=Eb;Jb=0;break}else{Kb=P}}P=k+52|0;N=c[P>>2]|0;if((N|0)==0){Lb=0}else{x=IJa(N<<2)|0;N=x;if((x|0)==0){Fb=12;Gb=Kb;Hb=N;Ib=Eb;Jb=0;break}else{Lb=N}}N=Lb;x=(n|0)==0;F=k+8|0;C=k+12|0;J=k+32|0;r=(T|0)==0;E=(W|0)==0;q=b;G=1;K=-1;w=-1;L=Q;M=R;h:while(1){do{if((M|0)>0){if(x){lKa(O|0,-1|0,M<<2|0)|0;break}else{u=0;do{c[Eb+(u<<2)>>2]=-1;c[n+(u<<2)>>2]=-1;u=u+1|0;}while((u|0)<(c[l>>2]|0))}}}while(0);u=c[P>>2]|0;if((u|0)>0){lKa(N|0,0,u<<2|0)|0}u=c[j>>2]|0;v=G+K|0;B=MIa(j,q,4)|0;if((B|0)<1){if((B|0)<0){A=1;break a}Mb=B+1|0}else{Mb=B}B=q+Mb|0;y=c[j>>2]|0;D=c[F>>2]|0;o=D+8|0;if((c[o>>2]|0)==0){Nb=Mb;Ob=w;Pb=L;Qb=0;sa=196}else{s=(v|0)==0;la=(u|0)==95;Ea=(v|0)<1&E;ra=((u|0)!=10|r)^1;ka=0;da=0;ca=L;fa=D;D=o;while(1){o=fa+20|0;ea=c[o>>2]|0;i:do{if((ea|0)==0){sa=56}else{if(!((ea&1|0)==0|Ea|ra)){Rb=ca;Sb=da;Tb=ka;break}if((ea&2|0)!=0){ba=c[j>>2]|0;if((ba|V|0)!=0&((ba|0)!=10|r)){Rb=ca;Sb=da;Tb=ka;break}}do{if((ea&16|0)!=0){if(la){Rb=ca;Sb=da;Tb=ka;break i}if((rIa(u)|0)!=0){Rb=ca;Sb=da;Tb=ka;break i}ba=c[j>>2]|0;if((ba|0)==95){break}if((rIa(ba)|0)==0){Rb=ca;Sb=da;Tb=ka;break i}}}while(0);ba=c[o>>2]|0;if((ba&32|0)==0){Ub=ba}else{if(!la){if((rIa(u)|0)==0){Rb=ca;Sb=da;Tb=ka;break}}ba=c[j>>2]|0;if((ba|0)==95){Rb=ca;Sb=da;Tb=ka;break}if((rIa(ba)|0)!=0){Rb=ca;Sb=da;Tb=ka;break}Ub=c[o>>2]|0}do{if((Ub&64|0)==0|s){Vb=Ub}else{ba=c[j>>2]|0;if((ba|0)==0){Vb=Ub;break}if(la){Wb=1;Xb=ba}else{ba=(rIa(u)|0)!=0|0;Wb=ba;Xb=c[j>>2]|0}if((Xb|0)==95){Yb=1}else{Yb=(rIa(Xb)|0)!=0|0}if((Wb|0)==(Yb|0)){Rb=ca;Sb=da;Tb=ka;break i}Vb=c[o>>2]|0}}while(0);if((Vb&128|0)==0){sa=56;break}if(s){Rb=ca;Sb=da;Tb=ka;break}ba=c[j>>2]|0;if((ba|0)==0){Rb=ca;Sb=da;Tb=ka;break}if(la){Zb=1;_b=ba}else{ba=(rIa(u)|0)!=0|0;Zb=ba;_b=c[j>>2]|0}if((_b|0)==95){$b=1}else{$b=(rIa(_b)|0)!=0|0}if((Zb|0)==($b|0)){sa=56}else{Rb=ca;Sb=da;Tb=ka}}}while(0);do{if((sa|0)==56){sa=0;if((ka|0)==0){Rb=ca;Sb=c[fa+16>>2]|0;Tb=c[D>>2]|0;break}o=ca+28|0;ea=c[o>>2]|0;if((ea|0)==0){ba=gJa(S,0,0,0,32)|0;ha=ba;if((ba|0)==0){sa=60;break h}c[ba+24>>2]=ca;c[ba+28>>2]=0;_a=gJa(S,0,0,0,c[l>>2]<<2)|0;c[ba+20>>2]=_a;if((_a|0)==0){sa=67;break h}c[o>>2]=ha;ac=ha}else{ac=ea}c[ac>>2]=v;c[ac+4>>2]=B;c[ac+8>>2]=c[D>>2];c[ac+12>>2]=c[fa+12>>2];c[ac+16>>2]=c[j>>2];if((c[l>>2]|0)>0){ea=c[ac+20>>2]|0;ha=0;do{c[ea+(ha<<2)>>2]=c[Eb+(ha<<2)>>2];ha=ha+1|0;}while((ha|0)<(c[l>>2]|0))}ha=c[fa+16>>2]|0;if((ha|0)==0){Rb=ac;Sb=da;Tb=ka;break}ea=c[ha>>2]|0;if(!((ea|0)>-1)){Rb=ac;Sb=da;Tb=ka;break}o=c[ac+20>>2]|0;_a=ha;ha=ea;while(1){ea=_a+4|0;c[o+(ha<<2)>>2]=v;ba=c[ea>>2]|0;if((ba|0)>-1){_a=ea;ha=ba}else{Rb=ac;Sb=da;Tb=ka;break}}}}while(0);ha=fa+40|0;if((c[ha>>2]|0)==0){break}else{ka=Tb;da=Sb;ca=Rb;fa=fa+32|0;D=ha}}do{if((Sb|0)==0){bc=0}else{D=c[Sb>>2]|0;if((D|0)>-1){cc=Sb;dc=D}else{bc=Sb;break}while(1){c[Eb+(dc<<2)>>2]=v;D=cc+4|0;fa=c[D>>2]|0;if((fa|0)>-1){cc=D;dc=fa}else{bc=D;break}}}}while(0);if((Tb|0)==0){Nb=Mb;Ob=w;Pb=Rb;Qb=bc;sa=196}else{ec=B;fc=v;gc=Mb;hc=w;ic=Rb;jc=bc;kc=Tb}}j:while(1){if((sa|0)==196){sa=0;D=c[Pb+24>>2]|0;if((D|0)==0){break}fa=c[Pb+8>>2]|0;if((c[fa+20>>2]&256|0)!=0){c[Lb+(c[Pb+12>>2]<<2)>>2]=0}ca=c[Pb>>2]|0;da=c[Pb+4>>2]|0;c[j>>2]=c[Pb+16>>2];ka=c[l>>2]|0;if((ka|0)<=0){ec=da;fc=ca;gc=Nb;hc=Ob;ic=D;jc=Qb;kc=fa;continue}u=c[Pb+20>>2]|0;la=0;while(1){c[Eb+(la<<2)>>2]=c[u+(la<<2)>>2];s=la+1|0;if((s|0)<(ka|0)){la=s}else{ec=da;fc=ca;gc=Nb;hc=Ob;ic=D;jc=Qb;kc=fa;continue j}}}if((kc|0)==(c[C>>2]|0)){lc=jc;mc=ic;nc=gc;oc=fc}else{fa=kc;D=jc;ca=ic;da=gc;la=fc;ka=ec;while(1){u=fa+8|0;do{if((c[u>>2]|0)==0){sa=109}else{if((c[fa+20>>2]&256|0)==0){sa=109;break}s=c[fa+24>>2]|0;dJa(s+1|0,Kb,c[U>>2]&-9,a,Eb,la);ra=c[Kb+(s<<3)>>2]|0;Ea=c[Kb+(s<<3)+4>>2]|0;s=Ea-ra|0;if((hKa(b+ra|0,ka-1|0,s)|0)!=0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ha=(Ea|0)==(ra|0);ra=ha&1;Ea=Lb+(c[fa+12>>2]<<2)|0;if(ha){if((c[Ea>>2]|0)!=0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}}c[Ea>>2]=ra;ra=s-1|0;s=ra+la|0;Ea=c[j>>2]|0;ha=MIa(j,ka+ra|0,4)|0;if((ha|0)<1){if((ha|0)<0){A=1;break a}pc=ha+1|0}else{pc=ha}qc=Ea;rc=pc+ra|0;sc=s;tc=pc}}while(0);do{if((sa|0)==109){sa=0;s=c[j>>2]|0;if((s|0)==0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ra=MIa(j,ka,4)|0;if((ra|0)>=1){qc=s;rc=ra;sc=la;tc=ra;break}if((ra|0)<0){A=1;break a}Ea=ra+1|0;qc=s;rc=Ea;sc=la;tc=Ea}}while(0);Ea=ka+rc|0;s=sc+da|0;if((c[u>>2]|0)==0){Nb=tc;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ra=(s|0)==0;ha=(qc|0)==95;_a=(s|0)<1&E;o=((qc|0)!=10|r)^1;ba=D;ea=ca;$a=fa;Za=0;ta=u;while(1){k:do{if((c[$a>>2]|0)>>>0>qc>>>0){uc=Za;vc=ea;wc=ba}else{if((c[$a+4>>2]|0)>>>0<qc>>>0){uc=Za;vc=ea;wc=ba;break}Ca=$a+20|0;Da=c[Ca>>2]|0;l:do{if((Da|0)!=0){if(!((Da&1|0)==0|_a|o)){uc=Za;vc=ea;wc=ba;break k}if((Da&2|0)!=0){qa=c[j>>2]|0;if((qa|V|0)!=0&((qa|0)!=10|r)){uc=Za;vc=ea;wc=ba;break k}}do{if((Da&16|0)!=0){if(ha){uc=Za;vc=ea;wc=ba;break k}if((rIa(qc)|0)!=0){uc=Za;vc=ea;wc=ba;break k}qa=c[j>>2]|0;if((qa|0)==95){break}if((rIa(qa)|0)==0){uc=Za;vc=ea;wc=ba;break k}}}while(0);qa=c[Ca>>2]|0;if((qa&32|0)==0){xc=qa}else{if(!ha){if((rIa(qc)|0)==0){uc=Za;vc=ea;wc=ba;break k}}qa=c[j>>2]|0;if((qa|0)==95){uc=Za;vc=ea;wc=ba;break k}if((rIa(qa)|0)!=0){uc=Za;vc=ea;wc=ba;break k}xc=c[Ca>>2]|0}do{if((xc&64|0)==0|ra){yc=xc}else{qa=c[j>>2]|0;if((qa|0)==0){yc=xc;break}if(ha){zc=1;Ac=qa}else{qa=(rIa(qc)|0)!=0|0;zc=qa;Ac=c[j>>2]|0}if((Ac|0)==95){Bc=1}else{Bc=(rIa(Ac)|0)!=0|0}if((zc|0)==(Bc|0)){uc=Za;vc=ea;wc=ba;break k}yc=c[Ca>>2]|0}}while(0);if((yc&128|0)==0){Cc=yc}else{if(ra){uc=Za;vc=ea;wc=ba;break k}qa=c[j>>2]|0;if((qa|0)==0){uc=Za;vc=ea;wc=ba;break k}if(ha){Dc=1;Ec=qa}else{qa=(rIa(qc)|0)!=0|0;Dc=qa;Ec=c[j>>2]|0}if((Ec|0)==95){Fc=1}else{Fc=(rIa(Ec)|0)!=0|0}if((Dc|0)!=(Fc|0)){uc=Za;vc=ea;wc=ba;break k}Cc=c[Ca>>2]|0}do{if((Cc&4|0)==0){Gc=Cc}else{if((c[U>>2]&2|0)!=0){Gc=Cc;break}if((vIa(qc,c[$a+24>>2]|0)|0)==0){uc=Za;vc=ea;wc=ba;break k}Gc=c[Ca>>2]|0}}while(0);do{if((Gc&4|0)!=0){if((c[U>>2]&2|0)==0){break}qa=HIa(qc)|0;aa=$a+24|0;if((vIa(qa,c[aa>>2]|0)|0)!=0){break}qa=FIa(qc)|0;if((vIa(qa,c[aa>>2]|0)|0)==0){uc=Za;vc=ea;wc=ba;break k}}}while(0);if((c[Ca>>2]&8|0)==0){break}aa=c[$a+28>>2]|0;qa=c[aa>>2]|0;if((qa|0)==0){break}if((c[U>>2]&2|0)==0){eb=aa;sb=qa;while(1){if((vIa(qc,sb)|0)!=0){uc=Za;vc=ea;wc=ba;break k}eb=eb+4|0;sb=c[eb>>2]|0;if((sb|0)==0){break l}}}else{Hc=aa}do{sb=FIa(qc)|0;if((vIa(sb,c[Hc>>2]|0)|0)!=0){uc=Za;vc=ea;wc=ba;break k}sb=HIa(qc)|0;if((vIa(sb,c[Hc>>2]|0)|0)!=0){uc=Za;vc=ea;wc=ba;break k}Hc=Hc+4|0;}while((c[Hc>>2]|0)!=0)}}while(0);if((Za|0)==0){uc=c[ta>>2]|0;vc=ea;wc=c[$a+16>>2]|0;break}Ca=ea+28|0;Da=c[Ca>>2]|0;if((Da|0)==0){aa=gJa(S,0,0,0,32)|0;sb=aa;if((aa|0)==0){sa=169;break h}c[aa+24>>2]=ea;c[aa+28>>2]=0;eb=gJa(S,0,0,0,c[l>>2]<<2)|0;c[aa+20>>2]=eb;if((eb|0)==0){sa=176;break h}c[Ca>>2]=sb;Ic=sb}else{Ic=Da}c[Ic>>2]=s;c[Ic+4>>2]=Ea;c[Ic+8>>2]=c[ta>>2];c[Ic+12>>2]=c[$a+12>>2];c[Ic+16>>2]=c[j>>2];if((c[l>>2]|0)>0){Da=c[Ic+20>>2]|0;sb=0;do{c[Da+(sb<<2)>>2]=c[Eb+(sb<<2)>>2];sb=sb+1|0;}while((sb|0)<(c[l>>2]|0))}sb=c[$a+16>>2]|0;if((sb|0)==0){uc=Za;vc=Ic;wc=ba;break}Da=Ic+20|0;Ca=sb;while(1){sb=c[Ca>>2]|0;if(!((sb|0)>-1)){uc=Za;vc=Ic;wc=ba;break k}c[(c[Da>>2]|0)+(sb<<2)>>2]=s;sb=Ca+4|0;if((sb|0)==0){uc=Za;vc=Ic;wc=ba;break}else{Ca=sb}}}}while(0);Ca=$a+40|0;if((c[Ca>>2]|0)==0){break}else{ba=wc;ea=vc;$a=$a+32|0;Za=uc;ta=Ca}}if((uc|0)==0){Nb=tc;Ob=hc;Pb=vc;Qb=wc;sa=196;continue j}do{if((wc|0)==0){Jc=0}else{ta=c[wc>>2]|0;if((ta|0)>-1){Kc=wc;Lc=ta}else{Jc=wc;break}while(1){ta=Kc+4|0;c[Eb+(Lc<<2)>>2]=s;Za=c[ta>>2]|0;if((Za|0)>-1){Kc=ta;Lc=Za}else{Jc=ta;break}}}}while(0);if((uc|0)==(c[C>>2]|0)){lc=Jc;mc=vc;nc=tc;oc=s;break}else{fa=uc;D=Jc;ca=vc;da=tc;la=s;ka=Ea}}}m:do{if((hc|0)<(oc|0)){sa=96}else{if((hc|0)!=(oc|0)|x){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}ka=c[l>>2]|0;la=c[J>>2]|0;if((ka|0)>0){Mc=0}else{Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}while(1){da=c[Eb+(Mc<<2)>>2]|0;ca=c[n+(Mc<<2)>>2]|0;if((c[la+(Mc<<2)>>2]|0)==0){if((da|0)<(ca|0)){sa=96;break m}if((da|0)>(ca|0)){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}else{if((da|0)>(ca|0)){Nc=ka;break m}if((da|0)<(ca|0)){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}ca=Mc+1|0;if((ca|0)<(ka|0)){Mc=ca}else{Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}}}while(0);if((sa|0)==96){sa=0;if(x){Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue}Nc=c[l>>2]|0}if((Nc|0)>0){Oc=0}else{Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue}while(1){c[n+(Oc<<2)>>2]=c[Eb+(Oc<<2)>>2];ka=Oc+1|0;if((ka|0)<(c[l>>2]|0)){Oc=ka}else{Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue j}}}if((Ob|0)>=0){sa=205;break}if((c[j>>2]|0)==0){sa=205;break}c[j>>2]=y;q=B;G=Nb;K=v;w=Ob;L=Pb;M=c[l>>2]|0}if((sa|0)==60){fJa(S);if((Eb|0)!=0){JJa(O)}if((Kb|0)!=0){JJa(Kb)}if((Lb|0)==0){A=12;break a}JJa(N);A=12;break a}else if((sa|0)==67){fJa(S);if((Eb|0)!=0){JJa(O)}if((Kb|0)!=0){JJa(Kb)}if((Lb|0)==0){A=12;break a}JJa(N);A=12;break a}else if((sa|0)==169){fJa(S);if((Eb|0)!=0){JJa(O)}if((Kb|0)!=0){JJa(Kb)}if((Lb|0)==0){A=12;break a}JJa(N);A=12;break a}else if((sa|0)==176){fJa(S);if((Eb|0)!=0){JJa(O)}if((Kb|0)!=0){JJa(Kb)}if((Lb|0)==0){A=12;break a}JJa(N);A=12;break a}else if((sa|0)==205){Fb=Ob>>>31;Gb=Kb;Hb=Lb;Ib=Eb;Jb=Ob;break}}}while(0);fJa(S);if((Ib|0)!=0){JJa(Ib)}if((Gb|0)!=0){JJa(Gb)}if((Hb|0)==0){Cb=Fb;Db=Jb;sa=375;break}JJa(Hb);Cb=Fb;Db=Jb;sa=375}}while(0);do{if((sa|0)==375){if((Cb|0)!=0){A=Cb;break}dJa(d,e,c[k+56>>2]|0,a,n,Db);A=0}}while(0);if((n|0)==0){p=A;i=g;return p|0}JJa(m);p=A;i=g;return p|0}function dJa(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;do{if((g|0)>-1){if((d&8|0)!=0){h=0;break}i=c[e+16>>2]|0;j=e+28|0;k=c[j>>2]|0;l=(a|0)!=0;if((k|0)!=0&l){m=e+48|0;n=0;while(1){o=c[i+(n*12|0)>>2]|0;if((o|0)==(c[m>>2]|0)){c[b+(n<<3)>>2]=g;p=g}else{q=c[f+(o<<2)>>2]|0;c[b+(n<<3)>>2]=q;p=q}q=c[i+(n*12|0)+4>>2]|0;if((q|0)==(c[m>>2]|0)){c[b+(n<<3)+4>>2]=g;r=g}else{o=c[f+(q<<2)>>2]|0;c[b+(n<<3)+4>>2]=o;r=o}if((p|0)==-1|(r|0)==-1){c[b+(n<<3)+4>>2]=-1;c[b+(n<<3)>>2]=-1}o=n+1|0;q=c[j>>2]|0;if(o>>>0<q>>>0&o>>>0<a>>>0){n=o}else{s=q;break}}}else{s=k}if((s|0)!=0&l){t=0;u=s}else{h=0;break}while(1){n=b+(t<<3)+4|0;m=c[i+(t*12|0)+8>>2]|0;do{if((m|0)==0){v=u}else{q=c[m>>2]|0;if(!((q|0)>-1)){v=u;break}o=b+(t<<3)|0;w=0;x=q;q=c[o>>2]|0;while(1){if((q|0)<(c[b+(x<<3)>>2]|0)){y=21}else{if((c[n>>2]|0)>(c[b+(x<<3)+4>>2]|0)){y=21}else{z=q}}if((y|0)==21){y=0;c[n>>2]=-1;c[o>>2]=-1;z=-1}A=w+1|0;B=c[m+(A<<2)>>2]|0;if((B|0)>-1){w=A;x=B;q=z}else{break}}v=c[j>>2]|0}}while(0);m=t+1|0;if(m>>>0<v>>>0&m>>>0<a>>>0){t=m;u=v}else{h=m;break}}}else{h=0}}while(0);if(h>>>0<a>>>0){C=h}else{return}do{c[b+(C<<3)>>2]=-1;c[b+(C<<3)+4>>2]=-1;C=C+1|0;}while(C>>>0<a>>>0);return}function eJa(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==0){c=KJa(1,24)|0}else{lKa(b|0,0,24)|0;c=b}if((c|0)==0){d=0;return d|0}d=c;return d|0}function fJa(a){a=a|0;var b=0,d=0,e=0;b=c[a>>2]|0;if((b|0)==0){d=a;JJa(d);return}else{e=b}while(1){JJa(c[e>>2]|0);b=c[e+4>>2]|0;JJa(e);if((b|0)==0){break}else{e=b}}d=a;JJa(d);return}function gJa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=a+16|0;if((c[g>>2]|0)!=0){h=0;return h|0}i=a+12|0;j=c[i>>2]|0;do{if(j>>>0<f>>>0){if((b|0)!=0){if((d|0)!=0){c[a+8>>2]=d;c[i>>2]=1024;k=1024;l=d;break}c[g>>2]=1;h=0;return h|0}m=f<<3;n=m>>>0>1024>>>0?m:1024;m=IJa(8)|0;o=m;if((m|0)==0){c[g>>2]=1;h=0;return h|0}p=IJa(n)|0;q=m;c[q>>2]=p;if((p|0)==0){JJa(m);c[g>>2]=1;h=0;return h|0}c[m+4>>2]=0;m=a+4|0;p=c[m>>2]|0;if((p|0)!=0){c[p+4>>2]=o}p=a|0;if((c[p>>2]|0)==0){c[p>>2]=o}c[m>>2]=o;o=c[q>>2]|0;c[a+8>>2]=o;c[i>>2]=n;k=n;l=o}else{k=j;l=c[a+8>>2]|0}}while(0);j=l+f&3;g=((j|0)==0?0:4-j|0)+f|0;c[a+8>>2]=l+g;c[i>>2]=k-g;if((e|0)==0){h=l;return h|0}lKa(l|0,0,g|0)|0;h=l;return h|0}function hJa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;if((b|0)==0){d=a+((iJa(a)|0)<<2)|0;return d|0}else{e=a}while(1){f=c[e>>2]|0;if((f|0)==0|(f|0)==(b|0)){break}else{e=e+4|0}}d=(f|0)!=0?e:0;return d|0}function iJa(a){a=a|0;var b=0;b=a;while(1){if((c[b>>2]|0)==0){break}else{b=b+4|0}}return b-a>>2|0}function jJa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((d|0)==0){return a|0}else{e=b;f=d;g=a}while(1){d=f-1|0;c[g>>2]=c[e>>2];if((d|0)==0){break}else{e=e+4|0;f=d;g=g+4|0}}return a|0}function kJa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=(d|0)==0;if(a-b>>2>>>0<d>>>0){if(e){return a|0}else{f=d}do{f=f-1|0;c[a+(f<<2)>>2]=c[b+(f<<2)>>2];}while((f|0)!=0);return a|0}else{if(e){return a|0}else{g=b;h=d;i=a}while(1){d=h-1|0;c[i>>2]=c[g>>2];if((d|0)==0){break}else{g=g+4|0;h=d;i=i+4|0}}return a|0}return 0}function lJa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;if((d|0)==0){return a|0}else{e=d;f=a}while(1){d=e-1|0;c[f>>2]=b;if((d|0)==0){break}else{e=d;f=f+4|0}}return a|0}function mJa(a){a=a|0;return}function nJa(a){a=a|0;c[a>>2]=8523312;return}function oJa(a){a=a|0;QJa(a);return}function pJa(a){a=a|0;return}function qJa(a){a=a|0;return 113432}function rJa(a){a=a|0;mJa(a|0);return}function sJa(a){a=a|0;return}function tJa(a){a=a|0;return}function uJa(a){a=a|0;mJa(a|0);QJa(a);return}function vJa(a){a=a|0;mJa(a|0);QJa(a);return}function wJa(a){a=a|0;mJa(a|0);QJa(a);return}function xJa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+56|0;f=e|0;if((a|0)==(b|0)){g=1;i=e;return g|0}if((b|0)==0){g=0;i=e;return g|0}h=BJa(b,8531328,8531312,0)|0;b=h;if((h|0)==0){g=0;i=e;return g|0}lKa(f|0,0,56)|0;c[f>>2]=b;c[f+8>>2]=a;c[f+12>>2]=-1;c[f+48>>2]=1;oe[c[(c[h>>2]|0)+28>>2]&127](b,f,c[d>>2]|0,1);if((c[f+24>>2]|0)!=1){g=0;i=e;return g|0}c[d>>2]=c[f+16>>2];g=1;i=e;return g|0}function yJa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;if((c[d+8>>2]|0)!=(b|0)){return}b=d+16|0;g=c[b>>2]|0;if((g|0)==0){c[b>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((g|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}e=d+24|0;if((c[e>>2]|0)!=2){return}c[e>>2]=f;return}function zJa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;if((b|0)!=(c[d+8>>2]|0)){g=c[b+8>>2]|0;oe[c[(c[g>>2]|0)+28>>2]&127](g,d,e,f);return}g=d+16|0;b=c[g>>2]|0;if((b|0)==0){c[g>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((b|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}e=d+24|0;if((c[e>>2]|0)!=2){return}c[e>>2]=f;return}function AJa(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;if((b|0)==(c[d+8>>2]|0)){g=d+16|0;h=c[g>>2]|0;if((h|0)==0){c[g>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((h|0)!=(e|0)){h=d+36|0;c[h>>2]=(c[h>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}h=d+24|0;if((c[h>>2]|0)!=2){return}c[h>>2]=f;return}h=c[b+12>>2]|0;g=b+16+(h<<3)|0;i=c[b+20>>2]|0;j=i>>8;if((i&1|0)==0){k=j}else{k=c[(c[e>>2]|0)+j>>2]|0}j=c[b+16>>2]|0;oe[c[(c[j>>2]|0)+28>>2]&127](j,d,e+k|0,(i&2|0)!=0?f:2);if((h|0)<=1){return}h=d+54|0;i=e;k=b+24|0;while(1){b=c[k+4>>2]|0;j=b>>8;if((b&1|0)==0){l=j}else{l=c[(c[i>>2]|0)+j>>2]|0}j=c[k>>2]|0;oe[c[(c[j>>2]|0)+28>>2]&127](j,d,e+l|0,(b&2|0)!=0?f:2);if((a[h]|0)!=0){m=16;break}b=k+8|0;if(b>>>0<g>>>0){k=b}else{m=16;break}}if((m|0)==16){return}}function BJa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=i;i=i+56|0;g=f|0;h=c[a>>2]|0;j=a+(c[h-8>>2]|0)|0;k=c[h-4>>2]|0;h=k;c[g>>2]=d;c[g+4>>2]=a;c[g+8>>2]=b;c[g+12>>2]=e;e=g+16|0;b=g+20|0;a=g+24|0;l=g+28|0;m=g+32|0;n=g+40|0;lKa(e|0,0,39)|0;do{if((k|0)==(d|0)){c[g+48>>2]=1;be[c[(c[k>>2]|0)+20>>2]&63](h,g,j,j,1,0);o=(c[a>>2]|0)==1?j:0}else{Ud[c[(c[k>>2]|0)+24>>2]&31](h,g,j,1,0);p=c[g+36>>2]|0;if((p|0)==0){if((c[n>>2]|0)!=1){o=0;break}if((c[l>>2]|0)!=1){o=0;break}o=(c[m>>2]|0)==1?c[b>>2]|0:0;break}else if((p|0)!=1){o=0;break}if((c[a>>2]|0)!=1){if((c[n>>2]|0)!=0){o=0;break}if((c[l>>2]|0)!=1){o=0;break}if((c[m>>2]|0)!=1){o=0;break}}o=c[e>>2]|0}}while(0);i=f;return o|0}function CJa(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=b|0;if((h|0)==(c[d+8>>2]|0)){if((c[d+4>>2]|0)!=(e|0)){return}i=d+28|0;if((c[i>>2]|0)==1){return}c[i>>2]=f;return}if((h|0)==(c[d>>2]|0)){do{if((c[d+16>>2]|0)!=(e|0)){h=d+20|0;if((c[h>>2]|0)==(e|0)){break}c[d+32>>2]=f;i=d+44|0;if((c[i>>2]|0)==4){return}j=c[b+12>>2]|0;k=b+16+(j<<3)|0;a:do{if((j|0)>0){l=d+52|0;m=d+53|0;n=d+54|0;o=b+8|0;p=d+24|0;q=e;r=0;s=b+16|0;t=0;b:while(1){a[l]=0;a[m]=0;u=c[s+4>>2]|0;v=u>>8;if((u&1|0)==0){w=v}else{w=c[(c[q>>2]|0)+v>>2]|0}v=c[s>>2]|0;be[c[(c[v>>2]|0)+20>>2]&63](v,d,e,e+w|0,2-(u>>>1&1)|0,g);if((a[n]|0)!=0){x=t;y=r;break}do{if((a[m]|0)==0){z=t;A=r}else{if((a[l]|0)==0){if((c[o>>2]&1|0)==0){x=1;y=r;break b}else{z=1;A=r;break}}if((c[p>>2]|0)==1){B=27;break a}if((c[o>>2]&2|0)==0){B=27;break a}else{z=1;A=1}}}while(0);u=s+8|0;if(u>>>0<k>>>0){r=A;s=u;t=z}else{x=z;y=A;break}}if(y){C=x;B=26}else{D=x;B=23}}else{D=0;B=23}}while(0);do{if((B|0)==23){c[h>>2]=e;k=d+40|0;c[k>>2]=(c[k>>2]|0)+1;if((c[d+36>>2]|0)!=1){C=D;B=26;break}if((c[d+24>>2]|0)!=2){C=D;B=26;break}a[d+54|0]=1;if(D){B=27}else{B=28}}}while(0);if((B|0)==26){if(C){B=27}else{B=28}}if((B|0)==27){c[i>>2]=3;return}else if((B|0)==28){c[i>>2]=4;return}}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}C=c[b+12>>2]|0;D=b+16+(C<<3)|0;x=c[b+20>>2]|0;y=x>>8;if((x&1|0)==0){E=y}else{E=c[(c[e>>2]|0)+y>>2]|0}y=c[b+16>>2]|0;Ud[c[(c[y>>2]|0)+24>>2]&31](y,d,e+E|0,(x&2|0)!=0?f:2,g);x=b+24|0;if((C|0)<=1){return}C=c[b+8>>2]|0;do{if((C&2|0)==0){b=d+36|0;if((c[b>>2]|0)==1){break}if((C&1|0)==0){E=d+54|0;y=e;A=x;while(1){if((a[E]|0)!=0){B=53;break}if((c[b>>2]|0)==1){B=53;break}z=c[A+4>>2]|0;w=z>>8;if((z&1|0)==0){F=w}else{F=c[(c[y>>2]|0)+w>>2]|0}w=c[A>>2]|0;Ud[c[(c[w>>2]|0)+24>>2]&31](w,d,e+F|0,(z&2|0)!=0?f:2,g);z=A+8|0;if(z>>>0<D>>>0){A=z}else{B=53;break}}if((B|0)==53){return}}A=d+24|0;y=d+54|0;E=e;i=x;while(1){if((a[y]|0)!=0){B=53;break}if((c[b>>2]|0)==1){if((c[A>>2]|0)==1){B=53;break}}z=c[i+4>>2]|0;w=z>>8;if((z&1|0)==0){G=w}else{G=c[(c[E>>2]|0)+w>>2]|0}w=c[i>>2]|0;Ud[c[(c[w>>2]|0)+24>>2]&31](w,d,e+G|0,(z&2|0)!=0?f:2,g);z=i+8|0;if(z>>>0<D>>>0){i=z}else{B=53;break}}if((B|0)==53){return}}}while(0);G=d+54|0;F=e;C=x;while(1){if((a[G]|0)!=0){B=53;break}x=c[C+4>>2]|0;i=x>>8;if((x&1|0)==0){H=i}else{H=c[(c[F>>2]|0)+i>>2]|0}i=c[C>>2]|0;Ud[c[(c[i>>2]|0)+24>>2]&31](i,d,e+H|0,(x&2|0)!=0?f:2,g);x=C+8|0;if(x>>>0<D>>>0){C=x}else{B=53;break}}if((B|0)==53){return}}function DJa(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;h=b|0;if((h|0)==(c[d+8>>2]|0)){if((c[d+4>>2]|0)!=(e|0)){return}i=d+28|0;if((c[i>>2]|0)==1){return}c[i>>2]=f;return}if((h|0)!=(c[d>>2]|0)){h=c[b+8>>2]|0;Ud[c[(c[h>>2]|0)+24>>2]&31](h,d,e,f,g);return}do{if((c[d+16>>2]|0)!=(e|0)){h=d+20|0;if((c[h>>2]|0)==(e|0)){break}c[d+32>>2]=f;i=d+44|0;if((c[i>>2]|0)==4){return}j=d+52|0;a[j]=0;k=d+53|0;a[k]=0;l=c[b+8>>2]|0;be[c[(c[l>>2]|0)+20>>2]&63](l,d,e,e,1,g);if((a[k]|0)==0){m=0;n=13}else{if((a[j]|0)==0){m=1;n=13}}a:do{if((n|0)==13){c[h>>2]=e;j=d+40|0;c[j>>2]=(c[j>>2]|0)+1;do{if((c[d+36>>2]|0)==1){if((c[d+24>>2]|0)!=2){n=16;break}a[d+54|0]=1;if(m){break a}}else{n=16}}while(0);if((n|0)==16){if(m){break}}c[i>>2]=4;return}}while(0);c[i>>2]=3;return}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}function EJa(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;if((c[d+8>>2]|0)==(b|0)){if((c[d+4>>2]|0)!=(e|0)){return}g=d+28|0;if((c[g>>2]|0)==1){return}c[g>>2]=f;return}if((c[d>>2]|0)!=(b|0)){return}do{if((c[d+16>>2]|0)!=(e|0)){b=d+20|0;if((c[b>>2]|0)==(e|0)){break}c[d+32>>2]=f;c[b>>2]=e;b=d+40|0;c[b>>2]=(c[b>>2]|0)+1;do{if((c[d+36>>2]|0)==1){if((c[d+24>>2]|0)!=2){break}a[d+54|0]=1}}while(0);c[d+44>>2]=4;return}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}function FJa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;if((b|0)!=(c[d+8>>2]|0)){i=d+52|0;j=a[i]|0;k=d+53|0;l=a[k]|0;m=c[b+12>>2]|0;n=b+16+(m<<3)|0;a[i]=0;a[k]=0;o=c[b+20>>2]|0;p=o>>8;if((o&1|0)==0){q=p}else{q=c[(c[f>>2]|0)+p>>2]|0}p=c[b+16>>2]|0;be[c[(c[p>>2]|0)+20>>2]&63](p,d,e,f+q|0,(o&2|0)!=0?g:2,h);a:do{if((m|0)>1){o=d+24|0;q=b+8|0;p=d+54|0;r=f;s=b+24|0;do{if((a[p]|0)!=0){break a}do{if((a[i]|0)==0){if((a[k]|0)==0){break}if((c[q>>2]&1|0)==0){break a}}else{if((c[o>>2]|0)==1){break a}if((c[q>>2]&2|0)==0){break a}}}while(0);a[i]=0;a[k]=0;t=c[s+4>>2]|0;u=t>>8;if((t&1|0)==0){v=u}else{v=c[(c[r>>2]|0)+u>>2]|0}u=c[s>>2]|0;be[c[(c[u>>2]|0)+20>>2]&63](u,d,e,f+v|0,(t&2|0)!=0?g:2,h);s=s+8|0;}while(s>>>0<n>>>0)}}while(0);a[i]=j;a[k]=l;return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;l=c[f>>2]|0;if((l|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((l|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;l=c[e>>2]|0;if((l|0)==2){c[e>>2]=g;w=g}else{w=l}if(!((c[d+48>>2]|0)==1&(w|0)==1)){return}a[d+54|0]=1;return}function GJa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0;if((b|0)!=(c[d+8>>2]|0)){i=c[b+8>>2]|0;be[c[(c[i>>2]|0)+20>>2]&63](i,d,e,f,g,h);return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;h=c[f>>2]|0;if((h|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((h|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;h=c[e>>2]|0;if((h|0)==2){c[e>>2]=g;j=g}else{j=h}if(!((c[d+48>>2]|0)==1&(j|0)==1)){return}a[d+54|0]=1;return}function HJa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0;if((c[d+8>>2]|0)!=(b|0)){return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;b=c[f>>2]|0;if((b|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((b|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;b=c[e>>2]|0;if((b|0)==2){c[e>>2]=g;i=g}else{i=b}if(!((c[d+48>>2]|0)==1&(i|0)==1)){return}a[d+54|0]=1;return}function IJa(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0;do{if(a>>>0<245>>>0){if(a>>>0<11>>>0){b=16}else{b=a+11&-8}d=b>>>3;e=c[2142284]|0;f=e>>>(d>>>0);if((f&3|0)!=0){g=(f&1^1)+d|0;h=g<<1;i=8569176+(h<<2)|0;j=8569176+(h+2<<2)|0;h=c[j>>2]|0;k=h+8|0;l=c[k>>2]|0;do{if((i|0)==(l|0)){c[2142284]=e&~(1<<g)}else{if(l>>>0<(c[2142288]|0)>>>0){nd();return 0}m=l+12|0;if((c[m>>2]|0)==(h|0)){c[m>>2]=i;c[j>>2]=l;break}else{nd();return 0}}}while(0);l=g<<3;c[h+4>>2]=l|3;j=h+(l|4)|0;c[j>>2]=c[j>>2]|1;n=k;return n|0}if(!(b>>>0>(c[2142286]|0)>>>0)){o=b;break}if((f|0)!=0){j=2<<d;l=f<<d&(j|-j);j=(l&-l)-1|0;l=j>>>12&16;i=j>>>(l>>>0);j=i>>>5&8;m=i>>>(j>>>0);i=m>>>2&4;p=m>>>(i>>>0);m=p>>>1&2;q=p>>>(m>>>0);p=q>>>1&1;r=(j|l|i|m|p)+(q>>>(p>>>0))|0;p=r<<1;q=8569176+(p<<2)|0;m=8569176+(p+2<<2)|0;p=c[m>>2]|0;i=p+8|0;l=c[i>>2]|0;do{if((q|0)==(l|0)){c[2142284]=e&~(1<<r)}else{if(l>>>0<(c[2142288]|0)>>>0){nd();return 0}j=l+12|0;if((c[j>>2]|0)==(p|0)){c[j>>2]=q;c[m>>2]=l;break}else{nd();return 0}}}while(0);l=r<<3;m=l-b|0;c[p+4>>2]=b|3;q=p;e=q+b|0;c[q+(b|4)>>2]=m|1;c[q+l>>2]=m;l=c[2142286]|0;if((l|0)!=0){q=c[2142289]|0;d=l>>>3;l=d<<1;f=8569176+(l<<2)|0;k=c[2142284]|0;h=1<<d;do{if((k&h|0)==0){c[2142284]=k|h;s=f;t=8569176+(l+2<<2)|0}else{d=8569176+(l+2<<2)|0;g=c[d>>2]|0;if(!(g>>>0<(c[2142288]|0)>>>0)){s=g;t=d;break}nd();return 0}}while(0);c[t>>2]=q;c[s+12>>2]=q;c[q+8>>2]=s;c[q+12>>2]=f}c[2142286]=m;c[2142289]=e;n=i;return n|0}l=c[2142285]|0;if((l|0)==0){o=b;break}h=(l&-l)-1|0;l=h>>>12&16;k=h>>>(l>>>0);h=k>>>5&8;p=k>>>(h>>>0);k=p>>>2&4;r=p>>>(k>>>0);p=r>>>1&2;d=r>>>(p>>>0);r=d>>>1&1;g=c[8569440+((h|l|k|p|r)+(d>>>(r>>>0))<<2)>>2]|0;r=g;d=g;p=(c[g+4>>2]&-8)-b|0;while(1){g=c[r+16>>2]|0;if((g|0)==0){k=c[r+20>>2]|0;if((k|0)==0){break}else{u=k}}else{u=g}g=(c[u+4>>2]&-8)-b|0;k=g>>>0<p>>>0;r=u;d=k?u:d;p=k?g:p}r=d;i=c[2142288]|0;if(r>>>0<i>>>0){nd();return 0}e=r+b|0;m=e;if(!(r>>>0<e>>>0)){nd();return 0}e=c[d+24>>2]|0;f=c[d+12>>2]|0;do{if((f|0)==(d|0)){q=d+20|0;g=c[q>>2]|0;if((g|0)==0){k=d+16|0;l=c[k>>2]|0;if((l|0)==0){v=0;break}else{w=l;x=k}}else{w=g;x=q}while(1){q=w+20|0;g=c[q>>2]|0;if((g|0)!=0){w=g;x=q;continue}q=w+16|0;g=c[q>>2]|0;if((g|0)==0){break}else{w=g;x=q}}if(x>>>0<i>>>0){nd();return 0}else{c[x>>2]=0;v=w;break}}else{q=c[d+8>>2]|0;if(q>>>0<i>>>0){nd();return 0}g=q+12|0;if((c[g>>2]|0)!=(d|0)){nd();return 0}k=f+8|0;if((c[k>>2]|0)==(d|0)){c[g>>2]=f;c[k>>2]=q;v=f;break}else{nd();return 0}}}while(0);a:do{if((e|0)!=0){f=c[d+28>>2]|0;i=8569440+(f<<2)|0;do{if((d|0)==(c[i>>2]|0)){c[i>>2]=v;if((v|0)!=0){break}c[2142285]=c[2142285]&~(1<<f);break a}else{if(e>>>0<(c[2142288]|0)>>>0){nd();return 0}q=e+16|0;if((c[q>>2]|0)==(d|0)){c[q>>2]=v}else{c[e+20>>2]=v}if((v|0)==0){break a}}}while(0);if(v>>>0<(c[2142288]|0)>>>0){nd();return 0}c[v+24>>2]=e;f=c[d+16>>2]|0;do{if((f|0)!=0){if(f>>>0<(c[2142288]|0)>>>0){nd();return 0}else{c[v+16>>2]=f;c[f+24>>2]=v;break}}}while(0);f=c[d+20>>2]|0;if((f|0)==0){break}if(f>>>0<(c[2142288]|0)>>>0){nd();return 0}else{c[v+20>>2]=f;c[f+24>>2]=v;break}}}while(0);if(p>>>0<16>>>0){e=p+b|0;c[d+4>>2]=e|3;f=r+(e+4)|0;c[f>>2]=c[f>>2]|1}else{c[d+4>>2]=b|3;c[r+(b|4)>>2]=p|1;c[r+(p+b)>>2]=p;f=c[2142286]|0;if((f|0)!=0){e=c[2142289]|0;i=f>>>3;f=i<<1;q=8569176+(f<<2)|0;k=c[2142284]|0;g=1<<i;do{if((k&g|0)==0){c[2142284]=k|g;y=q;z=8569176+(f+2<<2)|0}else{i=8569176+(f+2<<2)|0;l=c[i>>2]|0;if(!(l>>>0<(c[2142288]|0)>>>0)){y=l;z=i;break}nd();return 0}}while(0);c[z>>2]=e;c[y+12>>2]=e;c[e+8>>2]=y;c[e+12>>2]=q}c[2142286]=p;c[2142289]=m}f=d+8|0;if((f|0)==0){o=b;break}else{n=f}return n|0}else{if(a>>>0>4294967231>>>0){o=-1;break}f=a+11|0;g=f&-8;k=c[2142285]|0;if((k|0)==0){o=g;break}r=-g|0;i=f>>>8;do{if((i|0)==0){A=0}else{if(g>>>0>16777215>>>0){A=31;break}f=(i+1048320|0)>>>16&8;l=i<<f;h=(l+520192|0)>>>16&4;j=l<<h;l=(j+245760|0)>>>16&2;B=14-(h|f|l)+(j<<l>>>15)|0;A=g>>>((B+7|0)>>>0)&1|B<<1}}while(0);i=c[8569440+(A<<2)>>2]|0;b:do{if((i|0)==0){C=0;D=r;E=0}else{if((A|0)==31){F=0}else{F=25-(A>>>1)|0}d=0;m=r;p=i;q=g<<F;e=0;while(1){B=c[p+4>>2]&-8;l=B-g|0;if(l>>>0<m>>>0){if((B|0)==(g|0)){C=p;D=l;E=p;break b}else{G=p;H=l}}else{G=d;H=m}l=c[p+20>>2]|0;B=c[p+16+(q>>>31<<2)>>2]|0;j=(l|0)==0|(l|0)==(B|0)?e:l;if((B|0)==0){C=G;D=H;E=j;break}else{d=G;m=H;p=B;q=q<<1;e=j}}}}while(0);if((E|0)==0&(C|0)==0){i=2<<A;r=k&(i|-i);if((r|0)==0){o=g;break}i=(r&-r)-1|0;r=i>>>12&16;e=i>>>(r>>>0);i=e>>>5&8;q=e>>>(i>>>0);e=q>>>2&4;p=q>>>(e>>>0);q=p>>>1&2;m=p>>>(q>>>0);p=m>>>1&1;I=c[8569440+((i|r|e|q|p)+(m>>>(p>>>0))<<2)>>2]|0}else{I=E}if((I|0)==0){J=D;K=C}else{p=I;m=D;q=C;while(1){e=(c[p+4>>2]&-8)-g|0;r=e>>>0<m>>>0;i=r?e:m;e=r?p:q;r=c[p+16>>2]|0;if((r|0)!=0){p=r;m=i;q=e;continue}r=c[p+20>>2]|0;if((r|0)==0){J=i;K=e;break}else{p=r;m=i;q=e}}}if((K|0)==0){o=g;break}if(!(J>>>0<((c[2142286]|0)-g|0)>>>0)){o=g;break}q=K;m=c[2142288]|0;if(q>>>0<m>>>0){nd();return 0}p=q+g|0;k=p;if(!(q>>>0<p>>>0)){nd();return 0}e=c[K+24>>2]|0;i=c[K+12>>2]|0;do{if((i|0)==(K|0)){r=K+20|0;d=c[r>>2]|0;if((d|0)==0){j=K+16|0;B=c[j>>2]|0;if((B|0)==0){L=0;break}else{M=B;N=j}}else{M=d;N=r}while(1){r=M+20|0;d=c[r>>2]|0;if((d|0)!=0){M=d;N=r;continue}r=M+16|0;d=c[r>>2]|0;if((d|0)==0){break}else{M=d;N=r}}if(N>>>0<m>>>0){nd();return 0}else{c[N>>2]=0;L=M;break}}else{r=c[K+8>>2]|0;if(r>>>0<m>>>0){nd();return 0}d=r+12|0;if((c[d>>2]|0)!=(K|0)){nd();return 0}j=i+8|0;if((c[j>>2]|0)==(K|0)){c[d>>2]=i;c[j>>2]=r;L=i;break}else{nd();return 0}}}while(0);c:do{if((e|0)!=0){i=c[K+28>>2]|0;m=8569440+(i<<2)|0;do{if((K|0)==(c[m>>2]|0)){c[m>>2]=L;if((L|0)!=0){break}c[2142285]=c[2142285]&~(1<<i);break c}else{if(e>>>0<(c[2142288]|0)>>>0){nd();return 0}r=e+16|0;if((c[r>>2]|0)==(K|0)){c[r>>2]=L}else{c[e+20>>2]=L}if((L|0)==0){break c}}}while(0);if(L>>>0<(c[2142288]|0)>>>0){nd();return 0}c[L+24>>2]=e;i=c[K+16>>2]|0;do{if((i|0)!=0){if(i>>>0<(c[2142288]|0)>>>0){nd();return 0}else{c[L+16>>2]=i;c[i+24>>2]=L;break}}}while(0);i=c[K+20>>2]|0;if((i|0)==0){break}if(i>>>0<(c[2142288]|0)>>>0){nd();return 0}else{c[L+20>>2]=i;c[i+24>>2]=L;break}}}while(0);do{if(J>>>0<16>>>0){e=J+g|0;c[K+4>>2]=e|3;i=q+(e+4)|0;c[i>>2]=c[i>>2]|1}else{c[K+4>>2]=g|3;c[q+(g|4)>>2]=J|1;c[q+(J+g)>>2]=J;i=J>>>3;if(J>>>0<256>>>0){e=i<<1;m=8569176+(e<<2)|0;r=c[2142284]|0;j=1<<i;do{if((r&j|0)==0){c[2142284]=r|j;O=m;P=8569176+(e+2<<2)|0}else{i=8569176+(e+2<<2)|0;d=c[i>>2]|0;if(!(d>>>0<(c[2142288]|0)>>>0)){O=d;P=i;break}nd();return 0}}while(0);c[P>>2]=k;c[O+12>>2]=k;c[q+(g+8)>>2]=O;c[q+(g+12)>>2]=m;break}e=p;j=J>>>8;do{if((j|0)==0){Q=0}else{if(J>>>0>16777215>>>0){Q=31;break}r=(j+1048320|0)>>>16&8;i=j<<r;d=(i+520192|0)>>>16&4;B=i<<d;i=(B+245760|0)>>>16&2;l=14-(d|r|i)+(B<<i>>>15)|0;Q=J>>>((l+7|0)>>>0)&1|l<<1}}while(0);j=8569440+(Q<<2)|0;c[q+(g+28)>>2]=Q;c[q+(g+20)>>2]=0;c[q+(g+16)>>2]=0;m=c[2142285]|0;l=1<<Q;if((m&l|0)==0){c[2142285]=m|l;c[j>>2]=e;c[q+(g+24)>>2]=j;c[q+(g+12)>>2]=e;c[q+(g+8)>>2]=e;break}if((Q|0)==31){R=0}else{R=25-(Q>>>1)|0}l=J<<R;m=c[j>>2]|0;while(1){if((c[m+4>>2]&-8|0)==(J|0)){break}S=m+16+(l>>>31<<2)|0;j=c[S>>2]|0;if((j|0)==0){T=151;break}else{l=l<<1;m=j}}if((T|0)==151){if(S>>>0<(c[2142288]|0)>>>0){nd();return 0}else{c[S>>2]=e;c[q+(g+24)>>2]=m;c[q+(g+12)>>2]=e;c[q+(g+8)>>2]=e;break}}l=m+8|0;j=c[l>>2]|0;i=c[2142288]|0;if(m>>>0<i>>>0){nd();return 0}if(j>>>0<i>>>0){nd();return 0}else{c[j+12>>2]=e;c[l>>2]=e;c[q+(g+8)>>2]=j;c[q+(g+12)>>2]=m;c[q+(g+24)>>2]=0;break}}}while(0);q=K+8|0;if((q|0)==0){o=g;break}else{n=q}return n|0}}while(0);K=c[2142286]|0;if(!(o>>>0>K>>>0)){S=K-o|0;J=c[2142289]|0;if(S>>>0>15>>>0){R=J;c[2142289]=R+o;c[2142286]=S;c[R+(o+4)>>2]=S|1;c[R+K>>2]=S;c[J+4>>2]=o|3}else{c[2142286]=0;c[2142289]=0;c[J+4>>2]=K|3;S=J+(K+4)|0;c[S>>2]=c[S>>2]|1}n=J+8|0;return n|0}J=c[2142287]|0;if(o>>>0<J>>>0){S=J-o|0;c[2142287]=S;J=c[2142290]|0;K=J;c[2142290]=K+o;c[K+(o+4)>>2]=S|1;c[J+4>>2]=o|3;n=J+8|0;return n|0}do{if((c[2138748]|0)==0){J=Na(30)|0;if((J-1&J|0)==0){c[2138750]=J;c[2138749]=J;c[2138751]=-1;c[2138752]=-1;c[2138753]=0;c[2142395]=0;c[2138748]=(Qd(0)|0)&-16^1431655768;break}else{nd();return 0}}}while(0);J=o+48|0;S=c[2138750]|0;K=o+47|0;R=S+K|0;Q=-S|0;S=R&Q;if(!(S>>>0>o>>>0)){n=0;return n|0}O=c[2142394]|0;do{if((O|0)!=0){P=c[2142392]|0;L=P+S|0;if(L>>>0<=P>>>0|L>>>0>O>>>0){n=0}else{break}return n|0}}while(0);d:do{if((c[2142395]&4|0)==0){O=c[2142290]|0;e:do{if((O|0)==0){T=181}else{L=O;P=8569584;while(1){U=P|0;M=c[U>>2]|0;if(!(M>>>0>L>>>0)){V=P+4|0;if((M+(c[V>>2]|0)|0)>>>0>L>>>0){break}}M=c[P+8>>2]|0;if((M|0)==0){T=181;break e}else{P=M}}if((P|0)==0){T=181;break}L=R-(c[2142287]|0)&Q;if(!(L>>>0<2147483647>>>0)){W=0;break}m=Wc(L|0)|0;e=(m|0)==((c[U>>2]|0)+(c[V>>2]|0)|0);X=e?m:-1;Y=e?L:0;Z=m;_=L;T=190}}while(0);do{if((T|0)==181){O=Wc(0)|0;if((O|0)==-1){W=0;break}g=O;L=c[2138749]|0;m=L-1|0;if((m&g|0)==0){$=S}else{$=S-g+(m+g&-L)|0}L=c[2142392]|0;g=L+$|0;if(!($>>>0>o>>>0&$>>>0<2147483647>>>0)){W=0;break}m=c[2142394]|0;if((m|0)!=0){if(g>>>0<=L>>>0|g>>>0>m>>>0){W=0;break}}m=Wc($|0)|0;g=(m|0)==(O|0);X=g?O:-1;Y=g?$:0;Z=m;_=$;T=190}}while(0);f:do{if((T|0)==190){m=-_|0;if(!((X|0)==-1)){aa=Y;ba=X;T=201;break d}do{if((Z|0)!=-1&_>>>0<2147483647>>>0&_>>>0<J>>>0){g=c[2138750]|0;O=K-_+g&-g;if(!(O>>>0<2147483647>>>0)){ca=_;break}if((Wc(O|0)|0)==-1){Wc(m|0)|0;W=Y;break f}else{ca=O+_|0;break}}else{ca=_}}while(0);if((Z|0)==-1){W=Y}else{aa=ca;ba=Z;T=201;break d}}}while(0);c[2142395]=c[2142395]|4;da=W;T=198}else{da=0;T=198}}while(0);do{if((T|0)==198){if(!(S>>>0<2147483647>>>0)){break}W=Wc(S|0)|0;Z=Wc(0)|0;if(!((Z|0)!=-1&(W|0)!=-1&W>>>0<Z>>>0)){break}ca=Z-W|0;Z=ca>>>0>(o+40|0)>>>0;Y=Z?W:-1;if(!((Y|0)==-1)){aa=Z?ca:da;ba=Y;T=201}}}while(0);do{if((T|0)==201){da=(c[2142392]|0)+aa|0;c[2142392]=da;if(da>>>0>(c[2142393]|0)>>>0){c[2142393]=da}da=c[2142290]|0;g:do{if((da|0)==0){S=c[2142288]|0;if((S|0)==0|ba>>>0<S>>>0){c[2142288]=ba}c[2142396]=ba;c[2142397]=aa;c[2142399]=0;c[2142293]=c[2138748];c[2142292]=-1;S=0;do{Y=S<<1;ca=8569176+(Y<<2)|0;c[8569176+(Y+3<<2)>>2]=ca;c[8569176+(Y+2<<2)>>2]=ca;S=S+1|0;}while(S>>>0<32>>>0);S=ba+8|0;if((S&7|0)==0){ea=0}else{ea=-S&7}S=aa-40-ea|0;c[2142290]=ba+ea;c[2142287]=S;c[ba+(ea+4)>>2]=S|1;c[ba+(aa-36)>>2]=40;c[2142291]=c[2138752]}else{S=8569584;while(1){fa=c[S>>2]|0;ga=S+4|0;ha=c[ga>>2]|0;if((ba|0)==(fa+ha|0)){T=213;break}ca=c[S+8>>2]|0;if((ca|0)==0){break}else{S=ca}}do{if((T|0)==213){if((c[S+12>>2]&8|0)!=0){break}ca=da;if(!(ca>>>0>=fa>>>0&ca>>>0<ba>>>0)){break}c[ga>>2]=ha+aa;Y=(c[2142287]|0)+aa|0;Z=da+8|0;if((Z&7|0)==0){ia=0}else{ia=-Z&7}Z=Y-ia|0;c[2142290]=ca+ia;c[2142287]=Z;c[ca+(ia+4)>>2]=Z|1;c[ca+(Y+4)>>2]=40;c[2142291]=c[2138752];break g}}while(0);if(ba>>>0<(c[2142288]|0)>>>0){c[2142288]=ba}S=ba+aa|0;Y=8569584;while(1){ja=Y|0;if((c[ja>>2]|0)==(S|0)){T=223;break}ca=c[Y+8>>2]|0;if((ca|0)==0){break}else{Y=ca}}do{if((T|0)==223){if((c[Y+12>>2]&8|0)!=0){break}c[ja>>2]=ba;S=Y+4|0;c[S>>2]=(c[S>>2]|0)+aa;S=ba+8|0;if((S&7|0)==0){ka=0}else{ka=-S&7}S=ba+(aa+8)|0;if((S&7|0)==0){la=0}else{la=-S&7}S=ba+(la+aa)|0;ca=S;Z=ka+o|0;W=ba+Z|0;_=W;K=S-(ba+ka)-o|0;c[ba+(ka+4)>>2]=o|3;do{if((ca|0)==(c[2142290]|0)){J=(c[2142287]|0)+K|0;c[2142287]=J;c[2142290]=_;c[ba+(Z+4)>>2]=J|1}else{if((ca|0)==(c[2142289]|0)){J=(c[2142286]|0)+K|0;c[2142286]=J;c[2142289]=_;c[ba+(Z+4)>>2]=J|1;c[ba+(J+Z)>>2]=J;break}J=aa+4|0;X=c[ba+(J+la)>>2]|0;if((X&3|0)==1){$=X&-8;V=X>>>3;h:do{if(X>>>0<256>>>0){U=c[ba+((la|8)+aa)>>2]|0;Q=c[ba+(aa+12+la)>>2]|0;R=8569176+(V<<1<<2)|0;do{if((U|0)!=(R|0)){if(U>>>0<(c[2142288]|0)>>>0){nd();return 0}if((c[U+12>>2]|0)==(ca|0)){break}nd();return 0}}while(0);if((Q|0)==(U|0)){c[2142284]=c[2142284]&~(1<<V);break}do{if((Q|0)==(R|0)){ma=Q+8|0}else{if(Q>>>0<(c[2142288]|0)>>>0){nd();return 0}m=Q+8|0;if((c[m>>2]|0)==(ca|0)){ma=m;break}nd();return 0}}while(0);c[U+12>>2]=Q;c[ma>>2]=U}else{R=S;m=c[ba+((la|24)+aa)>>2]|0;P=c[ba+(aa+12+la)>>2]|0;do{if((P|0)==(R|0)){O=la|16;g=ba+(J+O)|0;L=c[g>>2]|0;if((L|0)==0){e=ba+(O+aa)|0;O=c[e>>2]|0;if((O|0)==0){na=0;break}else{oa=O;pa=e}}else{oa=L;pa=g}while(1){g=oa+20|0;L=c[g>>2]|0;if((L|0)!=0){oa=L;pa=g;continue}g=oa+16|0;L=c[g>>2]|0;if((L|0)==0){break}else{oa=L;pa=g}}if(pa>>>0<(c[2142288]|0)>>>0){nd();return 0}else{c[pa>>2]=0;na=oa;break}}else{g=c[ba+((la|8)+aa)>>2]|0;if(g>>>0<(c[2142288]|0)>>>0){nd();return 0}L=g+12|0;if((c[L>>2]|0)!=(R|0)){nd();return 0}e=P+8|0;if((c[e>>2]|0)==(R|0)){c[L>>2]=P;c[e>>2]=g;na=P;break}else{nd();return 0}}}while(0);if((m|0)==0){break}P=c[ba+(aa+28+la)>>2]|0;U=8569440+(P<<2)|0;do{if((R|0)==(c[U>>2]|0)){c[U>>2]=na;if((na|0)!=0){break}c[2142285]=c[2142285]&~(1<<P);break h}else{if(m>>>0<(c[2142288]|0)>>>0){nd();return 0}Q=m+16|0;if((c[Q>>2]|0)==(R|0)){c[Q>>2]=na}else{c[m+20>>2]=na}if((na|0)==0){break h}}}while(0);if(na>>>0<(c[2142288]|0)>>>0){nd();return 0}c[na+24>>2]=m;R=la|16;P=c[ba+(R+aa)>>2]|0;do{if((P|0)!=0){if(P>>>0<(c[2142288]|0)>>>0){nd();return 0}else{c[na+16>>2]=P;c[P+24>>2]=na;break}}}while(0);P=c[ba+(J+R)>>2]|0;if((P|0)==0){break}if(P>>>0<(c[2142288]|0)>>>0){nd();return 0}else{c[na+20>>2]=P;c[P+24>>2]=na;break}}}while(0);qa=ba+(($|la)+aa)|0;ra=$+K|0}else{qa=ca;ra=K}J=qa+4|0;c[J>>2]=c[J>>2]&-2;c[ba+(Z+4)>>2]=ra|1;c[ba+(ra+Z)>>2]=ra;J=ra>>>3;if(ra>>>0<256>>>0){V=J<<1;X=8569176+(V<<2)|0;P=c[2142284]|0;m=1<<J;do{if((P&m|0)==0){c[2142284]=P|m;sa=X;ta=8569176+(V+2<<2)|0}else{J=8569176+(V+2<<2)|0;U=c[J>>2]|0;if(!(U>>>0<(c[2142288]|0)>>>0)){sa=U;ta=J;break}nd();return 0}}while(0);c[ta>>2]=_;c[sa+12>>2]=_;c[ba+(Z+8)>>2]=sa;c[ba+(Z+12)>>2]=X;break}V=W;m=ra>>>8;do{if((m|0)==0){ua=0}else{if(ra>>>0>16777215>>>0){ua=31;break}P=(m+1048320|0)>>>16&8;$=m<<P;J=($+520192|0)>>>16&4;U=$<<J;$=(U+245760|0)>>>16&2;Q=14-(J|P|$)+(U<<$>>>15)|0;ua=ra>>>((Q+7|0)>>>0)&1|Q<<1}}while(0);m=8569440+(ua<<2)|0;c[ba+(Z+28)>>2]=ua;c[ba+(Z+20)>>2]=0;c[ba+(Z+16)>>2]=0;X=c[2142285]|0;Q=1<<ua;if((X&Q|0)==0){c[2142285]=X|Q;c[m>>2]=V;c[ba+(Z+24)>>2]=m;c[ba+(Z+12)>>2]=V;c[ba+(Z+8)>>2]=V;break}if((ua|0)==31){va=0}else{va=25-(ua>>>1)|0}Q=ra<<va;X=c[m>>2]|0;while(1){if((c[X+4>>2]&-8|0)==(ra|0)){break}wa=X+16+(Q>>>31<<2)|0;m=c[wa>>2]|0;if((m|0)==0){T=296;break}else{Q=Q<<1;X=m}}if((T|0)==296){if(wa>>>0<(c[2142288]|0)>>>0){nd();return 0}else{c[wa>>2]=V;c[ba+(Z+24)>>2]=X;c[ba+(Z+12)>>2]=V;c[ba+(Z+8)>>2]=V;break}}Q=X+8|0;m=c[Q>>2]|0;$=c[2142288]|0;if(X>>>0<$>>>0){nd();return 0}if(m>>>0<$>>>0){nd();return 0}else{c[m+12>>2]=V;c[Q>>2]=V;c[ba+(Z+8)>>2]=m;c[ba+(Z+12)>>2]=X;c[ba+(Z+24)>>2]=0;break}}}while(0);n=ba+(ka|8)|0;return n|0}}while(0);Y=da;Z=8569584;while(1){xa=c[Z>>2]|0;if(!(xa>>>0>Y>>>0)){ya=c[Z+4>>2]|0;za=xa+ya|0;if(za>>>0>Y>>>0){break}}Z=c[Z+8>>2]|0}Z=xa+(ya-39)|0;if((Z&7|0)==0){Aa=0}else{Aa=-Z&7}Z=xa+(ya-47+Aa)|0;W=Z>>>0<(da+16|0)>>>0?Y:Z;Z=W+8|0;_=ba+8|0;if((_&7|0)==0){Ba=0}else{Ba=-_&7}_=aa-40-Ba|0;c[2142290]=ba+Ba;c[2142287]=_;c[ba+(Ba+4)>>2]=_|1;c[ba+(aa-36)>>2]=40;c[2142291]=c[2138752];c[W+4>>2]=27;c[Z>>2]=c[2142396];c[Z+4>>2]=c[2142397];c[Z+8>>2]=c[2142398];c[Z+12>>2]=c[2142399];c[2142396]=ba;c[2142397]=aa;c[2142399]=0;c[2142398]=Z;Z=W+28|0;c[Z>>2]=7;if((W+32|0)>>>0<za>>>0){_=Z;while(1){Z=_+4|0;c[Z>>2]=7;if((_+8|0)>>>0<za>>>0){_=Z}else{break}}}if((W|0)==(Y|0)){break}_=W-da|0;Z=Y+(_+4)|0;c[Z>>2]=c[Z>>2]&-2;c[da+4>>2]=_|1;c[Y+_>>2]=_;Z=_>>>3;if(_>>>0<256>>>0){K=Z<<1;ca=8569176+(K<<2)|0;S=c[2142284]|0;m=1<<Z;do{if((S&m|0)==0){c[2142284]=S|m;Ca=ca;Da=8569176+(K+2<<2)|0}else{Z=8569176+(K+2<<2)|0;Q=c[Z>>2]|0;if(!(Q>>>0<(c[2142288]|0)>>>0)){Ca=Q;Da=Z;break}nd();return 0}}while(0);c[Da>>2]=da;c[Ca+12>>2]=da;c[da+8>>2]=Ca;c[da+12>>2]=ca;break}K=da;m=_>>>8;do{if((m|0)==0){Ea=0}else{if(_>>>0>16777215>>>0){Ea=31;break}S=(m+1048320|0)>>>16&8;Y=m<<S;W=(Y+520192|0)>>>16&4;Z=Y<<W;Y=(Z+245760|0)>>>16&2;Q=14-(W|S|Y)+(Z<<Y>>>15)|0;Ea=_>>>((Q+7|0)>>>0)&1|Q<<1}}while(0);m=8569440+(Ea<<2)|0;c[da+28>>2]=Ea;c[da+20>>2]=0;c[da+16>>2]=0;ca=c[2142285]|0;Q=1<<Ea;if((ca&Q|0)==0){c[2142285]=ca|Q;c[m>>2]=K;c[da+24>>2]=m;c[da+12>>2]=da;c[da+8>>2]=da;break}if((Ea|0)==31){Fa=0}else{Fa=25-(Ea>>>1)|0}Q=_<<Fa;ca=c[m>>2]|0;while(1){if((c[ca+4>>2]&-8|0)==(_|0)){break}Ga=ca+16+(Q>>>31<<2)|0;m=c[Ga>>2]|0;if((m|0)==0){T=331;break}else{Q=Q<<1;ca=m}}if((T|0)==331){if(Ga>>>0<(c[2142288]|0)>>>0){nd();return 0}else{c[Ga>>2]=K;c[da+24>>2]=ca;c[da+12>>2]=da;c[da+8>>2]=da;break}}Q=ca+8|0;_=c[Q>>2]|0;m=c[2142288]|0;if(ca>>>0<m>>>0){nd();return 0}if(_>>>0<m>>>0){nd();return 0}else{c[_+12>>2]=K;c[Q>>2]=K;c[da+8>>2]=_;c[da+12>>2]=ca;c[da+24>>2]=0;break}}}while(0);da=c[2142287]|0;if(!(da>>>0>o>>>0)){break}_=da-o|0;c[2142287]=_;da=c[2142290]|0;Q=da;c[2142290]=Q+o;c[Q+(o+4)>>2]=_|1;c[da+4>>2]=o|3;n=da+8|0;return n|0}}while(0);c[(Zc()|0)>>2]=12;n=0;return n|0}function JJa(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;if((a|0)==0){return}b=a-8|0;d=b;e=c[2142288]|0;if(b>>>0<e>>>0){nd()}f=c[a-4>>2]|0;g=f&3;if((g|0)==1){nd()}h=f&-8;i=a+(h-8)|0;j=i;a:do{if((f&1|0)==0){k=c[b>>2]|0;if((g|0)==0){return}l=-8-k|0;m=a+l|0;n=m;o=k+h|0;if(m>>>0<e>>>0){nd()}if((n|0)==(c[2142289]|0)){p=a+(h-4)|0;if((c[p>>2]&3|0)!=3){q=n;r=o;break}c[2142286]=o;c[p>>2]=c[p>>2]&-2;c[a+(l+4)>>2]=o|1;c[i>>2]=o;return}p=k>>>3;if(k>>>0<256>>>0){k=c[a+(l+8)>>2]|0;s=c[a+(l+12)>>2]|0;t=8569176+(p<<1<<2)|0;do{if((k|0)!=(t|0)){if(k>>>0<e>>>0){nd()}if((c[k+12>>2]|0)==(n|0)){break}nd()}}while(0);if((s|0)==(k|0)){c[2142284]=c[2142284]&~(1<<p);q=n;r=o;break}do{if((s|0)==(t|0)){u=s+8|0}else{if(s>>>0<e>>>0){nd()}v=s+8|0;if((c[v>>2]|0)==(n|0)){u=v;break}nd()}}while(0);c[k+12>>2]=s;c[u>>2]=k;q=n;r=o;break}t=m;p=c[a+(l+24)>>2]|0;v=c[a+(l+12)>>2]|0;do{if((v|0)==(t|0)){w=a+(l+20)|0;x=c[w>>2]|0;if((x|0)==0){y=a+(l+16)|0;z=c[y>>2]|0;if((z|0)==0){A=0;break}else{B=z;C=y}}else{B=x;C=w}while(1){w=B+20|0;x=c[w>>2]|0;if((x|0)!=0){B=x;C=w;continue}w=B+16|0;x=c[w>>2]|0;if((x|0)==0){break}else{B=x;C=w}}if(C>>>0<e>>>0){nd()}else{c[C>>2]=0;A=B;break}}else{w=c[a+(l+8)>>2]|0;if(w>>>0<e>>>0){nd()}x=w+12|0;if((c[x>>2]|0)!=(t|0)){nd()}y=v+8|0;if((c[y>>2]|0)==(t|0)){c[x>>2]=v;c[y>>2]=w;A=v;break}else{nd()}}}while(0);if((p|0)==0){q=n;r=o;break}v=c[a+(l+28)>>2]|0;m=8569440+(v<<2)|0;do{if((t|0)==(c[m>>2]|0)){c[m>>2]=A;if((A|0)!=0){break}c[2142285]=c[2142285]&~(1<<v);q=n;r=o;break a}else{if(p>>>0<(c[2142288]|0)>>>0){nd()}k=p+16|0;if((c[k>>2]|0)==(t|0)){c[k>>2]=A}else{c[p+20>>2]=A}if((A|0)==0){q=n;r=o;break a}}}while(0);if(A>>>0<(c[2142288]|0)>>>0){nd()}c[A+24>>2]=p;t=c[a+(l+16)>>2]|0;do{if((t|0)!=0){if(t>>>0<(c[2142288]|0)>>>0){nd()}else{c[A+16>>2]=t;c[t+24>>2]=A;break}}}while(0);t=c[a+(l+20)>>2]|0;if((t|0)==0){q=n;r=o;break}if(t>>>0<(c[2142288]|0)>>>0){nd()}else{c[A+20>>2]=t;c[t+24>>2]=A;q=n;r=o;break}}else{q=d;r=h}}while(0);d=q;if(!(d>>>0<i>>>0)){nd()}A=a+(h-4)|0;e=c[A>>2]|0;if((e&1|0)==0){nd()}do{if((e&2|0)==0){if((j|0)==(c[2142290]|0)){B=(c[2142287]|0)+r|0;c[2142287]=B;c[2142290]=q;c[q+4>>2]=B|1;if((q|0)!=(c[2142289]|0)){return}c[2142289]=0;c[2142286]=0;return}if((j|0)==(c[2142289]|0)){B=(c[2142286]|0)+r|0;c[2142286]=B;c[2142289]=q;c[q+4>>2]=B|1;c[d+B>>2]=B;return}B=(e&-8)+r|0;C=e>>>3;b:do{if(e>>>0<256>>>0){u=c[a+h>>2]|0;g=c[a+(h|4)>>2]|0;b=8569176+(C<<1<<2)|0;do{if((u|0)!=(b|0)){if(u>>>0<(c[2142288]|0)>>>0){nd()}if((c[u+12>>2]|0)==(j|0)){break}nd()}}while(0);if((g|0)==(u|0)){c[2142284]=c[2142284]&~(1<<C);break}do{if((g|0)==(b|0)){D=g+8|0}else{if(g>>>0<(c[2142288]|0)>>>0){nd()}f=g+8|0;if((c[f>>2]|0)==(j|0)){D=f;break}nd()}}while(0);c[u+12>>2]=g;c[D>>2]=u}else{b=i;f=c[a+(h+16)>>2]|0;t=c[a+(h|4)>>2]|0;do{if((t|0)==(b|0)){p=a+(h+12)|0;v=c[p>>2]|0;if((v|0)==0){m=a+(h+8)|0;k=c[m>>2]|0;if((k|0)==0){E=0;break}else{F=k;G=m}}else{F=v;G=p}while(1){p=F+20|0;v=c[p>>2]|0;if((v|0)!=0){F=v;G=p;continue}p=F+16|0;v=c[p>>2]|0;if((v|0)==0){break}else{F=v;G=p}}if(G>>>0<(c[2142288]|0)>>>0){nd()}else{c[G>>2]=0;E=F;break}}else{p=c[a+h>>2]|0;if(p>>>0<(c[2142288]|0)>>>0){nd()}v=p+12|0;if((c[v>>2]|0)!=(b|0)){nd()}m=t+8|0;if((c[m>>2]|0)==(b|0)){c[v>>2]=t;c[m>>2]=p;E=t;break}else{nd()}}}while(0);if((f|0)==0){break}t=c[a+(h+20)>>2]|0;u=8569440+(t<<2)|0;do{if((b|0)==(c[u>>2]|0)){c[u>>2]=E;if((E|0)!=0){break}c[2142285]=c[2142285]&~(1<<t);break b}else{if(f>>>0<(c[2142288]|0)>>>0){nd()}g=f+16|0;if((c[g>>2]|0)==(b|0)){c[g>>2]=E}else{c[f+20>>2]=E}if((E|0)==0){break b}}}while(0);if(E>>>0<(c[2142288]|0)>>>0){nd()}c[E+24>>2]=f;b=c[a+(h+8)>>2]|0;do{if((b|0)!=0){if(b>>>0<(c[2142288]|0)>>>0){nd()}else{c[E+16>>2]=b;c[b+24>>2]=E;break}}}while(0);b=c[a+(h+12)>>2]|0;if((b|0)==0){break}if(b>>>0<(c[2142288]|0)>>>0){nd()}else{c[E+20>>2]=b;c[b+24>>2]=E;break}}}while(0);c[q+4>>2]=B|1;c[d+B>>2]=B;if((q|0)!=(c[2142289]|0)){H=B;break}c[2142286]=B;return}else{c[A>>2]=e&-2;c[q+4>>2]=r|1;c[d+r>>2]=r;H=r}}while(0);r=H>>>3;if(H>>>0<256>>>0){d=r<<1;e=8569176+(d<<2)|0;A=c[2142284]|0;E=1<<r;do{if((A&E|0)==0){c[2142284]=A|E;I=e;J=8569176+(d+2<<2)|0}else{r=8569176+(d+2<<2)|0;h=c[r>>2]|0;if(!(h>>>0<(c[2142288]|0)>>>0)){I=h;J=r;break}nd()}}while(0);c[J>>2]=q;c[I+12>>2]=q;c[q+8>>2]=I;c[q+12>>2]=e;return}e=q;I=H>>>8;do{if((I|0)==0){K=0}else{if(H>>>0>16777215>>>0){K=31;break}J=(I+1048320|0)>>>16&8;d=I<<J;E=(d+520192|0)>>>16&4;A=d<<E;d=(A+245760|0)>>>16&2;r=14-(E|J|d)+(A<<d>>>15)|0;K=H>>>((r+7|0)>>>0)&1|r<<1}}while(0);I=8569440+(K<<2)|0;c[q+28>>2]=K;c[q+20>>2]=0;c[q+16>>2]=0;r=c[2142285]|0;d=1<<K;do{if((r&d|0)==0){c[2142285]=r|d;c[I>>2]=e;c[q+24>>2]=I;c[q+12>>2]=q;c[q+8>>2]=q}else{if((K|0)==31){L=0}else{L=25-(K>>>1)|0}A=H<<L;J=c[I>>2]|0;while(1){if((c[J+4>>2]&-8|0)==(H|0)){break}M=J+16+(A>>>31<<2)|0;E=c[M>>2]|0;if((E|0)==0){N=129;break}else{A=A<<1;J=E}}if((N|0)==129){if(M>>>0<(c[2142288]|0)>>>0){nd()}else{c[M>>2]=e;c[q+24>>2]=J;c[q+12>>2]=q;c[q+8>>2]=q;break}}A=J+8|0;B=c[A>>2]|0;E=c[2142288]|0;if(J>>>0<E>>>0){nd()}if(B>>>0<E>>>0){nd()}else{c[B+12>>2]=e;c[A>>2]=e;c[q+8>>2]=B;c[q+12>>2]=J;c[q+24>>2]=0;break}}}while(0);q=(c[2142292]|0)-1|0;c[2142292]=q;if((q|0)==0){O=8569592}else{return}while(1){q=c[O>>2]|0;if((q|0)==0){break}else{O=q+8|0}}c[2142292]=-1;return}function KJa(a,b){a=a|0;b=b|0;var d=0,e=0;do{if((a|0)==0){d=0}else{e=ga(b,a)|0;if(!((b|a)>>>0>65535>>>0)){d=e;break}d=((e>>>0)/(a>>>0)|0|0)==(b|0)?e:-1}}while(0);b=IJa(d)|0;if((b|0)==0){return b|0}if((c[b-4>>2]&3|0)==0){return b|0}lKa(b|0,0,d|0)|0;return b|0}function LJa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;if((a|0)==0){d=IJa(b)|0;return d|0}if(b>>>0>4294967231>>>0){c[(Zc()|0)>>2]=12;d=0;return d|0}if(b>>>0<11>>>0){e=16}else{e=b+11&-8}f=MJa(a-8|0,e)|0;if((f|0)!=0){d=f+8|0;return d|0}f=IJa(b)|0;if((f|0)==0){d=0;return d|0}e=c[a-4>>2]|0;g=(e&-8)-((e&3|0)==0?8:4)|0;kKa(f|0,a|0,g>>>0<b>>>0?g:b)|0;JJa(a);d=f;return d|0}function MJa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=a+4|0;e=c[d>>2]|0;f=e&-8;g=a;h=g+f|0;i=h;j=c[2142288]|0;if(g>>>0<j>>>0){nd();return 0}k=e&3;if(!((k|0)!=1&g>>>0<h>>>0)){nd();return 0}l=g+(f|4)|0;m=c[l>>2]|0;if((m&1|0)==0){nd();return 0}if((k|0)==0){if(b>>>0<256>>>0){n=0;return n|0}do{if(!(f>>>0<(b+4|0)>>>0)){if((f-b|0)>>>0>c[2138750]<<1>>>0){break}else{n=a}return n|0}}while(0);n=0;return n|0}if(!(f>>>0<b>>>0)){k=f-b|0;if(!(k>>>0>15>>>0)){n=a;return n|0}c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=k|3;c[l>>2]=c[l>>2]|1;NJa(g+b|0,k);n=a;return n|0}if((i|0)==(c[2142290]|0)){k=(c[2142287]|0)+f|0;if(!(k>>>0>b>>>0)){n=0;return n|0}l=k-b|0;c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=l|1;c[2142290]=g+b;c[2142287]=l;n=a;return n|0}if((i|0)==(c[2142289]|0)){l=(c[2142286]|0)+f|0;if(l>>>0<b>>>0){n=0;return n|0}k=l-b|0;if(k>>>0>15>>>0){c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=k|1;c[g+l>>2]=k;o=g+(l+4)|0;c[o>>2]=c[o>>2]&-2;p=g+b|0;q=k}else{c[d>>2]=e&1|l|2;e=g+(l+4)|0;c[e>>2]=c[e>>2]|1;p=0;q=0}c[2142286]=q;c[2142289]=p;n=a;return n|0}if((m&2|0)!=0){n=0;return n|0}p=(m&-8)+f|0;if(p>>>0<b>>>0){n=0;return n|0}q=p-b|0;e=m>>>3;a:do{if(m>>>0<256>>>0){l=c[g+(f+8)>>2]|0;k=c[g+(f+12)>>2]|0;o=8569176+(e<<1<<2)|0;do{if((l|0)!=(o|0)){if(l>>>0<j>>>0){nd();return 0}if((c[l+12>>2]|0)==(i|0)){break}nd();return 0}}while(0);if((k|0)==(l|0)){c[2142284]=c[2142284]&~(1<<e);break}do{if((k|0)==(o|0)){r=k+8|0}else{if(k>>>0<j>>>0){nd();return 0}s=k+8|0;if((c[s>>2]|0)==(i|0)){r=s;break}nd();return 0}}while(0);c[l+12>>2]=k;c[r>>2]=l}else{o=h;s=c[g+(f+24)>>2]|0;t=c[g+(f+12)>>2]|0;do{if((t|0)==(o|0)){u=g+(f+20)|0;v=c[u>>2]|0;if((v|0)==0){w=g+(f+16)|0;x=c[w>>2]|0;if((x|0)==0){y=0;break}else{z=x;A=w}}else{z=v;A=u}while(1){u=z+20|0;v=c[u>>2]|0;if((v|0)!=0){z=v;A=u;continue}u=z+16|0;v=c[u>>2]|0;if((v|0)==0){break}else{z=v;A=u}}if(A>>>0<j>>>0){nd();return 0}else{c[A>>2]=0;y=z;break}}else{u=c[g+(f+8)>>2]|0;if(u>>>0<j>>>0){nd();return 0}v=u+12|0;if((c[v>>2]|0)!=(o|0)){nd();return 0}w=t+8|0;if((c[w>>2]|0)==(o|0)){c[v>>2]=t;c[w>>2]=u;y=t;break}else{nd();return 0}}}while(0);if((s|0)==0){break}t=c[g+(f+28)>>2]|0;l=8569440+(t<<2)|0;do{if((o|0)==(c[l>>2]|0)){c[l>>2]=y;if((y|0)!=0){break}c[2142285]=c[2142285]&~(1<<t);break a}else{if(s>>>0<(c[2142288]|0)>>>0){nd();return 0}k=s+16|0;if((c[k>>2]|0)==(o|0)){c[k>>2]=y}else{c[s+20>>2]=y}if((y|0)==0){break a}}}while(0);if(y>>>0<(c[2142288]|0)>>>0){nd();return 0}c[y+24>>2]=s;o=c[g+(f+16)>>2]|0;do{if((o|0)!=0){if(o>>>0<(c[2142288]|0)>>>0){nd();return 0}else{c[y+16>>2]=o;c[o+24>>2]=y;break}}}while(0);o=c[g+(f+20)>>2]|0;if((o|0)==0){break}if(o>>>0<(c[2142288]|0)>>>0){nd();return 0}else{c[y+20>>2]=o;c[o+24>>2]=y;break}}}while(0);if(q>>>0<16>>>0){c[d>>2]=p|c[d>>2]&1|2;y=g+(p|4)|0;c[y>>2]=c[y>>2]|1;n=a;return n|0}else{c[d>>2]=c[d>>2]&1|b|2;c[g+(b+4)>>2]=q|3;d=g+(p|4)|0;c[d>>2]=c[d>>2]|1;NJa(g+b|0,q);n=a;return n|0}return 0}function NJa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;d=a;e=d+b|0;f=e;g=c[a+4>>2]|0;a:do{if((g&1|0)==0){h=c[a>>2]|0;if((g&3|0)==0){return}i=d+(-h|0)|0;j=i;k=h+b|0;l=c[2142288]|0;if(i>>>0<l>>>0){nd()}if((j|0)==(c[2142289]|0)){m=d+(b+4)|0;if((c[m>>2]&3|0)!=3){n=j;o=k;break}c[2142286]=k;c[m>>2]=c[m>>2]&-2;c[d+(4-h)>>2]=k|1;c[e>>2]=k;return}m=h>>>3;if(h>>>0<256>>>0){p=c[d+(8-h)>>2]|0;q=c[d+(12-h)>>2]|0;r=8569176+(m<<1<<2)|0;do{if((p|0)!=(r|0)){if(p>>>0<l>>>0){nd()}if((c[p+12>>2]|0)==(j|0)){break}nd()}}while(0);if((q|0)==(p|0)){c[2142284]=c[2142284]&~(1<<m);n=j;o=k;break}do{if((q|0)==(r|0)){s=q+8|0}else{if(q>>>0<l>>>0){nd()}t=q+8|0;if((c[t>>2]|0)==(j|0)){s=t;break}nd()}}while(0);c[p+12>>2]=q;c[s>>2]=p;n=j;o=k;break}r=i;m=c[d+(24-h)>>2]|0;t=c[d+(12-h)>>2]|0;do{if((t|0)==(r|0)){u=16-h|0;v=d+(u+4)|0;w=c[v>>2]|0;if((w|0)==0){x=d+u|0;u=c[x>>2]|0;if((u|0)==0){y=0;break}else{z=u;A=x}}else{z=w;A=v}while(1){v=z+20|0;w=c[v>>2]|0;if((w|0)!=0){z=w;A=v;continue}v=z+16|0;w=c[v>>2]|0;if((w|0)==0){break}else{z=w;A=v}}if(A>>>0<l>>>0){nd()}else{c[A>>2]=0;y=z;break}}else{v=c[d+(8-h)>>2]|0;if(v>>>0<l>>>0){nd()}w=v+12|0;if((c[w>>2]|0)!=(r|0)){nd()}x=t+8|0;if((c[x>>2]|0)==(r|0)){c[w>>2]=t;c[x>>2]=v;y=t;break}else{nd()}}}while(0);if((m|0)==0){n=j;o=k;break}t=c[d+(28-h)>>2]|0;l=8569440+(t<<2)|0;do{if((r|0)==(c[l>>2]|0)){c[l>>2]=y;if((y|0)!=0){break}c[2142285]=c[2142285]&~(1<<t);n=j;o=k;break a}else{if(m>>>0<(c[2142288]|0)>>>0){nd()}i=m+16|0;if((c[i>>2]|0)==(r|0)){c[i>>2]=y}else{c[m+20>>2]=y}if((y|0)==0){n=j;o=k;break a}}}while(0);if(y>>>0<(c[2142288]|0)>>>0){nd()}c[y+24>>2]=m;r=16-h|0;t=c[d+r>>2]|0;do{if((t|0)!=0){if(t>>>0<(c[2142288]|0)>>>0){nd()}else{c[y+16>>2]=t;c[t+24>>2]=y;break}}}while(0);t=c[d+(r+4)>>2]|0;if((t|0)==0){n=j;o=k;break}if(t>>>0<(c[2142288]|0)>>>0){nd()}else{c[y+20>>2]=t;c[t+24>>2]=y;n=j;o=k;break}}else{n=a;o=b}}while(0);a=c[2142288]|0;if(e>>>0<a>>>0){nd()}y=d+(b+4)|0;z=c[y>>2]|0;do{if((z&2|0)==0){if((f|0)==(c[2142290]|0)){A=(c[2142287]|0)+o|0;c[2142287]=A;c[2142290]=n;c[n+4>>2]=A|1;if((n|0)!=(c[2142289]|0)){return}c[2142289]=0;c[2142286]=0;return}if((f|0)==(c[2142289]|0)){A=(c[2142286]|0)+o|0;c[2142286]=A;c[2142289]=n;c[n+4>>2]=A|1;c[n+A>>2]=A;return}A=(z&-8)+o|0;s=z>>>3;b:do{if(z>>>0<256>>>0){g=c[d+(b+8)>>2]|0;t=c[d+(b+12)>>2]|0;h=8569176+(s<<1<<2)|0;do{if((g|0)!=(h|0)){if(g>>>0<a>>>0){nd()}if((c[g+12>>2]|0)==(f|0)){break}nd()}}while(0);if((t|0)==(g|0)){c[2142284]=c[2142284]&~(1<<s);break}do{if((t|0)==(h|0)){B=t+8|0}else{if(t>>>0<a>>>0){nd()}m=t+8|0;if((c[m>>2]|0)==(f|0)){B=m;break}nd()}}while(0);c[g+12>>2]=t;c[B>>2]=g}else{h=e;m=c[d+(b+24)>>2]|0;l=c[d+(b+12)>>2]|0;do{if((l|0)==(h|0)){i=d+(b+20)|0;p=c[i>>2]|0;if((p|0)==0){q=d+(b+16)|0;v=c[q>>2]|0;if((v|0)==0){C=0;break}else{D=v;E=q}}else{D=p;E=i}while(1){i=D+20|0;p=c[i>>2]|0;if((p|0)!=0){D=p;E=i;continue}i=D+16|0;p=c[i>>2]|0;if((p|0)==0){break}else{D=p;E=i}}if(E>>>0<a>>>0){nd()}else{c[E>>2]=0;C=D;break}}else{i=c[d+(b+8)>>2]|0;if(i>>>0<a>>>0){nd()}p=i+12|0;if((c[p>>2]|0)!=(h|0)){nd()}q=l+8|0;if((c[q>>2]|0)==(h|0)){c[p>>2]=l;c[q>>2]=i;C=l;break}else{nd()}}}while(0);if((m|0)==0){break}l=c[d+(b+28)>>2]|0;g=8569440+(l<<2)|0;do{if((h|0)==(c[g>>2]|0)){c[g>>2]=C;if((C|0)!=0){break}c[2142285]=c[2142285]&~(1<<l);break b}else{if(m>>>0<(c[2142288]|0)>>>0){nd()}t=m+16|0;if((c[t>>2]|0)==(h|0)){c[t>>2]=C}else{c[m+20>>2]=C}if((C|0)==0){break b}}}while(0);if(C>>>0<(c[2142288]|0)>>>0){nd()}c[C+24>>2]=m;h=c[d+(b+16)>>2]|0;do{if((h|0)!=0){if(h>>>0<(c[2142288]|0)>>>0){nd()}else{c[C+16>>2]=h;c[h+24>>2]=C;break}}}while(0);h=c[d+(b+20)>>2]|0;if((h|0)==0){break}if(h>>>0<(c[2142288]|0)>>>0){nd()}else{c[C+20>>2]=h;c[h+24>>2]=C;break}}}while(0);c[n+4>>2]=A|1;c[n+A>>2]=A;if((n|0)!=(c[2142289]|0)){F=A;break}c[2142286]=A;return}else{c[y>>2]=z&-2;c[n+4>>2]=o|1;c[n+o>>2]=o;F=o}}while(0);o=F>>>3;if(F>>>0<256>>>0){z=o<<1;y=8569176+(z<<2)|0;C=c[2142284]|0;b=1<<o;do{if((C&b|0)==0){c[2142284]=C|b;G=y;H=8569176+(z+2<<2)|0}else{o=8569176+(z+2<<2)|0;d=c[o>>2]|0;if(!(d>>>0<(c[2142288]|0)>>>0)){G=d;H=o;break}nd()}}while(0);c[H>>2]=n;c[G+12>>2]=n;c[n+8>>2]=G;c[n+12>>2]=y;return}y=n;G=F>>>8;do{if((G|0)==0){I=0}else{if(F>>>0>16777215>>>0){I=31;break}H=(G+1048320|0)>>>16&8;z=G<<H;b=(z+520192|0)>>>16&4;C=z<<b;z=(C+245760|0)>>>16&2;o=14-(b|H|z)+(C<<z>>>15)|0;I=F>>>((o+7|0)>>>0)&1|o<<1}}while(0);G=8569440+(I<<2)|0;c[n+28>>2]=I;c[n+20>>2]=0;c[n+16>>2]=0;o=c[2142285]|0;z=1<<I;if((o&z|0)==0){c[2142285]=o|z;c[G>>2]=y;c[n+24>>2]=G;c[n+12>>2]=n;c[n+8>>2]=n;return}if((I|0)==31){J=0}else{J=25-(I>>>1)|0}I=F<<J;J=c[G>>2]|0;while(1){if((c[J+4>>2]&-8|0)==(F|0)){break}K=J+16+(I>>>31<<2)|0;G=c[K>>2]|0;if((G|0)==0){L=126;break}else{I=I<<1;J=G}}if((L|0)==126){if(K>>>0<(c[2142288]|0)>>>0){nd()}c[K>>2]=y;c[n+24>>2]=J;c[n+12>>2]=n;c[n+8>>2]=n;return}K=J+8|0;L=c[K>>2]|0;I=c[2142288]|0;if(J>>>0<I>>>0){nd()}if(L>>>0<I>>>0){nd()}c[L+12>>2]=y;c[K>>2]=y;c[n+8>>2]=L;c[n+12>>2]=J;c[n+24>>2]=0;return}function OJa(a){a=a|0;var b=0,d=0,e=0;b=(a|0)==0?1:a;while(1){d=IJa(b)|0;if((d|0)!=0){e=10;break}a=(I=c[2143262]|0,c[2143262]=I+0,I);if((a|0)==0){break}me[a&15]()}if((e|0)==10){return d|0}d=Bd(4)|0;c[d>>2]=8523280;vc(d|0,8529688,198);return 0}function PJa(a){a=a|0;return OJa(a)|0}function QJa(a){a=a|0;if((a|0)==0){return}JJa(a);return}function RJa(a){a=a|0;QJa(a);return}function SJa(a){a=a|0;QJa(a);return}function TJa(a){a=a|0;return}function UJa(a){a=a|0;return 100936}function VJa(){var a=0;a=Bd(4)|0;c[a>>2]=8523280;vc(a|0,8529688,198)}function WJa(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0.0,ya=0,za=0.0,Aa=0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0.0,zc=0,Ac=0,Bc=0.0,Cc=0.0,Dc=0.0,Ec=0.0,Fc=0.0,Gc=0.0,Hc=0.0,Ic=0,Jc=0,Kc=0.0,Lc=0,Mc=0;g=i;i=i+512|0;h=g|0;if((e|0)==0){j=-149;k=24}else if((e|0)==1){j=-1074;k=53}else if((e|0)==2){j=-1074;k=53}else{l=0.0;i=g;return+l}e=b+4|0;m=b+100|0;do{n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;o=d[n]|0}else{o=ZJa(b)|0}}while((bb(o|0)|0)!=0);do{if((o|0)==45|(o|0)==43){n=1-(((o|0)==45)<<1)|0;p=c[e>>2]|0;if(p>>>0<(c[m>>2]|0)>>>0){c[e>>2]=p+1;q=d[p]|0;r=n;break}else{q=ZJa(b)|0;r=n;break}}else{q=o;r=1}}while(0);o=0;n=q;while(1){if((n|32|0)!=(a[44576+o|0]|0)){s=o;t=n;break}do{if(o>>>0<7>>>0){q=c[e>>2]|0;if(q>>>0<(c[m>>2]|0)>>>0){c[e>>2]=q+1;u=d[q]|0;break}else{u=ZJa(b)|0;break}}else{u=n}}while(0);q=o+1|0;if(q>>>0<8>>>0){o=q;n=u}else{s=q;t=u;break}}do{if((s|0)==3){x=23}else if((s|0)!=8){u=(f|0)==0;if(!(s>>>0<4>>>0|u)){if((s|0)==8){break}else{x=23;break}}do{if((s|0)==0){if((t|32|0)==110){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;y=d[n]|0}else{y=ZJa(b)|0}if((y|32|0)!=97){break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;z=d[n]|0}else{z=ZJa(b)|0}if((z|32|0)!=110){break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;A=d[n]|0}else{A=ZJa(b)|0}if((A|0)==40){B=1}else{if((c[m>>2]|0)==0){l=+v;i=g;return+l}c[e>>2]=(c[e>>2]|0)-1;l=+v;i=g;return+l}while(1){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;C=d[n]|0}else{C=ZJa(b)|0}if(!((C-48|0)>>>0<10>>>0|(C-65|0)>>>0<26>>>0)){if(!((C-97|0)>>>0<26>>>0|(C|0)==95)){break}}B=B+1|0}if((C|0)==41){l=+v;i=g;return+l}n=(c[m>>2]|0)==0;if(!n){c[e>>2]=(c[e>>2]|0)-1}if(u){c[(Zc()|0)>>2]=22;YJa(b,0);l=0.0;i=g;return+l}if((B|0)==0|n){l=+v;i=g;return+l}else{D=B}while(1){n=D-1|0;c[e>>2]=(c[e>>2]|0)-1;if((n|0)==0){l=+v;break}else{D=n}}i=g;return+l}do{if((t|0)==48){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;E=d[n]|0}else{E=ZJa(b)|0}if((E|32|0)!=120){if((c[m>>2]|0)==0){F=48;break}c[e>>2]=(c[e>>2]|0)-1;F=48;break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;G=d[n]|0;H=0}else{G=ZJa(b)|0;H=0}while(1){if((G|0)==46){x=68;break}else if((G|0)!=48){I=G;J=0;L=0;M=0;N=0;O=H;P=0;Q=0;R=1.0;S=0.0;T=0;break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;G=d[n]|0;H=1;continue}else{G=ZJa(b)|0;H=1;continue}}a:do{if((x|0)==68){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;U=d[n]|0}else{U=ZJa(b)|0}if((U|0)==48){W=-1;X=-1}else{I=U;J=0;L=0;M=0;N=0;O=H;P=1;Q=0;R=1.0;S=0.0;T=0;break}while(1){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;Y=d[n]|0}else{Y=ZJa(b)|0}if((Y|0)!=48){I=Y;J=0;L=0;M=W;N=X;O=1;P=1;Q=0;R=1.0;S=0.0;T=0;break a}n=sKa(X,W,-1,-1)|0;W=K;X=n}}}while(0);b:while(1){n=I-48|0;do{if(n>>>0<10>>>0){Z=n;x=82}else{o=I|32;q=(I|0)==46;if(!((o-97|0)>>>0<6>>>0|q)){_=I;break b}if(q){if((P|0)==0){$=J;aa=L;ba=J;ca=L;da=O;ea=1;fa=Q;ha=R;ia=S;ja=T;break}else{_=46;break b}}else{Z=(I|0)>57?o-87|0:n;x=82;break}}}while(0);if((x|0)==82){x=0;n=0;do{if((J|0)<(n|0)|(J|0)==(n|0)&L>>>0<8>>>0){ka=Q;la=R;ma=S;na=Z+(T<<4)|0}else{o=0;if((J|0)<(o|0)|(J|0)==(o|0)&L>>>0<14>>>0){oa=R*.0625;ka=Q;la=oa;ma=S+oa*+(Z|0);na=T;break}if(!((Z|0)!=0&(Q|0)==0)){ka=Q;la=R;ma=S;na=T;break}ka=1;la=R;ma=S+R*.5;na=T}}while(0);n=sKa(L,J,1,0)|0;$=K;aa=n;ba=M;ca=N;da=1;ea=P;fa=ka;ha=la;ia=ma;ja=na}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;I=d[n]|0;J=$;L=aa;M=ba;N=ca;O=da;P=ea;Q=fa;R=ha;S=ia;T=ja;continue}else{I=ZJa(b)|0;J=$;L=aa;M=ba;N=ca;O=da;P=ea;Q=fa;R=ha;S=ia;T=ja;continue}}if((O|0)==0){n=(c[m>>2]|0)==0;if(!n){c[e>>2]=(c[e>>2]|0)-1}do{if(u){YJa(b,0)}else{if(n){break}o=c[e>>2]|0;c[e>>2]=o-1;if((P|0)==0){break}c[e>>2]=o-2}}while(0);l=+(r|0)*0.0;i=g;return+l}n=(P|0)==0;o=n?L:N;q=n?J:M;n=0;if((J|0)<(n|0)|(J|0)==(n|0)&L>>>0<8>>>0){n=T;p=J;pa=L;while(1){qa=n<<4;ra=sKa(pa,p,1,0)|0;sa=K;ta=0;if((sa|0)<(ta|0)|(sa|0)==(ta|0)&ra>>>0<8>>>0){n=qa;p=sa;pa=ra}else{ua=qa;break}}}else{ua=T}do{if((_|32|0)==112){pa=XJa(b,f)|0;p=K;if(!((pa|0)==0&(p|0)==(-2147483648|0))){va=p;wa=pa;break}if(u){YJa(b,0);l=0.0;i=g;return+l}else{if((c[m>>2]|0)==0){va=0;wa=0;break}c[e>>2]=(c[e>>2]|0)-1;va=0;wa=0;break}}else{if((c[m>>2]|0)==0){va=0;wa=0;break}c[e>>2]=(c[e>>2]|0)-1;va=0;wa=0}}while(0);pa=sKa(o<<2|0>>>30,q<<2|o>>>30,-32,-1)|0;p=sKa(pa,K,wa,va)|0;pa=K;if((ua|0)==0){l=+(r|0)*0.0;i=g;return+l}n=0;if((pa|0)>(n|0)|(pa|0)==(n|0)&p>>>0>(-j|0)>>>0){c[(Zc()|0)>>2]=34;l=+(r|0)*1.7976931348623157e+308*1.7976931348623157e+308;i=g;return+l}n=j-106|0;qa=(n|0)<0|0?-1:0;if((pa|0)<(qa|0)|(pa|0)==(qa|0)&p>>>0<n>>>0){c[(Zc()|0)>>2]=34;l=+(r|0)*2.2250738585072014e-308*2.2250738585072014e-308;i=g;return+l}if((ua|0)>-1){n=ua;oa=S;qa=pa;ra=p;while(1){sa=n<<1;if(oa<.5){xa=oa;ya=sa}else{xa=oa+-1.0;ya=sa|1}za=oa+xa;sa=sKa(ra,qa,-1,-1)|0;ta=K;if((ya|0)>-1){n=ya;oa=za;qa=ta;ra=sa}else{Aa=ya;Ba=za;Ca=ta;Da=sa;break}}}else{Aa=ua;Ba=S;Ca=pa;Da=p}ra=0;qa=tKa(32,0,j,(j|0)<0|0?-1:0)|0;n=sKa(Da,Ca,qa,K)|0;qa=K;if((ra|0)>(qa|0)|(ra|0)==(qa|0)&k>>>0>n>>>0){qa=n;Ea=(qa|0)<0?0:qa}else{Ea=k}do{if((Ea|0)<53){oa=+(r|0);za=+pc(+(+_Ja(1.0,84-Ea|0)),+oa);if(!((Ea|0)<32&Ba!=0.0)){Fa=Ba;Ga=Aa;Ha=za;Ia=oa;break}qa=Aa&1;Fa=(qa|0)==0?0.0:Ba;Ga=(qa^1)+Aa|0;Ha=za;Ia=oa}else{Fa=Ba;Ga=Aa;Ha=0.0;Ia=+(r|0)}}while(0);oa=Ia*Fa+(Ha+Ia*+(Ga>>>0>>>0))-Ha;if(!(oa!=0.0)){c[(Zc()|0)>>2]=34}l=+$Ja(oa,Da);i=g;return+l}else{F=t}}while(0);p=j+k|0;pa=3-p|0;qa=F;n=0;while(1){if((qa|0)==46){x=137;break}else if((qa|0)!=48){Ja=qa;Ka=0;La=n;Ma=0;Na=0;break}ra=c[e>>2]|0;if(ra>>>0<(c[m>>2]|0)>>>0){c[e>>2]=ra+1;qa=d[ra]|0;n=1;continue}else{qa=ZJa(b)|0;n=1;continue}}c:do{if((x|0)==137){qa=c[e>>2]|0;if(qa>>>0<(c[m>>2]|0)>>>0){c[e>>2]=qa+1;Oa=d[qa]|0}else{Oa=ZJa(b)|0}if((Oa|0)==48){Pa=-1;Qa=-1}else{Ja=Oa;Ka=1;La=n;Ma=0;Na=0;break}while(1){qa=c[e>>2]|0;if(qa>>>0<(c[m>>2]|0)>>>0){c[e>>2]=qa+1;Ra=d[qa]|0}else{Ra=ZJa(b)|0}if((Ra|0)!=48){Ja=Ra;Ka=1;La=1;Ma=Pa;Na=Qa;break c}qa=sKa(Qa,Pa,-1,-1)|0;Pa=K;Qa=qa}}}while(0);n=h|0;c[n>>2]=0;qa=Ja-48|0;ra=(Ja|0)==46;d:do{if(qa>>>0<10>>>0|ra){o=h+496|0;q=Ma;sa=Na;ta=0;Sa=0;Ta=0;Ua=La;Va=Ka;Wa=0;Xa=0;Ya=Ja;Za=qa;_a=ra;while(1){do{if(_a){if((Va|0)==0){$a=Xa;ab=Wa;cb=1;db=Ua;eb=Ta;fb=ta;gb=Sa;hb=ta;ib=Sa}else{jb=q;kb=sa;lb=ta;mb=Sa;nb=Ta;ob=Ua;pb=Wa;qb=Xa;rb=Ya;break d}}else{sb=sKa(Sa,ta,1,0)|0;tb=K;ub=(Ya|0)!=48;if((Wa|0)>=125){if(!ub){$a=Xa;ab=Wa;cb=Va;db=Ua;eb=Ta;fb=tb;gb=sb;hb=q;ib=sa;break}c[o>>2]=c[o>>2]|1;$a=Xa;ab=Wa;cb=Va;db=Ua;eb=Ta;fb=tb;gb=sb;hb=q;ib=sa;break}vb=h+(Wa<<2)|0;if((Xa|0)==0){wb=Za}else{wb=Ya-48+((c[vb>>2]|0)*10|0)|0}c[vb>>2]=wb;vb=Xa+1|0;xb=(vb|0)==9;$a=xb?0:vb;ab=(xb&1)+Wa|0;cb=Va;db=1;eb=ub?sb:Ta;fb=tb;gb=sb;hb=q;ib=sa}}while(0);sb=c[e>>2]|0;if(sb>>>0<(c[m>>2]|0)>>>0){c[e>>2]=sb+1;yb=d[sb]|0}else{yb=ZJa(b)|0}sb=yb-48|0;tb=(yb|0)==46;if(sb>>>0<10>>>0|tb){q=hb;sa=ib;ta=fb;Sa=gb;Ta=eb;Ua=db;Va=cb;Wa=ab;Xa=$a;Ya=yb;Za=sb;_a=tb}else{zb=hb;Ab=ib;Bb=fb;Cb=gb;Db=eb;Eb=db;Fb=cb;Gb=ab;Hb=$a;Ib=yb;x=160;break}}}else{zb=Ma;Ab=Na;Bb=0;Cb=0;Db=0;Eb=La;Fb=Ka;Gb=0;Hb=0;Ib=Ja;x=160}}while(0);if((x|0)==160){ra=(Fb|0)==0;jb=ra?Bb:zb;kb=ra?Cb:Ab;lb=Bb;mb=Cb;nb=Db;ob=Eb;pb=Gb;qb=Hb;rb=Ib}ra=(ob|0)!=0;do{if(ra){if((rb|32|0)!=101){x=169;break}qa=XJa(b,f)|0;_a=K;do{if((qa|0)==0&(_a|0)==(-2147483648|0)){if(u){YJa(b,0);l=0.0;i=g;return+l}else{if((c[m>>2]|0)==0){Jb=0;Kb=0;break}c[e>>2]=(c[e>>2]|0)-1;Jb=0;Kb=0;break}}else{Jb=_a;Kb=qa}}while(0);qa=sKa(Kb,Jb,kb,jb)|0;Lb=K;Mb=qa}else{x=169}}while(0);do{if((x|0)==169){if(!((rb|0)>-1)){Lb=jb;Mb=kb;break}if((c[m>>2]|0)==0){Lb=jb;Mb=kb;break}c[e>>2]=(c[e>>2]|0)-1;Lb=jb;Mb=kb}}while(0);if(!ra){c[(Zc()|0)>>2]=22;YJa(b,0);l=0.0;i=g;return+l}qa=c[n>>2]|0;if((qa|0)==0){l=+(r|0)*0.0;i=g;return+l}_a=0;do{if((Mb|0)==(mb|0)&(Lb|0)==(lb|0)&((lb|0)<(_a|0)|(lb|0)==(_a|0)&mb>>>0<10>>>0)){if(!(k>>>0>30>>>0)){if((qa>>>(k>>>0)|0)!=0){break}}l=+(r|0)*+(qa>>>0>>>0);i=g;return+l}}while(0);qa=(j|0)/-2|0;_a=(qa|0)<0|0?-1:0;if((Lb|0)>(_a|0)|(Lb|0)==(_a|0)&Mb>>>0>qa>>>0){c[(Zc()|0)>>2]=34;l=+(r|0)*1.7976931348623157e+308*1.7976931348623157e+308;i=g;return+l}qa=j-106|0;_a=(qa|0)<0|0?-1:0;if((Lb|0)<(_a|0)|(Lb|0)==(_a|0)&Mb>>>0<qa>>>0){c[(Zc()|0)>>2]=34;l=+(r|0)*2.2250738585072014e-308*2.2250738585072014e-308;i=g;return+l}if((qb|0)==0){Nb=pb}else{if((qb|0)<9){qa=h+(pb<<2)|0;_a=qb;ra=c[qa>>2]|0;do{ra=ra*10|0;_a=_a+1|0;}while((_a|0)<9);c[qa>>2]=ra}Nb=pb+1|0}_a=Mb;do{if((nb|0)<9){if(!((nb|0)<=(_a|0)&(_a|0)<18)){break}if((_a|0)==9){l=+(r|0)*+((c[n>>2]|0)>>>0>>>0);i=g;return+l}if((_a|0)<9){l=+(r|0)*+((c[n>>2]|0)>>>0>>>0)/+(c[17912+(8-_a<<2)>>2]|0);i=g;return+l}Za=k+27+(_a*-3|0)|0;Ya=c[n>>2]|0;if((Za|0)<=30){if((Ya>>>(Za>>>0)|0)!=0){break}}l=+(r|0)*+(Ya>>>0>>>0)*+(c[17912+(_a-10<<2)>>2]|0);i=g;return+l}}while(0);n=(_a|0)%9|0;if((n|0)==0){Ob=0;Pb=Nb;Qb=0;Rb=_a}else{ra=(_a|0)>-1?n:n+9|0;n=c[17912+(8-ra<<2)>>2]|0;do{if((Nb|0)==0){Sb=0;Tb=0;Ub=_a}else{qa=1e9/(n|0)|0;Ya=_a;Za=0;Xa=0;Wa=0;while(1){Va=h+(Xa<<2)|0;Ua=c[Va>>2]|0;Ta=((Ua>>>0)/(n>>>0)|0)+Wa|0;c[Va>>2]=Ta;Vb=ga((Ua>>>0)%(n>>>0)|0,qa)|0;Ua=Xa+1|0;if((Xa|0)==(Za|0)&(Ta|0)==0){Xb=Ua&127;Yb=Ya-9|0}else{Xb=Za;Yb=Ya}if((Ua|0)==(Nb|0)){break}else{Ya=Yb;Za=Xb;Xa=Ua;Wa=Vb}}if((Vb|0)==0){Sb=Nb;Tb=Xb;Ub=Yb;break}c[h+(Nb<<2)>>2]=Vb;Sb=Nb+1|0;Tb=Xb;Ub=Yb}}while(0);Ob=Tb;Pb=Sb;Qb=0;Rb=9-ra+Ub|0}e:while(1){n=h+(Ob<<2)|0;if((Rb|0)<18){_a=Pb;Wa=Qb;while(1){Xa=0;Za=_a+127|0;Ya=_a;while(1){qa=Za&127;Ua=h+(qa<<2)|0;Ta=c[Ua>>2]|0;Va=sKa(Ta<<29|0>>>3,0<<29|Ta>>>3,Xa,0)|0;Ta=K;Sa=0;if(Ta>>>0>Sa>>>0|Ta>>>0==Sa>>>0&Va>>>0>1e9>>>0){Sa=DKa(Va,Ta,1e9,0)|0;ta=EKa(Va,Ta,1e9,0)|0;Zb=Sa;_b=ta}else{Zb=0;_b=Va}c[Ua>>2]=_b;Ua=(qa|0)==(Ob|0);if((qa|0)!=(Ya+127&127|0)|Ua){$b=Ya}else{$b=(_b|0)==0?qa:Ya}if(Ua){break}else{Xa=Zb;Za=qa-1|0;Ya=$b}}Ya=Wa-29|0;if((Zb|0)==0){_a=$b;Wa=Ya}else{ac=Ya;bc=$b;cc=Zb;break}}}else{if((Rb|0)==18){dc=Pb;ec=Qb}else{fc=Ob;gc=Pb;hc=Qb;ic=Rb;break}while(1){if(!((c[n>>2]|0)>>>0<9007199>>>0)){fc=Ob;gc=dc;hc=ec;ic=18;break e}Wa=0;_a=dc+127|0;Ya=dc;while(1){Za=_a&127;Xa=h+(Za<<2)|0;qa=c[Xa>>2]|0;Ua=sKa(qa<<29|0>>>3,0<<29|qa>>>3,Wa,0)|0;qa=K;Va=0;if(qa>>>0>Va>>>0|qa>>>0==Va>>>0&Ua>>>0>1e9>>>0){Va=DKa(Ua,qa,1e9,0)|0;ta=EKa(Ua,qa,1e9,0)|0;jc=Va;kc=ta}else{jc=0;kc=Ua}c[Xa>>2]=kc;Xa=(Za|0)==(Ob|0);if((Za|0)!=(Ya+127&127|0)|Xa){lc=Ya}else{lc=(kc|0)==0?Za:Ya}if(Xa){break}else{Wa=jc;_a=Za-1|0;Ya=lc}}Ya=ec-29|0;if((jc|0)==0){dc=lc;ec=Ya}else{ac=Ya;bc=lc;cc=jc;break}}}n=Ob+127&127;if((n|0)==(bc|0)){Ya=bc+127&127;_a=h+((bc+126&127)<<2)|0;c[_a>>2]=c[_a>>2]|c[h+(Ya<<2)>>2];mc=Ya}else{mc=bc}c[h+(n<<2)>>2]=cc;Ob=n;Pb=mc;Qb=ac;Rb=Rb+9|0}f:while(1){nc=gc+1&127;ra=h+((gc+127&127)<<2)|0;n=fc;Ya=hc;_a=ic;while(1){Wa=(_a|0)==18;Za=(_a|0)>27?9:1;oc=n;qc=Ya;while(1){Xa=0;while(1){if((Xa|0)>=2){rc=Xa;break}Ua=Xa+oc&127;if((Ua|0)==(gc|0)){rc=2;break}ta=c[h+(Ua<<2)>>2]|0;Ua=c[17904+(Xa<<2)>>2]|0;if(ta>>>0<Ua>>>0){rc=2;break}if(ta>>>0>Ua>>>0){rc=Xa;break}else{Xa=Xa+1|0}}if((rc|0)==2&Wa){break f}sc=Za+qc|0;if((oc|0)==(gc|0)){oc=gc;qc=sc}else{break}}Wa=(1<<Za)-1|0;Xa=1e9>>>(Za>>>0);tc=_a;uc=oc;Ua=oc;vc=0;do{ta=h+(Ua<<2)|0;Va=c[ta>>2]|0;qa=(Va>>>(Za>>>0))+vc|0;c[ta>>2]=qa;vc=ga(Va&Wa,Xa)|0;Va=(Ua|0)==(uc|0)&(qa|0)==0;Ua=Ua+1&127;tc=Va?tc-9|0:tc;uc=Va?Ua:uc;}while((Ua|0)!=(gc|0));if((vc|0)==0){n=uc;Ya=sc;_a=tc;continue}if((nc|0)!=(uc|0)){break}c[ra>>2]=c[ra>>2]|1;n=uc;Ya=sc;_a=tc}c[h+(gc<<2)>>2]=vc;fc=uc;gc=nc;hc=sc;ic=tc}_a=oc&127;if((_a|0)==(gc|0)){c[h+(nc-1<<2)>>2]=0;wc=nc}else{wc=gc}oa=+((c[h+(_a<<2)>>2]|0)>>>0>>>0);_a=oc+1&127;if((_a|0)==(wc|0)){Ya=wc+1&127;c[h+(Ya-1<<2)>>2]=0;xc=Ya}else{xc=wc}za=+(r|0);yc=za*(oa*1.0e9+ +((c[h+(_a<<2)>>2]|0)>>>0>>>0));_a=qc+53|0;Ya=_a-j|0;if((Ya|0)<(k|0)){zc=(Ya|0)<0?0:Ya;Ac=1}else{zc=k;Ac=0}if((zc|0)<53){oa=+pc(+(+_Ja(1.0,105-zc|0)),+yc);Bc=+Wb(+yc,+(+_Ja(1.0,53-zc|0)));Cc=oa;Dc=Bc;Ec=oa+(yc-Bc)}else{Cc=0.0;Dc=0.0;Ec=yc}n=oc+2&127;do{if((n|0)==(xc|0)){Fc=Dc}else{ra=c[h+(n<<2)>>2]|0;do{if(ra>>>0<5e8>>>0){if((ra|0)==0){if((oc+3&127|0)==(xc|0)){Gc=Dc;break}}Gc=za*.25+Dc}else{if(ra>>>0>5e8>>>0){Gc=za*.75+Dc;break}if((oc+3&127|0)==(xc|0)){Gc=za*.5+Dc;break}else{Gc=za*.75+Dc;break}}}while(0);if((53-zc|0)<=1){Fc=Gc;break}if(+Wb(+Gc,+1.0)!=0.0){Fc=Gc;break}Fc=Gc+1.0}}while(0);za=Ec+Fc-Cc;do{if((_a&2147483647|0)>(-2-p|0)){if(+V(+za)<9007199254740992.0){Hc=za;Ic=Ac;Jc=qc}else{Hc=za*.5;Ic=(Ac|0)!=0&(zc|0)==(Ya|0)?0:Ac;Jc=qc+1|0}if((Jc+53|0)<=(pa|0)){if(!((Ic|0)!=0&Fc!=0.0)){Kc=Hc;Lc=Jc;break}}c[(Zc()|0)>>2]=34;Kc=Hc;Lc=Jc}else{Kc=za;Lc=qc}}while(0);l=+$Ja(Kc,Lc);i=g;return+l}}while(0);if((c[m>>2]|0)!=0){c[e>>2]=(c[e>>2]|0)-1}c[(Zc()|0)>>2]=22;YJa(b,0);l=0.0;i=g;return+l}}while(0);do{if((x|0)==23){b=(c[m>>2]|0)==0;if(!b){c[e>>2]=(c[e>>2]|0)-1}if(s>>>0<4>>>0|(f|0)==0|b){break}else{Mc=s}do{c[e>>2]=(c[e>>2]|0)-1;Mc=Mc-1|0;}while(Mc>>>0>3>>>0)}}while(0);l=+(r|0)*w;i=g;return+l}function XJa(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=a+4|0;f=c[e>>2]|0;g=a+100|0;if(f>>>0<(c[g>>2]|0)>>>0){c[e>>2]=f+1;h=d[f]|0}else{h=ZJa(a)|0}do{if((h|0)==45|(h|0)==43){f=(h|0)==45|0;i=c[e>>2]|0;if(i>>>0<(c[g>>2]|0)>>>0){c[e>>2]=i+1;j=d[i]|0}else{j=ZJa(a)|0}if((j-48|0)>>>0<10>>>0|(b|0)==0){k=f;l=j;break}if((c[g>>2]|0)==0){k=f;l=j;break}c[e>>2]=(c[e>>2]|0)-1;k=f;l=j}else{k=0;l=h}}while(0);if((l-48|0)>>>0>9>>>0){if((c[g>>2]|0)==0){m=-2147483648;n=0;return(K=m,n)|0}c[e>>2]=(c[e>>2]|0)-1;m=-2147483648;n=0;return(K=m,n)|0}else{o=l;p=0}while(1){q=o-48+p|0;l=c[e>>2]|0;if(l>>>0<(c[g>>2]|0)>>>0){c[e>>2]=l+1;r=d[l]|0}else{r=ZJa(a)|0}if(!((r-48|0)>>>0<10>>>0&(q|0)<214748364)){break}o=r;p=q*10|0}p=q;o=(q|0)<0|0?-1:0;if((r-48|0)>>>0<10>>>0){q=r;l=o;h=p;while(1){j=CKa(h,l,10,0)|0;b=K;f=sKa(q,(q|0)<0|0?-1:0,-48,-1)|0;i=sKa(f,K,j,b)|0;b=K;j=c[e>>2]|0;if(j>>>0<(c[g>>2]|0)>>>0){c[e>>2]=j+1;s=d[j]|0}else{s=ZJa(a)|0}j=21474836;if((s-48|0)>>>0<10>>>0&((b|0)<(j|0)|(b|0)==(j|0)&i>>>0<2061584302>>>0)){q=s;l=b;h=i}else{t=s;u=b;v=i;break}}}else{t=r;u=o;v=p}if((t-48|0)>>>0<10>>>0){do{t=c[e>>2]|0;if(t>>>0<(c[g>>2]|0)>>>0){c[e>>2]=t+1;w=d[t]|0}else{w=ZJa(a)|0}}while((w-48|0)>>>0<10>>>0)}if((c[g>>2]|0)!=0){c[e>>2]=(c[e>>2]|0)-1}e=(k|0)!=0;k=tKa(0,0,v,u)|0;m=e?K:u;n=e?k:v;return(K=m,n)|0}function YJa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a+104>>2]=b;d=c[a+8>>2]|0;e=c[a+4>>2]|0;f=d-e|0;c[a+108>>2]=f;if((b|0)!=0&(f|0)>(b|0)){c[a+100>>2]=e+b;return}else{c[a+100>>2]=d;return}}function ZJa(b){b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=b+104|0;f=c[e>>2]|0;if((f|0)==0){g=3}else{if((c[b+108>>2]|0)<(f|0)){g=3}}do{if((g|0)==3){f=bKa(b)|0;if((f|0)<0){break}h=c[e>>2]|0;i=c[b+8>>2]|0;do{if((h|0)==0){g=8}else{j=c[b+4>>2]|0;k=h-(c[b+108>>2]|0)-1|0;if((i-j|0)<=(k|0)){g=8;break}c[b+100>>2]=j+k}}while(0);if((g|0)==8){c[b+100>>2]=i}h=c[b+4>>2]|0;if((i|0)!=0){k=b+108|0;c[k>>2]=i+1-h+(c[k>>2]|0)}k=h-1|0;if((d[k]|0|0)==(f|0)){l=f;return l|0}a[k]=f;l=f;return l|0}}while(0);c[b+100>>2]=0;l=-1;return l|0}function _Ja(a,b){a=+a;b=b|0;var d=0.0,e=0,f=0.0,g=0;do{if((b|0)>1023){d=a*8.98846567431158e+307;e=b-1023|0;if((e|0)<=1023){f=d;g=e;break}e=b-2046|0;f=d*8.98846567431158e+307;g=(e|0)>1023?1023:e}else{if(!((b|0)<-1022)){f=a;g=b;break}d=a*2.2250738585072014e-308;e=b+1022|0;if(!((e|0)<-1022)){f=d;g=e;break}e=b+2044|0;f=d*2.2250738585072014e-308;g=(e|0)<-1022?-1022:e}}while(0);return+(f*(c[k>>2]=0<<20|0>>>12,c[k+4>>2]=g+1023<<20|0>>>12,+h[k>>3]))}function $Ja(a,b){a=+a;b=b|0;return+(+_Ja(a,b))}function aKa(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+74|0;e=a[d]|0;a[d]=e-1&255|e;e=b+20|0;d=b+44|0;if((c[e>>2]|0)>>>0>(c[d>>2]|0)>>>0){_d[c[b+36>>2]&127](b,0,0)|0}c[b+16>>2]=0;c[b+28>>2]=0;c[e>>2]=0;e=b|0;f=c[e>>2]|0;if((f&20|0)==0){g=c[d>>2]|0;c[b+8>>2]=g;c[b+4>>2]=g;h=0;return h|0}if((f&4|0)==0){h=-1;return h|0}c[e>>2]=f|32;h=-1;return h|0}function bKa(a){a=a|0;var b=0,e=0,f=0,g=0;b=i;i=i+8|0;e=b|0;if((c[a+8>>2]|0)==0){if((aKa(a)|0)==0){f=3}else{g=-1}}else{f=3}do{if((f|0)==3){if((_d[c[a+32>>2]&127](a,e,1)|0)!=1){g=-1;break}g=d[e]|0}}while(0);i=b;return g|0}function cKa(a){a=a|0;return+(+dKa(a,0))}function dKa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0.0,j=0,k=0,l=0,m=0;d=i;i=i+112|0;e=d|0;lKa(e|0,0,112)|0;f=e+4|0;c[f>>2]=a;g=e+8|0;c[g>>2]=-1;c[e+44>>2]=a;c[e+76>>2]=-1;YJa(e,0);h=+WJa(e,1,1);j=(c[f>>2]|0)-(c[g>>2]|0)+(c[e+108>>2]|0)|0;if((b|0)==0){k=112;l=0;i=d;return+h}if((j|0)==0){m=a}else{m=a+j|0}c[b>>2]=m;k=112;l=0;i=d;return+h}function eKa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0.0,j=0,k=0,l=0,m=0;d=i;i=i+112|0;e=d|0;lKa(e|0,0,112)|0;f=e+4|0;c[f>>2]=a;g=e+8|0;c[g>>2]=-1;c[e+44>>2]=a;c[e+76>>2]=-1;YJa(e,0);h=+WJa(e,2,1);j=(c[f>>2]|0)-(c[g>>2]|0)+(c[e+108>>2]|0)|0;if((b|0)==0){k=112;l=0;i=d;return+h}if((j|0)==0){m=a}else{m=a+j|0}c[b>>2]=m;k=112;l=0;i=d;return+h}function fKa(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((d|0)==0){e=0;return e|0}else{f=d;g=b;h=c}while(1){i=a[g]|0;j=a[h]|0;if(!(i<<24>>24==j<<24>>24)){break}c=f-1|0;if((c|0)==0){e=0;k=5;break}else{f=c;g=g+1|0;h=h+1|0}}if((k|0)==5){return e|0}e=(i&255)-(j&255)|0;return e|0}function gKa(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a[b]|0;e=a[c]|0;if(d<<24>>24!=e<<24>>24|d<<24>>24==0|e<<24>>24==0){f=d;g=e;h=f&255;i=g&255;j=h-i|0;return j|0}else{k=b;l=c}while(1){c=k+1|0;b=l+1|0;e=a[c]|0;d=a[b]|0;if(e<<24>>24!=d<<24>>24|e<<24>>24==0|d<<24>>24==0){f=e;g=d;break}else{k=c;l=b}}h=f&255;i=g&255;j=h-i|0;return j|0}function hKa(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((e|0)==0){f=0;return f|0}g=a[b]|0;a:do{if(g<<24>>24==0){h=c;i=0}else{j=b;k=c;l=e;m=g;while(1){n=l-1|0;o=a[k]|0;if(!((n|0)!=0&o<<24>>24!=0&m<<24>>24==o<<24>>24)){h=k;i=m;break a}o=j+1|0;p=k+1|0;q=a[o]|0;if(q<<24>>24==0){h=p;i=0;break}else{j=o;k=p;l=n;m=q}}}}while(0);f=(i&255)-(d[h]|0)|0;return f|0}function iKa(b){b=b|0;var c=0;c=b;while(a[c]|0){c=c+1|0}return c-b|0}function jKa(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;while((e|0)<(d|0)){a[b+e|0]=f?0:a[c+e|0]|0;f=f?1:(a[c+e|0]|0)==0;e=e+1|0}return b|0}function kKa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((e|0)>=4096)return ec(b|0,d|0,e|0)|0;f=b|0;if((b&3)==(d&3)){while(b&3){if((e|0)==0)return f|0;a[b]=a[d]|0;b=b+1|0;d=d+1|0;e=e-1|0}while((e|0)>=4){c[b>>2]=c[d>>2];b=b+4|0;d=d+4|0;e=e-4|0}}while((e|0)>0){a[b]=a[d]|0;b=b+1|0;d=d+1|0;e=e-1|0}return f|0}function lKa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b+e|0;if((e|0)>=20){d=d&255;g=b&3;h=d|d<<8|d<<16|d<<24;i=f&~3;if(g){g=b+4-g|0;while((b|0)<(g|0)){a[b]=d;b=b+1|0}}while((b|0)<(i|0)){c[b>>2]=h;b=b+4|0}}while((b|0)<(f|0)){a[b]=d;b=b+1|0}return b-e|0}function mKa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;z=z+1|0;c[a>>2]=z;while((e|0)<40){if((c[d+(e<<2)>>2]|0)==0){c[d+(e<<2)>>2]=z;c[d+((e<<2)+4)>>2]=b;c[d+((e<<2)+8)>>2]=0;return 0}e=e+2|0}lc(116);lc(111);lc(111);lc(32);lc(109);lc(97);lc(110);lc(121);lc(32);lc(115);lc(101);lc(116);lc(106);lc(109);lc(112);lc(115);lc(32);lc(105);lc(110);lc(32);lc(97);lc(32);lc(102);lc(117);lc(110);lc(99);lc(116);lc(105);lc(111);lc(110);lc(32);lc(99);lc(97);lc(108);lc(108);lc(44);lc(32);lc(98);lc(117);lc(105);lc(108);lc(100);lc(32);lc(119);lc(105);lc(116);lc(104);lc(32);lc(97);lc(32);lc(104);lc(105);lc(103);lc(104);lc(101);lc(114);lc(32);lc(118);lc(97);lc(108);lc(117);lc(101);lc(32);lc(102);lc(111);lc(114);lc(32);lc(77);lc(65);lc(88);lc(95);lc(83);lc(69);lc(84);lc(74);lc(77);lc(80);lc(83);lc(10);ha(0);return 0}function nKa(a,b){a=a|0;b=b|0;var d=0,e=0;while((d|0)<20){e=c[b+(d<<2)>>2]|0;if((e|0)==0)break;if((e|0)==(a|0)){return c[b+((d<<2)+4)>>2]|0}d=d+2|0}return 0}function oKa(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;if((c|0)<(b|0)&(b|0)<(c+d|0)){e=b;c=c+d|0;b=b+d|0;while((d|0)>0){b=b-1|0;c=c-1|0;d=d-1|0;a[b]=a[c]|0}b=e}else{kKa(b,c,d)|0}return b|0}function pKa(a){a=a|0;var b=0;b=(ga(c[a>>2]|0,31010991)|0)+1735287159&2147483647;c[a>>2]=b;return b|0}function qKa(){return pKa(o)|0}function rKa(b,c){b=b|0;c=c|0;var d=0;do{a[b+d|0]=a[c+d|0];d=d+1|0}while(a[c+(d-1)|0]|0);return b|0}function sKa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=a+c>>>0;return(K=b+d+(e>>>0<a>>>0|0)>>>0,e|0)|0}function tKa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=b-d>>>0;e=b-d-(c>>>0>a>>>0|0)>>>0;return(K=e,a-c>>>0|0)|0}function uKa(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b<<c|(a&(1<<c)-1<<32-c)>>>32-c;return a<<c}K=a<<c-32;return 0}function vKa(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b>>>c;return a>>>c|(b&(1<<c)-1)<<32-c}K=0;return b>>>c-32|0}function wKa(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b>>c;return a>>>c|(b&(1<<c)-1)<<32-c}K=(b|0)<0?-1:0;return b>>c-32|0}function xKa(b){b=b|0;var c=0;c=a[n+(b>>>24)|0]|0;if((c|0)<8)return c|0;c=a[n+(b>>16&255)|0]|0;if((c|0)<8)return c+8|0;c=a[n+(b>>8&255)|0]|0;if((c|0)<8)return c+16|0;return(a[n+(b&255)|0]|0)+24|0}function yKa(b){b=b|0;var c=0;c=a[m+(b&255)|0]|0;if((c|0)<8)return c|0;c=a[m+(b>>8&255)|0]|0;if((c|0)<8)return c+8|0;c=a[m+(b>>16&255)|0]|0;if((c|0)<8)return c+16|0;return(a[m+(b>>>24)|0]|0)+24|0}function zKa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=a&65535;d=b&65535;e=ga(d,c)|0;f=a>>>16;a=(e>>>16)+(ga(d,f)|0)|0;d=b>>>16;b=ga(d,c)|0;return(K=(a>>>16)+(ga(d,f)|0)+(((a&65535)+b|0)>>>16)|0,a+b<<16|e&65535|0)|0}function AKa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b>>31|((b|0)<0?-1:0)<<1;f=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;g=d>>31|((d|0)<0?-1:0)<<1;h=((d|0)<0?-1:0)>>31|((d|0)<0?-1:0)<<1;i=tKa(e^a,f^b,e,f)|0;b=K;a=g^e;e=h^f;f=tKa((FKa(i,b,tKa(g^c,h^d,g,h)|0,K,0)|0)^a,K^e,a,e)|0;return(K=K,f)|0}function BKa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+8|0;g=f|0;h=b>>31|((b|0)<0?-1:0)<<1;j=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;k=e>>31|((e|0)<0?-1:0)<<1;l=((e|0)<0?-1:0)>>31|((e|0)<0?-1:0)<<1;m=tKa(h^a,j^b,h,j)|0;b=K;FKa(m,b,tKa(k^d,l^e,k,l)|0,K,g)|0;l=tKa(c[g>>2]^h,c[g+4>>2]^j,h,j)|0;j=K;i=f;return(K=j,l)|0}function CKa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=a;a=c;c=zKa(e,a)|0;f=K;return(K=(ga(b,a)|0)+(ga(d,e)|0)+f|f&0,c|0|0)|0}function DKa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=FKa(a,b,c,d,0)|0;return(K=K,e)|0}function EKa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=f|0;FKa(a,b,d,e,g)|0;i=f;return(K=c[g+4>>2]|0,c[g>>2]|0)|0}function FKa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0;g=a;h=b;i=h;j=d;k=e;l=k;if((i|0)==0){m=(f|0)!=0;if((l|0)==0){if(m){c[f>>2]=(g>>>0)%(j>>>0);c[f+4>>2]=0}n=0;o=(g>>>0)/(j>>>0)>>>0;return(K=n,o)|0}else{if(!m){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=b&0;n=0;o=0;return(K=n,o)|0}}m=(l|0)==0;do{if((j|0)==0){if(m){if((f|0)!=0){c[f>>2]=(i>>>0)%(j>>>0);c[f+4>>2]=0}n=0;o=(i>>>0)/(j>>>0)>>>0;return(K=n,o)|0}if((g|0)==0){if((f|0)!=0){c[f>>2]=0;c[f+4>>2]=(i>>>0)%(l>>>0)}n=0;o=(i>>>0)/(l>>>0)>>>0;return(K=n,o)|0}p=l-1|0;if((p&l|0)==0){if((f|0)!=0){c[f>>2]=a|0;c[f+4>>2]=p&i|b&0}n=0;o=i>>>((yKa(l|0)|0)>>>0);return(K=n,o)|0}p=(xKa(l|0)|0)-(xKa(i|0)|0)|0;if(p>>>0<=30){q=p+1|0;r=31-p|0;s=q;t=i<<r|g>>>(q>>>0);u=i>>>(q>>>0);v=0;w=g<<r;break}if((f|0)==0){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=h|b&0;n=0;o=0;return(K=n,o)|0}else{if(!m){r=(xKa(l|0)|0)-(xKa(i|0)|0)|0;if(r>>>0<=31){q=r+1|0;p=31-r|0;x=r-31>>31;s=q;t=g>>>(q>>>0)&x|i<<p;u=i>>>(q>>>0)&x;v=0;w=g<<p;break}if((f|0)==0){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=h|b&0;n=0;o=0;return(K=n,o)|0}p=j-1|0;if((p&j|0)!=0){x=(xKa(j|0)|0)+33-(xKa(i|0)|0)|0;q=64-x|0;r=32-x|0;y=r>>31;z=x-32|0;A=z>>31;s=x;t=r-1>>31&i>>>(z>>>0)|(i<<r|g>>>(x>>>0))&A;u=A&i>>>(x>>>0);v=g<<q&y;w=(i<<q|g>>>(z>>>0))&y|g<<r&x-33>>31;break}if((f|0)!=0){c[f>>2]=p&g;c[f+4>>2]=0}if((j|0)==1){n=h|b&0;o=a|0|0;return(K=n,o)|0}else{p=yKa(j|0)|0;n=i>>>(p>>>0)|0;o=i<<32-p|g>>>(p>>>0)|0;return(K=n,o)|0}}}while(0);if((s|0)==0){B=w;C=v;D=u;E=t;F=0;G=0}else{g=d|0|0;d=k|e&0;e=sKa(g,d,-1,-1)|0;k=K;i=w;w=v;v=u;u=t;t=s;s=0;while(1){H=w>>>31|i<<1;I=s|w<<1;j=u<<1|i>>>31|0;a=u>>>31|v<<1|0;tKa(e,k,j,a)|0;b=K;h=b>>31|((b|0)<0?-1:0)<<1;J=h&1;L=tKa(j,a,h&g,(((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1)&d)|0;M=K;b=t-1|0;if((b|0)==0){break}else{i=H;w=I;v=M;u=L;t=b;s=J}}B=H;C=I;D=M;E=L;F=0;G=J}J=C;C=0;if((f|0)!=0){c[f>>2]=E;c[f+4>>2]=D}n=(J|0)>>>31|(B|C)<<1|(C<<1|J>>>31)&0|F;o=(J<<1|0>>>31)&-2|G;return(K=n,o)|0}function GKa(a){a=a|0;sc(a|0)}function HKa(a){a=a|0;return Sb(a|0)|0}function IKa(a){a=a|0;return _b(a|0)|0}function JKa(a){a=a|0;return Ta(a|0)|0}function KKa(a){a=a|0;return Lc(a|0)|0}function LKa(a){a=a|0;return sd(a|0)|0}function MKa(a){a=a|0;return Pa(a|0)|0}function NKa(a){a=a|0;return hb(a|0)|0}function OKa(a,b){a=a|0;b=b|0;return Qb(a|0,b|0)|0}function PKa(a,b){a=a|0;b=b|0;return pb(a|0,b|0)|0}function QKa(){return ud()|0}function RKa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Ya(a|0,b|0,c|0,d|0)|0}function SKa(){eb()}function TKa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;return Sd[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0)|0}function UKa(a,b){a=a|0;b=+b;Td[a&3](+b)}function VKa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;Ud[a&31](b|0,c|0,d|0,e|0,f|0)}function WKa(a,b){a=a|0;b=b|0;Vd[a&511](b|0)}function XKa(a,b,c){a=a|0;b=b|0;c=c|0;Wd[a&255](b|0,c|0)}function YKa(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;return Xd[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0)|0}function ZKa(a,b){a=a|0;b=b|0;return Yd[a&255](b|0)|0}function _Ka(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return Zd[a&127](b|0,c|0,d|0,e|0,f|0)|0}function $Ka(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return _d[a&127](b|0,c|0,d|0)|0}function aLa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;$d[a&15](b|0,c|0,d|0,e|0,f|0,+g)}function bLa(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;ae[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)}function cLa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;be[a&63](b|0,c|0,d|0,e|0,f|0,g|0)}function dLa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;ce[a&7](b|0,c|0,+d,e|0,f|0)}function eLa(a,b,c){a=a|0;b=b|0;c=+c;return de[a&3](b|0,+c)|0}function fLa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ee[a&127](b|0,c|0,d|0,e|0,f|0,g|0,h|0)}function gLa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;fe[a&7](b|0,c|0,d|0,e|0,f|0,g|0,+h)}function hLa(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;ge[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0)}function iLa(a,b,c){a=a|0;b=b|0;c=c|0;return he[a&127](b|0,c|0)|0}function jLa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;return ie[a&3](b|0,c|0,d|0,e|0,+f,g|0)|0}function kLa(a){a=a|0;return je[a&15]()|0}function lLa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return ke[a&127](b|0,c|0,d|0,e|0)|0}function mLa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;le[a&15](b|0,c|0,d|0)}function nLa(a){a=a|0;me[a&15]()}function oLa(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return ne[a&31](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)|0}function pLa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;oe[a&127](b|0,c|0,d|0,e|0)}function qLa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ha(0);return 0}function rLa(a){a=+a;ha(1)}function sLa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ha(2)}function tLa(a){a=a|0;ha(3)}function uLa(a,b){a=a|0;b=b|0;ha(4)}function vLa(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;ha(5);return 0}function wLa(a){a=a|0;ha(6);return 0}function xLa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ha(7);return 0}function yLa(a,b,c){a=a|0;b=b|0;c=c|0;ha(8);return 0}function zLa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;ha(9)}function ALa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ha(10)}function BLa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ha(11)}function CLa(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;ha(12)}function DLa(a,b){a=a|0;b=+b;ha(13);return 0}function ELa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ha(14)}function FLa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;ha(15)}function GLa(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;ha(16)}function HLa(a,b){a=a|0;b=b|0;ha(17);return 0}function ILa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;ha(18);return 0}function JLa(){ha(19);return 0}function KLa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ha(20);return 0}function LLa(a,b,c){a=a|0;b=b|0;c=c|0;ha(21)}function MLa(){ha(22)}function NLa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ha(23);return 0}function OLa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ha(24)}



function loa(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,C=0;e=i;i=i+12840|0;moa(e|0);rza(e+200|0);noa(e+216|0,e+232|0);noa(e+240|0,e+256|0);do{if((c[(b+92|0)>>2]|0)==0){if((c[2136643]|0)==0){xza(e+296|0,c[b+80>>2]|0);ooa(e+280|0,e+296|0,159464);Eza(e+200|0,e+280|0)|0;Dza(e+280|0);Dza(e+296|0)}else{Fza(e+200|0,c[2136613]|0)|0}f=zc(_za(e+200|0)|0,79736)|0;if((f|0)!=0){j=f;break}f=_za(e+200|0)|0;lfa(0,57880,(k=i,i=i+8|0,c[k>>2]=f,k)|0);i=k}else{j=0}}while(0);f=daa(0)|0;if((f|0)==0){Pa(j|0)|0;lfa(0,45912,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}oaa(f,e|0);paa(f,8,22);l=c[(b+92|0)>>2]|0;do{if((l|0)==0){lKa(e+312|0|0|0,0,1024)|0;while(1){m=kd(e+312|0|0|0,1,1024,j|0)|0;if((qaa(f,e+312|0|0,m,m>>>0<1024>>>0&1)|0)==0){break}if(m>>>0<1024>>>0){n=49;break}}if((n|0)==49){Pa(j|0)|0;break}Pa(j|0)|0;m=_za(e+200|0)|0;o=yaa(vaa(f)|0)|0;p=waa(f)|0;jfa(1,0,39512,(k=i,i=i+24|0,c[k>>2]=m,c[k+8>>2]=o,c[k+16>>2]=p,k)|0);i=k;kaa(f);lfa(0,32776,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}else{if((qaa(f,l,iKa(l|0)|0,1)|0)!=0){break}p=c[u>>2]|0;o=c[(b+92|0)>>2]|0;m=yaa(vaa(f)|0)|0;q=waa(f)|0;od(p|0,27400,(k=i,i=i+24|0,c[k>>2]=o,c[k+8>>2]=m,c[k+16>>2]=q,k)|0)|0;i=k;q=c[(b+92|0)>>2]|0;m=yaa(vaa(f)|0)|0;o=waa(f)|0;jfa(1,0,6877680,(k=i,i=i+24|0,c[k>>2]=q,c[k+8>>2]=m,c[k+16>>2]=o,k)|0);i=k;kaa(f);lfa(0,32776,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}}while(0);l=e|0|0;xza(e+1344|0,178656);soa(e+1336|0,l,e+1344|0);toa(e+1360|0,l);j=roa(e+1336|0,e+1360|0)|0;Dza(e+1344|0);n=c[(b+88|0)>>2]|0;do{if(j){o=_za(e+200|0)|0;jfa(1,0,172128,(k=i,i=i+16|0,c[k>>2]=n,c[k+8>>2]=o,k)|0);i=k}else{xza(e+1368|0,178656);o=gKa(n,_za(uoa(l,e+1368|0)|0)|0)|0;Dza(e+1368|0);if((o|0)==0){break}kaa(f);xza(e+1384|0,178656);o=_za(uoa(l,e+1384|0)|0)|0;m=_za(e+200|0)|0;q=c[(b+88|0)>>2]|0;jfa(1,0,166472,(k=i,i=i+24|0,c[k>>2]=o,c[k+8>>2]=m,c[k+16>>2]=q,k)|0);i=k;Dza(e+1384|0);lfa(0,32776,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}}while(0);voa(e|0,b,c[2136634]|0,c[2136635]|0);hfa(23,1,161928,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;xza(e+1416|0,157800);tza(e+1400|0,uoa((e|0)+12|0,e+1416|0)|0);woa(e+1400|0,d|0,0.0);Dza(e+1400|0);Dza(e+1416|0);hfa(23,0,153832,(k=i,i=i+8|0,h[k>>3]=+h[(d|0)>>3],k)|0);i=k;xza(e+1448|0,150416);tza(e+1432|0,uoa((e|0)+12|0,e+1448|0)|0);woa(e+1432|0,d+8|0,1.0);Dza(e+1432|0);Dza(e+1448|0);hfa(23,0,145992,(k=i,i=i+8|0,h[k>>3]=+h[(d+8|0)>>3],k)|0);i=k;xza(e+1480|0,142072);tza(e+1464|0,uoa((e|0)+12|0,e+1480|0)|0);woa(e+1464|0,d+24|0,(+h[(d+8|0)>>3]- +h[(d|0)>>3])/500.0);Dza(e+1464|0);Dza(e+1480|0);hfa(23,0,138464,(k=i,i=i+8|0,h[k>>3]=+h[(d+24|0)>>3],k)|0);i=k;xza(e+1512|0,134560);tza(e+1496|0,uoa((e|0)+12|0,e+1512|0)|0);woa(e+1496|0,d+32|0,1.0e-5);Dza(e+1496|0);Dza(e+1512|0);hfa(23,0,130472,(k=i,i=i+8|0,h[k>>3]=+h[(d+32|0)>>3],k)|0);i=k;xza(e+1544|0,126888);tza(e+1528|0,uoa((e|0)+12|0,e+1544|0)|0);xoa(e+1528|0,d+40|0);Dza(e+1528|0);Dza(e+1544|0);hfa(23,0,123424,(k=i,i=i+8|0,c[k>>2]=c[(d+40|0)>>2],k)|0);i=k;xza(e+1576|0,120792);tza(e+1560|0,uoa((e|0)+12|0,e+1576|0)|0);xoa(e+1560|0,d+44|0);Dza(e+1560|0);Dza(e+1576|0);hfa(23,0,118136,(k=i,i=i+8|0,c[k>>2]=c[(d+44|0)>>2],k)|0);i=k;xza(e+1608|0,115752);tza(e+1592|0,uoa((e|0)+12|0,e+1608|0)|0);xoa(e+1592|0,d+48|0);Dza(e+1592|0);Dza(e+1608|0);hfa(23,0,113408,(k=i,i=i+8|0,c[k>>2]=c[(d+48|0)>>2],k)|0);i=k;xza(e+1640|0,110824);tza(e+1624|0,uoa(l,e+1640|0)|0);xoa(e+1624|0,d+268|0);Dza(e+1624|0);Dza(e+1640|0);hfa(23,0,108544,(k=i,i=i+8|0,c[k>>2]=c[(d+268|0)>>2],k)|0);i=k;if((c[2136481]|0)!=0){Vd[c[3586]&511](23)}xza(e+1744|0,106352);tza(e+1728|0,uoa(l,e+1744|0)|0);yoa(e+1728|0,e+1656|0,0);Dza(e+1728|0);Dza(e+1744|0);xza(e+1776|0,103048);tza(e+1760|0,uoa(l,e+1776|0)|0);yoa(e+1760|0,e+1664|0,0);Dza(e+1760|0);Dza(e+1776|0);xza(e+1808|0,100640);tza(e+1792|0,uoa(l,e+1808|0)|0);yoa(e+1792|0,e+1672|0,0);Dza(e+1792|0);Dza(e+1808|0);xza(e+1840|0,97856);tza(e+1824|0,uoa(l,e+1840|0)|0);yoa(e+1824|0,e+1688|0,0);Dza(e+1824|0);Dza(e+1840|0);xza(e+1872|0,95400);tza(e+1856|0,uoa(l,e+1872|0)|0);yoa(e+1856|0,e+1680|0,0);Dza(e+1856|0);Dza(e+1872|0);xza(e+1904|0,92848);tza(e+1888|0,uoa(l,e+1904|0)|0);yoa(e+1888|0,e+1704|0,0);Dza(e+1888|0);Dza(e+1904|0);xza(e+1936|0,90704);tza(e+1920|0,uoa(l,e+1936|0)|0);yoa(e+1920|0,e+1696|0,0);Dza(e+1920|0);Dza(e+1936|0);xza(e+1968|0,88032);tza(e+1952|0,uoa(l,e+1968|0)|0);yoa(e+1952|0,e+1720|0,0);Dza(e+1952|0);Dza(e+1968|0);xza(e+2e3|0,85616);tza(e+1984|0,uoa(l,e+2e3|0)|0);yoa(e+1984|0,e+1712|0,0);Dza(e+1984|0);Dza(e+2e3|0);l=c[(e+1656|0)>>2]|0;do{if((l|0)==(c[(b+104|0)>>2]|0)){if((c[(e+1664|0)>>2]|0)!=((c[(b+108|0)>>2]|0)-(l<<1)|0)){break}if((c[(e+1672|0)>>2]|0)!=(c[(b+128|0)>>2]|0)){break}if((c[(e+1688|0)>>2]|0)!=(c[(b+132|0)>>2]|0)){break}if((c[(e+1680|0)>>2]|0)!=(c[(b+116|0)>>2]|0)){break}if((c[(e+1704|0)>>2]|0)!=(c[(b+136|0)>>2]|0)){break}if((c[(e+1696|0)>>2]|0)!=(c[(b+120|0)>>2]|0)){break}if((c[(e+1720|0)>>2]|0)!=(c[(b+140|0)>>2]|0)){break}if((c[(e+1712|0)>>2]|0)!=(c[(b+124|0)>>2]|0)){break}hfa(4,1,61352,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+104|0)>>2]|0)>0){d=(e|0)+24|0;n=0;do{c[(e+2032|0)>>2]=n;j=zoa(d,e+2032|0)|0;xza(e+2040|0,59240);tza(e+2016|0,uoa(j,e+2040|0)|0);xoa(e+2016|0,(c[(b|0)>>2]|0)+(n*112|0)+4|0);Dza(e+2016|0);Dza(e+2040|0);c[(e+2072|0)>>2]=n;j=zoa(d,e+2072|0)|0;xza(e+2080|0,54168);tza(e+2056|0,uoa(j,e+2080|0)|0);Aoa(e+2056|0,(c[(b|0)>>2]|0)+(n*112|0)|0);Dza(e+2056|0);Dza(e+2080|0);c[(e+2112|0)>>2]=n;j=zoa(d,e+2112|0)|0;xza(e+2120|0,50632);tza(e+2096|0,uoa(j,e+2120|0)|0);xoa(e+2096|0,(c[(b|0)>>2]|0)+(n*112|0)+8|0);Dza(e+2096|0);Dza(e+2120|0);c[(e+2152|0)>>2]=n;j=zoa(d,e+2152|0)|0;xza(e+2160|0,49240);tza(e+2136|0,uoa(j,e+2160|0)|0);xoa(e+2136|0,(c[(b|0)>>2]|0)+(n*112|0)+12|0);Dza(e+2136|0);Dza(e+2160|0);c[(e+2192|0)>>2]=n;j=zoa(d,e+2192|0)|0;xza(e+2200|0,47896);tza(e+2176|0,uoa(j,e+2200|0)|0);yoa(e+2176|0,(c[(b|0)>>2]|0)+(n*112|0)+16|0,0);Dza(e+2176|0);Dza(e+2200|0);c[(e+2232|0)>>2]=n;j=zoa(d,e+2232|0)|0;xza(e+2240|0,46512);tza(e+2216|0,uoa(j,e+2240|0)|0);yoa(e+2216|0,(c[(b|0)>>2]|0)+(n*112|0)+20|0,0);Dza(e+2216|0);Dza(e+2240|0);c[(e+2272|0)>>2]=n;j=zoa(d,e+2272|0)|0;xza(e+2280|0,44560);tza(e+2256|0,uoa(j,e+2280|0)|0);yoa(e+2256|0,(c[(b|0)>>2]|0)+(n*112|0)+24|0,0);Dza(e+2256|0);Dza(e+2280|0);c[(e+2312|0)>>2]=n;j=zoa(d,e+2312|0)|0;xza(e+2320|0,43408);tza(e+2296|0,uoa(j,e+2320|0)|0);yoa(e+2296|0,(c[(b|0)>>2]|0)+(n*112|0)+28|0,0);Dza(e+2296|0);Dza(e+2320|0);c[(e+2352|0)>>2]=n;j=zoa(d,e+2352|0)|0;xza(e+2360|0,42296);tza(e+2336|0,uoa(j,e+2360|0)|0);yoa(e+2336|0,(c[(b|0)>>2]|0)+(n*112|0)+32|0,0);Dza(e+2336|0);Dza(e+2360|0);c[(e+2392|0)>>2]=n;j=zoa(d,e+2392|0)|0;xza(e+2400|0,41e3);tza(e+2376|0,uoa(j,e+2400|0)|0);Boa(e+2376|0,(c[(b|0)>>2]|0)+(n*112|0)+88|0);Dza(e+2376|0);Dza(e+2400|0);c[(e+2432|0)>>2]=n;j=zoa(d,e+2432|0)|0;xza(e+2440|0,40520);tza(e+2416|0,uoa(j,e+2440|0)|0);woa(e+2416|0,(c[(b|0)>>2]|0)+(n*112|0)+96|0,0.0);Dza(e+2416|0);Dza(e+2440|0);c[(e+2472|0)>>2]=n;j=zoa(d,e+2472|0)|0;xza(e+2480|0,39928);tza(e+2456|0,uoa(j,e+2480|0)|0);Boa(e+2456|0,(c[(b|0)>>2]|0)+(n*112|0)+72|0);Dza(e+2456|0);Dza(e+2480|0);c[(e+2512|0)>>2]=n;j=zoa(d,e+2512|0)|0;xza(e+2520|0,38896);tza(e+2496|0,uoa(j,e+2520|0)|0);Boa(e+2496|0,(c[(b|0)>>2]|0)+(n*112|0)+73|0);Dza(e+2496|0);Dza(e+2520|0);c[(e+2552|0)>>2]=n;j=zoa(d,e+2552|0)|0;xza(e+2560|0,38360);tza(e+2536|0,uoa(j,e+2560|0)|0);woa(e+2536|0,(c[(b|0)>>2]|0)+(n*112|0)+80|0,1.0);Dza(e+2536|0);Dza(e+2560|0);c[(e+2592|0)>>2]=n;j=zoa(d,e+2592|0)|0;xza(e+2600|0,37808);tza(e+2576|0,uoa(j,e+2600|0)|0);woa(e+2576|0,(c[(b|0)>>2]|0)+(n*112|0)+56|0,-1.7976931348623157e+308);Dza(e+2576|0);Dza(e+2600|0);c[(e+2632|0)>>2]=n;j=zoa(d,e+2632|0)|0;xza(e+2640|0,37128);tza(e+2616|0,uoa(j,e+2640|0)|0);woa(e+2616|0,(c[(b|0)>>2]|0)+(n*112|0)+64|0,1.7976931348623157e+308);Dza(e+2616|0);Dza(e+2640|0);j=c[(b|0)>>2]|0;q=(a[j+(n*112|0)+88|0]|0)!=0;r=+h[j+(n*112|0)+96>>3];m=(a[j+(n*112|0)+72|0]|0)!=0?34176:33520;o=(a[j+(n*112|0)+73|0]|0)!=0;s=+h[j+(n*112|0)+80>>3];t=+h[j+(n*112|0)+56>>3];v=+h[j+(n*112|0)+64>>3];hfa(4,0,36248,(k=i,i=i+80|0,c[k>>2]=c[j+(n*112|0)+4>>2],c[k+8>>2]=q?8568944:35184,h[k+16>>3]=r,c[k+24>>2]=q?8568944:34704,c[k+32>>2]=m,c[k+40>>2]=o?8568944:35184,h[k+48>>3]=s,c[k+56>>2]=o?8568944:34704,h[k+64>>3]=t,h[k+72>>3]=v,k)|0);i=k;o=c[(b|0)>>2]|0;m=c[o+(n*112|0)+4>>2]|0;if((a[m]|0)==36){a[o+(n*112|0)+104|0]=1;w=c[(c[(b|0)>>2]|0)+(n*112|0)+4>>2]|0}else{w=m}xza(e+2656|0,w);c[(Coa(e+216|0,e+2656|0)|0)>>2]=n;Dza(e+2656|0);n=n+1|0;}while((n|0)<(c[(b+104|0)>>2]|0))}if((c[2136462]|0)!=0){Vd[c[3586]&511](4)}hfa(4,1,31872,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+104|0)>>2]|0)>0){n=(e|0)+36|0;d=0;do{c[(e+2688|0)>>2]=d;m=zoa(n,e+2688|0)|0;xza(e+2696|0,59240);tza(e+2672|0,uoa(m,e+2696|0)|0);xoa(e+2672|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+4|0);Dza(e+2672|0);Dza(e+2696|0);c[(e+2728|0)>>2]=d;m=zoa(n,e+2728|0)|0;xza(e+2736|0,54168);tza(e+2712|0,uoa(m,e+2736|0)|0);Aoa(e+2712|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)|0);Dza(e+2712|0);Dza(e+2736|0);c[(e+2768|0)>>2]=d;m=zoa(n,e+2768|0)|0;xza(e+2776|0,50632);tza(e+2752|0,uoa(m,e+2776|0)|0);xoa(e+2752|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+8|0);Dza(e+2752|0);Dza(e+2776|0);c[(e+2808|0)>>2]=d;m=zoa(n,e+2808|0)|0;xza(e+2816|0,49240);tza(e+2792|0,uoa(m,e+2816|0)|0);xoa(e+2792|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+12|0);Dza(e+2792|0);Dza(e+2816|0);c[(e+2848|0)>>2]=d;m=zoa(n,e+2848|0)|0;xza(e+2856|0,47896);tza(e+2832|0,uoa(m,e+2856|0)|0);yoa(e+2832|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+16|0,0);Dza(e+2832|0);Dza(e+2856|0);c[(e+2888|0)>>2]=d;m=zoa(n,e+2888|0)|0;xza(e+2896|0,46512);tza(e+2872|0,uoa(m,e+2896|0)|0);yoa(e+2872|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+20|0,0);Dza(e+2872|0);Dza(e+2896|0);c[(e+2928|0)>>2]=d;m=zoa(n,e+2928|0)|0;xza(e+2936|0,44560);tza(e+2912|0,uoa(m,e+2936|0)|0);yoa(e+2912|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+24|0,0);Dza(e+2912|0);Dza(e+2936|0);c[(e+2968|0)>>2]=d;m=zoa(n,e+2968|0)|0;xza(e+2976|0,43408);tza(e+2952|0,uoa(m,e+2976|0)|0);yoa(e+2952|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+28|0,0);Dza(e+2952|0);Dza(e+2976|0);c[(e+3008|0)>>2]=d;m=zoa(n,e+3008|0)|0;xza(e+3016|0,42296);tza(e+2992|0,uoa(m,e+3016|0)|0);yoa(e+2992|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+32|0,0);Dza(e+2992|0);Dza(e+3016|0);c[(e+3048|0)>>2]=d;m=zoa(n,e+3048|0)|0;xza(e+3056|0,41e3);tza(e+3032|0,uoa(m,e+3056|0)|0);Boa(e+3032|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+88|0);Dza(e+3032|0);Dza(e+3056|0);c[(e+3088|0)>>2]=d;m=zoa(n,e+3088|0)|0;xza(e+3096|0,40520);tza(e+3072|0,uoa(m,e+3096|0)|0);woa(e+3072|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+96|0,0.0);Dza(e+3072|0);Dza(e+3096|0);c[(e+3128|0)>>2]=d;m=zoa(n,e+3128|0)|0;xza(e+3136|0,39928);tza(e+3112|0,uoa(m,e+3136|0)|0);Boa(e+3112|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+72|0);Dza(e+3112|0);Dza(e+3136|0);c[(e+3168|0)>>2]=d;m=zoa(n,e+3168|0)|0;xza(e+3176|0,38896);tza(e+3152|0,uoa(m,e+3176|0)|0);Boa(e+3152|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+73|0);Dza(e+3152|0);Dza(e+3176|0);c[(e+3208|0)>>2]=d;m=zoa(n,e+3208|0)|0;xza(e+3216|0,38360);tza(e+3192|0,uoa(m,e+3216|0)|0);woa(e+3192|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+80|0,1.0);Dza(e+3192|0);Dza(e+3216|0);c[(e+3248|0)>>2]=d;m=zoa(n,e+3248|0)|0;xza(e+3256|0,37808);tza(e+3232|0,uoa(m,e+3256|0)|0);woa(e+3232|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+56|0,-1.7976931348623157e+308);Dza(e+3232|0);Dza(e+3256|0);c[(e+3288|0)>>2]=d;m=zoa(n,e+3288|0)|0;xza(e+3296|0,37128);tza(e+3272|0,uoa(m,e+3296|0)|0);woa(e+3272|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+64|0,1.7976931348623157e+308);Dza(e+3272|0);Dza(e+3296|0);m=(c[(b+104|0)>>2]|0)+d|0;o=c[(b|0)>>2]|0;q=(a[o+(m*112|0)+88|0]|0)!=0;v=+h[o+(m*112|0)+96>>3];j=(a[o+(m*112|0)+72|0]|0)!=0?34176:33520;p=(a[o+(m*112|0)+73|0]|0)!=0;t=+h[o+(m*112|0)+80>>3];s=+h[o+(m*112|0)+56>>3];r=+h[o+(m*112|0)+64>>3];hfa(4,0,36248,(k=i,i=i+80|0,c[k>>2]=c[o+(m*112|0)+4>>2],c[k+8>>2]=q?8568944:35184,h[k+16>>3]=v,c[k+24>>2]=q?8568944:34704,c[k+32>>2]=j,c[k+40>>2]=p?8568944:35184,h[k+48>>3]=t,c[k+56>>2]=p?8568944:34704,h[k+64>>3]=s,h[k+72>>3]=r,k)|0);i=k;p=c[(b+104|0)>>2]|0;j=p+d|0;q=c[(b|0)>>2]|0;if((a[c[q+(j*112|0)+4>>2]|0]|0)==36){a[q+(j*112|0)+104|0]=1;x=c[(b+104|0)>>2]|0;y=c[(b|0)>>2]|0}else{x=p;y=q}q=x+d|0;xza(e+3312|0,c[y+(q*112|0)+4>>2]|0);c[(Coa(e+216|0,e+3312|0)|0)>>2]=q;Dza(e+3312|0);d=d+1|0;}while((d|0)<(c[(b+104|0)>>2]|0))}if((c[2136462]|0)!=0){Vd[c[3586]&511](4)}hfa(4,1,30608,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;d=c[(b+104|0)>>2]<<1;if(((c[(b+108|0)>>2]|0)-d|0)>0){n=(e|0)+48|0;q=0;p=d;do{d=p+q|0;c[(e+3344|0)>>2]=q;j=zoa(n,e+3344|0)|0;xza(e+3352|0,59240);tza(e+3328|0,uoa(j,e+3352|0)|0);xoa(e+3328|0,(c[(b|0)>>2]|0)+(d*112|0)+4|0);Dza(e+3328|0);Dza(e+3352|0);c[(e+3384|0)>>2]=q;j=zoa(n,e+3384|0)|0;xza(e+3392|0,54168);tza(e+3368|0,uoa(j,e+3392|0)|0);Aoa(e+3368|0,(c[(b|0)>>2]|0)+(d*112|0)|0);Dza(e+3368|0);Dza(e+3392|0);c[(e+3424|0)>>2]=q;j=zoa(n,e+3424|0)|0;xza(e+3432|0,50632);tza(e+3408|0,uoa(j,e+3432|0)|0);xoa(e+3408|0,(c[(b|0)>>2]|0)+(d*112|0)+8|0);Dza(e+3408|0);Dza(e+3432|0);c[(e+3464|0)>>2]=q;j=zoa(n,e+3464|0)|0;xza(e+3472|0,49240);tza(e+3448|0,uoa(j,e+3472|0)|0);xoa(e+3448|0,(c[(b|0)>>2]|0)+(d*112|0)+12|0);Dza(e+3448|0);Dza(e+3472|0);c[(e+3504|0)>>2]=q;j=zoa(n,e+3504|0)|0;xza(e+3512|0,47896);tza(e+3488|0,uoa(j,e+3512|0)|0);yoa(e+3488|0,(c[(b|0)>>2]|0)+(d*112|0)+16|0,0);Dza(e+3488|0);Dza(e+3512|0);c[(e+3544|0)>>2]=q;j=zoa(n,e+3544|0)|0;xza(e+3552|0,46512);tza(e+3528|0,uoa(j,e+3552|0)|0);yoa(e+3528|0,(c[(b|0)>>2]|0)+(d*112|0)+20|0,0);Dza(e+3528|0);Dza(e+3552|0);c[(e+3584|0)>>2]=q;j=zoa(n,e+3584|0)|0;xza(e+3592|0,44560);tza(e+3568|0,uoa(j,e+3592|0)|0);yoa(e+3568|0,(c[(b|0)>>2]|0)+(d*112|0)+24|0,0);Dza(e+3568|0);Dza(e+3592|0);c[(e+3624|0)>>2]=q;j=zoa(n,e+3624|0)|0;xza(e+3632|0,43408);tza(e+3608|0,uoa(j,e+3632|0)|0);yoa(e+3608|0,(c[(b|0)>>2]|0)+(d*112|0)+28|0,0);Dza(e+3608|0);Dza(e+3632|0);c[(e+3664|0)>>2]=q;j=zoa(n,e+3664|0)|0;xza(e+3672|0,42296);tza(e+3648|0,uoa(j,e+3672|0)|0);yoa(e+3648|0,(c[(b|0)>>2]|0)+(d*112|0)+32|0,0);Dza(e+3648|0);Dza(e+3672|0);c[(e+3704|0)>>2]=q;j=zoa(n,e+3704|0)|0;xza(e+3712|0,41e3);tza(e+3688|0,uoa(j,e+3712|0)|0);Boa(e+3688|0,(c[(b|0)>>2]|0)+(d*112|0)+88|0);Dza(e+3688|0);Dza(e+3712|0);c[(e+3744|0)>>2]=q;j=zoa(n,e+3744|0)|0;xza(e+3752|0,40520);tza(e+3728|0,uoa(j,e+3752|0)|0);woa(e+3728|0,(c[(b|0)>>2]|0)+(d*112|0)+96|0,0.0);Dza(e+3728|0);Dza(e+3752|0);c[(e+3784|0)>>2]=q;j=zoa(n,e+3784|0)|0;xza(e+3792|0,39928);tza(e+3768|0,uoa(j,e+3792|0)|0);Boa(e+3768|0,(c[(b|0)>>2]|0)+(d*112|0)+72|0);Dza(e+3768|0);Dza(e+3792|0);c[(e+3824|0)>>2]=q;j=zoa(n,e+3824|0)|0;xza(e+3832|0,38896);tza(e+3808|0,uoa(j,e+3832|0)|0);Boa(e+3808|0,(c[(b|0)>>2]|0)+(d*112|0)+73|0);Dza(e+3808|0);Dza(e+3832|0);c[(e+3864|0)>>2]=q;j=zoa(n,e+3864|0)|0;xza(e+3872|0,38360);tza(e+3848|0,uoa(j,e+3872|0)|0);woa(e+3848|0,(c[(b|0)>>2]|0)+(d*112|0)+80|0,1.0);Dza(e+3848|0);Dza(e+3872|0);c[(e+3904|0)>>2]=q;j=zoa(n,e+3904|0)|0;xza(e+3912|0,37808);tza(e+3888|0,uoa(j,e+3912|0)|0);woa(e+3888|0,(c[(b|0)>>2]|0)+(d*112|0)+56|0,-1.7976931348623157e+308);Dza(e+3888|0);Dza(e+3912|0);c[(e+3944|0)>>2]=q;j=zoa(n,e+3944|0)|0;xza(e+3952|0,37128);tza(e+3928|0,uoa(j,e+3952|0)|0);woa(e+3928|0,(c[(b|0)>>2]|0)+(d*112|0)+64|0,1.7976931348623157e+308);Dza(e+3928|0);Dza(e+3952|0);j=c[(b|0)>>2]|0;m=(a[j+(d*112|0)+88|0]|0)!=0;r=+h[j+(d*112|0)+96>>3];o=(a[j+(d*112|0)+72|0]|0)!=0?34176:33520;z=(a[j+(d*112|0)+73|0]|0)!=0;s=+h[j+(d*112|0)+80>>3];t=+h[j+(d*112|0)+56>>3];v=+h[j+(d*112|0)+64>>3];hfa(4,0,36248,(k=i,i=i+80|0,c[k>>2]=c[j+(d*112|0)+4>>2],c[k+8>>2]=m?8568944:35184,h[k+16>>3]=r,c[k+24>>2]=m?8568944:34704,c[k+32>>2]=o,c[k+40>>2]=z?8568944:35184,h[k+48>>3]=s,c[k+56>>2]=z?8568944:34704,h[k+64>>3]=t,h[k+72>>3]=v,k)|0);i=k;z=c[(b|0)>>2]|0;o=c[z+(d*112|0)+4>>2]|0;if((a[o]|0)==36){a[z+(d*112|0)+104|0]=1;A=c[(c[(b|0)>>2]|0)+(d*112|0)+4>>2]|0}else{A=o}xza(e+3968|0,A);c[(Coa(e+216|0,e+3968|0)|0)>>2]=d;Dza(e+3968|0);q=q+1|0;p=c[(b+104|0)>>2]<<1;}while((q|0)<((c[(b+108|0)>>2]|0)-p|0))}if((c[2136462]|0)!=0){Vd[c[3586]&511](4)}hfa(4,1,29448,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+116|0)>>2]|0)>0){p=(e|0)+84|0;q=0;do{c[(e+4e3|0)>>2]=q;n=zoa(p,e+4e3|0)|0;xza(e+4008|0,59240);tza(e+3984|0,uoa(n,e+4008|0)|0);xoa(e+3984|0,(c[(b+4|0)>>2]|0)+(q*60|0)+4|0);Dza(e+3984|0);Dza(e+4008|0);c[(e+4040|0)>>2]=q;n=zoa(p,e+4040|0)|0;xza(e+4048|0,54168);tza(e+4024|0,uoa(n,e+4048|0)|0);Aoa(e+4024|0,(c[(b+4|0)>>2]|0)+(q*60|0)|0);Dza(e+4024|0);Dza(e+4048|0);c[(e+4080|0)>>2]=q;n=zoa(p,e+4080|0)|0;xza(e+4088|0,50632);tza(e+4064|0,uoa(n,e+4088|0)|0);xoa(e+4064|0,(c[(b+4|0)>>2]|0)+(q*60|0)+8|0);Dza(e+4064|0);Dza(e+4088|0);c[(e+4120|0)>>2]=q;n=zoa(p,e+4120|0)|0;xza(e+4128|0,49240);tza(e+4104|0,uoa(n,e+4128|0)|0);xoa(e+4104|0,(c[(b+4|0)>>2]|0)+(q*60|0)+12|0);Dza(e+4104|0);Dza(e+4128|0);c[(e+4160|0)>>2]=q;n=zoa(p,e+4160|0)|0;xza(e+4168|0,47896);tza(e+4144|0,uoa(n,e+4168|0)|0);yoa(e+4144|0,(c[(b+4|0)>>2]|0)+(q*60|0)+16|0,0);Dza(e+4144|0);Dza(e+4168|0);c[(e+4200|0)>>2]=q;n=zoa(p,e+4200|0)|0;xza(e+4208|0,46512);tza(e+4184|0,uoa(n,e+4208|0)|0);yoa(e+4184|0,(c[(b+4|0)>>2]|0)+(q*60|0)+20|0,0);Dza(e+4184|0);Dza(e+4208|0);c[(e+4240|0)>>2]=q;n=zoa(p,e+4240|0)|0;xza(e+4248|0,44560);tza(e+4224|0,uoa(n,e+4248|0)|0);yoa(e+4224|0,(c[(b+4|0)>>2]|0)+(q*60|0)+24|0,0);Dza(e+4224|0);Dza(e+4248|0);c[(e+4280|0)>>2]=q;n=zoa(p,e+4280|0)|0;xza(e+4288|0,43408);tza(e+4264|0,uoa(n,e+4288|0)|0);yoa(e+4264|0,(c[(b+4|0)>>2]|0)+(q*60|0)+28|0,0);Dza(e+4264|0);Dza(e+4288|0);c[(e+4320|0)>>2]=q;n=zoa(p,e+4320|0)|0;xza(e+4328|0,42296);tza(e+4304|0,uoa(n,e+4328|0)|0);yoa(e+4304|0,(c[(b+4|0)>>2]|0)+(q*60|0)+32|0,0);Dza(e+4304|0);Dza(e+4328|0);c[(e+4360|0)>>2]=q;n=zoa(p,e+4360|0)|0;xza(e+4368|0,41e3);tza(e+4344|0,uoa(n,e+4368|0)|0);Boa(e+4344|0,(c[(b+4|0)>>2]|0)+(q*60|0)+49|0);Dza(e+4344|0);Dza(e+4368|0);c[(e+4400|0)>>2]=q;n=zoa(p,e+4400|0)|0;xza(e+4408|0,40520);tza(e+4384|0,uoa(n,e+4408|0)|0);yoa(e+4384|0,(c[(b+4|0)>>2]|0)+(q*60|0)+52|0,0);Dza(e+4384|0);Dza(e+4408|0);c[(e+4440|0)>>2]=q;n=zoa(p,e+4440|0)|0;xza(e+4448|0,39928);tza(e+4424|0,uoa(n,e+4448|0)|0);Boa(e+4424|0,(c[(b+4|0)>>2]|0)+(q*60|0)+48|0);Dza(e+4424|0);Dza(e+4448|0);c[(e+4480|0)>>2]=q;n=zoa(p,e+4480|0)|0;xza(e+4488|0,37808);tza(e+4464|0,uoa(n,e+4488|0)|0);yoa(e+4464|0,(c[(b+4|0)>>2]|0)+(q*60|0)+40|0,-2147483648);Dza(e+4464|0);Dza(e+4488|0);c[(e+4520|0)>>2]=q;n=zoa(p,e+4520|0)|0;xza(e+4528|0,37128);tza(e+4504|0,uoa(n,e+4528|0)|0);yoa(e+4504|0,(c[(b+4|0)>>2]|0)+(q*60|0)+44|0,2147483647);Dza(e+4504|0);Dza(e+4528|0);n=c[(b+4|0)>>2]|0;d=(a[n+(q*60|0)+49|0]|0)!=0;o=c[n+(q*60|0)+52>>2]|0;z=(a[n+(q*60|0)+48|0]|0)!=0?34176:33520;m=c[n+(q*60|0)+40>>2]|0;j=c[n+(q*60|0)+44>>2]|0;hfa(4,0,28792,(k=i,i=i+56|0,c[k>>2]=c[n+(q*60|0)+4>>2],c[k+8>>2]=d?8568944:35184,c[k+16>>2]=o,c[k+24>>2]=d?8568944:34704,c[k+32>>2]=z,c[k+40>>2]=m,c[k+48>>2]=j,k)|0);i=k;j=c[(b+4|0)>>2]|0;m=c[j+(q*60|0)+4>>2]|0;if((a[m]|0)==36){a[j+(q*60|0)+56|0]=1;C=c[(c[(b+4|0)>>2]|0)+(q*60|0)+4>>2]|0}else{C=m}xza(e+4544|0,C);c[(Coa(e+216|0,e+4544|0)|0)>>2]=q;Dza(e+4544|0);q=q+1|0;}while((q|0)<(c[(b+116|0)>>2]|0))}if((c[2136462]|0)!=0){Vd[c[3586]&511](4)}hfa(4,1,27696,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;c[e+9720>>2]=b;c[e+9760>>2]=f;c[e+12744>>2]=k;c[e+12760>>2]=0;c[e+12764>>2]=0;_read_input_xml$0(e);k=c[e+12744>>2]|0;I=c[e+12760>>2]|0;B=c[e+12764>>2]|0;J=+g[e+12764>>2];c[e+12760>>2]=0;c[e+12764>>2]=0;if((I|0)==5){return}}}while(0);if((c[2136480]|c[2136544]|0)!=0){jfa(22,1,83728,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;C=c[(b+104|0)>>2]|0;jfa(22,0,80920,(k=i,i=i+16|0,c[k>>2]=l,c[k+8>>2]=C,k)|0);i=k;C=(c[b+108>>2]|0)-(c[(b+104|0)>>2]<<1)|0;jfa(22,0,77752,(k=i,i=i+16|0,c[k>>2]=c[(e+1664|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+128>>2]|0;jfa(22,0,75808,(k=i,i=i+16|0,c[k>>2]=c[(e+1672|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+132>>2]|0;jfa(22,0,73632,(k=i,i=i+16|0,c[k>>2]=c[(e+1688|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+116>>2]|0;jfa(22,0,71560,(k=i,i=i+16|0,c[k>>2]=c[(e+1680|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+136>>2]|0;jfa(22,0,69640,(k=i,i=i+16|0,c[k>>2]=c[(e+1704|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+120>>2]|0;jfa(22,0,67472,(k=i,i=i+16|0,c[k>>2]=c[(e+1696|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+140>>2]|0;jfa(22,0,65496,(k=i,i=i+16|0,c[k>>2]=c[(e+1720|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+124>>2]|0;jfa(22,0,63400,(k=i,i=i+16|0,c[k>>2]=c[(e+1712|0)>>2],c[k+8>>2]=C,k)|0);i=k;Vd[c[3586]&511](22)}kaa(f);Ta(0)|0;sc(-1|0)}function moa(a){a=a|0;uva(a);return}function noa(a,b){a=a|0;b=b|0;$qa(a,0);return}function ooa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=i;i=i+8|0;sza(a,d|0);e=Bza(b)|0;f=hpa(c)|0;cAa(a,Cza(b)|0,e,f+e|0);Wza(a,c,f)|0;i=d;return}function poa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=i;i=i+184|0;f=e|0;g=e+16|0;h=e+32|0;j=e+48|0;k=e+56|0;l=e+72|0;m=e+88|0;n=e+104|0;o=e+120|0;p=e+136|0;q=e+152|0;r=e+168|0;if((gKa(b,157384)|0)==0){s=c[d>>2]|0;if((s|0)==0){i=e;return}t=a;u=0;v=s;do{xza(f,v);s=uoa(t,f)|0;Fza(s,c[d+((u|1)<<2)>>2]|0)|0;Dza(f);u=u+2|0;v=c[d+(u<<2)>>2]|0;}while((v|0)!=0);i=e;return}if((gKa(b,156944)|0)==0){v=c[d>>2]|0;if((v|0)==0){i=e;return}u=a+12|0;f=0;t=v;do{xza(g,t);v=uoa(u,g)|0;Fza(v,c[d+((f|1)<<2)>>2]|0)|0;Dza(g);f=f+2|0;t=c[d+(f<<2)>>2]|0;}while((t|0)!=0);i=e;return}if((gKa(b,156640)|0)!=0){do{if((gKa(b,149560)|0)!=0){if((gKa(b,149136)|0)==0){break}if((gKa(b,148872)|0)==0){break}if((gKa(b,148536)|0)==0){break}i=e;return}}while(0);t=(c[d>>2]|0)==0;f=a+196|0;g=a+192|0;u=zoa(c[f>>2]|0,g)|0;if(t){w=u}else{t=0;v=d;s=u;while(1){xza(q,c[v>>2]|0);u=uoa(s,q)|0;Fza(u,c[d+((t|1)<<2)>>2]|0)|0;Dza(q);u=t+2|0;x=d+(u<<2)|0;y=(c[x>>2]|0)==0;z=zoa(c[f>>2]|0,g)|0;if(y){w=z;break}else{t=u;v=x;s=z}}}xza(r,148104);Fza(uoa(w,r)|0,b)|0;Dza(r);i=e;return}Koa(h,j);rza(k);rza(l);j=a+192|0;c[j>>2]=-1;r=a+196|0;c[r>>2]=0;b=c[d>>2]|0;if((b|0)!=0){w=0;s=b;do{xza(m,s);b=uoa(h,m)|0;Fza(b,c[d+((w|1)<<2)>>2]|0)|0;Dza(m);w=w+2|0;s=c[d+(w<<2)>>2]|0;}while((s|0)!=0)}xza(n,156232);Eza(k,uoa(h,n)|0)|0;Dza(n);xza(o,155800);Eza(l,uoa(h,o)|0)|0;Dza(o);c[j>>2]=Sc(_za(k)|0)|0;if((bAa(l,155280)|0)==0){A=a+24|0}else{A=c[r>>2]|0}c[r>>2]=A;if((bAa(l,154968)|0)==0){B=a+36|0}else{B=c[r>>2]|0}c[r>>2]=B;if((bAa(l,154672)|0)==0){C=a+48|0}else{C=c[r>>2]|0}c[r>>2]=C;if((bAa(l,154328)|0)==0){D=a+60|0}else{D=c[r>>2]|0}c[r>>2]=D;if((bAa(l,154008)|0)==0){E=a+72|0}else{E=c[r>>2]|0}c[r>>2]=E;if((bAa(l,153488)|0)==0){F=a+84|0}else{F=c[r>>2]|0}c[r>>2]=F;if((bAa(l,153304)|0)==0){G=a+96|0}else{G=c[r>>2]|0}c[r>>2]=G;if((bAa(l,153088)|0)==0){H=a+108|0}else{H=c[r>>2]|0}c[r>>2]=H;if((bAa(l,152824)|0)==0){I=a+120|0}else{I=c[r>>2]|0}c[r>>2]=I;if((bAa(l,152416)|0)==0){J=a+132|0}else{J=c[r>>2]|0}c[r>>2]=J;if((bAa(l,152048)|0)==0){K=a+144|0}else{K=c[r>>2]|0}c[r>>2]=K;if((bAa(l,151656)|0)==0){L=a+156|0}else{L=c[r>>2]|0}c[r>>2]=L;if((bAa(l,151400)|0)==0){M=a+168|0}else{M=c[r>>2]|0}c[r>>2]=M;if((bAa(l,150928)|0)==0){N=a+180|0}else{N=c[r>>2]|0}c[r>>2]=N;a=_za(l)|0;xza(p,59240);M=_za(uoa(h,p)|0)|0;kfa(0,(N|0)!=0|0,150544,(N=i,i=i+16|0,c[N>>2]=a,c[N+8>>2]=M,N)|0);i=N;Dza(p);Zta(zoa(c[r>>2]|0,j)|0,h)|0;Dza(l);Dza(k);Soa(h);i=e;return}function qoa(a,b){a=a|0;b=b|0;return}function roa(a,b){a=a|0;b=b|0;return Kqa(a|0,b|0)|0}function soa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;Tqa(e,b|0,c);Lqa(a,e);i=d;return}function toa(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;Mqa(d,b|0);Lqa(a,d);i=c;return}function uoa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=tsa(a,e,b)|0;k=c[j>>2]|0;Zka(d+8|0);if((k|0)!=0){l=k;m=l+28|0;i=d;return m|0}vsa(h,a,b);wsa(g,h);usa(f,g);xsa(h);h=c[e>>2]|0;ysa(a|0,h,j,zsa(f)|0);j=Asa(f)|0;xsa(f);l=j;m=l+28|0;i=d;return m|0}function voa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0;f=i;i=i+2120|0;g=f|0;h=f+24|0;j=f+216|0;k=f+232|0;l=f+248|0;m=f+264|0;n=f+280|0;o=f+296|0;p=f+312|0;q=f+328|0;r=f+344|0;s=f+360|0;t=f+376|0;u=f+392|0;v=f+408|0;w=f+424|0;x=f+440|0;y=f+456|0;z=f+472|0;A=f+488|0;B=f+504|0;C=f+520|0;D=f+536|0;E=f+552|0;F=f+568|0;G=f+584|0;H=f+600|0;I=f+616|0;J=f+632|0;K=f+648|0;L=f+664|0;M=f+680|0;N=f+696|0;O=f+712|0;P=f+728|0;Q=f+744|0;R=f+760|0;S=f+776|0;T=f+784|0;U=f+800|0;V=f+808|0;W=f+824|0;X=f+832|0;Y=f+848|0;Z=f+856|0;_=f+872|0;$=f+880|0;aa=f+896|0;ba=f+904|0;ca=f+920|0;da=f+928|0;ea=f+944|0;fa=f+952|0;ga=f+968|0;ha=f+976|0;ia=f+992|0;ja=f+1e3|0;ka=f+1016|0;la=f+1024|0;ma=f+1040|0;na=f+1048|0;oa=f+1064|0;pa=f+1072|0;qa=f+1088|0;ra=f+1096|0;sa=f+1112|0;ta=f+1120|0;ua=f+1136|0;va=f+1144|0;wa=f+1160|0;xa=f+1168|0;ya=f+1184|0;za=f+1192|0;Aa=f+1208|0;Ba=f+1216|0;Ca=f+1232|0;Da=f+1240|0;Ea=f+1256|0;Fa=f+1264|0;Ga=f+1280|0;Ha=f+1288|0;Ia=f+1304|0;Ja=f+1312|0;Ka=f+1328|0;La=f+1336|0;Ma=f+1352|0;Na=f+1360|0;Oa=f+1376|0;Pa=f+1384|0;Qa=f+1400|0;Ra=f+1408|0;Sa=f+1424|0;Ta=f+1432|0;Ua=f+1448|0;Va=f+1456|0;Wa=f+1472|0;Ya=f+1480|0;Za=f+1496|0;_a=f+1504|0;$a=f+1520|0;ab=f+1528|0;bb=f+1544|0;cb=f+1552|0;db=f+1568|0;eb=f+1576|0;fb=f+1592|0;gb=f+1600|0;hb=f+1616|0;ib=f+1624|0;jb=f+1640|0;kb=f+1648|0;lb=f+1664|0;mb=f+1672|0;nb=f+1688|0;ob=f+1696|0;pb=f+1712|0;qb=f+1720|0;rb=f+1736|0;sb=f+1744|0;tb=f+1760|0;ub=f+1768|0;vb=f+1784|0;wb=f+1792|0;xb=f+1808|0;yb=f+1816|0;zb=f+1832|0;Ab=f+1840|0;Bb=f+1856|0;Cb=f+1864|0;Db=f+1880|0;Eb=f+1888|0;Fb=f+1904|0;Gb=f+1912|0;Hb=f+1928|0;Ib=f+1936|0;Jb=f+1952|0;Kb=f+1960|0;Lb=f+1976|0;Mb=f+1984|0;Nb=f+2e3|0;Ob=f+2008|0;Pb=f+2024|0;Qb=f+2032|0;Rb=f+2048|0;Sb=f+2056|0;Tb=f+2072|0;Ub=f+2080|0;Vb=f+2096|0;Wb=f+2104|0;Koa(g,f+16|0);Xb=(d|0)!=0;Yb=(e|0)==0;if(!(Yb|Xb^1)){lfa(0,167184,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb}if(Xb){_b=Lc(d|0)|0}else{_b=0}if(Yb){$b=_b}else{hfa(23,0,166776,(Zb=i,i=i+8|0,c[Zb>>2]=e,Zb)|0);i=Zb;Loa(h);Moa(h,e,8);if(!(Noa(h)|0)){lfa(0,165616,(Zb=i,i=i+8|0,c[Zb>>2]=e,Zb)|0);i=Zb}rza(j);e=h;Ooa(e,j)|0;tza(k,j);while(1){_b=Ooa(e,j)|0;if(!(nAa(_b+(c[(c[_b>>2]|0)-12>>2]|0)|0)|0)){break}mAa(l,165248,j);Uza(k,l)|0;Dza(l)}l=Lc(_za(k)|0)|0;Poa(h);Dza(k);Dza(j);Qoa(h);$b=l}if(($b|0)==0){hfa(23,0,163168,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb;Soa(g);i=f;return}rza(m);rza(n);hfa(23,0,164856,(Zb=i,i=i+8|0,c[Zb>>2]=$b,Zb)|0);i=Zb;l=Xa($b|0,165248)|0;if((l|0)!=0){h=l;do{l=OJa(12)|0;xza(l,h);j=$za(l,164488,0)|0;Zza(o,l,0,j);Eza(m,o)|0;Dza(o);Zza(p,l,j+1|0,(Kza(l)|0)+~j|0);Eza(n,p)|0;Dza(p);Eza(uoa(g,m)|0,n)|0;j=_za(m)|0;l=_za(n)|0;hfa(23,0,163912,(Zb=i,i=i+16|0,c[Zb>>2]=j,c[Zb+8>>2]=l,Zb)|0);i=Zb;h=Xa(0,165248)|0;}while((h|0)!=0)}JJa($b);$b=a+12|0;xza(q,126888);h=uoa($b,q)|0;xza(r,126888);if((Roa(g,r)|0)==0){xza(t,126888);ac=uoa($b,t)|0;bc=1;cc=0}else{xza(s,126888);ac=uoa(g,s)|0;bc=0;cc=1}Eza(h,ac)|0;if(bc){Dza(t)}if(cc){Dza(s)}Dza(r);Dza(q);xza(u,157800);q=uoa($b,u)|0;xza(v,157800);if((Roa(g,v)|0)==0){xza(x,157800);dc=uoa($b,x)|0;ec=1;fc=0}else{xza(w,157800);dc=uoa(g,w)|0;ec=0;fc=1}Eza(q,dc)|0;if(ec){Dza(x)}if(fc){Dza(w)}Dza(v);Dza(u);xza(y,150416);u=uoa($b,y)|0;xza(z,150416);if((Roa(g,z)|0)==0){xza(B,150416);gc=uoa($b,B)|0;hc=1;ic=0}else{xza(A,150416);gc=uoa(g,A)|0;hc=0;ic=1}Eza(u,gc)|0;if(hc){Dza(B)}if(ic){Dza(A)}Dza(z);Dza(y);xza(C,142072);y=uoa($b,C)|0;xza(D,142072);if((Roa(g,D)|0)==0){xza(F,142072);jc=uoa($b,F)|0;kc=1;lc=0}else{xza(E,142072);jc=uoa(g,E)|0;kc=0;lc=1}Eza(y,jc)|0;if(kc){Dza(F)}if(lc){Dza(E)}Dza(D);Dza(C);xza(G,134560);C=uoa($b,G)|0;xza(H,134560);if((Roa(g,H)|0)==0){xza(J,134560);mc=uoa($b,J)|0;nc=1;oc=0}else{xza(I,134560);mc=uoa(g,I)|0;nc=0;oc=1}Eza(C,mc)|0;if(nc){Dza(J)}if(oc){Dza(I)}Dza(H);Dza(G);xza(K,120792);G=uoa($b,K)|0;xza(L,120792);if((Roa(g,L)|0)==0){xza(N,120792);pc=uoa($b,N)|0;qc=1;rc=0}else{xza(M,120792);pc=uoa(g,M)|0;qc=0;rc=1}Eza(G,pc)|0;if(qc){Dza(N)}if(rc){Dza(M)}Dza(L);Dza(K);xza(O,115752);K=uoa($b,O)|0;xza(P,115752);if((Roa(g,P)|0)==0){xza(R,115752);sc=uoa($b,R)|0;tc=1;uc=0}else{xza(Q,115752);sc=uoa(g,Q)|0;tc=0;uc=1}Eza(K,sc)|0;if(tc){Dza(R)}if(uc){Dza(Q)}Dza(P);Dza(O);O=b+104|0;P=c[O>>2]|0;if((P|0)>0){Q=a+24|0;uc=a+36|0;R=0;while(1){c[S>>2]=R;tc=zoa(Q,S)|0;xza(T,40520);sc=uoa(tc,T)|0;c[U>>2]=R;tc=zoa(Q,U)|0;xza(V,59240);if((Roa(g,uoa(tc,V)|0)|0)==0){c[Y>>2]=R;tc=zoa(Q,Y)|0;xza(Z,40520);vc=uoa(tc,Z)|0;wc=1;xc=0}else{c[W>>2]=R;tc=zoa(Q,W)|0;xza(X,59240);vc=uoa(g,uoa(tc,X)|0)|0;wc=0;xc=1}Eza(sc,vc)|0;if(wc){Dza(Z)}if(xc){Dza(X)}Dza(V);Dza(T);c[_>>2]=R;sc=zoa(uc,_)|0;xza($,40520);tc=uoa(sc,$)|0;c[aa>>2]=R;sc=zoa(uc,aa)|0;xza(ba,59240);if((Roa(g,uoa(sc,ba)|0)|0)==0){c[ea>>2]=R;sc=zoa(uc,ea)|0;xza(fa,40520);yc=uoa(sc,fa)|0;zc=1;Ac=0}else{c[ca>>2]=R;sc=zoa(uc,ca)|0;xza(da,59240);yc=uoa(g,uoa(sc,da)|0)|0;zc=0;Ac=1}Eza(tc,yc)|0;if(zc){Dza(fa)}if(Ac){Dza(da)}Dza(ba);Dza($);tc=R+1|0;sc=c[O>>2]|0;if((tc|0)<(sc|0)){R=tc}else{Bc=sc;break}}}else{Bc=P}P=b+108|0;if(((c[P>>2]|0)-(Bc<<1)|0)>0){Bc=a+48|0;R=0;do{c[ga>>2]=R;$=zoa(Bc,ga)|0;xza(ha,40520);ba=uoa($,ha)|0;c[ia>>2]=R;$=zoa(Bc,ia)|0;xza(ja,59240);if((Roa(g,uoa($,ja)|0)|0)==0){c[ma>>2]=R;$=zoa(Bc,ma)|0;xza(na,40520);Cc=uoa($,na)|0;Dc=1;Ec=0}else{c[ka>>2]=R;$=zoa(Bc,ka)|0;xza(la,59240);Cc=uoa(g,uoa($,la)|0)|0;Dc=0;Ec=1}Eza(ba,Cc)|0;if(Dc){Dza(na)}if(Ec){Dza(la)}Dza(ja);Dza(ha);R=R+1|0;}while((R|0)<((c[P>>2]|0)-(c[O>>2]<<1)|0))}O=b+116|0;if((c[O>>2]|0)>0){P=a+84|0;R=0;do{c[oa>>2]=R;ha=zoa(P,oa)|0;xza(pa,40520);ja=uoa(ha,pa)|0;c[qa>>2]=R;ha=zoa(P,qa)|0;xza(ra,59240);if((Roa(g,uoa(ha,ra)|0)|0)==0){c[ua>>2]=R;ha=zoa(P,ua)|0;xza(va,40520);Fc=uoa(ha,va)|0;Gc=1;Hc=0}else{c[sa>>2]=R;ha=zoa(P,sa)|0;xza(ta,59240);Fc=uoa(g,uoa(ha,ta)|0)|0;Gc=0;Hc=1}Eza(ja,Fc)|0;if(Gc){Dza(va)}if(Hc){Dza(ta)}Dza(ra);Dza(pa);R=R+1|0;}while((R|0)<(c[O>>2]|0))}O=b+120|0;if((c[O>>2]|0)>0){R=a+120|0;pa=0;do{c[wa>>2]=pa;ra=zoa(R,wa)|0;xza(xa,40520);ta=uoa(ra,xa)|0;c[ya>>2]=pa;ra=zoa(R,ya)|0;xza(za,59240);if((Roa(g,uoa(ra,za)|0)|0)==0){c[Ca>>2]=pa;ra=zoa(R,Ca)|0;xza(Da,40520);Ic=uoa(ra,Da)|0;Jc=1;Kc=0}else{c[Aa>>2]=pa;ra=zoa(R,Aa)|0;xza(Ba,59240);Ic=uoa(g,uoa(ra,Ba)|0)|0;Jc=0;Kc=1}Eza(ta,Ic)|0;if(Jc){Dza(Da)}if(Kc){Dza(Ba)}Dza(za);Dza(xa);pa=pa+1|0;}while((pa|0)<(c[O>>2]|0))}O=b+124|0;if((c[O>>2]|0)>0){pa=a+156|0;xa=0;do{c[Ea>>2]=xa;za=zoa(pa,Ea)|0;xza(Fa,40520);Ba=uoa(za,Fa)|0;c[Ga>>2]=xa;za=zoa(pa,Ga)|0;xza(Ha,59240);if((Roa(g,uoa(za,Ha)|0)|0)==0){c[Ka>>2]=xa;za=zoa(pa,Ka)|0;xza(La,40520);Mc=uoa(za,La)|0;Nc=1;Oc=0}else{c[Ia>>2]=xa;za=zoa(pa,Ia)|0;xza(Ja,59240);Mc=uoa(g,uoa(za,Ja)|0)|0;Nc=0;Oc=1}Eza(Ba,Mc)|0;if(Nc){Dza(La)}if(Oc){Dza(Ja)}Dza(Ha);Dza(Fa);xa=xa+1|0;}while((xa|0)<(c[O>>2]|0))}O=b+128|0;if((c[O>>2]|0)>0){xa=a+60|0;Fa=0;do{c[Ma>>2]=Fa;Ha=zoa(xa,Ma)|0;xza(Na,40520);Ja=uoa(Ha,Na)|0;c[Oa>>2]=Fa;Ha=zoa(xa,Oa)|0;xza(Pa,59240);if((Roa(g,uoa(Ha,Pa)|0)|0)==0){c[Sa>>2]=Fa;Ha=zoa(xa,Sa)|0;xza(Ta,40520);Pc=uoa(Ha,Ta)|0;Qc=1;Rc=0}else{c[Qa>>2]=Fa;Ha=zoa(xa,Qa)|0;xza(Ra,59240);Pc=uoa(g,uoa(Ha,Ra)|0)|0;Qc=0;Rc=1}Eza(Ja,Pc)|0;if(Qc){Dza(Ta)}if(Rc){Dza(Ra)}Dza(Pa);Dza(Na);Fa=Fa+1|0;}while((Fa|0)<(c[O>>2]|0))}O=b+132|0;if((c[O>>2]|0)>0){Fa=a+96|0;Na=0;do{c[Ua>>2]=Na;Pa=zoa(Fa,Ua)|0;xza(Va,40520);Ra=uoa(Pa,Va)|0;c[Wa>>2]=Na;Pa=zoa(Fa,Wa)|0;xza(Ya,59240);if((Roa(g,uoa(Pa,Ya)|0)|0)==0){c[$a>>2]=Na;Pa=zoa(Fa,$a)|0;xza(ab,40520);Sc=uoa(Pa,ab)|0;Tc=1;Uc=0}else{c[Za>>2]=Na;Pa=zoa(Fa,Za)|0;xza(_a,59240);Sc=uoa(g,uoa(Pa,_a)|0)|0;Tc=0;Uc=1}Eza(Ra,Sc)|0;if(Tc){Dza(ab)}if(Uc){Dza(_a)}Dza(Ya);Dza(Va);Na=Na+1|0;}while((Na|0)<(c[O>>2]|0))}O=b+136|0;if((c[O>>2]|0)>0){Na=a+132|0;Va=0;do{c[bb>>2]=Va;Ya=zoa(Na,bb)|0;xza(cb,40520);_a=uoa(Ya,cb)|0;c[db>>2]=Va;Ya=zoa(Na,db)|0;xza(eb,59240);if((Roa(g,uoa(Ya,eb)|0)|0)==0){c[hb>>2]=Va;Ya=zoa(Na,hb)|0;xza(ib,40520);Vc=uoa(Ya,ib)|0;Wc=1;Xc=0}else{c[fb>>2]=Va;Ya=zoa(Na,fb)|0;xza(gb,59240);Vc=uoa(g,uoa(Ya,gb)|0)|0;Wc=0;Xc=1}Eza(_a,Vc)|0;if(Wc){Dza(ib)}if(Xc){Dza(gb)}Dza(eb);Dza(cb);Va=Va+1|0;}while((Va|0)<(c[O>>2]|0))}O=b+140|0;if((c[O>>2]|0)>0){Va=a+168|0;cb=0;do{c[jb>>2]=cb;eb=zoa(Va,jb)|0;xza(kb,40520);gb=uoa(eb,kb)|0;c[lb>>2]=cb;eb=zoa(Va,lb)|0;xza(mb,59240);if((Roa(g,uoa(eb,mb)|0)|0)==0){c[pb>>2]=cb;eb=zoa(Va,pb)|0;xza(qb,40520);Yc=uoa(eb,qb)|0;Zc=1;_c=0}else{c[nb>>2]=cb;eb=zoa(Va,nb)|0;xza(ob,59240);Yc=uoa(g,uoa(eb,ob)|0)|0;Zc=0;_c=1}Eza(gb,Yc)|0;if(Zc){Dza(qb)}if(_c){Dza(ob)}Dza(mb);Dza(kb);cb=cb+1|0;}while((cb|0)<(c[O>>2]|0))}O=b+208|0;if((c[O>>2]|0)>0){cb=a+72|0;kb=0;do{c[rb>>2]=kb;mb=zoa(cb,rb)|0;xza(sb,40520);ob=uoa(mb,sb)|0;c[tb>>2]=kb;mb=zoa(cb,tb)|0;xza(ub,59240);if((Roa(g,uoa(mb,ub)|0)|0)==0){c[xb>>2]=kb;mb=zoa(cb,xb)|0;xza(yb,40520);$c=uoa(mb,yb)|0;ad=1;bd=0}else{c[vb>>2]=kb;mb=zoa(cb,vb)|0;xza(wb,59240);$c=uoa(g,uoa(mb,wb)|0)|0;ad=0;bd=1}Eza(ob,$c)|0;if(ad){Dza(yb)}if(bd){Dza(wb)}Dza(ub);Dza(sb);kb=kb+1|0;}while((kb|0)<(c[O>>2]|0))}O=b+212|0;if((c[O>>2]|0)>0){kb=a+108|0;sb=0;do{c[zb>>2]=sb;ub=zoa(kb,zb)|0;xza(Ab,40520);wb=uoa(ub,Ab)|0;c[Bb>>2]=sb;ub=zoa(kb,Bb)|0;xza(Cb,59240);if((Roa(g,uoa(ub,Cb)|0)|0)==0){c[Fb>>2]=sb;ub=zoa(kb,Fb)|0;xza(Gb,40520);cd=uoa(ub,Gb)|0;dd=1;ed=0}else{c[Db>>2]=sb;ub=zoa(kb,Db)|0;xza(Eb,59240);cd=uoa(g,uoa(ub,Eb)|0)|0;dd=0;ed=1}Eza(wb,cd)|0;if(dd){Dza(Gb)}if(ed){Dza(Eb)}Dza(Cb);Dza(Ab);sb=sb+1|0;}while((sb|0)<(c[O>>2]|0))}O=b+216|0;if((c[O>>2]|0)>0){sb=a+144|0;Ab=0;do{c[Hb>>2]=Ab;Cb=zoa(sb,Hb)|0;xza(Ib,40520);Eb=uoa(Cb,Ib)|0;c[Jb>>2]=Ab;Cb=zoa(sb,Jb)|0;xza(Kb,59240);if((Roa(g,uoa(Cb,Kb)|0)|0)==0){c[Nb>>2]=Ab;Cb=zoa(sb,Nb)|0;xza(Ob,40520);fd=uoa(Cb,Ob)|0;gd=1;hd=0}else{c[Lb>>2]=Ab;Cb=zoa(sb,Lb)|0;xza(Mb,59240);fd=uoa(g,uoa(Cb,Mb)|0)|0;gd=0;hd=1}Eza(Eb,fd)|0;if(gd){Dza(Ob)}if(hd){Dza(Mb)}Dza(Kb);Dza(Ib);Ab=Ab+1|0;}while((Ab|0)<(c[O>>2]|0))}O=b+220|0;if((c[O>>2]|0)>0){b=a+180|0;a=0;do{c[Pb>>2]=a;Ab=zoa(b,Pb)|0;xza(Qb,40520);Ib=uoa(Ab,Qb)|0;c[Rb>>2]=a;Ab=zoa(b,Rb)|0;xza(Sb,59240);if((Roa(g,uoa(Ab,Sb)|0)|0)==0){c[Vb>>2]=a;Ab=zoa(b,Vb)|0;xza(Wb,40520);id=uoa(Ab,Wb)|0;jd=1;kd=0}else{c[Tb>>2]=a;Ab=zoa(b,Tb)|0;xza(Ub,59240);id=uoa(g,uoa(Ab,Ub)|0)|0;jd=0;kd=1}Eza(Ib,id)|0;if(jd){Dza(Wb)}if(kd){Dza(Ub)}Dza(Sb);Dza(Qb);a=a+1|0;}while((a|0)<(c[O>>2]|0))}hfa(23,0,163728,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb;Dza(n);Dza(m);Soa(g);i=f;return}function woa(a,b,c){a=a|0;b=b|0;c=+c;if((bAa(a,8568944)|0)==0){h[b>>3]=c;return}if((bAa(a,34176)|0)==0){h[b>>3]=1.0;return}if((bAa(a,33520)|0)==0){h[b>>3]=0.0;return}else{h[b>>3]=+cKa(_za(a)|0);return}}function xoa(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;if((b|0)==0){jfa(22,0,158120,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=d;return}else{c[b>>2]=Lc(_za(a)|0)|0;i=d;return}}function yoa(a,b,d){a=a|0;b=b|0;d=d|0;if((bAa(a,8568944)|0)==0){c[b>>2]=d}if((bAa(a,34176)|0)==0){c[b>>2]=1;return}if((bAa(a,33520)|0)==0){c[b>>2]=0;return}else{c[b>>2]=Sc(_za(a)|0)|0;return}}function zoa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=ira(a,e,b)|0;k=c[j>>2]|0;Zka(d+8|0);if((k|0)!=0){l=k;m=l+20|0;i=d;return m|0}kra(h,a,b);lra(g,h);jra(f,g);mra(h);h=c[e>>2]|0;nra(a|0,h,j,ora(f)|0);j=pra(f)|0;mra(f);l=j;m=l+20|0;i=d;return m|0}function Aoa(a,b){a=a|0;b=b|0;if((bAa(a,34176)|0)==0){c[b>>2]=1;return}if((bAa(a,33520)|0)==0){c[b>>2]=0;return}else{c[b>>2]=Sc(_za(a)|0)|0;return}}function Boa(b,c){b=b|0;c=c|0;a[c]=(bAa(b,34176)|0)==0|0;return}function Coa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=Mpa(a,e,b)|0;k=c[j>>2]|0;Zka(d+8|0);if((k|0)!=0){l=k;m=l+28|0;i=d;return m|0}Opa(h,a,b);Ppa(g,h);Npa(f,g);Qpa(h);h=c[e>>2]|0;Rpa(a|0,h,j,Spa(f)|0);j=Tpa(f)|0;Qpa(f);l=j;m=l+28|0;i=d;return m|0}function Doa(a,b){a=a|0;b=b|0;Eza(b,a)|0;return}function Eoa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;Dpa(e,b|0,c);vpa(a,e);i=d;return}function Foa(a,b){a=a|0;b=b|0;return tpa(a|0,b|0)|0}function Goa(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;wpa(d,b|0);vpa(a,d);i=c;return}function Hoa(a){a=a|0;return qpa(a|0)|0}function Ioa(a){a=a|0;Pta(a);return}function Joa(a){a=a|0;Cta(a);return}function Koa(a,b){a=a|0;b=b|0;jsa(a,0);return}function Loa(a){a=a|0;var b=0,d=0,e=0;b=a+108|0;AAa(b);d=a|0;c[d>>2]=8525404;e=b|0;c[e>>2]=8525424;b=a+8|0;sBa(a,8526364,b|0);c[d>>2]=8525404;c[e>>2]=8525424;Gna(b);return}function Moa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=(fla(a+8|0,b,d|8)|0)==0;d=a+(c[(c[a>>2]|0)-12>>2]|0)|0;if(e){rAa(d,4);return}else{pAa(d,0);return}}function Noa(a){a=a|0;return lpa(a+8|0)|0}function Ooa(a,b){a=a|0;b=b|0;return kpa(a,b,yAa(a+(c[(c[a>>2]|0)-12>>2]|0)|0,10)|0)|0}function Poa(a){a=a|0;if((hla(a+8|0)|0)!=0){return}rAa(a+(c[(c[a>>2]|0)-12>>2]|0)|0,4);return}function Qoa(a){a=a|0;ppa(a,8526360);vAa(a+108|0);return}function Roa(a,b){a=a|0;b=b|0;return Toa(a|0,b)|0}function Soa(a){a=a|0;rta(a);return}function Toa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;i=i+8|0;e=d|0;f=Voa(a)|0;Zka(e);if((f|0)==0){g=0;i=d;return g|0}h=Woa(a)|0;a=f;while(1){f=a+16|0;if(Xoa(h,b,f)|0){j=a|0}else{if(!(Yoa(h,f,b)|0)){g=1;k=8;break}j=a+4|0}f=c[j>>2]|0;Zka(e);if((f|0)==0){g=0;k=8;break}else{a=f}}if((k|0)==8){i=d;return g|0}return 0}function Uoa(a){a=a|0;return Kka(cpa(a+4|0)|0)|0}function Voa(a){a=a|0;return c[(Uoa(a)|0)>>2]|0}function Woa(a){a=a|0;return apa(a+8|0)|0}function Xoa(a,b,c){a=a|0;b=b|0;c=c|0;return Zoa(0,b,c|0)|0}function Yoa(a,b,c){a=a|0;b=b|0;c=c|0;return Zoa(0,b|0,c)|0}function Zoa(a,b,c){a=a|0;b=b|0;c=c|0;return _oa(b,c)|0}function _oa(a,b){a=a|0;b=b|0;return(aAa(a,b)|0)<0|0}function $oa(a,b,c){a=a|0;b=b|0;c=c|0;return fKa(a,b,c)|0}function apa(a){a=a|0;return bpa(a|0)|0}function bpa(a){a=a|0;return a|0}function cpa(a){a=a|0;return dpa(a|0)|0}function dpa(a){a=a|0;return a|0}function epa(a,b){a=a|0;b=b|0;return gpa(0,b,0)|0}function fpa(b,c){b=b|0;c=c|0;a[b]=a[c]|0;return}function gpa(a,b,c){a=a|0;b=b|0;c=c|0;return OJa(b)|0}function hpa(a){a=a|0;return iKa(a|0)|0}function ipa(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=jpa(a,b,c|0)|0;i=c;return d|0}function jpa(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=bma(0,b,c)|0;i=e;return(f?c:b)|0}function kpa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;e=i;i=i+8|0;f=e|0;xBa(f,a,1);if(!(ABa(f)|0)){i=e;return a|0}Tza(b);f=a;g=a;h=0;while(1){j=GAa(wAa(g+(c[(c[f>>2]|0)-12>>2]|0)|0)|0)|0;if(Tla(j,-1)|0){k=h;l=2;break}m=h+1|0;n=Ula(j)|0;if(Yla(n,d)|0){k=m;l=0;break}Vza(b,n);if((Bza(b)|0)==-17){k=m;l=4;break}else{h=m}}rAa(g+(c[(c[f>>2]|0)-12>>2]|0)|0,(k|0)==0?l|4:l);i=e;return a|0}function lpa(a){a=a|0;return(c[a+64>>2]|0)!=0|0}function mpa(a){a=a|0;Qoa(a);QJa(a);return}function npa(a){a=a|0;Qoa(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function opa(a){a=a|0;mpa(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function ppa(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];Hla(a+8|0);return}function qpa(a){a=a|0;return rpa((c[a>>2]|0)+16|0)|0}function rpa(a){a=a|0;return spa(a)|0}function spa(a){a=a|0;return a|0}function tpa(a,b){a=a|0;b=b|0;return(upa(a,b)|0)^1|0}function upa(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function vpa(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];Cpa(a,b);i=d;return}function wpa(a,b){a=a|0;b=b|0;xpa(a,ypa(b)|0);return}function xpa(a,b){a=a|0;b=b|0;Bpa(a,b);return}function ypa(a){a=a|0;return Kka(zpa(a+4|0)|0)|0}function zpa(a){a=a|0;return Apa(a|0)|0}function Apa(a){a=a|0;return a|0}function Bpa(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function Cpa(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function Dpa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=Fpa(b)|0;Epa(f,b,d,h,ypa(b)|0);wpa(g,b);do{if(tpa(f,g)|0){h=Gpa(b)|0;if(Hpa(h,d,Ipa(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);wpa(a,b);i=e;return}function Epa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;Zka(h);a:do{if((e|0)==0){j=f}else{k=Gpa(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(Lpa(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;Zka(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;Zka(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);xpa(a,j);i=g;return}function Fpa(a){a=a|0;return c[(ypa(a)|0)>>2]|0}function Gpa(a){a=a|0;return Jpa(a+8|0)|0}function Hpa(a,b,c){a=a|0;b=b|0;c=c|0;return Zoa(0,b,c|0)|0}function Ipa(a){a=a|0;return(c[a>>2]|0)+16|0}function Jpa(a){a=a|0;return Kpa(a|0)|0}function Kpa(a){a=a|0;return a|0}function Lpa(a,b,c){a=a|0;b=b|0;c=c|0;return Zoa(0,b|0,c)|0}function Mpa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=Fpa(h)|0;Zka(e|0);if((a|0)==0){j=ypa(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(Zoa(0,d,a)|0){m=l|0;j=c[m>>2]|0;Zka(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(Zoa(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;Zka(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function Npa(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];Iqa(a,b);i=d;return}function Opa(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=nqa(c|0)|0;c=pqa(k,1)|0;qqa(g,k);oqa(f,c,g);rqa(0,gqa((sqa(f)|0)+16|0)|0,d);d=tqa(f)|0;a[d+4|0]=1;uqa(0,eqa((sqa(f)|0)+28|0)|0);a[d+5|0]=1;vqa(j,f);Ppa(h,j);Npa(b,h);Qpa(j);Qpa(f);i=e;return}function Ppa(a,b){a=a|0;b=b|0;lqa(a,b);return}function Qpa(a){a=a|0;aqa(a);return}function Rpa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;Zka(f|0);c[e>>2]=0;Zka(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=Ypa(a)|0;b=c[c[e>>2]>>2]|0;Zka(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(ypa(a)|0)>>2]|0;Jma(e,c[d>>2]|0);d=Zpa(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function Spa(a){a=a|0;return c[(Wpa(a|0)|0)>>2]|0}function Tpa(a){a=a|0;var b=0;b=Upa(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function Upa(a){a=a|0;return Vpa(a|0)|0}function Vpa(a){a=a|0;return a|0}function Wpa(a){a=a|0;return Xpa(a|0)|0}function Xpa(a){a=a|0;return a|0}function Ypa(a){a=a|0;return a|0}function Zpa(a){a=a|0;return _pa(a+8|0)|0}function _pa(a){a=a|0;return $pa(a|0)|0}function $pa(a){a=a|0;return a|0}function aqa(a){a=a|0;bqa(a,0);return}function bqa(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=Upa(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}dqa(cqa(d)|0,e);return}function cqa(a){a=a|0;return kqa(a|0)|0}function dqa(b,d){b=b|0;d=d|0;var e=0;if((a[b+4|0]|0)!=0){e=c[b>>2]|0;fqa(e,gqa(d+16|0)|0)}if((d|0)==0){return}hqa(c[b>>2]|0,d,1);return}function eqa(a){a=a|0;return a|0}function fqa(a,b){a=a|0;b=b|0;a=i;i=i+8|0;jqa(a|0,0,b);i=a;return}function gqa(a){a=a|0;return a|0}function hqa(a,b,c){a=a|0;b=b|0;c=c|0;iqa(0,b,0);return}function iqa(a,b,c){a=a|0;b=b|0;c=c|0;QJa(b);return}function jqa(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;Dza(d);i=c;return}function kqa(a){a=a|0;return a+4|0}function lqa(a,b){a=a|0;b=b|0;mqa(a,b);return}function mqa(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function nqa(a){a=a|0;return Gqa(a+4|0)|0}function oqa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];yqa(a,b,d);i=e;return}function pqa(a,b){a=a|0;b=b|0;return xqa(0,b,0)|0}function qqa(a,b){a=a|0;b=b|0;wqa(a,b);return}function rqa(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}tza(b,c);return}function sqa(a){a=a|0;return c[(Wpa(a|0)|0)>>2]|0}function tqa(a){a=a|0;return cqa(a|0)|0}function uqa(a,b){a=a|0;b=b|0;if((b|0)==0){return}c[b>>2]=0;return}function vqa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;lqa(f,b);Npa(e,f);Ppa(d,e);Npa(a,d);Qpa(e);i=c;return}function wqa(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function xqa(a,b,c){a=a|0;b=b|0;c=c|0;return OJa(b<<5)|0}function yqa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(Aqa(f)|0)>>2]|0;f=Bqa(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;zqa(a|0,b,g);i=e;return}function zqa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];Cqa(a,b,d);i=e;return}function Aqa(a){a=a|0;return a|0}function Bqa(a){a=a|0;return a|0}function Cqa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(Eqa(f)|0)>>2]|0;f=Fqa(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;Dqa(a|0,b,g);i=e;return}function Dqa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(Eqa(f)|0)>>2];f=Fqa(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function Eqa(a){a=a|0;return a|0}function Fqa(a){a=a|0;return a|0}function Gqa(a){a=a|0;return Hqa(a|0)|0}function Hqa(a){a=a|0;return a|0}function Iqa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=Tpa(Jqa(b)|0)|0;g=Fqa(tqa(Jqa(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;zqa(a|0,f,e);i=d;return}function Jqa(a){a=a|0;return c[a>>2]|0}function Kqa(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function Lqa(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];Sqa(a,b);i=d;return}function Mqa(a,b){a=a|0;b=b|0;Nqa(a,Oqa(b)|0);return}function Nqa(a,b){a=a|0;b=b|0;Rqa(a,b);return}function Oqa(a){a=a|0;return Kka(Pqa(a+4|0)|0)|0}function Pqa(a){a=a|0;return Qqa(a|0)|0}function Qqa(a){a=a|0;return a|0}function Rqa(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function Sqa(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function Tqa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=Vqa(b)|0;Uqa(f,b,d,h,Oqa(b)|0);Mqa(g,b);do{if(Wqa(f,g)|0){h=Xqa(b)|0;if(Xoa(h,d,Yqa(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);Mqa(a,b);i=e;return}function Uqa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;Zka(h);a:do{if((e|0)==0){j=f}else{k=Xqa(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(Yoa(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;Zka(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;Zka(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);Nqa(a,j);i=g;return}function Vqa(a){a=a|0;return c[(Oqa(a)|0)>>2]|0}function Wqa(a,b){a=a|0;b=b|0;return(Kqa(a,b)|0)^1|0}function Xqa(a){a=a|0;return Zqa(a+8|0)|0}function Yqa(a){a=a|0;return(c[a>>2]|0)+16|0}function Zqa(a){a=a|0;return _qa(a|0)|0}function _qa(a){a=a|0;return a|0}function $qa(a,b){a=a|0;b=b|0;b=i;i=i+8|0;ara(a|0,b|0);i=b;return}function ara(a,b){a=a|0;b=b|0;bra(a,0);return}function bra(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;cra(a+4|0);dra(a+8|0,0,b|0);d=ypa(a)|0;c[(Ypa(a)|0)>>2]=d;i=b;return}function cra(a){a=a|0;gra(a);return}function dra(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;era(b,c,d);i=e;return}function era(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;fra(b|0,c[(Bna(g)|0)>>2]|0,f+8|0);i=f;return}function fra(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(Bna(g)|0)>>2];i=f;return}function gra(a){a=a|0;hra(a|0);return}function hra(a){a=a|0;Ena(a|0);return}function ira(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=isa(h)|0;Zka(e|0);if((a|0)==0){j=vra(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(Wka(0,d,a)|0){m=l|0;j=c[m>>2]|0;Zka(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(Wka(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;Zka(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function jra(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];gsa(a,b);i=d;return}function kra(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=Nra(c|0)|0;c=Pra(k,1)|0;Qra(g,k);Ora(f,c,g);Rra(0,Vma((Sra(f)|0)+16|0)|0,d);d=Tra(f)|0;a[d+4|0]=1;Ura(0,Gra((Sra(f)|0)+20|0)|0);a[d+5|0]=1;Vra(j,f);lra(h,j);jra(b,h);mra(j);mra(f);i=e;return}function lra(a,b){a=a|0;b=b|0;Lra(a,b);return}function mra(a){a=a|0;Bra(a);return}function nra(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;Zka(f|0);c[e>>2]=0;Zka(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=ura(a)|0;b=c[c[e>>2]>>2]|0;Zka(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(vra(a)|0)>>2]|0;Jma(e,c[d>>2]|0);d=wra(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function ora(a){a=a|0;return c[(sra(a|0)|0)>>2]|0}function pra(a){a=a|0;var b=0;b=qra(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function qra(a){a=a|0;return rra(a|0)|0}function rra(a){a=a|0;return a|0}function sra(a){a=a|0;return tra(a|0)|0}function tra(a){a=a|0;return a|0}function ura(a){a=a|0;return a|0}function vra(a){a=a|0;return Kka(zra(a+4|0)|0)|0}function wra(a){a=a|0;return xra(a+8|0)|0}function xra(a){a=a|0;return yra(a|0)|0}function yra(a){a=a|0;return a|0}function zra(a){a=a|0;return Ara(a|0)|0}function Ara(a){a=a|0;return a|0}function Bra(a){a=a|0;Cra(a,0);return}function Cra(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=qra(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}Era(Dra(d)|0,e);return}function Dra(a){a=a|0;return Kra(a|0)|0}function Era(b,d){b=b|0;d=d|0;var e=0;if((a[b+5|0]|0)!=0){e=c[b>>2]|0;Fra(e,Gra(d+20|0)|0)}if((d|0)==0){return}Hra(c[b>>2]|0,d,1);return}function Fra(a,b){a=a|0;b=b|0;a=i;i=i+8|0;Jra(a|0,0,b);i=a;return}function Gra(a){a=a|0;return a|0}function Hra(a,b,c){a=a|0;b=b|0;c=c|0;Ira(0,b,0);return}function Ira(a,b,c){a=a|0;b=b|0;c=c|0;QJa(b);return}function Jra(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;Soa(d);i=c;return}function Kra(a){a=a|0;return a+4|0}function Lra(a,b){a=a|0;b=b|0;Mra(a,b);return}function Mra(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function Nra(a){a=a|0;return esa(a+4|0)|0}function Ora(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];Yra(a,b,d);i=e;return}function Pra(a,b){a=a|0;b=b|0;return Xra(0,b,0)|0}function Qra(a,b){a=a|0;b=b|0;Wra(a,b);return}function Rra(a,b,d){a=a|0;b=b|0;d=d|0;if((b|0)==0){return}c[b>>2]=c[d>>2];return}function Sra(a){a=a|0;return c[(sra(a|0)|0)>>2]|0}function Tra(a){a=a|0;return Dra(a|0)|0}function Ura(a,b){a=a|0;b=b|0;a=i;i=i+8|0;if((b|0)==0){i=a;return}Koa(b,a|0);i=a;return}function Vra(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;Lra(f,b);jra(e,f);lra(d,e);jra(a,d);mra(e);i=c;return}function Wra(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function Xra(a,b,c){a=a|0;b=b|0;c=c|0;return OJa(b<<5)|0}function Yra(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(_ra(f)|0)>>2]|0;f=$ra(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;Zra(a|0,b,g);i=e;return}function Zra(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];asa(a,b,d);i=e;return}function _ra(a){a=a|0;return a|0}function $ra(a){a=a|0;return a|0}function asa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(csa(f)|0)>>2]|0;f=dsa(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;bsa(a|0,b,g);i=e;return}function bsa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(csa(f)|0)>>2];f=dsa(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function csa(a){a=a|0;return a|0}function dsa(a){a=a|0;return a|0}function esa(a){a=a|0;return fsa(a|0)|0}function fsa(a){a=a|0;return a|0}function gsa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=pra(hsa(b)|0)|0;g=dsa(Tra(hsa(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;Zra(a|0,f,e);i=d;return}function hsa(a){a=a|0;return c[a>>2]|0}function isa(a){a=a|0;return c[(vra(a)|0)>>2]|0}function jsa(a,b){a=a|0;b=b|0;b=i;i=i+8|0;ksa(a|0,b|0);i=b;return}function ksa(a,b){a=a|0;b=b|0;lsa(a,0);return}function lsa(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;msa(a+4|0);nsa(a+8|0,0,b|0);d=Oqa(a)|0;c[(osa(a)|0)>>2]=d;i=b;return}function msa(a){a=a|0;rsa(a);return}function nsa(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;psa(b,c,d);i=e;return}function osa(a){a=a|0;return a|0}function psa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;qsa(b|0,c[(Bna(g)|0)>>2]|0,f+8|0);i=f;return}function qsa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(Bna(g)|0)>>2];i=f;return}function rsa(a){a=a|0;ssa(a|0);return}function ssa(a){a=a|0;Ena(a|0);return}function tsa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=Vqa(h)|0;Zka(e|0);if((a|0)==0){j=Oqa(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(Zoa(0,d,a)|0){m=l|0;j=c[m>>2]|0;Zka(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(Zoa(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;Zka(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function usa(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];pta(a,b);i=d;return}function _read_input_xml$0(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0;d=c[b+9720>>2]|0;e=c[b+9760>>2]|0;f=c[b+12744>>2]|0;a:do{if((c[(d+120|0)>>2]|0)>0){g=(b|0)+120|0;j=0;do{c[(b+4576|0)>>2]=j;k=zoa(g,b+4576|0)|0;xza(b+4584|0,59240);tza(b+4560|0,uoa(k,b+4584|0)|0);xoa(b+4560|0,(c[(d+8|0)>>2]|0)+(j*48|0)+4|0);Dza(b+4560|0);Dza(b+4584|0);c[(b+4616|0)>>2]=j;k=zoa(g,b+4616|0)|0;xza(b+4624|0,54168);tza(b+4600|0,uoa(k,b+4624|0)|0);Aoa(b+4600|0,(c[(d+8|0)>>2]|0)+(j*48|0)|0);Dza(b+4600|0);Dza(b+4624|0);c[(b+4656|0)>>2]=j;k=zoa(g,b+4656|0)|0;xza(b+4664|0,50632);tza(b+4640|0,uoa(k,b+4664|0)|0);xoa(b+4640|0,(c[(d+8|0)>>2]|0)+(j*48|0)+8|0);Dza(b+4640|0);Dza(b+4664|0);c[(b+4696|0)>>2]=j;k=zoa(g,b+4696|0)|0;xza(b+4704|0,49240);tza(b+4680|0,uoa(k,b+4704|0)|0);xoa(b+4680|0,(c[(d+8|0)>>2]|0)+(j*48|0)+12|0);Dza(b+4680|0);Dza(b+4704|0);c[(b+4736|0)>>2]=j;k=zoa(g,b+4736|0)|0;xza(b+4744|0,47896);tza(b+4720|0,uoa(k,b+4744|0)|0);yoa(b+4720|0,(c[(d+8|0)>>2]|0)+(j*48|0)+16|0,0);Dza(b+4720|0);Dza(b+4744|0);c[(b+4776|0)>>2]=j;k=zoa(g,b+4776|0)|0;xza(b+4784|0,46512);tza(b+4760|0,uoa(k,b+4784|0)|0);yoa(b+4760|0,(c[(d+8|0)>>2]|0)+(j*48|0)+20|0,0);Dza(b+4760|0);Dza(b+4784|0);c[(b+4816|0)>>2]=j;k=zoa(g,b+4816|0)|0;xza(b+4824|0,44560);tza(b+4800|0,uoa(k,b+4824|0)|0);yoa(b+4800|0,(c[(d+8|0)>>2]|0)+(j*48|0)+24|0,0);Dza(b+4800|0);Dza(b+4824|0);c[(b+4856|0)>>2]=j;k=zoa(g,b+4856|0)|0;xza(b+4864|0,43408);tza(b+4840|0,uoa(k,b+4864|0)|0);yoa(b+4840|0,(c[(d+8|0)>>2]|0)+(j*48|0)+28|0,0);Dza(b+4840|0);Dza(b+4864|0);c[(b+4896|0)>>2]=j;k=zoa(g,b+4896|0)|0;xza(b+4904|0,42296);tza(b+4880|0,uoa(k,b+4904|0)|0);yoa(b+4880|0,(c[(d+8|0)>>2]|0)+(j*48|0)+32|0,0);Dza(b+4880|0);Dza(b+4904|0);c[(b+4936|0)>>2]=j;k=zoa(g,b+4936|0)|0;xza(b+4944|0,41e3);tza(b+4920|0,uoa(k,b+4944|0)|0);Boa(b+4920|0,(c[(d+8|0)>>2]|0)+(j*48|0)+41|0);Dza(b+4920|0);Dza(b+4944|0);c[(b+4976|0)>>2]=j;k=zoa(g,b+4976|0)|0;xza(b+4984|0,40520);tza(b+4960|0,uoa(k,b+4984|0)|0);Boa(b+4960|0,(c[(d+8|0)>>2]|0)+(j*48|0)+42|0);Dza(b+4960|0);Dza(b+4984|0);c[(b+5016|0)>>2]=j;k=zoa(g,b+5016|0)|0;xza(b+5024|0,39928);tza(b+5e3|0,uoa(k,b+5024|0)|0);Boa(b+5e3|0,(c[(d+8|0)>>2]|0)+(j*48|0)+40|0);Dza(b+5e3|0);Dza(b+5024|0);k=c[(d+8|0)>>2]|0;l=(a[k+(j*48|0)+41|0]|0)!=0;m=(a[k+(j*48|0)+42|0]|0)!=0?34176:33520;n=(a[k+(j*48|0)+40|0]|0)!=0?34176:33520;hfa(4,0,26232,(f=i,i=i+40|0,c[f>>2]=c[k+(j*48|0)+4>>2],c[f+8>>2]=l?8568944:35184,c[f+16>>2]=m,c[f+24>>2]=l?8568944:34704,c[f+32>>2]=n,f)|0);i=f;n=c[(d+8|0)>>2]|0;l=c[n+(j*48|0)+4>>2]|0;if((a[l]|0)==36){a[n+(j*48|0)+44|0]=1;o=c[(c[(d+8|0)>>2]|0)+(j*48|0)+4>>2]|0}else{o=l}xza(b+5040|0,o);c[(Coa(b+216|0,b+5040|0)|0)>>2]=j;Dza(b+5040|0);j=j+1|0;}while((j|0)<(c[(d+120|0)>>2]|0))}if((c[2136462]|0)!=0){Vd[c[3586]&511](4)}hfa(4,1,25216,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+124|0)>>2]|0)>0){j=(b|0)+156|0;g=0;do{c[(b+5072|0)>>2]=g;l=zoa(j,b+5072|0)|0;xza(b+5080|0,59240);tza(b+5056|0,uoa(l,b+5080|0)|0);xoa(b+5056|0,(c[(d+12|0)>>2]|0)+(g*52|0)+4|0);Dza(b+5056|0);Dza(b+5080|0);c[(b+5112|0)>>2]=g;l=zoa(j,b+5112|0)|0;xza(b+5120|0,54168);tza(b+5096|0,uoa(l,b+5120|0)|0);Aoa(b+5096|0,(c[(d+12|0)>>2]|0)+(g*52|0)|0);Dza(b+5096|0);Dza(b+5120|0);c[(b+5152|0)>>2]=g;l=zoa(j,b+5152|0)|0;xza(b+5160|0,50632);tza(b+5136|0,uoa(l,b+5160|0)|0);xoa(b+5136|0,(c[(d+12|0)>>2]|0)+(g*52|0)+8|0);Dza(b+5136|0);Dza(b+5160|0);c[(b+5192|0)>>2]=g;l=zoa(j,b+5192|0)|0;xza(b+5200|0,49240);tza(b+5176|0,uoa(l,b+5200|0)|0);xoa(b+5176|0,(c[(d+12|0)>>2]|0)+(g*52|0)+12|0);Dza(b+5176|0);Dza(b+5200|0);c[(b+5232|0)>>2]=g;l=zoa(j,b+5232|0)|0;xza(b+5240|0,47896);tza(b+5216|0,uoa(l,b+5240|0)|0);yoa(b+5216|0,(c[(d+12|0)>>2]|0)+(g*52|0)+16|0,0);Dza(b+5216|0);Dza(b+5240|0);c[(b+5272|0)>>2]=g;l=zoa(j,b+5272|0)|0;xza(b+5280|0,46512);tza(b+5256|0,uoa(l,b+5280|0)|0);yoa(b+5256|0,(c[(d+12|0)>>2]|0)+(g*52|0)+20|0,0);Dza(b+5256|0);Dza(b+5280|0);c[(b+5312|0)>>2]=g;l=zoa(j,b+5312|0)|0;xza(b+5320|0,44560);tza(b+5296|0,uoa(l,b+5320|0)|0);yoa(b+5296|0,(c[(d+12|0)>>2]|0)+(g*52|0)+24|0,0);Dza(b+5296|0);Dza(b+5320|0);c[(b+5352|0)>>2]=g;l=zoa(j,b+5352|0)|0;xza(b+5360|0,43408);tza(b+5336|0,uoa(l,b+5360|0)|0);yoa(b+5336|0,(c[(d+12|0)>>2]|0)+(g*52|0)+28|0,0);Dza(b+5336|0);Dza(b+5360|0);c[(b+5392|0)>>2]=g;l=zoa(j,b+5392|0)|0;xza(b+5400|0,42296);tza(b+5376|0,uoa(l,b+5400|0)|0);yoa(b+5376|0,(c[(d+12|0)>>2]|0)+(g*52|0)+32|0,0);Dza(b+5376|0);Dza(b+5400|0);c[(b+5432|0)>>2]=g;l=zoa(j,b+5432|0)|0;xza(b+5440|0,41e3);tza(b+5416|0,uoa(l,b+5440|0)|0);Boa(b+5416|0,(c[(d+12|0)>>2]|0)+(g*52|0)+40|0);Dza(b+5416|0);Dza(b+5440|0);c[(b+5472|0)>>2]=g;l=zoa(j,b+5472|0)|0;xza(b+5480|0,40520);tza(b+5456|0,uoa(l,b+5480|0)|0);xoa(b+5456|0,(c[(d+12|0)>>2]|0)+(g*52|0)+44|0);Dza(b+5456|0);Dza(b+5480|0);l=c[(d+12|0)>>2]|0;n=(a[l+(g*52|0)+40|0]|0)!=0;m=c[l+(g*52|0)+44>>2]|0;hfa(4,0,24608,(f=i,i=i+32|0,c[f>>2]=c[l+(g*52|0)+4>>2],c[f+8>>2]=n?8568944:35184,c[f+16>>2]=m,c[f+24>>2]=n?8568944:34704,f)|0);i=f;n=c[(d+12|0)>>2]|0;m=c[n+(g*52|0)+4>>2]|0;if((a[m]|0)==36){a[n+(g*52|0)+48|0]=1;p=c[(c[(d+12|0)>>2]|0)+(g*52|0)+4>>2]|0}else{p=m}xza(b+5496|0,p);c[(Coa(b+216|0,b+5496|0)|0)>>2]=g;Dza(b+5496|0);g=g+1|0;}while((g|0)<(c[(d+124|0)>>2]|0))}if((c[2136462]|0)!=0){Vd[c[3586]&511](4)}hfa(4,1,23192,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+128|0)>>2]|0)>0){g=(b|0)+60|0;j=0;do{c[(b+5528|0)>>2]=j;m=zoa(g,b+5528|0)|0;xza(b+5536|0,59240);tza(b+5512|0,uoa(m,b+5536|0)|0);xoa(b+5512|0,(c[(d+16|0)>>2]|0)+(j*112|0)+4|0);Dza(b+5512|0);Dza(b+5536|0);c[(b+5568|0)>>2]=j;m=zoa(g,b+5568|0)|0;xza(b+5576|0,54168);tza(b+5552|0,uoa(m,b+5576|0)|0);Aoa(b+5552|0,(c[(d+16|0)>>2]|0)+(j*112|0)|0);Dza(b+5552|0);Dza(b+5576|0);c[(b+5608|0)>>2]=j;m=zoa(g,b+5608|0)|0;xza(b+5616|0,50632);tza(b+5592|0,uoa(m,b+5616|0)|0);xoa(b+5592|0,(c[(d+16|0)>>2]|0)+(j*112|0)+8|0);Dza(b+5592|0);Dza(b+5616|0);c[(b+5648|0)>>2]=j;m=zoa(g,b+5648|0)|0;xza(b+5656|0,49240);tza(b+5632|0,uoa(m,b+5656|0)|0);xoa(b+5632|0,(c[(d+16|0)>>2]|0)+(j*112|0)+12|0);Dza(b+5632|0);Dza(b+5656|0);c[(b+5688|0)>>2]=j;m=zoa(g,b+5688|0)|0;xza(b+5696|0,47896);tza(b+5672|0,uoa(m,b+5696|0)|0);yoa(b+5672|0,(c[(d+16|0)>>2]|0)+(j*112|0)+16|0,0);Dza(b+5672|0);Dza(b+5696|0);c[(b+5728|0)>>2]=j;m=zoa(g,b+5728|0)|0;xza(b+5736|0,46512);tza(b+5712|0,uoa(m,b+5736|0)|0);yoa(b+5712|0,(c[(d+16|0)>>2]|0)+(j*112|0)+20|0,0);Dza(b+5712|0);Dza(b+5736|0);c[(b+5768|0)>>2]=j;m=zoa(g,b+5768|0)|0;xza(b+5776|0,44560);tza(b+5752|0,uoa(m,b+5776|0)|0);yoa(b+5752|0,(c[(d+16|0)>>2]|0)+(j*112|0)+24|0,0);Dza(b+5752|0);Dza(b+5776|0);c[(b+5808|0)>>2]=j;m=zoa(g,b+5808|0)|0;xza(b+5816|0,43408);tza(b+5792|0,uoa(m,b+5816|0)|0);yoa(b+5792|0,(c[(d+16|0)>>2]|0)+(j*112|0)+28|0,0);Dza(b+5792|0);Dza(b+5816|0);c[(b+5848|0)>>2]=j;m=zoa(g,b+5848|0)|0;xza(b+5856|0,42296);tza(b+5832|0,uoa(m,b+5856|0)|0);yoa(b+5832|0,(c[(d+16|0)>>2]|0)+(j*112|0)+32|0,0);Dza(b+5832|0);Dza(b+5856|0);c[(b+5888|0)>>2]=j;m=zoa(g,b+5888|0)|0;xza(b+5896|0,41e3);tza(b+5872|0,uoa(m,b+5896|0)|0);Boa(b+5872|0,(c[(d+16|0)>>2]|0)+(j*112|0)+88|0);Dza(b+5872|0);Dza(b+5896|0);c[(b+5928|0)>>2]=j;m=zoa(g,b+5928|0)|0;xza(b+5936|0,40520);tza(b+5912|0,uoa(m,b+5936|0)|0);woa(b+5912|0,(c[(d+16|0)>>2]|0)+(j*112|0)+96|0,0.0);Dza(b+5912|0);Dza(b+5936|0);c[(b+5968|0)>>2]=j;m=zoa(g,b+5968|0)|0;xza(b+5976|0,39928);tza(b+5952|0,uoa(m,b+5976|0)|0);Boa(b+5952|0,(c[(d+16|0)>>2]|0)+(j*112|0)+72|0);Dza(b+5952|0);Dza(b+5976|0);c[(b+6008|0)>>2]=j;m=zoa(g,b+6008|0)|0;xza(b+6016|0,38896);tza(b+5992|0,uoa(m,b+6016|0)|0);Boa(b+5992|0,(c[(d+16|0)>>2]|0)+(j*112|0)+73|0);Dza(b+5992|0);Dza(b+6016|0);c[(b+6048|0)>>2]=j;m=zoa(g,b+6048|0)|0;xza(b+6056|0,38360);tza(b+6032|0,uoa(m,b+6056|0)|0);woa(b+6032|0,(c[(d+16|0)>>2]|0)+(j*112|0)+80|0,1.0);Dza(b+6032|0);Dza(b+6056|0);c[(b+6088|0)>>2]=j;m=zoa(g,b+6088|0)|0;xza(b+6096|0,37808);tza(b+6072|0,uoa(m,b+6096|0)|0);woa(b+6072|0,(c[(d+16|0)>>2]|0)+(j*112|0)+56|0,-1.7976931348623157e+308);Dza(b+6072|0);Dza(b+6096|0);c[(b+6128|0)>>2]=j;m=zoa(g,b+6128|0)|0;xza(b+6136|0,37128);tza(b+6112|0,uoa(m,b+6136|0)|0);woa(b+6112|0,(c[(d+16|0)>>2]|0)+(j*112|0)+64|0,1.7976931348623157e+308);Dza(b+6112|0);Dza(b+6136|0);m=c[(d+16|0)>>2]|0;n=(a[m+(j*112|0)+88|0]|0)!=0;q=+h[m+(j*112|0)+96>>3];l=(a[m+(j*112|0)+72|0]|0)!=0?34176:33520;k=(a[m+(j*112|0)+73|0]|0)!=0;r=+h[m+(j*112|0)+80>>3];s=+h[m+(j*112|0)+56>>3];t=+h[m+(j*112|0)+64>>3];hfa(4,0,22480,(f=i,i=i+80|0,c[f>>2]=c[m+(j*112|0)+4>>2],c[f+8>>2]=n?8568944:35184,h[f+16>>3]=q,c[f+24>>2]=n?8568944:34704,c[f+32>>2]=l,c[f+40>>2]=k?8568944:35184,h[f+48>>3]=r,c[f+56>>2]=k?8568944:34704,h[f+64>>3]=s,h[f+72>>3]=t,f)|0);i=f;k=c[(d+16|0)>>2]|0;l=c[k+(j*112|0)+4>>2]|0;if((a[l]|0)==36){a[k+(j*112|0)+104|0]=1;u=c[(c[(d+16|0)>>2]|0)+(j*112|0)+4>>2]|0}else{u=l}xza(b+6152|0,u);c[(Coa(b+240|0,b+6152|0)|0)>>2]=j;Dza(b+6152|0);j=j+1|0;}while((j|0)<(c[(d+128|0)>>2]|0))}if((c[2136462]|0)!=0){Vd[c[3586]&511](4)}hfa(4,1,8522224,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+132|0)>>2]|0)>0){j=(b|0)+96|0;g=0;do{c[(b+6184|0)>>2]=g;l=zoa(j,b+6184|0)|0;xza(b+6192|0,59240);tza(b+6168|0,uoa(l,b+6192|0)|0);xoa(b+6168|0,(c[(d+20|0)>>2]|0)+(g*60|0)+4|0);Dza(b+6168|0);Dza(b+6192|0);c[(b+6224|0)>>2]=g;l=zoa(j,b+6224|0)|0;xza(b+6232|0,54168);tza(b+6208|0,uoa(l,b+6232|0)|0);Aoa(b+6208|0,(c[(d+20|0)>>2]|0)+(g*60|0)|0);Dza(b+6208|0);Dza(b+6232|0);c[(b+6264|0)>>2]=g;l=zoa(j,b+6264|0)|0;xza(b+6272|0,50632);tza(b+6248|0,uoa(l,b+6272|0)|0);xoa(b+6248|0,(c[(d+20|0)>>2]|0)+(g*60|0)+8|0);Dza(b+6248|0);Dza(b+6272|0);c[(b+6304|0)>>2]=g;l=zoa(j,b+6304|0)|0;xza(b+6312|0,49240);tza(b+6288|0,uoa(l,b+6312|0)|0);xoa(b+6288|0,(c[(d+20|0)>>2]|0)+(g*60|0)+12|0);Dza(b+6288|0);Dza(b+6312|0);c[(b+6344|0)>>2]=g;l=zoa(j,b+6344|0)|0;xza(b+6352|0,47896);tza(b+6328|0,uoa(l,b+6352|0)|0);yoa(b+6328|0,(c[(d+20|0)>>2]|0)+(g*60|0)+16|0,0);Dza(b+6328|0);Dza(b+6352|0);c[(b+6384|0)>>2]=g;l=zoa(j,b+6384|0)|0;xza(b+6392|0,46512);tza(b+6368|0,uoa(l,b+6392|0)|0);yoa(b+6368|0,(c[(d+20|0)>>2]|0)+(g*60|0)+20|0,0);Dza(b+6368|0);Dza(b+6392|0);c[(b+6424|0)>>2]=g;l=zoa(j,b+6424|0)|0;xza(b+6432|0,44560);tza(b+6408|0,uoa(l,b+6432|0)|0);yoa(b+6408|0,(c[(d+20|0)>>2]|0)+(g*60|0)+24|0,0);Dza(b+6408|0);Dza(b+6432|0);c[(b+6464|0)>>2]=g;l=zoa(j,b+6464|0)|0;xza(b+6472|0,43408);tza(b+6448|0,uoa(l,b+6472|0)|0);yoa(b+6448|0,(c[(d+20|0)>>2]|0)+(g*60|0)+28|0,0);Dza(b+6448|0);Dza(b+6472|0);c[(b+6504|0)>>2]=g;l=zoa(j,b+6504|0)|0;xza(b+6512|0,42296);tza(b+6488|0,uoa(l,b+6512|0)|0);yoa(b+6488|0,(c[(d+20|0)>>2]|0)+(g*60|0)+32|0,0);Dza(b+6488|0);Dza(b+6512|0);c[(b+6544|0)>>2]=g;l=zoa(j,b+6544|0)|0;xza(b+6552|0,41e3);tza(b+6528|0,uoa(l,b+6552|0)|0);Boa(b+6528|0,(c[(d+20|0)>>2]|0)+(g*60|0)+49|0);Dza(b+6528|0);Dza(b+6552|0);c[(b+6584|0)>>2]=g;l=zoa(j,b+6584|0)|0;xza(b+6592|0,40520);tza(b+6568|0,uoa(l,b+6592|0)|0);yoa(b+6568|0,(c[(d+20|0)>>2]|0)+(g*60|0)+52|0,0);Dza(b+6568|0);Dza(b+6592|0);c[(b+6624|0)>>2]=g;l=zoa(j,b+6624|0)|0;xza(b+6632|0,39928);tza(b+6608|0,uoa(l,b+6632|0)|0);Boa(b+6608|0,(c[(d+20|0)>>2]|0)+(g*60|0)+48|0);Dza(b+6608|0);Dza(b+6632|0);c[(b+6664|0)>>2]=g;l=zoa(j,b+6664|0)|0;xza(b+6672|0,37808);tza(b+6648|0,uoa(l,b+6672|0)|0);yoa(b+6648|0,(c[(d+20|0)>>2]|0)+(g*60|0)+40|0,-2147483648);Dza(b+6648|0);Dza(b+6672|0);c[(b+6704|0)>>2]=g;l=zoa(j,b+6704|0)|0;xza(b+6712|0,37128);tza(b+6688|0,uoa(l,b+6712|0)|0);yoa(b+6688|0,(c[(d+20|0)>>2]|0)+(g*60|0)+44|0,2147483647);Dza(b+6688|0);Dza(b+6712|0);l=c[(d+20|0)>>2]|0;k=(a[l+(g*60|0)+49|0]|0)!=0;n=c[l+(g*60|0)+52>>2]|0;m=(a[l+(g*60|0)+48|0]|0)!=0?34176:33520;v=c[l+(g*60|0)+40>>2]|0;w=c[l+(g*60|0)+44>>2]|0;hfa(4,0,6878040,(f=i,i=i+56|0,c[f>>2]=c[l+(g*60|0)+4>>2],c[f+8>>2]=k?8568944:35184,c[f+16>>2]=n,c[f+24>>2]=k?8568944:34704,c[f+32>>2]=m,c[f+40>>2]=v,c[f+48>>2]=w,f)|0);i=f;w=c[(d+20|0)>>2]|0;v=c[w+(g*60|0)+4>>2]|0;if((a[v]|0)==36){a[w+(g*60|0)+56|0]=1;x=c[(c[(d+20|0)>>2]|0)+(g*60|0)+4>>2]|0}else{x=v}xza(b+6728|0,x);c[(Coa(b+240|0,b+6728|0)|0)>>2]=g;Dza(b+6728|0);g=g+1|0;}while((g|0)<(c[(d+132|0)>>2]|0))}if((c[2136462]|0)!=0){Vd[c[3586]&511](4)}hfa(4,1,186152,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+136|0)>>2]|0)>0){g=(b|0)+132|0;j=0;do{c[(b+6760|0)>>2]=j;v=zoa(g,b+6760|0)|0;xza(b+6768|0,59240);tza(b+6744|0,uoa(v,b+6768|0)|0);xoa(b+6744|0,(c[(d+24|0)>>2]|0)+(j*48|0)+4|0);Dza(b+6744|0);Dza(b+6768|0);c[(b+6800|0)>>2]=j;v=zoa(g,b+6800|0)|0;xza(b+6808|0,54168);tza(b+6784|0,uoa(v,b+6808|0)|0);Aoa(b+6784|0,(c[(d+24|0)>>2]|0)+(j*48|0)|0);Dza(b+6784|0);Dza(b+6808|0);c[(b+6840|0)>>2]=j;v=zoa(g,b+6840|0)|0;xza(b+6848|0,50632);tza(b+6824|0,uoa(v,b+6848|0)|0);xoa(b+6824|0,(c[(d+24|0)>>2]|0)+(j*48|0)+8|0);Dza(b+6824|0);Dza(b+6848|0);c[(b+6880|0)>>2]=j;v=zoa(g,b+6880|0)|0;xza(b+6888|0,49240);tza(b+6864|0,uoa(v,b+6888|0)|0);xoa(b+6864|0,(c[(d+24|0)>>2]|0)+(j*48|0)+12|0);Dza(b+6864|0);Dza(b+6888|0);c[(b+6920|0)>>2]=j;v=zoa(g,b+6920|0)|0;xza(b+6928|0,47896);tza(b+6904|0,uoa(v,b+6928|0)|0);yoa(b+6904|0,(c[(d+24|0)>>2]|0)+(j*48|0)+16|0,0);Dza(b+6904|0);Dza(b+6928|0);c[(b+6960|0)>>2]=j;v=zoa(g,b+6960|0)|0;xza(b+6968|0,46512);tza(b+6944|0,uoa(v,b+6968|0)|0);yoa(b+6944|0,(c[(d+24|0)>>2]|0)+(j*48|0)+20|0,0);Dza(b+6944|0);Dza(b+6968|0);c[(b+7e3|0)>>2]=j;v=zoa(g,b+7e3|0)|0;xza(b+7008|0,44560);tza(b+6984|0,uoa(v,b+7008|0)|0);yoa(b+6984|0,(c[(d+24|0)>>2]|0)+(j*48|0)+24|0,0);Dza(b+6984|0);Dza(b+7008|0);c[(b+7040|0)>>2]=j;v=zoa(g,b+7040|0)|0;xza(b+7048|0,43408);tza(b+7024|0,uoa(v,b+7048|0)|0);yoa(b+7024|0,(c[(d+24|0)>>2]|0)+(j*48|0)+28|0,0);Dza(b+7024|0);Dza(b+7048|0);c[(b+7080|0)>>2]=j;v=zoa(g,b+7080|0)|0;xza(b+7088|0,42296);tza(b+7064|0,uoa(v,b+7088|0)|0);yoa(b+7064|0,(c[(d+24|0)>>2]|0)+(j*48|0)+32|0,0);Dza(b+7064|0);Dza(b+7088|0);c[(b+7120|0)>>2]=j;v=zoa(g,b+7120|0)|0;xza(b+7128|0,41e3);tza(b+7104|0,uoa(v,b+7128|0)|0);Boa(b+7104|0,(c[(d+24|0)>>2]|0)+(j*48|0)+41|0);Dza(b+7104|0);Dza(b+7128|0);c[(b+7160|0)>>2]=j;v=zoa(g,b+7160|0)|0;xza(b+7168|0,40520);tza(b+7144|0,uoa(v,b+7168|0)|0);Boa(b+7144|0,(c[(d+24|0)>>2]|0)+(j*48|0)+42|0);Dza(b+7144|0);Dza(b+7168|0);c[(b+7200|0)>>2]=j;v=zoa(g,b+7200|0)|0;xza(b+7208|0,39928);tza(b+7184|0,uoa(v,b+7208|0)|0);Boa(b+7184|0,(c[(d+24|0)>>2]|0)+(j*48|0)+40|0);Dza(b+7184|0);Dza(b+7208|0);v=c[(d+24|0)>>2]|0;w=(a[v+(j*48|0)+41|0]|0)!=0;m=(a[v+(j*48|0)+42|0]|0)!=0?34176:33520;k=(a[v+(j*48|0)+40|0]|0)!=0?34176:33520;hfa(4,0,185576,(f=i,i=i+40|0,c[f>>2]=c[v+(j*48|0)+4>>2],c[f+8>>2]=w?8568944:35184,c[f+16>>2]=m,c[f+24>>2]=w?8568944:34704,c[f+32>>2]=k,f)|0);i=f;k=c[(d+24|0)>>2]|0;w=c[k+(j*48|0)+4>>2]|0;if((a[w]|0)==36){a[k+(j*48|0)+44|0]=1;y=c[(c[(d+24|0)>>2]|0)+(j*48|0)+4>>2]|0}else{y=w}xza(b+7224|0,y);c[(Coa(b+240|0,b+7224|0)|0)>>2]=j;Dza(b+7224|0);j=j+1|0;}while((j|0)<(c[(d+136|0)>>2]|0))}if((c[2136462]|0)!=0){Vd[c[3586]&511](4)}hfa(4,1,184832,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+140|0)>>2]|0)>0){j=(b|0)+168|0;g=0;do{c[(b+7256|0)>>2]=g;w=zoa(j,b+7256|0)|0;xza(b+7264|0,59240);tza(b+7240|0,uoa(w,b+7264|0)|0);xoa(b+7240|0,(c[(d+28|0)>>2]|0)+(g*52|0)+4|0);Dza(b+7240|0);Dza(b+7264|0);c[(b+7296|0)>>2]=g;w=zoa(j,b+7296|0)|0;xza(b+7304|0,54168);tza(b+7280|0,uoa(w,b+7304|0)|0);Aoa(b+7280|0,(c[(d+28|0)>>2]|0)+(g*52|0)|0);Dza(b+7280|0);Dza(b+7304|0);c[(b+7336|0)>>2]=g;w=zoa(j,b+7336|0)|0;xza(b+7344|0,50632);tza(b+7320|0,uoa(w,b+7344|0)|0);xoa(b+7320|0,(c[(d+28|0)>>2]|0)+(g*52|0)+8|0);Dza(b+7320|0);Dza(b+7344|0);c[(b+7376|0)>>2]=g;w=zoa(j,b+7376|0)|0;xza(b+7384|0,49240);tza(b+7360|0,uoa(w,b+7384|0)|0);xoa(b+7360|0,(c[(d+28|0)>>2]|0)+(g*52|0)+12|0);Dza(b+7360|0);Dza(b+7384|0);c[(b+7416|0)>>2]=g;w=zoa(j,b+7416|0)|0;xza(b+7424|0,47896);tza(b+7400|0,uoa(w,b+7424|0)|0);yoa(b+7400|0,(c[(d+28|0)>>2]|0)+(g*52|0)+16|0,0);Dza(b+7400|0);Dza(b+7424|0);c[(b+7456|0)>>2]=g;w=zoa(j,b+7456|0)|0;xza(b+7464|0,46512);tza(b+7440|0,uoa(w,b+7464|0)|0);yoa(b+7440|0,(c[(d+28|0)>>2]|0)+(g*52|0)+20|0,0);Dza(b+7440|0);Dza(b+7464|0);c[(b+7496|0)>>2]=g;w=zoa(j,b+7496|0)|0;xza(b+7504|0,44560);tza(b+7480|0,uoa(w,b+7504|0)|0);yoa(b+7480|0,(c[(d+28|0)>>2]|0)+(g*52|0)+24|0,0);Dza(b+7480|0);Dza(b+7504|0);c[(b+7536|0)>>2]=g;w=zoa(j,b+7536|0)|0;xza(b+7544|0,43408);tza(b+7520|0,uoa(w,b+7544|0)|0);yoa(b+7520|0,(c[(d+28|0)>>2]|0)+(g*52|0)+28|0,0);Dza(b+7520|0);Dza(b+7544|0);c[(b+7576|0)>>2]=g;w=zoa(j,b+7576|0)|0;xza(b+7584|0,42296);tza(b+7560|0,uoa(w,b+7584|0)|0);yoa(b+7560|0,(c[(d+28|0)>>2]|0)+(g*52|0)+32|0,0);Dza(b+7560|0);Dza(b+7584|0);c[(b+7616|0)>>2]=g;w=zoa(j,b+7616|0)|0;xza(b+7624|0,41e3);tza(b+7600|0,uoa(w,b+7624|0)|0);Boa(b+7600|0,(c[(d+28|0)>>2]|0)+(g*52|0)+40|0);Dza(b+7600|0);Dza(b+7624|0);c[(b+7656|0)>>2]=g;w=zoa(j,b+7656|0)|0;xza(b+7664|0,40520);tza(b+7640|0,uoa(w,b+7664|0)|0);xoa(b+7640|0,(c[(d+28|0)>>2]|0)+(g*52|0)+44|0);Dza(b+7640|0);Dza(b+7664|0);w=c[(d+28|0)>>2]|0;k=(a[w+(g*52|0)+40|0]|0)!=0;m=c[w+(g*52|0)+44>>2]|0;hfa(4,0,184264,(f=i,i=i+32|0,c[f>>2]=c[w+(g*52|0)+4>>2],c[f+8>>2]=k?8568944:35184,c[f+16>>2]=m,c[f+24>>2]=k?8568944:34704,f)|0);i=f;k=c[(d+28|0)>>2]|0;m=c[k+(g*52|0)+4>>2]|0;if((a[m]|0)==36){a[k+(g*52|0)+48|0]=1;z=c[(c[(d+28|0)>>2]|0)+(g*52|0)+4>>2]|0}else{z=m}xza(b+7680|0,z);c[(Coa(b+240|0,b+7680|0)|0)>>2]=g;Dza(b+7680|0);g=g+1|0;}while((g|0)<(c[(d+140|0)>>2]|0))}if((c[2136462]|0)!=0){Vd[c[3586]&511](4)}hfa(4,1,183808,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;b:do{if((c[(d+208|0)>>2]|0)>0){g=(b|0)+72|0;j=0;c:while(1){c[(b+7712|0)>>2]=j;m=zoa(g,b+7712|0)|0;xza(b+7720|0,59240);tza(b+7696|0,uoa(m,b+7720|0)|0);xoa(b+7696|0,(c[(d+32|0)>>2]|0)+(j*52|0)+16|0);Dza(b+7696|0);Dza(b+7720|0);c[(b+7752|0)>>2]=j;m=zoa(g,b+7752|0)|0;xza(b+7760|0,54168);tza(b+7736|0,uoa(m,b+7760|0)|0);Aoa(b+7736|0,(c[(d+32|0)>>2]|0)+(j*52|0)+12|0);Dza(b+7736|0);Dza(b+7760|0);c[(b+7792|0)>>2]=j;m=zoa(g,b+7792|0)|0;xza(b+7800|0,50632);tza(b+7776|0,uoa(m,b+7800|0)|0);xoa(b+7776|0,(c[(d+32|0)>>2]|0)+(j*52|0)+20|0);Dza(b+7776|0);Dza(b+7800|0);c[(b+7832|0)>>2]=j;m=zoa(g,b+7832|0)|0;xza(b+7840|0,49240);tza(b+7816|0,uoa(m,b+7840|0)|0);xoa(b+7816|0,(c[(d+32|0)>>2]|0)+(j*52|0)+24|0);Dza(b+7816|0);Dza(b+7840|0);c[(b+7872|0)>>2]=j;m=zoa(g,b+7872|0)|0;xza(b+7880|0,47896);tza(b+7856|0,uoa(m,b+7880|0)|0);yoa(b+7856|0,(c[(d+32|0)>>2]|0)+(j*52|0)+28|0,0);Dza(b+7856|0);Dza(b+7880|0);c[(b+7912|0)>>2]=j;m=zoa(g,b+7912|0)|0;xza(b+7920|0,46512);tza(b+7896|0,uoa(m,b+7920|0)|0);yoa(b+7896|0,(c[(d+32|0)>>2]|0)+(j*52|0)+32|0,0);Dza(b+7896|0);Dza(b+7920|0);c[(b+7952|0)>>2]=j;m=zoa(g,b+7952|0)|0;xza(b+7960|0,44560);tza(b+7936|0,uoa(m,b+7960|0)|0);yoa(b+7936|0,(c[(d+32|0)>>2]|0)+(j*52|0)+36|0,0);Dza(b+7936|0);Dza(b+7960|0);c[(b+7992|0)>>2]=j;m=zoa(g,b+7992|0)|0;xza(b+8e3|0,43408);tza(b+7976|0,uoa(m,b+8e3|0)|0);yoa(b+7976|0,(c[(d+32|0)>>2]|0)+(j*52|0)+40|0,0);Dza(b+7976|0);Dza(b+8e3|0);c[(b+8032|0)>>2]=j;m=zoa(g,b+8032|0)|0;xza(b+8040|0,42296);tza(b+8016|0,uoa(m,b+8040|0)|0);yoa(b+8016|0,(c[(d+32|0)>>2]|0)+(j*52|0)+44|0,0);Dza(b+8016|0);Dza(b+8040|0);rza(b+8056|0);c[(b+8088|0)>>2]=j;m=zoa(g,b+8088|0)|0;xza(b+8096|0,181416);tza(b+8072|0,uoa(m,b+8096|0)|0);Doa(b+8072|0,b+8056|0);Dza(b+8072|0);Dza(b+8096|0);m=(bAa(b+8056|0,180848)|0)==0;c[(c[(d+32|0)>>2]|0)+(j*52|0)>>2]=m&1;m=c[(d+32|0)>>2]|0;k=c[m+(j*52|0)>>2]|0;hfa(4,0,180408,(f=i,i=i+16|0,c[f>>2]=c[m+(j*52|0)+16>>2],c[f+8>>2]=k,f)|0);i=f;k=c[(d+32|0)>>2]|0;if((a[c[k+(j*52|0)+16>>2]|0]|0)==36){a[k+(j*52|0)+48|0]=1}c[(b+8128|0)>>2]=j;k=zoa(g,b+8128|0)|0;xza(b+8136|0,179704);tza(b+8112|0,uoa(k,b+8136|0)|0);Doa(b+8112|0,b+8056|0);Dza(b+8112|0);Dza(b+8136|0);Eoa(b+264|0,b+216|0,b+8056|0);Eoa(b+272|0,b+240|0,b+8056|0);Goa(b+8152|0,b+216|0);do{if(Foa(b+264|0,b+8152|0)|0){k=c[(Hoa(b+264|0)|0)+12>>2]|0;m=c[(d+32|0)>>2]|0;c[m+(j*52|0)+4>>2]=k;a[m+(j*52|0)+8|0]=0}else{Goa(b+8160|0,b+240|0);if(Foa(b+272|0,b+8160|0)|0){m=c[(Hoa(b+272|0)|0)+12>>2]|0;k=c[(d+32|0)>>2]|0;c[k+(j*52|0)+4>>2]=m;a[k+(j*52|0)+8|0]=1;break}if((bAa(b+8056|0,178960)|0)!=0){break c}a[(c[(d+32|0)>>2]|0)+(j*52|0)+8|0]=2}}while(0);Dza(b+8056|0);j=j+1|0;if((j|0)>=(c[(d+208|0)>>2]|0)){break b}}mAa(b+8184|0,177888,b+8056|0);ooa(b+8168|0,b+8184|0,177472);Dza(b+8184|0);j=_za(b+8168|0)|0;lfa(0,176448,(f=i,i=i+8|0,c[f>>2]=j,f)|0);i=f}}while(0);if((c[2136462]|0)!=0){Vd[c[3586]&511](4)}hfa(4,1,174176,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;d:do{if((c[(d+212|0)>>2]|0)>0){j=(b|0)+108|0;g=0;while(1){c[(b+8216|0)>>2]=g;k=zoa(j,b+8216|0)|0;xza(b+8224|0,59240);tza(b+8200|0,uoa(k,b+8224|0)|0);xoa(b+8200|0,(c[(d+36|0)>>2]|0)+(g*52|0)+16|0);Dza(b+8200|0);Dza(b+8224|0);c[(b+8256|0)>>2]=g;k=zoa(j,b+8256|0)|0;xza(b+8264|0,54168);tza(b+8240|0,uoa(k,b+8264|0)|0);Aoa(b+8240|0,(c[(d+36|0)>>2]|0)+(g*52|0)+12|0);Dza(b+8240|0);Dza(b+8264|0);c[(b+8296|0)>>2]=g;k=zoa(j,b+8296|0)|0;xza(b+8304|0,50632);tza(b+8280|0,uoa(k,b+8304|0)|0);xoa(b+8280|0,(c[(d+36|0)>>2]|0)+(g*52|0)+20|0);Dza(b+8280|0);Dza(b+8304|0);c[(b+8336|0)>>2]=g;k=zoa(j,b+8336|0)|0;xza(b+8344|0,49240);tza(b+8320|0,uoa(k,b+8344|0)|0);xoa(b+8320|0,(c[(d+36|0)>>2]|0)+(g*52|0)+24|0);Dza(b+8320|0);Dza(b+8344|0);c[(b+8376|0)>>2]=g;k=zoa(j,b+8376|0)|0;xza(b+8384|0,47896);tza(b+8360|0,uoa(k,b+8384|0)|0);yoa(b+8360|0,(c[(d+36|0)>>2]|0)+(g*52|0)+28|0,0);Dza(b+8360|0);Dza(b+8384|0);c[(b+8416|0)>>2]=g;k=zoa(j,b+8416|0)|0;xza(b+8424|0,46512);tza(b+8400|0,uoa(k,b+8424|0)|0);yoa(b+8400|0,(c[(d+36|0)>>2]|0)+(g*52|0)+32|0,0);Dza(b+8400|0);Dza(b+8424|0);c[(b+8456|0)>>2]=g;k=zoa(j,b+8456|0)|0;xza(b+8464|0,44560);tza(b+8440|0,uoa(k,b+8464|0)|0);yoa(b+8440|0,(c[(d+36|0)>>2]|0)+(g*52|0)+36|0,0);Dza(b+8440|0);Dza(b+8464|0);c[(b+8496|0)>>2]=g;k=zoa(j,b+8496|0)|0;xza(b+8504|0,43408);tza(b+8480|0,uoa(k,b+8504|0)|0);yoa(b+8480|0,(c[(d+36|0)>>2]|0)+(g*52|0)+40|0,0);Dza(b+8480|0);Dza(b+8504|0);c[(b+8536|0)>>2]=g;k=zoa(j,b+8536|0)|0;xza(b+8544|0,42296);tza(b+8520|0,uoa(k,b+8544|0)|0);yoa(b+8520|0,(c[(d+36|0)>>2]|0)+(g*52|0)+44|0,0);Dza(b+8520|0);Dza(b+8544|0);rza(b+8560|0);c[(b+8592|0)>>2]=g;k=zoa(j,b+8592|0)|0;xza(b+8600|0,181416);tza(b+8576|0,uoa(k,b+8600|0)|0);Doa(b+8576|0,b+8560|0);Dza(b+8576|0);Dza(b+8600|0);k=(bAa(b+8560|0,180848)|0)==0;c[(c[(d+36|0)>>2]|0)+(g*52|0)>>2]=k&1;k=c[(d+36|0)>>2]|0;m=c[k+(g*52|0)>>2]|0;hfa(4,0,180408,(f=i,i=i+16|0,c[f>>2]=c[k+(g*52|0)+16>>2],c[f+8>>2]=m,f)|0);i=f;m=c[(d+36|0)>>2]|0;if((a[c[m+(g*52|0)+16>>2]|0]|0)==36){a[m+(g*52|0)+48|0]=1}c[(b+8632|0)>>2]=g;m=zoa(j,b+8632|0)|0;xza(b+8640|0,179704);tza(b+8616|0,uoa(m,b+8640|0)|0);Doa(b+8616|0,b+8560|0);Dza(b+8616|0);Dza(b+8640|0);Eoa(b+264|0,b+216|0,b+8560|0);Eoa(b+272|0,b+240|0,b+8560|0);Goa(b+8656|0,b+216|0);if(Foa(b+264|0,b+8656|0)|0){m=c[(Hoa(b+264|0)|0)+12>>2]|0;k=c[(d+36|0)>>2]|0;c[k+(g*52|0)+4>>2]=m;a[k+(g*52|0)+8|0]=0}else{Goa(b+8664|0,b+240|0);if(!(Foa(b+272|0,b+8664|0)|0)){break}k=c[(Hoa(b+272|0)|0)+12>>2]|0;m=c[(d+36|0)>>2]|0;c[m+(g*52|0)+4>>2]=k;a[m+(g*52|0)+8|0]=1}Dza(b+8560|0);g=g+1|0;if((g|0)>=(c[(d+212|0)>>2]|0)){break d}}mAa(b+8688|0,173552,b+8560|0);ooa(b+8672|0,b+8688|0,177472);Dza(b+8688|0);g=_za(b+8672|0)|0;lfa(0,176448,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f}}while(0);if((c[2136462]|0)!=0){Vd[c[3586]&511](4)}hfa(4,1,171608,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;e:do{if((c[(d+216|0)>>2]|0)>0){g=(b|0)+144|0;j=0;while(1){c[(b+8720|0)>>2]=j;m=zoa(g,b+8720|0)|0;xza(b+8728|0,59240);tza(b+8704|0,uoa(m,b+8728|0)|0);xoa(b+8704|0,(c[(d+40|0)>>2]|0)+(j*52|0)+16|0);Dza(b+8704|0);Dza(b+8728|0);c[(b+8760|0)>>2]=j;m=zoa(g,b+8760|0)|0;xza(b+8768|0,54168);tza(b+8744|0,uoa(m,b+8768|0)|0);Aoa(b+8744|0,(c[(d+40|0)>>2]|0)+(j*52|0)+12|0);Dza(b+8744|0);Dza(b+8768|0);c[(b+8800|0)>>2]=j;m=zoa(g,b+8800|0)|0;xza(b+8808|0,50632);tza(b+8784|0,uoa(m,b+8808|0)|0);xoa(b+8784|0,(c[(d+40|0)>>2]|0)+(j*52|0)+20|0);Dza(b+8784|0);Dza(b+8808|0);c[(b+8840|0)>>2]=j;m=zoa(g,b+8840|0)|0;xza(b+8848|0,49240);tza(b+8824|0,uoa(m,b+8848|0)|0);xoa(b+8824|0,(c[(d+40|0)>>2]|0)+(j*52|0)+24|0);Dza(b+8824|0);Dza(b+8848|0);c[(b+8880|0)>>2]=j;m=zoa(g,b+8880|0)|0;xza(b+8888|0,47896);tza(b+8864|0,uoa(m,b+8888|0)|0);Boa(b+8864|0,(c[(d+40|0)>>2]|0)+(j*52|0)+28|0);Dza(b+8864|0);Dza(b+8888|0);c[(b+8920|0)>>2]=j;m=zoa(g,b+8920|0)|0;xza(b+8928|0,46512);tza(b+8904|0,uoa(m,b+8928|0)|0);Boa(b+8904|0,(c[(d+40|0)>>2]|0)+(j*52|0)+32|0);Dza(b+8904|0);Dza(b+8928|0);c[(b+8960|0)>>2]=j;m=zoa(g,b+8960|0)|0;xza(b+8968|0,44560);tza(b+8944|0,uoa(m,b+8968|0)|0);Boa(b+8944|0,(c[(d+40|0)>>2]|0)+(j*52|0)+36|0);Dza(b+8944|0);Dza(b+8968|0);c[(b+9e3|0)>>2]=j;m=zoa(g,b+9e3|0)|0;xza(b+9008|0,43408);tza(b+8984|0,uoa(m,b+9008|0)|0);Boa(b+8984|0,(c[(d+40|0)>>2]|0)+(j*52|0)+40|0);Dza(b+8984|0);Dza(b+9008|0);c[(b+9040|0)>>2]=j;m=zoa(g,b+9040|0)|0;xza(b+9048|0,42296);tza(b+9024|0,uoa(m,b+9048|0)|0);Boa(b+9024|0,(c[(d+40|0)>>2]|0)+(j*52|0)+44|0);Dza(b+9024|0);Dza(b+9048|0);rza(b+9064|0);c[(b+9096|0)>>2]=j;m=zoa(g,b+9096|0)|0;xza(b+9104|0,181416);tza(b+9080|0,uoa(m,b+9104|0)|0);Doa(b+9080|0,b+9064|0);Dza(b+9080|0);Dza(b+9104|0);m=(bAa(b+9064|0,180848)|0)==0;c[(c[(d+40|0)>>2]|0)+(j*52|0)>>2]=m&1;m=c[(d+40|0)>>2]|0;k=c[m+(j*52|0)>>2]|0;hfa(4,0,180408,(f=i,i=i+16|0,c[f>>2]=c[m+(j*52|0)+16>>2],c[f+8>>2]=k,f)|0);i=f;k=c[(d+40|0)>>2]|0;if((a[c[k+(j*52|0)+16>>2]|0]|0)==36){a[k+(j*52|0)+48|0]=1}c[(b+9136|0)>>2]=j;k=zoa(g,b+9136|0)|0;xza(b+9144|0,179704);tza(b+9120|0,uoa(k,b+9144|0)|0);Doa(b+9120|0,b+9064|0);Dza(b+9120|0);Dza(b+9144|0);Eoa(b+264|0,b+216|0,b+9064|0);Eoa(b+272|0,b+240|0,b+9064|0);Goa(b+9160|0,b+216|0);if(Foa(b+264|0,b+9160|0)|0){k=c[(Hoa(b+264|0)|0)+12>>2]|0;m=c[(d+40|0)>>2]|0;c[m+(j*52|0)+4>>2]=k;a[m+(j*52|0)+8|0]=0}else{Goa(b+9168|0,b+240|0);if(!(Foa(b+272|0,b+9168|0)|0)){break}m=c[(Hoa(b+272|0)|0)+12>>2]|0;k=c[(d+40|0)>>2]|0;c[k+(j*52|0)+4>>2]=m;a[k+(j*52|0)+8|0]=1}Dza(b+9064|0);j=j+1|0;if((j|0)>=(c[(d+216|0)>>2]|0)){break e}}mAa(b+9192|0,171080,b+9064|0);ooa(b+9176|0,b+9192|0,177472);Dza(b+9192|0);j=_za(b+9176|0)|0;lfa(0,176448,(f=i,i=i+8|0,c[f>>2]=j,f)|0);i=f}}while(0);if((c[2136462]|0)!=0){Vd[c[3586]&511](4)}hfa(4,1,169288,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;f:do{if((c[(d+220|0)>>2]|0)>0){j=(b|0)+180|0;g=0;while(1){c[(b+9224|0)>>2]=g;k=zoa(j,b+9224|0)|0;xza(b+9232|0,59240);tza(b+9208|0,uoa(k,b+9232|0)|0);xoa(b+9208|0,(c[(d+44|0)>>2]|0)+(g*52|0)+16|0);Dza(b+9208|0);Dza(b+9232|0);c[(b+9264|0)>>2]=g;k=zoa(j,b+9264|0)|0;xza(b+9272|0,54168);tza(b+9248|0,uoa(k,b+9272|0)|0);Aoa(b+9248|0,(c[(d+44|0)>>2]|0)+(g*52|0)+12|0);Dza(b+9248|0);Dza(b+9272|0);c[(b+9304|0)>>2]=g;k=zoa(j,b+9304|0)|0;xza(b+9312|0,50632);tza(b+9288|0,uoa(k,b+9312|0)|0);xoa(b+9288|0,(c[(d+44|0)>>2]|0)+(g*52|0)+20|0);Dza(b+9288|0);Dza(b+9312|0);c[(b+9344|0)>>2]=g;k=zoa(j,b+9344|0)|0;xza(b+9352|0,49240);tza(b+9328|0,uoa(k,b+9352|0)|0);xoa(b+9328|0,(c[(d+44|0)>>2]|0)+(g*52|0)+24|0);Dza(b+9328|0);Dza(b+9352|0);c[(b+9384|0)>>2]=g;k=zoa(j,b+9384|0)|0;xza(b+9392|0,47896);tza(b+9368|0,uoa(k,b+9392|0)|0);xoa(b+9368|0,(c[(d+44|0)>>2]|0)+(g*52|0)+28|0);Dza(b+9368|0);Dza(b+9392|0);c[(b+9424|0)>>2]=g;k=zoa(j,b+9424|0)|0;xza(b+9432|0,46512);tza(b+9408|0,uoa(k,b+9432|0)|0);xoa(b+9408|0,(c[(d+44|0)>>2]|0)+(g*52|0)+32|0);Dza(b+9408|0);Dza(b+9432|0);c[(b+9464|0)>>2]=g;k=zoa(j,b+9464|0)|0;xza(b+9472|0,44560);tza(b+9448|0,uoa(k,b+9472|0)|0);xoa(b+9448|0,(c[(d+44|0)>>2]|0)+(g*52|0)+36|0);Dza(b+9448|0);Dza(b+9472|0);c[(b+9504|0)>>2]=g;k=zoa(j,b+9504|0)|0;xza(b+9512|0,43408);tza(b+9488|0,uoa(k,b+9512|0)|0);xoa(b+9488|0,(c[(d+44|0)>>2]|0)+(g*52|0)+40|0);Dza(b+9488|0);Dza(b+9512|0);c[(b+9544|0)>>2]=g;k=zoa(j,b+9544|0)|0;xza(b+9552|0,42296);tza(b+9528|0,uoa(k,b+9552|0)|0);xoa(b+9528|0,(c[(d+44|0)>>2]|0)+(g*52|0)+44|0);Dza(b+9528|0);Dza(b+9552|0);rza(b+9568|0);c[(b+9600|0)>>2]=g;k=zoa(j,b+9600|0)|0;xza(b+9608|0,181416);tza(b+9584|0,uoa(k,b+9608|0)|0);Doa(b+9584|0,b+9568|0);Dza(b+9584|0);Dza(b+9608|0);k=(bAa(b+9568|0,180848)|0)==0;c[(c[(d+44|0)>>2]|0)+(g*52|0)>>2]=k&1;k=c[(d+44|0)>>2]|0;m=c[k+(g*52|0)>>2]|0;hfa(4,0,180408,(f=i,i=i+16|0,c[f>>2]=c[k+(g*52|0)+16>>2],c[f+8>>2]=m,f)|0);i=f;m=c[(d+44|0)>>2]|0;if((a[c[m+(g*52|0)+16>>2]|0]|0)==36){a[m+(g*52|0)+48|0]=1}c[(b+9640|0)>>2]=g;m=zoa(j,b+9640|0)|0;xza(b+9648|0,179704);tza(b+9624|0,uoa(m,b+9648|0)|0);Doa(b+9624|0,b+9568|0);Dza(b+9624|0);Dza(b+9648|0);Eoa(b+264|0,b+216|0,b+9568|0);Eoa(b+272|0,b+240|0,b+9568|0);Goa(b+9664|0,b+216|0);if(Foa(b+264|0,b+9664|0)|0){m=c[(Hoa(b+264|0)|0)+12>>2]|0;k=c[(d+44|0)>>2]|0;c[k+(g*52|0)+4>>2]=m;a[k+(g*52|0)+8|0]=0}else{Goa(b+9672|0,b+240|0);if(!(Foa(b+272|0,b+9672|0)|0)){break}k=c[(Hoa(b+272|0)|0)+12>>2]|0;m=c[(d+44|0)>>2]|0;c[m+(g*52|0)+4>>2]=k;a[m+(g*52|0)+8|0]=1}Dza(b+9568|0);g=g+1|0;if((g|0)>=(c[(d+220|0)>>2]|0)){break f}}mAa(b+9696|0,168688,b+9568|0);ooa(b+9680|0,b+9696|0,177472);Dza(b+9696|0);g=_za(b+9680|0)|0;lfa(0,176448,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f}}while(0);if((c[2136462]|0)!=0){Vd[c[3586]&511](4)}kaa(e);Ioa(b+240|0);Ioa(b+216|0);Dza(b+200|0);Joa(b|0);i=b;c[b+12760>>2]=5;break a}while(0);c[b+12744>>2]=f}




// EMSCRIPTEN_END_FUNCS
var Sd=[qLa,qLa,P9,qLa,Iha,qLa,Kha,qLa,Pha,qLa,qLa,qLa,qLa,qLa,qLa,qLa];var Td=[rLa,rLa,uia,rLa];var Ud=[sLa,sLa,Mca,sLa,gca,sLa,EJa,sLa,Nda,sLa,DJa,sLa,Aba,sLa,pda,sLa,hca,sLa,Oda,sLa,Pda,sLa,qda,sLa,CJa,sLa,Bba,sLa,Nca,sLa,sLa,sLa];var Vd=[tLa,tLa,ZFa,tLa,rCa,tLa,UFa,tLa,Yya,tLa,HDa,tLa,dza,tLa,DAa,tLa,cGa,tLa,qGa,tLa,Lya,tLa,yya,tLa,lGa,tLa,sDa,tLa,tia,tLa,Xya,tLa,cHa,tLa,bza,tLa,QCa,tLa,eza,tLa,hCa,tLa,dCa,tLa,opa,tLa,vwa,tLa,Yya,tLa,oGa,tLa,EGa,tLa,hEa,tLa,RCa,tLa,XBa,tLa,kia,tLa,VFa,tLa,pGa,tLa,ywa,tLa,Dza,tLa,vBa,tLa,sCa,tLa,WEa,tLa,Cv,tLa,hGa,tLa,Av,tLa,sja,tLa,sJa,tLa,Jla,tLa,AHa,tLa,fAa,tLa,Xva,tLa,zv,tLa,bza,tLa,nCa,tLa,BEa,tLa,DHa,tLa,rGa,tLa,JJa,tLa,uJa,tLa,OFa,tLa,zHa,tLa,fCa,tLa,Ela,tLa,DBa,tLa,mCa,tLa,wEa,tLa,pIa,tLa,Yya,tLa,jIa,tLa,tDa,tLa,gN,tLa,BHa,tLa,nHa,tLa,wwa,tLa,Fla,tLa,npa,tLa,ffa,tLa,XEa,tLa,uBa,tLa,LBa,tLa,tEa,tLa,gEa,tLa,LEa,tLa,SJa,tLa,Cla,tLa,CAa,tLa,GKa,tLa,tAa,tLa,mIa,tLa,nIa,tLa,bCa,tLa,Qoa,tLa,YBa,tLa,fBa,tLa,OGa,tLa,pJa,tLa,wBa,tLa,cCa,tLa,qFa,tLa,pya,tLa,fFa,tLa,ZBa,tLa,dfa,tLa,TJa,tLa,tJa,tLa,Eya,tLa,gGa,tLa,uEa,tLa,BFa,tLa,oJa,tLa,yHa,tLa,tFa,tLa,PFa,tLa,oIa,tLa,AEa,tLa,ho,tLa,gCa,tLa,mpa,tLa,Gla,tLa,eCa,tLa,iCa,tLa,FBa,tLa,Sva,tLa,WGa,tLa,IFa,tLa,AFa,tLa,CHa,tLa,VDa,tLa,nJa,tLa,xya,tLa,GDa,tLa,uwa,tLa,pJa,tLa,wJa,tLa,KBa,tLa,Qxa,tLa,nza,tLa,tBa,tLa,io,tLa,hwa,tLa,Fya,tLa,uAa,tLa,WBa,tLa,Hla,tLa,Awa,tLa,sAa,tLa,JBa,tLa,mza,tLa,Mya,tLa,jGa,tLa,gFa,tLa,UDa,tLa,MEa,tLa,rya,tLa,rn,tLa,EBa,tLa,eBa,tLa,IBa,tLa,lIa,tLa,vJa,tLa,_Fa,tLa,Bga,tLa,qya,tLa,rJa,tLa,xEa,tLa,JFa,tLa,rFa,tLa,FGa,tLa,aza,tLa,CBa,tLa,qIa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa,tLa];var Wd=[uLa,uLa,MHa,uLa,gq,uLa,pFa,uLa,qv,uLa,Qna,uLa,jv,uLa,Cu,uLa,rka,uLa,lFa,uLa,Bv,uLa,qoa,uLa,PEa,uLa,At,uLa,_s,uLa,lp,uLa,Zwa,uLa,JHa,uLa,aka,uLa,Np,uLa,Pq,uLa,eFa,uLa,cka,uLa,aoa,uLa,$ja,uLa,Qu,uLa,IHa,uLa,$na,uLa,wr,uLa,VEa,uLa,Ms,uLa,sya,uLa,YFa,uLa,boa,uLa,gBa,uLa,HEa,uLa,oFa,uLa,ir,uLa,Wq,uLa,bFa,uLa,GEa,uLa,hu,uLa,nq,uLa,EEa,uLa,mFa,uLa,kGa,uLa,Vt,uLa,bka,uLa,dka,uLa,Xu,uLa,Gya,uLa,Rr,uLa,hka,uLa,zp,uLa,cv,uLa,LHa,uLa,Ht,uLa,Kla,uLa,QEa,uLa,$ya,uLa,jFa,uLa,pr,uLa,Iq,uLa,Up,uLa,uq,uLa,Nna,uLa,ou,uLa,vu,uLa,Gp,uLa,NHa,uLa,dFa,uLa,SEa,uLa,Lna,uLa,xv,uLa,KHa,uLa,UEa,uLa,Jna,uLa,zya,uLa,au,uLa,UAa,uLa,Kr,uLa,br,uLa,mt,uLa,sp,uLa,bGa,uLa,Nya,uLa,_Ea,uLa,Ju,uLa,Ot,uLa,KEa,uLa,Ts,uLa,tt,uLa,JEa,uLa,FEa,uLa,Zo,uLa,ft,uLa,tka,uLa,$Ea,uLa,ep,uLa,Bq,uLa,aFa,uLa,$p,uLa,Dr,uLa,kFa,uLa,REa,uLa,Fs,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa,uLa];var Xd=[vLa,vLa,Oha,vLa,Iba,vLa,Pba,vLa,Jha,vLa,Lha,vLa,Mha,vLa,Nha,vLa];var Yd=[wLa,wLa,$Ha,wLa,$Aa,wLa,TGa,wLa,RHa,wLa,aBa,wLa,uHa,wLa,ZHa,wLa,NEa,wLa,HKa,wLa,WDa,wLa,PHa,wLa,Pya,wLa,Bia,wLa,oBa,wLa,IJa,wLa,nBa,wLa,Lia,wLa,tHa,wLa,VHa,wLa,THa,wLa,nFa,wLa,H9,wLa,qJa,wLa,cza,wLa,EHa,wLa,on,wLa,UHa,wLa,Ola,wLa,FHa,wLa,YAa,wLa,SGa,wLa,i9,wLa,G9,wLa,F9,wLa,h9,wLa,WHa,wLa,tya,wLa,IKa,wLa,J9,wLa,OEa,wLa,zfa,wLa,jHa,wLa,JKa,wLa,KKa,wLa,M9,wLa,Iv,wLa,K9,wLa,P4,wLa,Ie,wLa,$Ga,wLa,hN,wLa,hFa,wLa,OHa,wLa,Aya,wLa,Sia,wLa,$Ba,wLa,IEa,wLa,lBa,wLa,Bya,wLa,GHa,wLa,ZAa,wLa,kBa,wLa,Hya,wLa,nn,wLa,Pla,wLa,VGa,wLa,fN,wLa,TEa,wLa,_Ha,wLa,Oya,wLa,Lva,wLa,iHa,wLa,UJa,wLa,CEa,wLa,QHa,wLa,DEa,wLa,Zya,wLa,YEa,wLa,pO,wLa,bHa,wLa,cFa,wLa,Je,wLa,ZEa,wLa,L9,wLa,SHa,wLa,iFa,wLa,_Ga,wLa,iEa,wLa,HHa,wLa,Hv,wLa,Dwa,wLa,YHa,wLa,hya,wLa,XHa,wLa,g9,wLa,mHa,wLa,LKa,wLa,MKa,wLa,Q4,wLa,I9,wLa,Ke,wLa,xHa,wLa,Fv,wLa,NKa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa,wLa];var Zd=[xLa,xLa,Vda,xLa,fea,xLa,cea,xLa,gea,xLa,iea,xLa,nea,xLa,xea,xLa,Bea,xLa,Hea,xLa,hea,xLa,Gea,xLa,DGa,xLa,Xda,xLa,Kea,xLa,Lea,xLa,hHa,xLa,Wda,xLa,Iea,xLa,Dea,xLa,$da,xLa,Aea,xLa,Fea,xLa,Jea,xLa,NGa,xLa,oCa,xLa,vHa,xLa,jea,xLa,kHa,xLa,oea,xLa,pea,xLa,qea,xLa,lea,xLa,mea,xLa,bea,xLa,kea,xLa,Eea,xLa,eea,xLa,Mea,xLa,zea,xLa,tea,xLa,uea,xLa,wea,xLa,yea,xLa,rea,xLa,aea,xLa,vea,xLa,sea,xLa,Nea,xLa,Oea,xLa,jCa,xLa,Qea,xLa,RGa,xLa,UGa,xLa,Yda,xLa,ZGa,xLa,_da,xLa,Cea,xLa,sHa,xLa,aHa,xLa,Rea,xLa,dea,xLa,Pea,xLa,xLa,xLa];var _d=[yLa,yLa,Ev,yLa,qBa,yLa,Dba,yLa,lCa,yLa,zGa,yLa,Rva,yLa,Nva,yLa,xJa,yLa,WFa,yLa,Lla,yLa,Mba,yLa,Kba,yLa,HGa,yLa,CGa,yLa,Zba,yLa,$xa,yLa,Dca,yLa,mda,yLa,qCa,yLa,dca,yLa,hza,yLa,gda,yLa,cBa,yLa,_Aa,yLa,sGa,yLa,hBa,yLa,$Fa,yLa,MGa,yLa,Qba,yLa,xGa,yLa,uya,yLa,mBa,yLa,iza,yLa,JGa,yLa,Jca,yLa,VAa,yLa,Iya,yLa,Uva,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa,yLa];var $d=[zLa,zLa,RDa,zLa,PDa,zLa,EDa,zLa,BDa,zLa,zLa,zLa,zLa,zLa,zLa,zLa];var ae=[ALa,ALa,yEa,ALa,vEa,ALa,sFa,ALa,CFa,ALa,wFa,ALa,EFa,ALa,ALa,ALa];var be=[BLa,BLa,FJa,BLa,NDa,BLa,JDa,BLa,IDa,BLa,GJa,BLa,bfa,BLa,SDa,BLa,Mla,BLa,iBa,BLa,XFa,BLa,FDa,BLa,uDa,BLa,zDa,BLa,vDa,BLa,Bwa,BLa,HJa,BLa,WAa,BLa,afa,BLa,aGa,BLa,BLa,BLa,BLa,BLa,BLa,BLa,BLa,BLa,BLa,BLa,BLa,BLa,BLa,BLa,BLa,BLa,BLa,BLa,BLa,BLa,BLa,BLa,BLa,BLa];var ce=[CLa,CLa,Jia,CLa,Kia,CLa,CLa,CLa];var de=[DLa,DLa,qn,DLa];var ee=[ELa,ELa,$Da,ELa,jEa,ELa,lEa,ELa,TFa,ELa,ODa,ELa,MDa,ELa,NFa,ELa,XDa,ELa,_Da,ELa,mEa,ELa,kDa,ELa,xCa,ELa,ZDa,ELa,_Ca,ELa,DCa,ELa,kEa,ELa,ADa,ELa,yDa,ELa,cDa,ELa,WCa,ELa,YCa,ELa,NCa,ELa,aDa,ELa,UCa,ELa,SCa,ELa,iDa,ELa,gDa,ELa,eDa,ELa,nEa,ELa,BCa,ELa,YDa,ELa,FCa,ELa,zCa,ELa,vCa,ELa,LCa,ELa,JCa,ELa,HCa,ELa,tCa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa,ELa];var fe=[FLa,FLa,QFa,FLa,KFa,FLa,FLa,FLa];var ge=[GLa,GLa,oEa,GLa,aEa,GLa,GLa,GLa];var he=[HLa,HLa,wda,HLa,Qya,HLa,N9,HLa,uda,HLa,vda,HLa,xba,HLa,AGa,HLa,pBa,HLa,KGa,HLa,jda,HLa,GGa,HLa,He,HLa,Cya,HLa,Jya,HLa,wGa,HLa,Fca,HLa,yba,HLa,Fwa,HLa,yda,HLa,Dv,HLa,xda,HLa,tda,HLa,Qla,HLa,aJa,HLa,IGa,HLa,lda,HLa,Gv,HLa,Gca,HLa,zba,HLa,dBa,HLa,Pfa,HLa,O9,HLa,rBa,HLa,yGa,HLa,OKa,HLa,Ica,HLa,PKa,HLa,ida,HLa,Ewa,HLa,Jv,HLa,cca,HLa,Rla,HLa,bBa,HLa,vya,HLa,$ba,HLa,sda,HLa,rda,HLa,aca,HLa,LJa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa,HLa];var ie=[ILa,ILa,Gja,ILa];var je=[JLa,JLa,mya,JLa,nya,JLa,kya,JLa,QKa,JLa,Q9,JLa,Afa,JLa,JLa,JLa];var ke=[KLa,KLa,saa,KLa,Gba,KLa,Naa,KLa,fca,KLa,yca,KLa,Lca,KLa,Nba,KLa,kda,KLa,_ba,KLa,dda,KLa,hda,KLa,Uba,KLa,bca,KLa,zca,KLa,tGa,KLa,cda,KLa,ada,KLa,Rba,KLa,RKa,KLa,Fba,KLa,Aca,KLa,Tba,KLa,uGa,KLa,Bca,KLa,Yba,KLa,Wba,KLa,fda,KLa,LGa,KLa,oda,KLa,Vba,KLa,vba,KLa,dba,KLa,gba,KLa,jba,KLa,Eca,KLa,Xba,KLa,iba,KLa,Iaa,KLa,bda,KLa,eda,KLa,pba,KLa,Cca,KLa,BGa,KLa,Hca,KLa,Waa,KLa,Oba,KLa,vGa,KLa,xca,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa,KLa];var le=[LLa,LLa,Wva,LLa,Wja,LLa,Yja,LLa,poa,LLa,gza,LLa,aCa,LLa,Ywa,LLa];var me=[MLa,MLa,tn,MLa,jxa,MLa,Sea,MLa,SKa,MLa,yfa,MLa,Uea,MLa,MLa,MLa];var ne=[NLa,NLa,XGa,NLa,fHa,NLa,dHa,NLa,oHa,NLa,qHa,NLa,YGa,NLa,Zia,NLa,PGa,NLa,QGa,NLa,NLa,NLa,NLa,NLa,NLa,NLa,NLa,NLa,NLa,NLa,NLa,NLa];var oe=[OLa,OLa,Wt,OLa,ut,OLa,Ap,OLa,Vva,OLa,Cwa,OLa,dv,OLa,Xq,OLa,Gs,OLa,vq,OLa,It,OLa,Hp,OLa,Jq,OLa,mp,OLa,wu,OLa,yv,OLa,Lr,OLa,bu,OLa,oq,OLa,cr,OLa,zJa,OLa,_o,OLa,tp,OLa,Hba,OLa,Ku,OLa,Us,OLa,qr,OLa,Cq,OLa,pu,OLa,fp,OLa,eca,OLa,yJa,OLa,jfa,OLa,nda,OLa,Sr,OLa,gt,OLa,Pt,OLa,Nla,OLa,hq,OLa,Vp,OLa,Er,OLa,kv,OLa,XAa,OLa,Du,OLa,pCa,OLa,Bt,OLa,jBa,OLa,iu,OLa,AJa,OLa,$s,OLa,Yu,OLa,Qq,OLa,hfa,OLa,kCa,OLa,Op,OLa,Ru,OLa,Ns,OLa,jr,OLa,aq,OLa,nt,OLa,Kca,OLa,rv,OLa,xr,OLa,OLa,OLa];return{_testSetjmp:nKa,_strlen:iKa,_free:JJa,_main:sn,_rand_r:pKa,_realloc:LJa,_strncpy:jKa,_memmove:oKa,__GLOBAL__I_a:Sya,_saveSetjmp:mKa,_memset:lKa,_malloc:IJa,_memcpy:kKa,_strcpy:rKa,_calloc:KJa,_rand:qKa,runPostSets:Fe,stackAlloc:pe,stackSave:qe,stackRestore:re,setThrew:se,setTempRet0:ve,setTempRet1:we,setTempRet2:xe,setTempRet3:ye,setTempRet4:ze,setTempRet5:Ae,setTempRet6:Be,setTempRet7:Ce,setTempRet8:De,setTempRet9:Ee,dynCall_iiiiiiii:TKa,dynCall_vd:UKa,dynCall_viiiii:VKa,dynCall_vi:WKa,dynCall_vii:XKa,dynCall_iiiiiiiiiii:YKa,dynCall_ii:ZKa,dynCall_iiiiii:_Ka,dynCall_iiii:$Ka,dynCall_viiiiid:aLa,dynCall_viiiiiiii:bLa,dynCall_viiiiii:cLa,dynCall_viidii:dLa,dynCall_iid:eLa,dynCall_viiiiiii:fLa,dynCall_viiiiiid:gLa,dynCall_viiiiiiiii:hLa,dynCall_iii:iLa,dynCall_iiiiidi:jLa,dynCall_i:kLa,dynCall_iiiii:lLa,dynCall_viii:mLa,dynCall_v:nLa,dynCall_iiiiiiiii:oLa,dynCall_viiii:pLa}})


// EMSCRIPTEN_END_ASM
({ "Math": Math, "Int8Array": Int8Array, "Int16Array": Int16Array, "Int32Array": Int32Array, "Uint8Array": Uint8Array, "Uint16Array": Uint16Array, "Uint32Array": Uint32Array, "Float32Array": Float32Array, "Float64Array": Float64Array }, { "abort": abort, "assert": assert, "asmPrintInt": asmPrintInt, "asmPrintFloat": asmPrintFloat, "min": Math_min, "invoke_iiiiiiii": invoke_iiiiiiii, "invoke_vd": invoke_vd, "invoke_viiiii": invoke_viiiii, "invoke_vi": invoke_vi, "invoke_vii": invoke_vii, "invoke_iiiiiiiiiii": invoke_iiiiiiiiiii, "invoke_ii": invoke_ii, "invoke_iiiiii": invoke_iiiiii, "invoke_iiii": invoke_iiii, "invoke_viiiiid": invoke_viiiiid, "invoke_viiiiiiii": invoke_viiiiiiii, "invoke_viiiiii": invoke_viiiiii, "invoke_viidii": invoke_viidii, "invoke_iid": invoke_iid, "invoke_viiiiiii": invoke_viiiiiii, "invoke_viiiiiid": invoke_viiiiiid, "invoke_viiiiiiiii": invoke_viiiiiiiii, "invoke_iii": invoke_iii, "invoke_iiiiidi": invoke_iiiiidi, "invoke_i": invoke_i, "invoke_iiiii": invoke_iiiii, "invoke_viii": invoke_viii, "invoke_v": invoke_v, "invoke_iiiiiiiii": invoke_iiiiiiiii, "invoke_viiii": invoke_viiii, "_llvm_lifetime_end": _llvm_lifetime_end, "_lseek": _lseek, "_sysconf": _sysconf, "__scanString": __scanString, "_fclose": _fclose, "_pthread_mutex_lock": _pthread_mutex_lock, "___cxa_end_catch": ___cxa_end_catch, "_strtoull": _strtoull, "_fflush": _fflush, "_lis_solver_create": _lis_solver_create, "_strtol": _strtol, "_fputc": _fputc, "_strtok": _strtok, "_fwrite": _fwrite, "_send": _send, "_fputs": _fputs, "_emscripten_get_now": _emscripten_get_now, "_tmpnam": _tmpnam, "_isspace": _isspace, "_localtime": _localtime, "_read": _read, "_GC_init": _GC_init, "_ceil": _ceil, "___ctype_b_loc": ___ctype_b_loc, "_GC_malloc_atomic": _GC_malloc_atomic, "_isxdigit_l": _isxdigit_l, "_strstr": _strstr, "_fileno": _fileno, "_perror": _perror, "_fsync": _fsync, "___cxa_guard_abort": ___cxa_guard_abort, "_newlocale": _newlocale, "_signal": _signal, "___gxx_personality_v0": ___gxx_personality_v0, "_pthread_cond_wait": _pthread_cond_wait, "___cxa_rethrow": ___cxa_rethrow, "_freopen": _freopen, "___resumeException": ___resumeException, "_sscanf": _sscanf, "_round": _round, "_llvm_va_end": _llvm_va_end, "_clock_gettime": _clock_gettime, "_tmpfile": _tmpfile, "_vsscanf": _vsscanf, "_snprintf": _snprintf, "_fgetc": _fgetc, "_pclose": _pclose, "__getFloat": __getFloat, "_atexit": _atexit, "___cxa_free_exception": ___cxa_free_exception, "_close": _close, "_isdigit_l": _isdigit_l, "_vasprintf": _vasprintf, "___setErrNo": ___setErrNo, "_isxdigit": _isxdigit, "_access": _access, "_ftell": _ftell, "_exit": _exit, "_sprintf": _sprintf, "_pthread_setspecific": _pthread_setspecific, "_asprintf": _asprintf, "_GC_strdup": _GC_strdup, "_strrchr": _strrchr, "_freelocale": _freelocale, "_catgets": _catgets, "_fmod": _fmod, "__isLeapYear": __isLeapYear, "_fmax": _fmax, "___cxa_is_number_type": ___cxa_is_number_type, "_GC_malloc": _GC_malloc, "___cxa_does_inherit": ___cxa_does_inherit, "___cxa_guard_acquire": ___cxa_guard_acquire, "_lis_vector_destroy": _lis_vector_destroy, "_localtime_r": _localtime_r, "___cxa_begin_catch": ___cxa_begin_catch, "_emscripten_memcpy_big": _emscripten_memcpy_big, "__ZNSt9exceptionD2Ev": __ZNSt9exceptionD2Ev, "_recv": _recv, "__parseInt64": __parseInt64, "__ZSt18uncaught_exceptionv": __ZSt18uncaught_exceptionv, "_cos": _cos, "_lis_matrix_set_value": _lis_matrix_set_value, "_putchar": _putchar, "___cxa_call_unexpected": ___cxa_call_unexpected, "_popen": _popen, "_isblank": _isblank, "_copysign": _copysign, "_bsearch": _bsearch, "_fmin": _fmin, "__exit": __exit, "_strftime": _strftime, "_tzset": _tzset, "___cxa_throw": ___cxa_throw, "_lis_vector_create": _lis_vector_create, "_printf": _printf, "_pread": _pread, "_fopen": _fopen, "_open": _open, "_strtoull_l": _strtoull_l, "__arraySum": __arraySum, "_log": _log, "_puts": _puts, "_xerbla_": _xerbla_, "_pthread_key_create": _pthread_key_create, "_strtoll_l": _strtoll_l, "_qsort": _qsort, "_system": _system, "___cxa_find_matching_catch": ___cxa_find_matching_catch, "_strdup": _strdup, "_log10": _log10, "_srand": _srand, "_isatty": _isatty, "__formatString": __formatString, "_pthread_cond_broadcast": _pthread_cond_broadcast, "__ZSt9terminatev": __ZSt9terminatev, "_atoi": _atoi, "_vfprintf": _vfprintf, "_pthread_mutex_unlock": _pthread_mutex_unlock, "_llvm_pow_f64": _llvm_pow_f64, "_sbrk": _sbrk, "_fscanf": _fscanf, "_lis_solver_destroy": _lis_solver_destroy, "___errno_location": ___errno_location, "_strerror": _strerror, "_fstat": _fstat, "_catclose": _catclose, "_llvm_lifetime_start": _llvm_lifetime_start, "__parseInt": __parseInt, "___cxa_guard_release": ___cxa_guard_release, "_ungetc": _ungetc, "_ftruncate": _ftruncate, "_uselocale": _uselocale, "_vsnprintf": _vsnprintf, "_htonl": _htonl, "___assert_fail": ___assert_fail, "_fread": _fread, "_strtok_r": _strtok_r, "_strftime_l": _strftime_l, "_abort": _abort, "_fprintf": _fprintf, "_isdigit": _isdigit, "_strtoll": _strtoll, "__addDays": __addDays, "_pthread_getspecific": _pthread_getspecific, "_fabs": _fabs, "_GC_collect_a_little": _GC_collect_a_little, "__reallyNegative": __reallyNegative, "_fseek": _fseek, "_sqrt": _sqrt, "_write": _write, "_mkport": _mkport, "_rewind": _rewind, "___cxa_allocate_exception": ___cxa_allocate_exception, "_sin": _sin, "_stat": _stat, "_longjmp": _longjmp, "_truncate": _truncate, "_catopen": _catopen, "___ctype_toupper_loc": ___ctype_toupper_loc, "___ctype_tolower_loc": ___ctype_tolower_loc, "_lis_vector_set_size": _lis_vector_set_size, "_unlink": _unlink, "_pwrite": _pwrite, "_strerror_r": _strerror_r, "_floor": _floor, "_lis_solver_set_option": _lis_solver_set_option, "_exp": _exp, "_time": _time, "STACKTOP": STACKTOP, "STACK_MAX": STACK_MAX, "tempDoublePtr": tempDoublePtr, "ABORT": ABORT, "cttz_i8": cttz_i8, "ctlz_i8": ctlz_i8, "___rand_seed": ___rand_seed, "NaN": NaN, "Infinity": Infinity, "__ZTVN10__cxxabiv117__class_type_infoE": __ZTVN10__cxxabiv117__class_type_infoE, "_stdin": _stdin, "_stdout": _stdout, "___dso_handle": ___dso_handle, "__ZTVN10__cxxabiv120__si_class_type_infoE": __ZTVN10__cxxabiv120__si_class_type_infoE, "_stderr": _stderr }, buffer);
var _testSetjmp = Module["_testSetjmp"] = asm["_testSetjmp"];
var _strlen = Module["_strlen"] = asm["_strlen"];
var _free = Module["_free"] = asm["_free"];
var _main = Module["_main"] = asm["_main"];
var _rand_r = Module["_rand_r"] = asm["_rand_r"];
var _realloc = Module["_realloc"] = asm["_realloc"];
var _strncpy = Module["_strncpy"] = asm["_strncpy"];
var _memmove = Module["_memmove"] = asm["_memmove"];
var __GLOBAL__I_a = Module["__GLOBAL__I_a"] = asm["__GLOBAL__I_a"];
var _saveSetjmp = Module["_saveSetjmp"] = asm["_saveSetjmp"];
var _memset = Module["_memset"] = asm["_memset"];
var _malloc = Module["_malloc"] = asm["_malloc"];
var _memcpy = Module["_memcpy"] = asm["_memcpy"];
var _strcpy = Module["_strcpy"] = asm["_strcpy"];
var _calloc = Module["_calloc"] = asm["_calloc"];
var _rand = Module["_rand"] = asm["_rand"];
var runPostSets = Module["runPostSets"] = asm["runPostSets"];
var dynCall_iiiiiiii = Module["dynCall_iiiiiiii"] = asm["dynCall_iiiiiiii"];
var dynCall_vd = Module["dynCall_vd"] = asm["dynCall_vd"];
var dynCall_viiiii = Module["dynCall_viiiii"] = asm["dynCall_viiiii"];
var dynCall_vi = Module["dynCall_vi"] = asm["dynCall_vi"];
var dynCall_vii = Module["dynCall_vii"] = asm["dynCall_vii"];
var dynCall_iiiiiiiiiii = Module["dynCall_iiiiiiiiiii"] = asm["dynCall_iiiiiiiiiii"];
var dynCall_ii = Module["dynCall_ii"] = asm["dynCall_ii"];
var dynCall_iiiiii = Module["dynCall_iiiiii"] = asm["dynCall_iiiiii"];
var dynCall_iiii = Module["dynCall_iiii"] = asm["dynCall_iiii"];
var dynCall_viiiiid = Module["dynCall_viiiiid"] = asm["dynCall_viiiiid"];
var dynCall_viiiiiiii = Module["dynCall_viiiiiiii"] = asm["dynCall_viiiiiiii"];
var dynCall_viiiiii = Module["dynCall_viiiiii"] = asm["dynCall_viiiiii"];
var dynCall_viidii = Module["dynCall_viidii"] = asm["dynCall_viidii"];
var dynCall_iid = Module["dynCall_iid"] = asm["dynCall_iid"];
var dynCall_viiiiiii = Module["dynCall_viiiiiii"] = asm["dynCall_viiiiiii"];
var dynCall_viiiiiid = Module["dynCall_viiiiiid"] = asm["dynCall_viiiiiid"];
var dynCall_viiiiiiiii = Module["dynCall_viiiiiiiii"] = asm["dynCall_viiiiiiiii"];
var dynCall_iii = Module["dynCall_iii"] = asm["dynCall_iii"];
var dynCall_iiiiidi = Module["dynCall_iiiiidi"] = asm["dynCall_iiiiidi"];
var dynCall_i = Module["dynCall_i"] = asm["dynCall_i"];
var dynCall_iiiii = Module["dynCall_iiiii"] = asm["dynCall_iiiii"];
var dynCall_viii = Module["dynCall_viii"] = asm["dynCall_viii"];
var dynCall_v = Module["dynCall_v"] = asm["dynCall_v"];
var dynCall_iiiiiiiii = Module["dynCall_iiiiiiiii"] = asm["dynCall_iiiiiiiii"];
var dynCall_viiii = Module["dynCall_viiii"] = asm["dynCall_viiii"];

Runtime.stackAlloc = function(size) { return asm['stackAlloc'](size) };
Runtime.stackSave = function() { return asm['stackSave']() };
Runtime.stackRestore = function(top) { asm['stackRestore'](top) };

// TODO: strip out parts of this we do not need

//======= begin closure i64 code =======

// Copyright 2009 The Closure Library Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS-IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * @fileoverview Defines a Long class for representing a 64-bit two's-complement
 * integer value, which faithfully simulates the behavior of a Java "long". This
 * implementation is derived from LongLib in GWT.
 *
 */

var i64Math = (function() { // Emscripten wrapper
  var goog = { math: {} };


  /**
   * Constructs a 64-bit two's-complement integer, given its low and high 32-bit
   * values as *signed* integers.  See the from* functions below for more
   * convenient ways of constructing Longs.
   *
   * The internal representation of a long is the two given signed, 32-bit values.
   * We use 32-bit pieces because these are the size of integers on which
   * Javascript performs bit-operations.  For operations like addition and
   * multiplication, we split each number into 16-bit pieces, which can easily be
   * multiplied within Javascript's floating-point representation without overflow
   * or change in sign.
   *
   * In the algorithms below, we frequently reduce the negative case to the
   * positive case by negating the input(s) and then post-processing the result.
   * Note that we must ALWAYS check specially whether those values are MIN_VALUE
   * (-2^63) because -MIN_VALUE == MIN_VALUE (since 2^63 cannot be represented as
   * a positive number, it overflows back into a negative).  Not handling this
   * case would often result in infinite recursion.
   *
   * @param {number} low  The low (signed) 32 bits of the long.
   * @param {number} high  The high (signed) 32 bits of the long.
   * @constructor
   */
  goog.math.Long = function(low, high) {
    /**
     * @type {number}
     * @private
     */
    this.low_ = low | 0;  // force into 32 signed bits.

    /**
     * @type {number}
     * @private
     */
    this.high_ = high | 0;  // force into 32 signed bits.
  };


  // NOTE: Common constant values ZERO, ONE, NEG_ONE, etc. are defined below the
  // from* methods on which they depend.


  /**
   * A cache of the Long representations of small integer values.
   * @type {!Object}
   * @private
   */
  goog.math.Long.IntCache_ = {};


  /**
   * Returns a Long representing the given (32-bit) integer value.
   * @param {number} value The 32-bit integer in question.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromInt = function(value) {
    if (-128 <= value && value < 128) {
      var cachedObj = goog.math.Long.IntCache_[value];
      if (cachedObj) {
        return cachedObj;
      }
    }

    var obj = new goog.math.Long(value | 0, value < 0 ? -1 : 0);
    if (-128 <= value && value < 128) {
      goog.math.Long.IntCache_[value] = obj;
    }
    return obj;
  };


  /**
   * Returns a Long representing the given value, provided that it is a finite
   * number.  Otherwise, zero is returned.
   * @param {number} value The number in question.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromNumber = function(value) {
    if (isNaN(value) || !isFinite(value)) {
      return goog.math.Long.ZERO;
    } else if (value <= -goog.math.Long.TWO_PWR_63_DBL_) {
      return goog.math.Long.MIN_VALUE;
    } else if (value + 1 >= goog.math.Long.TWO_PWR_63_DBL_) {
      return goog.math.Long.MAX_VALUE;
    } else if (value < 0) {
      return goog.math.Long.fromNumber(-value).negate();
    } else {
      return new goog.math.Long(
          (value % goog.math.Long.TWO_PWR_32_DBL_) | 0,
          (value / goog.math.Long.TWO_PWR_32_DBL_) | 0);
    }
  };


  /**
   * Returns a Long representing the 64-bit integer that comes by concatenating
   * the given high and low bits.  Each is assumed to use 32 bits.
   * @param {number} lowBits The low 32-bits.
   * @param {number} highBits The high 32-bits.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromBits = function(lowBits, highBits) {
    return new goog.math.Long(lowBits, highBits);
  };


  /**
   * Returns a Long representation of the given string, written using the given
   * radix.
   * @param {string} str The textual representation of the Long.
   * @param {number=} opt_radix The radix in which the text is written.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromString = function(str, opt_radix) {
    if (str.length == 0) {
      throw Error('number format error: empty string');
    }

    var radix = opt_radix || 10;
    if (radix < 2 || 36 < radix) {
      throw Error('radix out of range: ' + radix);
    }

    if (str.charAt(0) == '-') {
      return goog.math.Long.fromString(str.substring(1), radix).negate();
    } else if (str.indexOf('-') >= 0) {
      throw Error('number format error: interior "-" character: ' + str);
    }

    // Do several (8) digits each time through the loop, so as to
    // minimize the calls to the very expensive emulated div.
    var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 8));

    var result = goog.math.Long.ZERO;
    for (var i = 0; i < str.length; i += 8) {
      var size = Math.min(8, str.length - i);
      var value = parseInt(str.substring(i, i + size), radix);
      if (size < 8) {
        var power = goog.math.Long.fromNumber(Math.pow(radix, size));
        result = result.multiply(power).add(goog.math.Long.fromNumber(value));
      } else {
        result = result.multiply(radixToPower);
        result = result.add(goog.math.Long.fromNumber(value));
      }
    }
    return result;
  };


  // NOTE: the compiler should inline these constant values below and then remove
  // these variables, so there should be no runtime penalty for these.


  /**
   * Number used repeated below in calculations.  This must appear before the
   * first call to any from* function below.
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_16_DBL_ = 1 << 16;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_24_DBL_ = 1 << 24;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_32_DBL_ =
      goog.math.Long.TWO_PWR_16_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_31_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ / 2;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_48_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_64_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_32_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_63_DBL_ =
      goog.math.Long.TWO_PWR_64_DBL_ / 2;


  /** @type {!goog.math.Long} */
  goog.math.Long.ZERO = goog.math.Long.fromInt(0);


  /** @type {!goog.math.Long} */
  goog.math.Long.ONE = goog.math.Long.fromInt(1);


  /** @type {!goog.math.Long} */
  goog.math.Long.NEG_ONE = goog.math.Long.fromInt(-1);


  /** @type {!goog.math.Long} */
  goog.math.Long.MAX_VALUE =
      goog.math.Long.fromBits(0xFFFFFFFF | 0, 0x7FFFFFFF | 0);


  /** @type {!goog.math.Long} */
  goog.math.Long.MIN_VALUE = goog.math.Long.fromBits(0, 0x80000000 | 0);


  /**
   * @type {!goog.math.Long}
   * @private
   */
  goog.math.Long.TWO_PWR_24_ = goog.math.Long.fromInt(1 << 24);


  /** @return {number} The value, assuming it is a 32-bit integer. */
  goog.math.Long.prototype.toInt = function() {
    return this.low_;
  };


  /** @return {number} The closest floating-point representation to this value. */
  goog.math.Long.prototype.toNumber = function() {
    return this.high_ * goog.math.Long.TWO_PWR_32_DBL_ +
           this.getLowBitsUnsigned();
  };


  /**
   * @param {number=} opt_radix The radix in which the text should be written.
   * @return {string} The textual representation of this value.
   */
  goog.math.Long.prototype.toString = function(opt_radix) {
    var radix = opt_radix || 10;
    if (radix < 2 || 36 < radix) {
      throw Error('radix out of range: ' + radix);
    }

    if (this.isZero()) {
      return '0';
    }

    if (this.isNegative()) {
      if (this.equals(goog.math.Long.MIN_VALUE)) {
        // We need to change the Long value before it can be negated, so we remove
        // the bottom-most digit in this base and then recurse to do the rest.
        var radixLong = goog.math.Long.fromNumber(radix);
        var div = this.div(radixLong);
        var rem = div.multiply(radixLong).subtract(this);
        return div.toString(radix) + rem.toInt().toString(radix);
      } else {
        return '-' + this.negate().toString(radix);
      }
    }

    // Do several (6) digits each time through the loop, so as to
    // minimize the calls to the very expensive emulated div.
    var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 6));

    var rem = this;
    var result = '';
    while (true) {
      var remDiv = rem.div(radixToPower);
      var intval = rem.subtract(remDiv.multiply(radixToPower)).toInt();
      var digits = intval.toString(radix);

      rem = remDiv;
      if (rem.isZero()) {
        return digits + result;
      } else {
        while (digits.length < 6) {
          digits = '0' + digits;
        }
        result = '' + digits + result;
      }
    }
  };


  /** @return {number} The high 32-bits as a signed value. */
  goog.math.Long.prototype.getHighBits = function() {
    return this.high_;
  };


  /** @return {number} The low 32-bits as a signed value. */
  goog.math.Long.prototype.getLowBits = function() {
    return this.low_;
  };


  /** @return {number} The low 32-bits as an unsigned value. */
  goog.math.Long.prototype.getLowBitsUnsigned = function() {
    return (this.low_ >= 0) ?
        this.low_ : goog.math.Long.TWO_PWR_32_DBL_ + this.low_;
  };


  /**
   * @return {number} Returns the number of bits needed to represent the absolute
   *     value of this Long.
   */
  goog.math.Long.prototype.getNumBitsAbs = function() {
    if (this.isNegative()) {
      if (this.equals(goog.math.Long.MIN_VALUE)) {
        return 64;
      } else {
        return this.negate().getNumBitsAbs();
      }
    } else {
      var val = this.high_ != 0 ? this.high_ : this.low_;
      for (var bit = 31; bit > 0; bit--) {
        if ((val & (1 << bit)) != 0) {
          break;
        }
      }
      return this.high_ != 0 ? bit + 33 : bit + 1;
    }
  };


  /** @return {boolean} Whether this value is zero. */
  goog.math.Long.prototype.isZero = function() {
    return this.high_ == 0 && this.low_ == 0;
  };


  /** @return {boolean} Whether this value is negative. */
  goog.math.Long.prototype.isNegative = function() {
    return this.high_ < 0;
  };


  /** @return {boolean} Whether this value is odd. */
  goog.math.Long.prototype.isOdd = function() {
    return (this.low_ & 1) == 1;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long equals the other.
   */
  goog.math.Long.prototype.equals = function(other) {
    return (this.high_ == other.high_) && (this.low_ == other.low_);
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long does not equal the other.
   */
  goog.math.Long.prototype.notEquals = function(other) {
    return (this.high_ != other.high_) || (this.low_ != other.low_);
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is less than the other.
   */
  goog.math.Long.prototype.lessThan = function(other) {
    return this.compare(other) < 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is less than or equal to the other.
   */
  goog.math.Long.prototype.lessThanOrEqual = function(other) {
    return this.compare(other) <= 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is greater than the other.
   */
  goog.math.Long.prototype.greaterThan = function(other) {
    return this.compare(other) > 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is greater than or equal to the other.
   */
  goog.math.Long.prototype.greaterThanOrEqual = function(other) {
    return this.compare(other) >= 0;
  };


  /**
   * Compares this Long with the given one.
   * @param {goog.math.Long} other Long to compare against.
   * @return {number} 0 if they are the same, 1 if the this is greater, and -1
   *     if the given one is greater.
   */
  goog.math.Long.prototype.compare = function(other) {
    if (this.equals(other)) {
      return 0;
    }

    var thisNeg = this.isNegative();
    var otherNeg = other.isNegative();
    if (thisNeg && !otherNeg) {
      return -1;
    }
    if (!thisNeg && otherNeg) {
      return 1;
    }

    // at this point, the signs are the same, so subtraction will not overflow
    if (this.subtract(other).isNegative()) {
      return -1;
    } else {
      return 1;
    }
  };


  /** @return {!goog.math.Long} The negation of this value. */
  goog.math.Long.prototype.negate = function() {
    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.MIN_VALUE;
    } else {
      return this.not().add(goog.math.Long.ONE);
    }
  };


  /**
   * Returns the sum of this and the given Long.
   * @param {goog.math.Long} other Long to add to this one.
   * @return {!goog.math.Long} The sum of this and the given Long.
   */
  goog.math.Long.prototype.add = function(other) {
    // Divide each number into 4 chunks of 16 bits, and then sum the chunks.

    var a48 = this.high_ >>> 16;
    var a32 = this.high_ & 0xFFFF;
    var a16 = this.low_ >>> 16;
    var a00 = this.low_ & 0xFFFF;

    var b48 = other.high_ >>> 16;
    var b32 = other.high_ & 0xFFFF;
    var b16 = other.low_ >>> 16;
    var b00 = other.low_ & 0xFFFF;

    var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
    c00 += a00 + b00;
    c16 += c00 >>> 16;
    c00 &= 0xFFFF;
    c16 += a16 + b16;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c32 += a32 + b32;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c48 += a48 + b48;
    c48 &= 0xFFFF;
    return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
  };


  /**
   * Returns the difference of this and the given Long.
   * @param {goog.math.Long} other Long to subtract from this.
   * @return {!goog.math.Long} The difference of this and the given Long.
   */
  goog.math.Long.prototype.subtract = function(other) {
    return this.add(other.negate());
  };


  /**
   * Returns the product of this and the given long.
   * @param {goog.math.Long} other Long to multiply with this.
   * @return {!goog.math.Long} The product of this and the other.
   */
  goog.math.Long.prototype.multiply = function(other) {
    if (this.isZero()) {
      return goog.math.Long.ZERO;
    } else if (other.isZero()) {
      return goog.math.Long.ZERO;
    }

    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return other.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return this.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
    }

    if (this.isNegative()) {
      if (other.isNegative()) {
        return this.negate().multiply(other.negate());
      } else {
        return this.negate().multiply(other).negate();
      }
    } else if (other.isNegative()) {
      return this.multiply(other.negate()).negate();
    }

    // If both longs are small, use float multiplication
    if (this.lessThan(goog.math.Long.TWO_PWR_24_) &&
        other.lessThan(goog.math.Long.TWO_PWR_24_)) {
      return goog.math.Long.fromNumber(this.toNumber() * other.toNumber());
    }

    // Divide each long into 4 chunks of 16 bits, and then add up 4x4 products.
    // We can skip products that would overflow.

    var a48 = this.high_ >>> 16;
    var a32 = this.high_ & 0xFFFF;
    var a16 = this.low_ >>> 16;
    var a00 = this.low_ & 0xFFFF;

    var b48 = other.high_ >>> 16;
    var b32 = other.high_ & 0xFFFF;
    var b16 = other.low_ >>> 16;
    var b00 = other.low_ & 0xFFFF;

    var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
    c00 += a00 * b00;
    c16 += c00 >>> 16;
    c00 &= 0xFFFF;
    c16 += a16 * b00;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c16 += a00 * b16;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c32 += a32 * b00;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c32 += a16 * b16;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c32 += a00 * b32;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c48 += a48 * b00 + a32 * b16 + a16 * b32 + a00 * b48;
    c48 &= 0xFFFF;
    return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
  };


  /**
   * Returns this Long divided by the given one.
   * @param {goog.math.Long} other Long by which to divide.
   * @return {!goog.math.Long} This Long divided by the given one.
   */
  goog.math.Long.prototype.div = function(other) {
    if (other.isZero()) {
      throw Error('division by zero');
    } else if (this.isZero()) {
      return goog.math.Long.ZERO;
    }

    if (this.equals(goog.math.Long.MIN_VALUE)) {
      if (other.equals(goog.math.Long.ONE) ||
          other.equals(goog.math.Long.NEG_ONE)) {
        return goog.math.Long.MIN_VALUE;  // recall that -MIN_VALUE == MIN_VALUE
      } else if (other.equals(goog.math.Long.MIN_VALUE)) {
        return goog.math.Long.ONE;
      } else {
        // At this point, we have |other| >= 2, so |this/other| < |MIN_VALUE|.
        var halfThis = this.shiftRight(1);
        var approx = halfThis.div(other).shiftLeft(1);
        if (approx.equals(goog.math.Long.ZERO)) {
          return other.isNegative() ? goog.math.Long.ONE : goog.math.Long.NEG_ONE;
        } else {
          var rem = this.subtract(other.multiply(approx));
          var result = approx.add(rem.div(other));
          return result;
        }
      }
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.ZERO;
    }

    if (this.isNegative()) {
      if (other.isNegative()) {
        return this.negate().div(other.negate());
      } else {
        return this.negate().div(other).negate();
      }
    } else if (other.isNegative()) {
      return this.div(other.negate()).negate();
    }

    // Repeat the following until the remainder is less than other:  find a
    // floating-point that approximates remainder / other *from below*, add this
    // into the result, and subtract it from the remainder.  It is critical that
    // the approximate value is less than or equal to the real value so that the
    // remainder never becomes negative.
    var res = goog.math.Long.ZERO;
    var rem = this;
    while (rem.greaterThanOrEqual(other)) {
      // Approximate the result of division. This may be a little greater or
      // smaller than the actual value.
      var approx = Math.max(1, Math.floor(rem.toNumber() / other.toNumber()));

      // We will tweak the approximate result by changing it in the 48-th digit or
      // the smallest non-fractional digit, whichever is larger.
      var log2 = Math.ceil(Math.log(approx) / Math.LN2);
      var delta = (log2 <= 48) ? 1 : Math.pow(2, log2 - 48);

      // Decrease the approximation until it is smaller than the remainder.  Note
      // that if it is too large, the product overflows and is negative.
      var approxRes = goog.math.Long.fromNumber(approx);
      var approxRem = approxRes.multiply(other);
      while (approxRem.isNegative() || approxRem.greaterThan(rem)) {
        approx -= delta;
        approxRes = goog.math.Long.fromNumber(approx);
        approxRem = approxRes.multiply(other);
      }

      // We know the answer can't be zero... and actually, zero would cause
      // infinite recursion since we would make no progress.
      if (approxRes.isZero()) {
        approxRes = goog.math.Long.ONE;
      }

      res = res.add(approxRes);
      rem = rem.subtract(approxRem);
    }
    return res;
  };


  /**
   * Returns this Long modulo the given one.
   * @param {goog.math.Long} other Long by which to mod.
   * @return {!goog.math.Long} This Long modulo the given one.
   */
  goog.math.Long.prototype.modulo = function(other) {
    return this.subtract(this.div(other).multiply(other));
  };


  /** @return {!goog.math.Long} The bitwise-NOT of this value. */
  goog.math.Long.prototype.not = function() {
    return goog.math.Long.fromBits(~this.low_, ~this.high_);
  };


  /**
   * Returns the bitwise-AND of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to AND.
   * @return {!goog.math.Long} The bitwise-AND of this and the other.
   */
  goog.math.Long.prototype.and = function(other) {
    return goog.math.Long.fromBits(this.low_ & other.low_,
                                   this.high_ & other.high_);
  };


  /**
   * Returns the bitwise-OR of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to OR.
   * @return {!goog.math.Long} The bitwise-OR of this and the other.
   */
  goog.math.Long.prototype.or = function(other) {
    return goog.math.Long.fromBits(this.low_ | other.low_,
                                   this.high_ | other.high_);
  };


  /**
   * Returns the bitwise-XOR of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to XOR.
   * @return {!goog.math.Long} The bitwise-XOR of this and the other.
   */
  goog.math.Long.prototype.xor = function(other) {
    return goog.math.Long.fromBits(this.low_ ^ other.low_,
                                   this.high_ ^ other.high_);
  };


  /**
   * Returns this Long with bits shifted to the left by the given amount.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the left by the given amount.
   */
  goog.math.Long.prototype.shiftLeft = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var low = this.low_;
      if (numBits < 32) {
        var high = this.high_;
        return goog.math.Long.fromBits(
            low << numBits,
            (high << numBits) | (low >>> (32 - numBits)));
      } else {
        return goog.math.Long.fromBits(0, low << (numBits - 32));
      }
    }
  };


  /**
   * Returns this Long with bits shifted to the right by the given amount.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the right by the given amount.
   */
  goog.math.Long.prototype.shiftRight = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var high = this.high_;
      if (numBits < 32) {
        var low = this.low_;
        return goog.math.Long.fromBits(
            (low >>> numBits) | (high << (32 - numBits)),
            high >> numBits);
      } else {
        return goog.math.Long.fromBits(
            high >> (numBits - 32),
            high >= 0 ? 0 : -1);
      }
    }
  };


  /**
   * Returns this Long with bits shifted to the right by the given amount, with
   * the new top bits matching the current sign bit.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the right by the given amount, with
   *     zeros placed into the new leading bits.
   */
  goog.math.Long.prototype.shiftRightUnsigned = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var high = this.high_;
      if (numBits < 32) {
        var low = this.low_;
        return goog.math.Long.fromBits(
            (low >>> numBits) | (high << (32 - numBits)),
            high >>> numBits);
      } else if (numBits == 32) {
        return goog.math.Long.fromBits(high, 0);
      } else {
        return goog.math.Long.fromBits(high >>> (numBits - 32), 0);
      }
    }
  };

  //======= begin jsbn =======

  var navigator = { appName: 'Modern Browser' }; // polyfill a little

  // Copyright (c) 2005  Tom Wu
  // All Rights Reserved.
  // http://www-cs-students.stanford.edu/~tjw/jsbn/

  /*
   * Copyright (c) 2003-2005  Tom Wu
   * All Rights Reserved.
   *
   * Permission is hereby granted, free of charge, to any person obtaining
   * a copy of this software and associated documentation files (the
   * "Software"), to deal in the Software without restriction, including
   * without limitation the rights to use, copy, modify, merge, publish,
   * distribute, sublicense, and/or sell copies of the Software, and to
   * permit persons to whom the Software is furnished to do so, subject to
   * the following conditions:
   *
   * The above copyright notice and this permission notice shall be
   * included in all copies or substantial portions of the Software.
   *
   * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
   * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
   * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
   *
   * IN NO EVENT SHALL TOM WU BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
   * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER
   * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF
   * THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT
   * OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
   *
   * In addition, the following condition applies:
   *
   * All redistributions must retain an intact copy of this copyright notice
   * and disclaimer.
   */

  // Basic JavaScript BN library - subset useful for RSA encryption.

  // Bits per digit
  var dbits;

  // JavaScript engine analysis
  var canary = 0xdeadbeefcafe;
  var j_lm = ((canary&0xffffff)==0xefcafe);

  // (public) Constructor
  function BigInteger(a,b,c) {
    if(a != null)
      if("number" == typeof a) this.fromNumber(a,b,c);
      else if(b == null && "string" != typeof a) this.fromString(a,256);
      else this.fromString(a,b);
  }

  // return new, unset BigInteger
  function nbi() { return new BigInteger(null); }

  // am: Compute w_j += (x*this_i), propagate carries,
  // c is initial carry, returns final carry.
  // c < 3*dvalue, x < 2*dvalue, this_i < dvalue
  // We need to select the fastest one that works in this environment.

  // am1: use a single mult and divide to get the high bits,
  // max digit bits should be 26 because
  // max internal value = 2*dvalue^2-2*dvalue (< 2^53)
  function am1(i,x,w,j,c,n) {
    while(--n >= 0) {
      var v = x*this[i++]+w[j]+c;
      c = Math.floor(v/0x4000000);
      w[j++] = v&0x3ffffff;
    }
    return c;
  }
  // am2 avoids a big mult-and-extract completely.
  // Max digit bits should be <= 30 because we do bitwise ops
  // on values up to 2*hdvalue^2-hdvalue-1 (< 2^31)
  function am2(i,x,w,j,c,n) {
    var xl = x&0x7fff, xh = x>>15;
    while(--n >= 0) {
      var l = this[i]&0x7fff;
      var h = this[i++]>>15;
      var m = xh*l+h*xl;
      l = xl*l+((m&0x7fff)<<15)+w[j]+(c&0x3fffffff);
      c = (l>>>30)+(m>>>15)+xh*h+(c>>>30);
      w[j++] = l&0x3fffffff;
    }
    return c;
  }
  // Alternately, set max digit bits to 28 since some
  // browsers slow down when dealing with 32-bit numbers.
  function am3(i,x,w,j,c,n) {
    var xl = x&0x3fff, xh = x>>14;
    while(--n >= 0) {
      var l = this[i]&0x3fff;
      var h = this[i++]>>14;
      var m = xh*l+h*xl;
      l = xl*l+((m&0x3fff)<<14)+w[j]+c;
      c = (l>>28)+(m>>14)+xh*h;
      w[j++] = l&0xfffffff;
    }
    return c;
  }
  if(j_lm && (navigator.appName == "Microsoft Internet Explorer")) {
    BigInteger.prototype.am = am2;
    dbits = 30;
  }
  else if(j_lm && (navigator.appName != "Netscape")) {
    BigInteger.prototype.am = am1;
    dbits = 26;
  }
  else { // Mozilla/Netscape seems to prefer am3
    BigInteger.prototype.am = am3;
    dbits = 28;
  }

  BigInteger.prototype.DB = dbits;
  BigInteger.prototype.DM = ((1<<dbits)-1);
  BigInteger.prototype.DV = (1<<dbits);

  var BI_FP = 52;
  BigInteger.prototype.FV = Math.pow(2,BI_FP);
  BigInteger.prototype.F1 = BI_FP-dbits;
  BigInteger.prototype.F2 = 2*dbits-BI_FP;

  // Digit conversions
  var BI_RM = "0123456789abcdefghijklmnopqrstuvwxyz";
  var BI_RC = new Array();
  var rr,vv;
  rr = "0".charCodeAt(0);
  for(vv = 0; vv <= 9; ++vv) BI_RC[rr++] = vv;
  rr = "a".charCodeAt(0);
  for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;
  rr = "A".charCodeAt(0);
  for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;

  function int2char(n) { return BI_RM.charAt(n); }
  function intAt(s,i) {
    var c = BI_RC[s.charCodeAt(i)];
    return (c==null)?-1:c;
  }

  // (protected) copy this to r
  function bnpCopyTo(r) {
    for(var i = this.t-1; i >= 0; --i) r[i] = this[i];
    r.t = this.t;
    r.s = this.s;
  }

  // (protected) set from integer value x, -DV <= x < DV
  function bnpFromInt(x) {
    this.t = 1;
    this.s = (x<0)?-1:0;
    if(x > 0) this[0] = x;
    else if(x < -1) this[0] = x+DV;
    else this.t = 0;
  }

  // return bigint initialized to value
  function nbv(i) { var r = nbi(); r.fromInt(i); return r; }

  // (protected) set from string and radix
  function bnpFromString(s,b) {
    var k;
    if(b == 16) k = 4;
    else if(b == 8) k = 3;
    else if(b == 256) k = 8; // byte array
    else if(b == 2) k = 1;
    else if(b == 32) k = 5;
    else if(b == 4) k = 2;
    else { this.fromRadix(s,b); return; }
    this.t = 0;
    this.s = 0;
    var i = s.length, mi = false, sh = 0;
    while(--i >= 0) {
      var x = (k==8)?s[i]&0xff:intAt(s,i);
      if(x < 0) {
        if(s.charAt(i) == "-") mi = true;
        continue;
      }
      mi = false;
      if(sh == 0)
        this[this.t++] = x;
      else if(sh+k > this.DB) {
        this[this.t-1] |= (x&((1<<(this.DB-sh))-1))<<sh;
        this[this.t++] = (x>>(this.DB-sh));
      }
      else
        this[this.t-1] |= x<<sh;
      sh += k;
      if(sh >= this.DB) sh -= this.DB;
    }
    if(k == 8 && (s[0]&0x80) != 0) {
      this.s = -1;
      if(sh > 0) this[this.t-1] |= ((1<<(this.DB-sh))-1)<<sh;
    }
    this.clamp();
    if(mi) BigInteger.ZERO.subTo(this,this);
  }

  // (protected) clamp off excess high words
  function bnpClamp() {
    var c = this.s&this.DM;
    while(this.t > 0 && this[this.t-1] == c) --this.t;
  }

  // (public) return string representation in given radix
  function bnToString(b) {
    if(this.s < 0) return "-"+this.negate().toString(b);
    var k;
    if(b == 16) k = 4;
    else if(b == 8) k = 3;
    else if(b == 2) k = 1;
    else if(b == 32) k = 5;
    else if(b == 4) k = 2;
    else return this.toRadix(b);
    var km = (1<<k)-1, d, m = false, r = "", i = this.t;
    var p = this.DB-(i*this.DB)%k;
    if(i-- > 0) {
      if(p < this.DB && (d = this[i]>>p) > 0) { m = true; r = int2char(d); }
      while(i >= 0) {
        if(p < k) {
          d = (this[i]&((1<<p)-1))<<(k-p);
          d |= this[--i]>>(p+=this.DB-k);
        }
        else {
          d = (this[i]>>(p-=k))&km;
          if(p <= 0) { p += this.DB; --i; }
        }
        if(d > 0) m = true;
        if(m) r += int2char(d);
      }
    }
    return m?r:"0";
  }

  // (public) -this
  function bnNegate() { var r = nbi(); BigInteger.ZERO.subTo(this,r); return r; }

  // (public) |this|
  function bnAbs() { return (this.s<0)?this.negate():this; }

  // (public) return + if this > a, - if this < a, 0 if equal
  function bnCompareTo(a) {
    var r = this.s-a.s;
    if(r != 0) return r;
    var i = this.t;
    r = i-a.t;
    if(r != 0) return (this.s<0)?-r:r;
    while(--i >= 0) if((r=this[i]-a[i]) != 0) return r;
    return 0;
  }

  // returns bit length of the integer x
  function nbits(x) {
    var r = 1, t;
    if((t=x>>>16) != 0) { x = t; r += 16; }
    if((t=x>>8) != 0) { x = t; r += 8; }
    if((t=x>>4) != 0) { x = t; r += 4; }
    if((t=x>>2) != 0) { x = t; r += 2; }
    if((t=x>>1) != 0) { x = t; r += 1; }
    return r;
  }

  // (public) return the number of bits in "this"
  function bnBitLength() {
    if(this.t <= 0) return 0;
    return this.DB*(this.t-1)+nbits(this[this.t-1]^(this.s&this.DM));
  }

  // (protected) r = this << n*DB
  function bnpDLShiftTo(n,r) {
    var i;
    for(i = this.t-1; i >= 0; --i) r[i+n] = this[i];
    for(i = n-1; i >= 0; --i) r[i] = 0;
    r.t = this.t+n;
    r.s = this.s;
  }

  // (protected) r = this >> n*DB
  function bnpDRShiftTo(n,r) {
    for(var i = n; i < this.t; ++i) r[i-n] = this[i];
    r.t = Math.max(this.t-n,0);
    r.s = this.s;
  }

  // (protected) r = this << n
  function bnpLShiftTo(n,r) {
    var bs = n%this.DB;
    var cbs = this.DB-bs;
    var bm = (1<<cbs)-1;
    var ds = Math.floor(n/this.DB), c = (this.s<<bs)&this.DM, i;
    for(i = this.t-1; i >= 0; --i) {
      r[i+ds+1] = (this[i]>>cbs)|c;
      c = (this[i]&bm)<<bs;
    }
    for(i = ds-1; i >= 0; --i) r[i] = 0;
    r[ds] = c;
    r.t = this.t+ds+1;
    r.s = this.s;
    r.clamp();
  }

  // (protected) r = this >> n
  function bnpRShiftTo(n,r) {
    r.s = this.s;
    var ds = Math.floor(n/this.DB);
    if(ds >= this.t) { r.t = 0; return; }
    var bs = n%this.DB;
    var cbs = this.DB-bs;
    var bm = (1<<bs)-1;
    r[0] = this[ds]>>bs;
    for(var i = ds+1; i < this.t; ++i) {
      r[i-ds-1] |= (this[i]&bm)<<cbs;
      r[i-ds] = this[i]>>bs;
    }
    if(bs > 0) r[this.t-ds-1] |= (this.s&bm)<<cbs;
    r.t = this.t-ds;
    r.clamp();
  }

  // (protected) r = this - a
  function bnpSubTo(a,r) {
    var i = 0, c = 0, m = Math.min(a.t,this.t);
    while(i < m) {
      c += this[i]-a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    if(a.t < this.t) {
      c -= a.s;
      while(i < this.t) {
        c += this[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += this.s;
    }
    else {
      c += this.s;
      while(i < a.t) {
        c -= a[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c -= a.s;
    }
    r.s = (c<0)?-1:0;
    if(c < -1) r[i++] = this.DV+c;
    else if(c > 0) r[i++] = c;
    r.t = i;
    r.clamp();
  }

  // (protected) r = this * a, r != this,a (HAC 14.12)
  // "this" should be the larger one if appropriate.
  function bnpMultiplyTo(a,r) {
    var x = this.abs(), y = a.abs();
    var i = x.t;
    r.t = i+y.t;
    while(--i >= 0) r[i] = 0;
    for(i = 0; i < y.t; ++i) r[i+x.t] = x.am(0,y[i],r,i,0,x.t);
    r.s = 0;
    r.clamp();
    if(this.s != a.s) BigInteger.ZERO.subTo(r,r);
  }

  // (protected) r = this^2, r != this (HAC 14.16)
  function bnpSquareTo(r) {
    var x = this.abs();
    var i = r.t = 2*x.t;
    while(--i >= 0) r[i] = 0;
    for(i = 0; i < x.t-1; ++i) {
      var c = x.am(i,x[i],r,2*i,0,1);
      if((r[i+x.t]+=x.am(i+1,2*x[i],r,2*i+1,c,x.t-i-1)) >= x.DV) {
        r[i+x.t] -= x.DV;
        r[i+x.t+1] = 1;
      }
    }
    if(r.t > 0) r[r.t-1] += x.am(i,x[i],r,2*i,0,1);
    r.s = 0;
    r.clamp();
  }

  // (protected) divide this by m, quotient and remainder to q, r (HAC 14.20)
  // r != q, this != m.  q or r may be null.
  function bnpDivRemTo(m,q,r) {
    var pm = m.abs();
    if(pm.t <= 0) return;
    var pt = this.abs();
    if(pt.t < pm.t) {
      if(q != null) q.fromInt(0);
      if(r != null) this.copyTo(r);
      return;
    }
    if(r == null) r = nbi();
    var y = nbi(), ts = this.s, ms = m.s;
    var nsh = this.DB-nbits(pm[pm.t-1]);	// normalize modulus
    if(nsh > 0) { pm.lShiftTo(nsh,y); pt.lShiftTo(nsh,r); }
    else { pm.copyTo(y); pt.copyTo(r); }
    var ys = y.t;
    var y0 = y[ys-1];
    if(y0 == 0) return;
    var yt = y0*(1<<this.F1)+((ys>1)?y[ys-2]>>this.F2:0);
    var d1 = this.FV/yt, d2 = (1<<this.F1)/yt, e = 1<<this.F2;
    var i = r.t, j = i-ys, t = (q==null)?nbi():q;
    y.dlShiftTo(j,t);
    if(r.compareTo(t) >= 0) {
      r[r.t++] = 1;
      r.subTo(t,r);
    }
    BigInteger.ONE.dlShiftTo(ys,t);
    t.subTo(y,y);	// "negative" y so we can replace sub with am later
    while(y.t < ys) y[y.t++] = 0;
    while(--j >= 0) {
      // Estimate quotient digit
      var qd = (r[--i]==y0)?this.DM:Math.floor(r[i]*d1+(r[i-1]+e)*d2);
      if((r[i]+=y.am(0,qd,r,j,0,ys)) < qd) {	// Try it out
        y.dlShiftTo(j,t);
        r.subTo(t,r);
        while(r[i] < --qd) r.subTo(t,r);
      }
    }
    if(q != null) {
      r.drShiftTo(ys,q);
      if(ts != ms) BigInteger.ZERO.subTo(q,q);
    }
    r.t = ys;
    r.clamp();
    if(nsh > 0) r.rShiftTo(nsh,r);	// Denormalize remainder
    if(ts < 0) BigInteger.ZERO.subTo(r,r);
  }

  // (public) this mod a
  function bnMod(a) {
    var r = nbi();
    this.abs().divRemTo(a,null,r);
    if(this.s < 0 && r.compareTo(BigInteger.ZERO) > 0) a.subTo(r,r);
    return r;
  }

  // Modular reduction using "classic" algorithm
  function Classic(m) { this.m = m; }
  function cConvert(x) {
    if(x.s < 0 || x.compareTo(this.m) >= 0) return x.mod(this.m);
    else return x;
  }
  function cRevert(x) { return x; }
  function cReduce(x) { x.divRemTo(this.m,null,x); }
  function cMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }
  function cSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

  Classic.prototype.convert = cConvert;
  Classic.prototype.revert = cRevert;
  Classic.prototype.reduce = cReduce;
  Classic.prototype.mulTo = cMulTo;
  Classic.prototype.sqrTo = cSqrTo;

  // (protected) return "-1/this % 2^DB"; useful for Mont. reduction
  // justification:
  //         xy == 1 (mod m)
  //         xy =  1+km
  //   xy(2-xy) = (1+km)(1-km)
  // x[y(2-xy)] = 1-k^2m^2
  // x[y(2-xy)] == 1 (mod m^2)
  // if y is 1/x mod m, then y(2-xy) is 1/x mod m^2
  // should reduce x and y(2-xy) by m^2 at each step to keep size bounded.
  // JS multiply "overflows" differently from C/C++, so care is needed here.
  function bnpInvDigit() {
    if(this.t < 1) return 0;
    var x = this[0];
    if((x&1) == 0) return 0;
    var y = x&3;		// y == 1/x mod 2^2
    y = (y*(2-(x&0xf)*y))&0xf;	// y == 1/x mod 2^4
    y = (y*(2-(x&0xff)*y))&0xff;	// y == 1/x mod 2^8
    y = (y*(2-(((x&0xffff)*y)&0xffff)))&0xffff;	// y == 1/x mod 2^16
    // last step - calculate inverse mod DV directly;
    // assumes 16 < DB <= 32 and assumes ability to handle 48-bit ints
    y = (y*(2-x*y%this.DV))%this.DV;		// y == 1/x mod 2^dbits
    // we really want the negative inverse, and -DV < y < DV
    return (y>0)?this.DV-y:-y;
  }

  // Montgomery reduction
  function Montgomery(m) {
    this.m = m;
    this.mp = m.invDigit();
    this.mpl = this.mp&0x7fff;
    this.mph = this.mp>>15;
    this.um = (1<<(m.DB-15))-1;
    this.mt2 = 2*m.t;
  }

  // xR mod m
  function montConvert(x) {
    var r = nbi();
    x.abs().dlShiftTo(this.m.t,r);
    r.divRemTo(this.m,null,r);
    if(x.s < 0 && r.compareTo(BigInteger.ZERO) > 0) this.m.subTo(r,r);
    return r;
  }

  // x/R mod m
  function montRevert(x) {
    var r = nbi();
    x.copyTo(r);
    this.reduce(r);
    return r;
  }

  // x = x/R mod m (HAC 14.32)
  function montReduce(x) {
    while(x.t <= this.mt2)	// pad x so am has enough room later
      x[x.t++] = 0;
    for(var i = 0; i < this.m.t; ++i) {
      // faster way of calculating u0 = x[i]*mp mod DV
      var j = x[i]&0x7fff;
      var u0 = (j*this.mpl+(((j*this.mph+(x[i]>>15)*this.mpl)&this.um)<<15))&x.DM;
      // use am to combine the multiply-shift-add into one call
      j = i+this.m.t;
      x[j] += this.m.am(0,u0,x,i,0,this.m.t);
      // propagate carry
      while(x[j] >= x.DV) { x[j] -= x.DV; x[++j]++; }
    }
    x.clamp();
    x.drShiftTo(this.m.t,x);
    if(x.compareTo(this.m) >= 0) x.subTo(this.m,x);
  }

  // r = "x^2/R mod m"; x != r
  function montSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

  // r = "xy/R mod m"; x,y != r
  function montMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }

  Montgomery.prototype.convert = montConvert;
  Montgomery.prototype.revert = montRevert;
  Montgomery.prototype.reduce = montReduce;
  Montgomery.prototype.mulTo = montMulTo;
  Montgomery.prototype.sqrTo = montSqrTo;

  // (protected) true iff this is even
  function bnpIsEven() { return ((this.t>0)?(this[0]&1):this.s) == 0; }

  // (protected) this^e, e < 2^32, doing sqr and mul with "r" (HAC 14.79)
  function bnpExp(e,z) {
    if(e > 0xffffffff || e < 1) return BigInteger.ONE;
    var r = nbi(), r2 = nbi(), g = z.convert(this), i = nbits(e)-1;
    g.copyTo(r);
    while(--i >= 0) {
      z.sqrTo(r,r2);
      if((e&(1<<i)) > 0) z.mulTo(r2,g,r);
      else { var t = r; r = r2; r2 = t; }
    }
    return z.revert(r);
  }

  // (public) this^e % m, 0 <= e < 2^32
  function bnModPowInt(e,m) {
    var z;
    if(e < 256 || m.isEven()) z = new Classic(m); else z = new Montgomery(m);
    return this.exp(e,z);
  }

  // protected
  BigInteger.prototype.copyTo = bnpCopyTo;
  BigInteger.prototype.fromInt = bnpFromInt;
  BigInteger.prototype.fromString = bnpFromString;
  BigInteger.prototype.clamp = bnpClamp;
  BigInteger.prototype.dlShiftTo = bnpDLShiftTo;
  BigInteger.prototype.drShiftTo = bnpDRShiftTo;
  BigInteger.prototype.lShiftTo = bnpLShiftTo;
  BigInteger.prototype.rShiftTo = bnpRShiftTo;
  BigInteger.prototype.subTo = bnpSubTo;
  BigInteger.prototype.multiplyTo = bnpMultiplyTo;
  BigInteger.prototype.squareTo = bnpSquareTo;
  BigInteger.prototype.divRemTo = bnpDivRemTo;
  BigInteger.prototype.invDigit = bnpInvDigit;
  BigInteger.prototype.isEven = bnpIsEven;
  BigInteger.prototype.exp = bnpExp;

  // public
  BigInteger.prototype.toString = bnToString;
  BigInteger.prototype.negate = bnNegate;
  BigInteger.prototype.abs = bnAbs;
  BigInteger.prototype.compareTo = bnCompareTo;
  BigInteger.prototype.bitLength = bnBitLength;
  BigInteger.prototype.mod = bnMod;
  BigInteger.prototype.modPowInt = bnModPowInt;

  // "constants"
  BigInteger.ZERO = nbv(0);
  BigInteger.ONE = nbv(1);

  // jsbn2 stuff

  // (protected) convert from radix string
  function bnpFromRadix(s,b) {
    this.fromInt(0);
    if(b == null) b = 10;
    var cs = this.chunkSize(b);
    var d = Math.pow(b,cs), mi = false, j = 0, w = 0;
    for(var i = 0; i < s.length; ++i) {
      var x = intAt(s,i);
      if(x < 0) {
        if(s.charAt(i) == "-" && this.signum() == 0) mi = true;
        continue;
      }
      w = b*w+x;
      if(++j >= cs) {
        this.dMultiply(d);
        this.dAddOffset(w,0);
        j = 0;
        w = 0;
      }
    }
    if(j > 0) {
      this.dMultiply(Math.pow(b,j));
      this.dAddOffset(w,0);
    }
    if(mi) BigInteger.ZERO.subTo(this,this);
  }

  // (protected) return x s.t. r^x < DV
  function bnpChunkSize(r) { return Math.floor(Math.LN2*this.DB/Math.log(r)); }

  // (public) 0 if this == 0, 1 if this > 0
  function bnSigNum() {
    if(this.s < 0) return -1;
    else if(this.t <= 0 || (this.t == 1 && this[0] <= 0)) return 0;
    else return 1;
  }

  // (protected) this *= n, this >= 0, 1 < n < DV
  function bnpDMultiply(n) {
    this[this.t] = this.am(0,n-1,this,0,0,this.t);
    ++this.t;
    this.clamp();
  }

  // (protected) this += n << w words, this >= 0
  function bnpDAddOffset(n,w) {
    if(n == 0) return;
    while(this.t <= w) this[this.t++] = 0;
    this[w] += n;
    while(this[w] >= this.DV) {
      this[w] -= this.DV;
      if(++w >= this.t) this[this.t++] = 0;
      ++this[w];
    }
  }

  // (protected) convert to radix string
  function bnpToRadix(b) {
    if(b == null) b = 10;
    if(this.signum() == 0 || b < 2 || b > 36) return "0";
    var cs = this.chunkSize(b);
    var a = Math.pow(b,cs);
    var d = nbv(a), y = nbi(), z = nbi(), r = "";
    this.divRemTo(d,y,z);
    while(y.signum() > 0) {
      r = (a+z.intValue()).toString(b).substr(1) + r;
      y.divRemTo(d,y,z);
    }
    return z.intValue().toString(b) + r;
  }

  // (public) return value as integer
  function bnIntValue() {
    if(this.s < 0) {
      if(this.t == 1) return this[0]-this.DV;
      else if(this.t == 0) return -1;
    }
    else if(this.t == 1) return this[0];
    else if(this.t == 0) return 0;
    // assumes 16 < DB < 32
    return ((this[1]&((1<<(32-this.DB))-1))<<this.DB)|this[0];
  }

  // (protected) r = this + a
  function bnpAddTo(a,r) {
    var i = 0, c = 0, m = Math.min(a.t,this.t);
    while(i < m) {
      c += this[i]+a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    if(a.t < this.t) {
      c += a.s;
      while(i < this.t) {
        c += this[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += this.s;
    }
    else {
      c += this.s;
      while(i < a.t) {
        c += a[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += a.s;
    }
    r.s = (c<0)?-1:0;
    if(c > 0) r[i++] = c;
    else if(c < -1) r[i++] = this.DV+c;
    r.t = i;
    r.clamp();
  }

  BigInteger.prototype.fromRadix = bnpFromRadix;
  BigInteger.prototype.chunkSize = bnpChunkSize;
  BigInteger.prototype.signum = bnSigNum;
  BigInteger.prototype.dMultiply = bnpDMultiply;
  BigInteger.prototype.dAddOffset = bnpDAddOffset;
  BigInteger.prototype.toRadix = bnpToRadix;
  BigInteger.prototype.intValue = bnIntValue;
  BigInteger.prototype.addTo = bnpAddTo;

  //======= end jsbn =======

  // Emscripten wrapper
  var Wrapper = {
    abs: function(l, h) {
      var x = new goog.math.Long(l, h);
      var ret;
      if (x.isNegative()) {
        ret = x.negate();
      } else {
        ret = x;
      }
      HEAP32[tempDoublePtr>>2] = ret.low_;
      HEAP32[tempDoublePtr+4>>2] = ret.high_;
    },
    ensureTemps: function() {
      if (Wrapper.ensuredTemps) return;
      Wrapper.ensuredTemps = true;
      Wrapper.two32 = new BigInteger();
      Wrapper.two32.fromString('4294967296', 10);
      Wrapper.two64 = new BigInteger();
      Wrapper.two64.fromString('18446744073709551616', 10);
      Wrapper.temp1 = new BigInteger();
      Wrapper.temp2 = new BigInteger();
    },
    lh2bignum: function(l, h) {
      var a = new BigInteger();
      a.fromString(h.toString(), 10);
      var b = new BigInteger();
      a.multiplyTo(Wrapper.two32, b);
      var c = new BigInteger();
      c.fromString(l.toString(), 10);
      var d = new BigInteger();
      c.addTo(b, d);
      return d;
    },
    stringify: function(l, h, unsigned) {
      var ret = new goog.math.Long(l, h).toString();
      if (unsigned && ret[0] == '-') {
        // unsign slowly using jsbn bignums
        Wrapper.ensureTemps();
        var bignum = new BigInteger();
        bignum.fromString(ret, 10);
        ret = new BigInteger();
        Wrapper.two64.addTo(bignum, ret);
        ret = ret.toString(10);
      }
      return ret;
    },
    fromString: function(str, base, min, max, unsigned) {
      Wrapper.ensureTemps();
      var bignum = new BigInteger();
      bignum.fromString(str, base);
      var bigmin = new BigInteger();
      bigmin.fromString(min, 10);
      var bigmax = new BigInteger();
      bigmax.fromString(max, 10);
      if (unsigned && bignum.compareTo(BigInteger.ZERO) < 0) {
        var temp = new BigInteger();
        bignum.addTo(Wrapper.two64, temp);
        bignum = temp;
      }
      var error = false;
      if (bignum.compareTo(bigmin) < 0) {
        bignum = bigmin;
        error = true;
      } else if (bignum.compareTo(bigmax) > 0) {
        bignum = bigmax;
        error = true;
      }
      var ret = goog.math.Long.fromString(bignum.toString()); // min-max checks should have clamped this to a range goog.math.Long can handle well
      HEAP32[tempDoublePtr>>2] = ret.low_;
      HEAP32[tempDoublePtr+4>>2] = ret.high_;
      if (error) throw 'range error';
    }
  };
  return Wrapper;
})();

//======= end closure i64 code =======



// === Auto-generated postamble setup entry stuff ===

if (memoryInitializer) {
  function applyData(data) {
    HEAPU8.set(data, STATIC_BASE);
  }
  if (ENVIRONMENT_IS_NODE || ENVIRONMENT_IS_SHELL) {
    applyData(Module['readBinary'](memoryInitializer));
  } else {
    addRunDependency('memory initializer');
    Browser.asyncLoad(memoryInitializer, function(data) {
      applyData(data);
      removeRunDependency('memory initializer');
    }, function(data) {
      throw 'could not load memory initializer ' + memoryInitializer;
    });
  }
}

function ExitStatus(status) {
  this.name = "ExitStatus";
  this.message = "Program terminated with exit(" + status + ")";
  this.status = status;
};
ExitStatus.prototype = new Error();
ExitStatus.prototype.constructor = ExitStatus;

var initialStackTop;
var preloadStartTime = null;
var calledMain = false;

dependenciesFulfilled = function runCaller() {
  // If run has never been called, and we should call run (INVOKE_RUN is true, and Module.noInitialRun is not false)
  if (!Module['calledRun'] && shouldRunNow) run();
  if (!Module['calledRun']) dependenciesFulfilled = runCaller; // try this again later, after new deps are fulfilled
}

Module['callMain'] = Module.callMain = function callMain(args) {
  assert(runDependencies == 0, 'cannot call main when async dependencies remain! (listen on __ATMAIN__)');
  assert(__ATPRERUN__.length == 0, 'cannot call main when preRun functions remain to be called');

  args = args || [];

  if (ENVIRONMENT_IS_WEB && preloadStartTime !== null) {
    Module.printErr('preload time: ' + (Date.now() - preloadStartTime) + ' ms');
  }

  ensureInitRuntime();

  var argc = args.length+1;
  function pad() {
    for (var i = 0; i < 4-1; i++) {
      argv.push(0);
    }
  }
  var argv = [allocate(intArrayFromString("/bin/this.program"), 'i8', ALLOC_NORMAL) ];
  pad();
  for (var i = 0; i < argc-1; i = i + 1) {
    argv.push(allocate(intArrayFromString(args[i]), 'i8', ALLOC_NORMAL));
    pad();
  }
  argv.push(0);
  argv = allocate(argv, 'i32', ALLOC_NORMAL);

  initialStackTop = STACKTOP;

  try {

    var ret = Module['_main'](argc, argv, 0);


    // if we're not running an evented main loop, it's time to exit
    if (!Module['noExitRuntime']) {
      exit(ret);
    }
  }
  catch(e) {
    if (e instanceof ExitStatus) {
      // exit() throws this once it's done to make sure execution
      // has been stopped completely
      return;
    } else if (e == 'SimulateInfiniteLoop') {
      // running an evented main loop, don't immediately exit
      Module['noExitRuntime'] = true;
      return;
    } else {
      if (e && typeof e === 'object' && e.stack) Module.printErr('exception thrown: ' + [e, e.stack]);
      throw e;
    }
  } finally {
    calledMain = true;
  }
}




function run(args) {
  args = args || Module['arguments'];

  if (preloadStartTime === null) preloadStartTime = Date.now();

  if (runDependencies > 0) {
    Module.printErr('run() called, but dependencies remain, so not running');
    return;
  }

  preRun();

  if (runDependencies > 0) return; // a preRun added a dependency, run will be called later
  if (Module['calledRun']) return; // run may have just been called through dependencies being fulfilled just in this very frame

  function doRun() {
    if (Module['calledRun']) return; // run may have just been called while the async setStatus time below was happening
    Module['calledRun'] = true;

    ensureInitRuntime();

    preMain();

    if (Module['_main'] && shouldRunNow) {
      Module['callMain'](args);
    }

    postRun();
  }

  if (Module['setStatus']) {
    Module['setStatus']('Running...');
    setTimeout(function() {
      setTimeout(function() {
        Module['setStatus']('');
      }, 1);
      if (!ABORT) doRun();
    }, 1);
  } else {
    doRun();
  }
}
Module['run'] = Module.run = run;

function exit(status) {
  ABORT = true;
  EXITSTATUS = status;
  STACKTOP = initialStackTop;

  // exit the runtime
  exitRuntime();

  // TODO We should handle this differently based on environment.
  // In the browser, the best we can do is throw an exception
  // to halt execution, but in node we could process.exit and
  // I'd imagine SM shell would have something equivalent.
  // This would let us set a proper exit status (which
  // would be great for checking test exit statuses).
  // https://github.com/kripken/emscripten/issues/1371

  // throw an exception to halt the current execution
  throw new ExitStatus(status);
}
Module['exit'] = Module.exit = exit;

function abort(text) {
  if (text) {
    Module.print(text);
    Module.printErr(text);
  }

  ABORT = true;
  EXITSTATUS = 1;

  throw 'abort() at ' + stackTrace();
}
Module['abort'] = Module.abort = abort;

// {{PRE_RUN_ADDITIONS}}

if (Module['preInit']) {
  if (typeof Module['preInit'] == 'function') Module['preInit'] = [Module['preInit']];
  while (Module['preInit'].length > 0) {
    Module['preInit'].pop()();
  }
}

// shouldRunNow refers to calling main(), not run().
var shouldRunNow = true;
if (Module['noInitialRun']) {
  shouldRunNow = false;
}


run();

// {{POST_RUN_ADDITIONS}}






// {{MODULE_ADDITIONS}}






